(**************************************************************************)
(*       ___                                                              *)
(*      ||M||                                                             *)
(*      ||A||       A project by Andrea Asperti                           *)
(*      ||T||                                                             *)
(*      ||I||       Developers:                                           *)
(*      ||T||         The HELM team.                                      *)
(*      ||A||         http://helm.cs.unibo.it                             *)
(*      \   /                                                             *)
(*       \ /        This file is distributed under the terms of the       *)
(*        v         GNU General Public License Version 2                  *)
(*                                                                        *)
(**************************************************************************)

(* This file was generated by Helena 0.8.2 M (February 2015): do not edit *)

include "basics/pts.ma".

(* constant 1 *)
definition l_imp ≝ λa:Prop.λb:Prop.(∀x:a.b : Prop).

(* constant 2 *)
definition l_mp ≝ λa:Prop.λb:Prop.λa1:a.λi:l_imp a b.(i a1 : b).

(* constant 3 *)
definition l_refimp ≝ λa:Prop.(λx:a.x : l_imp a a).

(* constant 4 *)
definition l_trimp ≝ λa:Prop.λb:Prop.λc:Prop.λi:l_imp a b.λj:l_imp b c.(λx:a.j (i x) : l_imp a c).

(* constant 5 *)
axiom l_con : Prop.

(* constant 6 *)
definition l_not ≝ λa:Prop.(l_imp a l_con : Prop).

(* constant 7 *)
definition l_wel ≝ λa:Prop.(l_not (l_not a) : Prop).

(* constant 8 *)
definition l_weli ≝ λa:Prop.λa1:a.(λx:l_not a.x a1 : l_wel a).

(* constant 9 *)
axiom l_et : ∀a:Prop.∀w:l_wel a.a.

(* constant 10 *)
definition l_cone ≝ λa:Prop.λc1:l_con.(l_et a (λx:l_not a.c1) : a).

(* constant 11 *)
definition l_imp_th1 ≝ λa:Prop.λb:Prop.λi:l_imp a b.λj:l_imp (l_not a) b.(l_et b (λx:l_not b.x (j (l_trimp a b l_con i x))) : b).

(* constant 12 *)
definition l_imp_th2 ≝ λa:Prop.λb:Prop.λn:l_not a.(l_trimp a l_con b n (λx:l_con.l_cone b x) : l_imp a b).

(* constant 13 *)
definition l_imp_th3 ≝ λa:Prop.λb:Prop.λn:l_not b.λi:l_imp a b.(l_trimp a b l_con i n : l_not a).

(* constant 14 *)
definition l_imp_th4 ≝ λa:Prop.λb:Prop.λa1:a.λn:l_not b.(λx:l_imp a b.l_imp_th3 a b n x a1 : l_not (l_imp a b)).

(* constant 15 *)
definition l_imp_th5 ≝ λa:Prop.λb:Prop.λn:l_not (l_imp a b).(l_et a (λx:l_not a.n (l_imp_th2 a b x)) : a).

(* constant 16 *)
definition l_imp_th6 ≝ λa:Prop.λb:Prop.λn:l_not (l_imp a b).(λx:b.n (λy:a.x) : l_not b).

(* constant 17 *)
definition l_imp_th7 ≝ λa:Prop.λb:Prop.λn:l_not b.λi:l_imp (l_not a) b.(l_et a (l_imp_th3 (l_not a) b n i) : a).

(* constant 18 *)
definition l_cp ≝ λa:Prop.λb:Prop.λi:l_imp (l_not b) (l_not a).(λx:a.l_imp_th7 b (l_not a) (l_weli a x) i : l_imp a b).

(* constant 19 *)
definition l_obvious ≝ (l_imp l_con l_con : Prop).

(* constant 20 *)
definition l_obviousi ≝ (l_refimp l_con : l_obvious).

(* constant 21 *)
definition l_ec ≝ λa:Prop.λb:Prop.(l_imp a (l_not b) : Prop).

(* constant 22 *)
definition l_eci1 ≝ λa:Prop.λb:Prop.λn:l_not a.(l_imp_th2 a (l_not b) n : l_ec a b).

(* constant 23 *)
definition l_eci2 ≝ λa:Prop.λb:Prop.λn:l_not b.(λx:a.n : l_ec a b).

(* constant 24 *)
definition l_ec_th1 ≝ λa:Prop.λb:Prop.λi:l_imp a (l_not b).(i : l_ec a b).

(* constant 25 *)
definition l_ec_th2 ≝ λa:Prop.λb:Prop.λi:l_imp b (l_not a).(λx:a.λy:b.i y x : l_ec a b).

(* constant 26 *)
definition l_comec ≝ λa:Prop.λb:Prop.λe:l_ec a b.(l_ec_th2 b a e : l_ec b a).

(* constant 27 *)
definition l_ece1 ≝ λa:Prop.λb:Prop.λe:l_ec a b.λa1:a.(e a1 : l_not b).

(* constant 28 *)
definition l_ece2 ≝ λa:Prop.λb:Prop.λe:l_ec a b.λb1:b.(l_imp_th3 a (l_not b) (l_weli b b1) e : l_not a).

(* constant 29 *)
definition l_ec_th3 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec a b.λi:l_imp c a.(l_trimp c a (l_not b) i e : l_ec c b).

(* constant 30 *)
definition l_ec_th4 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec a b.λi:l_imp c b.(l_comec c a (l_ec_th3 b a c (l_comec a b e) i) : l_ec a c).

(* constant 31 *)
definition l_and ≝ λa:Prop.λb:Prop.(l_not (l_ec a b) : Prop).

(* constant 32 *)
definition l_andi ≝ λa:Prop.λb:Prop.λa1:a.λb1:b.(l_imp_th4 a (l_not b) a1 (l_weli b b1) : l_and a b).

(* constant 33 *)
definition l_ande1 ≝ λa:Prop.λb:Prop.λa1:l_and a b.(l_imp_th5 a (l_not b) a1 : a).

(* constant 34 *)
definition l_ande2 ≝ λa:Prop.λb:Prop.λa1:l_and a b.(l_et b (l_imp_th6 a (l_not b) a1) : b).

(* constant 35 *)
definition l_comand ≝ λa:Prop.λb:Prop.λa1:l_and a b.(l_andi b a (l_ande2 a b a1) (l_ande1 a b a1) : l_and b a).

(* constant 36 *)
definition l_and_th1 ≝ λa:Prop.λb:Prop.λn:l_not a.(l_weli (l_ec a b) (l_eci1 a b n) : l_not (l_and a b)).

(* constant 37 *)
definition l_and_th2 ≝ λa:Prop.λb:Prop.λn:l_not b.(l_weli (l_ec a b) (l_eci2 a b n) : l_not (l_and a b)).

(* constant 38 *)
definition l_and_th3 ≝ λa:Prop.λb:Prop.λn:l_not (l_and a b).λa1:a.(l_ece1 a b (l_et (l_ec a b) n) a1 : l_not b).

(* constant 39 *)
definition l_and_th4 ≝ λa:Prop.λb:Prop.λn:l_not (l_and a b).λb1:b.(l_ece2 a b (l_et (l_ec a b) n) b1 : l_not a).

(* constant 40 *)
definition l_and_th5 ≝ λa:Prop.λb:Prop.λn:l_not (l_and a b).(l_imp_th3 (l_and b a) (l_and a b) n (λx:l_and b a.l_comand b a x) : l_not (l_and b a)).

(* constant 41 *)
definition l_and_th6 ≝ λa:Prop.λb:Prop.λc:Prop.λa1:l_and a b.λi:l_imp a c.(l_andi c b (i (l_ande1 a b a1)) (l_ande2 a b a1) : l_and c b).

(* constant 42 *)
definition l_and_th7 ≝ λa:Prop.λb:Prop.λc:Prop.λa1:l_and a b.λi:l_imp b c.(l_andi a c (l_ande1 a b a1) (i (l_ande2 a b a1)) : l_and a c).

(* constant 43 *)
definition l_or ≝ λa:Prop.λb:Prop.(l_imp (l_not a) b : Prop).

(* constant 44 *)
definition l_ori1 ≝ λa:Prop.λb:Prop.λa1:a.(l_imp_th2 (l_not a) b (l_weli a a1) : l_or a b).

(* constant 45 *)
definition l_ori2 ≝ λa:Prop.λb:Prop.λb1:b.(λx:l_not a.b1 : l_or a b).

(* constant 46 *)
definition l_or_th1 ≝ λa:Prop.λb:Prop.λi:l_imp (l_not a) b.(i : l_or a b).

(* constant 47 *)
definition l_or_th2 ≝ λa:Prop.λb:Prop.λi:l_imp (l_not b) a.(λx:l_not a.l_et b (l_imp_th3 (l_not b) a x i) : l_or a b).

(* constant 48 *)
definition l_ore2 ≝ λa:Prop.λb:Prop.λo:l_or a b.λn:l_not a.(o n : b).

(* constant 49 *)
definition l_ore1 ≝ λa:Prop.λb:Prop.λo:l_or a b.λn:l_not b.(l_et a (l_imp_th3 (l_not a) b n o) : a).

(* constant 50 *)
definition l_comor ≝ λa:Prop.λb:Prop.λo:l_or a b.(λx:l_not b.l_ore1 a b o x : l_or b a).

(* constant 51 *)
definition l_or_th3 ≝ λa:Prop.λb:Prop.λn:l_not a.λm:l_not b.(l_imp_th4 (l_not a) b n m : l_not (l_or a b)).

(* constant 52 *)
definition l_or_th4 ≝ λa:Prop.λb:Prop.λn:l_not (l_or a b).(l_imp_th5 (l_not a) b n : l_not a).

(* constant 53 *)
definition l_or_th5 ≝ λa:Prop.λb:Prop.λn:l_not (l_or a b).(l_imp_th6 (l_not a) b n : l_not b).

(* constant 54 *)
definition l_or_th6 ≝ λa:Prop.(l_refimp (l_not a) : l_or a (l_not a)).

(* constant 55 *)
definition l_orapp ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or a b.λi:l_imp a c.λj:l_imp b c.(l_imp_th1 a c i (l_trimp (l_not a) b c o j) : c).

(* constant 56 *)
definition l_or_th7 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or a b.λi:l_imp a c.(l_trimp (l_not c) (l_not a) b (λx:l_not c.l_imp_th3 a c x i) o : l_or c b).

(* constant 57 *)
definition l_or_th8 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or a b.λi:l_imp b c.(l_trimp (l_not a) b c o i : l_or a c).

(* constant 58 *)
definition l_or_th9 ≝ λa:Prop.λb:Prop.λc:Prop.λd:Prop.λo:l_or a b.λi:l_imp a c.λj:l_imp b d.(l_or_th7 a d c (l_or_th8 a b d o j) i : l_or c d).

(* constant 59 *)
definition l_or_th10 ≝ λa:Prop.λb:Prop.λo:l_or a b.(o : l_imp (l_not a) b).

(* constant 60 *)
definition l_or_th11 ≝ λa:Prop.λb:Prop.λo:l_or a b.(l_comor a b o : l_imp (l_not b) a).

(* constant 61 *)
definition l_or_th12 ≝ λa:Prop.λb:Prop.λo:l_or (l_not a) b.(l_trimp a (l_wel a) b (λx:a.l_weli a x) o : l_imp a b).

(* constant 62 *)
definition l_or_th13 ≝ λa:Prop.λb:Prop.λi:l_imp a b.(l_trimp (l_wel a) a b (λx:l_wel a.l_et a x) i : l_or (l_not a) b).

(* constant 63 *)
definition l_or_th14 ≝ λa:Prop.λb:Prop.λo:l_or (l_not a) (l_not b).(l_weli (l_ec a b) (l_or_th12 a (l_not b) o) : l_not (l_and a b)).

(* constant 64 *)
definition l_or_th15 ≝ λa:Prop.λb:Prop.λn:l_not (l_and a b).(l_or_th13 a (l_not b) (l_et (l_ec a b) n) : l_or (l_not a) (l_not b)).

(* constant 65 *)
definition l_or_th16 ≝ λa:Prop.λb:Prop.λa1:l_and (l_not a) (l_not b).(l_or_th3 a b (l_ande1 (l_not a) (l_not b) a1) (l_ande2 (l_not a) (l_not b) a1) : l_not (l_or a b)).

(* constant 66 *)
definition l_or_th17 ≝ λa:Prop.λb:Prop.λn:l_not (l_or a b).(l_andi (l_not a) (l_not b) (l_or_th4 a b n) (l_or_th5 a b n) : l_and (l_not a) (l_not b)).

(* constant 67 *)
definition l_orec ≝ λa:Prop.λb:Prop.(l_and (l_or a b) (l_ec a b) : Prop).

(* constant 68 *)
definition l_oreci ≝ λa:Prop.λb:Prop.λo:l_or a b.λe:l_ec a b.(l_andi (l_or a b) (l_ec a b) o e : l_orec a b).

(* constant 69 *)
definition l_orec_th1 ≝ λa:Prop.λb:Prop.λa1:a.λn:l_not b.(l_oreci a b (l_ori1 a b a1) (l_eci2 a b n) : l_orec a b).

(* constant 70 *)
definition l_orec_th2 ≝ λa:Prop.λb:Prop.λn:l_not a.λb1:b.(l_oreci a b (l_ori2 a b b1) (l_eci1 a b n) : l_orec a b).

(* constant 71 *)
definition l_orece1 ≝ λa:Prop.λb:Prop.λo:l_orec a b.(l_ande1 (l_or a b) (l_ec a b) o : l_or a b).

(* constant 72 *)
definition l_orece2 ≝ λa:Prop.λb:Prop.λo:l_orec a b.(l_ande2 (l_or a b) (l_ec a b) o : l_ec a b).

(* constant 73 *)
definition l_comorec ≝ λa:Prop.λb:Prop.λo:l_orec a b.(l_oreci b a (l_comor a b (l_orece1 a b o)) (l_comec a b (l_orece2 a b o)) : l_orec b a).

(* constant 74 *)
definition l_orec_th3 ≝ λa:Prop.λb:Prop.λo:l_orec a b.λa1:a.(l_ece1 a b (l_orece2 a b o) a1 : l_not b).

(* constant 75 *)
definition l_orec_th4 ≝ λa:Prop.λb:Prop.λo:l_orec a b.λb1:b.(l_ece2 a b (l_orece2 a b o) b1 : l_not a).

(* constant 76 *)
definition l_orec_th5 ≝ λa:Prop.λb:Prop.λo:l_orec a b.λn:l_not a.(l_ore2 a b (l_orece1 a b o) n : b).

(* constant 77 *)
definition l_orec_th6 ≝ λa:Prop.λb:Prop.λo:l_orec a b.λn:l_not b.(l_ore1 a b (l_orece1 a b o) n : a).

(* constant 78 *)
definition l_iff ≝ λa:Prop.λb:Prop.(l_and (l_imp a b) (l_imp b a) : Prop).

(* constant 79 *)
definition l_iffi ≝ λa:Prop.λb:Prop.λi:l_imp a b.λj:l_imp b a.(l_andi (l_imp a b) (l_imp b a) i j : l_iff a b).

(* constant 80 *)
definition l_iff_th1 ≝ λa:Prop.λb:Prop.λa1:a.λb1:b.(l_iffi a b (λx:a.b1) (λx:b.a1) : l_iff a b).

(* constant 81 *)
definition l_iff_th2 ≝ λa:Prop.λb:Prop.λn:l_not a.λm:l_not b.(l_iffi a b (l_imp_th2 a b n) (l_imp_th2 b a m) : l_iff a b).

(* constant 82 *)
definition l_iffe1 ≝ λa:Prop.λb:Prop.λi:l_iff a b.(l_ande1 (l_imp a b) (l_imp b a) i : l_imp a b).

(* constant 83 *)
definition l_iffe2 ≝ λa:Prop.λb:Prop.λi:l_iff a b.(l_ande2 (l_imp a b) (l_imp b a) i : l_imp b a).

(* constant 84 *)
definition l_comiff ≝ λa:Prop.λb:Prop.λi:l_iff a b.(l_iffi b a (l_iffe2 a b i) (l_iffe1 a b i) : l_iff b a).

(* constant 85 *)
definition l_iff_th3 ≝ λa:Prop.λb:Prop.λi:l_iff a b.λa1:a.(l_iffe1 a b i a1 : b).

(* constant 86 *)
definition l_iff_th4 ≝ λa:Prop.λb:Prop.λi:l_iff a b.λb1:b.(l_iffe2 a b i b1 : a).

(* constant 87 *)
definition l_iff_th5 ≝ λa:Prop.λb:Prop.λi:l_iff a b.λn:l_not a.(l_imp_th3 b a n (l_iffe2 a b i) : l_not b).

(* constant 88 *)
definition l_iff_th6 ≝ λa:Prop.λb:Prop.λi:l_iff a b.λn:l_not b.(l_imp_th3 a b n (l_iffe1 a b i) : l_not a).

(* constant 89 *)
definition l_iff_th7 ≝ λa:Prop.λb:Prop.λa1:a.λn:l_not b.(l_and_th1 (l_imp a b) (l_imp b a) (l_imp_th4 a b a1 n) : l_not (l_iff a b)).

(* constant 90 *)
definition l_iff_th8 ≝ λa:Prop.λb:Prop.λn:l_not a.λb1:b.(l_and_th2 (l_imp a b) (l_imp b a) (l_imp_th4 b a b1 n) : l_not (l_iff a b)).

(* constant 91 *)
definition l_refiff ≝ λa:Prop.(l_iffi a a (l_refimp a) (l_refimp a) : l_iff a a).

(* constant 92 *)
definition l_symiff ≝ λa:Prop.λb:Prop.λi:l_iff a b.(l_comiff a b i : l_iff b a).

(* constant 93 *)
definition l_triff ≝ λa:Prop.λb:Prop.λc:Prop.λi:l_iff a b.λj:l_iff b c.(l_iffi a c (l_trimp a b c (l_iffe1 a b i) (l_iffe1 b c j)) (l_trimp c b a (l_iffe2 b c j) (l_iffe2 a b i)) : l_iff a c).

(* constant 94 *)
definition l_iff_th9 ≝ λa:Prop.λb:Prop.λi:l_iff a b.(λx:l_not a.l_iff_th5 a b i x : l_imp (l_not a) (l_not b)).

(* constant 95 *)
definition l_iff_th10 ≝ λa:Prop.λb:Prop.λi:l_iff a b.(λx:l_not b.l_iff_th6 a b i x : l_imp (l_not b) (l_not a)).

(* constant 96 *)
definition l_iff_th11 ≝ λa:Prop.λb:Prop.λi:l_iff a b.(l_iffi (l_not a) (l_not b) (l_iff_th9 a b i) (l_iff_th10 a b i) : l_iff (l_not a) (l_not b)).

(* constant 97 *)
definition l_iff_th12 ≝ λa:Prop.λb:Prop.λi:l_imp (l_not a) (l_not b).λj:l_imp (l_not b) (l_not a).(l_iffi a b (l_cp a b j) (l_cp b a i) : l_iff a b).

(* constant 98 *)
definition l_iff_th13 ≝ λa:Prop.λb:Prop.λo:l_orec a b.(l_iffi a (l_not b) (l_orece2 a b o) (l_comor a b (l_orece1 a b o)) : l_iff a (l_not b)).

(* constant 99 *)
definition l_iff_th14 ≝ λa:Prop.λb:Prop.λo:l_orec a b.(l_iff_th13 b a (l_comorec a b o) : l_iff b (l_not a)).

(* constant 100 *)
definition l_iff_th15 ≝ λa:Prop.λb:Prop.λi:l_iff a (l_not b).(l_oreci a b (l_comor b a (l_iffe2 a (l_not b) i)) (l_iffe1 a (l_not b) i) : l_orec a b).

(* constant 101 *)
definition l_iff_th16 ≝ λa:Prop.λb:Prop.λi:l_iff b (l_not a).(l_comorec b a (l_iff_th15 b a i) : l_orec a b).

(* constant 102 *)
definition l_iff_thimp1 ≝ λa:Prop.λb:Prop.λc:Prop.λi:l_iff a b.λj:l_imp a c.(l_trimp b a c (l_iffe2 a b i) j : l_imp b c).

(* constant 103 *)
definition l_iff_thimp2 ≝ λa:Prop.λb:Prop.λc:Prop.λi:l_iff a b.λj:l_imp c a.(l_trimp c a b j (l_iffe1 a b i) : l_imp c b).

(* constant 104 *)
definition l_iff_thec1 ≝ λa:Prop.λb:Prop.λc:Prop.λi:l_iff a b.λe:l_ec a c.(l_ec_th3 a c b e (l_iffe2 a b i) : l_ec b c).

(* constant 105 *)
definition l_iff_thec2 ≝ λa:Prop.λb:Prop.λc:Prop.λi:l_iff a b.λe:l_ec c a.(l_ec_th4 c a b e (l_iffe2 a b i) : l_ec c b).

(* constant 106 *)
definition l_iff_thand1 ≝ λa:Prop.λb:Prop.λc:Prop.λi:l_iff a b.λa1:l_and a c.(l_and_th6 a c b a1 (l_iffe1 a b i) : l_and b c).

(* constant 107 *)
definition l_iff_thand2 ≝ λa:Prop.λb:Prop.λc:Prop.λi:l_iff a b.λa1:l_and c a.(l_and_th7 c a b a1 (l_iffe1 a b i) : l_and c b).

(* constant 108 *)
definition l_iff_thor1 ≝ λa:Prop.λb:Prop.λc:Prop.λi:l_iff a b.λo:l_or a c.(l_or_th7 a c b o (l_iffe1 a b i) : l_or b c).

(* constant 109 *)
definition l_iff_thor2 ≝ λa:Prop.λb:Prop.λc:Prop.λi:l_iff a b.λo:l_or c a.(l_or_th8 c a b o (l_iffe1 a b i) : l_or c b).

(* constant 110 *)
definition l_iff_thorec1 ≝ λa:Prop.λb:Prop.λc:Prop.λi:l_iff a b.λo:l_orec a c.(l_oreci b c (l_iff_thor1 a b c i (l_orece1 a c o)) (l_iff_thec1 a b c i (l_orece2 a c o)) : l_orec b c).

(* constant 111 *)
definition l_iff_thorec2 ≝ λa:Prop.λb:Prop.λc:Prop.λi:l_iff a b.λo:l_orec c a.(l_oreci c b (l_iff_thor2 a b c i (l_orece1 c a o)) (l_iff_thec2 a b c i (l_orece2 c a o)) : l_orec c b).

(* constant 112 *)
definition l_all ≝ λsigma:Type[0].λp:∀x:sigma.Prop.(∀x:sigma.p x : Prop).

(* constant 113 *)
definition l_alle ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λa1:l_all sigma p.λs:sigma.(a1 s : p s).

(* constant 114 *)
definition l_all_th1 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:sigma.λn:l_not (p s).(λx:l_all sigma p.n (x s) : l_not (l_all sigma p)).

(* constant 115 *)
definition l_non ≝ λsigma:Type[0].λp:∀x:sigma.Prop.(λx:sigma.l_not (p x) : ∀x:sigma.Prop).

(* constant 116 *)
definition l_none ≝ λsigma:Type[0].λp:∀x:sigma.Prop.(l_all sigma (l_non sigma p) : Prop).

(* constant 117 *)
definition l_some ≝ λsigma:Type[0].λp:∀x:sigma.Prop.(l_not (l_none sigma p) : Prop).

(* constant 118 *)
definition l_somei ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:sigma.λsp:p s.(l_all_th1 sigma (l_non sigma p) s (l_weli (p s) sp) : l_some sigma p).

(* constant 119 *)
definition l_some_t1 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λn:l_not (l_all sigma p).λm:l_none sigma (l_non sigma p).λs:sigma.(l_et (p s) (m s) : p s).

(* constant 120 *)
definition l_some_t2 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λn:l_not (l_all sigma p).λm:l_none sigma (l_non sigma p).(n (λx:sigma.l_some_t1 sigma p n m x) : l_con).

(* constant 121 *)
definition l_some_th1 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λn:l_not (l_all sigma p).(λx:l_none sigma (l_non sigma p).l_some_t2 sigma p n x : l_some sigma (l_non sigma p)).

(* constant 122 *)
definition l_some_t3 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:l_some sigma (l_non sigma p).λa1:l_all sigma p.λt:sigma.(l_weli (p t) (a1 t) : l_not (l_not (p t))).

(* constant 123 *)
definition l_some_t4 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:l_some sigma (l_non sigma p).λa1:l_all sigma p.(s (λx:sigma.l_some_t3 sigma p s a1 x) : l_con).

(* constant 124 *)
definition l_some_th2 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:l_some sigma (l_non sigma p).(λx:l_all sigma p.l_some_t4 sigma p s x : l_not (l_all sigma p)).

(* constant 125 *)
definition l_some_th3 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λn:l_not (l_some sigma p).(l_et (l_none sigma p) n : l_none sigma p).

(* constant 126 *)
definition l_some_th4 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λn:l_not (l_some sigma p).λs:sigma.(l_some_th3 sigma p n s : l_not (p s)).

(* constant 127 *)
definition l_some_th5 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λn:l_none sigma p.(l_weli (l_none sigma p) n : l_not (l_some sigma p)).

(* constant 128 *)
definition l_some_t5 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:l_some sigma p.λx:Prop.λi:∀y:sigma.l_imp (p y) x.λn:l_not x.λt:sigma.(l_imp_th3 (p t) x n (i t) : l_not (p t)).

(* constant 129 *)
definition l_some_t6 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:l_some sigma p.λx:Prop.λi:∀y:sigma.l_imp (p y) x.λn:l_not x.(l_mp (l_some sigma p) l_con s (l_some_th5 sigma p (λy:sigma.l_some_t5 sigma p s x i n y)) : l_con).

(* constant 130 *)
definition l_someapp ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:l_some sigma p.λx:Prop.λi:∀y:sigma.l_imp (p y) x.(l_et x (λy:l_not x.l_some_t6 sigma p s x i y) : x).

(* constant 131 *)
definition l_some_th6 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λq:∀x:sigma.Prop.λs:l_some sigma p.λi:∀x:sigma.l_imp (p x) (q x).(l_someapp sigma p s (l_some sigma q) (λx:sigma.λy:p x.l_somei sigma q x (l_mp (p x) (q x) y (i x))) : l_some sigma q).

(* constant 132 *)
definition l_or3 ≝ λa:Prop.λb:Prop.λc:Prop.(l_or a (l_or b c) : Prop).

(* constant 133 *)
definition l_or3_th1 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or3 a b c.λn:l_not a.(l_ore2 a (l_or b c) o n : l_or b c).

(* constant 134 *)
definition l_or3e3 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or3 a b c.λn:l_not a.λm:l_not b.(l_ore2 b c (l_or3_th1 a b c o n) m : c).

(* constant 135 *)
definition l_or3_th2 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or3 a b c.λn:l_not b.(l_or_th2 c a (λx:l_not a.l_or3e3 a b c o x n) : l_or c a).

(* constant 136 *)
definition l_or3e1 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or3 a b c.λn:l_not b.λm:l_not c.(l_ore2 c a (l_or3_th2 a b c o n) m : a).

(* constant 137 *)
definition l_or3_th3 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or3 a b c.λn:l_not c.(l_or_th2 a b (λx:l_not b.l_or3e1 a b c o x n) : l_or a b).

(* constant 138 *)
definition l_or3e2 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or3 a b c.λn:l_not c.λm:l_not a.(l_ore2 a b (l_or3_th3 a b c o n) m : b).

(* constant 139 *)
definition l_or3_th4 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or3 a b c.(l_or_th1 b (l_or c a) (λx:l_not b.l_or3_th2 a b c o x) : l_or3 b c a).

(* constant 140 *)
definition l_or3_th5 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or3 a b c.(l_or3_th4 b c a (l_or3_th4 a b c o) : l_or3 c a b).

(* constant 141 *)
definition l_or3i1 ≝ λa:Prop.λb:Prop.λc:Prop.λa1:a.(l_ori1 a (l_or b c) a1 : l_or3 a b c).

(* constant 142 *)
definition l_or3i2 ≝ λa:Prop.λb:Prop.λc:Prop.λb1:b.(l_ori2 a (l_or b c) (l_ori1 b c b1) : l_or3 a b c).

(* constant 143 *)
definition l_or3i3 ≝ λa:Prop.λb:Prop.λc:Prop.λc1:c.(l_ori2 a (l_or b c) (l_ori2 b c c1) : l_or3 a b c).

(* constant 144 *)
definition l_or3_th6 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or a b.(l_or3_th4 c a b (l_ori2 c (l_or a b) o) : l_or3 a b c).

(* constant 145 *)
definition l_or3_th7 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or b c.(l_ori2 a (l_or b c) o : l_or3 a b c).

(* constant 146 *)
definition l_or3_th8 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or c a.(l_or3_th4 c a b (l_or3_th6 c a b o) : l_or3 a b c).

(* constant 147 *)
definition l_or3app ≝ λa:Prop.λb:Prop.λc:Prop.λd:Prop.λo:l_or3 a b c.λi:l_imp a d.λj:l_imp b d.λk:l_imp c d.(l_orapp a (l_or b c) d o i (λx:l_or b c.l_orapp b c d x j k) : d).

(* constant 148 *)
definition l_and3 ≝ λa:Prop.λb:Prop.λc:Prop.(l_and a (l_and b c) : Prop).

(* constant 149 *)
definition l_and3e1 ≝ λa:Prop.λb:Prop.λc:Prop.λa1:l_and3 a b c.(l_ande1 a (l_and b c) a1 : a).

(* constant 150 *)
definition l_and3e2 ≝ λa:Prop.λb:Prop.λc:Prop.λa1:l_and3 a b c.(l_ande1 b c (l_ande2 a (l_and b c) a1) : b).

(* constant 151 *)
definition l_and3e3 ≝ λa:Prop.λb:Prop.λc:Prop.λa1:l_and3 a b c.(l_ande2 b c (l_ande2 a (l_and b c) a1) : c).

(* constant 152 *)
definition l_and3i ≝ λa:Prop.λb:Prop.λc:Prop.λa1:a.λb1:b.λc1:c.(l_andi a (l_and b c) a1 (l_andi b c b1 c1) : l_and3 a b c).

(* constant 153 *)
definition l_and3_th1 ≝ λa:Prop.λb:Prop.λc:Prop.λa1:l_and3 a b c.(l_and3i b c a (l_and3e2 a b c a1) (l_and3e3 a b c a1) (l_and3e1 a b c a1) : l_and3 b c a).

(* constant 154 *)
definition l_and3_th2 ≝ λa:Prop.λb:Prop.λc:Prop.λa1:l_and3 a b c.(l_and3_th1 b c a (l_and3_th1 a b c a1) : l_and3 c a b).

(* constant 155 *)
definition l_and3_th3 ≝ λa:Prop.λb:Prop.λc:Prop.λa1:l_and3 a b c.(l_andi a b (l_and3e1 a b c a1) (l_and3e2 a b c a1) : l_and a b).

(* constant 156 *)
definition l_and3_th4 ≝ λa:Prop.λb:Prop.λc:Prop.λa1:l_and3 a b c.(l_ande2 a (l_and b c) a1 : l_and b c).

(* constant 157 *)
definition l_and3_th5 ≝ λa:Prop.λb:Prop.λc:Prop.λa1:l_and3 a b c.(l_and3_th3 c a b (l_and3_th2 a b c a1) : l_and c a).

(* constant 158 *)
definition l_and3_th6 ≝ λa:Prop.λb:Prop.λc:Prop.λa1:l_and3 a b c.(l_and3i c b a (l_and3e3 a b c a1) (l_and3e2 a b c a1) (l_and3e1 a b c a1) : l_and3 c b a).

(* constant 159 *)
definition l_ec3 ≝ λa:Prop.λb:Prop.λc:Prop.(l_and3 (l_ec a b) (l_ec b c) (l_ec c a) : Prop).

(* constant 160 *)
definition l_ec3_th1 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.(l_and3e1 (l_ec a b) (l_ec b c) (l_ec c a) e : l_ec a b).

(* constant 161 *)
definition l_ec3_th2 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.(l_and3e2 (l_ec a b) (l_ec b c) (l_ec c a) e : l_ec b c).

(* constant 162 *)
definition l_ec3_th3 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.(l_and3e3 (l_ec a b) (l_ec b c) (l_ec c a) e : l_ec c a).

(* constant 163 *)
definition l_ec3_th4 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.(l_and3_th1 (l_ec a b) (l_ec b c) (l_ec c a) e : l_ec3 b c a).

(* constant 164 *)
definition l_ec3_th5 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.(l_ec3_th4 b c a (l_ec3_th4 a b c e) : l_ec3 c a b).

(* constant 165 *)
definition l_ec3_th5a ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.(l_and3i (l_ec c b) (l_ec b a) (l_ec a c) (l_comec b c (l_ec3_th2 a b c e)) (l_comec a b (l_ec3_th1 a b c e)) (l_comec c a (l_ec3_th3 a b c e)) : l_ec3 c b a).

(* constant 166 *)
definition l_ec3e12 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.λa1:a.(l_ece1 a b (l_ec3_th1 a b c e) a1 : l_not b).

(* constant 167 *)
definition l_ec3e13 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.λa1:a.(l_ece2 c a (l_ec3_th3 a b c e) a1 : l_not c).

(* constant 168 *)
definition l_ec3e23 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.λb1:b.(l_ec3e12 b c a (l_ec3_th4 a b c e) b1 : l_not c).

(* constant 169 *)
definition l_ec3e21 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.λb1:b.(l_ec3e13 b c a (l_ec3_th4 a b c e) b1 : l_not a).

(* constant 170 *)
definition l_ec3e31 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.λc1:c.(l_ec3e12 c a b (l_ec3_th5 a b c e) c1 : l_not a).

(* constant 171 *)
definition l_ec3e32 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.λc1:c.(l_ec3e13 c a b (l_ec3_th5 a b c e) c1 : l_not b).

(* constant 172 *)
definition l_ec3_th6 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec a b.λf:l_ec b c.λg:l_ec c a.(l_and3i (l_ec a b) (l_ec b c) (l_ec c a) e f g : l_ec3 a b c).

(* constant 173 *)
definition l_ec3_th7 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.λo:l_or a b.(l_orapp a b (l_not c) o (λx:a.l_ece2 c a (l_ec3_th3 a b c e) x) (λx:b.l_ece1 b c (l_ec3_th2 a b c e) x) : l_not c).

(* constant 174 *)
definition l_ec3_th8 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.λo:l_or b c.(l_ec3_th7 b c a (l_ec3_th4 a b c e) o : l_not a).

(* constant 175 *)
definition l_ec3_th9 ≝ λa:Prop.λb:Prop.λc:Prop.λe:l_ec3 a b c.λo:l_or c a.(l_ec3_th7 c a b (l_ec3_th5 a b c e) o : l_not b).

(* constant 176 *)
definition l_ec3i1 ≝ λa:Prop.λb:Prop.λc:Prop.λn:l_not a.λm:l_not b.(l_ec3_th6 a b c (l_eci1 a b n) (l_eci1 b c m) (l_eci2 c a n) : l_ec3 a b c).

(* constant 177 *)
definition l_ec3i2 ≝ λa:Prop.λb:Prop.λc:Prop.λn:l_not b.λm:l_not c.(l_ec3_th6 a b c (l_eci2 a b n) (l_eci1 b c n) (l_eci1 c a m) : l_ec3 a b c).

(* constant 178 *)
definition l_ec3i3 ≝ λa:Prop.λb:Prop.λc:Prop.λn:l_not c.λm:l_not a.(l_ec3_th6 a b c (l_eci1 a b m) (l_eci2 b c n) (l_eci1 c a n) : l_ec3 a b c).

(* constant 179 *)
definition l_ec3_t1 ≝ λa:Prop.λb:Prop.λc:Prop.λd:Prop.λe:Prop.λf:Prop.λo1:l_or3 a b c.λp1:l_ec3 d e f.λi:l_imp a d.λj:l_imp b e.λk:l_imp c f.λd1:d.(λx:b.l_mp e l_con (j x) (l_ec3e12 d e f p1 d1) : l_not b).

(* constant 180 *)
definition l_ec3_t2 ≝ λa:Prop.λb:Prop.λc:Prop.λd:Prop.λe:Prop.λf:Prop.λo1:l_or3 a b c.λp1:l_ec3 d e f.λi:l_imp a d.λj:l_imp b e.λk:l_imp c f.λd1:d.(λx:c.l_mp f l_con (k x) (l_ec3e13 d e f p1 d1) : l_not c).

(* constant 181 *)
definition l_ec3_th10 ≝ λa:Prop.λb:Prop.λc:Prop.λd:Prop.λe:Prop.λf:Prop.λo1:l_or3 a b c.λp1:l_ec3 d e f.λi:l_imp a d.λj:l_imp b e.λk:l_imp c f.λd1:d.(l_or3e1 a b c o1 (l_ec3_t1 a b c d e f o1 p1 i j k d1) (l_ec3_t2 a b c d e f o1 p1 i j k d1) : a).

(* constant 182 *)
definition l_ec3_th11 ≝ λa:Prop.λb:Prop.λc:Prop.λd:Prop.λe:Prop.λf:Prop.λo1:l_or3 a b c.λp1:l_ec3 d e f.λi:l_imp a d.λj:l_imp b e.λk:l_imp c f.λe1:e.(l_ec3_th10 b c a e f d (l_or3_th4 a b c o1) (l_ec3_th4 d e f p1) j k i e1 : b).

(* constant 183 *)
definition l_ec3_th12 ≝ λa:Prop.λb:Prop.λc:Prop.λd:Prop.λe:Prop.λf:Prop.λo1:l_or3 a b c.λp1:l_ec3 d e f.λi:l_imp a d.λj:l_imp b e.λk:l_imp c f.λf1:f.(l_ec3_th10 c a b f d e (l_or3_th5 a b c o1) (l_ec3_th5 d e f p1) k i j f1 : c).

(* constant 184 *)
definition l_orec3 ≝ λa:Prop.λb:Prop.λc:Prop.(l_and (l_or3 a b c) (l_ec3 a b c) : Prop).

(* constant 185 *)
definition l_orec3e1 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_orec3 a b c.(l_ande1 (l_or3 a b c) (l_ec3 a b c) o : l_or3 a b c).

(* constant 186 *)
definition l_orec3e2 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_orec3 a b c.(l_ande2 (l_or3 a b c) (l_ec3 a b c) o : l_ec3 a b c).

(* constant 187 *)
definition l_orec3i ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_or3 a b c.λe:l_ec3 a b c.(l_andi (l_or3 a b c) (l_ec3 a b c) o e : l_orec3 a b c).

(* constant 188 *)
definition l_orec3_th1 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_orec3 a b c.(l_orec3i b c a (l_or3_th4 a b c (l_orec3e1 a b c o)) (l_ec3_th4 a b c (l_orec3e2 a b c o)) : l_orec3 b c a).

(* constant 189 *)
definition l_orec3_th2 ≝ λa:Prop.λb:Prop.λc:Prop.λo:l_orec3 a b c.(l_orec3i c a b (l_or3_th5 a b c (l_orec3e1 a b c o)) (l_ec3_th5 a b c (l_orec3e2 a b c o)) : l_orec3 c a b).

(* constant 190 *)
axiom l_e_is : Πsigma:Type[0].Πs:sigma.Πt:sigma.Prop.

(* constant 191 *)
axiom l_e_refis : Πsigma:Type[0].Πs:sigma.l_e_is sigma s s.

(* constant 192 *)
axiom l_e_isp : Πsigma:Type[0].∀p:∀x:sigma.Prop.Πs:sigma.Πt:sigma.∀sp:p s.∀i:l_e_is sigma s t.p t.

(* constant 193 *)
definition l_e_symis ≝ λsigma:Type[0].λs:sigma.λt:sigma.λi:l_e_is sigma s t.(l_e_isp sigma (λx:sigma.l_e_is sigma x s) s t (l_e_refis sigma s) i : l_e_is sigma t s).

(* constant 194 *)
definition l_e_tris ≝ λsigma:Type[0].λs:sigma.λt:sigma.λu:sigma.λi:l_e_is sigma s t.λj:l_e_is sigma t u.(l_e_isp sigma (λx:sigma.l_e_is sigma x u) t s j (l_e_symis sigma s t i) : l_e_is sigma s u).

(* constant 195 *)
definition l_e_tris1 ≝ λsigma:Type[0].λs:sigma.λt:sigma.λu:sigma.λi:l_e_is sigma u s.λj:l_e_is sigma u t.(l_e_tris sigma s u t (l_e_symis sigma u s i) j : l_e_is sigma s t).

(* constant 196 *)
definition l_e_tris2 ≝ λsigma:Type[0].λs:sigma.λt:sigma.λu:sigma.λi:l_e_is sigma s u.λj:l_e_is sigma t u.(l_e_tris sigma s u t i (l_e_symis sigma t u j) : l_e_is sigma s t).

(* constant 197 *)
definition l_e_isp1 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:sigma.λt:sigma.λsp:p s.λi:l_e_is sigma t s.(l_e_isp sigma p s t sp (l_e_symis sigma t s i) : p t).

(* constant 198 *)
definition l_e_symnotis ≝ λsigma:Type[0].λs:sigma.λt:sigma.λn:l_not (l_e_is sigma s t).(l_imp_th3 (l_e_is sigma t s) (l_e_is sigma s t) n (λx:l_e_is sigma t s.l_e_symis sigma t s x) : l_not (l_e_is sigma t s)).

(* constant 199 *)
definition l_e_notis_th1 ≝ λsigma:Type[0].λs:sigma.λt:sigma.λu:sigma.λn:l_not (l_e_is sigma s t).λi:l_e_is sigma s u.(l_e_isp sigma (λx:sigma.l_not (l_e_is sigma x t)) s u n i : l_not (l_e_is sigma u t)).

(* constant 200 *)
definition l_e_notis_th2 ≝ λsigma:Type[0].λs:sigma.λt:sigma.λu:sigma.λn:l_not (l_e_is sigma s t).λi:l_e_is sigma u s.(l_e_notis_th1 sigma s t u n (l_e_symis sigma u s i) : l_not (l_e_is sigma u t)).

(* constant 201 *)
definition l_e_notis_th3 ≝ λsigma:Type[0].λs:sigma.λt:sigma.λu:sigma.λn:l_not (l_e_is sigma s t).λi:l_e_is sigma t u.(l_e_isp sigma (λx:sigma.l_not (l_e_is sigma s x)) t u n i : l_not (l_e_is sigma s u)).

(* constant 202 *)
definition l_e_notis_th4 ≝ λsigma:Type[0].λs:sigma.λt:sigma.λu:sigma.λn:l_not (l_e_is sigma s t).λi:l_e_is sigma u t.(l_e_notis_th3 sigma s t u n (l_e_symis sigma u t i) : l_not (l_e_is sigma s u)).

(* constant 203 *)
definition l_e_notis_th5 ≝ λsigma:Type[0].λs:sigma.λt:sigma.λu:sigma.λv:sigma.λn:l_not (l_e_is sigma s t).λi:l_e_is sigma s u.λj:l_e_is sigma t v.(l_e_notis_th3 sigma u t v (l_e_notis_th1 sigma s t u n i) j : l_not (l_e_is sigma u v)).

(* constant 204 *)
definition l_e_tr3is ≝ λsigma:Type[0].λs:sigma.λt:sigma.λu:sigma.λv:sigma.λi:l_e_is sigma s t.λj:l_e_is sigma t u.λk:l_e_is sigma u v.(l_e_tris sigma s u v (l_e_tris sigma s t u i j) k : l_e_is sigma s v).

(* constant 205 *)
definition l_e_tr4is ≝ λsigma:Type[0].λs:sigma.λt:sigma.λu:sigma.λv:sigma.λw:sigma.λi:l_e_is sigma s t.λj:l_e_is sigma t u.λk:l_e_is sigma u v.λl:l_e_is sigma v w.(l_e_tris sigma s v w (l_e_tr3is sigma s t u v i j k) l : l_e_is sigma s w).

(* constant 206 *)
definition l_e_amone ≝ λsigma:Type[0].λp:∀x:sigma.Prop.(∀x:sigma.∀y:sigma.∀u:p x.∀v:p y.l_e_is sigma x y : Prop).

(* constant 207 *)
definition l_e_amonee ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λa1:l_e_amone sigma p.λs:sigma.λt:sigma.λsp:p s.λtp:p t.(a1 s t sp tp : l_e_is sigma s t).

(* constant 208 *)
definition l_e_one ≝ λsigma:Type[0].λp:∀x:sigma.Prop.(l_and (l_e_amone sigma p) (l_some sigma p) : Prop).

(* constant 209 *)
definition l_e_onei ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λa1:l_e_amone sigma p.λs:l_some sigma p.(l_andi (l_e_amone sigma p) (l_some sigma p) a1 s : l_e_one sigma p).

(* constant 210 *)
definition l_e_onee1 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λo1:l_e_one sigma p.(l_ande1 (l_e_amone sigma p) (l_some sigma p) o1 : l_e_amone sigma p).

(* constant 211 *)
definition l_e_onee2 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λo1:l_e_one sigma p.(l_ande2 (l_e_amone sigma p) (l_some sigma p) o1 : l_some sigma p).

(* constant 212 *)
axiom l_e_ind : Πsigma:Type[0].∀p:∀x:sigma.Prop.∀o1:l_e_one sigma p.sigma.

(* constant 213 *)
axiom l_e_oneax : Πsigma:Type[0].∀p:∀x:sigma.Prop.∀o1:l_e_one sigma p.p (l_e_ind sigma p o1).

(* constant 214 *)
definition l_e_one_th1 ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λo1:l_e_one sigma p.λs:sigma.λsp:p s.(l_e_amonee sigma p (l_e_onee1 sigma p o1) (l_e_ind sigma p o1) s (l_e_oneax sigma p o1) sp : l_e_is sigma (l_e_ind sigma p o1) s).

(* constant 215 *)
definition l_e_isf ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λs:sigma.λt:sigma.λi:l_e_is sigma s t.(l_e_isp sigma (λx:sigma.l_e_is tau (f s) (f x)) s t (l_e_refis tau (f s)) i : l_e_is tau (f s) (f t)).

(* constant 216 *)
definition l_e_injective ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.(l_all sigma (λx:sigma.l_all sigma (λy:sigma.l_imp (l_e_is tau (f x) (f y)) (l_e_is sigma x y))) : Prop).

(* constant 217 *)
definition l_e_isfe ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.λs:sigma.λt:sigma.λj:l_e_is tau (f s) (f t).(i s t j : l_e_is sigma s t).

(* constant 218 *)
definition l_e_image ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λt0:tau.(l_some sigma (λx:sigma.l_e_is tau t0 (f x)) : Prop).

(* constant 219 *)
definition l_e_tofs ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λs:sigma.(f s : tau).

(* constant 220 *)
definition l_e_imagei ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λs:sigma.(l_somei sigma (λx:sigma.l_e_is tau (l_e_tofs sigma tau f s) (f x)) s (l_e_refis tau (l_e_tofs sigma tau f s)) : l_e_image sigma tau f (l_e_tofs sigma tau f s)).

(* constant 221 *)
definition l_e_inj_t1 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.λta:tau.λtb:tau.λj:l_e_is tau ta tb.λsa:sigma.λsb:sigma.λja:l_e_is tau ta (l_e_tofs sigma tau f sa).λjb:l_e_is tau tb (l_e_tofs sigma tau f sb).(l_e_tr3is tau (l_e_tofs sigma tau f sa) ta tb (l_e_tofs sigma tau f sb) (l_e_symis tau ta (l_e_tofs sigma tau f sa) ja) j jb : l_e_is tau (l_e_tofs sigma tau f sa) (l_e_tofs sigma tau f sb)).

(* constant 222 *)
definition l_e_inj_th1 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.λta:tau.λtb:tau.λj:l_e_is tau ta tb.λsa:sigma.λsb:sigma.λja:l_e_is tau ta (l_e_tofs sigma tau f sa).λjb:l_e_is tau tb (l_e_tofs sigma tau f sb).(l_e_isfe sigma tau f i sa sb (l_e_inj_t1 sigma tau f i ta tb j sa sb ja jb) : l_e_is sigma sa sb).

(* constant 223 *)
definition l_e_inj_th2 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.λt0:tau.(λx:sigma.λy:sigma.λu:l_e_is tau t0 (f x).λv:l_e_is tau t0 (f y).l_e_inj_th1 sigma tau f i t0 t0 (l_e_refis tau t0) x y u v : l_e_amone sigma (λx:sigma.l_e_is tau t0 (f x))).

(* constant 224 *)
definition l_e_inj_th3 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.λt0:tau.λj:l_e_image sigma tau f t0.(l_e_onei sigma (λx:sigma.l_e_is tau t0 (f x)) (l_e_inj_th2 sigma tau f i t0) j : l_e_one sigma (λx:sigma.l_e_is tau t0 (f x))).

(* constant 225 *)
definition l_e_soft ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.λt0:tau.λj:l_e_image sigma tau f t0.(l_e_ind sigma (λx:sigma.l_e_is tau t0 (f x)) (l_e_inj_th3 sigma tau f i t0 j) : sigma).

(* constant 226 *)
definition l_e_inverse ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.(λx:tau.λu:l_e_image sigma tau f x.l_e_soft sigma tau f i x u : Πx:tau.Πu:l_e_image sigma tau f x.sigma).

(* constant 227 *)
definition l_e_ists1 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.λt0:tau.λj:l_e_image sigma tau f t0.(l_e_oneax sigma (λx:sigma.l_e_is tau t0 (f x)) (l_e_inj_th3 sigma tau f i t0 j) : l_e_is tau t0 (l_e_tofs sigma tau f (l_e_soft sigma tau f i t0 j))).

(* constant 228 *)
definition l_e_ists2 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.λt0:tau.λj:l_e_image sigma tau f t0.(l_e_symis tau t0 (l_e_tofs sigma tau f (l_e_soft sigma tau f i t0 j)) (l_e_ists1 sigma tau f i t0 j) : l_e_is tau (l_e_tofs sigma tau f (l_e_soft sigma tau f i t0 j)) t0).

(* constant 229 *)
definition l_e_isinv ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.λta:tau.λja:l_e_image sigma tau f ta.λtb:tau.λjb:l_e_image sigma tau f tb.λj:l_e_is tau ta tb.(l_e_inj_th1 sigma tau f i ta tb j (l_e_soft sigma tau f i ta ja) (l_e_soft sigma tau f i tb jb) (l_e_ists1 sigma tau f i ta ja) (l_e_ists1 sigma tau f i tb jb) : l_e_is sigma (l_e_soft sigma tau f i ta ja) (l_e_soft sigma tau f i tb jb)).

(* constant 230 *)
definition l_e_isinve ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.λta:tau.λja:l_e_image sigma tau f ta.λtb:tau.λjb:l_e_image sigma tau f tb.λj:l_e_is sigma (l_e_soft sigma tau f i ta ja) (l_e_soft sigma tau f i tb jb).(l_e_tr3is tau ta (l_e_tofs sigma tau f (l_e_soft sigma tau f i ta ja)) (l_e_tofs sigma tau f (l_e_soft sigma tau f i tb jb)) tb (l_e_ists1 sigma tau f i ta ja) (l_e_isf sigma tau f (l_e_soft sigma tau f i ta ja) (l_e_soft sigma tau f i tb jb) j) (l_e_ists2 sigma tau f i tb jb) : l_e_is tau ta tb).

(* constant 231 *)
definition l_e_isst1 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.λs:sigma.(l_e_isfe sigma tau f i s (l_e_soft sigma tau f i (l_e_tofs sigma tau f s) (l_e_imagei sigma tau f s)) (l_e_ists1 sigma tau f i (l_e_tofs sigma tau f s) (l_e_imagei sigma tau f s)) : l_e_is sigma s (l_e_soft sigma tau f i (l_e_tofs sigma tau f s) (l_e_imagei sigma tau f s))).

(* constant 232 *)
definition l_e_isst2 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λi:l_e_injective sigma tau f.λs:sigma.(l_e_symis sigma s (l_e_soft sigma tau f i (l_e_tofs sigma tau f s) (l_e_imagei sigma tau f s)) (l_e_isst1 sigma tau f i s) : l_e_is sigma (l_e_soft sigma tau f i (l_e_tofs sigma tau f s) (l_e_imagei sigma tau f s)) s).

(* constant 233 *)
definition l_e_surjective ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.(l_all tau (λx:tau.l_e_image sigma tau f x) : Prop).

(* constant 234 *)
definition l_e_bijective ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.(l_and (l_e_injective sigma tau f) (l_e_surjective sigma tau f) : Prop).

(* constant 235 *)
definition l_e_inj_t2 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λb:l_e_bijective sigma tau f.(l_ande1 (l_e_injective sigma tau f) (l_e_surjective sigma tau f) b : l_e_injective sigma tau f).

(* constant 236 *)
definition l_e_inj_t3 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λb:l_e_bijective sigma tau f.(l_ande2 (l_e_injective sigma tau f) (l_e_surjective sigma tau f) b : l_e_surjective sigma tau f).

(* constant 237 *)
definition l_e_inj_so ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λb:l_e_bijective sigma tau f.λt:tau.(l_e_soft sigma tau f (l_e_inj_t2 sigma tau f b) t (l_e_inj_t3 sigma tau f b t) : sigma).

(* constant 238 *)
definition l_e_invf ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λb:l_e_bijective sigma tau f.(λx:tau.l_e_inj_so sigma tau f b x : Πx:tau.sigma).

(* constant 239 *)
definition l_e_thinvf1 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λb:l_e_bijective sigma tau f.λs:sigma.(l_e_tris sigma s (l_e_soft sigma tau f (l_e_inj_t2 sigma tau f b) (l_e_tofs sigma tau f s) (l_e_imagei sigma tau f s)) (l_e_invf sigma tau f b (f s)) (l_e_isst1 sigma tau f (l_e_inj_t2 sigma tau f b) s) (l_e_isinv sigma tau f (l_e_inj_t2 sigma tau f b) (l_e_tofs sigma tau f s) (l_e_imagei sigma tau f s) (l_e_tofs sigma tau f s) (l_e_inj_t3 sigma tau f b (l_e_tofs sigma tau f s)) (l_e_refis tau (l_e_tofs sigma tau f s))) : l_e_is sigma s (l_e_invf sigma tau f b (f s))).

(* constant 240 *)
definition l_e_thinvf2 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λb:l_e_bijective sigma tau f.λt:tau.(l_e_ists1 sigma tau f (l_e_inj_t2 sigma tau f b) t (l_e_inj_t3 sigma tau f b t) : l_e_is tau t (f (l_e_invf sigma tau f b t))).

(* constant 241 *)
definition l_e_inj_h ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λif:l_e_injective sigma tau f.λig:l_e_injective tau upsilon g.(λx:sigma.g (f x) : Πx:sigma.upsilon).

(* constant 242 *)
definition l_e_inj_t4 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λif:l_e_injective sigma tau f.λig:l_e_injective tau upsilon g.λs:sigma.λt:sigma.λi:l_e_is upsilon (l_e_inj_h sigma tau upsilon f g if ig s) (l_e_inj_h sigma tau upsilon f g if ig t).(l_e_isfe tau upsilon g ig (f s) (f t) i : l_e_is tau (f s) (f t)).

(* constant 243 *)
definition l_e_inj_t5 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λif:l_e_injective sigma tau f.λig:l_e_injective tau upsilon g.λs:sigma.λt:sigma.λi:l_e_is upsilon (l_e_inj_h sigma tau upsilon f g if ig s) (l_e_inj_h sigma tau upsilon f g if ig t).(l_e_isfe sigma tau f if s t (l_e_inj_t4 sigma tau upsilon f g if ig s t i) : l_e_is sigma s t).

(* constant 244 *)
definition l_e_inj_th4 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λif:l_e_injective sigma tau f.λig:l_e_injective tau upsilon g.(λx:sigma.λy:sigma.λv:l_e_is upsilon (l_e_inj_h sigma tau upsilon f g if ig x) (l_e_inj_h sigma tau upsilon f g if ig y).l_e_inj_t5 sigma tau upsilon f g if ig x y v : l_e_injective sigma upsilon (λx:sigma.g (f x))).

(* constant 245 *)
definition l_e_surj_h ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λsf:l_e_surjective sigma tau f.λsg:l_e_surjective tau upsilon g.(λx:sigma.g (f x) : Πx:sigma.upsilon).

(* constant 246 *)
definition l_e_surj_t1 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λsf:l_e_surjective sigma tau f.λsg:l_e_surjective tau upsilon g.λu:upsilon.(sg u : l_e_image tau upsilon g u).

(* constant 247 *)
definition l_e_surj_t2 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λsf:l_e_surjective sigma tau f.λsg:l_e_surjective tau upsilon g.λu:upsilon.λt:tau.λi:l_e_is upsilon u (g t).(sf t : l_e_image sigma tau f t).

(* constant 248 *)
definition l_e_surj_t3 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λsf:l_e_surjective sigma tau f.λsg:l_e_surjective tau upsilon g.λu:upsilon.λt:tau.λi:l_e_is upsilon u (g t).λs:sigma.λj:l_e_is tau t (f s).(l_e_tris upsilon u (g t) (l_e_surj_h sigma tau upsilon f g sf sg s) i (l_e_isf tau upsilon g t (f s) j) : l_e_is upsilon u (l_e_surj_h sigma tau upsilon f g sf sg s)).

(* constant 249 *)
definition l_e_surj_t4 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λsf:l_e_surjective sigma tau f.λsg:l_e_surjective tau upsilon g.λu:upsilon.λt:tau.λi:l_e_is upsilon u (g t).λs:sigma.λj:l_e_is tau t (f s).(l_somei sigma (λx:sigma.l_e_is upsilon u (l_e_surj_h sigma tau upsilon f g sf sg x)) s (l_e_surj_t3 sigma tau upsilon f g sf sg u t i s j) : l_e_image sigma upsilon (l_e_surj_h sigma tau upsilon f g sf sg) u).

(* constant 250 *)
definition l_e_surj_t5 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λsf:l_e_surjective sigma tau f.λsg:l_e_surjective tau upsilon g.λu:upsilon.λt:tau.λi:l_e_is upsilon u (g t).(l_someapp sigma (λx:sigma.l_e_is tau t (f x)) (l_e_surj_t2 sigma tau upsilon f g sf sg u t i) (l_e_image sigma upsilon (l_e_surj_h sigma tau upsilon f g sf sg) u) (λx:sigma.λv:l_e_is tau t (f x).l_e_surj_t4 sigma tau upsilon f g sf sg u t i x v) : l_e_image sigma upsilon (l_e_surj_h sigma tau upsilon f g sf sg) u).

(* constant 251 *)
definition l_e_surj_t6 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λsf:l_e_surjective sigma tau f.λsg:l_e_surjective tau upsilon g.λu:upsilon.(l_someapp tau (λx:tau.l_e_is upsilon u (g x)) (l_e_surj_t1 sigma tau upsilon f g sf sg u) (l_e_image sigma upsilon (l_e_surj_h sigma tau upsilon f g sf sg) u) (λx:tau.λv:l_e_is upsilon u (g x).l_e_surj_t5 sigma tau upsilon f g sf sg u x v) : l_e_image sigma upsilon (l_e_surj_h sigma tau upsilon f g sf sg) u).

(* constant 252 *)
definition l_e_surj_th1 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λsf:l_e_surjective sigma tau f.λsg:l_e_surjective tau upsilon g.(λx:upsilon.l_e_surj_t6 sigma tau upsilon f g sf sg x : l_e_surjective sigma upsilon (λx:sigma.g (f x))).

(* constant 253 *)
definition l_e_bij_h ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λbf:l_e_bijective sigma tau f.λbg:l_e_bijective tau upsilon g.(λx:sigma.g (f x) : Πx:sigma.upsilon).

(* constant 254 *)
definition l_e_bij_t1 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λbf:l_e_bijective sigma tau f.λbg:l_e_bijective tau upsilon g.(l_e_inj_th4 sigma tau upsilon f g (l_ande1 (l_e_injective sigma tau f) (l_e_surjective sigma tau f) bf) (l_ande1 (l_e_injective tau upsilon g) (l_e_surjective tau upsilon g) bg) : l_e_injective sigma upsilon (l_e_bij_h sigma tau upsilon f g bf bg)).

(* constant 255 *)
definition l_e_bij_t2 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λbf:l_e_bijective sigma tau f.λbg:l_e_bijective tau upsilon g.(l_e_surj_th1 sigma tau upsilon f g (l_ande2 (l_e_injective sigma tau f) (l_e_surjective sigma tau f) bf) (l_ande2 (l_e_injective tau upsilon g) (l_e_surjective tau upsilon g) bg) : l_e_surjective sigma upsilon (l_e_bij_h sigma tau upsilon f g bf bg)).

(* constant 256 *)
definition l_e_bij_th1 ≝ λsigma:Type[0].λtau:Type[0].λupsilon:Type[0].λf:Πx:sigma.tau.λg:Πx:tau.upsilon.λbf:l_e_bijective sigma tau f.λbg:l_e_bijective tau upsilon g.(l_andi (l_e_injective sigma upsilon (l_e_bij_h sigma tau upsilon f g bf bg)) (l_e_surjective sigma upsilon (l_e_bij_h sigma tau upsilon f g bf bg)) (l_e_bij_t1 sigma tau upsilon f g bf bg) (l_e_bij_t2 sigma tau upsilon f g bf bg) : l_e_bijective sigma upsilon (λx:sigma.g (f x))).

(* constant 257 *)
definition l_e_fise ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λg:Πx:sigma.tau.λi:l_e_is (Πx:sigma.tau) f g.λs:sigma.(l_e_isp (Πx:sigma.tau) (λy:Πx:sigma.tau.l_e_is tau (f s) (y s)) f g (l_e_refis tau (f s)) i : l_e_is tau (f s) (g s)).

(* constant 258 *)
axiom l_e_fisi : Πsigma:Type[0].Πtau:Type[0].Πf:Πx:sigma.tau.Πg:Πx:sigma.tau.∀i:∀x:sigma.l_e_is tau (f x) (g x).l_e_is (Πx:sigma.tau) f g.

(* constant 259 *)
definition l_e_fis_th1 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λg:Πx:sigma.tau.λi:l_e_is (Πx:sigma.tau) f g.λs:sigma.λt:sigma.λj:l_e_is sigma s t.(l_e_tris tau (f s) (f t) (g t) (l_e_isf sigma tau f s t j) (l_e_fise sigma tau f g i t) : l_e_is tau (f s) (g t)).

(* constant 260 *)
axiom l_e_ot : Πsigma:Type[0].∀p:∀x:sigma.Prop.Type[0].

(* constant 261 *)
axiom l_e_in : Πsigma:Type[0].∀p:∀x:sigma.Prop.Πo1:l_e_ot sigma p.sigma.

(* constant 262 *)
axiom l_e_inp : Πsigma:Type[0].∀p:∀x:sigma.Prop.Πo1:l_e_ot sigma p.p (l_e_in sigma p o1).

(* constant 263 *)
axiom l_e_otax1 : Πsigma:Type[0].∀p:∀x:sigma.Prop.l_e_injective (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x).

(* constant 264 *)
axiom l_e_otax2 : Πsigma:Type[0].∀p:∀x:sigma.Prop.Πs:sigma.∀sp:p s.l_e_image (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x) s.

(* constant 265 *)
definition l_e_isini ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λo1:l_e_ot sigma p.λo2:l_e_ot sigma p.λi:l_e_is (l_e_ot sigma p) o1 o2.(l_e_isf (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x) o1 o2 i : l_e_is sigma (l_e_in sigma p o1) (l_e_in sigma p o2)).

(* constant 266 *)
definition l_e_isine ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λo1:l_e_ot sigma p.λo2:l_e_ot sigma p.λi:l_e_is sigma (l_e_in sigma p o1) (l_e_in sigma p o2).(l_e_isfe (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x) (l_e_otax1 sigma p) o1 o2 i : l_e_is (l_e_ot sigma p) o1 o2).

(* constant 267 *)
definition l_e_out ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:sigma.λsp:p s.(l_e_soft (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x) (l_e_otax1 sigma p) s (l_e_otax2 sigma p s sp) : l_e_ot sigma p).

(* constant 268 *)
definition l_e_isouti ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:sigma.λsp:p s.λt:sigma.λtp:p t.λi:l_e_is sigma s t.(l_e_isinv (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x) (l_e_otax1 sigma p) s (l_e_otax2 sigma p s sp) t (l_e_otax2 sigma p t tp) i : l_e_is (l_e_ot sigma p) (l_e_out sigma p s sp) (l_e_out sigma p t tp)).

(* constant 269 *)
definition l_e_isoute ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:sigma.λsp:p s.λt:sigma.λtp:p t.λi:l_e_is (l_e_ot sigma p) (l_e_out sigma p s sp) (l_e_out sigma p t tp).(l_e_isinve (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x) (l_e_otax1 sigma p) s (l_e_otax2 sigma p s sp) t (l_e_otax2 sigma p t tp) i : l_e_is sigma s t).

(* constant 270 *)
definition l_e_isoutin ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λo1:l_e_ot sigma p.(l_e_tris (l_e_ot sigma p) o1 (l_e_soft (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x) (l_e_otax1 sigma p) (l_e_in sigma p o1) (l_e_imagei (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x) o1)) (l_e_out sigma p (l_e_in sigma p o1) (l_e_inp sigma p o1)) (l_e_isst1 (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x) (l_e_otax1 sigma p) o1) (l_e_isinv (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x) (l_e_otax1 sigma p) (l_e_in sigma p o1) (l_e_imagei (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x) o1) (l_e_in sigma p o1) (l_e_otax2 sigma p (l_e_in sigma p o1) (l_e_inp sigma p o1)) (l_e_refis sigma (l_e_in sigma p o1))) : l_e_is (l_e_ot sigma p) o1 (l_e_out sigma p (l_e_in sigma p o1) (l_e_inp sigma p o1))).

(* constant 271 *)
definition l_e_isinout ≝ λsigma:Type[0].λp:∀x:sigma.Prop.λs:sigma.λsp:p s.(l_e_ists1 (l_e_ot sigma p) sigma (λx:l_e_ot sigma p.l_e_in sigma p x) (l_e_otax1 sigma p) s (l_e_otax2 sigma p s sp) : l_e_is sigma s (l_e_in sigma p (l_e_out sigma p s sp))).

(* constant 272 *)
axiom l_e_pairtype : Πsigma:Type[0].Πtau:Type[0].Type[0].

(* constant 273 *)
axiom l_e_pair : Πsigma:Type[0].Πtau:Type[0].Πs:sigma.Πt:tau.l_e_pairtype sigma tau.

(* constant 274 *)
axiom l_e_first : Πsigma:Type[0].Πtau:Type[0].Πp1:l_e_pairtype sigma tau.sigma.

(* constant 275 *)
axiom l_e_second : Πsigma:Type[0].Πtau:Type[0].Πp1:l_e_pairtype sigma tau.tau.

(* constant 276 *)
axiom l_e_pairis1 : Πsigma:Type[0].Πtau:Type[0].Πp1:l_e_pairtype sigma tau.l_e_is (l_e_pairtype sigma tau) (l_e_pair sigma tau (l_e_first sigma tau p1) (l_e_second sigma tau p1)) p1.

(* constant 277 *)
definition l_e_pairis2 ≝ λsigma:Type[0].λtau:Type[0].λp1:l_e_pairtype sigma tau.(l_e_symis (l_e_pairtype sigma tau) (l_e_pair sigma tau (l_e_first sigma tau p1) (l_e_second sigma tau p1)) p1 (l_e_pairis1 sigma tau p1) : l_e_is (l_e_pairtype sigma tau) p1 (l_e_pair sigma tau (l_e_first sigma tau p1) (l_e_second sigma tau p1))).

(* constant 278 *)
axiom l_e_firstis1 : Πsigma:Type[0].Πtau:Type[0].Πs:sigma.Πt:tau.l_e_is sigma (l_e_first sigma tau (l_e_pair sigma tau s t)) s.

(* constant 279 *)
definition l_e_firstis2 ≝ λsigma:Type[0].λtau:Type[0].λs:sigma.λt:tau.(l_e_symis sigma (l_e_first sigma tau (l_e_pair sigma tau s t)) s (l_e_firstis1 sigma tau s t) : l_e_is sigma s (l_e_first sigma tau (l_e_pair sigma tau s t))).

(* constant 280 *)
axiom l_e_secondis1 : Πsigma:Type[0].Πtau:Type[0].Πs:sigma.Πt:tau.l_e_is tau (l_e_second sigma tau (l_e_pair sigma tau s t)) t.

(* constant 281 *)
definition l_e_secondis2 ≝ λsigma:Type[0].λtau:Type[0].λs:sigma.λt:tau.(l_e_symis tau (l_e_second sigma tau (l_e_pair sigma tau s t)) t (l_e_secondis1 sigma tau s t) : l_e_is tau t (l_e_second sigma tau (l_e_pair sigma tau s t))).

(* constant 282 *)
definition l_e_ite_prop1 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λz:ksi.(l_and (l_imp a (l_e_is ksi z x)) (l_imp (l_not a) (l_e_is ksi z y)) : Prop).

(* constant 283 *)
definition l_e_ite_t1 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λa1:a.λx1:ksi.λy1:ksi.λpx1:l_e_ite_prop1 a ksi x y x1.λpy1:l_e_ite_prop1 a ksi x y y1.(l_ande1 (l_imp a (l_e_is ksi x1 x)) (l_imp (l_not a) (l_e_is ksi x1 y)) px1 : l_imp a (l_e_is ksi x1 x)).

(* constant 284 *)
definition l_e_ite_t2 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λa1:a.λx1:ksi.λy1:ksi.λpx1:l_e_ite_prop1 a ksi x y x1.λpy1:l_e_ite_prop1 a ksi x y y1.(l_mp a (l_e_is ksi x1 x) a1 (l_e_ite_t1 a ksi x y a1 x1 y1 px1 py1) : l_e_is ksi x1 x).

(* constant 285 *)
definition l_e_ite_t3 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λa1:a.λx1:ksi.λy1:ksi.λpx1:l_e_ite_prop1 a ksi x y x1.λpy1:l_e_ite_prop1 a ksi x y y1.(l_e_ite_t2 a ksi x y a1 y1 x1 py1 px1 : l_e_is ksi y1 x).

(* constant 286 *)
definition l_e_ite_t4 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λa1:a.λx1:ksi.λy1:ksi.λpx1:l_e_ite_prop1 a ksi x y x1.λpy1:l_e_ite_prop1 a ksi x y y1.(l_e_tris2 ksi x1 y1 x (l_e_ite_t2 a ksi x y a1 x1 y1 px1 py1) (l_e_ite_t3 a ksi x y a1 x1 y1 px1 py1) : l_e_is ksi x1 y1).

(* constant 287 *)
definition l_e_ite_t5 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λa1:a.(λs:ksi.λt:ksi.λps:l_e_ite_prop1 a ksi x y s.λpt:l_e_ite_prop1 a ksi x y t.l_e_ite_t4 a ksi x y a1 s t ps pt : l_e_amone ksi (λt:ksi.l_e_ite_prop1 a ksi x y t)).

(* constant 288 *)
definition l_e_ite_t6 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λa1:a.(λx1:a.l_e_refis ksi x : l_imp a (l_e_is ksi x x)).

(* constant 289 *)
definition l_e_ite_t7 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λa1:a.(l_imp_th2 (l_not a) (l_e_is ksi x y) (l_weli a a1) : l_imp (l_not a) (l_e_is ksi x y)).

(* constant 290 *)
definition l_e_ite_t8 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λa1:a.(l_andi (l_imp a (l_e_is ksi x x)) (l_imp (l_not a) (l_e_is ksi x y)) (l_e_ite_t6 a ksi x y a1) (l_e_ite_t7 a ksi x y a1) : l_e_ite_prop1 a ksi x y x).

(* constant 291 *)
definition l_e_ite_t9 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λa1:a.(l_somei ksi (λt:ksi.l_e_ite_prop1 a ksi x y t) x (l_e_ite_t8 a ksi x y a1) : l_some ksi (λt:ksi.l_e_ite_prop1 a ksi x y t)).

(* constant 292 *)
definition l_e_ite_t10 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λa1:a.(l_e_onei ksi (λt:ksi.l_e_ite_prop1 a ksi x y t) (l_e_ite_t5 a ksi x y a1) (l_e_ite_t9 a ksi x y a1) : l_e_one ksi (λt:ksi.l_e_ite_prop1 a ksi x y t)).

(* constant 293 *)
definition l_e_ite_t11 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λn:l_not a.λx1:ksi.λy1:ksi.λpx1:l_e_ite_prop1 a ksi x y x1.λpy1:l_e_ite_prop1 a ksi x y y1.(l_ande2 (l_imp a (l_e_is ksi x1 x)) (l_imp (l_not a) (l_e_is ksi x1 y)) px1 : l_imp (l_not a) (l_e_is ksi x1 y)).

(* constant 294 *)
definition l_e_ite_t12 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λn:l_not a.λx1:ksi.λy1:ksi.λpx1:l_e_ite_prop1 a ksi x y x1.λpy1:l_e_ite_prop1 a ksi x y y1.(l_mp (l_not a) (l_e_is ksi x1 y) n (l_e_ite_t11 a ksi x y n x1 y1 px1 py1) : l_e_is ksi x1 y).

(* constant 295 *)
definition l_e_ite_t13 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λn:l_not a.λx1:ksi.λy1:ksi.λpx1:l_e_ite_prop1 a ksi x y x1.λpy1:l_e_ite_prop1 a ksi x y y1.(l_e_ite_t12 a ksi x y n y1 x1 py1 px1 : l_e_is ksi y1 y).

(* constant 296 *)
definition l_e_ite_t14 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λn:l_not a.λx1:ksi.λy1:ksi.λpx1:l_e_ite_prop1 a ksi x y x1.λpy1:l_e_ite_prop1 a ksi x y y1.(l_e_tris2 ksi x1 y1 y (l_e_ite_t12 a ksi x y n x1 y1 px1 py1) (l_e_ite_t13 a ksi x y n x1 y1 px1 py1) : l_e_is ksi x1 y1).

(* constant 297 *)
definition l_e_ite_t15 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λn:l_not a.(λs:ksi.λt:ksi.λps:l_e_ite_prop1 a ksi x y s.λpt:l_e_ite_prop1 a ksi x y t.l_e_ite_t14 a ksi x y n s t ps pt : l_e_amone ksi (λt:ksi.l_e_ite_prop1 a ksi x y t)).

(* constant 298 *)
definition l_e_ite_t16 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λn:l_not a.(λx1:l_not a.l_e_refis ksi y : l_imp (l_not a) (l_e_is ksi y y)).

(* constant 299 *)
definition l_e_ite_t17 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λn:l_not a.(l_imp_th2 a (l_e_is ksi y x) n : l_imp a (l_e_is ksi y x)).

(* constant 300 *)
definition l_e_ite_t18 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λn:l_not a.(l_andi (l_imp a (l_e_is ksi y x)) (l_imp (l_not a) (l_e_is ksi y y)) (l_e_ite_t17 a ksi x y n) (l_e_ite_t16 a ksi x y n) : l_e_ite_prop1 a ksi x y y).

(* constant 301 *)
definition l_e_ite_t19 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λn:l_not a.(l_somei ksi (λt:ksi.l_e_ite_prop1 a ksi x y t) y (l_e_ite_t18 a ksi x y n) : l_some ksi (λt:ksi.l_e_ite_prop1 a ksi x y t)).

(* constant 302 *)
definition l_e_ite_t20 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λn:l_not a.(l_e_onei ksi (λt:ksi.l_e_ite_prop1 a ksi x y t) (l_e_ite_t15 a ksi x y n) (l_e_ite_t19 a ksi x y n) : l_e_one ksi (λt:ksi.l_e_ite_prop1 a ksi x y t)).

(* constant 303 *)
definition l_e_ite_t21 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.(l_imp_th1 a (l_e_one ksi (λt:ksi.l_e_ite_prop1 a ksi x y t)) (λt:a.l_e_ite_t10 a ksi x y t) (λt:l_not a.l_e_ite_t20 a ksi x y t) : l_e_one ksi (λt:ksi.l_e_ite_prop1 a ksi x y t)).

(* constant 304 *)
definition l_e_ite ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.(l_e_ind ksi (λt:ksi.l_e_ite_prop1 a ksi x y t) (l_e_ite_t21 a ksi x y) : ksi).

(* constant 305 *)
definition l_e_ite_t22 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.(l_e_oneax ksi (λt:ksi.l_e_ite_prop1 a ksi x y t) (l_e_ite_t21 a ksi x y) : l_e_ite_prop1 a ksi x y (l_e_ite a ksi x y)).

(* constant 306 *)
definition l_e_ite_t23 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.(l_ande1 (l_imp a (l_e_is ksi (l_e_ite a ksi x y) x)) (l_imp (l_not a) (l_e_is ksi (l_e_ite a ksi x y) y)) (l_e_ite_t22 a ksi x y) : l_imp a (l_e_is ksi (l_e_ite a ksi x y) x)).

(* constant 307 *)
definition l_e_ite_t24 ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.(l_ande2 (l_imp a (l_e_is ksi (l_e_ite a ksi x y) x)) (l_imp (l_not a) (l_e_is ksi (l_e_ite a ksi x y) y)) (l_e_ite_t22 a ksi x y) : l_imp (l_not a) (l_e_is ksi (l_e_ite a ksi x y) y)).

(* constant 308 *)
definition l_e_itet ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λa1:a.(l_mp a (l_e_is ksi (l_e_ite a ksi x y) x) a1 (l_e_ite_t23 a ksi x y) : l_e_is ksi (l_e_ite a ksi x y) x).

(* constant 309 *)
definition l_e_itef ≝ λa:Prop.λksi:Type[0].λx:ksi.λy:ksi.λn:l_not a.(l_mp (l_not a) (l_e_is ksi (l_e_ite a ksi x y) y) n (l_e_ite_t24 a ksi x y) : l_e_is ksi (l_e_ite a ksi x y) y).

(* constant 310 *)
definition l_e_wissel_wa ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.(l_e_ite (l_e_is sigma s s0) sigma t0 s : sigma).

(* constant 311 *)
definition l_e_wissel_t1 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s s0.(l_e_itet (l_e_is sigma s s0) sigma t0 s i : l_e_is sigma (l_e_wissel_wa sigma s0 t0 s) t0).

(* constant 312 *)
definition l_e_wissel_t2 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λn:l_not (l_e_is sigma s s0).(l_e_itef (l_e_is sigma s s0) sigma t0 s n : l_e_is sigma (l_e_wissel_wa sigma s0 t0 s) s).

(* constant 313 *)
definition l_e_wissel_wb ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.(l_e_ite (l_e_is sigma s t0) sigma s0 (l_e_wissel_wa sigma s0 t0 s) : sigma).

(* constant 314 *)
definition l_e_wissel_t3 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s t0.(l_e_itet (l_e_is sigma s t0) sigma s0 (l_e_wissel_wa sigma s0 t0 s) i : l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) s0).

(* constant 315 *)
definition l_e_wissel_t4 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λn:l_not (l_e_is sigma s t0).(l_e_itef (l_e_is sigma s t0) sigma s0 (l_e_wissel_wa sigma s0 t0 s) n : l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wa sigma s0 t0 s)).

(* constant 316 *)
definition l_e_wissel_t5 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s s0.λj:l_e_is sigma s0 t0.(l_e_tris sigma (l_e_wissel_wb sigma s0 t0 s) s0 t0 (l_e_wissel_t3 sigma s0 t0 s (l_e_tris sigma s s0 t0 i j)) j : l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) t0).

(* constant 317 *)
definition l_e_wissel_t6 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s s0.λn:l_not (l_e_is sigma s0 t0).(l_e_tris sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wa sigma s0 t0 s) t0 (l_e_wissel_t4 sigma s0 t0 s (l_e_notis_th2 sigma s0 t0 s n i)) (l_e_wissel_t1 sigma s0 t0 s i) : l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) t0).

(* constant 318 *)
definition l_e_wissel_t7 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s s0.(l_imp_th1 (l_e_is sigma s0 t0) (l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) t0) (λt:l_e_is sigma s0 t0.l_e_wissel_t5 sigma s0 t0 s i t) (λt:l_not (l_e_is sigma s0 t0).l_e_wissel_t6 sigma s0 t0 s i t) : l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) t0).

(* constant 319 *)
definition l_e_wissel_t8 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λn:l_not (l_e_is sigma s s0).λo:l_not (l_e_is sigma s t0).(l_e_tris sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wa sigma s0 t0 s) s (l_e_wissel_t4 sigma s0 t0 s o) (l_e_wissel_t2 sigma s0 t0 s n) : l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) s).

(* constant 320 *)
definition l_e_wissel ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.(λx:sigma.l_e_wissel_wb sigma s0 t0 x : Πx:sigma.sigma).

(* constant 321 *)
definition l_e_iswissel1 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s s0.(l_e_wissel_t7 sigma s0 t0 s i : l_e_is sigma (l_e_wissel sigma s0 t0 s) t0).

(* constant 322 *)
definition l_e_iswissel2 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s t0.(l_e_wissel_t3 sigma s0 t0 s i : l_e_is sigma (l_e_wissel sigma s0 t0 s) s0).

(* constant 323 *)
definition l_e_iswissel3 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λn:l_not (l_e_is sigma s s0).λo:l_not (l_e_is sigma s t0).(l_e_wissel_t8 sigma s0 t0 s n o : l_e_is sigma (l_e_wissel sigma s0 t0 s) s).

(* constant 324 *)
definition l_e_wissel_t9 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s s0.(l_e_symnotis sigma s0 t (l_e_notis_th1 sigma s t s0 n j) : l_not (l_e_is sigma t s0)).

(* constant 325 *)
definition l_e_wissel_t10 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s s0.λk:l_e_is sigma s0 t0.(l_e_notis_th3 sigma t s0 t0 (l_e_wissel_t9 sigma s0 t0 s t i n j) k : l_not (l_e_is sigma t t0)).

(* constant 326 *)
definition l_e_wissel_t11 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s s0.λk:l_e_is sigma s0 t0.(l_e_tris sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t) t i (l_e_wissel_t8 sigma s0 t0 t (l_e_wissel_t9 sigma s0 t0 s t i n j) (l_e_wissel_t10 sigma s0 t0 s t i n j k)) : l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) t).

(* constant 327 *)
definition l_e_wissel_t12 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s s0.λk:l_e_is sigma s0 t0.(l_e_wissel_t10 sigma s0 t0 s t i n j k (l_e_tris1 sigma t t0 (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_t11 sigma s0 t0 s t i n j k) (l_e_wissel_t7 sigma s0 t0 s j)) : l_con).

(* constant 328 *)
definition l_e_wissel_t13 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s s0.(λv:l_e_is sigma s0 t0.l_e_wissel_t12 sigma s0 t0 s t i n j v : l_not (l_e_is sigma s0 t0)).

(* constant 329 *)
definition l_e_wissel_t14 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s s0.λk:l_e_is sigma t t0.(l_e_tris sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t) s0 i (l_e_wissel_t3 sigma s0 t0 t k) : l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) s0).

(* constant 330 *)
definition l_e_wissel_t15 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s s0.λk:l_e_is sigma t t0.(l_e_wissel_t12 sigma s0 t0 s t i n j (l_e_tris1 sigma s0 t0 (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_t14 sigma s0 t0 s t i n j k) (l_e_wissel_t7 sigma s0 t0 s j)) : l_con).

(* constant 331 *)
definition l_e_wissel_t16 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s s0.(λv:l_e_is sigma t t0.l_e_wissel_t15 sigma s0 t0 s t i n j v : l_not (l_e_is sigma t t0)).

(* constant 332 *)
definition l_e_wissel_t17 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s s0.(l_e_tris sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t) t i (l_e_wissel_t8 sigma s0 t0 t (l_e_wissel_t9 sigma s0 t0 s t i n j) (l_e_wissel_t16 sigma s0 t0 s t i n j)) : l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) t).

(* constant 333 *)
definition l_e_wissel_t18 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s s0.(l_e_wissel_t15 sigma s0 t0 s t i n j (l_e_tris1 sigma t t0 (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_t17 sigma s0 t0 s t i n j) (l_e_wissel_t7 sigma s0 t0 s j)) : l_con).

(* constant 334 *)
definition l_e_wissel_t19 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).(λv:l_e_is sigma s s0.l_e_wissel_t18 sigma s0 t0 s t i n v : l_not (l_e_is sigma s s0)).

(* constant 335 *)
definition l_e_wissel_t20 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).(l_e_wissel_t19 sigma s0 t0 t s (l_e_symis sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t) i) (l_e_symnotis sigma s t n) : l_not (l_e_is sigma t s0)).

(* constant 336 *)
definition l_e_wissel_t21 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s t0.(l_e_symnotis sigma t0 t (l_e_notis_th1 sigma s t t0 n j) : l_not (l_e_is sigma t t0)).

(* constant 337 *)
definition l_e_wissel_t22 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s t0.(l_e_tris sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t) t i (l_e_wissel_t8 sigma s0 t0 t (l_e_wissel_t20 sigma s0 t0 s t i n) (l_e_wissel_t21 sigma s0 t0 s t i n j)) : l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) t).

(* constant 338 *)
definition l_e_wissel_t23 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).λj:l_e_is sigma s t0.(l_e_wissel_t20 sigma s0 t0 s t i n (l_e_tris1 sigma t s0 (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_t22 sigma s0 t0 s t i n j) (l_e_wissel_t3 sigma s0 t0 s j)) : l_con).

(* constant 339 *)
definition l_e_wissel_t24 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).(λv:l_e_is sigma s t0.l_e_wissel_t23 sigma s0 t0 s t i n v : l_not (l_e_is sigma s t0)).

(* constant 340 *)
definition l_e_wissel_t25 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).(l_e_wissel_t24 sigma s0 t0 t s (l_e_symis sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t) i) (l_e_symnotis sigma s t n) : l_not (l_e_is sigma t t0)).

(* constant 341 *)
definition l_e_wissel_t26 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).(l_e_tris sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t) t i (l_e_wissel_t8 sigma s0 t0 t (l_e_wissel_t20 sigma s0 t0 s t i n) (l_e_wissel_t25 sigma s0 t0 s t i n)) : l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) t).

(* constant 342 *)
definition l_e_wissel_t27 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).λn:l_not (l_e_is sigma s t).(n (l_e_tris1 sigma s t (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_t8 sigma s0 t0 s (l_e_wissel_t19 sigma s0 t0 s t i n) (l_e_wissel_t24 sigma s0 t0 s t i n)) (l_e_wissel_t26 sigma s0 t0 s t i n)) : l_con).

(* constant 343 *)
definition l_e_wissel_t28 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λt:sigma.λi:l_e_is sigma (l_e_wissel_wb sigma s0 t0 s) (l_e_wissel_wb sigma s0 t0 t).(l_et (l_e_is sigma s t) (λv:l_not (l_e_is sigma s t).l_e_wissel_t27 sigma s0 t0 s t i v) : l_e_is sigma s t).

(* constant 344 *)
definition l_e_wissel_th1 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.(λx:sigma.λy:sigma.λv:l_e_is sigma (l_e_wissel_wb sigma s0 t0 x) (l_e_wissel_wb sigma s0 t0 y).l_e_wissel_t28 sigma s0 t0 x y v : l_e_injective sigma sigma (l_e_wissel sigma s0 t0)).

(* constant 345 *)
definition l_e_wissel_t29 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s s0.(l_e_tris2 sigma s (l_e_wissel_wb sigma s0 t0 t0) s0 i (l_e_wissel_t3 sigma s0 t0 t0 (l_e_refis sigma t0)) : l_e_is sigma s (l_e_wissel_wb sigma s0 t0 t0)).

(* constant 346 *)
definition l_e_wissel_t30 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s s0.(l_somei sigma (λx:sigma.l_e_is sigma s (l_e_wissel_wb sigma s0 t0 x)) t0 (l_e_wissel_t29 sigma s0 t0 s i) : l_e_image sigma sigma (l_e_wissel sigma s0 t0) s).

(* constant 347 *)
definition l_e_wissel_t31 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s t0.(l_e_tris2 sigma s (l_e_wissel_wb sigma s0 t0 s0) t0 i (l_e_wissel_t7 sigma s0 t0 s0 (l_e_refis sigma s0)) : l_e_is sigma s (l_e_wissel_wb sigma s0 t0 s0)).

(* constant 348 *)
definition l_e_wissel_t32 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s t0.(l_somei sigma (λx:sigma.l_e_is sigma s (l_e_wissel_wb sigma s0 t0 x)) s0 (l_e_wissel_t31 sigma s0 t0 s i) : l_e_image sigma sigma (l_e_wissel sigma s0 t0) s).

(* constant 349 *)
definition l_e_wissel_t33 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λn:l_not (l_e_is sigma s s0).λo:l_not (l_e_is sigma s t0).(l_e_symis sigma (l_e_wissel_wb sigma s0 t0 s) s (l_e_wissel_t8 sigma s0 t0 s n o) : l_e_is sigma s (l_e_wissel_wb sigma s0 t0 s)).

(* constant 350 *)
definition l_e_wissel_t34 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λn:l_not (l_e_is sigma s s0).λo:l_not (l_e_is sigma s t0).(l_somei sigma (λx:sigma.l_e_is sigma s (l_e_wissel_wb sigma s0 t0 x)) s (l_e_wissel_t33 sigma s0 t0 s n o) : l_e_image sigma sigma (l_e_wissel sigma s0 t0) s).

(* constant 351 *)
definition l_e_wissel_t35 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.λn:l_not (l_e_is sigma s s0).(l_imp_th1 (l_e_is sigma s t0) (l_e_image sigma sigma (l_e_wissel sigma s0 t0) s) (λv:l_e_is sigma s t0.l_e_wissel_t32 sigma s0 t0 s v) (λv:l_not (l_e_is sigma s t0).l_e_wissel_t34 sigma s0 t0 s n v) : l_e_image sigma sigma (l_e_wissel sigma s0 t0) s).

(* constant 352 *)
definition l_e_wissel_t36 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.λs:sigma.(l_imp_th1 (l_e_is sigma s s0) (l_e_image sigma sigma (l_e_wissel sigma s0 t0) s) (λv:l_e_is sigma s s0.l_e_wissel_t30 sigma s0 t0 s v) (λv:l_not (l_e_is sigma s s0).l_e_wissel_t35 sigma s0 t0 s v) : l_e_image sigma sigma (l_e_wissel sigma s0 t0) s).

(* constant 353 *)
definition l_e_wissel_th2 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.(λx:sigma.l_e_wissel_t36 sigma s0 t0 x : l_e_surjective sigma sigma (l_e_wissel sigma s0 t0)).

(* constant 354 *)
definition l_e_wissel_th3 ≝ λsigma:Type[0].λs0:sigma.λt0:sigma.(l_andi (l_e_injective sigma sigma (l_e_wissel sigma s0 t0)) (l_e_surjective sigma sigma (l_e_wissel sigma s0 t0)) (l_e_wissel_th1 sigma s0 t0) (l_e_wissel_th2 sigma s0 t0) : l_e_bijective sigma sigma (l_e_wissel sigma s0 t0)).

(* constant 355 *)
definition l_e_changef ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λs0:sigma.λt0:sigma.(λx:sigma.f (l_e_wissel sigma s0 t0 x) : Πx:sigma.tau).

(* constant 356 *)
definition l_e_changef1 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s s0.(l_e_isf sigma tau f (l_e_wissel sigma s0 t0 s) t0 (l_e_iswissel1 sigma s0 t0 s i) : l_e_is tau (l_e_changef sigma tau f s0 t0 s) (f t0)).

(* constant 357 *)
definition l_e_changef2 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λs0:sigma.λt0:sigma.λs:sigma.λi:l_e_is sigma s t0.(l_e_isf sigma tau f (l_e_wissel sigma s0 t0 s) s0 (l_e_iswissel2 sigma s0 t0 s i) : l_e_is tau (l_e_changef sigma tau f s0 t0 s) (f s0)).

(* constant 358 *)
definition l_e_changef3 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λs0:sigma.λt0:sigma.λs:sigma.λn:l_not (l_e_is sigma s s0).λo:l_not (l_e_is sigma s t0).(l_e_isf sigma tau f (l_e_wissel sigma s0 t0 s) s (l_e_iswissel3 sigma s0 t0 s n o) : l_e_is tau (l_e_changef sigma tau f s0 t0 s) (f s)).

(* constant 359 *)
definition l_e_wissel_th4 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λs0:sigma.λt0:sigma.λi:l_e_injective sigma tau f.(l_e_inj_th4 sigma sigma tau (l_e_wissel sigma s0 t0) f (l_e_wissel_th1 sigma s0 t0) i : l_e_injective sigma tau (l_e_changef sigma tau f s0 t0)).

(* constant 360 *)
definition l_e_wissel_th5 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λs0:sigma.λt0:sigma.λs:l_e_surjective sigma tau f.(l_e_surj_th1 sigma sigma tau (l_e_wissel sigma s0 t0) f (l_e_wissel_th2 sigma s0 t0) s : l_e_surjective sigma tau (l_e_changef sigma tau f s0 t0)).

(* constant 361 *)
definition l_e_wissel_th6 ≝ λsigma:Type[0].λtau:Type[0].λf:Πx:sigma.tau.λs0:sigma.λt0:sigma.λb:l_e_bijective sigma tau f.(l_e_bij_th1 sigma sigma tau (l_e_wissel sigma s0 t0) f (l_e_wissel_th3 sigma s0 t0) b : l_e_bijective sigma tau (l_e_changef sigma tau f s0 t0)).

(* constant 362 *)
definition l_r_imp ≝ λa:Prop.λb:∀x:a.Prop.(∀x:a.b x : Prop).

(* constant 363 *)
definition l_r_mp ≝ λa:Prop.λb:∀x:a.Prop.λa1:a.λi:l_r_imp a b.(i a1 : b a1).

(* constant 364 *)
definition l_r_imp_th2 ≝ λa:Prop.λb:∀x:a.Prop.λn:l_not a.(λx:a.l_cone (b x) (l_mp a l_con x n) : l_r_imp a b).

(* constant 365 *)
definition l_r_ec ≝ λa:Prop.λb:∀x:a.Prop.(∀x:a.l_not (b x) : Prop).

(* constant 366 *)
definition l_r_eci1 ≝ λa:Prop.λb:∀x:a.Prop.λn:l_not a.(λx:a.l_cone (l_not (b x)) (l_mp a l_con x n) : l_r_ec a b).

(* constant 367 *)
definition l_r_ande2 ≝ λa:Prop.λb:∀x:a.Prop.λa1:l_and a (l_r_imp a b).(l_ande2 a (l_r_imp a b) a1 (l_ande1 a (l_r_imp a b) a1) : b (l_ande1 a (l_r_imp a b) a1)).

(* constant 368 *)
definition l_r_ite_is ≝ λa:Prop.λksi:Type[0].λx1:ksi.λy1:ksi.(l_e_is ksi x1 y1 : Prop).

(* constant 369 *)
definition l_r_ite_prop1 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λz:ksi.(l_and (l_r_imp a (λt:a.l_r_ite_is a ksi z (x t))) (l_r_imp (l_not a) (λt:l_not a.l_r_ite_is a ksi z (y t))) : Prop).

(* constant 370 *)
definition l_r_ite_t1 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λa1:a.λx1:ksi.λy1:ksi.λpx1:l_r_ite_prop1 a ksi x y i j x1.λpy1:l_r_ite_prop1 a ksi x y i j y1.(l_ande1 (l_r_imp a (λt:a.l_r_ite_is a ksi x1 (x t))) (l_r_imp (l_not a) (λt:l_not a.l_r_ite_is a ksi x1 (y t))) px1 : l_r_imp a (λt:a.l_r_ite_is a ksi x1 (x t))).

(* constant 371 *)
definition l_r_ite_t2 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λa1:a.λx1:ksi.λy1:ksi.λpx1:l_r_ite_prop1 a ksi x y i j x1.λpy1:l_r_ite_prop1 a ksi x y i j y1.(l_r_mp a (λt:a.l_r_ite_is a ksi x1 (x t)) a1 (l_r_ite_t1 a ksi x y i j a1 x1 y1 px1 py1) : l_r_ite_is a ksi x1 (x a1)).

(* constant 372 *)
definition l_r_ite_t3 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λa1:a.λx1:ksi.λy1:ksi.λpx1:l_r_ite_prop1 a ksi x y i j x1.λpy1:l_r_ite_prop1 a ksi x y i j y1.(l_r_ite_t2 a ksi x y i j a1 y1 x1 py1 px1 : l_r_ite_is a ksi y1 (x a1)).

(* constant 373 *)
definition l_r_ite_t4 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λa1:a.λx1:ksi.λy1:ksi.λpx1:l_r_ite_prop1 a ksi x y i j x1.λpy1:l_r_ite_prop1 a ksi x y i j y1.(l_e_tris2 ksi x1 y1 (x a1) (l_r_ite_t2 a ksi x y i j a1 x1 y1 px1 py1) (l_r_ite_t3 a ksi x y i j a1 x1 y1 px1 py1) : l_r_ite_is a ksi x1 y1).

(* constant 374 *)
definition l_r_ite_t5 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λa1:a.(λs:ksi.λt:ksi.λps:l_r_ite_prop1 a ksi x y i j s.λpt:l_r_ite_prop1 a ksi x y i j t.l_r_ite_t4 a ksi x y i j a1 s t ps pt : l_e_amone ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t)).

(* constant 375 *)
definition l_r_ite_t6 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λa1:a.(i a1 : l_r_imp a (λt:a.l_r_ite_is a ksi (x a1) (x t))).

(* constant 376 *)
definition l_r_ite_t7 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λa1:a.(l_r_imp_th2 (l_not a) (λt:l_not a.l_r_ite_is a ksi (x a1) (y t)) (l_weli a a1) : l_r_imp (l_not a) (λt:l_not a.l_r_ite_is a ksi (x a1) (y t))).

(* constant 377 *)
definition l_r_ite_t8 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λa1:a.(l_andi (l_r_imp a (λt:a.l_r_ite_is a ksi (x a1) (x t))) (l_r_imp (l_not a) (λt:l_not a.l_r_ite_is a ksi (x a1) (y t))) (l_r_ite_t6 a ksi x y i j a1) (l_r_ite_t7 a ksi x y i j a1) : l_r_ite_prop1 a ksi x y i j (x a1)).

(* constant 378 *)
definition l_r_ite_t9 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λa1:a.(l_somei ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t) (x a1) (l_r_ite_t8 a ksi x y i j a1) : l_some ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t)).

(* constant 379 *)
definition l_r_ite_t10 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λa1:a.(l_e_onei ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t) (l_r_ite_t5 a ksi x y i j a1) (l_r_ite_t9 a ksi x y i j a1) : l_e_one ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t)).

(* constant 380 *)
definition l_r_ite_t11 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λn:l_not a.λx1:ksi.λy1:ksi.λpx1:l_r_ite_prop1 a ksi x y i j x1.λpy1:l_r_ite_prop1 a ksi x y i j y1.(l_ande2 (l_r_imp a (λt:a.l_r_ite_is a ksi x1 (x t))) (l_r_imp (l_not a) (λt:l_not a.l_r_ite_is a ksi x1 (y t))) px1 : l_r_imp (l_not a) (λt:l_not a.l_r_ite_is a ksi x1 (y t))).

(* constant 381 *)
definition l_r_ite_t12 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λn:l_not a.λx1:ksi.λy1:ksi.λpx1:l_r_ite_prop1 a ksi x y i j x1.λpy1:l_r_ite_prop1 a ksi x y i j y1.(l_r_mp (l_not a) (λt:l_not a.l_r_ite_is a ksi x1 (y t)) n (l_r_ite_t11 a ksi x y i j n x1 y1 px1 py1) : l_r_ite_is a ksi x1 (y n)).

(* constant 382 *)
definition l_r_ite_t13 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λn:l_not a.λx1:ksi.λy1:ksi.λpx1:l_r_ite_prop1 a ksi x y i j x1.λpy1:l_r_ite_prop1 a ksi x y i j y1.(l_r_ite_t12 a ksi x y i j n y1 x1 py1 px1 : l_r_ite_is a ksi y1 (y n)).

(* constant 383 *)
definition l_r_ite_t14 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λn:l_not a.λx1:ksi.λy1:ksi.λpx1:l_r_ite_prop1 a ksi x y i j x1.λpy1:l_r_ite_prop1 a ksi x y i j y1.(l_e_tris2 ksi x1 y1 (y n) (l_r_ite_t12 a ksi x y i j n x1 y1 px1 py1) (l_r_ite_t13 a ksi x y i j n x1 y1 px1 py1) : l_r_ite_is a ksi x1 y1).

(* constant 384 *)
definition l_r_ite_t15 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λn:l_not a.(λs:ksi.λt:ksi.λps:l_r_ite_prop1 a ksi x y i j s.λpt:l_r_ite_prop1 a ksi x y i j t.l_r_ite_t14 a ksi x y i j n s t ps pt : l_e_amone ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t)).

(* constant 385 *)
definition l_r_ite_t16 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λn:l_not a.(j n : l_r_imp (l_not a) (λt:l_not a.l_r_ite_is a ksi (y n) (y t))).

(* constant 386 *)
definition l_r_ite_t17 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λn:l_not a.(l_r_imp_th2 a (λt:a.l_r_ite_is a ksi (y n) (x t)) n : l_r_imp a (λt:a.l_r_ite_is a ksi (y n) (x t))).

(* constant 387 *)
definition l_r_ite_t18 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λn:l_not a.(l_andi (l_r_imp a (λt:a.l_r_ite_is a ksi (y n) (x t))) (l_r_imp (l_not a) (λt:l_not a.l_r_ite_is a ksi (y n) (y t))) (l_r_ite_t17 a ksi x y i j n) (l_r_ite_t16 a ksi x y i j n) : l_r_ite_prop1 a ksi x y i j (y n)).

(* constant 388 *)
definition l_r_ite_t19 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λn:l_not a.(l_somei ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t) (y n) (l_r_ite_t18 a ksi x y i j n) : l_some ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t)).

(* constant 389 *)
definition l_r_ite_t20 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λn:l_not a.(l_e_onei ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t) (l_r_ite_t15 a ksi x y i j n) (l_r_ite_t19 a ksi x y i j n) : l_e_one ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t)).

(* constant 390 *)
definition l_r_ite_t21 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).(l_imp_th1 a (l_e_one ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t)) (λt:a.l_r_ite_t10 a ksi x y i j t) (λt:l_not a.l_r_ite_t20 a ksi x y i j t) : l_e_one ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t)).

(* constant 391 *)
definition l_r_ite ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).(l_e_ind ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t) (l_r_ite_t21 a ksi x y i j) : ksi).

(* constant 392 *)
definition l_r_ite_t22 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).(l_e_oneax ksi (λt:ksi.l_r_ite_prop1 a ksi x y i j t) (l_r_ite_t21 a ksi x y i j) : l_r_ite_prop1 a ksi x y i j (l_r_ite a ksi x y i j)).

(* constant 393 *)
definition l_r_ite_t23 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).(l_ande1 (l_r_imp a (λt:a.l_r_ite_is a ksi (l_r_ite a ksi x y i j) (x t))) (l_r_imp (l_not a) (λt:l_not a.l_r_ite_is a ksi (l_r_ite a ksi x y i j) (y t))) (l_r_ite_t22 a ksi x y i j) : l_r_imp a (λt:a.l_r_ite_is a ksi (l_r_ite a ksi x y i j) (x t))).

(* constant 394 *)
definition l_r_ite_t24 ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).(l_ande2 (l_r_imp a (λt:a.l_r_ite_is a ksi (l_r_ite a ksi x y i j) (x t))) (l_r_imp (l_not a) (λt:l_not a.l_r_ite_is a ksi (l_r_ite a ksi x y i j) (y t))) (l_r_ite_t22 a ksi x y i j) : l_r_imp (l_not a) (λt:l_not a.l_r_ite_is a ksi (l_r_ite a ksi x y i j) (y t))).

(* constant 395 *)
definition l_r_itet ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λa1:a.(l_r_mp a (λt:a.l_r_ite_is a ksi (l_r_ite a ksi x y i j) (x t)) a1 (l_r_ite_t23 a ksi x y i j) : l_r_ite_is a ksi (l_r_ite a ksi x y i j) (x a1)).

(* constant 396 *)
definition l_r_itef ≝ λa:Prop.λksi:Type[0].λx:Πt:a.ksi.λy:Πt:l_not a.ksi.λi:∀t:a.∀u:a.l_r_ite_is a ksi (x t) (x u).λj:∀t:l_not a.∀u:l_not a.l_r_ite_is a ksi (y t) (y u).λn:l_not a.(l_r_mp (l_not a) (λt:l_not a.l_r_ite_is a ksi (l_r_ite a ksi x y i j) (y t)) n (l_r_ite_t24 a ksi x y i j) : l_r_ite_is a ksi (l_r_ite a ksi x y i j) (y n)).

(* constant 397 *)
axiom l_e_st_set : Πsigma:Type[0].Type[0].

(* constant 398 *)
axiom l_e_st_esti : Πsigma:Type[0].Πs:sigma.Πs0:l_e_st_set sigma.Prop.

(* constant 399 *)
axiom l_e_st_setof : Πsigma:Type[0].∀p:∀x:sigma.Prop.l_e_st_set sigma.

(* constant 400 *)
axiom l_e_st_estii : Πsigma:Type[0].∀p:∀x:sigma.Prop.Πs:sigma.∀sp:p s.l_e_st_esti sigma s (l_e_st_setof sigma p).

(* constant 401 *)
axiom l_e_st_estie : Πsigma:Type[0].∀p:∀x:sigma.Prop.Πs:sigma.∀e:l_e_st_esti sigma s (l_e_st_setof sigma p).p s.

(* constant 402 *)
definition l_e_st_empty ≝ λsigma:Type[0].λs0:l_e_st_set sigma.(l_none sigma (λx:sigma.l_e_st_esti sigma x s0) : Prop).

(* constant 403 *)
definition l_e_st_nonempty ≝ λsigma:Type[0].λs0:l_e_st_set sigma.(l_some sigma (λx:sigma.l_e_st_esti sigma x s0) : Prop).

(* constant 404 *)
definition l_e_st_emptyi ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λn:∀x:sigma.l_not (l_e_st_esti sigma x s0).(n : l_e_st_empty sigma s0).

(* constant 405 *)
definition l_e_st_emptye ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λe:l_e_st_empty sigma s0.λs:sigma.(e s : l_not (l_e_st_esti sigma s s0)).

(* constant 406 *)
definition l_e_st_nonemptyi ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λs:sigma.λses0:l_e_st_esti sigma s s0.(l_somei sigma (λx:sigma.l_e_st_esti sigma x s0) s ses0 : l_e_st_nonempty sigma s0).

(* constant 407 *)
definition l_e_st_nonemptyapp ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λn:l_e_st_nonempty sigma s0.λx:Prop.λx1:∀y:sigma.∀z:l_e_st_esti sigma y s0.x.(l_someapp sigma (λy:sigma.l_e_st_esti sigma y s0) n x x1 : x).

(* constant 408 *)
definition l_e_st_incl ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.(l_all sigma (λx:sigma.l_imp (l_e_st_esti sigma x s0) (l_e_st_esti sigma x t0)) : Prop).

(* constant 409 *)
definition l_e_st_incli ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λe:∀x:sigma.∀y:l_e_st_esti sigma x s0.l_e_st_esti sigma x t0.(e : l_e_st_incl sigma s0 t0).

(* constant 410 *)
definition l_e_st_incle ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λi:l_e_st_incl sigma s0 t0.λs:sigma.λses0:l_e_st_esti sigma s s0.(i s ses0 : l_e_st_esti sigma s t0).

(* constant 411 *)
definition l_e_st_refincl ≝ λsigma:Type[0].λs0:l_e_st_set sigma.(λx:sigma.λy:l_e_st_esti sigma x s0.y : l_e_st_incl sigma s0 s0).

(* constant 412 *)
definition l_e_st_disj ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.(l_all sigma (λx:sigma.l_ec (l_e_st_esti sigma x s0) (l_e_st_esti sigma x t0)) : Prop).

(* constant 413 *)
definition l_e_st_disji1 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λn:∀x:sigma.∀y:l_e_st_esti sigma x s0.l_not (l_e_st_esti sigma x t0).(n : l_e_st_disj sigma s0 t0).

(* constant 414 *)
definition l_e_st_disji2 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λn:∀x:sigma.∀y:l_e_st_esti sigma x t0.l_not (l_e_st_esti sigma x s0).(λx:sigma.l_ec_th2 (l_e_st_esti sigma x s0) (l_e_st_esti sigma x t0) (n x) : l_e_st_disj sigma s0 t0).

(* constant 415 *)
definition l_e_st_disje1 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λd:l_e_st_disj sigma s0 t0.λs:sigma.λses0:l_e_st_esti sigma s s0.(l_ece1 (l_e_st_esti sigma s s0) (l_e_st_esti sigma s t0) (d s) ses0 : l_not (l_e_st_esti sigma s t0)).

(* constant 416 *)
definition l_e_st_disje2 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λd:l_e_st_disj sigma s0 t0.λs:sigma.λset0:l_e_st_esti sigma s t0.(l_ece2 (l_e_st_esti sigma s s0) (l_e_st_esti sigma s t0) (d s) set0 : l_not (l_e_st_esti sigma s s0)).

(* constant 417 *)
definition l_e_st_symdisj ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λd:l_e_st_disj sigma s0 t0.(λx:sigma.λy:l_e_st_esti sigma x t0.l_e_st_disje2 sigma s0 t0 d x y : l_e_st_disj sigma t0 s0).

(* constant 418 *)
definition l_e_st_disj_th1 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λs:sigma.λses0:l_e_st_esti sigma s s0.λset0:l_e_st_esti sigma s t0.(l_all_th1 sigma (λx:sigma.l_ec (l_e_st_esti sigma x s0) (l_e_st_esti sigma x t0)) s (l_imp_th4 (l_e_st_esti sigma s s0) (l_not (l_e_st_esti sigma s t0)) ses0 (l_weli (l_e_st_esti sigma s t0) set0)) : l_not (l_e_st_disj sigma s0 t0)).

(* constant 419 *)
definition l_e_st_disj_th2 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λs:sigma.λses0:l_e_st_esti sigma s s0.λset0:l_e_st_esti sigma s t0.(l_e_st_disj_th1 sigma t0 s0 s set0 ses0 : l_not (l_e_st_disj sigma t0 s0)).

(* constant 420 *)
definition l_e_st_issete1 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λi:l_e_is (l_e_st_set sigma) s0 t0.λs:sigma.λses0:l_e_st_esti sigma s s0.(l_e_isp (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_esti sigma s x) s0 t0 ses0 i : l_e_st_esti sigma s t0).

(* constant 421 *)
definition l_e_st_issete2 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λi:l_e_is (l_e_st_set sigma) s0 t0.λs:sigma.λset0:l_e_st_esti sigma s t0.(l_e_isp1 (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_esti sigma s x) t0 s0 set0 i : l_e_st_esti sigma s s0).

(* constant 422 *)
definition l_e_st_isset_th1 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λi:l_e_is (l_e_st_set sigma) s0 t0.(λx:sigma.λy:l_e_st_esti sigma x s0.l_e_st_issete1 sigma s0 t0 i x y : l_e_st_incl sigma s0 t0).

(* constant 423 *)
definition l_e_st_isset_th2 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λi:l_e_is (l_e_st_set sigma) s0 t0.(λx:sigma.λy:l_e_st_esti sigma x t0.l_e_st_issete2 sigma s0 t0 i x y : l_e_st_incl sigma t0 s0).

(* constant 424 *)
axiom l_e_st_isseti : Πsigma:Type[0].Πs0:l_e_st_set sigma.Πt0:l_e_st_set sigma.∀i:l_e_st_incl sigma s0 t0.∀j:l_e_st_incl sigma t0 s0.l_e_is (l_e_st_set sigma) s0 t0.

(* constant 425 *)
definition l_e_st_isset_th3 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λs:sigma.λses0:l_e_st_esti sigma s s0.λn:l_not (l_e_st_esti sigma s t0).(l_imp_th3 (l_e_is (l_e_st_set sigma) s0 t0) (l_e_st_esti sigma s t0) n (λt:l_e_is (l_e_st_set sigma) s0 t0.l_e_st_issete1 sigma s0 t0 t s ses0) : l_not (l_e_is (l_e_st_set sigma) s0 t0)).

(* constant 426 *)
definition l_e_st_isset_th4 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λs:sigma.λses0:l_e_st_esti sigma s s0.λn:l_not (l_e_st_esti sigma s t0).(l_e_symnotis (l_e_st_set sigma) s0 t0 (l_e_st_isset_th3 sigma s0 t0 s ses0 n) : l_not (l_e_is (l_e_st_set sigma) t0 s0)).

(* constant 427 *)
definition l_e_st_isset_nissetprop ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λs:sigma.(l_and (l_e_st_esti sigma s s0) (l_not (l_e_st_esti sigma s t0)) : Prop).

(* constant 428 *)
definition l_e_st_isset_t1 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λs:sigma.λn:l_not (l_e_st_isset_nissetprop sigma s0 t0 s).λe:l_e_st_esti sigma s s0.(l_et (l_e_st_esti sigma s t0) (l_and_th3 (l_e_st_esti sigma s s0) (l_not (l_e_st_esti sigma s t0)) n e) : l_e_st_esti sigma s t0).

(* constant 429 *)
definition l_e_st_isset_t2 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λn:l_not (l_e_is (l_e_st_set sigma) s0 t0).λm:l_not (l_some sigma (λx:sigma.l_e_st_isset_nissetprop sigma s0 t0 x)).λl:l_none sigma (λx:sigma.l_e_st_isset_nissetprop sigma t0 s0 x).λs:sigma.(l_some_th4 sigma (λx:sigma.l_e_st_isset_nissetprop sigma s0 t0 x) m s : l_not (l_e_st_isset_nissetprop sigma s0 t0 s)).

(* constant 430 *)
definition l_e_st_isset_t3 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λn:l_not (l_e_is (l_e_st_set sigma) s0 t0).λm:l_not (l_some sigma (λx:sigma.l_e_st_isset_nissetprop sigma s0 t0 x)).λl:l_none sigma (λx:sigma.l_e_st_isset_nissetprop sigma t0 s0 x).λs:sigma.(l s : l_not (l_e_st_isset_nissetprop sigma t0 s0 s)).

(* constant 431 *)
definition l_e_st_isset_t4 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λn:l_not (l_e_is (l_e_st_set sigma) s0 t0).λm:l_not (l_some sigma (λx:sigma.l_e_st_isset_nissetprop sigma s0 t0 x)).λl:l_none sigma (λx:sigma.l_e_st_isset_nissetprop sigma t0 s0 x).(l_e_st_isseti sigma s0 t0 (λx:sigma.λy:l_e_st_esti sigma x s0.l_e_st_isset_t1 sigma s0 t0 x (l_e_st_isset_t2 sigma s0 t0 n m l x) y) (λx:sigma.λy:l_e_st_esti sigma x t0.l_e_st_isset_t1 sigma t0 s0 x (l_e_st_isset_t3 sigma s0 t0 n m l x) y) : l_e_is (l_e_st_set sigma) s0 t0).

(* constant 432 *)
definition l_e_st_isset_t5 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λn:l_not (l_e_is (l_e_st_set sigma) s0 t0).λm:l_not (l_some sigma (λx:sigma.l_e_st_isset_nissetprop sigma s0 t0 x)).(l_imp_th3 (l_none sigma (λx:sigma.l_e_st_isset_nissetprop sigma t0 s0 x)) (l_e_is (l_e_st_set sigma) s0 t0) n (λy:l_none sigma (λx:sigma.l_e_st_isset_nissetprop sigma t0 s0 x).l_e_st_isset_t4 sigma s0 t0 n m y) : l_some sigma (λx:sigma.l_e_st_isset_nissetprop sigma t0 s0 x)).

(* constant 433 *)
definition l_e_st_isset_th5 ≝ λsigma:Type[0].λs0:l_e_st_set sigma.λt0:l_e_st_set sigma.λn:l_not (l_e_is (l_e_st_set sigma) s0 t0).(l_or_th1 (l_some sigma (λx:sigma.l_e_st_isset_nissetprop sigma s0 t0 x)) (l_some sigma (λx:sigma.l_e_st_isset_nissetprop sigma t0 s0 x)) (λy:l_not (l_some sigma (λx:sigma.l_e_st_isset_nissetprop sigma s0 t0 x)).l_e_st_isset_t5 sigma s0 t0 n y) : l_or (l_some sigma (λx:sigma.l_e_st_isset_nissetprop sigma s0 t0 x)) (l_some sigma (λx:sigma.l_e_st_isset_nissetprop sigma t0 s0 x))).

(* constant 434 *)
definition l_e_st_unmore ≝ λsigma:Type[0].λalpha:Type[0].λsa:Πx:alpha.l_e_st_set sigma.(l_e_st_setof sigma (λx:sigma.l_some alpha (λy:alpha.l_e_st_esti sigma x (sa y))) : l_e_st_set sigma).

(* constant 435 *)
definition l_e_st_eunmore1 ≝ λsigma:Type[0].λalpha:Type[0].λsa:Πx:alpha.l_e_st_set sigma.λs:sigma.λa:alpha.λseasa:l_e_st_esti sigma s (sa a).(l_e_st_estii sigma (λx:sigma.l_some alpha (λy:alpha.l_e_st_esti sigma x (sa y))) s (l_somei alpha (λy:alpha.l_e_st_esti sigma s (sa y)) a seasa) : l_e_st_esti sigma s (l_e_st_unmore sigma alpha sa)).

(* constant 436 *)
definition l_e_st_unmoreapp ≝ λsigma:Type[0].λalpha:Type[0].λsa:Πx:alpha.l_e_st_set sigma.λs:sigma.λseun:l_e_st_esti sigma s (l_e_st_unmore sigma alpha sa).λx:Prop.λx1:∀y:alpha.∀z:l_e_st_esti sigma s (sa y).x.(l_someapp alpha (λy:alpha.l_e_st_esti sigma s (sa y)) (l_e_st_estie sigma (λz:sigma.l_some alpha (λy:alpha.l_e_st_esti sigma z (sa y))) s seun) x x1 : x).

(* constant 437 *)
definition l_e_st_eq_refr ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.(refr1 s : r s s).

(* constant 438 *)
definition l_e_st_eq_symr ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.λt:sigma.λtsr:r s t.(symr1 s t tsr : r t s).

(* constant 439 *)
definition l_e_st_eq_trr ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.λt:sigma.λu:sigma.λtsr:r s t.λutr:r t u.(trr1 s t u tsr utr : r s u).

(* constant 440 *)
definition l_e_st_eq_tr1r ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.λt:sigma.λu:sigma.λsur:r u s.λtur:r u t.(l_e_st_eq_trr sigma r refr1 symr1 trr1 s u t (l_e_st_eq_symr sigma r refr1 symr1 trr1 u s sur) tur : r s t).

(* constant 441 *)
definition l_e_st_eq_tr2r ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.λt:sigma.λu:sigma.λusr:r s u.λutr:r t u.(l_e_st_eq_trr sigma r refr1 symr1 trr1 s u t usr (l_e_st_eq_symr sigma r refr1 symr1 trr1 t u utr) : r s t).

(* constant 442 *)
definition l_e_st_eq_ecelt ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.(l_e_st_setof sigma (r s) : l_e_st_set sigma).

(* constant 443 *)
definition l_e_st_eq_1_th1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.(l_e_st_estii sigma (r s) s (l_e_st_eq_refr sigma r refr1 symr1 trr1 s) : l_e_st_esti sigma s (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s)).

(* constant 444 *)
definition l_e_st_eq_1_th2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.λt:sigma.λtsr:r s t.(l_e_st_estii sigma (r s) t tsr : l_e_st_esti sigma t (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s)).

(* constant 445 *)
definition l_e_st_eq_1_th3 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.λt:sigma.λe:l_e_st_esti sigma t (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s).(l_e_st_estie sigma (r s) t e : r s t).

(* constant 446 *)
definition l_e_st_eq_1_t1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.λt:sigma.λtsr:r s t.λu:sigma.λe:l_e_st_esti sigma u (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s).(l_e_st_eq_1_th2 sigma r refr1 symr1 trr1 t u (l_e_st_eq_tr1r sigma r refr1 symr1 trr1 t u s tsr (l_e_st_eq_1_th3 sigma r refr1 symr1 trr1 s u e)) : l_e_st_esti sigma u (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t)).

(* constant 447 *)
definition l_e_st_eq_1_th4 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.λt:sigma.λtsr:r s t.(l_e_st_isseti sigma (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t) (λx:sigma.λy:l_e_st_esti sigma x (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s).l_e_st_eq_1_t1 sigma r refr1 symr1 trr1 s t tsr x y) (λx:sigma.λy:l_e_st_esti sigma x (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t).l_e_st_eq_1_t1 sigma r refr1 symr1 trr1 t s (l_e_st_eq_symr sigma r refr1 symr1 trr1 s t tsr) x y) : l_e_is (l_e_st_set sigma) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t)).

(* constant 448 *)
definition l_e_st_eq_1_t2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.λt:sigma.λn:l_not (r s t).λu:sigma.λe:l_e_st_esti sigma u (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s).(l_imp_th3 (l_e_st_esti sigma u (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t)) (r s t) n (λx:l_e_st_esti sigma u (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t).l_e_st_eq_tr2r sigma r refr1 symr1 trr1 s t u (l_e_st_eq_1_th3 sigma r refr1 symr1 trr1 s u e) (l_e_st_eq_1_th3 sigma r refr1 symr1 trr1 t u x)) : l_not (l_e_st_esti sigma u (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t))).

(* constant 449 *)
definition l_e_st_eq_1_th5 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.λt:sigma.λn:l_not (r s t).(λx:sigma.λy:l_e_st_esti sigma x (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s).l_e_st_eq_1_t2 sigma r refr1 symr1 trr1 s t n x y : l_e_st_disj sigma (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t)).

(* constant 450 *)
definition l_e_st_eq_1_th6 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.(l_e_st_nonemptyi sigma (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) s (l_e_st_eq_1_th1 sigma r refr1 symr1 trr1 s) : l_e_st_nonempty sigma (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s)).

(* constant 451 *)
definition l_e_st_eq_ecp ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λs:sigma.(l_e_is (l_e_st_set sigma) s0 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) : Prop).

(* constant 452 *)
definition l_e_st_eq_anec ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.(l_some sigma (λx:sigma.l_e_st_eq_ecp sigma r refr1 symr1 trr1 s0 x) : Prop).

(* constant 453 *)
definition l_e_st_eq_2_th1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.(l_somei sigma (λx:sigma.l_e_st_eq_ecp sigma r refr1 symr1 trr1 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) x) s (l_e_refis (l_e_st_set sigma) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s)) : l_e_st_eq_anec sigma r refr1 symr1 trr1 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s)).

(* constant 454 *)
definition l_e_st_eq_2_t1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λs:sigma.λses0:l_e_st_esti sigma s s0.λt:sigma.λe:l_e_st_eq_ecp sigma r refr1 symr1 trr1 s0 t.(l_e_st_issete1 sigma s0 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t) e s ses0 : l_e_st_esti sigma s (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t)).

(* constant 455 *)
definition l_e_st_eq_2_t2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λs:sigma.λses0:l_e_st_esti sigma s s0.λt:sigma.λe:l_e_st_eq_ecp sigma r refr1 symr1 trr1 s0 t.(l_e_st_eq_1_th4 sigma r refr1 symr1 trr1 t s (l_e_st_eq_1_th3 sigma r refr1 symr1 trr1 t s (l_e_st_eq_2_t1 sigma r refr1 symr1 trr1 s0 ecs0 s ses0 t e)) : l_e_is (l_e_st_set sigma) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s)).

(* constant 456 *)
definition l_e_st_eq_2_t3 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λs:sigma.λses0:l_e_st_esti sigma s s0.λt:sigma.λe:l_e_st_eq_ecp sigma r refr1 symr1 trr1 s0 t.(l_e_tris (l_e_st_set sigma) s0 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) e (l_e_st_eq_2_t2 sigma r refr1 symr1 trr1 s0 ecs0 s ses0 t e) : l_e_is (l_e_st_set sigma) s0 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s)).

(* constant 457 *)
definition l_e_st_eq_2_th2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λs:sigma.λses0:l_e_st_esti sigma s s0.(l_someapp sigma (λx:sigma.l_e_st_eq_ecp sigma r refr1 symr1 trr1 s0 x) ecs0 (l_e_is (l_e_st_set sigma) s0 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s)) (λx:sigma.λy:l_e_st_eq_ecp sigma r refr1 symr1 trr1 s0 x.l_e_st_eq_2_t3 sigma r refr1 symr1 trr1 s0 ecs0 s ses0 x y) : l_e_is (l_e_st_set sigma) s0 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s)).

(* constant 458 *)
definition l_e_st_eq_2_th3 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λs:sigma.λses0:l_e_st_esti sigma s s0.λt:sigma.λtes0:l_e_st_esti sigma t s0.(l_e_st_eq_1_th3 sigma r refr1 symr1 trr1 s t (l_e_st_issete1 sigma s0 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_2_th2 sigma r refr1 symr1 trr1 s0 ecs0 s ses0) t tes0) : r s t).

(* constant 459 *)
definition l_e_st_eq_2_th4 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λs:sigma.λses0:l_e_st_esti sigma s s0.λt:sigma.λtsr:r s t.(l_e_st_issete2 sigma s0 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_2_th2 sigma r refr1 symr1 trr1 s0 ecs0 s ses0) t (l_e_st_eq_1_th2 sigma r refr1 symr1 trr1 s t tsr) : l_e_st_esti sigma t s0).

(* constant 460 *)
definition l_e_st_eq_2_t4 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λs:sigma.λe:l_e_st_eq_ecp sigma r refr1 symr1 trr1 s0 s.(l_e_isp (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_nonempty sigma x) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) s0 (l_e_st_eq_1_th6 sigma r refr1 symr1 trr1 s) (l_e_symis (l_e_st_set sigma) s0 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) e) : l_e_st_nonempty sigma s0).

(* constant 461 *)
definition l_e_st_eq_2_th5 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.(l_someapp sigma (λx:sigma.l_e_st_eq_ecp sigma r refr1 symr1 trr1 s0 x) ecs0 (l_e_st_nonempty sigma s0) (λx:sigma.λy:l_e_st_eq_ecp sigma r refr1 symr1 trr1 s0 x.l_e_st_eq_2_t4 sigma r refr1 symr1 trr1 s0 ecs0 x y) : l_e_st_nonempty sigma s0).

(* constant 462 *)
definition l_e_st_eq_3_th1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λt0:l_e_st_set sigma.λect0:l_e_st_eq_anec sigma r refr1 symr1 trr1 t0.λs:sigma.λses0:l_e_st_esti sigma s s0.λt:sigma.λtet0:l_e_st_esti sigma t t0.λtsr:r s t.(l_e_tr3is (l_e_st_set sigma) s0 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t) t0 (l_e_st_eq_2_th2 sigma r refr1 symr1 trr1 s0 ecs0 s ses0) (l_e_st_eq_1_th4 sigma r refr1 symr1 trr1 s t tsr) (l_e_symis (l_e_st_set sigma) t0 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t) (l_e_st_eq_2_th2 sigma r refr1 symr1 trr1 t0 ect0 t tet0)) : l_e_is (l_e_st_set sigma) s0 t0).

(* constant 463 *)
definition l_e_st_eq_3_t1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λt0:l_e_st_set sigma.λect0:l_e_st_eq_anec sigma r refr1 symr1 trr1 t0.λs:sigma.λses0:l_e_st_esti sigma s s0.λt:sigma.λtet0:l_e_st_esti sigma t t0.λn:l_not (r s t).(l_e_isp1 (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_disj sigma x (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t)) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) s0 (l_e_st_eq_1_th5 sigma r refr1 symr1 trr1 s t n) (l_e_st_eq_2_th2 sigma r refr1 symr1 trr1 s0 ecs0 s ses0) : l_e_st_disj sigma s0 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t)).

(* constant 464 *)
definition l_e_st_eq_3_th2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λt0:l_e_st_set sigma.λect0:l_e_st_eq_anec sigma r refr1 symr1 trr1 t0.λs:sigma.λses0:l_e_st_esti sigma s s0.λt:sigma.λtet0:l_e_st_esti sigma t t0.λn:l_not (r s t).(l_e_isp1 (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_disj sigma s0 x) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t) t0 (l_e_st_eq_3_t1 sigma r refr1 symr1 trr1 s0 ecs0 t0 ect0 s ses0 t tet0 n) (l_e_st_eq_2_th2 sigma r refr1 symr1 trr1 t0 ect0 t tet0) : l_e_st_disj sigma s0 t0).

(* constant 465 *)
definition l_e_st_eq_3_t2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λt0:l_e_st_set sigma.λi:l_e_is (l_e_st_set sigma) s0 t0.λs:sigma.λses0:l_e_st_esti sigma s s0.(l_e_st_issete1 sigma s0 t0 i s ses0 : l_e_st_esti sigma s t0).

(* constant 466 *)
definition l_e_st_eq_3_t3 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λt0:l_e_st_set sigma.λi:l_e_is (l_e_st_set sigma) s0 t0.λs:sigma.λses0:l_e_st_esti sigma s s0.(l_e_st_disj_th1 sigma s0 t0 s ses0 (l_e_st_eq_3_t2 sigma r refr1 symr1 trr1 s0 ecs0 t0 i s ses0) : l_not (l_e_st_disj sigma s0 t0)).

(* constant 467 *)
definition l_e_st_eq_3_th3 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.λt0:l_e_st_set sigma.λi:l_e_is (l_e_st_set sigma) s0 t0.(l_e_st_nonemptyapp sigma s0 (l_e_st_eq_2_th5 sigma r refr1 symr1 trr1 s0 ecs0) (l_not (l_e_st_disj sigma s0 t0)) (λx:sigma.λy:l_e_st_esti sigma x s0.l_e_st_eq_3_t3 sigma r refr1 symr1 trr1 s0 ecs0 t0 i x y) : l_not (l_e_st_disj sigma s0 t0)).

(* constant 468 *)
definition l_e_st_eq_ect ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.(l_e_ot (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_eq_anec sigma r refr1 symr1 trr1 x) : Type[0]).

(* constant 469 *)
definition l_e_st_eq_ectset ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs0:l_e_st_set sigma.λecs0:l_e_st_eq_anec sigma r refr1 symr1 trr1 s0.(l_e_out (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_eq_anec sigma r refr1 symr1 trr1 x) s0 ecs0 : l_e_st_eq_ect sigma r refr1 symr1 trr1).

(* constant 470 *)
definition l_e_st_eq_ectelt ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.(l_e_st_eq_ectset sigma r refr1 symr1 trr1 (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_2_th1 sigma r refr1 symr1 trr1 s) : l_e_st_eq_ect sigma r refr1 symr1 trr1).

(* constant 471 *)
definition l_e_st_eq_ecect ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.(l_e_in (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_eq_anec sigma r refr1 symr1 trr1 x) e : l_e_st_set sigma).

(* constant 472 *)
definition l_e_st_eq_4_th1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.(l_e_inp (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_eq_anec sigma r refr1 symr1 trr1 x) e : l_e_st_eq_anec sigma r refr1 symr1 trr1 (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e)).

(* constant 473 *)
definition l_e_st_eq_4_th2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.(l_e_st_eq_2_th5 sigma r refr1 symr1 trr1 (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e) (l_e_st_eq_4_th1 sigma r refr1 symr1 trr1 e) : l_e_st_nonempty sigma (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e)).

(* constant 474 *)
definition l_e_st_eq_4_th3 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λx:Prop.λx1:∀y:sigma.∀z:l_e_st_esti sigma y (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).x.(l_e_st_nonemptyapp sigma (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e) (l_e_st_eq_4_th2 sigma r refr1 symr1 trr1 e) x x1 : x).

(* constant 475 *)
definition l_e_st_eq_4_th4 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.(l_e_isinout (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_eq_anec sigma r refr1 symr1 trr1 x) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_2_th1 sigma r refr1 symr1 trr1 s) : l_e_is (l_e_st_set sigma) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_ecect sigma r refr1 symr1 trr1 (l_e_st_eq_ectelt sigma r refr1 symr1 trr1 s))).

(* constant 476 *)
definition l_e_st_eq_4_th5 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.(l_e_st_issete1 sigma (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_ecect sigma r refr1 symr1 trr1 (l_e_st_eq_ectelt sigma r refr1 symr1 trr1 s)) (l_e_st_eq_4_th4 sigma r refr1 symr1 trr1 s) s (l_e_st_eq_1_th1 sigma r refr1 symr1 trr1 s) : l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 (l_e_st_eq_ectelt sigma r refr1 symr1 trr1 s))).

(* constant 477 *)
definition l_e_st_eq_4_th6 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.(l_e_st_eunmore1 sigma (l_e_st_eq_ect sigma r refr1 symr1 trr1) (λx:l_e_st_eq_ect sigma r refr1 symr1 trr1.l_e_st_eq_ecect sigma r refr1 symr1 trr1 x) s (l_e_st_eq_ectelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_4_th5 sigma r refr1 symr1 trr1 s) : l_e_st_esti sigma s (l_e_st_unmore sigma (l_e_st_eq_ect sigma r refr1 symr1 trr1) (λx:l_e_st_eq_ect sigma r refr1 symr1 trr1.l_e_st_eq_ecect sigma r refr1 symr1 trr1 x))).

(* constant 478 *)
definition l_e_st_eq_4_th7 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).λt:sigma.λtee:l_e_st_esti sigma t (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).(l_e_st_eq_2_th3 sigma r refr1 symr1 trr1 (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e) (l_e_st_eq_4_th1 sigma r refr1 symr1 trr1 e) s see t tee : r s t).

(* constant 479 *)
definition l_e_st_eq_4_th8 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).λt:sigma.λtsr:r s t.(l_e_st_eq_2_th4 sigma r refr1 symr1 trr1 (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e) (l_e_st_eq_4_th1 sigma r refr1 symr1 trr1 e) s see t tsr : l_e_st_esti sigma t (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e)).

(* constant 480 *)
definition l_e_st_eq_5_th1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λf:l_e_st_eq_ect sigma r refr1 symr1 trr1.λi:l_e_is (l_e_st_eq_ect sigma r refr1 symr1 trr1) e f.(l_e_isini (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_eq_anec sigma r refr1 symr1 trr1 x) e f i : l_e_is (l_e_st_set sigma) (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e) (l_e_st_eq_ecect sigma r refr1 symr1 trr1 f)).

(* constant 481 *)
definition l_e_st_eq_5_th2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λf:l_e_st_eq_ect sigma r refr1 symr1 trr1.λi:l_e_is (l_e_st_set sigma) (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e) (l_e_st_eq_ecect sigma r refr1 symr1 trr1 f).(l_e_isine (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_eq_anec sigma r refr1 symr1 trr1 x) e f i : l_e_is (l_e_st_eq_ect sigma r refr1 symr1 trr1) e f).

(* constant 482 *)
definition l_e_st_eq_5_th3 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λf:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).λt:sigma.λtef:l_e_st_esti sigma t (l_e_st_eq_ecect sigma r refr1 symr1 trr1 f).λtsr:r s t.(l_e_st_eq_5_th2 sigma r refr1 symr1 trr1 e f (l_e_st_eq_3_th1 sigma r refr1 symr1 trr1 (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e) (l_e_st_eq_4_th1 sigma r refr1 symr1 trr1 e) (l_e_st_eq_ecect sigma r refr1 symr1 trr1 f) (l_e_st_eq_4_th1 sigma r refr1 symr1 trr1 f) s see t tef tsr) : l_e_is (l_e_st_eq_ect sigma r refr1 symr1 trr1) e f).

(* constant 483 *)
definition l_e_st_eq_5_th4 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λf:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).λi:l_e_is (l_e_st_eq_ect sigma r refr1 symr1 trr1) e f.(l_e_st_issete1 sigma (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e) (l_e_st_eq_ecect sigma r refr1 symr1 trr1 f) (l_e_st_eq_5_th1 sigma r refr1 symr1 trr1 e f i) s see : l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 f)).

(* constant 484 *)
definition l_e_st_eq_5_th5 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λf:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).λt:sigma.λtef:l_e_st_esti sigma t (l_e_st_eq_ecect sigma r refr1 symr1 trr1 f).λi:l_e_is (l_e_st_eq_ect sigma r refr1 symr1 trr1) e f.(l_e_st_eq_2_th3 sigma r refr1 symr1 trr1 (l_e_st_eq_ecect sigma r refr1 symr1 trr1 f) (l_e_st_eq_4_th1 sigma r refr1 symr1 trr1 f) s (l_e_st_eq_5_th4 sigma r refr1 symr1 trr1 e f s see i) t tef : r s t).

(* constant 485 *)
definition l_e_st_eq_5_th6 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λs:sigma.λt:sigma.λtsr:r s t.(l_e_isouti (l_e_st_set sigma) (λx:l_e_st_set sigma.l_e_st_eq_anec sigma r refr1 symr1 trr1 x) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_2_th1 sigma r refr1 symr1 trr1 s) (l_e_st_eq_ecelt sigma r refr1 symr1 trr1 t) (l_e_st_eq_2_th1 sigma r refr1 symr1 trr1 t) (l_e_st_eq_1_th4 sigma r refr1 symr1 trr1 s t tsr) : l_e_is (l_e_st_eq_ect sigma r refr1 symr1 trr1) (l_e_st_eq_ectelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_ectelt sigma r refr1 symr1 trr1 t)).

(* constant 486 *)
definition l_e_st_eq_fixfu ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.(∀x:sigma.∀y:sigma.∀z:r x y.l_e_is alpha (fu x) (fu y) : Prop).

(* constant 487 *)
definition l_e_st_eq_10_prop1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λa1:alpha.λs:sigma.(l_and (l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e)) (l_e_is alpha (fu s) a1) : Prop).

(* constant 488 *)
definition l_e_st_eq_10_prop2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λa1:alpha.(l_some sigma (λx:sigma.l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e a1 x) : Prop).

(* constant 489 *)
definition l_e_st_eq_10_t1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).(l_andi (l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e)) (l_e_is alpha (fu s) (fu s)) see (l_e_refis alpha (fu s)) : l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e (fu s) s).

(* constant 490 *)
definition l_e_st_eq_10_t2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).(l_somei sigma (λx:sigma.l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e (fu s) x) s (l_e_st_eq_10_t1 sigma r refr1 symr1 trr1 alpha fu ff e s see) : l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e (fu s)).

(* constant 491 *)
definition l_e_st_eq_10_t3 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).(l_somei alpha (λx:alpha.l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e x) (fu s) (l_e_st_eq_10_t2 sigma r refr1 symr1 trr1 alpha fu ff e s see) : l_some alpha (λx:alpha.l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e x)).

(* constant 492 *)
definition l_e_st_eq_10_t4 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.(l_e_st_eq_4_th3 sigma r refr1 symr1 trr1 e (l_some alpha (λx:alpha.l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e x)) (λx:sigma.λy:l_e_st_esti sigma x (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).l_e_st_eq_10_t3 sigma r refr1 symr1 trr1 alpha fu ff e x y) : l_some alpha (λx:alpha.l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e x)).

(* constant 493 *)
definition l_e_st_eq_10_t5 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λa1:alpha.λb1:alpha.λpa1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e a1.λpb1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e b1.λs:sigma.λpa1s:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e a1 s.λt:sigma.λpb1t:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e b1 t.(l_ande1 (l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e)) (l_e_is alpha (fu s) a1) pa1s : l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e)).

(* constant 494 *)
definition l_e_st_eq_10_t6 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λa1:alpha.λb1:alpha.λpa1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e a1.λpb1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e b1.λs:sigma.λpa1s:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e a1 s.λt:sigma.λpb1t:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e b1 t.(l_ande1 (l_e_st_esti sigma t (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e)) (l_e_is alpha (fu t) b1) pb1t : l_e_st_esti sigma t (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e)).

(* constant 495 *)
definition l_e_st_eq_10_t7 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λa1:alpha.λb1:alpha.λpa1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e a1.λpb1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e b1.λs:sigma.λpa1s:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e a1 s.λt:sigma.λpb1t:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e b1 t.(l_e_st_eq_4_th7 sigma r refr1 symr1 trr1 e s (l_e_st_eq_10_t5 sigma r refr1 symr1 trr1 alpha fu ff e a1 b1 pa1 pb1 s pa1s t pb1t) t (l_e_st_eq_10_t6 sigma r refr1 symr1 trr1 alpha fu ff e a1 b1 pa1 pb1 s pa1s t pb1t) : r s t).

(* constant 496 *)
definition l_e_st_eq_10_t8 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λa1:alpha.λb1:alpha.λpa1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e a1.λpb1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e b1.λs:sigma.λpa1s:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e a1 s.λt:sigma.λpb1t:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e b1 t.(l_ande2 (l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e)) (l_e_is alpha (fu s) a1) pa1s : l_e_is alpha (fu s) a1).

(* constant 497 *)
definition l_e_st_eq_10_t9 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λa1:alpha.λb1:alpha.λpa1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e a1.λpb1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e b1.λs:sigma.λpa1s:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e a1 s.λt:sigma.λpb1t:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e b1 t.(l_ande2 (l_e_st_esti sigma t (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e)) (l_e_is alpha (fu t) b1) pb1t : l_e_is alpha (fu t) b1).

(* constant 498 *)
definition l_e_st_eq_10_t10 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λa1:alpha.λb1:alpha.λpa1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e a1.λpb1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e b1.λs:sigma.λpa1s:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e a1 s.λt:sigma.λpb1t:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e b1 t.(l_e_tr3is alpha a1 (fu s) (fu t) b1 (l_e_symis alpha (fu s) a1 (l_e_st_eq_10_t8 sigma r refr1 symr1 trr1 alpha fu ff e a1 b1 pa1 pb1 s pa1s t pb1t)) (ff s t (l_e_st_eq_10_t7 sigma r refr1 symr1 trr1 alpha fu ff e a1 b1 pa1 pb1 s pa1s t pb1t)) (l_e_st_eq_10_t9 sigma r refr1 symr1 trr1 alpha fu ff e a1 b1 pa1 pb1 s pa1s t pb1t) : l_e_is alpha a1 b1).

(* constant 499 *)
definition l_e_st_eq_10_t11 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λa1:alpha.λb1:alpha.λpa1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e a1.λpb1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e b1.λs:sigma.λpa1s:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e a1 s.(l_someapp sigma (λx:sigma.l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e b1 x) pb1 (l_e_is alpha a1 b1) (λx:sigma.λy:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e b1 x.l_e_st_eq_10_t10 sigma r refr1 symr1 trr1 alpha fu ff e a1 b1 pa1 pb1 s pa1s x y) : l_e_is alpha a1 b1).

(* constant 500 *)
definition l_e_st_eq_10_t12 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λa1:alpha.λb1:alpha.λpa1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e a1.λpb1:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e b1.(l_someapp sigma (λx:sigma.l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e a1 x) pa1 (l_e_is alpha a1 b1) (λx:sigma.λy:l_e_st_eq_10_prop1 sigma r refr1 symr1 trr1 alpha fu ff e a1 x.l_e_st_eq_10_t11 sigma r refr1 symr1 trr1 alpha fu ff e a1 b1 pa1 pb1 x y) : l_e_is alpha a1 b1).

(* constant 501 *)
definition l_e_st_eq_10_t13 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.(λx:alpha.λy:alpha.λu:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e x.λv:l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e y.l_e_st_eq_10_t12 sigma r refr1 symr1 trr1 alpha fu ff e x y u v : l_e_amone alpha (λx:alpha.l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e x)).

(* constant 502 *)
definition l_e_st_eq_10_t14 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.(l_e_onei alpha (λx:alpha.l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e x) (l_e_st_eq_10_t13 sigma r refr1 symr1 trr1 alpha fu ff e) (l_e_st_eq_10_t4 sigma r refr1 symr1 trr1 alpha fu ff e) : l_e_one alpha (λx:alpha.l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e x)).

(* constant 503 *)
definition l_e_st_eq_indeq ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.(l_e_ind alpha (λx:alpha.l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e x) (l_e_st_eq_10_t14 sigma r refr1 symr1 trr1 alpha fu ff e) : alpha).

(* constant 504 *)
definition l_e_st_eq_10_th1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.(l_e_oneax alpha (λx:alpha.l_e_st_eq_10_prop2 sigma r refr1 symr1 trr1 alpha fu ff e x) (l_e_st_eq_10_t14 sigma r refr1 symr1 trr1 alpha fu ff e) : l_some sigma (λx:sigma.l_and (l_e_st_esti sigma x (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e)) (l_e_is alpha (fu x) (l_e_st_eq_indeq sigma r refr1 symr1 trr1 alpha fu ff e)))).

(* constant 505 *)
definition l_e_st_eq_10_th2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).(l_e_st_eq_10_t12 sigma r refr1 symr1 trr1 alpha fu ff e (fu s) (l_e_st_eq_indeq sigma r refr1 symr1 trr1 alpha fu ff e) (l_e_st_eq_10_t2 sigma r refr1 symr1 trr1 alpha fu ff e s see) (l_e_st_eq_10_th1 sigma r refr1 symr1 trr1 alpha fu ff e) : l_e_is alpha (fu s) (l_e_st_eq_indeq sigma r refr1 symr1 trr1 alpha fu ff e)).

(* constant 506 *)
definition l_e_st_eq_10_th3 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu:Πx:sigma.alpha.λff:l_e_st_eq_fixfu sigma r refr1 symr1 trr1 alpha fu.λs:sigma.(l_e_st_eq_10_th2 sigma r refr1 symr1 trr1 alpha fu ff (l_e_st_eq_ectelt sigma r refr1 symr1 trr1 s) s (l_e_st_eq_4_th5 sigma r refr1 symr1 trr1 s) : l_e_is alpha (fu s) (l_e_st_eq_indeq sigma r refr1 symr1 trr1 alpha fu ff (l_e_st_eq_ectelt sigma r refr1 symr1 trr1 s))).

(* constant 507 *)
definition l_e_st_eq_fixfu2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.(∀x:sigma.∀y:sigma.∀z:sigma.∀u:sigma.∀v:r x y.∀w:r z u.l_e_is alpha (fu2 x z) (fu2 y u) : Prop).

(* constant 508 *)
definition l_e_st_eq_11_t1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λs:sigma.λt:sigma.λtsr:r s t.λu:sigma.(ff2 s t u u tsr (l_e_st_eq_refr sigma r refr1 symr1 trr1 u) : l_e_is alpha (fu2 s u) (fu2 t u)).

(* constant 509 *)
definition l_e_st_eq_11_t2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λs:sigma.λt:sigma.λtsr:r s t.(l_e_fisi sigma alpha (fu2 s) (fu2 t) (λx:sigma.l_e_st_eq_11_t1 sigma r refr1 symr1 trr1 alpha fu2 ff2 s t tsr x) : l_e_is (Πx:sigma.alpha) (fu2 s) (fu2 t)).

(* constant 510 *)
definition l_e_st_eq_11_i ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.(l_e_st_eq_indeq sigma r refr1 symr1 trr1 (Πx:sigma.alpha) fu2 (λx:sigma.λy:sigma.λz:r x y.l_e_st_eq_11_t2 sigma r refr1 symr1 trr1 alpha fu2 ff2 x y z) e : Πx:sigma.alpha).

(* constant 511 *)
definition l_e_st_eq_11_t3 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λt:sigma.λtsr:r s t.λu:sigma.λuee:l_e_st_esti sigma u (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).(l_e_st_eq_10_th2 sigma r refr1 symr1 trr1 (Πx:sigma.alpha) fu2 (λx:sigma.λy:sigma.λz:r x y.l_e_st_eq_11_t2 sigma r refr1 symr1 trr1 alpha fu2 ff2 x y z) e u uee : l_e_is (Πx:sigma.alpha) (fu2 u) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e)).

(* constant 512 *)
definition l_e_st_eq_11_t4 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λt:sigma.λtsr:r s t.λu:sigma.λuee:l_e_st_esti sigma u (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).(l_e_fise sigma alpha (fu2 u) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e) (l_e_st_eq_11_t3 sigma r refr1 symr1 trr1 alpha fu2 ff2 e s t tsr u uee) s : l_e_is alpha (fu2 u s) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e s)).

(* constant 513 *)
definition l_e_st_eq_11_t5 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λt:sigma.λtsr:r s t.λu:sigma.λuee:l_e_st_esti sigma u (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).(l_e_fise sigma alpha (fu2 u) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e) (l_e_st_eq_11_t3 sigma r refr1 symr1 trr1 alpha fu2 ff2 e s t tsr u uee) t : l_e_is alpha (fu2 u t) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e t)).

(* constant 514 *)
definition l_e_st_eq_11_t6 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λt:sigma.λtsr:r s t.λu:sigma.λuee:l_e_st_esti sigma u (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).(ff2 u u s t (l_e_st_eq_refr sigma r refr1 symr1 trr1 u) tsr : l_e_is alpha (fu2 u s) (fu2 u t)).

(* constant 515 *)
definition l_e_st_eq_11_t7 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λt:sigma.λtsr:r s t.λu:sigma.λuee:l_e_st_esti sigma u (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).(l_e_tr3is alpha (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e s) (fu2 u s) (fu2 u t) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e t) (l_e_symis alpha (fu2 u s) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e s) (l_e_st_eq_11_t4 sigma r refr1 symr1 trr1 alpha fu2 ff2 e s t tsr u uee)) (l_e_st_eq_11_t6 sigma r refr1 symr1 trr1 alpha fu2 ff2 e s t tsr u uee) (l_e_st_eq_11_t5 sigma r refr1 symr1 trr1 alpha fu2 ff2 e s t tsr u uee) : l_e_is alpha (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e s) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e t)).

(* constant 516 *)
definition l_e_st_eq_11_t8 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λt:sigma.λtsr:r s t.(l_e_st_eq_4_th3 sigma r refr1 symr1 trr1 e (l_e_is alpha (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e s) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e t)) (λx:sigma.λy:l_e_st_esti sigma x (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).l_e_st_eq_11_t7 sigma r refr1 symr1 trr1 alpha fu2 ff2 e s t tsr x y) : l_e_is alpha (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e s) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e t)).

(* constant 517 *)
definition l_e_st_eq_indeq2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λf:l_e_st_eq_ect sigma r refr1 symr1 trr1.(l_e_st_eq_indeq sigma r refr1 symr1 trr1 alpha (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e) (λx:sigma.λy:sigma.λz:r x y.l_e_st_eq_11_t8 sigma r refr1 symr1 trr1 alpha fu2 ff2 e x y z) f : alpha).

(* constant 518 *)
definition l_e_st_eq_11_t9 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λf:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).λt:sigma.λtef:l_e_st_esti sigma t (l_e_st_eq_ecect sigma r refr1 symr1 trr1 f).(l_e_st_eq_10_th2 sigma r refr1 symr1 trr1 alpha (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e) (λx:sigma.λy:sigma.λz:r x y.l_e_st_eq_11_t8 sigma r refr1 symr1 trr1 alpha fu2 ff2 e x y z) f t tef : l_e_is alpha (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e t) (l_e_st_eq_indeq2 sigma r refr1 symr1 trr1 alpha fu2 ff2 e f)).

(* constant 519 *)
definition l_e_st_eq_11_t10 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λf:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).λt:sigma.λtef:l_e_st_esti sigma t (l_e_st_eq_ecect sigma r refr1 symr1 trr1 f).(l_e_st_eq_10_th2 sigma r refr1 symr1 trr1 (Πx:sigma.alpha) fu2 (λx:sigma.λy:sigma.λz:r x y.l_e_st_eq_11_t2 sigma r refr1 symr1 trr1 alpha fu2 ff2 x y z) e s see : l_e_is (Πx:sigma.alpha) (fu2 s) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e)).

(* constant 520 *)
definition l_e_st_eq_11_t11 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λf:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).λt:sigma.λtef:l_e_st_esti sigma t (l_e_st_eq_ecect sigma r refr1 symr1 trr1 f).(l_e_fise sigma alpha (fu2 s) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e) (l_e_st_eq_11_t10 sigma r refr1 symr1 trr1 alpha fu2 ff2 e f s see t tef) t : l_e_is alpha (fu2 s t) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e t)).

(* constant 521 *)
definition l_e_st_eq_11_th1 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λe:l_e_st_eq_ect sigma r refr1 symr1 trr1.λf:l_e_st_eq_ect sigma r refr1 symr1 trr1.λs:sigma.λsee:l_e_st_esti sigma s (l_e_st_eq_ecect sigma r refr1 symr1 trr1 e).λt:sigma.λtef:l_e_st_esti sigma t (l_e_st_eq_ecect sigma r refr1 symr1 trr1 f).(l_e_tris alpha (fu2 s t) (l_e_st_eq_11_i sigma r refr1 symr1 trr1 alpha fu2 ff2 e t) (l_e_st_eq_indeq2 sigma r refr1 symr1 trr1 alpha fu2 ff2 e f) (l_e_st_eq_11_t11 sigma r refr1 symr1 trr1 alpha fu2 ff2 e f s see t tef) (l_e_st_eq_11_t9 sigma r refr1 symr1 trr1 alpha fu2 ff2 e f s see t tef) : l_e_is alpha (fu2 s t) (l_e_st_eq_indeq2 sigma r refr1 symr1 trr1 alpha fu2 ff2 e f)).

(* constant 522 *)
definition l_e_st_eq_11_th2 ≝ λsigma:Type[0].λr:∀x:sigma.∀y:sigma.Prop.λrefr1:∀x:sigma.r x x.λsymr1:∀x:sigma.∀y:sigma.∀t:r x y.r y x.λtrr1:∀x:sigma.∀y:sigma.∀z:sigma.∀t:r x y.∀u:r y z.r x z.λalpha:Type[0].λfu2:Πx:sigma.Πy:sigma.alpha.λff2:l_e_st_eq_fixfu2 sigma r refr1 symr1 trr1 alpha fu2.λs:sigma.λt:sigma.(l_e_st_eq_11_th1 sigma r refr1 symr1 trr1 alpha fu2 ff2 (l_e_st_eq_ectelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_ectelt sigma r refr1 symr1 trr1 t) s (l_e_st_eq_4_th5 sigma r refr1 symr1 trr1 s) t (l_e_st_eq_4_th5 sigma r refr1 symr1 trr1 t) : l_e_is alpha (fu2 s t) (l_e_st_eq_indeq2 sigma r refr1 symr1 trr1 alpha fu2 ff2 (l_e_st_eq_ectelt sigma r refr1 symr1 trr1 s) (l_e_st_eq_ectelt sigma r refr1 symr1 trr1 t))).

(* constant 523 *)
axiom l_e_st_eq_landau_n_nat : Type[0].

(* constant 524 *)
definition l_e_st_eq_landau_n_is ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_is l_e_st_eq_landau_n_nat x y : Prop).

(* constant 525 *)
definition l_e_st_eq_landau_n_nis ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_not (l_e_st_eq_landau_n_is x y) : Prop).

(* constant 526 *)
definition l_e_st_eq_landau_n_in ≝ λx:l_e_st_eq_landau_n_nat.λs:l_e_st_set l_e_st_eq_landau_n_nat.(l_e_st_esti l_e_st_eq_landau_n_nat x s : Prop).

(* constant 527 *)
definition l_e_st_eq_landau_n_some ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.(l_some l_e_st_eq_landau_n_nat p : Prop).

(* constant 528 *)
definition l_e_st_eq_landau_n_all ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.(l_all l_e_st_eq_landau_n_nat p : Prop).

(* constant 529 *)
definition l_e_st_eq_landau_n_one ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.(l_e_one l_e_st_eq_landau_n_nat p : Prop).

(* constant 530 *)
axiom l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_nat.

(* constant 531 *)
axiom l_e_st_eq_landau_n_suc : Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.

(* constant 532 *)
definition l_e_st_eq_landau_n_ax2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_suc x y i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_suc y)).

(* constant 533 *)
axiom l_e_st_eq_landau_n_ax3 : ∀x:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_suc x) l_e_st_eq_landau_n_1.

(* constant 534 *)
axiom l_e_st_eq_landau_n_ax4 : ∀x:l_e_st_eq_landau_n_nat.∀y:l_e_st_eq_landau_n_nat.∀u:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_suc y).l_e_st_eq_landau_n_is x y.

(* constant 535 *)
definition l_e_st_eq_landau_n_cond1 ≝ λs:l_e_st_set l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_in l_e_st_eq_landau_n_1 s : Prop).

(* constant 536 *)
definition l_e_st_eq_landau_n_cond2 ≝ λs:l_e_st_set l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_all (λx:l_e_st_eq_landau_n_nat.l_imp (l_e_st_eq_landau_n_in x s) (l_e_st_eq_landau_n_in (l_e_st_eq_landau_n_suc x) s)) : Prop).

(* constant 537 *)
axiom l_e_st_eq_landau_n_ax5 : ∀s:l_e_st_set l_e_st_eq_landau_n_nat.∀u:l_e_st_eq_landau_n_cond1 s.∀v:l_e_st_eq_landau_n_cond2 s.∀x:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_in x s.

(* constant 538 *)
definition l_e_st_eq_landau_n_i1_s ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn1p:p l_e_st_eq_landau_n_1.λxsp:∀x:l_e_st_eq_landau_n_nat.∀y:p x.p (l_e_st_eq_landau_n_suc x).λx:l_e_st_eq_landau_n_nat.(l_e_st_setof l_e_st_eq_landau_n_nat p : l_e_st_set l_e_st_eq_landau_n_nat).

(* constant 539 *)
definition l_e_st_eq_landau_n_i1_t1 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn1p:p l_e_st_eq_landau_n_1.λxsp:∀x:l_e_st_eq_landau_n_nat.∀y:p x.p (l_e_st_eq_landau_n_suc x).λx:l_e_st_eq_landau_n_nat.(l_e_st_estii l_e_st_eq_landau_n_nat p l_e_st_eq_landau_n_1 n1p : l_e_st_eq_landau_n_cond1 (l_e_st_eq_landau_n_i1_s p n1p xsp x)).

(* constant 540 *)
definition l_e_st_eq_landau_n_i1_t2 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn1p:p l_e_st_eq_landau_n_1.λxsp:∀x:l_e_st_eq_landau_n_nat.∀y:p x.p (l_e_st_eq_landau_n_suc x).λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λyes:l_e_st_eq_landau_n_in y (l_e_st_eq_landau_n_i1_s p n1p xsp x).(l_e_st_estie l_e_st_eq_landau_n_nat p y yes : p y).

(* constant 541 *)
definition l_e_st_eq_landau_n_i1_t3 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn1p:p l_e_st_eq_landau_n_1.λxsp:∀x:l_e_st_eq_landau_n_nat.∀y:p x.p (l_e_st_eq_landau_n_suc x).λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λyes:l_e_st_eq_landau_n_in y (l_e_st_eq_landau_n_i1_s p n1p xsp x).(l_e_st_estii l_e_st_eq_landau_n_nat p (l_e_st_eq_landau_n_suc y) (xsp y (l_e_st_eq_landau_n_i1_t2 p n1p xsp x y yes)) : l_e_st_eq_landau_n_in (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_i1_s p n1p xsp x)).

(* constant 542 *)
definition l_e_st_eq_landau_n_i1_t4 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn1p:p l_e_st_eq_landau_n_1.λxsp:∀x:l_e_st_eq_landau_n_nat.∀y:p x.p (l_e_st_eq_landau_n_suc x).λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ax5 (l_e_st_eq_landau_n_i1_s p n1p xsp x) (l_e_st_eq_landau_n_i1_t1 p n1p xsp x) (λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_in y (l_e_st_eq_landau_n_i1_s p n1p xsp x).l_e_st_eq_landau_n_i1_t3 p n1p xsp x y u) x : l_e_st_eq_landau_n_in x (l_e_st_eq_landau_n_i1_s p n1p xsp x)).

(* constant 543 *)
definition l_e_st_eq_landau_n_induction ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn1p:p l_e_st_eq_landau_n_1.λxsp:∀x:l_e_st_eq_landau_n_nat.∀y:p x.p (l_e_st_eq_landau_n_suc x).λx:l_e_st_eq_landau_n_nat.(l_e_st_estie l_e_st_eq_landau_n_nat p x (l_e_st_eq_landau_n_i1_t4 p n1p xsp x) : p x).

(* constant 544 *)
definition l_e_st_eq_landau_n_21_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis x y.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_suc y).(l_e_st_eq_landau_n_ax4 x y i : l_e_st_eq_landau_n_is x y).

(* constant 545 *)
definition l_e_st_eq_landau_n_satz1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis x y.(l_imp_th3 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_is x y) n (λu:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_suc y).l_e_st_eq_landau_n_21_t1 x y n u) : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_suc y)).

(* constant 546 *)
definition l_e_st_eq_landau_n_22_prop1 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_suc x) x : Prop).

(* constant 547 *)
definition l_e_st_eq_landau_n_22_t1 ≝ (l_e_st_eq_landau_n_ax3 l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_22_prop1 l_e_st_eq_landau_n_1).

(* constant 548 *)
definition l_e_st_eq_landau_n_22_t2 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_22_prop1 x.(l_e_st_eq_landau_n_satz1 (l_e_st_eq_landau_n_suc x) x p : l_e_st_eq_landau_n_22_prop1 (l_e_st_eq_landau_n_suc x)).

(* constant 549 *)
definition l_e_st_eq_landau_n_satz2 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_22_prop1 y) l_e_st_eq_landau_n_22_t1 (λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_22_prop1 y.l_e_st_eq_landau_n_22_t2 y u) x : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_suc x) x).

(* constant 550 *)
definition l_e_st_eq_landau_n_23_prop1 ≝ λx:l_e_st_eq_landau_n_nat.(l_or (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u))) : Prop).

(* constant 551 *)
definition l_e_st_eq_landau_n_23_t1 ≝ (l_ori1 (l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_suc u))) (l_e_refis l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_23_prop1 l_e_st_eq_landau_n_1).

(* constant 552 *)
definition l_e_st_eq_landau_n_23_t2 ≝ λx:l_e_st_eq_landau_n_nat.(l_somei l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_suc u)) x (l_e_refis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc x)) : l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_suc u))).

(* constant 553 *)
definition l_e_st_eq_landau_n_23_t3 ≝ λx:l_e_st_eq_landau_n_nat.(l_ori2 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_suc u))) (l_e_st_eq_landau_n_23_t2 x) : l_e_st_eq_landau_n_23_prop1 (l_e_st_eq_landau_n_suc x)).

(* constant 554 *)
definition l_e_st_eq_landau_n_23_t4 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_23_prop1 y) l_e_st_eq_landau_n_23_t1 (λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_23_prop1 y.l_e_st_eq_landau_n_23_t3 y) x : l_e_st_eq_landau_n_23_prop1 x).

(* constant 555 *)
definition l_e_st_eq_landau_n_satz3 ≝ λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_ore2 (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u))) (l_e_st_eq_landau_n_23_t4 x) n : l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u))).

(* constant 556 *)
definition l_e_st_eq_landau_n_23_t5 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc y).λj:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc z).(l_e_st_eq_landau_n_ax4 y z (l_e_tris1 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_suc z) x i j) : l_e_st_eq_landau_n_is y z).

(* constant 557 *)
definition l_e_st_eq_landau_n_23_t6 ≝ λx:l_e_st_eq_landau_n_nat.(λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc y).λv:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc z).l_e_st_eq_landau_n_23_t5 x y z u v : l_e_amone l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u))).

(* constant 558 *)
definition l_e_st_eq_landau_n_satz3a ≝ λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_onei l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u)) (l_e_st_eq_landau_n_23_t6 x) (l_e_st_eq_landau_n_satz3 x n) : l_e_st_eq_landau_n_one (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u))).

(* constant 559 *)
definition l_e_st_eq_landau_n_24_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_all (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is (f (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (f y))) : Prop).

(* constant 560 *)
definition l_e_st_eq_landau_n_24_prop2 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.(l_and (l_e_st_eq_landau_n_is (f l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_24_prop1 x f) : Prop).

(* constant 561 *)
definition l_e_st_eq_landau_n_24_prop3 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_24_prop2 x a.λpb:l_e_st_eq_landau_n_24_prop2 x b.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_is (a y) (b y) : Prop).

(* constant 562 *)
definition l_e_st_eq_landau_n_24_t1 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_24_prop2 x a.λpb:l_e_st_eq_landau_n_24_prop2 x b.(l_ande1 (l_e_st_eq_landau_n_is (a l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_24_prop1 x a) pa : l_e_st_eq_landau_n_is (a l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)).

(* constant 563 *)
definition l_e_st_eq_landau_n_24_t2 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_24_prop2 x a.λpb:l_e_st_eq_landau_n_24_prop2 x b.(l_ande1 (l_e_st_eq_landau_n_is (b l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_24_prop1 x b) pb : l_e_st_eq_landau_n_is (b l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)).

(* constant 564 *)
definition l_e_st_eq_landau_n_24_t3 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_24_prop2 x a.λpb:l_e_st_eq_landau_n_24_prop2 x b.(l_e_tris2 l_e_st_eq_landau_n_nat (a l_e_st_eq_landau_n_1) (b l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_24_t1 x a b pa pb) (l_e_st_eq_landau_n_24_t2 x a b pa pb) : l_e_st_eq_landau_n_24_prop3 x a b pa pb l_e_st_eq_landau_n_1).

(* constant 565 *)
definition l_e_st_eq_landau_n_24_t4 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_24_prop2 x a.λpb:l_e_st_eq_landau_n_24_prop2 x b.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop3 x a b pa pb y.(l_e_st_eq_landau_n_ax2 (a y) (b y) p : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (a y)) (l_e_st_eq_landau_n_suc (b y))).

(* constant 566 *)
definition l_e_st_eq_landau_n_24_t5 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_24_prop2 x a.λpb:l_e_st_eq_landau_n_24_prop2 x b.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop3 x a b pa pb y.(l_ande2 (l_e_st_eq_landau_n_is (a l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_24_prop1 x a) pa : l_e_st_eq_landau_n_24_prop1 x a).

(* constant 567 *)
definition l_e_st_eq_landau_n_24_t6 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_24_prop2 x a.λpb:l_e_st_eq_landau_n_24_prop2 x b.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop3 x a b pa pb y.(l_ande2 (l_e_st_eq_landau_n_is (b l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_24_prop1 x b) pb : l_e_st_eq_landau_n_24_prop1 x b).

(* constant 568 *)
definition l_e_st_eq_landau_n_24_t7 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_24_prop2 x a.λpb:l_e_st_eq_landau_n_24_prop2 x b.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop3 x a b pa pb y.(l_e_st_eq_landau_n_24_t5 x a b pa pb y p y : l_e_st_eq_landau_n_is (a (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (a y))).

(* constant 569 *)
definition l_e_st_eq_landau_n_24_t8 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_24_prop2 x a.λpb:l_e_st_eq_landau_n_24_prop2 x b.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop3 x a b pa pb y.(l_e_st_eq_landau_n_24_t6 x a b pa pb y p y : l_e_st_eq_landau_n_is (b (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (b y))).

(* constant 570 *)
definition l_e_st_eq_landau_n_24_t9 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_24_prop2 x a.λpb:l_e_st_eq_landau_n_24_prop2 x b.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop3 x a b pa pb y.(l_e_tr3is l_e_st_eq_landau_n_nat (a (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (a y)) (l_e_st_eq_landau_n_suc (b y)) (b (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_24_t7 x a b pa pb y p) (l_e_st_eq_landau_n_24_t4 x a b pa pb y p) (l_e_symis l_e_st_eq_landau_n_nat (b (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (b y)) (l_e_st_eq_landau_n_24_t8 x a b pa pb y p)) : l_e_st_eq_landau_n_24_prop3 x a b pa pb (l_e_st_eq_landau_n_suc y)).

(* constant 571 *)
definition l_e_st_eq_landau_n_24_t10 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_24_prop2 x a.λpb:l_e_st_eq_landau_n_24_prop2 x b.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_24_prop3 x a b pa pb z) (l_e_st_eq_landau_n_24_t3 x a b pa pb) (λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_24_prop3 x a b pa pb z.l_e_st_eq_landau_n_24_t9 x a b pa pb z u) y : l_e_st_eq_landau_n_24_prop3 x a b pa pb y).

(* constant 572 *)
definition l_e_st_eq_landau_n_24_t11 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_24_prop2 x a.λpb:l_e_st_eq_landau_n_24_prop2 x b.(l_e_fisi l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat a b (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_24_t10 x a b pa pb y) : l_e_is (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) a b).

(* constant 573 *)
definition l_e_st_eq_landau_n_24_aa ≝ λx:l_e_st_eq_landau_n_nat.(λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λu:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_24_prop2 x z.λw:l_e_st_eq_landau_n_24_prop2 x u.l_e_st_eq_landau_n_24_t11 x z u v w : l_e_amone (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_24_prop2 x z)).

(* constant 574 *)
definition l_e_st_eq_landau_n_24_prop4 ≝ λx:l_e_st_eq_landau_n_nat.(l_some (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_24_prop2 x z) : Prop).

(* constant 575 *)
definition l_e_st_eq_landau_n_24_t12 ≝ (λx:l_e_st_eq_landau_n_nat.l_e_refis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_suc x)) : l_e_st_eq_landau_n_24_prop1 l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_suc).

(* constant 576 *)
definition l_e_st_eq_landau_n_24_t13 ≝ (l_andi (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_24_prop1 l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_suc) (l_e_refis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_24_t12 : l_e_st_eq_landau_n_24_prop2 l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_suc).

(* constant 577 *)
definition l_e_st_eq_landau_n_24_t14 ≝ (l_somei (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_24_prop2 l_e_st_eq_landau_n_1 z) l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_24_t13 : l_e_st_eq_landau_n_24_prop4 l_e_st_eq_landau_n_1).

(* constant 578 *)
definition l_e_st_eq_landau_n_24_g ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_24_prop2 x f.(λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_suc (f y) : Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat).

(* constant 579 *)
definition l_e_st_eq_landau_n_24_t15 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_24_prop2 x f.λy:l_e_st_eq_landau_n_nat.(l_e_refis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_24_g x p f pf y) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_24_g x p f pf y) (l_e_st_eq_landau_n_suc (f y))).

(* constant 580 *)
definition l_e_st_eq_landau_n_24_t16 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_24_prop2 x f.(l_ande1 (l_e_st_eq_landau_n_is (f l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_24_prop1 x f) pf : l_e_st_eq_landau_n_is (f l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)).

(* constant 581 *)
definition l_e_st_eq_landau_n_24_t17 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_24_prop2 x f.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_24_g x p f pf l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc (f l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_24_t15 x p f pf l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ax2 (f l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_24_t16 x p f pf)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_24_g x p f pf l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_suc x))).

(* constant 582 *)
definition l_e_st_eq_landau_n_24_t18 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_24_prop2 x f.λy:l_e_st_eq_landau_n_nat.(l_ande2 (l_e_st_eq_landau_n_is (f l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_24_prop1 x f) pf : l_e_st_eq_landau_n_24_prop1 x f).

(* constant 583 *)
definition l_e_st_eq_landau_n_24_t19 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_24_prop2 x f.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_24_t18 x p f pf y y : l_e_st_eq_landau_n_is (f (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (f y))).

(* constant 584 *)
definition l_e_st_eq_landau_n_24_t20 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_24_prop2 x f.λy:l_e_st_eq_landau_n_nat.(l_e_tris2 l_e_st_eq_landau_n_nat (f (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_24_g x p f pf y) (l_e_st_eq_landau_n_suc (f y)) (l_e_st_eq_landau_n_24_t19 x p f pf y) (l_e_st_eq_landau_n_24_t15 x p f pf y) : l_e_st_eq_landau_n_is (f (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_24_g x p f pf y)).

(* constant 585 *)
definition l_e_st_eq_landau_n_24_t21 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_24_prop2 x f.λy:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_24_g x p f pf (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (f (l_e_st_eq_landau_n_suc y))) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_24_g x p f pf y)) (l_e_st_eq_landau_n_24_t15 x p f pf (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_ax2 (f (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_24_g x p f pf y) (l_e_st_eq_landau_n_24_t20 x p f pf y)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_24_g x p f pf (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_24_g x p f pf y))).

(* constant 586 *)
definition l_e_st_eq_landau_n_24_t22 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_24_prop2 x f.(λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_24_t21 x p f pf y : l_e_st_eq_landau_n_24_prop1 (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_24_g x p f pf)).

(* constant 587 *)
definition l_e_st_eq_landau_n_24_t23 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_24_prop2 x f.(l_andi (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_24_g x p f pf l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_suc x))) (l_e_st_eq_landau_n_24_prop1 (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_24_g x p f pf)) (l_e_st_eq_landau_n_24_t17 x p f pf) (l_e_st_eq_landau_n_24_t22 x p f pf) : l_e_st_eq_landau_n_24_prop2 (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_24_g x p f pf)).

(* constant 588 *)
definition l_e_st_eq_landau_n_24_t24 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_24_prop2 x f.(l_somei (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_24_prop2 (l_e_st_eq_landau_n_suc x) z) (l_e_st_eq_landau_n_24_g x p f pf) (l_e_st_eq_landau_n_24_t23 x p f pf) : l_e_st_eq_landau_n_24_prop4 (l_e_st_eq_landau_n_suc x)).

(* constant 589 *)
definition l_e_st_eq_landau_n_24_t25 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_24_prop4 x.(l_someapp (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_24_prop2 x z) p (l_e_st_eq_landau_n_24_prop4 (l_e_st_eq_landau_n_suc x)) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_24_prop2 x z.l_e_st_eq_landau_n_24_t24 x p z u) : l_e_st_eq_landau_n_24_prop4 (l_e_st_eq_landau_n_suc x)).

(* constant 590 *)
definition l_e_st_eq_landau_n_24_bb ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_24_prop4 y) l_e_st_eq_landau_n_24_t14 (λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_24_prop4 y.l_e_st_eq_landau_n_24_t25 y u) x : l_e_st_eq_landau_n_24_prop4 x).

(* constant 591 *)
definition l_e_st_eq_landau_n_satz4 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_onei (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_24_prop2 x z) (l_e_st_eq_landau_n_24_aa x) (l_e_st_eq_landau_n_24_bb x) : l_e_one (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_and (l_e_st_eq_landau_n_is (z l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_all (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is (z (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (z y)))))).

(* constant 592 *)
definition l_e_st_eq_landau_n_plus ≝ λx:l_e_st_eq_landau_n_nat.(l_e_ind (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_24_prop2 x z) (l_e_st_eq_landau_n_satz4 x) : Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat).

(* constant 593 *)
definition l_e_st_eq_landau_n_pl ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_plus x y : l_e_st_eq_landau_n_nat).

(* constant 594 *)
definition l_e_st_eq_landau_n_24_t26 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_oneax (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_24_prop2 x z) (l_e_st_eq_landau_n_satz4 x) : l_e_st_eq_landau_n_24_prop2 x (l_e_st_eq_landau_n_plus x)).

(* constant 595 *)
definition l_e_st_eq_landau_n_satz4a ≝ λx:l_e_st_eq_landau_n_nat.(l_ande1 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_plus x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_24_prop1 x (l_e_st_eq_landau_n_plus x)) (l_e_st_eq_landau_n_24_t26 x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)).

(* constant 596 *)
definition l_e_st_eq_landau_n_24_t27 ≝ λx:l_e_st_eq_landau_n_nat.(l_ande2 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_plus x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_24_prop1 x (l_e_st_eq_landau_n_plus x)) (l_e_st_eq_landau_n_24_t26 x) : l_e_st_eq_landau_n_24_prop1 x (l_e_st_eq_landau_n_plus x)).

(* constant 597 *)
definition l_e_st_eq_landau_n_satz4b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_24_t27 x y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y))).

(* constant 598 *)
definition l_e_st_eq_landau_n_24_t28 ≝ (l_e_st_eq_landau_n_24_t11 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_plus l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_24_t26 l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_24_t13 : l_e_is (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (l_e_st_eq_landau_n_plus l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_suc).

(* constant 599 *)
definition l_e_st_eq_landau_n_satz4c ≝ λx:l_e_st_eq_landau_n_nat.(l_e_fise l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_plus l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_24_t28 x : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 x) (l_e_st_eq_landau_n_suc x)).

(* constant 600 *)
definition l_e_st_eq_landau_n_24_t29 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_24_t11 (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_plus (l_e_st_eq_landau_n_suc x)) (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_plus x y)) (l_e_st_eq_landau_n_24_t26 (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_24_t23 x (l_e_st_eq_landau_n_24_bb x) (l_e_st_eq_landau_n_plus x) (l_e_st_eq_landau_n_24_t26 x)) : l_e_is (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (l_e_st_eq_landau_n_plus (l_e_st_eq_landau_n_suc x)) (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_plus x y))).

(* constant 601 *)
definition l_e_st_eq_landau_n_satz4d ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_fise l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_plus (l_e_st_eq_landau_n_suc x)) (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_plus x z)) (l_e_st_eq_landau_n_24_t29 x) y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_suc x) y) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y))).

(* constant 602 *)
definition l_e_st_eq_landau_n_satz4e ≝ λx:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_satz4a x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 603 *)
definition l_e_st_eq_landau_n_satz4f ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_satz4b x y) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc y))).

(* constant 604 *)
definition l_e_st_eq_landau_n_satz4g ≝ λx:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 x) (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_satz4c x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 x)).

(* constant 605 *)
definition l_e_st_eq_landau_n_satz4h ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_suc x) y) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_satz4d x y) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_suc x) y)).

(* constant 606 *)
definition l_e_st_eq_landau_n_ispl1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_pl u z) x y i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)).

(* constant 607 *)
definition l_e_st_eq_landau_n_ispl2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_pl z u) x y i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl z y)).

(* constant 608 *)
definition l_e_st_eq_landau_n_ispl12 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λj:l_e_st_eq_landau_n_is z u.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_ispl1 x y z i) (l_e_st_eq_landau_n_ispl2 z u y j) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 609 *)
definition l_e_st_eq_landau_n_25_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl x y) z) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl y z)) : Prop).

(* constant 610 *)
definition l_e_st_eq_landau_n_25_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl x y) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_satz4a (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_satz4f x y) (l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_satz4e y)) : l_e_st_eq_landau_n_25_prop1 x y l_e_st_eq_landau_n_1).

(* constant 611 *)
definition l_e_st_eq_landau_n_25_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_25_prop1 x y z.(l_e_st_eq_landau_n_ax2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl x y) z) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl y z)) p : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl x y) z)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl y z)))).

(* constant 612 *)
definition l_e_st_eq_landau_n_25_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_25_prop1 x y z.(l_e_tr4is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_suc z)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl x y) z)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl y z))) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl y z))) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc z))) (l_e_st_eq_landau_n_satz4b (l_e_st_eq_landau_n_pl x y) z) (l_e_st_eq_landau_n_25_t2 x y z p) (l_e_st_eq_landau_n_satz4f x (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc z)) x (l_e_st_eq_landau_n_satz4f y z)) : l_e_st_eq_landau_n_25_prop1 x y (l_e_st_eq_landau_n_suc z)).

(* constant 613 *)
definition l_e_st_eq_landau_n_satz5 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_25_prop1 x y u) (l_e_st_eq_landau_n_25_t1 x y) (λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_25_prop1 x y u.l_e_st_eq_landau_n_25_t3 x y u v) z : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl x y) z) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl y z))).

(* constant 614 *)
definition l_e_st_eq_landau_n_asspl1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz5 x y z : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl x y) z) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl y z))).

(* constant 615 *)
definition l_e_st_eq_landau_n_asspl2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl x y) z) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_satz5 x y z) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl x y) z)).

(* constant 616 *)
definition l_e_st_eq_landau_n_26_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl y x) : Prop).

(* constant 617 *)
definition l_e_st_eq_landau_n_26_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz4a y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc y)).

(* constant 618 *)
definition l_e_st_eq_landau_n_26_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz4c y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 y) (l_e_st_eq_landau_n_suc y)).

(* constant 619 *)
definition l_e_st_eq_landau_n_26_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_tris2 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 y) (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_26_t2 x y) (l_e_st_eq_landau_n_26_t1 x y) : l_e_st_eq_landau_n_26_prop1 l_e_st_eq_landau_n_1 y).

(* constant 620 *)
definition l_e_st_eq_landau_n_26_t4 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_26_prop1 x y.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl y x)) (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_ax2 (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl y x) p) (l_e_st_eq_landau_n_satz4f y x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc x))).

(* constant 621 *)
definition l_e_st_eq_landau_n_26_t5 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_26_prop1 x y.(l_e_st_eq_landau_n_satz4d x y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_suc x) y) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y))).

(* constant 622 *)
definition l_e_st_eq_landau_n_26_t6 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_26_prop1 x y.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_suc x) y) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_26_t5 x y p) (l_e_st_eq_landau_n_26_t4 x y p) : l_e_st_eq_landau_n_26_prop1 (l_e_st_eq_landau_n_suc x) y).

(* constant 623 *)
definition l_e_st_eq_landau_n_satz6 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_26_prop1 z y) (l_e_st_eq_landau_n_26_t3 x y) (λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_26_prop1 z y.l_e_st_eq_landau_n_26_t6 z y u) x : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl y x)).

(* constant 624 *)
definition l_e_st_eq_landau_n_compl ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz6 x y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl y x)).

(* constant 625 *)
definition l_e_st_eq_landau_n_26_t7 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 x) (l_e_st_eq_landau_n_satz4a x) (l_e_st_eq_landau_n_satz4g x) : l_e_st_eq_landau_n_26_prop1 x l_e_st_eq_landau_n_1).

(* constant 626 *)
definition l_e_st_eq_landau_n_26_t8 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_26_prop1 x y.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl y x)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_suc y) x) (l_e_st_eq_landau_n_satz4b x y) (l_e_st_eq_landau_n_ax2 (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl y x) p) (l_e_st_eq_landau_n_satz4h y x) : l_e_st_eq_landau_n_26_prop1 x (l_e_st_eq_landau_n_suc y)).

(* constant 627 *)
definition l_e_st_eq_landau_n_26_anders ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_26_prop1 x z) (l_e_st_eq_landau_n_26_t7 x) (λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_26_prop1 x z.l_e_st_eq_landau_n_26_t8 x z u) y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl y x)).

(* constant 628 *)
definition l_e_st_eq_landau_n_27_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_nis y (l_e_st_eq_landau_n_pl x y) : Prop).

(* constant 629 *)
definition l_e_st_eq_landau_n_27_t1 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_symnotis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc x) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_ax3 x) : l_e_st_eq_landau_n_nis l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_suc x)).

(* constant 630 *)
definition l_e_st_eq_landau_n_27_t2 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_notis_th4 l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_27_t1 x) (l_e_st_eq_landau_n_satz4a x) : l_e_st_eq_landau_n_27_prop1 x l_e_st_eq_landau_n_1).

(* constant 631 *)
definition l_e_st_eq_landau_n_27_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_27_prop1 x y.(l_e_st_eq_landau_n_satz1 y (l_e_st_eq_landau_n_pl x y) p : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y))).

(* constant 632 *)
definition l_e_st_eq_landau_n_27_t4 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_27_prop1 x y.(l_e_notis_th4 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_27_t3 x y p) (l_e_st_eq_landau_n_satz4b x y) : l_e_st_eq_landau_n_27_prop1 x (l_e_st_eq_landau_n_suc y)).

(* constant 633 *)
definition l_e_st_eq_landau_n_satz7 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_27_prop1 x z) (l_e_st_eq_landau_n_27_t2 x) (λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_27_prop1 x z.l_e_st_eq_landau_n_27_t4 x z u) y : l_e_st_eq_landau_n_nis y (l_e_st_eq_landau_n_pl x y)).

(* constant 634 *)
definition l_e_st_eq_landau_n_28_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis y z.(l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl x z) : Prop).

(* constant 635 *)
definition l_e_st_eq_landau_n_28_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis y z.(l_e_st_eq_landau_n_satz1 y z n : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_suc z)).

(* constant 636 *)
definition l_e_st_eq_landau_n_28_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis y z.(l_e_notis_th5 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_suc z) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 y) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 z) (l_e_st_eq_landau_n_28_t1 x y z n) (l_e_st_eq_landau_n_satz4g y) (l_e_st_eq_landau_n_satz4g z) : l_e_st_eq_landau_n_28_prop1 l_e_st_eq_landau_n_1 y z n).

(* constant 637 *)
definition l_e_st_eq_landau_n_28_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis y z.λp:l_e_st_eq_landau_n_28_prop1 x y z n.(l_e_st_eq_landau_n_satz1 (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl x z) p : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x z))).

(* constant 638 *)
definition l_e_st_eq_landau_n_28_t4 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis y z.λp:l_e_st_eq_landau_n_28_prop1 x y z n.(l_e_notis_th5 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_suc x) y) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_suc x) z) (l_e_st_eq_landau_n_28_t3 x y z n p) (l_e_st_eq_landau_n_satz4h x y) (l_e_st_eq_landau_n_satz4h x z) : l_e_st_eq_landau_n_28_prop1 (l_e_st_eq_landau_n_suc x) y z n).

(* constant 639 *)
definition l_e_st_eq_landau_n_satz8 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis y z.(l_e_st_eq_landau_n_induction (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_28_prop1 u y z n) (l_e_st_eq_landau_n_28_t2 x y z n) (λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_28_prop1 u y z n.l_e_st_eq_landau_n_28_t4 u y z n v) x : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl x z)).

(* constant 640 *)
definition l_e_st_eq_landau_n_satz8a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl x z).(l_imp_th7 (l_e_st_eq_landau_n_is y z) (l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl x z)) (l_weli (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl x z)) i) (λu:l_e_st_eq_landau_n_nis y z.l_e_st_eq_landau_n_satz8 x y z u) : l_e_st_eq_landau_n_is y z).

(* constant 641 *)
definition l_e_st_eq_landau_n_diffprop ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl y z) : Prop).

(* constant 642 *)
definition l_e_st_eq_landau_n_28_t5 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.λdv:l_e_st_eq_landau_n_diffprop x y v.(l_e_st_eq_landau_n_satz8a y u v (l_e_tris1 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_pl y v) x du dv) : l_e_st_eq_landau_n_is u v).

(* constant 643 *)
definition l_e_st_eq_landau_n_satz8b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.λdv:l_e_st_eq_landau_n_diffprop x y v.l_e_st_eq_landau_n_28_t5 x y u v du dv : l_e_amone l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl y z))).

(* constant 644 *)
definition l_e_st_eq_landau_n_29_i ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_is x y : Prop).

(* constant 645 *)
definition l_e_st_eq_landau_n_29_ii ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y u) : Prop).

(* constant 646 *)
definition l_e_st_eq_landau_n_29_iii ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_some (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop y x v) : Prop).

(* constant 647 *)
definition l_e_st_eq_landau_n_29_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λone1:l_e_st_eq_landau_n_29_i x y.λu:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl u x) (l_e_st_eq_landau_n_pl x u) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_compl u x) (l_e_st_eq_landau_n_ispl1 x y u one1) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl u x) (l_e_st_eq_landau_n_pl y u)).

(* constant 648 *)
definition l_e_st_eq_landau_n_29_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λone1:l_e_st_eq_landau_n_29_i x y.λu:l_e_st_eq_landau_n_nat.(l_e_notis_th3 l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_pl u x) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_satz7 u x) (l_e_st_eq_landau_n_29_t1 x y one1 u) : l_e_st_eq_landau_n_nis x (l_e_st_eq_landau_n_pl y u)).

(* constant 649 *)
definition l_e_st_eq_landau_n_29_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λone1:l_e_st_eq_landau_n_29_i x y.(l_some_th5 l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y u) (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_29_t2 x y one1 u) : l_not (l_e_st_eq_landau_n_29_ii x y)).

(* constant 650 *)
definition l_e_st_eq_landau_n_29_t4 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_ec_th1 (l_e_st_eq_landau_n_29_i x y) (l_e_st_eq_landau_n_29_ii x y) (λz:l_e_st_eq_landau_n_29_i x y.l_e_st_eq_landau_n_29_t3 x y z) : l_ec (l_e_st_eq_landau_n_29_i x y) (l_e_st_eq_landau_n_29_ii x y)).

(* constant 651 *)
definition l_e_st_eq_landau_n_29_t5 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λone1:l_e_st_eq_landau_n_29_i x y.(l_e_st_eq_landau_n_29_t3 y x (l_e_symis l_e_st_eq_landau_n_nat x y one1) : l_not (l_e_st_eq_landau_n_29_iii x y)).

(* constant 652 *)
definition l_e_st_eq_landau_n_29_t6 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_ec_th2 (l_e_st_eq_landau_n_29_iii x y) (l_e_st_eq_landau_n_29_i x y) (λz:l_e_st_eq_landau_n_29_i x y.l_e_st_eq_landau_n_29_t5 x y z) : l_ec (l_e_st_eq_landau_n_29_iii x y) (l_e_st_eq_landau_n_29_i x y)).

(* constant 653 *)
definition l_e_st_eq_landau_n_29_t6a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λtwo1:l_e_st_eq_landau_n_29_ii x y.λthree1:l_e_st_eq_landau_n_29_iii x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.λv:l_e_st_eq_landau_n_nat.λdv:l_e_st_eq_landau_n_diffprop y x v.(l_e_tr4is l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl x v) u) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl v u)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl v u) x) du (l_e_st_eq_landau_n_ispl1 y (l_e_st_eq_landau_n_pl x v) u dv) (l_e_st_eq_landau_n_asspl1 x v u) (l_e_st_eq_landau_n_compl x (l_e_st_eq_landau_n_pl v u)) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl v u) x)).

(* constant 654 *)
definition l_e_st_eq_landau_n_29_t7 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λtwo1:l_e_st_eq_landau_n_29_ii x y.λthree1:l_e_st_eq_landau_n_29_iii x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.λv:l_e_st_eq_landau_n_nat.λdv:l_e_st_eq_landau_n_diffprop y x v.(l_mp (l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl v u) x)) l_con (l_e_st_eq_landau_n_29_t6a x y two1 three1 u du v dv) (l_e_st_eq_landau_n_satz7 (l_e_st_eq_landau_n_pl v u) x) : l_con).

(* constant 655 *)
definition l_e_st_eq_landau_n_29_t8 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λtwo1:l_e_st_eq_landau_n_29_ii x y.λthree1:l_e_st_eq_landau_n_29_iii x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.(l_someapp l_e_st_eq_landau_n_nat (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop y x v) three1 l_con (λv:l_e_st_eq_landau_n_nat.λdv:l_e_st_eq_landau_n_diffprop y x v.l_e_st_eq_landau_n_29_t7 x y two1 three1 u du v dv) : l_con).

(* constant 656 *)
definition l_e_st_eq_landau_n_29_t9 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λtwo1:l_e_st_eq_landau_n_29_ii x y.λthree1:l_e_st_eq_landau_n_29_iii x y.(l_someapp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y u) two1 l_con (λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.l_e_st_eq_landau_n_29_t8 x y two1 three1 u du) : l_con).

(* constant 657 *)
definition l_e_st_eq_landau_n_29_t10 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λtwo1:l_e_st_eq_landau_n_29_ii x y.(λz:l_e_st_eq_landau_n_29_iii x y.l_e_st_eq_landau_n_29_t9 x y two1 z : l_not (l_e_st_eq_landau_n_29_iii x y)).

(* constant 658 *)
definition l_e_st_eq_landau_n_29_t11 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_ec_th1 (l_e_st_eq_landau_n_29_ii x y) (l_e_st_eq_landau_n_29_iii x y) (λz:l_e_st_eq_landau_n_29_ii x y.l_e_st_eq_landau_n_29_t10 x y z) : l_ec (l_e_st_eq_landau_n_29_ii x y) (l_e_st_eq_landau_n_29_iii x y)).

(* constant 659 *)
definition l_e_st_eq_landau_n_29_a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_ec3_th6 (l_e_st_eq_landau_n_29_i x y) (l_e_st_eq_landau_n_29_ii x y) (l_e_st_eq_landau_n_29_iii x y) (l_e_st_eq_landau_n_29_t4 x y) (l_e_st_eq_landau_n_29_t11 x y) (l_e_st_eq_landau_n_29_t6 x y) : l_ec3 (l_e_st_eq_landau_n_29_i x y) (l_e_st_eq_landau_n_29_ii x y) (l_e_st_eq_landau_n_29_iii x y)).

(* constant 660 *)
definition l_e_st_eq_landau_n_29_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_or3 (l_e_st_eq_landau_n_29_i x y) (l_e_st_eq_landau_n_29_ii x y) (l_e_st_eq_landau_n_29_iii x y) : Prop).

(* constant 661 *)
definition l_e_st_eq_landau_n_29_t12 ≝ λx:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_or3i1 (l_e_st_eq_landau_n_29_i x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_29_ii x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_29_iii x l_e_st_eq_landau_n_1) j : l_e_st_eq_landau_n_29_prop1 x l_e_st_eq_landau_n_1).

(* constant 662 *)
definition l_e_st_eq_landau_n_29_t13 ≝ λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u).(l_e_tris l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_suc u) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 u) j (l_e_st_eq_landau_n_satz4g u) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 u)).

(* constant 663 *)
definition l_e_st_eq_landau_n_29_t14 ≝ λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u).(l_somei l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x l_e_st_eq_landau_n_1 z) u (l_e_st_eq_landau_n_29_t13 x n u j) : l_e_st_eq_landau_n_29_ii x l_e_st_eq_landau_n_1).

(* constant 664 *)
definition l_e_st_eq_landau_n_29_t15 ≝ λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u).(l_someapp l_e_st_eq_landau_n_nat (λu1:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u1)) (l_e_st_eq_landau_n_satz3 x n) (l_e_st_eq_landau_n_29_ii x l_e_st_eq_landau_n_1) (λu1:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u1).l_e_st_eq_landau_n_29_t14 x n u1 z) : l_e_st_eq_landau_n_29_ii x l_e_st_eq_landau_n_1).

(* constant 665 *)
definition l_e_st_eq_landau_n_29_t16 ≝ λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u).(l_or3i2 (l_e_st_eq_landau_n_29_i x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_29_ii x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_29_iii x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_29_t15 x n u j) : l_e_st_eq_landau_n_29_prop1 x l_e_st_eq_landau_n_1).

(* constant 666 *)
definition l_e_st_eq_landau_n_29_t16a ≝ λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_someapp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u)) (l_e_st_eq_landau_n_satz3 x n) (l_e_st_eq_landau_n_29_prop1 x l_e_st_eq_landau_n_1) (λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u).l_e_st_eq_landau_n_29_t16 x n u v) : l_e_st_eq_landau_n_29_prop1 x l_e_st_eq_landau_n_1).

(* constant 667 *)
definition l_e_st_eq_landau_n_29_t17 ≝ λx:l_e_st_eq_landau_n_nat.(l_imp_th1 (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_29_prop1 x l_e_st_eq_landau_n_1) (λz:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_29_t12 x z) (λz:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_29_t16a x z) : l_e_st_eq_landau_n_29_prop1 x l_e_st_eq_landau_n_1).

(* constant 668 *)
definition l_e_st_eq_landau_n_29_t18 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λone1:l_e_st_eq_landau_n_29_i x y.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz4e y) (l_e_st_eq_landau_n_ispl1 y x l_e_st_eq_landau_n_1 (l_e_symis l_e_st_eq_landau_n_nat x y one1)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 669 *)
definition l_e_st_eq_landau_n_29_t19 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λone1:l_e_st_eq_landau_n_29_i x y.(l_somei l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_suc y) x z) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_29_t18 x y p one1) : l_e_st_eq_landau_n_29_iii x (l_e_st_eq_landau_n_suc y)).

(* constant 670 *)
definition l_e_st_eq_landau_n_29_t20 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λone1:l_e_st_eq_landau_n_29_i x y.(l_or3i3 (l_e_st_eq_landau_n_29_i x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_29_ii x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_29_iii x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_29_t19 x y p one1) : l_e_st_eq_landau_n_29_prop1 x (l_e_st_eq_landau_n_suc y)).

(* constant 671 *)
definition l_e_st_eq_landau_n_29_t21 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λtwo1:l_e_st_eq_landau_n_29_ii x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.λj:l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1.(l_e_tr3is l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc y) du (l_e_st_eq_landau_n_ispl2 u l_e_st_eq_landau_n_1 y j) (l_e_st_eq_landau_n_satz4a y) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc y)).

(* constant 672 *)
definition l_e_st_eq_landau_n_29_t22 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λtwo1:l_e_st_eq_landau_n_29_ii x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.λj:l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1.(l_or3i1 (l_e_st_eq_landau_n_29_i x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_29_ii x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_29_iii x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_29_t21 x y p two1 u du j) : l_e_st_eq_landau_n_29_prop1 x (l_e_st_eq_landau_n_suc y)).

(* constant 673 *)
definition l_e_st_eq_landau_n_29_t23 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λtwo1:l_e_st_eq_landau_n_29_ii x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.λn:l_e_st_eq_landau_n_nis u l_e_st_eq_landau_n_1.λw:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is u (l_e_st_eq_landau_n_suc w).(l_e_tris l_e_st_eq_landau_n_nat u (l_e_st_eq_landau_n_suc w) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 w) j (l_e_st_eq_landau_n_satz4g w) : l_e_st_eq_landau_n_is u (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 w)).

(* constant 674 *)
definition l_e_st_eq_landau_n_29_t24 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λtwo1:l_e_st_eq_landau_n_29_ii x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.λn:l_e_st_eq_landau_n_nis u l_e_st_eq_landau_n_1.λw:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is u (l_e_st_eq_landau_n_suc w).(l_e_tr4is l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 w)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) w) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_suc y) w) du (l_e_st_eq_landau_n_ispl2 u (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 w) y (l_e_st_eq_landau_n_29_t23 x y p two1 u du n w j)) (l_e_st_eq_landau_n_asspl2 y l_e_st_eq_landau_n_1 w) (l_e_st_eq_landau_n_ispl1 (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc y) w (l_e_st_eq_landau_n_satz4a y)) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_suc y) w)).

(* constant 675 *)
definition l_e_st_eq_landau_n_29_t25 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λtwo1:l_e_st_eq_landau_n_29_ii x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.λn:l_e_st_eq_landau_n_nis u l_e_st_eq_landau_n_1.λw:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is u (l_e_st_eq_landau_n_suc w).(l_somei l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x (l_e_st_eq_landau_n_suc y) z) w (l_e_st_eq_landau_n_29_t24 x y p two1 u du n w j) : l_e_st_eq_landau_n_29_ii x (l_e_st_eq_landau_n_suc y)).

(* constant 676 *)
definition l_e_st_eq_landau_n_29_t26 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λtwo1:l_e_st_eq_landau_n_29_ii x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.λn:l_e_st_eq_landau_n_nis u l_e_st_eq_landau_n_1.(l_someapp l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is u (l_e_st_eq_landau_n_suc z)) (l_e_st_eq_landau_n_satz3 u n) (l_e_st_eq_landau_n_29_ii x (l_e_st_eq_landau_n_suc y)) (λz:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_is u (l_e_st_eq_landau_n_suc z).l_e_st_eq_landau_n_29_t25 x y p two1 u du n z v) : l_e_st_eq_landau_n_29_ii x (l_e_st_eq_landau_n_suc y)).

(* constant 677 *)
definition l_e_st_eq_landau_n_29_t27 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λtwo1:l_e_st_eq_landau_n_29_ii x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.λn:l_e_st_eq_landau_n_nis u l_e_st_eq_landau_n_1.(l_or3i2 (l_e_st_eq_landau_n_29_i x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_29_ii x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_29_iii x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_29_t26 x y p two1 u du n) : l_e_st_eq_landau_n_29_prop1 x (l_e_st_eq_landau_n_suc y)).

(* constant 678 *)
definition l_e_st_eq_landau_n_29_t28 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λtwo1:l_e_st_eq_landau_n_29_ii x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.(l_imp_th1 (l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_29_prop1 x (l_e_st_eq_landau_n_suc y)) (λz:l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_29_t22 x y p two1 u du z) (λz:l_e_st_eq_landau_n_nis u l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_29_t27 x y p two1 u du z) : l_e_st_eq_landau_n_29_prop1 x (l_e_st_eq_landau_n_suc y)).

(* constant 679 *)
definition l_e_st_eq_landau_n_29_t28a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λtwo1:l_e_st_eq_landau_n_29_ii x y.(l_someapp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y u) two1 (l_e_st_eq_landau_n_29_prop1 x (l_e_st_eq_landau_n_suc y)) (λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.l_e_st_eq_landau_n_29_t28 x y p two1 u du) : l_e_st_eq_landau_n_29_prop1 x (l_e_st_eq_landau_n_suc y)).

(* constant 680 *)
definition l_e_st_eq_landau_n_29_t29 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λthree1:l_e_st_eq_landau_n_29_iii x y.λv:l_e_st_eq_landau_n_nat.λdv:l_e_st_eq_landau_n_diffprop y x v.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x v)) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc v)) (l_e_st_eq_landau_n_ax2 y (l_e_st_eq_landau_n_pl x v) dv) (l_e_st_eq_landau_n_satz4f x v) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc v))).

(* constant 681 *)
definition l_e_st_eq_landau_n_29_t30 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λthree1:l_e_st_eq_landau_n_29_iii x y.λv:l_e_st_eq_landau_n_nat.λdv:l_e_st_eq_landau_n_diffprop y x v.(l_somei l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_suc y) x z) (l_e_st_eq_landau_n_suc v) (l_e_st_eq_landau_n_29_t29 x y p three1 v dv) : l_e_st_eq_landau_n_29_iii x (l_e_st_eq_landau_n_suc y)).

(* constant 682 *)
definition l_e_st_eq_landau_n_29_t31 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λthree1:l_e_st_eq_landau_n_29_iii x y.(l_someapp l_e_st_eq_landau_n_nat (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop y x v) three1 (l_e_st_eq_landau_n_29_iii x (l_e_st_eq_landau_n_suc y)) (λv:l_e_st_eq_landau_n_nat.λdv:l_e_st_eq_landau_n_diffprop y x v.l_e_st_eq_landau_n_29_t30 x y p three1 v dv) : l_e_st_eq_landau_n_29_iii x (l_e_st_eq_landau_n_suc y)).

(* constant 683 *)
definition l_e_st_eq_landau_n_29_t32 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.λthree1:l_e_st_eq_landau_n_29_iii x y.(l_or3i3 (l_e_st_eq_landau_n_29_i x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_29_ii x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_29_iii x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_29_t31 x y p three1) : l_e_st_eq_landau_n_29_prop1 x (l_e_st_eq_landau_n_suc y)).

(* constant 684 *)
definition l_e_st_eq_landau_n_29_t33 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_29_prop1 x y.(l_or3app (l_e_st_eq_landau_n_29_i x y) (l_e_st_eq_landau_n_29_ii x y) (l_e_st_eq_landau_n_29_iii x y) (l_e_st_eq_landau_n_29_prop1 x (l_e_st_eq_landau_n_suc y)) p (λz:l_e_st_eq_landau_n_29_i x y.l_e_st_eq_landau_n_29_t20 x y p z) (λz:l_e_st_eq_landau_n_29_ii x y.l_e_st_eq_landau_n_29_t28a x y p z) (λz:l_e_st_eq_landau_n_29_iii x y.l_e_st_eq_landau_n_29_t32 x y p z) : l_e_st_eq_landau_n_29_prop1 x (l_e_st_eq_landau_n_suc y)).

(* constant 685 *)
definition l_e_st_eq_landau_n_29_b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_29_prop1 x z) (l_e_st_eq_landau_n_29_t17 x) (λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_29_prop1 x z.l_e_st_eq_landau_n_29_t33 x z u) y : l_or3 (l_e_st_eq_landau_n_29_i x y) (l_e_st_eq_landau_n_29_ii x y) (l_e_st_eq_landau_n_29_iii x y)).

(* constant 686 *)
definition l_e_st_eq_landau_n_satz9 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_orec3i (l_e_st_eq_landau_n_29_i x y) (l_e_st_eq_landau_n_29_ii x y) (l_e_st_eq_landau_n_29_iii x y) (l_e_st_eq_landau_n_29_b x y) (l_e_st_eq_landau_n_29_a x y) : l_orec3 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl y u))) (l_e_st_eq_landau_n_some (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is y (l_e_st_eq_landau_n_pl x v)))).

(* constant 687 *)
definition l_e_st_eq_landau_n_satz9a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_29_b x y : l_or3 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y u)) (l_e_st_eq_landau_n_some (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop y x v))).

(* constant 688 *)
definition l_e_st_eq_landau_n_satz9b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_29_a x y : l_ec3 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y u)) (l_e_st_eq_landau_n_some (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop y x v))).

(* constant 689 *)
definition l_e_st_eq_landau_n_more ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y u) : Prop).

(* constant 690 *)
definition l_e_st_eq_landau_n_less ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_some (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop y x v) : Prop).

(* constant 691 *)
definition l_e_st_eq_landau_n_satz10 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz9 x y : l_orec3 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y)).

(* constant 692 *)
definition l_e_st_eq_landau_n_satz10a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz9a x y : l_or3 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y)).

(* constant 693 *)
definition l_e_st_eq_landau_n_satz10b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz9b x y : l_ec3 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y)).

(* constant 694 *)
definition l_e_st_eq_landau_n_satz11 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(m : l_e_st_eq_landau_n_less y x).

(* constant 695 *)
definition l_e_st_eq_landau_n_satz12 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l : l_e_st_eq_landau_n_more y x).

(* constant 696 *)
definition l_e_st_eq_landau_n_moreis ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_or (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) : Prop).

(* constant 697 *)
definition l_e_st_eq_landau_n_lessis ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_or (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is x y) : Prop).

(* constant 698 *)
definition l_e_st_eq_landau_n_satz13 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.(l_or_th9 (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_less y x) (l_e_st_eq_landau_n_is y x) m (λz:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_satz11 x y z) (λz:l_e_st_eq_landau_n_is x y.l_e_symis l_e_st_eq_landau_n_nat x y z) : l_e_st_eq_landau_n_lessis y x).

(* constant 699 *)
definition l_e_st_eq_landau_n_satz14 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.(l_or_th9 (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more y x) (l_e_st_eq_landau_n_is y x) l (λz:l_e_st_eq_landau_n_less x y.l_e_st_eq_landau_n_satz12 x y z) (λz:l_e_st_eq_landau_n_is x y.l_e_symis l_e_st_eq_landau_n_nat x y z) : l_e_st_eq_landau_n_moreis y x).

(* constant 700 *)
definition l_e_st_eq_landau_n_ismore1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λm:l_e_st_eq_landau_n_more x z.(l_e_isp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_more u z) x y m i : l_e_st_eq_landau_n_more y z).

(* constant 701 *)
definition l_e_st_eq_landau_n_ismore2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λm:l_e_st_eq_landau_n_more z x.(l_e_isp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_more z u) x y m i : l_e_st_eq_landau_n_more z y).

(* constant 702 *)
definition l_e_st_eq_landau_n_isless1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λl:l_e_st_eq_landau_n_less x z.(l_e_isp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_less u z) x y l i : l_e_st_eq_landau_n_less y z).

(* constant 703 *)
definition l_e_st_eq_landau_n_isless2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λl:l_e_st_eq_landau_n_less z x.(l_e_isp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_less z u) x y l i : l_e_st_eq_landau_n_less z y).

(* constant 704 *)
definition l_e_st_eq_landau_n_ismoreis1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λm:l_e_st_eq_landau_n_moreis x z.(l_e_isp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_moreis u z) x y m i : l_e_st_eq_landau_n_moreis y z).

(* constant 705 *)
definition l_e_st_eq_landau_n_ismoreis2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λm:l_e_st_eq_landau_n_moreis z x.(l_e_isp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_moreis z u) x y m i : l_e_st_eq_landau_n_moreis z y).

(* constant 706 *)
definition l_e_st_eq_landau_n_islessis1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λl:l_e_st_eq_landau_n_lessis x z.(l_e_isp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis u z) x y l i : l_e_st_eq_landau_n_lessis y z).

(* constant 707 *)
definition l_e_st_eq_landau_n_islessis2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λl:l_e_st_eq_landau_n_lessis z x.(l_e_isp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis z u) x y l i : l_e_st_eq_landau_n_lessis z y).

(* constant 708 *)
definition l_e_st_eq_landau_n_moreisi2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_ori2 (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) i : l_e_st_eq_landau_n_moreis x y).

(* constant 709 *)
definition l_e_st_eq_landau_n_lessisi2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_ori2 (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is x y) i : l_e_st_eq_landau_n_lessis x y).

(* constant 710 *)
definition l_e_st_eq_landau_n_moreisi1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_ori1 (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) m : l_e_st_eq_landau_n_moreis x y).

(* constant 711 *)
definition l_e_st_eq_landau_n_lessisi1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l_ori1 (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is x y) l : l_e_st_eq_landau_n_lessis x y).

(* constant 712 *)
definition l_e_st_eq_landau_n_ismore12 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λj:l_e_st_eq_landau_n_is z u.λm:l_e_st_eq_landau_n_more x z.(l_e_st_eq_landau_n_ismore2 z u y j (l_e_st_eq_landau_n_ismore1 x y z i m) : l_e_st_eq_landau_n_more y u).

(* constant 713 *)
definition l_e_st_eq_landau_n_isless12 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λj:l_e_st_eq_landau_n_is z u.λl:l_e_st_eq_landau_n_less x z.(l_e_st_eq_landau_n_isless2 z u y j (l_e_st_eq_landau_n_isless1 x y z i l) : l_e_st_eq_landau_n_less y u).

(* constant 714 *)
definition l_e_st_eq_landau_n_ismoreis12 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λj:l_e_st_eq_landau_n_is z u.λm:l_e_st_eq_landau_n_moreis x z.(l_e_st_eq_landau_n_ismoreis2 z u y j (l_e_st_eq_landau_n_ismoreis1 x y z i m) : l_e_st_eq_landau_n_moreis y u).

(* constant 715 *)
definition l_e_st_eq_landau_n_islessis12 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λj:l_e_st_eq_landau_n_is z u.λl:l_e_st_eq_landau_n_lessis x z.(l_e_st_eq_landau_n_islessis2 z u y j (l_e_st_eq_landau_n_islessis1 x y z i l) : l_e_st_eq_landau_n_lessis y u).

(* constant 716 *)
definition l_e_st_eq_landau_n_satz10c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.(l_ec3_th7 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_satz10b x y) (l_comor (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) m) : l_not (l_e_st_eq_landau_n_less x y)).

(* constant 717 *)
definition l_e_st_eq_landau_n_satz10d ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.(l_ec3_th9 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_satz10b x y) l : l_not (l_e_st_eq_landau_n_more x y)).

(* constant 718 *)
definition l_e_st_eq_landau_n_satz10e ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λn:l_not (l_e_st_eq_landau_n_more x y).(l_or3_th2 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_satz10a x y) n : l_e_st_eq_landau_n_lessis x y).

(* constant 719 *)
definition l_e_st_eq_landau_n_satz10f ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λn:l_not (l_e_st_eq_landau_n_less x y).(l_comor (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_or3_th3 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_satz10a x y) n) : l_e_st_eq_landau_n_moreis x y).

(* constant 720 *)
definition l_e_st_eq_landau_n_satz10g ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_or_th3 (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is x y) (l_ec3e23 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_satz10b x y) m) (l_ec3e21 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_satz10b x y) m) : l_not (l_e_st_eq_landau_n_lessis x y)).

(* constant 721 *)
definition l_e_st_eq_landau_n_satz10h ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l_or_th3 (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) (l_ec3e32 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_satz10b x y) l) (l_ec3e31 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_satz10b x y) l) : l_not (l_e_st_eq_landau_n_moreis x y)).

(* constant 722 *)
definition l_e_st_eq_landau_n_satz10j ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λn:l_not (l_e_st_eq_landau_n_moreis x y).(l_or3e3 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_satz10a x y) (l_or_th5 (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) n) (l_or_th4 (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) n) : l_e_st_eq_landau_n_less x y).

(* constant 723 *)
definition l_e_st_eq_landau_n_satz10k ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λn:l_not (l_e_st_eq_landau_n_lessis x y).(l_or3e2 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_satz10a x y) (l_or_th4 (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is x y) n) (l_or_th5 (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is x y) n) : l_e_st_eq_landau_n_more x y).

(* constant 724 *)
definition l_e_st_eq_landau_n_315_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λk:l_e_st_eq_landau_n_less y z.λv:l_e_st_eq_landau_n_nat.λdv:l_e_st_eq_landau_n_diffprop y x v.λw:l_e_st_eq_landau_n_nat.λdw:l_e_st_eq_landau_n_diffprop z y w.(l_e_tr3is l_e_st_eq_landau_n_nat z (l_e_st_eq_landau_n_pl y w) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl x v) w) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl v w)) dw (l_e_st_eq_landau_n_ispl1 y (l_e_st_eq_landau_n_pl x v) w dv) (l_e_st_eq_landau_n_asspl1 x v w) : l_e_st_eq_landau_n_is z (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_pl v w))).

(* constant 725 *)
definition l_e_st_eq_landau_n_315_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λk:l_e_st_eq_landau_n_less y z.λv:l_e_st_eq_landau_n_nat.λdv:l_e_st_eq_landau_n_diffprop y x v.λw:l_e_st_eq_landau_n_nat.λdw:l_e_st_eq_landau_n_diffprop z y w.(l_somei l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop z x u) (l_e_st_eq_landau_n_pl v w) (l_e_st_eq_landau_n_315_t1 x y z l k v dv w dw) : l_e_st_eq_landau_n_less x z).

(* constant 726 *)
definition l_e_st_eq_landau_n_315_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λk:l_e_st_eq_landau_n_less y z.λv:l_e_st_eq_landau_n_nat.λdv:l_e_st_eq_landau_n_diffprop y x v.(l_someapp l_e_st_eq_landau_n_nat (λw:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop z y w) k (l_e_st_eq_landau_n_less x z) (λw:l_e_st_eq_landau_n_nat.λdw:l_e_st_eq_landau_n_diffprop z y w.l_e_st_eq_landau_n_315_t2 x y z l k v dv w dw) : l_e_st_eq_landau_n_less x z).

(* constant 727 *)
definition l_e_st_eq_landau_n_satz15 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λk:l_e_st_eq_landau_n_less y z.(l_someapp l_e_st_eq_landau_n_nat (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop y x v) l (l_e_st_eq_landau_n_less x z) (λv:l_e_st_eq_landau_n_nat.λdv:l_e_st_eq_landau_n_diffprop y x v.l_e_st_eq_landau_n_315_t3 x y z l k v dv) : l_e_st_eq_landau_n_less x z).

(* constant 728 *)
definition l_e_st_eq_landau_n_trless ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λk:l_e_st_eq_landau_n_less y z.(l_e_st_eq_landau_n_satz15 x y z l k : l_e_st_eq_landau_n_less x z).

(* constant 729 *)
definition l_e_st_eq_landau_n_trmore ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_more y z.(l_e_st_eq_landau_n_satz15 z y x n m : l_e_st_eq_landau_n_more x z).

(* constant 730 *)
definition l_e_st_eq_landau_n_315_anders ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_more y z.(l_e_st_eq_landau_n_satz12 z x (l_e_st_eq_landau_n_satz15 z y x (l_e_st_eq_landau_n_satz11 y z n) (l_e_st_eq_landau_n_satz11 x y m)) : l_e_st_eq_landau_n_more x z).

(* constant 731 *)
definition l_e_st_eq_landau_n_satz16a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_less y z.(l_orapp (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_less x z) l (λu:l_e_st_eq_landau_n_less x y.l_e_st_eq_landau_n_trless x y z u k) (λu:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_isless1 y x z (l_e_symis l_e_st_eq_landau_n_nat x y u) k) : l_e_st_eq_landau_n_less x z).

(* constant 732 *)
definition l_e_st_eq_landau_n_satz16b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λk:l_e_st_eq_landau_n_lessis y z.(l_orapp (l_e_st_eq_landau_n_less y z) (l_e_st_eq_landau_n_is y z) (l_e_st_eq_landau_n_less x z) k (λu:l_e_st_eq_landau_n_less y z.l_e_st_eq_landau_n_trless x y z l u) (λu:l_e_st_eq_landau_n_is y z.l_e_st_eq_landau_n_isless2 y z x u l) : l_e_st_eq_landau_n_less x z).

(* constant 733 *)
definition l_e_st_eq_landau_n_satz16c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_more y z.(l_e_st_eq_landau_n_satz16b z y x n (l_e_st_eq_landau_n_satz13 x y m) : l_e_st_eq_landau_n_more x z).

(* constant 734 *)
definition l_e_st_eq_landau_n_satz16d ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_moreis y z.(l_e_st_eq_landau_n_satz16a z y x (l_e_st_eq_landau_n_satz13 y z n) m : l_e_st_eq_landau_n_more x z).

(* constant 735 *)
definition l_e_st_eq_landau_n_317_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_lessis y z.λi:l_e_st_eq_landau_n_is x y.λj:l_e_st_eq_landau_n_is y z.(l_e_st_eq_landau_n_lessisi2 x z (l_e_tris l_e_st_eq_landau_n_nat x y z i j) : l_e_st_eq_landau_n_lessis x z).

(* constant 736 *)
definition l_e_st_eq_landau_n_317_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_lessis y z.λi:l_e_st_eq_landau_n_is x y.λj:l_e_st_eq_landau_n_less y z.(l_e_st_eq_landau_n_lessisi1 x z (l_e_st_eq_landau_n_satz16a x y z l j) : l_e_st_eq_landau_n_lessis x z).

(* constant 737 *)
definition l_e_st_eq_landau_n_317_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_lessis y z.λi:l_e_st_eq_landau_n_is x y.(l_orapp (l_e_st_eq_landau_n_less y z) (l_e_st_eq_landau_n_is y z) (l_e_st_eq_landau_n_lessis x z) k (λu:l_e_st_eq_landau_n_less y z.l_e_st_eq_landau_n_317_t2 x y z l k i u) (λu:l_e_st_eq_landau_n_is y z.l_e_st_eq_landau_n_317_t1 x y z l k i u) : l_e_st_eq_landau_n_lessis x z).

(* constant 738 *)
definition l_e_st_eq_landau_n_317_t4 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_lessis y z.λj:l_e_st_eq_landau_n_less x y.(l_e_st_eq_landau_n_lessisi1 x z (l_e_st_eq_landau_n_satz16b x y z j k) : l_e_st_eq_landau_n_lessis x z).

(* constant 739 *)
definition l_e_st_eq_landau_n_satz17 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_lessis y z.(l_orapp (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_lessis x z) l (λu:l_e_st_eq_landau_n_less x y.l_e_st_eq_landau_n_317_t4 x y z l k u) (λu:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_317_t3 x y z l k u) : l_e_st_eq_landau_n_lessis x z).

(* constant 740 *)
definition l_e_st_eq_landau_n_317_t5 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_lessis y z.λj:l_e_st_eq_landau_n_less x y.(l_e_st_eq_landau_n_lessisi1 x z (l_e_st_eq_landau_n_satz16b x y z j k) : l_e_st_eq_landau_n_lessis x z).

(* constant 741 *)
definition l_e_st_eq_landau_n_317_t6 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_lessis y z.λi:l_e_st_eq_landau_n_is x y.(l_e_st_eq_landau_n_islessis1 y x z (l_e_symis l_e_st_eq_landau_n_nat x y i) k : l_e_st_eq_landau_n_lessis x z).

(* constant 742 *)
definition l_e_st_eq_landau_n_317_anders ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_lessis y z.(l_orapp (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_lessis x z) l (λu:l_e_st_eq_landau_n_less x y.l_e_st_eq_landau_n_317_t5 x y z l k u) (λu:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_317_t6 x y z l k u) : l_e_st_eq_landau_n_lessis x z).

(* constant 743 *)
definition l_e_st_eq_landau_n_trlessis ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_lessis y z.(l_e_st_eq_landau_n_satz17 x y z l k : l_e_st_eq_landau_n_lessis x z).

(* constant 744 *)
definition l_e_st_eq_landau_n_trmoreis ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis y z.(l_e_st_eq_landau_n_satz14 z x (l_e_st_eq_landau_n_satz17 z y x (l_e_st_eq_landau_n_satz13 y z n) (l_e_st_eq_landau_n_satz13 x y m)) : l_e_st_eq_landau_n_moreis x z).

(* constant 745 *)
definition l_e_st_eq_landau_n_satz18 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_somei l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_pl x y) x u) y (l_e_refis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl x y)) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x y) x).

(* constant 746 *)
definition l_e_st_eq_landau_n_satz18a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz18 x y : l_e_st_eq_landau_n_less x (l_e_st_eq_landau_n_pl x y)).

(* constant 747 *)
definition l_e_st_eq_landau_n_satz18b ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ismore1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x) x (l_e_st_eq_landau_n_satz4a x) (l_e_st_eq_landau_n_satz18 x l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_suc x) x).

(* constant 748 *)
definition l_e_st_eq_landau_n_satz18c ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz18b x : l_e_st_eq_landau_n_less x (l_e_st_eq_landau_n_suc x)).

(* constant 749 *)
definition l_e_st_eq_landau_n_319_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.(l_e_tris l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_pl u y) du (l_e_st_eq_landau_n_compl y u) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl u y)).

(* constant 750 *)
definition l_e_st_eq_landau_n_319_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl u y) z) (l_e_st_eq_landau_n_pl u (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl y z) u) (l_e_st_eq_landau_n_ispl1 x (l_e_st_eq_landau_n_pl u y) z (l_e_st_eq_landau_n_319_t1 x y z m u du)) (l_e_st_eq_landau_n_asspl1 u y z) (l_e_st_eq_landau_n_compl u (l_e_st_eq_landau_n_pl y z)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl y z) u)).

(* constant 751 *)
definition l_e_st_eq_landau_n_319_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.(l_somei l_e_st_eq_landau_n_nat (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z) v) u (l_e_st_eq_landau_n_319_t2 x y z m u du) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)).

(* constant 752 *)
definition l_e_st_eq_landau_n_satz19a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_someapp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y u) m (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) (λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_diffprop x y u.l_e_st_eq_landau_n_319_t3 x y z m u v) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)).

(* constant 753 *)
definition l_e_st_eq_landau_n_satz19b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_st_eq_landau_n_ispl1 x y z i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)).

(* constant 754 *)
definition l_e_st_eq_landau_n_satz19c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l_e_st_eq_landau_n_satz11 (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_satz19a y x z (l_e_st_eq_landau_n_satz12 x y l)) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)).

(* constant 755 *)
definition l_e_st_eq_landau_n_319_anders1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l_e_st_eq_landau_n_satz19a y x z l : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)).

(* constant 756 *)
definition l_e_st_eq_landau_n_satz19d ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_pl z y) (l_e_st_eq_landau_n_compl x z) (l_e_st_eq_landau_n_compl y z) (l_e_st_eq_landau_n_satz19a x y z m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl z y)).

(* constant 757 *)
definition l_e_st_eq_landau_n_satz19e ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_st_eq_landau_n_ispl2 x y z i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl z y)).

(* constant 758 *)
definition l_e_st_eq_landau_n_satz19f ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_pl z y) (l_e_st_eq_landau_n_compl x z) (l_e_st_eq_landau_n_compl y z) (l_e_st_eq_landau_n_satz19c x y z l) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl z y)).

(* constant 759 *)
definition l_e_st_eq_landau_n_319_anders2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l_e_st_eq_landau_n_satz19d y x z l : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl z y)).

(* constant 760 *)
definition l_e_st_eq_landau_n_satz19g ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λm:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_ismore2 (l_e_st_eq_landau_n_pl x u) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_ispl1 x y u i) (l_e_st_eq_landau_n_satz19d z u x m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 761 *)
definition l_e_st_eq_landau_n_satz19h ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λm:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_pl u y) (l_e_st_eq_landau_n_compl x z) (l_e_st_eq_landau_n_compl y u) (l_e_st_eq_landau_n_satz19g x y z u i m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl u y)).

(* constant 762 *)
definition l_e_st_eq_landau_n_satz19j ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λl:l_e_st_eq_landau_n_less z u.(l_e_st_eq_landau_n_isless2 (l_e_st_eq_landau_n_pl x u) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_ispl1 x y u i) (l_e_st_eq_landau_n_satz19f z u x l) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 763 *)
definition l_e_st_eq_landau_n_satz19k ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λl:l_e_st_eq_landau_n_less z u.(l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_pl u y) (l_e_st_eq_landau_n_compl x z) (l_e_st_eq_landau_n_compl y u) (l_e_st_eq_landau_n_satz19j x y z u i l) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl u y)).

(* constant 764 *)
definition l_e_st_eq_landau_n_319_t4 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_moreisi1 (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_satz19a x y z n) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)).

(* constant 765 *)
definition l_e_st_eq_landau_n_319_t5 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λi:l_e_st_eq_landau_n_is x y.(l_e_st_eq_landau_n_moreisi2 (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_ispl1 x y z i) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)).

(* constant 766 *)
definition l_e_st_eq_landau_n_satz19l ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.(l_orapp (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) m (λu:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_319_t4 x y z m u) (λu:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_319_t5 x y z m u) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)).

(* constant 767 *)
definition l_e_st_eq_landau_n_satz19m ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.(l_e_st_eq_landau_n_ismoreis12 (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_pl z y) (l_e_st_eq_landau_n_compl x z) (l_e_st_eq_landau_n_compl y z) (l_e_st_eq_landau_n_satz19l x y z m) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl z y)).

(* constant 768 *)
definition l_e_st_eq_landau_n_satz19n ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.(l_e_st_eq_landau_n_satz13 (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_satz19l y x z (l_e_st_eq_landau_n_satz14 x y l)) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)).

(* constant 769 *)
definition l_e_st_eq_landau_n_satz19o ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.(l_e_st_eq_landau_n_satz13 (l_e_st_eq_landau_n_pl z y) (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_satz19m y x z (l_e_st_eq_landau_n_satz14 x y l)) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl z y)).

(* constant 770 *)
definition l_e_st_eq_landau_n_320_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz10a x y : l_or3 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y)).

(* constant 771 *)
definition l_e_st_eq_landau_n_320_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z) : l_ec3 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z))).

(* constant 772 *)
definition l_e_st_eq_landau_n_satz20a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z).(l_ec3_th11 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_320_t1 x y z) (l_e_st_eq_landau_n_320_t2 x y z) (λu:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_satz19b x y z u) (λu:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_satz19a x y z u) (λu:l_e_st_eq_landau_n_less x y.l_e_st_eq_landau_n_satz19c x y z u) m : l_e_st_eq_landau_n_more x y).

(* constant 773 *)
definition l_e_st_eq_landau_n_satz20b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z).(l_ec3_th10 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_320_t1 x y z) (l_e_st_eq_landau_n_320_t2 x y z) (λu:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_satz19b x y z u) (λu:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_satz19a x y z u) (λu:l_e_st_eq_landau_n_less x y.l_e_st_eq_landau_n_satz19c x y z u) i : l_e_st_eq_landau_n_is x y).

(* constant 774 *)
definition l_e_st_eq_landau_n_satz20c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z).(l_ec3_th12 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_320_t1 x y z) (l_e_st_eq_landau_n_320_t2 x y z) (λu:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_satz19b x y z u) (λu:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_satz19a x y z u) (λu:l_e_st_eq_landau_n_less x y.l_e_st_eq_landau_n_satz19c x y z u) l : l_e_st_eq_landau_n_less x y).

(* constant 775 *)
definition l_e_st_eq_landau_n_320_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z).(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_pl z y) (l_e_st_eq_landau_n_compl z x) i (l_e_st_eq_landau_n_compl y z) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl z y)).

(* constant 776 *)
definition l_e_st_eq_landau_n_320_andersb ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z).(l_e_st_eq_landau_n_satz8a z x y (l_e_st_eq_landau_n_320_t3 x y z i) : l_e_st_eq_landau_n_is x y).

(* constant 777 *)
definition l_e_st_eq_landau_n_320_andersc ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z).(l_e_st_eq_landau_n_satz20a y x z l : l_e_st_eq_landau_n_less x y).

(* constant 778 *)
definition l_e_st_eq_landau_n_satz20d ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl z y).(l_e_st_eq_landau_n_satz20a x y z (l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl z y) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_compl z x) (l_e_st_eq_landau_n_compl z y) m) : l_e_st_eq_landau_n_more x y).

(* constant 779 *)
definition l_e_st_eq_landau_n_satz20e ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl z y).(l_e_st_eq_landau_n_satz20b x y z (l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl z y) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_compl x z) i (l_e_st_eq_landau_n_compl z y)) : l_e_st_eq_landau_n_is x y).

(* constant 780 *)
definition l_e_st_eq_landau_n_satz20f ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl z y).(l_e_st_eq_landau_n_satz20c x y z (l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_pl z x) (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl z y) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_compl z x) (l_e_st_eq_landau_n_compl z y) l) : l_e_st_eq_landau_n_less x y).

(* constant 781 *)
definition l_e_st_eq_landau_n_321_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_satz19a x y z m : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z)).

(* constant 782 *)
definition l_e_st_eq_landau_n_321_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_pl z y) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_pl u y) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_compl z y) (l_e_st_eq_landau_n_compl u y) (l_e_st_eq_landau_n_satz19a z u y n) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_pl y u)).

(* constant 783 *)
definition l_e_st_eq_landau_n_satz21 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_trmore (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_321_t1 x y z u m n) (l_e_st_eq_landau_n_321_t2 x y z u m n) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 784 *)
definition l_e_st_eq_landau_n_321_anders ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_trmore (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_satz19a x y z m) (l_e_st_eq_landau_n_satz19d z u y n) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 785 *)
definition l_e_st_eq_landau_n_satz21a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λk:l_e_st_eq_landau_n_less z u.(l_e_st_eq_landau_n_satz21 y x u z l k : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 786 *)
definition l_e_st_eq_landau_n_321_andersa ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λk:l_e_st_eq_landau_n_less z u.(l_e_st_eq_landau_n_satz11 (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_satz21 y x u z (l_e_st_eq_landau_n_satz12 x y l) (l_e_st_eq_landau_n_satz12 z u k)) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 787 *)
definition l_e_st_eq_landau_n_satz22a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_more z u.(l_orapp (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)) m (λv:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_satz21 x y z u v n) (λv:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_satz19g x y z u v n) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 788 *)
definition l_e_st_eq_landau_n_satz22b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_moreis z u.(l_orapp (l_e_st_eq_landau_n_more z u) (l_e_st_eq_landau_n_is z u) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)) n (λv:l_e_st_eq_landau_n_more z u.l_e_st_eq_landau_n_satz21 x y z u m v) (λv:l_e_st_eq_landau_n_is z u.l_e_st_eq_landau_n_satz19h z u x y v m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 789 *)
definition l_e_st_eq_landau_n_satz22c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_less z u.(l_e_st_eq_landau_n_satz22a y x u z (l_e_st_eq_landau_n_satz14 x y l) k : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 790 *)
definition l_e_st_eq_landau_n_satz22d ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λk:l_e_st_eq_landau_n_lessis z u.(l_e_st_eq_landau_n_satz22b y x u z l (l_e_st_eq_landau_n_satz14 z u k) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 791 *)
definition l_e_st_eq_landau_n_323_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.λi:l_e_st_eq_landau_n_is x y.λj:l_e_st_eq_landau_n_is z u.(l_e_st_eq_landau_n_moreisi2 (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u) (l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y z) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_ispl1 x y z i) (l_e_st_eq_landau_n_ispl2 z u y j)) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 792 *)
definition l_e_st_eq_landau_n_323_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.λi:l_e_st_eq_landau_n_is x y.λo:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_moreisi1 (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_satz22a x y z u m o) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 793 *)
definition l_e_st_eq_landau_n_323_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.λi:l_e_st_eq_landau_n_is x y.(l_orapp (l_e_st_eq_landau_n_more z u) (l_e_st_eq_landau_n_is z u) (l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)) n (λv:l_e_st_eq_landau_n_more z u.l_e_st_eq_landau_n_323_t2 x y z u m n i v) (λv:l_e_st_eq_landau_n_is z u.l_e_st_eq_landau_n_323_t1 x y z u m n i v) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 794 *)
definition l_e_st_eq_landau_n_323_t4 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.λo:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_moreisi1 (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_satz22b x y z u o n) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 795 *)
definition l_e_st_eq_landau_n_satz23 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.(l_orapp (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)) m (λv:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_323_t4 x y z u m n v) (λv:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_323_t3 x y z u m n v) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 796 *)
definition l_e_st_eq_landau_n_323_t5 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.λo:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_moreisi1 (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_satz22b x y z u o n) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 797 *)
definition l_e_st_eq_landau_n_323_t6 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.λi:l_e_st_eq_landau_n_is x y.(l_e_st_eq_landau_n_ismoreis2 (l_e_st_eq_landau_n_pl x u) (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_ispl1 x y u i) (l_e_st_eq_landau_n_satz19m z u x n) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 798 *)
definition l_e_st_eq_landau_n_323_anders ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.(l_orapp (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)) m (λv:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_323_t5 x y z u m n v) (λv:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_323_t6 x y z u m n v) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 799 *)
definition l_e_st_eq_landau_n_satz23a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_lessis z u.(l_e_st_eq_landau_n_satz13 (l_e_st_eq_landau_n_pl y u) (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_satz23 y x u z (l_e_st_eq_landau_n_satz14 x y l) (l_e_st_eq_landau_n_satz14 z u k)) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl x z) (l_e_st_eq_landau_n_pl y u)).

(* constant 800 *)
definition l_e_st_eq_landau_n_324_t1 ≝ λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u).(l_e_tris l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_suc u) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 u) i (l_e_st_eq_landau_n_satz4g u) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 u)).

(* constant 801 *)
definition l_e_st_eq_landau_n_324_t2 ≝ λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u).(l_e_st_eq_landau_n_ismore1 (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 u) x l_e_st_eq_landau_n_1 (l_e_symis l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 u) (l_e_st_eq_landau_n_324_t1 x n u i)) (l_e_st_eq_landau_n_satz18 l_e_st_eq_landau_n_1 u) : l_e_st_eq_landau_n_more x l_e_st_eq_landau_n_1).

(* constant 802 *)
definition l_e_st_eq_landau_n_324_t3 ≝ λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_someapp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u)) (l_e_st_eq_landau_n_satz3 x n) (l_e_st_eq_landau_n_more x l_e_st_eq_landau_n_1) (λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_suc u).l_e_st_eq_landau_n_324_t2 x n u v) : l_e_st_eq_landau_n_more x l_e_st_eq_landau_n_1).

(* constant 803 *)
definition l_e_st_eq_landau_n_satz24 ≝ λx:l_e_st_eq_landau_n_nat.(l_or_th2 (l_e_st_eq_landau_n_more x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1) (λu:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_324_t3 x u) : l_e_st_eq_landau_n_moreis x l_e_st_eq_landau_n_1).

(* constant 804 *)
definition l_e_st_eq_landau_n_satz24a ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz13 x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24 x) : l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 x).

(* constant 805 *)
definition l_e_st_eq_landau_n_satz24b ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_324_t3 (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_ax3 x) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_suc x) l_e_st_eq_landau_n_1).

(* constant 806 *)
definition l_e_st_eq_landau_n_satz24c ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz24b x : l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_suc x)).

(* constant 807 *)
definition l_e_st_eq_landau_n_325_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more y x.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop y x u.(l_e_st_eq_landau_n_satz19m u l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_satz24 u) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_pl x u) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 808 *)
definition l_e_st_eq_landau_n_325_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more y x.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop y x u.(l_e_st_eq_landau_n_ismoreis1 (l_e_st_eq_landau_n_pl x u) y (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_symis l_e_st_eq_landau_n_nat y (l_e_st_eq_landau_n_pl x u) du) (l_e_st_eq_landau_n_325_t1 x y m u du) : l_e_st_eq_landau_n_moreis y (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 809 *)
definition l_e_st_eq_landau_n_satz25 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more y x.(l_someapp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop y x u) m (l_e_st_eq_landau_n_moreis y (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_diffprop y x u.l_e_st_eq_landau_n_325_t2 x y m u v) : l_e_st_eq_landau_n_moreis y (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 810 *)
definition l_e_st_eq_landau_n_satz25a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more y x.(l_e_st_eq_landau_n_ismoreis2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x) y (l_e_st_eq_landau_n_satz4a x) (l_e_st_eq_landau_n_satz25 x y m) : l_e_st_eq_landau_n_moreis y (l_e_st_eq_landau_n_suc x)).

(* constant 811 *)
definition l_e_st_eq_landau_n_satz25b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less y x.(l_e_st_eq_landau_n_satz13 x (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz25 y x l) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) x).

(* constant 812 *)
definition l_e_st_eq_landau_n_satz25c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less y x.(l_e_st_eq_landau_n_islessis1 (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc y) x (l_e_st_eq_landau_n_satz4a y) (l_e_st_eq_landau_n_satz25b x y l) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc y) x).

(* constant 813 *)
definition l_e_st_eq_landau_n_326_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less y (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λm:l_e_st_eq_landau_n_more y x.(l_e_st_eq_landau_n_satz25 x y m : l_e_st_eq_landau_n_moreis y (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 814 *)
definition l_e_st_eq_landau_n_326_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less y (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).(l_imp_th3 (l_e_st_eq_landau_n_more y x) (l_e_st_eq_landau_n_moreis y (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_satz10h y (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) l) (λv:l_e_st_eq_landau_n_more y x.l_e_st_eq_landau_n_326_t1 x y l v) : l_not (l_e_st_eq_landau_n_more y x)).

(* constant 815 *)
definition l_e_st_eq_landau_n_satz26 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less y (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).(l_e_st_eq_landau_n_satz10e y x (l_e_st_eq_landau_n_326_t2 x y l) : l_e_st_eq_landau_n_lessis y x).

(* constant 816 *)
definition l_e_st_eq_landau_n_satz26a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less y (l_e_st_eq_landau_n_suc x).(l_e_st_eq_landau_n_satz26 x y (l_e_st_eq_landau_n_isless2 (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) y (l_e_st_eq_landau_n_satz4e x) l) : l_e_st_eq_landau_n_lessis y x).

(* constant 817 *)
definition l_e_st_eq_landau_n_satz26b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) x.(l_e_st_eq_landau_n_satz14 x y (l_e_st_eq_landau_n_satz26 y x m) : l_e_st_eq_landau_n_moreis y x).

(* constant 818 *)
definition l_e_st_eq_landau_n_satz26c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_suc y) x.(l_e_st_eq_landau_n_satz26b x y (l_e_st_eq_landau_n_ismore1 (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_satz4e y) m) : l_e_st_eq_landau_n_moreis y x).

(* constant 819 *)
definition l_e_st_eq_landau_n_327_lbprop ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.(l_imp (p m) (l_e_st_eq_landau_n_lessis n m) : Prop).

(* constant 820 *)
definition l_e_st_eq_landau_n_lb ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_all (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_327_lbprop p n x) : Prop).

(* constant 821 *)
definition l_e_st_eq_landau_n_min ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_e_st_eq_landau_n_nat.(l_and (l_e_st_eq_landau_n_lb p n) (p n) : Prop).

(* constant 822 *)
definition l_e_st_eq_landau_n_327_t1 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λn:l_e_st_eq_landau_n_nat.(λx:p n.l_e_st_eq_landau_n_satz24a n : l_e_st_eq_landau_n_327_lbprop p l_e_st_eq_landau_n_1 n).

(* constant 823 *)
definition l_e_st_eq_landau_n_327_t2 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.(λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_327_t1 p s x : l_e_st_eq_landau_n_lb p l_e_st_eq_landau_n_1).

(* constant 824 *)
definition l_e_st_eq_landau_n_327_t3 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λl:∀x:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lb p x.λy:l_e_st_eq_landau_n_nat.λyp:p y.(l_e_st_eq_landau_n_satz18 y l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) y).

(* constant 825 *)
definition l_e_st_eq_landau_n_327_t4 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λl:∀x:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lb p x.λy:l_e_st_eq_landau_n_nat.λyp:p y.(l_e_st_eq_landau_n_satz10g (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) y (l_e_st_eq_landau_n_327_t3 p s l y yp) : l_not (l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) y)).

(* constant 826 *)
definition l_e_st_eq_landau_n_327_t5 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λl:∀x:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lb p x.λy:l_e_st_eq_landau_n_nat.λyp:p y.(l_imp_th4 (p y) (l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) y) yp (l_e_st_eq_landau_n_327_t4 p s l y yp) : l_not (l_e_st_eq_landau_n_327_lbprop p (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) y)).

(* constant 827 *)
definition l_e_st_eq_landau_n_327_t6 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λl:∀x:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lb p x.λy:l_e_st_eq_landau_n_nat.λyp:p y.(l_all_th1 l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_327_lbprop p (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) x) y (l_e_st_eq_landau_n_327_t5 p s l y yp) : l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1))).

(* constant 828 *)
definition l_e_st_eq_landau_n_327_t7 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λl:∀x:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lb p x.λy:l_e_st_eq_landau_n_nat.λyp:p y.(l_mp (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1)) l_con (l (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_327_t6 p s l y yp) : l_con).

(* constant 829 *)
definition l_e_st_eq_landau_n_327_t8 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λl:∀x:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lb p x.(l_someapp l_e_st_eq_landau_n_nat p s l_con (λx:l_e_st_eq_landau_n_nat.λy:p x.l_e_st_eq_landau_n_327_t7 p s l x y) : l_con).

(* constant 830 *)
definition l_e_st_eq_landau_n_327_t9 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_and (l_e_st_eq_landau_n_lb p x) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))).λm:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lb p m.(n m : l_not (l_and (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))))).

(* constant 831 *)
definition l_e_st_eq_landau_n_327_t10 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_and (l_e_st_eq_landau_n_lb p x) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))).λm:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lb p m.(l_et (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1)) (l_and_th3 (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_327_t9 p s n m l) l) : l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1)).

(* constant 832 *)
definition l_e_st_eq_landau_n_327_t11 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_and (l_e_st_eq_landau_n_lb p x) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))).λm:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lb p m.(l_e_isp l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lb p x) (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc m) (l_e_st_eq_landau_n_327_t10 p s n m l) (l_e_st_eq_landau_n_satz4a m) : l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_suc m)).

(* constant 833 *)
definition l_e_st_eq_landau_n_327_t12 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_and (l_e_st_eq_landau_n_lb p x) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))).(λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_induction (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lb p y) (l_e_st_eq_landau_n_327_t2 p s) (λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_lb p y.l_e_st_eq_landau_n_327_t11 p s n y z) x : ∀x:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lb p x).

(* constant 834 *)
definition l_e_st_eq_landau_n_327_t13 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.(λx:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_and (l_e_st_eq_landau_n_lb p x) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))).l_e_st_eq_landau_n_327_t8 p s (l_e_st_eq_landau_n_327_t12 p s x) : l_e_st_eq_landau_n_some (λx:l_e_st_eq_landau_n_nat.l_and (l_e_st_eq_landau_n_lb p x) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))))).

(* constant 835 *)
definition l_e_st_eq_landau_n_327_t14 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λm:l_e_st_eq_landau_n_nat.λa:l_and (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))).(l_ande1 (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))) a : l_e_st_eq_landau_n_lb p m).

(* constant 836 *)
definition l_e_st_eq_landau_n_327_t15 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λm:l_e_st_eq_landau_n_nat.λa:l_and (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))).(l_ande2 (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))) a : l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))).

(* constant 837 *)
definition l_e_st_eq_landau_n_327_t16 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λm:l_e_st_eq_landau_n_nat.λa:l_and (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))).λnmp:l_not (p m).λn:l_e_st_eq_landau_n_nat.λnp:p n.(l_mp (p n) (l_e_st_eq_landau_n_lessis m n) np (l_e_st_eq_landau_n_327_t14 p s m a n) : l_e_st_eq_landau_n_lessis m n).

(* constant 838 *)
definition l_e_st_eq_landau_n_327_t17 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λm:l_e_st_eq_landau_n_nat.λa:l_and (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))).λnmp:l_not (p m).λn:l_e_st_eq_landau_n_nat.λnp:p n.(l_imp_th3 (l_e_st_eq_landau_n_is m n) (p m) nmp (λx:l_e_st_eq_landau_n_is m n.l_e_isp l_e_st_eq_landau_n_nat p n m np (l_e_symis l_e_st_eq_landau_n_nat m n x)) : l_not (l_e_st_eq_landau_n_is m n)).

(* constant 839 *)
definition l_e_st_eq_landau_n_327_t18 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λm:l_e_st_eq_landau_n_nat.λa:l_and (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))).λnmp:l_not (p m).λn:l_e_st_eq_landau_n_nat.λnp:p n.(l_ore1 (l_e_st_eq_landau_n_less m n) (l_e_st_eq_landau_n_is m n) (l_e_st_eq_landau_n_327_t16 p s m a nmp n np) (l_e_st_eq_landau_n_327_t17 p s m a nmp n np) : l_e_st_eq_landau_n_less m n).

(* constant 840 *)
definition l_e_st_eq_landau_n_327_t19 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λm:l_e_st_eq_landau_n_nat.λa:l_and (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))).λnmp:l_not (p m).λn:l_e_st_eq_landau_n_nat.λnp:p n.(l_e_st_eq_landau_n_satz25b n m (l_e_st_eq_landau_n_327_t18 p s m a nmp n np) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1) n).

(* constant 841 *)
definition l_e_st_eq_landau_n_327_t20 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λm:l_e_st_eq_landau_n_nat.λa:l_and (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))).λnmp:l_not (p m).(λx:l_e_st_eq_landau_n_nat.λy:p x.l_e_st_eq_landau_n_327_t19 p s m a nmp x y : l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1)).

(* constant 842 *)
definition l_e_st_eq_landau_n_327_t21 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λm:l_e_st_eq_landau_n_nat.λa:l_and (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))).λnmp:l_not (p m).(l_mp (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1)) l_con (l_e_st_eq_landau_n_327_t20 p s m a nmp) (l_e_st_eq_landau_n_327_t15 p s m a) : l_con).

(* constant 843 *)
definition l_e_st_eq_landau_n_327_t22 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λm:l_e_st_eq_landau_n_nat.λa:l_and (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))).(l_et (p m) (λx:l_not (p m).l_e_st_eq_landau_n_327_t21 p s m a x) : p m).

(* constant 844 *)
definition l_e_st_eq_landau_n_327_t23 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λm:l_e_st_eq_landau_n_nat.λa:l_and (l_e_st_eq_landau_n_lb p m) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl m l_e_st_eq_landau_n_1))).(l_andi (l_e_st_eq_landau_n_lb p m) (p m) (l_e_st_eq_landau_n_327_t14 p s m a) (l_e_st_eq_landau_n_327_t22 p s m a) : l_e_st_eq_landau_n_min p m).

(* constant 845 *)
definition l_e_st_eq_landau_n_satz27 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.(l_some_th6 l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_and (l_e_st_eq_landau_n_lb p x) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x) (l_e_st_eq_landau_n_327_t13 p s) (λx:l_e_st_eq_landau_n_nat.λy:l_and (l_e_st_eq_landau_n_lb p x) (l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).l_e_st_eq_landau_n_327_t23 p s x y) : l_e_st_eq_landau_n_some (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x)).

(* constant 846 *)
definition l_e_st_eq_landau_n_327_t24 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x).λu:l_e_st_eq_landau_n_nat.(λx:p u.l_e_st_eq_landau_n_satz24a u : l_e_st_eq_landau_n_327_lbprop p l_e_st_eq_landau_n_1 u).

(* constant 847 *)
definition l_e_st_eq_landau_n_327_t25 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x).(λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_327_t24 p n x : l_e_st_eq_landau_n_lb p l_e_st_eq_landau_n_1).

(* constant 848 *)
definition l_e_st_eq_landau_n_327_t26 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x).λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lb p u.(n u : l_not (l_e_st_eq_landau_n_min p u)).

(* constant 849 *)
definition l_e_st_eq_landau_n_327_t27 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x).λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lb p u.(l_and_th3 (l_e_st_eq_landau_n_lb p u) (p u) (l_e_st_eq_landau_n_327_t26 p n u l) l : l_not (p u)).

(* constant 850 *)
definition l_e_st_eq_landau_n_327_t28 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x).λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lb p u.λv:l_e_st_eq_landau_n_nat.λvp:p v.(l_imp_th3 (l_e_st_eq_landau_n_is u v) (p u) (l_e_st_eq_landau_n_327_t27 p n u l) (λx:l_e_st_eq_landau_n_is u v.l_e_isp1 l_e_st_eq_landau_n_nat p v u vp x) : l_e_st_eq_landau_n_nis u v).

(* constant 851 *)
definition l_e_st_eq_landau_n_327_t29 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x).λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lb p u.λv:l_e_st_eq_landau_n_nat.λvp:p v.(l_mp (p v) (l_e_st_eq_landau_n_lessis u v) vp (l v) : l_e_st_eq_landau_n_lessis u v).

(* constant 852 *)
definition l_e_st_eq_landau_n_327_t30 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x).λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lb p u.λv:l_e_st_eq_landau_n_nat.λvp:p v.(l_ore1 (l_e_st_eq_landau_n_less u v) (l_e_st_eq_landau_n_is u v) (l_e_st_eq_landau_n_327_t29 p n u l v vp) (l_e_st_eq_landau_n_327_t28 p n u l v vp) : l_e_st_eq_landau_n_less u v).

(* constant 853 *)
definition l_e_st_eq_landau_n_327_t31 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x).λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lb p u.λv:l_e_st_eq_landau_n_nat.λvp:p v.(l_e_st_eq_landau_n_satz25c v u (l_e_st_eq_landau_n_327_t30 p n u l v vp) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) v).

(* constant 854 *)
definition l_e_st_eq_landau_n_327_t32 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x).λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lb p u.λv:l_e_st_eq_landau_n_nat.(λx:p v.l_e_st_eq_landau_n_327_t31 p n u l v x : l_e_st_eq_landau_n_327_lbprop p (l_e_st_eq_landau_n_suc u) v).

(* constant 855 *)
definition l_e_st_eq_landau_n_327_t33 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x).λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lb p u.(λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_327_t32 p n u l x : l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_suc u)).

(* constant 856 *)
definition l_e_st_eq_landau_n_327_t34 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x).λu:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lb p x) (l_e_st_eq_landau_n_327_t25 p n) (λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_lb p x.l_e_st_eq_landau_n_327_t33 p n x y) u : l_e_st_eq_landau_n_lb p u).

(* constant 857 *)
definition l_e_st_eq_landau_n_327_t35 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λu:l_e_st_eq_landau_n_nat.λup:p u.(l_e_st_eq_landau_n_satz10g (l_e_st_eq_landau_n_suc u) u (l_e_st_eq_landau_n_satz18b u) : l_not (l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) u)).

(* constant 858 *)
definition l_e_st_eq_landau_n_327_t36 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λu:l_e_st_eq_landau_n_nat.λup:p u.(l_imp_th4 (p u) (l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) u) up (l_e_st_eq_landau_n_327_t35 p s u up) : l_not (l_e_st_eq_landau_n_327_lbprop p (l_e_st_eq_landau_n_suc u) u)).

(* constant 859 *)
definition l_e_st_eq_landau_n_327_t37 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λu:l_e_st_eq_landau_n_nat.λup:p u.(l_all_th1 l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_327_lbprop p (l_e_st_eq_landau_n_suc u) x) u (l_e_st_eq_landau_n_327_t36 p s u up) : l_not (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_suc u))).

(* constant 860 *)
definition l_e_st_eq_landau_n_327_t38 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.λu:l_e_st_eq_landau_n_nat.λup:p u.(λy:l_none l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x).l_mp (l_e_st_eq_landau_n_lb p (l_e_st_eq_landau_n_suc u)) l_con (l_e_st_eq_landau_n_327_t34 p y (l_e_st_eq_landau_n_suc u)) (l_e_st_eq_landau_n_327_t37 p s u up) : l_e_st_eq_landau_n_some (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x)).

(* constant 861 *)
definition l_e_st_eq_landau_n_327_anders ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.(l_someapp l_e_st_eq_landau_n_nat p s (l_e_st_eq_landau_n_some (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x)) (λx:l_e_st_eq_landau_n_nat.λy:p x.l_e_st_eq_landau_n_327_t38 p s x y) : l_e_st_eq_landau_n_some (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x)).

(* constant 862 *)
definition l_e_st_eq_landau_n_327_t39 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λmn:l_e_st_eq_landau_n_min p n.λmm:l_e_st_eq_landau_n_min p m.(l_ande1 (l_e_st_eq_landau_n_lb p n) (p n) mn : l_e_st_eq_landau_n_lb p n).

(* constant 863 *)
definition l_e_st_eq_landau_n_327_t40 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λmn:l_e_st_eq_landau_n_min p n.λmm:l_e_st_eq_landau_n_min p m.(l_ande1 (l_e_st_eq_landau_n_lb p m) (p m) mm : l_e_st_eq_landau_n_lb p m).

(* constant 864 *)
definition l_e_st_eq_landau_n_327_t41 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λmn:l_e_st_eq_landau_n_min p n.λmm:l_e_st_eq_landau_n_min p m.(l_ande2 (l_e_st_eq_landau_n_lb p n) (p n) mn : p n).

(* constant 865 *)
definition l_e_st_eq_landau_n_327_t42 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λmn:l_e_st_eq_landau_n_min p n.λmm:l_e_st_eq_landau_n_min p m.(l_ande2 (l_e_st_eq_landau_n_lb p m) (p m) mm : p m).

(* constant 866 *)
definition l_e_st_eq_landau_n_327_t43 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λmn:l_e_st_eq_landau_n_min p n.λmm:l_e_st_eq_landau_n_min p m.(l_e_st_eq_landau_n_327_t39 p n m mn mm m : l_e_st_eq_landau_n_327_lbprop p n m).

(* constant 867 *)
definition l_e_st_eq_landau_n_327_t44 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λmn:l_e_st_eq_landau_n_min p n.λmm:l_e_st_eq_landau_n_min p m.(l_e_st_eq_landau_n_327_t40 p n m mn mm n : l_e_st_eq_landau_n_327_lbprop p m n).

(* constant 868 *)
definition l_e_st_eq_landau_n_327_t45 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λmn:l_e_st_eq_landau_n_min p n.λmm:l_e_st_eq_landau_n_min p m.(l_mp (p m) (l_e_st_eq_landau_n_lessis n m) (l_e_st_eq_landau_n_327_t42 p n m mn mm) (l_e_st_eq_landau_n_327_t43 p n m mn mm) : l_e_st_eq_landau_n_lessis n m).

(* constant 869 *)
definition l_e_st_eq_landau_n_327_t46 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λmn:l_e_st_eq_landau_n_min p n.λmm:l_e_st_eq_landau_n_min p m.(l_mp (p n) (l_e_st_eq_landau_n_lessis m n) (l_e_st_eq_landau_n_327_t41 p n m mn mm) (l_e_st_eq_landau_n_327_t44 p n m mn mm) : l_e_st_eq_landau_n_lessis m n).

(* constant 870 *)
definition l_e_st_eq_landau_n_327_t47 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λmn:l_e_st_eq_landau_n_min p n.λmm:l_e_st_eq_landau_n_min p m.(l_ore2 (l_e_st_eq_landau_n_more n m) (l_e_st_eq_landau_n_is n m) (l_e_st_eq_landau_n_satz14 m n (l_e_st_eq_landau_n_327_t46 p n m mn mm)) (l_e_st_eq_landau_n_satz10d n m (l_e_st_eq_landau_n_327_t45 p n m mn mm)) : l_e_st_eq_landau_n_is n m).

(* constant 871 *)
definition l_e_st_eq_landau_n_327_t48 ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.(λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_min p x.λv:l_e_st_eq_landau_n_min p y.l_e_st_eq_landau_n_327_t47 p x y u v : l_e_amone l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x)).

(* constant 872 *)
definition l_e_st_eq_landau_n_satz27a ≝ λp:∀x:l_e_st_eq_landau_n_nat.Prop.λs:l_e_st_eq_landau_n_some p.(l_e_onei l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x) (l_e_st_eq_landau_n_327_t48 p) (l_e_st_eq_landau_n_satz27 p s) : l_e_st_eq_landau_n_one (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min p x)).

(* constant 873 *)
definition l_e_st_eq_landau_n_428_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_all (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is (f (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (f y) x)) : Prop).

(* constant 874 *)
definition l_e_st_eq_landau_n_428_prop2 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.(l_and (l_e_st_eq_landau_n_is (f l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_428_prop1 x f) : Prop).

(* constant 875 *)
definition l_e_st_eq_landau_n_428_prop3 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_428_prop2 x a.λpb:l_e_st_eq_landau_n_428_prop2 x b.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_is (a y) (b y) : Prop).

(* constant 876 *)
definition l_e_st_eq_landau_n_428_t1 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_428_prop2 x a.λpb:l_e_st_eq_landau_n_428_prop2 x b.(l_ande1 (l_e_st_eq_landau_n_is (a l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_428_prop1 x a) pa : l_e_st_eq_landau_n_is (a l_e_st_eq_landau_n_1) x).

(* constant 877 *)
definition l_e_st_eq_landau_n_428_t2 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_428_prop2 x a.λpb:l_e_st_eq_landau_n_428_prop2 x b.(l_ande1 (l_e_st_eq_landau_n_is (b l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_428_prop1 x b) pb : l_e_st_eq_landau_n_is (b l_e_st_eq_landau_n_1) x).

(* constant 878 *)
definition l_e_st_eq_landau_n_428_t3 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_428_prop2 x a.λpb:l_e_st_eq_landau_n_428_prop2 x b.(l_e_tris2 l_e_st_eq_landau_n_nat (a l_e_st_eq_landau_n_1) (b l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_428_t1 x a b pa pb) (l_e_st_eq_landau_n_428_t2 x a b pa pb) : l_e_st_eq_landau_n_428_prop3 x a b pa pb l_e_st_eq_landau_n_1).

(* constant 879 *)
definition l_e_st_eq_landau_n_428_t4 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_428_prop2 x a.λpb:l_e_st_eq_landau_n_428_prop2 x b.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop3 x a b pa pb y.(l_e_st_eq_landau_n_ispl1 (a y) (b y) x p : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (a y) x) (l_e_st_eq_landau_n_pl (b y) x)).

(* constant 880 *)
definition l_e_st_eq_landau_n_428_t5 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_428_prop2 x a.λpb:l_e_st_eq_landau_n_428_prop2 x b.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop3 x a b pa pb y.(l_ande2 (l_e_st_eq_landau_n_is (a l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_428_prop1 x a) pa : l_e_st_eq_landau_n_428_prop1 x a).

(* constant 881 *)
definition l_e_st_eq_landau_n_428_t6 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_428_prop2 x a.λpb:l_e_st_eq_landau_n_428_prop2 x b.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop3 x a b pa pb y.(l_ande2 (l_e_st_eq_landau_n_is (b l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_428_prop1 x b) pb : l_e_st_eq_landau_n_428_prop1 x b).

(* constant 882 *)
definition l_e_st_eq_landau_n_428_t7 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_428_prop2 x a.λpb:l_e_st_eq_landau_n_428_prop2 x b.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop3 x a b pa pb y.(l_e_st_eq_landau_n_428_t5 x a b pa pb y p y : l_e_st_eq_landau_n_is (a (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (a y) x)).

(* constant 883 *)
definition l_e_st_eq_landau_n_428_t8 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_428_prop2 x a.λpb:l_e_st_eq_landau_n_428_prop2 x b.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop3 x a b pa pb y.(l_e_st_eq_landau_n_428_t6 x a b pa pb y p y : l_e_st_eq_landau_n_is (b (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (b y) x)).

(* constant 884 *)
definition l_e_st_eq_landau_n_428_t9 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_428_prop2 x a.λpb:l_e_st_eq_landau_n_428_prop2 x b.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop3 x a b pa pb y.(l_e_tr3is l_e_st_eq_landau_n_nat (a (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (a y) x) (l_e_st_eq_landau_n_pl (b y) x) (b (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_428_t7 x a b pa pb y p) (l_e_st_eq_landau_n_428_t4 x a b pa pb y p) (l_e_symis l_e_st_eq_landau_n_nat (b (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (b y) x) (l_e_st_eq_landau_n_428_t8 x a b pa pb y p)) : l_e_st_eq_landau_n_428_prop3 x a b pa pb (l_e_st_eq_landau_n_suc y)).

(* constant 885 *)
definition l_e_st_eq_landau_n_428_t10 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_428_prop2 x a.λpb:l_e_st_eq_landau_n_428_prop2 x b.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_428_prop3 x a b pa pb z) (l_e_st_eq_landau_n_428_t3 x a b pa pb) (λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_428_prop3 x a b pa pb z.l_e_st_eq_landau_n_428_t9 x a b pa pb z u) y : l_e_st_eq_landau_n_428_prop3 x a b pa pb y).

(* constant 886 *)
definition l_e_st_eq_landau_n_428_t11 ≝ λx:l_e_st_eq_landau_n_nat.λa:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λb:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpa:l_e_st_eq_landau_n_428_prop2 x a.λpb:l_e_st_eq_landau_n_428_prop2 x b.(l_e_fisi l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat a b (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_428_t10 x a b pa pb y) : l_e_is (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) a b).

(* constant 887 *)
definition l_e_st_eq_landau_n_428_a1 ≝ λx:l_e_st_eq_landau_n_nat.(λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λu:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_428_prop2 x z.λw:l_e_st_eq_landau_n_428_prop2 x u.l_e_st_eq_landau_n_428_t11 x z u v w : l_e_amone (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_428_prop2 x z)).

(* constant 888 *)
definition l_e_st_eq_landau_n_428_prop4 ≝ λx:l_e_st_eq_landau_n_nat.(l_some (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_428_prop2 x z) : Prop).

(* constant 889 *)
definition l_e_st_eq_landau_n_428_id ≝ (λy:l_e_st_eq_landau_n_nat.y : Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat).

(* constant 890 *)
definition l_e_st_eq_landau_n_428_t12 ≝ (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_satz4e x : l_e_st_eq_landau_n_428_prop1 l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_428_id).

(* constant 891 *)
definition l_e_st_eq_landau_n_428_t13 ≝ (l_andi (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_428_id l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_428_prop1 l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_428_id) (l_e_refis l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_428_t12 : l_e_st_eq_landau_n_428_prop2 l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_428_id).

(* constant 892 *)
definition l_e_st_eq_landau_n_428_t14 ≝ (l_somei (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_428_prop2 l_e_st_eq_landau_n_1 z) l_e_st_eq_landau_n_428_id l_e_st_eq_landau_n_428_t13 : l_e_st_eq_landau_n_428_prop4 l_e_st_eq_landau_n_1).

(* constant 893 *)
definition l_e_st_eq_landau_n_428_g ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_428_prop2 x f.(λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_pl (f y) y : Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat).

(* constant 894 *)
definition l_e_st_eq_landau_n_428_t15 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_428_prop2 x f.(l_ande1 (l_e_st_eq_landau_n_is (f l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_428_prop1 x f) pf : l_e_st_eq_landau_n_is (f l_e_st_eq_landau_n_1) x).

(* constant 895 *)
definition l_e_st_eq_landau_n_428_t16 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_428_prop2 x f.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_428_g x p f pf l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_ispl1 (f l_e_st_eq_landau_n_1) x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_428_t15 x p f pf)) (l_e_st_eq_landau_n_satz4a x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_428_g x p f pf l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)).

(* constant 896 *)
definition l_e_st_eq_landau_n_428_t17 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_428_prop2 x f.λy:l_e_st_eq_landau_n_nat.(l_ande2 (l_e_st_eq_landau_n_is (f l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_428_prop1 x f) pf : l_e_st_eq_landau_n_428_prop1 x f).

(* constant 897 *)
definition l_e_st_eq_landau_n_428_t18 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_428_prop2 x f.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_428_t17 x p f pf y y : l_e_st_eq_landau_n_is (f (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (f y) x)).

(* constant 898 *)
definition l_e_st_eq_landau_n_428_t19 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_428_prop2 x f.λy:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_428_g x p f pf (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (f y) x) (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (f y) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc y))) (l_e_st_eq_landau_n_ispl1 (f (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (f y) x) (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_428_t18 x p f pf y)) (l_e_st_eq_landau_n_asspl1 (f y) x (l_e_st_eq_landau_n_suc y)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_428_g x p f pf (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (f y) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc y)))).

(* constant 899 *)
definition l_e_st_eq_landau_n_428_t20 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_428_prop2 x f.λy:l_e_st_eq_landau_n_nat.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_suc x) y) (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_satz4b x y) (l_e_st_eq_landau_n_satz4h x y) (l_e_st_eq_landau_n_compl (l_e_st_eq_landau_n_suc x) y) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc x))).

(* constant 900 *)
definition l_e_st_eq_landau_n_428_t21 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_428_prop2 x f.λy:l_e_st_eq_landau_n_nat.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_428_g x p f pf (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (f y) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc y))) (l_e_st_eq_landau_n_pl (f y) (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc x))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_428_g x p f pf y) (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_428_t19 x p f pf y) (l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc x)) (f y) (l_e_st_eq_landau_n_428_t20 x p f pf y)) (l_e_st_eq_landau_n_asspl2 (f y) y (l_e_st_eq_landau_n_suc x)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_428_g x p f pf (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_428_g x p f pf y) (l_e_st_eq_landau_n_suc x))).

(* constant 901 *)
definition l_e_st_eq_landau_n_428_t22 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_428_prop2 x f.(λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_428_t21 x p f pf y : l_e_st_eq_landau_n_428_prop1 (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_428_g x p f pf)).

(* constant 902 *)
definition l_e_st_eq_landau_n_428_t23 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_428_prop2 x f.(l_andi (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_428_g x p f pf l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_428_prop1 (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_428_g x p f pf)) (l_e_st_eq_landau_n_428_t16 x p f pf) (l_e_st_eq_landau_n_428_t22 x p f pf) : l_e_st_eq_landau_n_428_prop2 (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_428_g x p f pf)).

(* constant 903 *)
definition l_e_st_eq_landau_n_428_t24 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop4 x.λf:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λpf:l_e_st_eq_landau_n_428_prop2 x f.(l_somei (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_428_prop2 (l_e_st_eq_landau_n_suc x) z) (l_e_st_eq_landau_n_428_g x p f pf) (l_e_st_eq_landau_n_428_t23 x p f pf) : l_e_st_eq_landau_n_428_prop4 (l_e_st_eq_landau_n_suc x)).

(* constant 904 *)
definition l_e_st_eq_landau_n_428_t25 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_428_prop4 x.(l_someapp (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_428_prop2 x z) p (l_e_st_eq_landau_n_428_prop4 (l_e_st_eq_landau_n_suc x)) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_428_prop2 x z.l_e_st_eq_landau_n_428_t24 x p z u) : l_e_st_eq_landau_n_428_prop4 (l_e_st_eq_landau_n_suc x)).

(* constant 905 *)
definition l_e_st_eq_landau_n_428_b1 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_428_prop4 y) l_e_st_eq_landau_n_428_t14 (λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_428_prop4 y.l_e_st_eq_landau_n_428_t25 y u) x : l_e_st_eq_landau_n_428_prop4 x).

(* constant 906 *)
definition l_e_st_eq_landau_n_satz28 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_onei (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_428_prop2 x z) (l_e_st_eq_landau_n_428_a1 x) (l_e_st_eq_landau_n_428_b1 x) : l_e_one (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_and (l_e_st_eq_landau_n_is (z l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_all (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is (z (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (z y) x))))).

(* constant 907 *)
definition l_e_st_eq_landau_n_times ≝ λx:l_e_st_eq_landau_n_nat.(l_e_ind (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_428_prop2 x z) (l_e_st_eq_landau_n_satz28 x) : Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat).

(* constant 908 *)
definition l_e_st_eq_landau_n_ts ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_times x y : l_e_st_eq_landau_n_nat).

(* constant 909 *)
definition l_e_st_eq_landau_n_428_t26 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_oneax (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λz:Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_428_prop2 x z) (l_e_st_eq_landau_n_satz28 x) : l_e_st_eq_landau_n_428_prop2 x (l_e_st_eq_landau_n_times x)).

(* constant 910 *)
definition l_e_st_eq_landau_n_satz28a ≝ λx:l_e_st_eq_landau_n_nat.(l_ande1 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_times x l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_428_prop1 x (l_e_st_eq_landau_n_times x)) (l_e_st_eq_landau_n_428_t26 x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x l_e_st_eq_landau_n_1) x).

(* constant 911 *)
definition l_e_st_eq_landau_n_428_t27 ≝ λx:l_e_st_eq_landau_n_nat.(l_ande2 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_times x l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_428_prop1 x (l_e_st_eq_landau_n_times x)) (l_e_st_eq_landau_n_428_t26 x) : l_e_st_eq_landau_n_428_prop1 x (l_e_st_eq_landau_n_times x)).

(* constant 912 *)
definition l_e_st_eq_landau_n_satz28b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_428_t27 x y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) x)).

(* constant 913 *)
definition l_e_st_eq_landau_n_428_t28 ≝ (l_e_st_eq_landau_n_428_t11 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_times l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_428_id (l_e_st_eq_landau_n_428_t26 l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_428_t13 : l_e_is (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (l_e_st_eq_landau_n_times l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_428_id).

(* constant 914 *)
definition l_e_st_eq_landau_n_satz28c ≝ λx:l_e_st_eq_landau_n_nat.(l_e_fise l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_times l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_428_id l_e_st_eq_landau_n_428_t28 x : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 x) x).

(* constant 915 *)
definition l_e_st_eq_landau_n_428_t29 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_428_t11 (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_times (l_e_st_eq_landau_n_suc x)) (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_times x y) y) (l_e_st_eq_landau_n_428_t26 (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_428_t23 x (l_e_st_eq_landau_n_428_b1 x) (l_e_st_eq_landau_n_times x) (l_e_st_eq_landau_n_428_t26 x)) : l_e_is (Πy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (l_e_st_eq_landau_n_times (l_e_st_eq_landau_n_suc x)) (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_times x y) y)).

(* constant 916 *)
definition l_e_st_eq_landau_n_satz28d ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_fise l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_times (l_e_st_eq_landau_n_suc x)) (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_times x z) z) (l_e_st_eq_landau_n_428_t29 x) y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc x) y) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) y)).

(* constant 917 *)
definition l_e_st_eq_landau_n_satz28e ≝ λx:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_satz28a x) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_ts x l_e_st_eq_landau_n_1)).

(* constant 918 *)
definition l_e_st_eq_landau_n_satz28f ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) x) (l_e_st_eq_landau_n_satz28b x y) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) x) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_suc y))).

(* constant 919 *)
definition l_e_st_eq_landau_n_satz28g ≝ λx:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 x) x (l_e_st_eq_landau_n_satz28c x) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 x)).

(* constant 920 *)
definition l_e_st_eq_landau_n_satz28h ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc x) y) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) y) (l_e_st_eq_landau_n_satz28d x y) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) y) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc x) y)).

(* constant 921 *)
definition l_e_st_eq_landau_n_ists1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_ts u z) x y i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)).

(* constant 922 *)
definition l_e_st_eq_landau_n_ists2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_ts z u) x y i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts z y)).

(* constant 923 *)
definition l_e_st_eq_landau_n_ists12 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λj:l_e_st_eq_landau_n_is z u.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_ists1 x y z i) (l_e_st_eq_landau_n_ists2 z u y j) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 924 *)
definition l_e_st_eq_landau_n_429_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts y x) : Prop).

(* constant 925 *)
definition l_e_st_eq_landau_n_429_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz28a y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts y l_e_st_eq_landau_n_1) y).

(* constant 926 *)
definition l_e_st_eq_landau_n_429_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz28c y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 y) y).

(* constant 927 *)
definition l_e_st_eq_landau_n_429_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_tris2 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 y) (l_e_st_eq_landau_n_ts y l_e_st_eq_landau_n_1) y (l_e_st_eq_landau_n_429_t2 x y) (l_e_st_eq_landau_n_429_t1 x y) : l_e_st_eq_landau_n_429_prop1 l_e_st_eq_landau_n_1 y).

(* constant 928 *)
definition l_e_st_eq_landau_n_429_t4 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_429_prop1 x y.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) y) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts y x) y) (l_e_st_eq_landau_n_ts y (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_ispl1 (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts y x) y p) (l_e_st_eq_landau_n_satz28f y x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) y) (l_e_st_eq_landau_n_ts y (l_e_st_eq_landau_n_suc x))).

(* constant 929 *)
definition l_e_st_eq_landau_n_429_t5 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_429_prop1 x y.(l_e_st_eq_landau_n_satz28d x y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc x) y) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) y)).

(* constant 930 *)
definition l_e_st_eq_landau_n_429_t6 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_429_prop1 x y.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc x) y) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) y) (l_e_st_eq_landau_n_ts y (l_e_st_eq_landau_n_suc x)) (l_e_st_eq_landau_n_429_t5 x y p) (l_e_st_eq_landau_n_429_t4 x y p) : l_e_st_eq_landau_n_429_prop1 (l_e_st_eq_landau_n_suc x) y).

(* constant 931 *)
definition l_e_st_eq_landau_n_satz29 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_429_prop1 z y) (l_e_st_eq_landau_n_429_t3 x y) (λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_429_prop1 z y.l_e_st_eq_landau_n_429_t6 z y u) x : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts y x)).

(* constant 932 *)
definition l_e_st_eq_landau_n_comts ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz29 x y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts y x)).

(* constant 933 *)
definition l_e_st_eq_landau_n_429_t7 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 x) (l_e_st_eq_landau_n_satz28a x) (l_e_st_eq_landau_n_satz28g x) : l_e_st_eq_landau_n_429_prop1 x l_e_st_eq_landau_n_1).

(* constant 934 *)
definition l_e_st_eq_landau_n_429_t8 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_429_prop1 x y.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts y x) x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc y) x) (l_e_st_eq_landau_n_satz28b x y) (l_e_st_eq_landau_n_ispl1 (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts y x) x p) (l_e_st_eq_landau_n_satz28h y x) : l_e_st_eq_landau_n_429_prop1 x (l_e_st_eq_landau_n_suc y)).

(* constant 935 *)
definition l_e_st_eq_landau_n_429_anders ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_429_prop1 x z) (l_e_st_eq_landau_n_429_t7 x) (λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_429_prop1 x z.l_e_st_eq_landau_n_429_t8 x z u) y : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts y x)).

(* constant 936 *)
definition l_e_st_eq_landau_n_430_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x z)) : Prop).

(* constant 937 *)
definition l_e_st_eq_landau_n_430_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_suc y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc y) x (l_e_st_eq_landau_n_satz4a y)) (l_e_st_eq_landau_n_satz28b x y) (l_e_st_eq_landau_n_ispl2 x (l_e_st_eq_landau_n_ts x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_satz28e x)) : l_e_st_eq_landau_n_430_prop1 x y l_e_st_eq_landau_n_1).

(* constant 938 *)
definition l_e_st_eq_landau_n_430_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_430_prop1 x y z.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc z))) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl y z))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_pl y z)) x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x z)) x) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc z)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_pl y z)) x (l_e_st_eq_landau_n_satz4b y z)) (l_e_st_eq_landau_n_satz28b x (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_ispl1 (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x z)) x p) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc z))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x z)) x)).

(* constant 939 *)
definition l_e_st_eq_landau_n_430_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_430_prop1 x y z.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_suc z))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x z)) x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x z) x)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_suc z))) (l_e_st_eq_landau_n_430_t2 x y z p) (l_e_st_eq_landau_n_asspl1 (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x z) x) (l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x z) x) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_suc z)) (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_satz28f x z)) : l_e_st_eq_landau_n_430_prop1 x y (l_e_st_eq_landau_n_suc z)).

(* constant 940 *)
definition l_e_st_eq_landau_n_satz30 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_430_prop1 x y u) (l_e_st_eq_landau_n_430_t1 x y) (λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_430_prop1 x y u.l_e_st_eq_landau_n_430_t3 x y u v) z : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x z))).

(* constant 941 *)
definition l_e_st_eq_landau_n_disttp1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl x y) z) (l_e_st_eq_landau_n_ts z (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts z y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_pl x y) z) (l_e_st_eq_landau_n_satz30 z x y) (l_e_st_eq_landau_n_ispl12 (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts z y) (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_comts z x) (l_e_st_eq_landau_n_comts z y)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl x y) z) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z))).

(* constant 942 *)
definition l_e_st_eq_landau_n_disttp2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz30 x y z : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x z))).

(* constant 943 *)
definition l_e_st_eq_landau_n_distpt1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl x y) z) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_disttp1 x y z) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl x y) z)).

(* constant 944 *)
definition l_e_st_eq_landau_n_distpt2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_pl y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x z)) (l_e_st_eq_landau_n_disttp2 x y z) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x z)) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_pl y z))).

(* constant 945 *)
definition l_e_st_eq_landau_n_431_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts x y) z) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_ts y z)) : Prop).

(* constant 946 *)
definition l_e_st_eq_landau_n_431_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts x y) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_ts y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_satz28a (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_ists2 y (l_e_st_eq_landau_n_ts y l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_satz28e y)) : l_e_st_eq_landau_n_431_prop1 x y l_e_st_eq_landau_n_1).

(* constant 947 *)
definition l_e_st_eq_landau_n_431_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_431_prop1 x y z.(l_e_tr4is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_suc z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts x y) z) (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts y z) y)) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_ts y (l_e_st_eq_landau_n_suc z))) (l_e_st_eq_landau_n_satz28b (l_e_st_eq_landau_n_ts x y) z) (l_e_st_eq_landau_n_ispl1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts x y) z) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_ts x y) p) (l_e_st_eq_landau_n_distpt2 x (l_e_st_eq_landau_n_ts y z) y) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts y z) y) (l_e_st_eq_landau_n_ts y (l_e_st_eq_landau_n_suc z)) x (l_e_st_eq_landau_n_satz28f y z)) : l_e_st_eq_landau_n_431_prop1 x y (l_e_st_eq_landau_n_suc z)).

(* constant 948 *)
definition l_e_st_eq_landau_n_satz31 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_431_prop1 x y u) (l_e_st_eq_landau_n_431_t1 x y) (λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_431_prop1 x y u.l_e_st_eq_landau_n_431_t2 x y u v) z : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts x y) z) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_ts y z))).

(* constant 949 *)
definition l_e_st_eq_landau_n_assts1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz31 x y z : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts x y) z) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_ts y z))).

(* constant 950 *)
definition l_e_st_eq_landau_n_assts2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts x y) z) (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_assts1 x y z) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts x y) z)).

(* constant 951 *)
definition l_e_st_eq_landau_n_432_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl y u) z) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts u z)) (l_e_st_eq_landau_n_ists1 x (l_e_st_eq_landau_n_pl y u) z du) (l_e_st_eq_landau_n_disttp1 y u z) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts u z))).

(* constant 952 *)
definition l_e_st_eq_landau_n_432_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λu:l_e_st_eq_landau_n_nat.λdu:l_e_st_eq_landau_n_diffprop x y u.(l_somei l_e_st_eq_landau_n_nat (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z) v) (l_e_st_eq_landau_n_ts u z) (l_e_st_eq_landau_n_432_t1 x y z m u du) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)).

(* constant 953 *)
definition l_e_st_eq_landau_n_satz32a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_someapp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y u) m (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_diffprop x y u.l_e_st_eq_landau_n_432_t2 x y z m u v) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)).

(* constant 954 *)
definition l_e_st_eq_landau_n_satz32b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_st_eq_landau_n_ists1 x y z i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)).

(* constant 955 *)
definition l_e_st_eq_landau_n_satz32c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l_e_st_eq_landau_n_satz11 (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_satz32a y x z (l_e_st_eq_landau_n_satz12 x y l)) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)).

(* constant 956 *)
definition l_e_st_eq_landau_n_432_anders1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l_e_st_eq_landau_n_satz32a y x z l : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)).

(* constant 957 *)
definition l_e_st_eq_landau_n_satz32d ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts z y) (l_e_st_eq_landau_n_comts x z) (l_e_st_eq_landau_n_comts y z) (l_e_st_eq_landau_n_satz32a x y z m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts z y)).

(* constant 958 *)
definition l_e_st_eq_landau_n_satz32e ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_st_eq_landau_n_ists2 x y z i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts z y)).

(* constant 959 *)
definition l_e_st_eq_landau_n_satz32f ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts z y) (l_e_st_eq_landau_n_comts x z) (l_e_st_eq_landau_n_comts y z) (l_e_st_eq_landau_n_satz32c x y z l) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts z y)).

(* constant 960 *)
definition l_e_st_eq_landau_n_432_anders2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l_e_st_eq_landau_n_satz32d y x z l : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts z y)).

(* constant 961 *)
definition l_e_st_eq_landau_n_satz32g ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λm:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_ismore2 (l_e_st_eq_landau_n_ts x u) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ists1 x y u i) (l_e_st_eq_landau_n_satz32d z u x m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 962 *)
definition l_e_st_eq_landau_n_satz32h ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λm:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_ts u y) (l_e_st_eq_landau_n_comts x z) (l_e_st_eq_landau_n_comts y u) (l_e_st_eq_landau_n_satz32g x y z u i m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts u y)).

(* constant 963 *)
definition l_e_st_eq_landau_n_satz32j ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λl:l_e_st_eq_landau_n_less z u.(l_e_st_eq_landau_n_isless2 (l_e_st_eq_landau_n_ts x u) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ists1 x y u i) (l_e_st_eq_landau_n_satz32f z u x l) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 964 *)
definition l_e_st_eq_landau_n_satz32k ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.λl:l_e_st_eq_landau_n_less z u.(l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_ts u y) (l_e_st_eq_landau_n_comts x z) (l_e_st_eq_landau_n_comts y u) (l_e_st_eq_landau_n_satz32j x y z u i l) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts u y)).

(* constant 965 *)
definition l_e_st_eq_landau_n_432_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_moreisi1 (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_satz32a x y z n) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)).

(* constant 966 *)
definition l_e_st_eq_landau_n_432_t4 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λi:l_e_st_eq_landau_n_is x y.(l_e_st_eq_landau_n_moreisi2 (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ists1 x y z i) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)).

(* constant 967 *)
definition l_e_st_eq_landau_n_satz32l ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.(l_orapp (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) m (λu:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_432_t3 x y z m u) (λu:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_432_t4 x y z m u) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)).

(* constant 968 *)
definition l_e_st_eq_landau_n_satz32m ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.(l_e_st_eq_landau_n_ismoreis12 (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts z y) (l_e_st_eq_landau_n_comts x z) (l_e_st_eq_landau_n_comts y z) (l_e_st_eq_landau_n_satz32l x y z m) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts z y)).

(* constant 969 *)
definition l_e_st_eq_landau_n_satz32n ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.(l_e_st_eq_landau_n_satz13 (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_satz32l y x z (l_e_st_eq_landau_n_satz14 x y l)) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)).

(* constant 970 *)
definition l_e_st_eq_landau_n_satz32o ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.(l_e_st_eq_landau_n_satz13 (l_e_st_eq_landau_n_ts z y) (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_satz32m y x z (l_e_st_eq_landau_n_satz14 x y l)) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_ts z x) (l_e_st_eq_landau_n_ts z y)).

(* constant 971 *)
definition l_e_st_eq_landau_n_433_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz10a x y : l_or3 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y)).

(* constant 972 *)
definition l_e_st_eq_landau_n_433_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z) : l_ec3 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z))).

(* constant 973 *)
definition l_e_st_eq_landau_n_satz33a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z).(l_ec3_th11 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_433_t1 x y z) (l_e_st_eq_landau_n_433_t2 x y z) (λu:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_satz32b x y z u) (λu:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_satz32a x y z u) (λu:l_e_st_eq_landau_n_less x y.l_e_st_eq_landau_n_satz32c x y z u) m : l_e_st_eq_landau_n_more x y).

(* constant 974 *)
definition l_e_st_eq_landau_n_satz33b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z).(l_ec3_th10 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_433_t1 x y z) (l_e_st_eq_landau_n_433_t2 x y z) (λu:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_satz32b x y z u) (λu:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_satz32a x y z u) (λu:l_e_st_eq_landau_n_less x y.l_e_st_eq_landau_n_satz32c x y z u) i : l_e_st_eq_landau_n_is x y).

(* constant 975 *)
definition l_e_st_eq_landau_n_satz33c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z).(l_ec3_th12 (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_less x y) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)) (l_e_st_eq_landau_n_433_t1 x y z) (l_e_st_eq_landau_n_433_t2 x y z) (λu:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_satz32b x y z u) (λu:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_satz32a x y z u) (λu:l_e_st_eq_landau_n_less x y.l_e_st_eq_landau_n_satz32c x y z u) l : l_e_st_eq_landau_n_less x y).

(* constant 976 *)
definition l_e_st_eq_landau_n_433_anders ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z).(l_e_st_eq_landau_n_satz33a y x z l : l_e_st_eq_landau_n_less x y).

(* constant 977 *)
definition l_e_st_eq_landau_n_434_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_satz32a x y z m : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z)).

(* constant 978 *)
definition l_e_st_eq_landau_n_434_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_ts z y) (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts u y) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_comts z y) (l_e_st_eq_landau_n_comts u y) (l_e_st_eq_landau_n_satz32a z u y n) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts y u)).

(* constant 979 *)
definition l_e_st_eq_landau_n_satz34 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_trmore (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_434_t1 x y z u m n) (l_e_st_eq_landau_n_434_t2 x y z u m n) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 980 *)
definition l_e_st_eq_landau_n_434_anders ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_trmore (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_satz32a x y z m) (l_e_st_eq_landau_n_satz32d z u y n) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 981 *)
definition l_e_st_eq_landau_n_satz34a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λk:l_e_st_eq_landau_n_less z u.(l_e_st_eq_landau_n_satz34 y x u z l k : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 982 *)
definition l_e_st_eq_landau_n_434_andersa ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λk:l_e_st_eq_landau_n_less z u.(l_e_st_eq_landau_n_satz11 (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_satz34 y x u z (l_e_st_eq_landau_n_satz12 x y l) (l_e_st_eq_landau_n_satz12 z u k)) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 983 *)
definition l_e_st_eq_landau_n_satz35a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_more z u.(l_orapp (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)) m (λv:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_satz34 x y z u v n) (λv:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_satz32g x y z u v n) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 984 *)
definition l_e_st_eq_landau_n_satz35b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λn:l_e_st_eq_landau_n_moreis z u.(l_orapp (l_e_st_eq_landau_n_more z u) (l_e_st_eq_landau_n_is z u) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)) n (λv:l_e_st_eq_landau_n_more z u.l_e_st_eq_landau_n_satz34 x y z u m v) (λv:l_e_st_eq_landau_n_is z u.l_e_st_eq_landau_n_satz32h z u x y v m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 985 *)
definition l_e_st_eq_landau_n_satz35c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_less z u.(l_e_st_eq_landau_n_satz35a y x u z (l_e_st_eq_landau_n_satz14 x y l) k : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 986 *)
definition l_e_st_eq_landau_n_satz35d ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λk:l_e_st_eq_landau_n_lessis z u.(l_e_st_eq_landau_n_satz35b y x u z l (l_e_st_eq_landau_n_satz14 z u k) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 987 *)
definition l_e_st_eq_landau_n_436_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.λi:l_e_st_eq_landau_n_is x y.λj:l_e_st_eq_landau_n_is z u.(l_e_st_eq_landau_n_moreisi2 (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u) (l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y z) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_ists1 x y z i) (l_e_st_eq_landau_n_ists2 z u y j)) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 988 *)
definition l_e_st_eq_landau_n_436_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.λi:l_e_st_eq_landau_n_is x y.λo:l_e_st_eq_landau_n_more z u.(l_e_st_eq_landau_n_moreisi1 (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_satz35a x y z u m o) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 989 *)
definition l_e_st_eq_landau_n_436_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.λi:l_e_st_eq_landau_n_is x y.(l_orapp (l_e_st_eq_landau_n_more z u) (l_e_st_eq_landau_n_is z u) (l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)) n (λv:l_e_st_eq_landau_n_more z u.l_e_st_eq_landau_n_436_t2 x y z u m n i v) (λv:l_e_st_eq_landau_n_is z u.l_e_st_eq_landau_n_436_t1 x y z u m n i v) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 990 *)
definition l_e_st_eq_landau_n_436_t4 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.λo:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_moreisi1 (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_satz35b x y z u o n) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 991 *)
definition l_e_st_eq_landau_n_satz36 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.(l_orapp (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)) m (λv:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_436_t4 x y z u m n v) (λv:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_436_t3 x y z u m n v) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 992 *)
definition l_e_st_eq_landau_n_436_t5 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.λo:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_moreisi1 (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_satz35b x y z u o n) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 993 *)
definition l_e_st_eq_landau_n_436_t6 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.λi:l_e_st_eq_landau_n_is x y.(l_e_st_eq_landau_n_ismoreis2 (l_e_st_eq_landau_n_ts x u) (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ists1 x y u i) (l_e_st_eq_landau_n_satz32m z u x n) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 994 *)
definition l_e_st_eq_landau_n_436_anders ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moreis x y.λn:l_e_st_eq_landau_n_moreis z u.(l_orapp (l_e_st_eq_landau_n_more x y) (l_e_st_eq_landau_n_is x y) (l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)) m (λv:l_e_st_eq_landau_n_more x y.l_e_st_eq_landau_n_436_t5 x y z u m n v) (λv:l_e_st_eq_landau_n_is x y.l_e_st_eq_landau_n_436_t6 x y z u m n v) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 995 *)
definition l_e_st_eq_landau_n_satz36a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x y.λk:l_e_st_eq_landau_n_lessis z u.(l_e_st_eq_landau_n_satz13 (l_e_st_eq_landau_n_ts y u) (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_satz36 y x u z (l_e_st_eq_landau_n_satz14 x y l) (l_e_st_eq_landau_n_satz14 z u k)) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_ts x z) (l_e_st_eq_landau_n_ts y u)).

(* constant 996 *)
definition l_e_st_eq_landau_n_mn_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_onei l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y z) (l_e_st_eq_landau_n_satz8b x y) m : l_e_st_eq_landau_n_one (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y z)).

(* constant 997 *)
definition l_e_st_eq_landau_n_mn ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_ind l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y z) (l_e_st_eq_landau_n_mn_t1 x y m) : l_e_st_eq_landau_n_nat).

(* constant 998 *)
definition l_e_st_eq_landau_n_mn_th1a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_oneax l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x y z) (l_e_st_eq_landau_n_mn_t1 x y m) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_mn x y m))).

(* constant 999 *)
definition l_e_st_eq_landau_n_mn_th1b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_symis l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_mn x y m)) (l_e_st_eq_landau_n_mn_th1a x y m) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_mn x y m)) x).

(* constant 1000 *)
definition l_e_st_eq_landau_n_mn_th1c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_tris l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_pl y (l_e_st_eq_landau_n_mn x y m)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_mn x y m) y) (l_e_st_eq_landau_n_mn_th1a x y m) (l_e_st_eq_landau_n_compl y (l_e_st_eq_landau_n_mn x y m)) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_mn x y m) y)).

(* constant 1001 *)
definition l_e_st_eq_landau_n_mn_th1d ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_symis l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_mn x y m) y) (l_e_st_eq_landau_n_mn_th1c x y m) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_mn x y m) y) x).

(* constant 1002 *)
definition l_e_st_eq_landau_n_mn_th1e ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl y z) x.(l_e_st_eq_landau_n_satz8b x y z (l_e_st_eq_landau_n_mn x y m) (l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl y z) x i) (l_e_st_eq_landau_n_mn_th1a x y m) : l_e_st_eq_landau_n_is z (l_e_st_eq_landau_n_mn x y m)).

(* constant 1003 *)
definition l_e_st_eq_landau_n_mn_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x z.λn:l_e_st_eq_landau_n_more y u.λi:l_e_st_eq_landau_n_is x y.λj:l_e_st_eq_landau_n_is z u.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl u (l_e_st_eq_landau_n_mn x z m)) (l_e_st_eq_landau_n_pl z (l_e_st_eq_landau_n_mn x z m)) x y (l_e_st_eq_landau_n_ispl1 u z (l_e_st_eq_landau_n_mn x z m) (l_e_symis l_e_st_eq_landau_n_nat z u j)) (l_e_st_eq_landau_n_mn_th1b x z m) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl u (l_e_st_eq_landau_n_mn x z m)) y).

(* constant 1004 *)
definition l_e_st_eq_landau_n_ismn12 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λz:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x z.λn:l_e_st_eq_landau_n_more y u.λi:l_e_st_eq_landau_n_is x y.λj:l_e_st_eq_landau_n_is z u.(l_e_st_eq_landau_n_mn_th1e y u (l_e_st_eq_landau_n_mn x z m) n (l_e_st_eq_landau_n_mn_t2 x y z u m n i j) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_mn x z m) (l_e_st_eq_landau_n_mn y u n)).

(* constant 1005 *)
definition l_e_st_eq_landau_n_1to ≝ λn:l_e_st_eq_landau_n_nat.(l_e_ot l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis x n) : Type[0]).

(* constant 1006 *)
definition l_e_st_eq_landau_n_outn ≝ λn:l_e_st_eq_landau_n_nat.λx:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x n.(l_e_out l_e_st_eq_landau_n_nat (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis y n) x l : l_e_st_eq_landau_n_1to n).

(* constant 1007 *)
definition l_e_st_eq_landau_n_inn ≝ λn:l_e_st_eq_landau_n_nat.λxn:l_e_st_eq_landau_n_1to n.(l_e_in l_e_st_eq_landau_n_nat (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis y n) xn : l_e_st_eq_landau_n_nat).

(* constant 1008 *)
definition l_e_st_eq_landau_n_1top ≝ λn:l_e_st_eq_landau_n_nat.λxn:l_e_st_eq_landau_n_1to n.(l_e_inp l_e_st_eq_landau_n_nat (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis y n) xn : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_inn n xn) n).

(* constant 1009 *)
definition l_e_st_eq_landau_n_isoutni ≝ λn:l_e_st_eq_landau_n_nat.λx:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x n.λy:l_e_st_eq_landau_n_nat.λk:l_e_st_eq_landau_n_lessis y n.λi:l_e_st_eq_landau_n_is x y.(l_e_isouti l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis z n) x l y k i : l_e_is (l_e_st_eq_landau_n_1to n) (l_e_st_eq_landau_n_outn n x l) (l_e_st_eq_landau_n_outn n y k)).

(* constant 1010 *)
definition l_e_st_eq_landau_n_isoutne ≝ λn:l_e_st_eq_landau_n_nat.λx:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x n.λy:l_e_st_eq_landau_n_nat.λk:l_e_st_eq_landau_n_lessis y n.λi:l_e_is (l_e_st_eq_landau_n_1to n) (l_e_st_eq_landau_n_outn n x l) (l_e_st_eq_landau_n_outn n y k).(l_e_isoute l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis z n) x l y k i : l_e_st_eq_landau_n_is x y).

(* constant 1011 *)
definition l_e_st_eq_landau_n_isinni ≝ λn:l_e_st_eq_landau_n_nat.λxn:l_e_st_eq_landau_n_1to n.λyn:l_e_st_eq_landau_n_1to n.λi:l_e_is (l_e_st_eq_landau_n_1to n) xn yn.(l_e_isini l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis z n) xn yn i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_inn n xn) (l_e_st_eq_landau_n_inn n yn)).

(* constant 1012 *)
definition l_e_st_eq_landau_n_isinne ≝ λn:l_e_st_eq_landau_n_nat.λxn:l_e_st_eq_landau_n_1to n.λyn:l_e_st_eq_landau_n_1to n.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_inn n xn) (l_e_st_eq_landau_n_inn n yn).(l_e_isine l_e_st_eq_landau_n_nat (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis z n) xn yn i : l_e_is (l_e_st_eq_landau_n_1to n) xn yn).

(* constant 1013 *)
definition l_e_st_eq_landau_n_isoutinn ≝ λn:l_e_st_eq_landau_n_nat.λxn:l_e_st_eq_landau_n_1to n.(l_e_isoutin l_e_st_eq_landau_n_nat (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis y n) xn : l_e_is (l_e_st_eq_landau_n_1to n) xn (l_e_st_eq_landau_n_outn n (l_e_st_eq_landau_n_inn n xn) (l_e_st_eq_landau_n_1top n xn))).

(* constant 1014 *)
definition l_e_st_eq_landau_n_isinoutn ≝ λn:l_e_st_eq_landau_n_nat.λx:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x n.(l_e_isinout l_e_st_eq_landau_n_nat (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis y n) x l : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_inn n (l_e_st_eq_landau_n_outn n x l))).

(* constant 1015 *)
definition l_e_st_eq_landau_n_1o ≝ (l_e_st_eq_landau_n_outn l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_lessisi2 l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1 (l_e_refis l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_1)) : l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1).

(* constant 1016 *)
definition l_e_st_eq_landau_n_singlet_u0 ≝ λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_inn l_e_st_eq_landau_n_1 u : l_e_st_eq_landau_n_nat).

(* constant 1017 *)
definition l_e_st_eq_landau_n_singlet_t1 ≝ λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_1top l_e_st_eq_landau_n_1 u : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_singlet_u0 u) l_e_st_eq_landau_n_1).

(* constant 1018 *)
definition l_e_st_eq_landau_n_singlet_t2 ≝ λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.(l_ore2 (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_singlet_u0 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_singlet_u0 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz24 (l_e_st_eq_landau_n_singlet_u0 u)) (l_e_st_eq_landau_n_satz10d (l_e_st_eq_landau_n_singlet_u0 u) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_singlet_t1 u)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_singlet_u0 u) l_e_st_eq_landau_n_1).

(* constant 1019 *)
definition l_e_st_eq_landau_n_singlet_th1 ≝ λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.(l_e_tris (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) u (l_e_st_eq_landau_n_outn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_singlet_u0 u) (l_e_st_eq_landau_n_singlet_t1 u)) l_e_st_eq_landau_n_1o (l_e_st_eq_landau_n_isoutinn l_e_st_eq_landau_n_1 u) (l_e_st_eq_landau_n_isoutni l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_singlet_u0 u) (l_e_st_eq_landau_n_singlet_t1 u) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_lessisi2 l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1 (l_e_refis l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_singlet_t2 u)) : l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) u l_e_st_eq_landau_n_1o).

(* constant 1020 *)
definition l_e_st_eq_landau_n_2 ≝ (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_nat).

(* constant 1021 *)
definition l_e_st_eq_landau_n_pair_t1 ≝ λx:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x l_e_st_eq_landau_n_2.λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_2.(l_e_st_eq_landau_n_satz26 l_e_st_eq_landau_n_1 x (l_ore1 (l_e_st_eq_landau_n_less x l_e_st_eq_landau_n_2) (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_2) l n) : l_e_st_eq_landau_n_lessis x l_e_st_eq_landau_n_1).

(* constant 1022 *)
definition l_e_st_eq_landau_n_pair_t2 ≝ λx:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x l_e_st_eq_landau_n_2.λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_2.(l_ore2 (l_e_st_eq_landau_n_more x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz24 x) (l_e_st_eq_landau_n_satz10d x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_pair_t1 x l n)) : l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1).

(* constant 1023 *)
definition l_e_st_eq_landau_n_pair_th1 ≝ λx:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis x l_e_st_eq_landau_n_2.(l_or_th2 (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_2) (λt:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_pair_t2 x l t) : l_or (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_2)).

(* constant 1024 *)
definition l_e_st_eq_landau_n_pair_th2 ≝ (l_e_notis_th1 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_ax3 l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz4e l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_nis l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_1).

(* constant 1025 *)
definition l_e_st_eq_landau_n_1t ≝ (l_e_st_eq_landau_n_outn l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a l_e_st_eq_landau_n_2) : l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2).

(* constant 1026 *)
definition l_e_st_eq_landau_n_2t ≝ (l_e_st_eq_landau_n_outn l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_lessisi2 l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_2 (l_e_refis l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_2)) : l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2).

(* constant 1027 *)
definition l_e_st_eq_landau_n_pair_u0 ≝ λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.(l_e_st_eq_landau_n_inn l_e_st_eq_landau_n_2 u : l_e_st_eq_landau_n_nat).

(* constant 1028 *)
definition l_e_st_eq_landau_n_pair_t3 ≝ λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.(l_e_st_eq_landau_n_1top l_e_st_eq_landau_n_2 u : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pair_u0 u) l_e_st_eq_landau_n_2).

(* constant 1029 *)
definition l_e_st_eq_landau_n_pair_t4 ≝ λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pair_u0 u) l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_isoutni l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_pair_u0 u) (l_e_st_eq_landau_n_pair_t3 u) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a l_e_st_eq_landau_n_2) i : l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) (l_e_st_eq_landau_n_outn l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_pair_u0 u) (l_e_st_eq_landau_n_pair_t3 u)) l_e_st_eq_landau_n_1t).

(* constant 1030 *)
definition l_e_st_eq_landau_n_pair_t5 ≝ λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pair_u0 u) l_e_st_eq_landau_n_1.(l_e_tris (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u (l_e_st_eq_landau_n_outn l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_pair_u0 u) (l_e_st_eq_landau_n_pair_t3 u)) l_e_st_eq_landau_n_1t (l_e_st_eq_landau_n_isoutinn l_e_st_eq_landau_n_2 u) (l_e_st_eq_landau_n_pair_t4 u i) : l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_1t).

(* constant 1031 *)
definition l_e_st_eq_landau_n_pair_t6 ≝ λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pair_u0 u) l_e_st_eq_landau_n_2.(l_e_st_eq_landau_n_isoutni l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_pair_u0 u) (l_e_st_eq_landau_n_pair_t3 u) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_lessisi2 l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_2 (l_e_refis l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_2)) i : l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) (l_e_st_eq_landau_n_outn l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_pair_u0 u) (l_e_st_eq_landau_n_pair_t3 u)) l_e_st_eq_landau_n_2t).

(* constant 1032 *)
definition l_e_st_eq_landau_n_pair_t7 ≝ λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pair_u0 u) l_e_st_eq_landau_n_2.(l_e_tris (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u (l_e_st_eq_landau_n_outn l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_pair_u0 u) (l_e_st_eq_landau_n_pair_t3 u)) l_e_st_eq_landau_n_2t (l_e_st_eq_landau_n_isoutinn l_e_st_eq_landau_n_2 u) (l_e_st_eq_landau_n_pair_t6 u i) : l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_2t).

(* constant 1033 *)
definition l_e_st_eq_landau_n_pair_th3 ≝ λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.(l_or_th9 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pair_u0 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pair_u0 u) l_e_st_eq_landau_n_2) (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_1t) (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_2t) (l_e_st_eq_landau_n_pair_th1 (l_e_st_eq_landau_n_pair_u0 u) (l_e_st_eq_landau_n_pair_t3 u)) (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pair_u0 u) l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_pair_t5 u t) (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pair_u0 u) l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_pair_t7 u t) : l_or (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_1t) (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_2t)).

(* constant 1034 *)
definition l_e_st_eq_landau_n_pair_t9 ≝ λi:l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) l_e_st_eq_landau_n_2t l_e_st_eq_landau_n_1t.(l_e_isini l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_lessis x l_e_st_eq_landau_n_2) l_e_st_eq_landau_n_2t l_e_st_eq_landau_n_1t i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pair_u0 l_e_st_eq_landau_n_2t) (l_e_st_eq_landau_n_pair_u0 l_e_st_eq_landau_n_1t)).

(* constant 1035 *)
definition l_e_st_eq_landau_n_pair_t10 ≝ λi:l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) l_e_st_eq_landau_n_2t l_e_st_eq_landau_n_1t.(l_e_tr3is l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_pair_u0 l_e_st_eq_landau_n_2t) (l_e_st_eq_landau_n_pair_u0 l_e_st_eq_landau_n_1t) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_isinoutn l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_lessisi2 l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_2 (l_e_refis l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_2))) (l_e_st_eq_landau_n_pair_t9 i) (l_e_symis l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_pair_u0 l_e_st_eq_landau_n_1t) (l_e_st_eq_landau_n_isinoutn l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a l_e_st_eq_landau_n_2))) : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_1).

(* constant 1036 *)
definition l_e_st_eq_landau_n_pair_th4 ≝ (l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) l_e_st_eq_landau_n_2t l_e_st_eq_landau_n_1t) (l_e_st_eq_landau_n_is l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_pair_th2 (λt:l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) l_e_st_eq_landau_n_2t l_e_st_eq_landau_n_1t.l_e_st_eq_landau_n_pair_t10 t) : l_not (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) l_e_st_eq_landau_n_2t l_e_st_eq_landau_n_1t)).

(* constant 1037 *)
definition l_e_st_eq_landau_n_pair1type ≝ λalpha:Type[0].(Πx:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.alpha : Type[0]).

(* constant 1038 *)
definition l_e_st_eq_landau_n_pair1 ≝ λalpha:Type[0].λa:alpha.λb:alpha.(λx:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_ite (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) x l_e_st_eq_landau_n_1t) alpha a b : l_e_st_eq_landau_n_pair1type alpha).

(* constant 1039 *)
definition l_e_st_eq_landau_n_first1 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.(p l_e_st_eq_landau_n_1t : alpha).

(* constant 1040 *)
definition l_e_st_eq_landau_n_second1 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.(p l_e_st_eq_landau_n_2t : alpha).

(* constant 1041 *)
definition l_e_st_eq_landau_n_first1is1 ≝ λalpha:Type[0].λa:alpha.λb:alpha.(l_e_itet (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) l_e_st_eq_landau_n_1t l_e_st_eq_landau_n_1t) alpha a b (l_e_refis (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) l_e_st_eq_landau_n_1t) : l_e_is alpha (l_e_st_eq_landau_n_first1 alpha (l_e_st_eq_landau_n_pair1 alpha a b)) a).

(* constant 1042 *)
definition l_e_st_eq_landau_n_first1is2 ≝ λalpha:Type[0].λa:alpha.λb:alpha.(l_e_symis alpha (l_e_st_eq_landau_n_first1 alpha (l_e_st_eq_landau_n_pair1 alpha a b)) a (l_e_st_eq_landau_n_first1is1 alpha a b) : l_e_is alpha a (l_e_st_eq_landau_n_first1 alpha (l_e_st_eq_landau_n_pair1 alpha a b))).

(* constant 1043 *)
definition l_e_st_eq_landau_n_second1is1 ≝ λalpha:Type[0].λa:alpha.λb:alpha.(l_e_itef (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) l_e_st_eq_landau_n_2t l_e_st_eq_landau_n_1t) alpha a b l_e_st_eq_landau_n_pair_th4 : l_e_is alpha (l_e_st_eq_landau_n_second1 alpha (l_e_st_eq_landau_n_pair1 alpha a b)) b).

(* constant 1044 *)
definition l_e_st_eq_landau_n_second1is2 ≝ λalpha:Type[0].λa:alpha.λb:alpha.(l_e_symis alpha (l_e_st_eq_landau_n_second1 alpha (l_e_st_eq_landau_n_pair1 alpha a b)) b (l_e_st_eq_landau_n_second1is1 alpha a b) : l_e_is alpha b (l_e_st_eq_landau_n_second1 alpha (l_e_st_eq_landau_n_pair1 alpha a b))).

(* constant 1045 *)
definition l_e_st_eq_landau_n_pair_t11 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.λq:l_e_st_eq_landau_n_pair1type alpha.λi:l_e_is alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_first1 alpha q).λj:l_e_is alpha (l_e_st_eq_landau_n_second1 alpha p) (l_e_st_eq_landau_n_second1 alpha q).λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.λu1:l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_1t.(l_e_isf (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) alpha p u l_e_st_eq_landau_n_1t u1 : l_e_is alpha (p u) (l_e_st_eq_landau_n_first1 alpha p)).

(* constant 1046 *)
definition l_e_st_eq_landau_n_pair_t12 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.λq:l_e_st_eq_landau_n_pair1type alpha.λi:l_e_is alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_first1 alpha q).λj:l_e_is alpha (l_e_st_eq_landau_n_second1 alpha p) (l_e_st_eq_landau_n_second1 alpha q).λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.λu1:l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_1t.(l_e_symis alpha (q u) (l_e_st_eq_landau_n_first1 alpha q) (l_e_isf (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) alpha q u l_e_st_eq_landau_n_1t u1) : l_e_is alpha (l_e_st_eq_landau_n_first1 alpha q) (q u)).

(* constant 1047 *)
definition l_e_st_eq_landau_n_pair_t13 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.λq:l_e_st_eq_landau_n_pair1type alpha.λi:l_e_is alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_first1 alpha q).λj:l_e_is alpha (l_e_st_eq_landau_n_second1 alpha p) (l_e_st_eq_landau_n_second1 alpha q).λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.λu1:l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_1t.(l_e_tr3is alpha (p u) (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_first1 alpha q) (q u) (l_e_st_eq_landau_n_pair_t11 alpha p q i j u u1) i (l_e_st_eq_landau_n_pair_t12 alpha p q i j u u1) : l_e_is alpha (p u) (q u)).

(* constant 1048 *)
definition l_e_st_eq_landau_n_pair_t14 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.λq:l_e_st_eq_landau_n_pair1type alpha.λi:l_e_is alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_first1 alpha q).λj:l_e_is alpha (l_e_st_eq_landau_n_second1 alpha p) (l_e_st_eq_landau_n_second1 alpha q).λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.λu2:l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_2t.(l_e_isf (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) alpha p u l_e_st_eq_landau_n_2t u2 : l_e_is alpha (p u) (l_e_st_eq_landau_n_second1 alpha p)).

(* constant 1049 *)
definition l_e_st_eq_landau_n_pair_t15 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.λq:l_e_st_eq_landau_n_pair1type alpha.λi:l_e_is alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_first1 alpha q).λj:l_e_is alpha (l_e_st_eq_landau_n_second1 alpha p) (l_e_st_eq_landau_n_second1 alpha q).λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.λu2:l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_2t.(l_e_symis alpha (q u) (l_e_st_eq_landau_n_second1 alpha q) (l_e_isf (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) alpha q u l_e_st_eq_landau_n_2t u2) : l_e_is alpha (l_e_st_eq_landau_n_second1 alpha q) (q u)).

(* constant 1050 *)
definition l_e_st_eq_landau_n_pair_t16 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.λq:l_e_st_eq_landau_n_pair1type alpha.λi:l_e_is alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_first1 alpha q).λj:l_e_is alpha (l_e_st_eq_landau_n_second1 alpha p) (l_e_st_eq_landau_n_second1 alpha q).λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.λu2:l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_2t.(l_e_tr3is alpha (p u) (l_e_st_eq_landau_n_second1 alpha p) (l_e_st_eq_landau_n_second1 alpha q) (q u) (l_e_st_eq_landau_n_pair_t14 alpha p q i j u u2) j (l_e_st_eq_landau_n_pair_t15 alpha p q i j u u2) : l_e_is alpha (p u) (q u)).

(* constant 1051 *)
definition l_e_st_eq_landau_n_pair_t17 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.λq:l_e_st_eq_landau_n_pair1type alpha.λi:l_e_is alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_first1 alpha q).λj:l_e_is alpha (l_e_st_eq_landau_n_second1 alpha p) (l_e_st_eq_landau_n_second1 alpha q).λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.(l_orapp (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_1t) (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_2t) (l_e_is alpha (p u) (q u)) (l_e_st_eq_landau_n_pair_th3 u) (λt:l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_1t.l_e_st_eq_landau_n_pair_t13 alpha p q i j u t) (λt:l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) u l_e_st_eq_landau_n_2t.l_e_st_eq_landau_n_pair_t16 alpha p q i j u t) : l_e_is alpha (p u) (q u)).

(* constant 1052 *)
definition l_e_st_eq_landau_n_pair_th5 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.λq:l_e_st_eq_landau_n_pair1type alpha.λi:l_e_is alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_first1 alpha q).λj:l_e_is alpha (l_e_st_eq_landau_n_second1 alpha p) (l_e_st_eq_landau_n_second1 alpha q).(l_e_fisi (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) alpha p q (λt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_pair_t17 alpha p q i j t) : l_e_is (l_e_st_eq_landau_n_pair1type alpha) p q).

(* constant 1053 *)
definition l_e_st_eq_landau_n_pair_q0 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.(l_e_st_eq_landau_n_pair1 alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_second1 alpha p) : l_e_st_eq_landau_n_pair1type alpha).

(* constant 1054 *)
definition l_e_st_eq_landau_n_pair_t18 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.(l_e_st_eq_landau_n_first1is1 alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_second1 alpha p) : l_e_is alpha (l_e_st_eq_landau_n_first1 alpha (l_e_st_eq_landau_n_pair_q0 alpha p)) (l_e_st_eq_landau_n_first1 alpha p)).

(* constant 1055 *)
definition l_e_st_eq_landau_n_pair_t19 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.(l_e_st_eq_landau_n_second1is1 alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_second1 alpha p) : l_e_is alpha (l_e_st_eq_landau_n_second1 alpha (l_e_st_eq_landau_n_pair_q0 alpha p)) (l_e_st_eq_landau_n_second1 alpha p)).

(* constant 1056 *)
definition l_e_st_eq_landau_n_pair1is1 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.(l_e_st_eq_landau_n_pair_th5 alpha (l_e_st_eq_landau_n_pair_q0 alpha p) p (l_e_st_eq_landau_n_pair_t18 alpha p) (l_e_st_eq_landau_n_pair_t19 alpha p) : l_e_is (l_e_st_eq_landau_n_pair1type alpha) (l_e_st_eq_landau_n_pair1 alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_second1 alpha p)) p).

(* constant 1057 *)
definition l_e_st_eq_landau_n_pair1is2 ≝ λalpha:Type[0].λp:l_e_st_eq_landau_n_pair1type alpha.(l_e_symis (l_e_st_eq_landau_n_pair1type alpha) (l_e_st_eq_landau_n_pair1 alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_second1 alpha p)) p (l_e_st_eq_landau_n_pair1is1 alpha p) : l_e_is (l_e_st_eq_landau_n_pair1type alpha) p (l_e_st_eq_landau_n_pair1 alpha (l_e_st_eq_landau_n_first1 alpha p) (l_e_st_eq_landau_n_second1 alpha p))).

(* constant 1058 *)
definition l_e_st_eq_landau_n_lessisi3 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_lessisi2 x x (l_e_refis l_e_st_eq_landau_n_nat x) : l_e_st_eq_landau_n_lessis x x).

(* constant 1059 *)
definition l_e_st_eq_landau_n_1out ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_outn x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a x) : l_e_st_eq_landau_n_1to x).

(* constant 1060 *)
definition l_e_st_eq_landau_n_xout ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_outn x x (l_e_st_eq_landau_n_lessisi3 x) : l_e_st_eq_landau_n_1to x).

(* constant 1061 *)
definition l_e_st_eq_landau_n_left_ui ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λu:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_inn y u : l_e_st_eq_landau_n_nat).

(* constant 1062 *)
definition l_e_st_eq_landau_n_left_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λu:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_1top y u : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_left_ui x y l u) y).

(* constant 1063 *)
definition l_e_st_eq_landau_n_left_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λu:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_left_ui x y l u) y x (l_e_st_eq_landau_n_left_t1 x y l u) l : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_left_ui x y l u) x).

(* constant 1064 *)
definition l_e_st_eq_landau_n_left1to ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λu:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_left_ui x y l u) (l_e_st_eq_landau_n_left_t2 x y l u) : l_e_st_eq_landau_n_1to x).

(* constant 1065 *)
definition l_e_st_eq_landau_n_left_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λu:l_e_st_eq_landau_n_1to y.λv:l_e_st_eq_landau_n_1to y.λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_left1to x y l u) (l_e_st_eq_landau_n_left1to x y l v).(l_e_st_eq_landau_n_isoutne x (l_e_st_eq_landau_n_left_ui x y l u) (l_e_st_eq_landau_n_left_t2 x y l u) (l_e_st_eq_landau_n_left_ui x y l v) (l_e_st_eq_landau_n_left_t2 x y l v) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_left_ui x y l u) (l_e_st_eq_landau_n_left_ui x y l v)).

(* constant 1066 *)
definition l_e_st_eq_landau_n_thleft1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λu:l_e_st_eq_landau_n_1to y.λv:l_e_st_eq_landau_n_1to y.λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_left1to x y l u) (l_e_st_eq_landau_n_left1to x y l v).(l_e_st_eq_landau_n_isinne y u v (l_e_st_eq_landau_n_left_t3 x y l u v i) : l_e_is (l_e_st_eq_landau_n_1to y) u v).

(* constant 1067 *)
definition l_e_st_eq_landau_n_thleft2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.(λu:l_e_st_eq_landau_n_1to y.λv:l_e_st_eq_landau_n_1to y.λt:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_left1to x y l u) (l_e_st_eq_landau_n_left1to x y l v).l_e_st_eq_landau_n_thleft1 x y l u v t : l_e_injective (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_1to x) (λt:l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_left1to x y l t)).

(* constant 1068 *)
definition l_e_st_eq_landau_n_right_ui ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_inn y u : l_e_st_eq_landau_n_nat).

(* constant 1069 *)
definition l_e_st_eq_landau_n_right_t4 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_1top y u : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_right_ui x y u) y).

(* constant 1070 *)
definition l_e_st_eq_landau_n_right_t5 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_satz19o (l_e_st_eq_landau_n_right_ui x y u) y x (l_e_st_eq_landau_n_right_t4 x y u) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_right_ui x y u)) (l_e_st_eq_landau_n_pl x y)).

(* constant 1071 *)
definition l_e_st_eq_landau_n_right1to ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_right_ui x y u)) (l_e_st_eq_landau_n_right_t5 x y u) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x y)).

(* constant 1072 *)
definition l_e_st_eq_landau_n_right_t6 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_1to y.λv:l_e_st_eq_landau_n_1to y.λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_right1to x y u) (l_e_st_eq_landau_n_right1to x y v).(l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_right_ui x y u)) (l_e_st_eq_landau_n_right_t5 x y u) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_right_ui x y v)) (l_e_st_eq_landau_n_right_t5 x y v) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_right_ui x y u)) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_right_ui x y v))).

(* constant 1073 *)
definition l_e_st_eq_landau_n_right_t7 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_1to y.λv:l_e_st_eq_landau_n_1to y.λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_right1to x y u) (l_e_st_eq_landau_n_right1to x y v).(l_e_st_eq_landau_n_satz20e (l_e_st_eq_landau_n_right_ui x y u) (l_e_st_eq_landau_n_right_ui x y v) x (l_e_st_eq_landau_n_right_t6 x y u v i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_right_ui x y u) (l_e_st_eq_landau_n_right_ui x y v)).

(* constant 1074 *)
definition l_e_st_eq_landau_n_thright1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_1to y.λv:l_e_st_eq_landau_n_1to y.λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_right1to x y u) (l_e_st_eq_landau_n_right1to x y v).(l_e_st_eq_landau_n_isinne y u v (l_e_st_eq_landau_n_right_t7 x y u v i) : l_e_is (l_e_st_eq_landau_n_1to y) u v).

(* constant 1075 *)
definition l_e_st_eq_landau_n_left ≝ λalpha:Type[0].λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.alpha.(λt:l_e_st_eq_landau_n_1to y.f (l_e_st_eq_landau_n_left1to x y l t) : Πt:l_e_st_eq_landau_n_1to y.alpha).

(* constant 1076 *)
definition l_e_st_eq_landau_n_right ≝ λalpha:Type[0].λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x y).alpha.(λt:l_e_st_eq_landau_n_1to y.f (l_e_st_eq_landau_n_right1to x y t) : Πt:l_e_st_eq_landau_n_1to y.alpha).

(* constant 1077 *)
definition l_e_st_eq_landau_n_left_t4 ≝ λalpha:Type[0].λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.λf:Πt:l_e_st_eq_landau_n_1to y.alpha.(l_e_st_eq_landau_n_lessisi2 y x i : l_e_st_eq_landau_n_lessis y x).

(* constant 1078 *)
definition l_e_st_eq_landau_n_left_t5 ≝ λalpha:Type[0].λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.λf:Πt:l_e_st_eq_landau_n_1to y.alpha.(l_e_st_eq_landau_n_lessisi2 x y (l_e_symis l_e_st_eq_landau_n_nat y x i) : l_e_st_eq_landau_n_lessis x y).

(* constant 1079 *)
definition l_e_st_eq_landau_n_left_f1 ≝ λalpha:Type[0].λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.λf:Πt:l_e_st_eq_landau_n_1to y.alpha.(l_e_st_eq_landau_n_left alpha y x (l_e_st_eq_landau_n_left_t5 alpha x y i f) f : Πt:l_e_st_eq_landau_n_1to x.alpha).

(* constant 1080 *)
definition l_e_st_eq_landau_n_left_f2 ≝ λalpha:Type[0].λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.λf:Πt:l_e_st_eq_landau_n_1to y.alpha.(l_e_st_eq_landau_n_left alpha x y (l_e_st_eq_landau_n_left_t4 alpha x y i f) (l_e_st_eq_landau_n_left_f1 alpha x y i f) : Πt:l_e_st_eq_landau_n_1to y.alpha).

(* constant 1081 *)
definition l_e_st_eq_landau_n_left_t6 ≝ λalpha:Type[0].λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.λf:Πt:l_e_st_eq_landau_n_1to y.alpha.λu:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_isinoutn x (l_e_st_eq_landau_n_inn y u) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_inn y u) y x (l_e_st_eq_landau_n_1top y u) (l_e_st_eq_landau_n_left_t4 alpha x y i f)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_inn y u) (l_e_st_eq_landau_n_inn x (l_e_st_eq_landau_n_left1to x y (l_e_st_eq_landau_n_left_t4 alpha x y i f) u))).

(* constant 1082 *)
definition l_e_st_eq_landau_n_left_t7 ≝ λalpha:Type[0].λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.λf:Πt:l_e_st_eq_landau_n_1to y.alpha.λu:l_e_st_eq_landau_n_1to y.(l_e_tris (l_e_st_eq_landau_n_1to y) u (l_e_st_eq_landau_n_outn y (l_e_st_eq_landau_n_inn y u) (l_e_st_eq_landau_n_1top y u)) (l_e_st_eq_landau_n_left1to y x (l_e_st_eq_landau_n_left_t5 alpha x y i f) (l_e_st_eq_landau_n_left1to x y (l_e_st_eq_landau_n_left_t4 alpha x y i f) u)) (l_e_st_eq_landau_n_isoutinn y u) (l_e_st_eq_landau_n_isoutni y (l_e_st_eq_landau_n_inn y u) (l_e_st_eq_landau_n_1top y u) (l_e_st_eq_landau_n_inn x (l_e_st_eq_landau_n_left1to x y (l_e_st_eq_landau_n_left_t4 alpha x y i f) u)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_inn x (l_e_st_eq_landau_n_left1to x y (l_e_st_eq_landau_n_left_t4 alpha x y i f) u)) x y (l_e_st_eq_landau_n_1top x (l_e_st_eq_landau_n_left1to x y (l_e_st_eq_landau_n_left_t4 alpha x y i f) u)) (l_e_st_eq_landau_n_left_t5 alpha x y i f)) (l_e_st_eq_landau_n_left_t6 alpha x y i f u)) : l_e_is (l_e_st_eq_landau_n_1to y) u (l_e_st_eq_landau_n_left1to y x (l_e_st_eq_landau_n_left_t5 alpha x y i f) (l_e_st_eq_landau_n_left1to x y (l_e_st_eq_landau_n_left_t4 alpha x y i f) u))).

(* constant 1083 *)
definition l_e_st_eq_landau_n_left_t8 ≝ λalpha:Type[0].λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.λf:Πt:l_e_st_eq_landau_n_1to y.alpha.λu:l_e_st_eq_landau_n_1to y.(l_e_isf (l_e_st_eq_landau_n_1to y) alpha f u (l_e_st_eq_landau_n_left1to y x (l_e_st_eq_landau_n_left_t5 alpha x y i f) (l_e_st_eq_landau_n_left1to x y (l_e_st_eq_landau_n_left_t4 alpha x y i f) u)) (l_e_st_eq_landau_n_left_t7 alpha x y i f u) : l_e_is alpha (f u) (l_e_st_eq_landau_n_left_f2 alpha x y i f u)).

(* constant 1084 *)
definition l_e_st_eq_landau_n_thleft ≝ λalpha:Type[0].λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.λf:Πt:l_e_st_eq_landau_n_1to y.alpha.(l_e_fisi (l_e_st_eq_landau_n_1to y) alpha f (l_e_st_eq_landau_n_left_f2 alpha x y i f) (λt:l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_left_t8 alpha x y i f t) : l_e_is (Πt:l_e_st_eq_landau_n_1to y.alpha) f (l_e_st_eq_landau_n_left alpha x y (l_e_st_eq_landau_n_lessisi2 y x i) (l_e_st_eq_landau_n_left alpha y x (l_e_st_eq_landau_n_lessisi2 x y (l_e_symis l_e_st_eq_landau_n_nat y x i)) f))).

(* constant 1085 *)
definition l_e_st_eq_landau_n_frac ≝ (l_e_st_eq_landau_n_pair1type l_e_st_eq_landau_n_nat : Type[0]).

(* constant 1086 *)
definition l_e_st_eq_landau_n_fr ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_pair1 l_e_st_eq_landau_n_nat x1 x2 : l_e_st_eq_landau_n_frac).

(* constant 1087 *)
definition l_e_st_eq_landau_n_num ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_first1 l_e_st_eq_landau_n_nat x : l_e_st_eq_landau_n_nat).

(* constant 1088 *)
definition l_e_st_eq_landau_n_den ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_second1 l_e_st_eq_landau_n_nat x : l_e_st_eq_landau_n_nat).

(* constant 1089 *)
definition l_e_st_eq_landau_n_numis ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_first1is1 l_e_st_eq_landau_n_nat x1 x2 : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) x1).

(* constant 1090 *)
definition l_e_st_eq_landau_n_isnum ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_first1is2 l_e_st_eq_landau_n_nat x1 x2 : l_e_st_eq_landau_n_is x1 (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2))).

(* constant 1091 *)
definition l_e_st_eq_landau_n_denis ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_second1is1 l_e_st_eq_landau_n_nat x1 x2 : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2)) x2).

(* constant 1092 *)
definition l_e_st_eq_landau_n_isden ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_second1is2 l_e_st_eq_landau_n_nat x1 x2 : l_e_st_eq_landau_n_is x2 (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2))).

(* constant 1093 *)
definition l_e_st_eq_landau_n_1x ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_num x : l_e_st_eq_landau_n_nat).

(* constant 1094 *)
definition l_e_st_eq_landau_n_2x ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_den x : l_e_st_eq_landau_n_nat).

(* constant 1095 *)
definition l_e_st_eq_landau_n_fris ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_pair1is1 l_e_st_eq_landau_n_nat x : l_e_is l_e_st_eq_landau_n_frac (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) x).

(* constant 1096 *)
definition l_e_st_eq_landau_n_isfr ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_pair1is2 l_e_st_eq_landau_n_nat x : l_e_is l_e_st_eq_landau_n_frac x (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x))).

(* constant 1097 *)
definition l_e_st_eq_landau_n_12isnd ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ists12 x1 (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) y2 (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_isnum x1 x2) (l_e_st_eq_landau_n_isden y1 y2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2)))).

(* constant 1098 *)
definition l_e_st_eq_landau_n_ndis12 ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_12isnd x1 x2 y1 y2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_ts x1 y2)).

(* constant 1099 *)
definition l_e_st_eq_landau_n_1disnd ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ists1 n1 (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_isnum n1 n2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x))).

(* constant 1100 *)
definition l_e_st_eq_landau_n_ndis1d ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_1disnd x n1 n2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x))).

(* constant 1101 *)
definition l_e_st_eq_landau_n_n2isnd ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ists2 n2 (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_isden n1 n2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2)))).

(* constant 1102 *)
definition l_e_st_eq_landau_n_ndisn2 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_n2isnd x n1 n2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2)).

(* constant 1103 *)
definition l_e_st_eq_landau_n_isn ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x1 n.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_fr t x2) x1 n i : l_e_is l_e_st_eq_landau_n_frac (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr n x2)).

(* constant 1104 *)
definition l_e_st_eq_landau_n_isd ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x2 n.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_fr x1 t) x2 n i : l_e_is l_e_st_eq_landau_n_frac (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr x1 n)).

(* constant 1105 *)
definition l_e_st_eq_landau_n_isnd ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x1 y1.λj:l_e_st_eq_landau_n_is x2 y2.(l_e_tris l_e_st_eq_landau_n_frac (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 x2) (l_e_st_eq_landau_n_fr y1 y2) (l_e_st_eq_landau_n_isn x1 x2 y1 i) (l_e_st_eq_landau_n_isd y1 x2 y2 j) : l_e_is l_e_st_eq_landau_n_frac (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)).

(* constant 1106 *)
definition l_e_st_eq_landau_n_1y ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_num y : l_e_st_eq_landau_n_nat).

(* constant 1107 *)
definition l_e_st_eq_landau_n_2y ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_den y : l_e_st_eq_landau_n_nat).

(* constant 1108 *)
definition l_e_st_eq_landau_n_eq ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) : Prop).

(* constant 1109 *)
definition l_e_st_eq_landau_n_eqi12 ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts y1 x2).(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts y1 x2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2))) (l_e_st_eq_landau_n_ndis12 x1 x2 y1 y2) i (l_e_st_eq_landau_n_12isnd y1 y2 x1 x2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)).

(* constant 1110 *)
definition l_e_st_eq_landau_n_eqi1 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)).(l_e_isp l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq t (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) x (l_e_st_eq_landau_n_eqi12 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x) n1 n2 i) (l_e_st_eq_landau_n_fris x) : l_e_st_eq_landau_n_eq x (l_e_st_eq_landau_n_fr n1 n2)).

(* constant 1111 *)
definition l_e_st_eq_landau_n_eqi2 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2).(l_e_isp l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr n1 n2) t) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) x (l_e_st_eq_landau_n_eqi12 n1 n2 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x) i) (l_e_st_eq_landau_n_fris x) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr n1 n2) x).

(* constant 1112 *)
definition l_e_st_eq_landau_n_satz37 ≝ λx:l_e_st_eq_landau_n_frac.(l_e_refis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) : l_e_st_eq_landau_n_eq x x).

(* constant 1113 *)
definition l_e_st_eq_landau_n_refeq ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz37 x : l_e_st_eq_landau_n_eq x x).

(* constant 1114 *)
definition l_e_st_eq_landau_n_refeq1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λi:l_e_is l_e_st_eq_landau_n_frac x y.(l_e_isp l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq x t) x y (l_e_st_eq_landau_n_refeq x) i : l_e_st_eq_landau_n_eq x y).

(* constant 1115 *)
definition l_e_st_eq_landau_n_refeq2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λi:l_e_is l_e_st_eq_landau_n_frac x y.(l_e_isp l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq t x) x y (l_e_st_eq_landau_n_refeq x) i : l_e_st_eq_landau_n_eq y x).

(* constant 1116 *)
definition l_e_st_eq_landau_n_eqnd ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x1 y1.λj:l_e_st_eq_landau_n_is x2 y2.(l_e_st_eq_landau_n_refeq1 (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2) (l_e_st_eq_landau_n_isnd x1 x2 y1 y2 i j) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)).

(* constant 1117 *)
definition l_e_st_eq_landau_n_eqn ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x1 n.(l_e_st_eq_landau_n_refeq1 (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr n x2) (l_e_st_eq_landau_n_isn x1 x2 n i) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr n x2)).

(* constant 1118 *)
definition l_e_st_eq_landau_n_eqd ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x2 n.(l_e_st_eq_landau_n_refeq1 (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr x1 n) (l_e_st_eq_landau_n_isd x1 x2 n i) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr x1 n)).

(* constant 1119 *)
definition l_e_st_eq_landau_n_satz38 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) e : l_e_st_eq_landau_n_eq y x).

(* constant 1120 *)
definition l_e_st_eq_landau_n_symeq ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.(l_e_st_eq_landau_n_satz38 x y e : l_e_st_eq_landau_n_eq y x).

(* constant 1121 *)
definition l_e_st_eq_landau_n_ii1_t1 ≝ λa:l_e_st_eq_landau_n_nat.λb:l_e_st_eq_landau_n_nat.λc:l_e_st_eq_landau_n_nat.λd:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts b (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts b c) d) (l_e_st_eq_landau_n_ts d (l_e_st_eq_landau_n_ts b c)) (l_e_st_eq_landau_n_assts2 b c d) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_ts b c) d) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts b (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ts d (l_e_st_eq_landau_n_ts b c))).

(* constant 1122 *)
definition l_e_st_eq_landau_n_stets ≝ λa:l_e_st_eq_landau_n_nat.λb:l_e_st_eq_landau_n_nat.λc:l_e_st_eq_landau_n_nat.λd:l_e_st_eq_landau_n_nat.(l_e_tr4is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a b) (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ts a (l_e_st_eq_landau_n_ts b (l_e_st_eq_landau_n_ts c d))) (l_e_st_eq_landau_n_ts a (l_e_st_eq_landau_n_ts d (l_e_st_eq_landau_n_ts b c))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a d) (l_e_st_eq_landau_n_ts b c)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a d) (l_e_st_eq_landau_n_ts c b)) (l_e_st_eq_landau_n_assts1 a b (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts b (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ts d (l_e_st_eq_landau_n_ts b c)) a (l_e_st_eq_landau_n_ii1_t1 a b c d)) (l_e_st_eq_landau_n_assts2 a d (l_e_st_eq_landau_n_ts b c)) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts b c) (l_e_st_eq_landau_n_ts c b) (l_e_st_eq_landau_n_ts a d) (l_e_st_eq_landau_n_comts b c)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a b) (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a d) (l_e_st_eq_landau_n_ts c b))).

(* constant 1123 *)
definition l_e_st_eq_landau_n_ii1_t2 ≝ λa:l_e_st_eq_landau_n_nat.λb:l_e_st_eq_landau_n_nat.λc:l_e_st_eq_landau_n_nat.λd:l_e_st_eq_landau_n_nat.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts b (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts c d) b) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts d c) b) (l_e_st_eq_landau_n_ts d (l_e_st_eq_landau_n_ts c b)) (l_e_st_eq_landau_n_comts b (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ists1 (l_e_st_eq_landau_n_ts c d) (l_e_st_eq_landau_n_ts d c) b (l_e_st_eq_landau_n_comts c d)) (l_e_st_eq_landau_n_assts1 d c b) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts b (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ts d (l_e_st_eq_landau_n_ts c b))).

(* constant 1124 *)
definition l_e_st_eq_landau_n_ii1_anders ≝ λa:l_e_st_eq_landau_n_nat.λb:l_e_st_eq_landau_n_nat.λc:l_e_st_eq_landau_n_nat.λd:l_e_st_eq_landau_n_nat.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a b) (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ts a (l_e_st_eq_landau_n_ts b (l_e_st_eq_landau_n_ts c d))) (l_e_st_eq_landau_n_ts a (l_e_st_eq_landau_n_ts d (l_e_st_eq_landau_n_ts c b))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a d) (l_e_st_eq_landau_n_ts c b)) (l_e_st_eq_landau_n_assts1 a b (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts b (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ts d (l_e_st_eq_landau_n_ts c b)) a (l_e_st_eq_landau_n_ii1_t2 a b c d)) (l_e_st_eq_landau_n_assts2 a d (l_e_st_eq_landau_n_ts c b)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a b) (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a d) (l_e_st_eq_landau_n_ts c b))).

(* constant 1125 *)
definition l_e_st_eq_landau_n_1z ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_num z : l_e_st_eq_landau_n_nat).

(* constant 1126 *)
definition l_e_st_eq_landau_n_2z ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_den z : l_e_st_eq_landau_n_nat).

(* constant 1127 *)
definition l_e_st_eq_landau_n_139_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq y z.(l_e_st_eq_landau_n_ists12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) e f : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1128 *)
definition l_e_st_eq_landau_n_139_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq y z.(l_e_st_eq_landau_n_stets (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1129 *)
definition l_e_st_eq_landau_n_139_t3 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq y z.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_stets (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1130 *)
definition l_e_st_eq_landau_n_139_t4 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq y z.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_139_t2 x y z e f)) (l_e_st_eq_landau_n_139_t1 x y z e f) (l_e_st_eq_landau_n_139_t3 x y z e f) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1131 *)
definition l_e_st_eq_landau_n_satz39 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq y z.(l_e_st_eq_landau_n_satz33b (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_139_t4 x y z e f) : l_e_st_eq_landau_n_eq x z).

(* constant 1132 *)
definition l_e_st_eq_landau_n_139_anders ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq y z.(l_e_tr4is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_stets (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ists12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) e f) (l_e_st_eq_landau_n_stets (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1133 *)
definition l_e_st_eq_landau_n_treq ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq y z.(l_e_st_eq_landau_n_satz39 x y z e f : l_e_st_eq_landau_n_eq x z).

(* constant 1134 *)
definition l_e_st_eq_landau_n_treq1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq z x.λf:l_e_st_eq_landau_n_eq z y.(l_e_st_eq_landau_n_treq x z y (l_e_st_eq_landau_n_symeq z x e) f : l_e_st_eq_landau_n_eq x y).

(* constant 1135 *)
definition l_e_st_eq_landau_n_treq2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x z.λf:l_e_st_eq_landau_n_eq y z.(l_e_st_eq_landau_n_treq x z y e (l_e_st_eq_landau_n_symeq y z f) : l_e_st_eq_landau_n_eq x y).

(* constant 1136 *)
definition l_e_st_eq_landau_n_tr3eq ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq y z.λg:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_treq x y u e (l_e_st_eq_landau_n_treq y z u f g) : l_e_st_eq_landau_n_eq x u).

(* constant 1137 *)
definition l_e_st_eq_landau_n_tr4eq ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λv:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq y z.λg:l_e_st_eq_landau_n_eq z u.λh:l_e_st_eq_landau_n_eq u v.(l_e_st_eq_landau_n_tr3eq x y z v e f (l_e_st_eq_landau_n_treq z u v g h) : l_e_st_eq_landau_n_eq x v).

(* constant 1138 *)
definition l_e_st_eq_landau_n_satz40 ≝ λx:l_e_st_eq_landau_n_frac.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_eqi1 x (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n) (l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts n (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n) (l_e_st_eq_landau_n_ts n (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2x x) n)) (l_e_st_eq_landau_n_assts2 (l_e_st_eq_landau_n_1x x) n (l_e_st_eq_landau_n_2x x))) : l_e_st_eq_landau_n_eq x (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n))).

(* constant 1139 *)
definition l_e_st_eq_landau_n_satz40a ≝ λx:l_e_st_eq_landau_n_frac.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_symeq x (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n)) (l_e_st_eq_landau_n_satz40 x n) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n)) x).

(* constant 1140 *)
definition l_e_st_eq_landau_n_satz40b ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_eqi12 x1 x2 (l_e_st_eq_landau_n_ts x1 n) (l_e_st_eq_landau_n_ts x2 n) (l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x1 (l_e_st_eq_landau_n_ts x2 n)) (l_e_st_eq_landau_n_ts x1 (l_e_st_eq_landau_n_ts n x2)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts x1 n) x2) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts x2 n) (l_e_st_eq_landau_n_ts n x2) x1 (l_e_st_eq_landau_n_comts x2 n)) (l_e_st_eq_landau_n_assts2 x1 n x2)) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x1 n) (l_e_st_eq_landau_n_ts x2 n))).

(* constant 1141 *)
definition l_e_st_eq_landau_n_satz40c ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_symeq (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x1 n) (l_e_st_eq_landau_n_ts x2 n)) (l_e_st_eq_landau_n_satz40b x1 x2 n) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x1 n) (l_e_st_eq_landau_n_ts x2 n)) (l_e_st_eq_landau_n_fr x1 x2)).

(* constant 1142 *)
definition l_e_st_eq_landau_n_moref ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) : Prop).

(* constant 1143 *)
definition l_e_st_eq_landau_n_lessf ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) : Prop).

(* constant 1144 *)
definition l_e_st_eq_landau_n_morefi12 ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts y1 x2).(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_ts y1 x2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2))) (l_e_st_eq_landau_n_12isnd x1 x2 y1 y2) (l_e_st_eq_landau_n_12isnd y1 y2 x1 x2) m : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)).

(* constant 1145 *)
definition l_e_st_eq_landau_n_lessfi12 ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts y1 x2).(l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_ts y1 x2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2))) (l_e_st_eq_landau_n_12isnd x1 x2 y1 y2) (l_e_st_eq_landau_n_12isnd y1 y2 x1 x2) l : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)).

(* constant 1146 *)
definition l_e_st_eq_landau_n_morefi1 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)).(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_n2isnd x n1 n2) (l_e_st_eq_landau_n_1disnd x n1 n2) m : l_e_st_eq_landau_n_moref x (l_e_st_eq_landau_n_fr n1 n2)).

(* constant 1147 *)
definition l_e_st_eq_landau_n_morefi2 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2).(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_1disnd x n1 n2) (l_e_st_eq_landau_n_n2isnd x n1 n2) m : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_fr n1 n2) x).

(* constant 1148 *)
definition l_e_st_eq_landau_n_lessfi1 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)).(l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_n2isnd x n1 n2) (l_e_st_eq_landau_n_1disnd x n1 n2) l : l_e_st_eq_landau_n_lessf x (l_e_st_eq_landau_n_fr n1 n2)).

(* constant 1149 *)
definition l_e_st_eq_landau_n_lessfi2 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2).(l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_1disnd x n1 n2) (l_e_st_eq_landau_n_n2isnd x n1 n2) l : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_fr n1 n2) x).

(* constant 1150 *)
definition l_e_st_eq_landau_n_satz41 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz10 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) : l_orec3 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y)).

(* constant 1151 *)
definition l_e_st_eq_landau_n_satz41a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz10a (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) : l_or3 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y)).

(* constant 1152 *)
definition l_e_st_eq_landau_n_satz41b ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) : l_ec3 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y)).

(* constant 1153 *)
definition l_e_st_eq_landau_n_satz42 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_satz11 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) m : l_e_st_eq_landau_n_lessf y x).

(* constant 1154 *)
definition l_e_st_eq_landau_n_satz43 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_e_st_eq_landau_n_satz12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) l : l_e_st_eq_landau_n_moref y x).

(* constant 1155 *)
definition l_e_st_eq_landau_n_1u ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_num u : l_e_st_eq_landau_n_nat).

(* constant 1156 *)
definition l_e_st_eq_landau_n_2u ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_den u : l_e_st_eq_landau_n_nat).

(* constant 1157 *)
definition l_e_st_eq_landau_n_244_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λe:l_e_st_eq_landau_n_eq x z.λf:l_e_st_eq_landau_n_eq y u.(l_e_st_eq_landau_n_ists12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) f (l_e_st_eq_landau_n_symeq x z e) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)))).

(* constant 1158 *)
definition l_e_st_eq_landau_n_244_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λe:l_e_st_eq_landau_n_eq x z.λf:l_e_st_eq_landau_n_eq y u.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_stets (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_244_t1 x y z u m e f) (l_e_st_eq_landau_n_stets (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1159 *)
definition l_e_st_eq_landau_n_244_t3 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λe:l_e_st_eq_landau_n_eq x z.λf:l_e_st_eq_landau_n_eq y u.(l_e_st_eq_landau_n_ismore1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_244_t2 x y z u m e f)) (l_e_st_eq_landau_n_satz32d (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)))).

(* constant 1160 *)
definition l_e_st_eq_landau_n_satz44 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λe:l_e_st_eq_landau_n_eq x z.λf:l_e_st_eq_landau_n_eq y u.(l_e_st_eq_landau_n_satz33a (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ismore1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_244_t3 x y z u m e f)) : l_e_st_eq_landau_n_moref z u).

(* constant 1161 *)
definition l_e_st_eq_landau_n_eqmoref12 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.λm:l_e_st_eq_landau_n_moref x z.(l_e_st_eq_landau_n_satz44 x z y u m e f : l_e_st_eq_landau_n_moref y u).

(* constant 1162 *)
definition l_e_st_eq_landau_n_eqmoref1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λm:l_e_st_eq_landau_n_moref x z.(l_e_st_eq_landau_n_satz44 x z y z m e (l_e_st_eq_landau_n_refeq z) : l_e_st_eq_landau_n_moref y z).

(* constant 1163 *)
definition l_e_st_eq_landau_n_eqmoref2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λm:l_e_st_eq_landau_n_moref z x.(l_e_st_eq_landau_n_satz44 z x z y m (l_e_st_eq_landau_n_refeq z) e : l_e_st_eq_landau_n_moref z y).

(* constant 1164 *)
definition l_e_st_eq_landau_n_satz45 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.λe:l_e_st_eq_landau_n_eq x z.λf:l_e_st_eq_landau_n_eq y u.(l_e_st_eq_landau_n_satz42 u z (l_e_st_eq_landau_n_satz44 y x u z (l_e_st_eq_landau_n_satz43 x y l) f e) : l_e_st_eq_landau_n_lessf z u).

(* constant 1165 *)
definition l_e_st_eq_landau_n_eqlessf12 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.λl:l_e_st_eq_landau_n_lessf x z.(l_e_st_eq_landau_n_satz45 x z y u l e f : l_e_st_eq_landau_n_lessf y u).

(* constant 1166 *)
definition l_e_st_eq_landau_n_eqlessf1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λl:l_e_st_eq_landau_n_lessf x z.(l_e_st_eq_landau_n_satz45 x z y z l e (l_e_st_eq_landau_n_refeq z) : l_e_st_eq_landau_n_lessf y z).

(* constant 1167 *)
definition l_e_st_eq_landau_n_eqlessf2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λl:l_e_st_eq_landau_n_lessf z x.(l_e_st_eq_landau_n_satz45 z x z y l (l_e_st_eq_landau_n_refeq z) e : l_e_st_eq_landau_n_lessf z y).

(* constant 1168 *)
definition l_e_st_eq_landau_n_moreq ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_or (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) : Prop).

(* constant 1169 *)
definition l_e_st_eq_landau_n_lesseq ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_or (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq x y) : Prop).

(* constant 1170 *)
definition l_e_st_eq_landau_n_moreqi2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.(l_ori2 (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) e : l_e_st_eq_landau_n_moreq x y).

(* constant 1171 *)
definition l_e_st_eq_landau_n_lesseqi2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.(l_ori2 (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq x y) e : l_e_st_eq_landau_n_lesseq x y).

(* constant 1172 *)
definition l_e_st_eq_landau_n_moreqi1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_ori1 (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) m : l_e_st_eq_landau_n_moreq x y).

(* constant 1173 *)
definition l_e_st_eq_landau_n_lesseqi1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_ori1 (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq x y) l : l_e_st_eq_landau_n_lesseq x y).

(* constant 1174 *)
definition l_e_st_eq_landau_n_satz41c ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.(l_ec3_th7 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_satz41b x y) (l_comor (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) m) : l_not (l_e_st_eq_landau_n_lessf x y)).

(* constant 1175 *)
definition l_e_st_eq_landau_n_satz41d ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.(l_ec3_th9 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_satz41b x y) l : l_not (l_e_st_eq_landau_n_moref x y)).

(* constant 1176 *)
definition l_e_st_eq_landau_n_satz41e ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λn:l_not (l_e_st_eq_landau_n_moref x y).(l_or3_th2 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_satz41a x y) n : l_e_st_eq_landau_n_lesseq x y).

(* constant 1177 *)
definition l_e_st_eq_landau_n_satz41f ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λn:l_not (l_e_st_eq_landau_n_lessf x y).(l_comor (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_or3_th3 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_satz41a x y) n) : l_e_st_eq_landau_n_moreq x y).

(* constant 1178 *)
definition l_e_st_eq_landau_n_satz41g ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_or_th3 (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq x y) (l_ec3e23 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_satz41b x y) m) (l_ec3e21 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_satz41b x y) m) : l_not (l_e_st_eq_landau_n_lesseq x y)).

(* constant 1179 *)
definition l_e_st_eq_landau_n_satz41h ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_or_th3 (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) (l_ec3e32 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_satz41b x y) l) (l_ec3e31 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_satz41b x y) l) : l_not (l_e_st_eq_landau_n_moreq x y)).

(* constant 1180 *)
definition l_e_st_eq_landau_n_satz41j ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λn:l_not (l_e_st_eq_landau_n_moreq x y).(l_or3e3 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_satz41a x y) (l_or_th5 (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) n) (l_or_th4 (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) n) : l_e_st_eq_landau_n_lessf x y).

(* constant 1181 *)
definition l_e_st_eq_landau_n_satz41k ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λn:l_not (l_e_st_eq_landau_n_lesseq x y).(l_or3e2 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_satz41a x y) (l_or_th4 (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq x y) n) (l_or_th5 (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq x y) n) : l_e_st_eq_landau_n_moref x y).

(* constant 1182 *)
definition l_e_st_eq_landau_n_246_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λe:l_e_st_eq_landau_n_eq x z.λf:l_e_st_eq_landau_n_eq y u.λn:l_e_st_eq_landau_n_moref x y.(l_ori1 (l_e_st_eq_landau_n_moref z u) (l_e_st_eq_landau_n_eq z u) (l_e_st_eq_landau_n_satz44 x y z u n e f) : l_e_st_eq_landau_n_moreq z u).

(* constant 1183 *)
definition l_e_st_eq_landau_n_246_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λe:l_e_st_eq_landau_n_eq x z.λf:l_e_st_eq_landau_n_eq y u.λg:l_e_st_eq_landau_n_eq x y.(l_ori2 (l_e_st_eq_landau_n_moref z u) (l_e_st_eq_landau_n_eq z u) (l_e_st_eq_landau_n_tr3eq z x y u (l_e_st_eq_landau_n_symeq x z e) g f) : l_e_st_eq_landau_n_moreq z u).

(* constant 1184 *)
definition l_e_st_eq_landau_n_satz46 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λe:l_e_st_eq_landau_n_eq x z.λf:l_e_st_eq_landau_n_eq y u.(l_orapp (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moreq z u) m (λt:l_e_st_eq_landau_n_moref x y.l_e_st_eq_landau_n_246_t1 x y z u m e f t) (λt:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_246_t2 x y z u m e f t) : l_e_st_eq_landau_n_moreq z u).

(* constant 1185 *)
definition l_e_st_eq_landau_n_eqmoreq12 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.λm:l_e_st_eq_landau_n_moreq x z.(l_e_st_eq_landau_n_satz46 x z y u m e f : l_e_st_eq_landau_n_moreq y u).

(* constant 1186 *)
definition l_e_st_eq_landau_n_eqmoreq1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λm:l_e_st_eq_landau_n_moreq x z.(l_e_st_eq_landau_n_satz46 x z y z m e (l_e_st_eq_landau_n_refeq z) : l_e_st_eq_landau_n_moreq y z).

(* constant 1187 *)
definition l_e_st_eq_landau_n_eqmoreq2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λm:l_e_st_eq_landau_n_moreq z x.(l_e_st_eq_landau_n_satz46 z x z y m (l_e_st_eq_landau_n_refeq z) e : l_e_st_eq_landau_n_moreq z y).

(* constant 1188 *)
definition l_e_st_eq_landau_n_247_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λe:l_e_st_eq_landau_n_eq x z.λf:l_e_st_eq_landau_n_eq y u.λk:l_e_st_eq_landau_n_lessf x y.(l_ori1 (l_e_st_eq_landau_n_lessf z u) (l_e_st_eq_landau_n_eq z u) (l_e_st_eq_landau_n_satz45 x y z u k e f) : l_e_st_eq_landau_n_lesseq z u).

(* constant 1189 *)
definition l_e_st_eq_landau_n_247_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λe:l_e_st_eq_landau_n_eq x z.λf:l_e_st_eq_landau_n_eq y u.λg:l_e_st_eq_landau_n_eq x y.(l_ori2 (l_e_st_eq_landau_n_lessf z u) (l_e_st_eq_landau_n_eq z u) (l_e_st_eq_landau_n_tr3eq z x y u (l_e_st_eq_landau_n_symeq x z e) g f) : l_e_st_eq_landau_n_lesseq z u).

(* constant 1190 *)
definition l_e_st_eq_landau_n_satz47 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λe:l_e_st_eq_landau_n_eq x z.λf:l_e_st_eq_landau_n_eq y u.(l_orapp (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_lesseq z u) l (λt:l_e_st_eq_landau_n_lessf x y.l_e_st_eq_landau_n_247_t1 x y z u l e f t) (λt:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_247_t2 x y z u l e f t) : l_e_st_eq_landau_n_lesseq z u).

(* constant 1191 *)
definition l_e_st_eq_landau_n_eqlesseq12 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.λl:l_e_st_eq_landau_n_lesseq x z.(l_e_st_eq_landau_n_satz47 x z y u l e f : l_e_st_eq_landau_n_lesseq y u).

(* constant 1192 *)
definition l_e_st_eq_landau_n_eqlesseq1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λl:l_e_st_eq_landau_n_lesseq x z.(l_e_st_eq_landau_n_satz47 x z y z l e (l_e_st_eq_landau_n_refeq z) : l_e_st_eq_landau_n_lesseq y z).

(* constant 1193 *)
definition l_e_st_eq_landau_n_eqlesseq2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λl:l_e_st_eq_landau_n_lesseq z x.(l_e_st_eq_landau_n_satz47 z x z y l (l_e_st_eq_landau_n_refeq z) e : l_e_st_eq_landau_n_lesseq z y).

(* constant 1194 *)
definition l_e_st_eq_landau_n_satz48 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.(l_or_th9 (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_lessf y x) (l_e_st_eq_landau_n_eq y x) m (λt:l_e_st_eq_landau_n_moref x y.l_e_st_eq_landau_n_satz42 x y t) (λt:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_satz38 x y t) : l_e_st_eq_landau_n_lesseq y x).

(* constant 1195 *)
definition l_e_st_eq_landau_n_satz49 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.(l_or_th9 (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref y x) (l_e_st_eq_landau_n_eq y x) l (λt:l_e_st_eq_landau_n_lessf x y.l_e_st_eq_landau_n_satz43 x y t) (λt:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_satz38 x y t) : l_e_st_eq_landau_n_moreq y x).

(* constant 1196 *)
definition l_e_st_eq_landau_n_250_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.λk:l_e_st_eq_landau_n_lessf y z.(l_e_st_eq_landau_n_satz34a (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) l k : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1197 *)
definition l_e_st_eq_landau_n_250_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.λk:l_e_st_eq_landau_n_lessf y z.(l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_stets (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_stets (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)))) (l_e_st_eq_landau_n_250_t1 x y z l k) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1198 *)
definition l_e_st_eq_landau_n_satz50 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.λk:l_e_st_eq_landau_n_lessf y z.(l_e_st_eq_landau_n_satz33c (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_250_t2 x y z l k) : l_e_st_eq_landau_n_lessf x z).

(* constant 1199 *)
definition l_e_st_eq_landau_n_trlessf ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.λk:l_e_st_eq_landau_n_lessf y z.(l_e_st_eq_landau_n_satz50 x y z l k : l_e_st_eq_landau_n_lessf x z).

(* constant 1200 *)
definition l_e_st_eq_landau_n_trmoref ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λn:l_e_st_eq_landau_n_moref y z.(l_e_st_eq_landau_n_satz43 z x (l_e_st_eq_landau_n_satz50 z y x (l_e_st_eq_landau_n_satz42 y z n) (l_e_st_eq_landau_n_satz42 x y m)) : l_e_st_eq_landau_n_moref x z).

(* constant 1201 *)
definition l_e_st_eq_landau_n_satz51a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lessf y z.(l_orapp (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_lessf x z) l (λt:l_e_st_eq_landau_n_lessf x y.l_e_st_eq_landau_n_satz50 x y z t k) (λt:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_eqlessf1 y x z (l_e_st_eq_landau_n_symeq x y t) k) : l_e_st_eq_landau_n_lessf x z).

(* constant 1202 *)
definition l_e_st_eq_landau_n_satz51b ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.λk:l_e_st_eq_landau_n_lesseq y z.(l_orapp (l_e_st_eq_landau_n_lessf y z) (l_e_st_eq_landau_n_eq y z) (l_e_st_eq_landau_n_lessf x z) k (λt:l_e_st_eq_landau_n_lessf y z.l_e_st_eq_landau_n_satz50 x y z l t) (λt:l_e_st_eq_landau_n_eq y z.l_e_st_eq_landau_n_eqlessf2 y z x t l) : l_e_st_eq_landau_n_lessf x z).

(* constant 1203 *)
definition l_e_st_eq_landau_n_satz51c ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moref y z.(l_e_st_eq_landau_n_satz43 z x (l_e_st_eq_landau_n_satz51b z y x (l_e_st_eq_landau_n_satz42 y z n) (l_e_st_eq_landau_n_satz48 x y m)) : l_e_st_eq_landau_n_moref x z).

(* constant 1204 *)
definition l_e_st_eq_landau_n_satz51d ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λn:l_e_st_eq_landau_n_moreq y z.(l_e_st_eq_landau_n_satz43 z x (l_e_st_eq_landau_n_satz51a z y x (l_e_st_eq_landau_n_satz48 y z n) (l_e_st_eq_landau_n_satz42 x y m)) : l_e_st_eq_landau_n_moref x z).

(* constant 1205 *)
definition l_e_st_eq_landau_n_252_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lesseq y z.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq y z.(l_ori2 (l_e_st_eq_landau_n_lessf x z) (l_e_st_eq_landau_n_eq x z) (l_e_st_eq_landau_n_treq x y z e f) : l_e_st_eq_landau_n_lesseq x z).

(* constant 1206 *)
definition l_e_st_eq_landau_n_252_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lesseq y z.λe:l_e_st_eq_landau_n_eq x y.λj:l_e_st_eq_landau_n_lessf y z.(l_ori1 (l_e_st_eq_landau_n_lessf x z) (l_e_st_eq_landau_n_eq x z) (l_e_st_eq_landau_n_satz51a x y z l j) : l_e_st_eq_landau_n_lesseq x z).

(* constant 1207 *)
definition l_e_st_eq_landau_n_252_t3 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lesseq y z.λe:l_e_st_eq_landau_n_eq x y.(l_orapp (l_e_st_eq_landau_n_lessf y z) (l_e_st_eq_landau_n_eq y z) (l_e_st_eq_landau_n_lesseq x z) k (λt:l_e_st_eq_landau_n_lessf y z.l_e_st_eq_landau_n_252_t2 x y z l k e t) (λt:l_e_st_eq_landau_n_eq y z.l_e_st_eq_landau_n_252_t1 x y z l k e t) : l_e_st_eq_landau_n_lesseq x z).

(* constant 1208 *)
definition l_e_st_eq_landau_n_252_t4 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lesseq y z.λj:l_e_st_eq_landau_n_lessf x y.(l_ori1 (l_e_st_eq_landau_n_lessf x z) (l_e_st_eq_landau_n_eq x z) (l_e_st_eq_landau_n_satz51b x y z j k) : l_e_st_eq_landau_n_lesseq x z).

(* constant 1209 *)
definition l_e_st_eq_landau_n_satz52 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lesseq y z.(l_orapp (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_lesseq x z) l (λt:l_e_st_eq_landau_n_lessf x y.l_e_st_eq_landau_n_252_t4 x y z l k t) (λt:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_252_t3 x y z l k t) : l_e_st_eq_landau_n_lesseq x z).

(* constant 1210 *)
definition l_e_st_eq_landau_n_trlesseq ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lesseq y z.(l_e_st_eq_landau_n_satz52 x y z l k : l_e_st_eq_landau_n_lesseq x z).

(* constant 1211 *)
definition l_e_st_eq_landau_n_252_t5 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lesseq y z.λj:l_e_st_eq_landau_n_lessf x y.(l_ori1 (l_e_st_eq_landau_n_lessf x z) (l_e_st_eq_landau_n_eq x z) (l_e_st_eq_landau_n_satz51b x y z j k) : l_e_st_eq_landau_n_lesseq x z).

(* constant 1212 *)
definition l_e_st_eq_landau_n_252_t6 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lesseq y z.λe:l_e_st_eq_landau_n_eq x y.(l_e_st_eq_landau_n_eqlesseq1 y x z (l_e_st_eq_landau_n_symeq x y e) k : l_e_st_eq_landau_n_lesseq x z).

(* constant 1213 *)
definition l_e_st_eq_landau_n_252_anders ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lesseq y z.(l_orapp (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_lesseq x z) l (λt:l_e_st_eq_landau_n_lessf x y.l_e_st_eq_landau_n_252_t5 x y z l k t) (λt:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_252_t6 x y z l k t) : l_e_st_eq_landau_n_lesseq x z).

(* constant 1214 *)
definition l_e_st_eq_landau_n_trmoreq ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moreq y z.(l_e_st_eq_landau_n_satz49 z x (l_e_st_eq_landau_n_satz52 z y x (l_e_st_eq_landau_n_satz48 y z n) (l_e_st_eq_landau_n_satz48 x y m)) : l_e_st_eq_landau_n_moreq x z).

(* constant 1215 *)
definition l_e_st_eq_landau_n_253_t1 ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_ismore1 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_distpt1 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_satz18 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x))) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x))).

(* constant 1216 *)
definition l_e_st_eq_landau_n_253_t2 ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_morefi2 x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_253_t1 x) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_2x x)) x).

(* constant 1217 *)
definition l_e_st_eq_landau_n_satz53 ≝ λx:l_e_st_eq_landau_n_frac.(l_somei l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_moref t x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_253_t2 x) : l_some l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_moref t x)).

(* constant 1218 *)
definition l_e_st_eq_landau_n_254_t1 ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_isless2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_distpt2 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_satz18a (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x))) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2x x)))).

(* constant 1219 *)
definition l_e_st_eq_landau_n_254_t2 ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_lessfi2 x (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_254_t1 x) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2x x))) x).

(* constant 1220 *)
definition l_e_st_eq_landau_n_satz54 ≝ λx:l_e_st_eq_landau_n_frac.(l_somei l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_lessf t x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_254_t2 x) : l_some l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_lessf t x)).

(* constant 1221 *)
definition l_e_st_eq_landau_n_255_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_e_st_eq_landau_n_satz19f (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) l : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)))).

(* constant 1222 *)
definition l_e_st_eq_landau_n_255_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_e_st_eq_landau_n_satz19c (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)) l : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1223 *)
definition l_e_st_eq_landau_n_255_t3 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_distpt2 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_distpt1 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_255_t1 x y l) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_2x x))).

(* constant 1224 *)
definition l_e_st_eq_landau_n_255_t4 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_e_st_eq_landau_n_lessfi1 x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_255_t3 x y l) : l_e_st_eq_landau_n_lessf x (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1225 *)
definition l_e_st_eq_landau_n_255_t5 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_distpt1 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_distpt2 (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_255_t2 x y l) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1226 *)
definition l_e_st_eq_landau_n_255_t6 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_e_st_eq_landau_n_lessfi2 y (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_255_t5 x y l) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) y).

(* constant 1227 *)
definition l_e_st_eq_landau_n_255_t7 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_andi (l_e_st_eq_landau_n_lessf x (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) y) (l_e_st_eq_landau_n_255_t4 x y l) (l_e_st_eq_landau_n_255_t6 x y l) : l_and (l_e_st_eq_landau_n_lessf x (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) y)).

(* constant 1228 *)
definition l_e_st_eq_landau_n_satz55 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_somei l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_and (l_e_st_eq_landau_n_lessf x t) (l_e_st_eq_landau_n_lessf t y)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_255_t7 x y l) : l_some l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_and (l_e_st_eq_landau_n_lessf x t) (l_e_st_eq_landau_n_lessf t y))).

(* constant 1229 *)
definition l_e_st_eq_landau_n_pf ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) : l_e_st_eq_landau_n_frac).

(* constant 1230 *)
definition l_e_st_eq_landau_n_ii3_t1 ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ispl12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2))) (l_e_st_eq_landau_n_ts y1 x2) (l_e_st_eq_landau_n_ndis12 x1 x2 y1 y2) (l_e_st_eq_landau_n_ndis12 y1 y2 x1 x2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts y1 x2))).

(* constant 1231 *)
definition l_e_st_eq_landau_n_ii3_t2 ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ists12 (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2)) x2 (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2)) y2 (l_e_st_eq_landau_n_denis x1 x2) (l_e_st_eq_landau_n_denis y1 y2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_ts x2 y2)).

(* constant 1232 *)
definition l_e_st_eq_landau_n_pf12 ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_isnd (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2)))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts y1 x2)) (l_e_st_eq_landau_n_ts x2 y2) (l_e_st_eq_landau_n_ii3_t1 x1 x2 y1 y2) (l_e_st_eq_landau_n_ii3_t2 x1 x2 y1 y2) : l_e_is l_e_st_eq_landau_n_frac (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts y1 x2)) (l_e_st_eq_landau_n_ts x2 y2))).

(* constant 1233 *)
definition l_e_st_eq_landau_n_ii3_t3 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ispl12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ndisn2 x n1 n2) (l_e_st_eq_landau_n_ndis1d x n1 n2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)))).

(* constant 1234 *)
definition l_e_st_eq_landau_n_ii3_t4 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2)) n2 (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_denis n1 n2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2)).

(* constant 1235 *)
definition l_e_st_eq_landau_n_pf1 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_isnd (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2) (l_e_st_eq_landau_n_ii3_t3 x n1 n2) (l_e_st_eq_landau_n_ii3_t4 x n1 n2) : l_e_is l_e_st_eq_landau_n_frac (l_e_st_eq_landau_n_pf x (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2))).

(* constant 1236 *)
definition l_e_st_eq_landau_n_ii3_t5 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ispl12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ndis1d x n1 n2) (l_e_st_eq_landau_n_ndisn2 x n1 n2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2))).

(* constant 1237 *)
definition l_e_st_eq_landau_n_ii3_t6 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ists1 (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2)) n2 (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_denis n1 n2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x))).

(* constant 1238 *)
definition l_e_st_eq_landau_n_pf2 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_isnd (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2)))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ii3_t5 x n1 n2) (l_e_st_eq_landau_n_ii3_t6 x n1 n2) : l_e_is l_e_st_eq_landau_n_frac (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr n1 n2) x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x)))).

(* constant 1239 *)
definition l_e_st_eq_landau_n_pfeq12a ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_refeq1 (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts y1 x2)) (l_e_st_eq_landau_n_ts x2 y2)) (l_e_st_eq_landau_n_pf12 x1 x2 y1 y2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts y1 x2)) (l_e_st_eq_landau_n_ts x2 y2))).

(* constant 1240 *)
definition l_e_st_eq_landau_n_pfeq12b ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_refeq2 (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts y1 x2)) (l_e_st_eq_landau_n_ts x2 y2)) (l_e_st_eq_landau_n_pf12 x1 x2 y1 y2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x1 y2) (l_e_st_eq_landau_n_ts y1 x2)) (l_e_st_eq_landau_n_ts x2 y2)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2))).

(* constant 1241 *)
definition l_e_st_eq_landau_n_pfeq1a ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_refeq1 (l_e_st_eq_landau_n_pf x (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2)) (l_e_st_eq_landau_n_pf1 x n1 n2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2))).

(* constant 1242 *)
definition l_e_st_eq_landau_n_pfeq1b ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_refeq2 (l_e_st_eq_landau_n_pf x (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2)) (l_e_st_eq_landau_n_pf1 x n1 n2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2)) (l_e_st_eq_landau_n_pf x (l_e_st_eq_landau_n_fr n1 n2))).

(* constant 1243 *)
definition l_e_st_eq_landau_n_pfeq2a ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_refeq1 (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr n1 n2) x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_pf2 x n1 n2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr n1 n2) x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x)))).

(* constant 1244 *)
definition l_e_st_eq_landau_n_pfeq2b ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_refeq2 (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr n1 n2) x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_pf2 x n1 n2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n2)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr n1 n2) x)).

(* constant 1245 *)
definition l_e_st_eq_landau_n_356_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_ists1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2u x y z u)) e : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2u x y z u)))).

(* constant 1246 *)
definition l_e_st_eq_landau_n_356_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_356_t1 z u x y f e : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1247 *)
definition l_e_st_eq_landau_n_356_t3 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2u x y z u) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2u x y z u) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2u x y z u) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_stets (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2u x y z u) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2u x y z u) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2u x y z u) (l_e_st_eq_landau_n_2z x y z))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2u x y z u)))).

(* constant 1248 *)
definition l_e_st_eq_landau_n_356_t4 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_tr4is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_356_t3 x y z u e f) (l_e_st_eq_landau_n_356_t1 x y z u e f) (l_e_st_eq_landau_n_stets (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2x x))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)))).

(* constant 1249 *)
definition l_e_st_eq_landau_n_356_t5 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_tr4is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_stets (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_356_t2 x y z u e f) (l_e_st_eq_landau_n_stets (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)))).

(* constant 1250 *)
definition l_e_st_eq_landau_n_356_t6 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_ispl12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_356_t4 x y z u e f) (l_e_st_eq_landau_n_356_t5 x y z u e f) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))))).

(* constant 1251 *)
definition l_e_st_eq_landau_n_356_t7 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_disttp1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_356_t6 x y z u e f) (l_e_st_eq_landau_n_distpt1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)))).

(* constant 1252 *)
definition l_e_st_eq_landau_n_satz56 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_eqi12 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_356_t7 x y z u e f) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1253 *)
definition l_e_st_eq_landau_n_eqpf12 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_satz56 x y z u e f : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1254 *)
definition l_e_st_eq_landau_n_eqpf1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.(l_e_st_eq_landau_n_eqpf12 x y z z e (l_e_st_eq_landau_n_refeq z) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)).

(* constant 1255 *)
definition l_e_st_eq_landau_n_eqpf2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.(l_e_st_eq_landau_n_eqpf12 z z x y (l_e_st_eq_landau_n_refeq z) e : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf z y)).

(* constant 1256 *)
definition l_e_st_eq_landau_n_satz57 ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_tr3eq (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr x1 n) (l_e_st_eq_landau_n_fr x2 n)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x1 n) (l_e_st_eq_landau_n_ts x2 n)) (l_e_st_eq_landau_n_ts n n)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl x1 x2) n) (l_e_st_eq_landau_n_ts n n)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl x1 x2) n) (l_e_st_eq_landau_n_pfeq12a x1 n x2 n) (l_e_st_eq_landau_n_eqn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x1 n) (l_e_st_eq_landau_n_ts x2 n)) (l_e_st_eq_landau_n_ts n n) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl x1 x2) n) (l_e_st_eq_landau_n_distpt1 x1 x2 n)) (l_e_st_eq_landau_n_satz40c (l_e_st_eq_landau_n_pl x1 x2) n n) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr x1 n) (l_e_st_eq_landau_n_fr x2 n)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl x1 x2) n)).

(* constant 1257 *)
definition l_e_st_eq_landau_n_satz57a ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_symeq (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr x1 n) (l_e_st_eq_landau_n_fr x2 n)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl x1 x2) n) (l_e_st_eq_landau_n_satz57 x1 x2 n) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl x1 x2) n) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr x1 n) (l_e_st_eq_landau_n_fr x2 n))).

(* constant 1258 *)
definition l_e_st_eq_landau_n_satz58 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_eqnd (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_compl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x y) (l_e_st_eq_landau_n_pf y x)).

(* constant 1259 *)
definition l_e_st_eq_landau_n_compf ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz58 x y : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x y) (l_e_st_eq_landau_n_pf y x)).

(* constant 1260 *)
definition l_e_st_eq_landau_n_359_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ists1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_assts1 (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x))).

(* constant 1261 *)
definition l_e_st_eq_landau_n_359_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_ispl12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_assts1 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_359_t1 x y z) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)))).

(* constant 1262 *)
definition l_e_st_eq_landau_n_359_t3 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_disttp1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_359_t2 x y z) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)))).

(* constant 1263 *)
definition l_e_st_eq_landau_n_359_t4 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_assts2 (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x))).

(* constant 1264 *)
definition l_e_st_eq_landau_n_359_t5 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_ispl12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_359_t3 x y z) (l_e_st_eq_landau_n_359_t4 x y z) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)))).

(* constant 1265 *)
definition l_e_st_eq_landau_n_359_t6 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_distpt1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x)))).

(* constant 1266 *)
definition l_e_st_eq_landau_n_359_t7 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_359_t5 x y z) (l_e_st_eq_landau_n_asspl1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_359_t6 x y z) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x)))).

(* constant 1267 *)
definition l_e_st_eq_landau_n_satz59 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_tr3eq (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_pf x y) z) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_pf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_pfeq2a z (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_eqnd (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_359_t7 x y z) (l_e_st_eq_landau_n_assts1 (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_pfeq1b x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_pf x y) z) (l_e_st_eq_landau_n_pf x (l_e_st_eq_landau_n_pf y z))).

(* constant 1268 *)
definition l_e_st_eq_landau_n_asspf1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz59 x y z : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_pf x y) z) (l_e_st_eq_landau_n_pf x (l_e_st_eq_landau_n_pf y z))).

(* constant 1269 *)
definition l_e_st_eq_landau_n_asspf2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_symeq (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_pf x y) z) (l_e_st_eq_landau_n_pf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_asspf1 x y z) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_pf x y) z)).

(* constant 1270 *)
definition l_e_st_eq_landau_n_stets1 ≝ λa:l_e_st_eq_landau_n_nat.λb:l_e_st_eq_landau_n_nat.λc:l_e_st_eq_landau_n_nat.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a b) c) (l_e_st_eq_landau_n_ts a (l_e_st_eq_landau_n_ts b c)) (l_e_st_eq_landau_n_ts a (l_e_st_eq_landau_n_ts c b)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a c) b) (l_e_st_eq_landau_n_assts1 a b c) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts b c) (l_e_st_eq_landau_n_ts c b) a (l_e_st_eq_landau_n_comts b c)) (l_e_st_eq_landau_n_assts2 a c b) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a b) c) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a c) b)).

(* constant 1271 *)
definition l_e_st_eq_landau_n_359_t8 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_disttp1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ispl12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_assts1 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_stets1 (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)))).

(* constant 1272 *)
definition l_e_st_eq_landau_n_359_t9 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_assts2 (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_stets1 (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x))).

(* constant 1273 *)
definition l_e_st_eq_landau_n_359_anderst7 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ispl12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_359_t8 x y z) (l_e_st_eq_landau_n_359_t9 x y z)) (l_e_st_eq_landau_n_asspl1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_distpt1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x)))).

(* constant 1274 *)
definition l_e_st_eq_landau_n_360_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz18 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y))).

(* constant 1275 *)
definition l_e_st_eq_landau_n_360_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz32a (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_360_t1 x y) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x))).

(* constant 1276 *)
definition l_e_st_eq_landau_n_360_t3 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_assts1 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1277 *)
definition l_e_st_eq_landau_n_360_t4 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_ismore2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_360_t3 x y) (l_e_st_eq_landau_n_360_t2 x y) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1278 *)
definition l_e_st_eq_landau_n_satz60 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_morefi2 x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_360_t4 x y) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x y) x).

(* constant 1279 *)
definition l_e_st_eq_landau_n_satz60a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz42 (l_e_st_eq_landau_n_pf x y) x (l_e_st_eq_landau_n_satz60 x y) : l_e_st_eq_landau_n_lessf x (l_e_st_eq_landau_n_pf x y)).

(* constant 1280 *)
definition l_e_st_eq_landau_n_361_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_satz32a (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z) m : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z))).

(* constant 1281 *)
definition l_e_st_eq_landau_n_361_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_stets1 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_stets1 (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_361_t1 x y z m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x))).

(* constant 1282 *)
definition l_e_st_eq_landau_n_361_t3 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_stets1 (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x))).

(* constant 1283 *)
definition l_e_st_eq_landau_n_361_t4 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_satz19h (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_361_t3 x y z m) (l_e_st_eq_landau_n_361_t2 x y z m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)))).

(* constant 1284 *)
definition l_e_st_eq_landau_n_361_t5 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_distpt1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_distpt1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_361_t4 x y z m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x))).

(* constant 1285 *)
definition l_e_st_eq_landau_n_361_t6 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_satz32a (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_361_t5 x y z m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z))).

(* constant 1286 *)
definition l_e_st_eq_landau_n_361_t7 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_assts1 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_assts1 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_361_t6 x y z m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)))).

(* constant 1287 *)
definition l_e_st_eq_landau_n_satz61 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_morefi12 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_361_t7 x y z m) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)).

(* constant 1288 *)
definition l_e_st_eq_landau_n_satz62a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_satz61 x y z m : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)).

(* constant 1289 *)
definition l_e_st_eq_landau_n_satz62b ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.(l_e_st_eq_landau_n_eqpf1 x y z e : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)).

(* constant 1290 *)
definition l_e_st_eq_landau_n_satz62c ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_e_st_eq_landau_n_satz42 (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_satz61 y x z (l_e_st_eq_landau_n_satz43 x y l)) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)).

(* constant 1291 *)
definition l_e_st_eq_landau_n_satz62d ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_eqmoref12 (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_pf z y) (l_e_st_eq_landau_n_compf x z) (l_e_st_eq_landau_n_compf y z) (l_e_st_eq_landau_n_satz62a x y z m) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf z y)).

(* constant 1292 *)
definition l_e_st_eq_landau_n_satz62e ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.(l_e_st_eq_landau_n_eqpf2 x y z e : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf z y)).

(* constant 1293 *)
definition l_e_st_eq_landau_n_satz62f ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_e_st_eq_landau_n_eqlessf12 (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_pf z y) (l_e_st_eq_landau_n_compf x z) (l_e_st_eq_landau_n_compf y z) (l_e_st_eq_landau_n_satz62c x y z l) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf z y)).

(* constant 1294 *)
definition l_e_st_eq_landau_n_satz62g ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λm:l_e_st_eq_landau_n_moref z u.(l_e_st_eq_landau_n_eqmoref2 (l_e_st_eq_landau_n_pf x u) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_eqpf1 x y u e) (l_e_st_eq_landau_n_satz62d z u x m) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1295 *)
definition l_e_st_eq_landau_n_satz62h ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λm:l_e_st_eq_landau_n_moref z u.(l_e_st_eq_landau_n_eqmoref12 (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_pf u y) (l_e_st_eq_landau_n_compf x z) (l_e_st_eq_landau_n_compf y u) (l_e_st_eq_landau_n_satz62g x y z u e m) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf u y)).

(* constant 1296 *)
definition l_e_st_eq_landau_n_satz62j ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λl:l_e_st_eq_landau_n_lessf z u.(l_e_st_eq_landau_n_eqlessf2 (l_e_st_eq_landau_n_pf x u) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_eqpf1 x y u e) (l_e_st_eq_landau_n_satz62f z u x l) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1297 *)
definition l_e_st_eq_landau_n_satz62k ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λl:l_e_st_eq_landau_n_lessf z u.(l_e_st_eq_landau_n_eqlessf12 (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_pf u y) (l_e_st_eq_landau_n_compf x z) (l_e_st_eq_landau_n_compf y u) (l_e_st_eq_landau_n_satz62j x y z u e l) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf u y)).

(* constant 1298 *)
definition l_e_st_eq_landau_n_363_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz41a x y : l_or3 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y)).

(* constant 1299 *)
definition l_e_st_eq_landau_n_363_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz41b (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z) : l_ec3 (l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z))).

(* constant 1300 *)
definition l_e_st_eq_landau_n_satz63a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z).(l_ec3_th11 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_363_t1 x y z) (l_e_st_eq_landau_n_363_t2 x y z) (λu:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_satz62b x y z u) (λu:l_e_st_eq_landau_n_moref x y.l_e_st_eq_landau_n_satz62a x y z u) (λu:l_e_st_eq_landau_n_lessf x y.l_e_st_eq_landau_n_satz62c x y z u) m : l_e_st_eq_landau_n_moref x y).

(* constant 1301 *)
definition l_e_st_eq_landau_n_satz63b ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z).(l_ec3_th10 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_363_t1 x y z) (l_e_st_eq_landau_n_363_t2 x y z) (λu:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_satz62b x y z u) (λu:l_e_st_eq_landau_n_moref x y.l_e_st_eq_landau_n_satz62a x y z u) (λu:l_e_st_eq_landau_n_lessf x y.l_e_st_eq_landau_n_satz62c x y z u) e : l_e_st_eq_landau_n_eq x y).

(* constant 1302 *)
definition l_e_st_eq_landau_n_satz63c ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z).(l_ec3_th12 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_363_t1 x y z) (l_e_st_eq_landau_n_363_t2 x y z) (λu:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_satz62b x y z u) (λu:l_e_st_eq_landau_n_moref x y.l_e_st_eq_landau_n_satz62a x y z u) (λu:l_e_st_eq_landau_n_lessf x y.l_e_st_eq_landau_n_satz62c x y z u) l : l_e_st_eq_landau_n_lessf x y).

(* constant 1303 *)
definition l_e_st_eq_landau_n_satz63d ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf z y).(l_e_st_eq_landau_n_satz63a x y z (l_e_st_eq_landau_n_eqmoref12 (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf z y) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_compf z x) (l_e_st_eq_landau_n_compf z y) m) : l_e_st_eq_landau_n_moref x y).

(* constant 1304 *)
definition l_e_st_eq_landau_n_satz63e ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf z y).(l_e_st_eq_landau_n_satz63b x y z (l_e_st_eq_landau_n_tr3eq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf z y) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_compf x z) e (l_e_st_eq_landau_n_compf z y)) : l_e_st_eq_landau_n_eq x y).

(* constant 1305 *)
definition l_e_st_eq_landau_n_satz63f ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λf:l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf z y).(l_e_st_eq_landau_n_satz63c x y z (l_e_st_eq_landau_n_eqlessf12 (l_e_st_eq_landau_n_pf z x) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf z y) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_compf z x) (l_e_st_eq_landau_n_compf z y) f) : l_e_st_eq_landau_n_lessf x y).

(* constant 1306 *)
definition l_e_st_eq_landau_n_364_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λn:l_e_st_eq_landau_n_moref z u.(l_e_st_eq_landau_n_satz61 x y z m : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z)).

(* constant 1307 *)
definition l_e_st_eq_landau_n_364_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λn:l_e_st_eq_landau_n_moref z u.(l_e_st_eq_landau_n_eqmoref12 (l_e_st_eq_landau_n_pf z y) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_pf u y) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_compf z y) (l_e_st_eq_landau_n_compf u y) (l_e_st_eq_landau_n_satz61 z u y n) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1308 *)
definition l_e_st_eq_landau_n_satz64 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λn:l_e_st_eq_landau_n_moref z u.(l_e_st_eq_landau_n_trmoref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_364_t1 x y z u m n) (l_e_st_eq_landau_n_364_t2 x y z u m n) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1309 *)
definition l_e_st_eq_landau_n_satz64a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.λk:l_e_st_eq_landau_n_lessf z u.(l_e_st_eq_landau_n_satz42 (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_satz64 y x u z (l_e_st_eq_landau_n_satz43 x y l) (l_e_st_eq_landau_n_satz43 z u k)) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1310 *)
definition l_e_st_eq_landau_n_satz65a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moref z u.(l_orapp (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)) m (λv:l_e_st_eq_landau_n_moref x y.l_e_st_eq_landau_n_satz64 x y z u v n) (λv:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_satz62g x y z u v n) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1311 *)
definition l_e_st_eq_landau_n_satz65b ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λn:l_e_st_eq_landau_n_moreq z u.(l_orapp (l_e_st_eq_landau_n_moref z u) (l_e_st_eq_landau_n_eq z u) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)) n (λv:l_e_st_eq_landau_n_moref z u.l_e_st_eq_landau_n_satz64 x y z u m v) (λv:l_e_st_eq_landau_n_eq z u.l_e_st_eq_landau_n_eqmoref2 (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_eqpf2 z u y v) (l_e_st_eq_landau_n_satz61 x y z m)) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1312 *)
definition l_e_st_eq_landau_n_satz65c ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lessf z u.(l_e_st_eq_landau_n_satz42 (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_satz65a y x u z (l_e_st_eq_landau_n_satz49 x y l) (l_e_st_eq_landau_n_satz43 z u k)) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1313 *)
definition l_e_st_eq_landau_n_satz65d ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.λk:l_e_st_eq_landau_n_lesseq z u.(l_e_st_eq_landau_n_satz42 (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_satz65b y x u z (l_e_st_eq_landau_n_satz43 x y l) (l_e_st_eq_landau_n_satz49 z u k)) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1314 *)
definition l_e_st_eq_landau_n_366_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moreq z u.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_moreqi2 (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_satz56 x y z u e f) : l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1315 *)
definition l_e_st_eq_landau_n_366_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moreq z u.λe:l_e_st_eq_landau_n_eq x y.λo:l_e_st_eq_landau_n_moref z u.(l_e_st_eq_landau_n_moreqi1 (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_satz65a x y z u m o) : l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1316 *)
definition l_e_st_eq_landau_n_366_t3 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moreq z u.λe:l_e_st_eq_landau_n_eq x y.(l_orapp (l_e_st_eq_landau_n_moref z u) (l_e_st_eq_landau_n_eq z u) (l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)) n (λv:l_e_st_eq_landau_n_moref z u.l_e_st_eq_landau_n_366_t2 x y z u m n e v) (λv:l_e_st_eq_landau_n_eq z u.l_e_st_eq_landau_n_366_t1 x y z u m n e v) : l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1317 *)
definition l_e_st_eq_landau_n_366_t4 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moreq z u.λo:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_moreqi1 (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_satz65b x y z u o n) : l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1318 *)
definition l_e_st_eq_landau_n_satz66 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moreq z u.(l_orapp (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)) m (λv:l_e_st_eq_landau_n_moref x y.l_e_st_eq_landau_n_366_t4 x y z u m n v) (λv:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_366_t3 x y z u m n v) : l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1319 *)
definition l_e_st_eq_landau_n_satz66a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lesseq z u.(l_e_st_eq_landau_n_satz48 (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_satz66 y x u z (l_e_st_eq_landau_n_satz49 x y l) (l_e_st_eq_landau_n_satz49 z u k)) : l_e_st_eq_landau_n_lesseq (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u)).

(* constant 1320 *)
definition l_e_st_eq_landau_n_367_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λv:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y v) x.(l_e_st_eq_landau_n_eqmoref1 (l_e_st_eq_landau_n_pf y v) x y e (l_e_st_eq_landau_n_satz60 y v) : l_e_st_eq_landau_n_moref x y).

(* constant 1321 *)
definition l_e_st_eq_landau_n_367_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λv:l_e_st_eq_landau_n_frac.(l_imp_th3 (l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y v) x) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_satz41d x y l) (λt:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y v) x.l_e_st_eq_landau_n_367_t1 x y l v t) : l_not (l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y v) x)).

(* constant 1322 *)
definition l_e_st_eq_landau_n_vorbemerkung67 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.(l_some_th5 l_e_st_eq_landau_n_frac (λv:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y v) x) (λv:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_367_t2 x y l v) : l_not (l_some l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y t) x))).

(* constant 1323 *)
definition l_e_st_eq_landau_n_satz67b ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λv:l_e_st_eq_landau_n_frac.λw:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y v) x.λf:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y w) x.(l_e_st_eq_landau_n_satz63e v w y (l_e_st_eq_landau_n_treq2 (l_e_st_eq_landau_n_pf y v) (l_e_st_eq_landau_n_pf y w) x e f) : l_e_st_eq_landau_n_eq v w).

(* constant 1324 *)
definition l_e_st_eq_landau_n_367_t3 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_onei l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) t) (l_e_st_eq_landau_n_satz8b (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x))) m : l_e_st_eq_landau_n_one (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) t)).

(* constant 1325 *)
definition l_e_st_eq_landau_n_367_vo ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_ind l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) t) (l_e_st_eq_landau_n_367_t3 x y m) : l_e_st_eq_landau_n_nat).

(* constant 1326 *)
definition l_e_st_eq_landau_n_367_t4 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_oneax l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) t) (l_e_st_eq_landau_n_367_t3 x y m) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_367_vo x y m))).

(* constant 1327 *)
definition l_e_st_eq_landau_n_367_w ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_367_vo x y m) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) : l_e_st_eq_landau_n_frac).

(* constant 1328 *)
definition l_e_st_eq_landau_n_367_t5 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_treq y (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_satz40 y (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_eqd (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x))) : l_e_st_eq_landau_n_eq y (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))).

(* constant 1329 *)
definition l_e_st_eq_landau_n_367_t6 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_tr4eq (l_e_st_eq_landau_n_pf y (l_e_st_eq_landau_n_367_w x y m)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_367_vo x y m) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_367_vo x y m)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) x (l_e_st_eq_landau_n_eqpf1 y (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_367_w x y m) (l_e_st_eq_landau_n_367_t5 x y m)) (l_e_st_eq_landau_n_satz57 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_367_vo x y m) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_eqn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_367_vo x y m)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_367_vo x y m)) (l_e_st_eq_landau_n_367_t4 x y m))) (l_e_st_eq_landau_n_satz40a x (l_e_st_eq_landau_n_2y x y)) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y (l_e_st_eq_landau_n_367_w x y m)) x).

(* constant 1330 *)
definition l_e_st_eq_landau_n_satz67a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_somei l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y t) x) (l_e_st_eq_landau_n_367_w x y m) (l_e_st_eq_landau_n_367_t6 x y m) : l_some l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y t) x)).

(* constant 1331 *)
definition l_e_st_eq_landau_n_mf ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_367_w x y m : l_e_st_eq_landau_n_frac).

(* constant 1332 *)
definition l_e_st_eq_landau_n_satz67c ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_367_t6 x y m : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y (l_e_st_eq_landau_n_mf x y m)) x).

(* constant 1333 *)
definition l_e_st_eq_landau_n_satz67d ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_symeq (l_e_st_eq_landau_n_pf y (l_e_st_eq_landau_n_mf x y m)) x (l_e_st_eq_landau_n_satz67c x y m) : l_e_st_eq_landau_n_eq x (l_e_st_eq_landau_n_pf y (l_e_st_eq_landau_n_mf x y m))).

(* constant 1334 *)
definition l_e_st_eq_landau_n_satz67e ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λv:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y v) x.(l_e_st_eq_landau_n_satz67b x y v (l_e_st_eq_landau_n_mf x y m) e (l_e_st_eq_landau_n_satz67c x y m) : l_e_st_eq_landau_n_eq v (l_e_st_eq_landau_n_mf x y m)).

(* constant 1335 *)
definition l_e_st_eq_landau_n_tf ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) : l_e_st_eq_landau_n_frac).

(* constant 1336 *)
definition l_e_st_eq_landau_n_ii4_t1 ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ists12 (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) x1 (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y1 y2)) y1 (l_e_st_eq_landau_n_numis x1 x2) (l_e_st_eq_landau_n_numis y1 y2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_ts x1 y1)).

(* constant 1337 *)
definition l_e_st_eq_landau_n_ii4_t2 ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ists12 (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2)) x2 (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2)) y2 (l_e_st_eq_landau_n_denis x1 x2) (l_e_st_eq_landau_n_denis y1 y2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_ts x2 y2)).

(* constant 1338 *)
definition l_e_st_eq_landau_n_tf12 ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_isnd (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y1 y2))) (l_e_st_eq_landau_n_ts x1 y1) (l_e_st_eq_landau_n_ts x2 y2) (l_e_st_eq_landau_n_ii4_t1 x1 x2 y1 y2) (l_e_st_eq_landau_n_ii4_t2 x1 x2 y1 y2) : l_e_is l_e_st_eq_landau_n_frac (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x1 y1) (l_e_st_eq_landau_n_ts x2 y2))).

(* constant 1339 *)
definition l_e_st_eq_landau_n_ii4_t3 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) n1 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_numis n1 n2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n1)).

(* constant 1340 *)
definition l_e_st_eq_landau_n_ii4_t4 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2)) n2 (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_denis n1 n2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2)).

(* constant 1341 *)
definition l_e_st_eq_landau_n_tf1 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_isnd (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2) (l_e_st_eq_landau_n_ii4_t3 x n1 n2) (l_e_st_eq_landau_n_ii4_t4 x n1 n2) : l_e_is l_e_st_eq_landau_n_frac (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2))).

(* constant 1342 *)
definition l_e_st_eq_landau_n_ii4_t5 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ists1 (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) n1 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_numis n1 n2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_1x x))).

(* constant 1343 *)
definition l_e_st_eq_landau_n_ii4_t6 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_ists1 (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2)) n2 (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_denis n1 n2) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x))).

(* constant 1344 *)
definition l_e_st_eq_landau_n_tf2 ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_isnd (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ii4_t5 x n1 n2) (l_e_st_eq_landau_n_ii4_t6 x n1 n2) : l_e_is l_e_st_eq_landau_n_frac (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr n1 n2) x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x)))).

(* constant 1345 *)
definition l_e_st_eq_landau_n_tfeq12a ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_refeq1 (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x1 y1) (l_e_st_eq_landau_n_ts x2 y2)) (l_e_st_eq_landau_n_tf12 x1 x2 y1 y2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x1 y1) (l_e_st_eq_landau_n_ts x2 y2))).

(* constant 1346 *)
definition l_e_st_eq_landau_n_tfeq12b ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.λy1:l_e_st_eq_landau_n_nat.λy2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_refeq2 (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x1 y1) (l_e_st_eq_landau_n_ts x2 y2)) (l_e_st_eq_landau_n_tf12 x1 x2 y1 y2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x1 y1) (l_e_st_eq_landau_n_ts x2 y2)) (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr x1 x2) (l_e_st_eq_landau_n_fr y1 y2))).

(* constant 1347 *)
definition l_e_st_eq_landau_n_tfeq1a ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_refeq1 (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2)) (l_e_st_eq_landau_n_tf1 x n1 n2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2))).

(* constant 1348 *)
definition l_e_st_eq_landau_n_tfeq1b ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_refeq2 (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_fr n1 n2)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2)) (l_e_st_eq_landau_n_tf1 x n1 n2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) n1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) n2)) (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_fr n1 n2))).

(* constant 1349 *)
definition l_e_st_eq_landau_n_tfeq2a ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_refeq1 (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr n1 n2) x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_tf2 x n1 n2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr n1 n2) x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x)))).

(* constant 1350 *)
definition l_e_st_eq_landau_n_tfeq2b ≝ λx:l_e_st_eq_landau_n_frac.λn1:l_e_st_eq_landau_n_nat.λn2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_refeq2 (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr n1 n2) x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_tf2 x n1 n2) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts n1 (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_ts n2 (l_e_st_eq_landau_n_2x x))) (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr n1 n2) x)).

(* constant 1351 *)
definition l_e_st_eq_landau_n_468_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_ists12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) e f : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)))).

(* constant 1352 *)
definition l_e_st_eq_landau_n_stets2 ≝ λa:l_e_st_eq_landau_n_nat.λb:l_e_st_eq_landau_n_nat.λc:l_e_st_eq_landau_n_nat.λd:l_e_st_eq_landau_n_nat.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a b) (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a b) (l_e_st_eq_landau_n_ts d c)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a c) (l_e_st_eq_landau_n_ts d b)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a c) (l_e_st_eq_landau_n_ts b d)) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts c d) (l_e_st_eq_landau_n_ts d c) (l_e_st_eq_landau_n_ts a b) (l_e_st_eq_landau_n_comts c d)) (l_e_st_eq_landau_n_stets a b d c) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts d b) (l_e_st_eq_landau_n_ts b d) (l_e_st_eq_landau_n_ts a c) (l_e_st_eq_landau_n_comts d b)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a b) (l_e_st_eq_landau_n_ts c d)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts a c) (l_e_st_eq_landau_n_ts b d))).

(* constant 1353 *)
definition l_e_st_eq_landau_n_468_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_1u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_stets2 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_468_t1 x y z u e f) (l_e_st_eq_landau_n_stets2 (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1u x y z u) (l_e_st_eq_landau_n_2z x y z)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_1u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)))).

(* constant 1354 *)
definition l_e_st_eq_landau_n_satz68 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_eqi12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_1u x y z u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2u x y z u)) (l_e_st_eq_landau_n_468_t2 x y z u e f) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1355 *)
definition l_e_st_eq_landau_n_eqtf12 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_satz68 x y z u e f : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1356 *)
definition l_e_st_eq_landau_n_eqtf1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.(l_e_st_eq_landau_n_eqtf12 x y z z e (l_e_st_eq_landau_n_refeq z) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)).

(* constant 1357 *)
definition l_e_st_eq_landau_n_eqtf2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.(l_e_st_eq_landau_n_eqtf12 z z x y (l_e_st_eq_landau_n_refeq z) e : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf z y)).

(* constant 1358 *)
definition l_e_st_eq_landau_n_satz69 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_eqnd (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_1x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x y) (l_e_st_eq_landau_n_tf y x)).

(* constant 1359 *)
definition l_e_st_eq_landau_n_comtf ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz69 x y : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x y) (l_e_st_eq_landau_n_tf y x)).

(* constant 1360 *)
definition l_e_st_eq_landau_n_satz70 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_tr3eq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_tf x y) z) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_1z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_tfeq2a z (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_eqnd (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_1z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_assts1 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_assts1 (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_tfeq1b x (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_tf x y) z) (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_tf y z))).

(* constant 1361 *)
definition l_e_st_eq_landau_n_asstf1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz70 x y z : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_tf x y) z) (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_tf y z))).

(* constant 1362 *)
definition l_e_st_eq_landau_n_asstf2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_symeq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_tf x y) z) (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_asstf1 x y z) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_tf x y) z)).

(* constant 1363 *)
definition l_e_st_eq_landau_n_471_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_tr3eq (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))))) (l_e_st_eq_landau_n_tfeq1a x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_eqn (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_disttp2 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_satz57a (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))))).

(* constant 1364 *)
definition l_e_st_eq_landau_n_471_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_treq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_tf x y) (l_e_st_eq_landau_n_eqnd (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_assts2 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_assts2 (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_satz40c (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2z x y z)) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_tf x y)).

(* constant 1365 *)
definition l_e_st_eq_landau_n_471_t3 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_treq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2y x y)))) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_eqd (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2z x y z) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_471_t2 x z y) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_tf x z)).

(* constant 1366 *)
definition l_e_st_eq_landau_n_satz71 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_treq (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))))) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_tf x y) (l_e_st_eq_landau_n_tf x z)) (l_e_st_eq_landau_n_471_t1 x y z) (l_e_st_eq_landau_n_eqpf12 (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_tf x y) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)))) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_471_t2 x y z) (l_e_st_eq_landau_n_471_t3 x y z)) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_tf x y) (l_e_st_eq_landau_n_tf x z))).

(* constant 1367 *)
definition l_e_st_eq_landau_n_disttpf1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_tr3eq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_pf x y) z) (l_e_st_eq_landau_n_tf z (l_e_st_eq_landau_n_pf x y)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf z y)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_comtf (l_e_st_eq_landau_n_pf x y) z) (l_e_st_eq_landau_n_satz71 z x y) (l_e_st_eq_landau_n_eqpf12 (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf z y) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_comtf z x) (l_e_st_eq_landau_n_comtf z y)) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_pf x y) z) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z))).

(* constant 1368 *)
definition l_e_st_eq_landau_n_disttpf2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz71 x y z : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_tf x y) (l_e_st_eq_landau_n_tf x z))).

(* constant 1369 *)
definition l_e_st_eq_landau_n_distptf1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_symeq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_pf x y) z) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_disttpf1 x y z) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_pf x y) z)).

(* constant 1370 *)
definition l_e_st_eq_landau_n_distptf2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_symeq (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_tf x y) (l_e_st_eq_landau_n_tf x z)) (l_e_st_eq_landau_n_disttpf2 x y z) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_tf x y) (l_e_st_eq_landau_n_tf x z)) (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_pf y z))).

(* constant 1371 *)
definition l_e_st_eq_landau_n_472_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_satz32a (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2z x y z)) m : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2z x y z)))).

(* constant 1372 *)
definition l_e_st_eq_landau_n_472_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_stets2 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_stets2 (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1z x y z) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_472_t1 x y z m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)))).

(* constant 1373 *)
definition l_e_st_eq_landau_n_satz72a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_morefi12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_1z x y z)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_2z x y z)) (l_e_st_eq_landau_n_472_t2 x y z m) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)).

(* constant 1374 *)
definition l_e_st_eq_landau_n_satz72b ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.(l_e_st_eq_landau_n_satz68 x y z z e (l_e_st_eq_landau_n_refeq z) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)).

(* constant 1375 *)
definition l_e_st_eq_landau_n_satz72c ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_e_st_eq_landau_n_satz42 (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_satz72a y x z (l_e_st_eq_landau_n_satz43 x y l)) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)).

(* constant 1376 *)
definition l_e_st_eq_landau_n_satz72d ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_eqmoref12 (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_tf z y) (l_e_st_eq_landau_n_comtf x z) (l_e_st_eq_landau_n_comtf y z) (l_e_st_eq_landau_n_satz72a x y z m) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf z y)).

(* constant 1377 *)
definition l_e_st_eq_landau_n_satz72e ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.(l_e_st_eq_landau_n_eqtf2 x y z e : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf z y)).

(* constant 1378 *)
definition l_e_st_eq_landau_n_satz72f ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.(l_e_st_eq_landau_n_eqlessf12 (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_tf z y) (l_e_st_eq_landau_n_comtf x z) (l_e_st_eq_landau_n_comtf y z) (l_e_st_eq_landau_n_satz72c x y z l) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf z y)).

(* constant 1379 *)
definition l_e_st_eq_landau_n_satz72g ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λm:l_e_st_eq_landau_n_moref z u.(l_e_st_eq_landau_n_eqmoref2 (l_e_st_eq_landau_n_tf x u) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_eqtf1 x y u e) (l_e_st_eq_landau_n_satz72d z u x m) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1380 *)
definition l_e_st_eq_landau_n_satz72h ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λm:l_e_st_eq_landau_n_moref z u.(l_e_st_eq_landau_n_eqmoref12 (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_tf u y) (l_e_st_eq_landau_n_comtf x z) (l_e_st_eq_landau_n_comtf y u) (l_e_st_eq_landau_n_satz72g x y z u e m) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf u y)).

(* constant 1381 *)
definition l_e_st_eq_landau_n_satz72j ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λl:l_e_st_eq_landau_n_lessf z u.(l_e_st_eq_landau_n_eqlessf2 (l_e_st_eq_landau_n_tf x u) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_eqtf1 x y u e) (l_e_st_eq_landau_n_satz72f z u x l) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1382 *)
definition l_e_st_eq_landau_n_satz72k ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λl:l_e_st_eq_landau_n_lessf z u.(l_e_st_eq_landau_n_eqlessf12 (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_tf u y) (l_e_st_eq_landau_n_comtf x z) (l_e_st_eq_landau_n_comtf y u) (l_e_st_eq_landau_n_satz72j x y z u e l) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf u y)).

(* constant 1383 *)
definition l_e_st_eq_landau_n_473_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz41a x y : l_or3 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y)).

(* constant 1384 *)
definition l_e_st_eq_landau_n_473_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_satz41b (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z) : l_ec3 (l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z))).

(* constant 1385 *)
definition l_e_st_eq_landau_n_satz73a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z).(l_ec3_th11 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_473_t1 x y z) (l_e_st_eq_landau_n_473_t2 x y z) (λu:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_satz72b x y z u) (λu:l_e_st_eq_landau_n_moref x y.l_e_st_eq_landau_n_satz72a x y z u) (λu:l_e_st_eq_landau_n_lessf x y.l_e_st_eq_landau_n_satz72c x y z u) m : l_e_st_eq_landau_n_moref x y).

(* constant 1386 *)
definition l_e_st_eq_landau_n_satz73b ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z).(l_ec3_th10 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_473_t1 x y z) (l_e_st_eq_landau_n_473_t2 x y z) (λu:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_satz72b x y z u) (λu:l_e_st_eq_landau_n_moref x y.l_e_st_eq_landau_n_satz72a x y z u) (λu:l_e_st_eq_landau_n_lessf x y.l_e_st_eq_landau_n_satz72c x y z u) e : l_e_st_eq_landau_n_eq x y).

(* constant 1387 *)
definition l_e_st_eq_landau_n_satz73c ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z).(l_ec3_th12 (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_lessf x y) (l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_473_t1 x y z) (l_e_st_eq_landau_n_473_t2 x y z) (λu:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_satz72b x y z u) (λu:l_e_st_eq_landau_n_moref x y.l_e_st_eq_landau_n_satz72a x y z u) (λu:l_e_st_eq_landau_n_lessf x y.l_e_st_eq_landau_n_satz72c x y z u) l : l_e_st_eq_landau_n_lessf x y).

(* constant 1388 *)
definition l_e_st_eq_landau_n_satz73d ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf z y).(l_e_st_eq_landau_n_satz73a x y z (l_e_st_eq_landau_n_eqmoref12 (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf z y) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_comtf z x) (l_e_st_eq_landau_n_comtf z y) m) : l_e_st_eq_landau_n_moref x y).

(* constant 1389 *)
definition l_e_st_eq_landau_n_satz73e ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf z y).(l_e_st_eq_landau_n_satz73b x y z (l_e_st_eq_landau_n_tr3eq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf z y) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_comtf x z) e (l_e_st_eq_landau_n_comtf z y)) : l_e_st_eq_landau_n_eq x y).

(* constant 1390 *)
definition l_e_st_eq_landau_n_satz73f ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf z y).(l_e_st_eq_landau_n_satz73c x y z (l_e_st_eq_landau_n_eqlessf12 (l_e_st_eq_landau_n_tf z x) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf z y) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_comtf z x) (l_e_st_eq_landau_n_comtf z y) l) : l_e_st_eq_landau_n_lessf x y).

(* constant 1391 *)
definition l_e_st_eq_landau_n_474_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λn:l_e_st_eq_landau_n_moref z u.(l_e_st_eq_landau_n_satz72a x y z m : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z)).

(* constant 1392 *)
definition l_e_st_eq_landau_n_474_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λn:l_e_st_eq_landau_n_moref z u.(l_e_st_eq_landau_n_eqmoref12 (l_e_st_eq_landau_n_tf z y) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_tf u y) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_comtf z y) (l_e_st_eq_landau_n_comtf u y) (l_e_st_eq_landau_n_satz72a z u y n) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1393 *)
definition l_e_st_eq_landau_n_satz74 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λn:l_e_st_eq_landau_n_moref z u.(l_e_st_eq_landau_n_trmoref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_474_t1 x y z u m n) (l_e_st_eq_landau_n_474_t2 x y z u m n) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1394 *)
definition l_e_st_eq_landau_n_satz74a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.λk:l_e_st_eq_landau_n_lessf z u.(l_e_st_eq_landau_n_satz42 (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_satz74 y x u z (l_e_st_eq_landau_n_satz43 x y l) (l_e_st_eq_landau_n_satz43 z u k)) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1395 *)
definition l_e_st_eq_landau_n_satz75a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moref z u.(l_orapp (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)) m (λv:l_e_st_eq_landau_n_moref x y.l_e_st_eq_landau_n_satz74 x y z u v n) (λv:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_satz72g x y z u v n) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1396 *)
definition l_e_st_eq_landau_n_satz75b ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref x y.λn:l_e_st_eq_landau_n_moreq z u.(l_orapp (l_e_st_eq_landau_n_moref z u) (l_e_st_eq_landau_n_eq z u) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)) n (λv:l_e_st_eq_landau_n_moref z u.l_e_st_eq_landau_n_satz74 x y z u m v) (λv:l_e_st_eq_landau_n_eq z u.l_e_st_eq_landau_n_eqmoref2 (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_eqtf2 z u y v) (l_e_st_eq_landau_n_satz72a x y z m)) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1397 *)
definition l_e_st_eq_landau_n_satz75c ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lessf z u.(l_e_st_eq_landau_n_satz42 (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_satz75a y x u z (l_e_st_eq_landau_n_satz49 x y l) (l_e_st_eq_landau_n_satz43 z u k)) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1398 *)
definition l_e_st_eq_landau_n_satz75d ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf x y.λk:l_e_st_eq_landau_n_lesseq z u.(l_e_st_eq_landau_n_satz42 (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_satz75b y x u z (l_e_st_eq_landau_n_satz43 x y l) (l_e_st_eq_landau_n_satz49 z u k)) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1399 *)
definition l_e_st_eq_landau_n_476_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moreq z u.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_moreqi2 (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_satz68 x y z u e f) : l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1400 *)
definition l_e_st_eq_landau_n_476_t2 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moreq z u.λe:l_e_st_eq_landau_n_eq x y.λo:l_e_st_eq_landau_n_moref z u.(l_e_st_eq_landau_n_moreqi1 (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_satz75a x y z u m o) : l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1401 *)
definition l_e_st_eq_landau_n_476_t3 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moreq z u.λe:l_e_st_eq_landau_n_eq x y.(l_orapp (l_e_st_eq_landau_n_moref z u) (l_e_st_eq_landau_n_eq z u) (l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)) n (λv:l_e_st_eq_landau_n_moref z u.l_e_st_eq_landau_n_476_t2 x y z u m n e v) (λv:l_e_st_eq_landau_n_eq z u.l_e_st_eq_landau_n_476_t1 x y z u m n e v) : l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1402 *)
definition l_e_st_eq_landau_n_476_t4 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moreq z u.λo:l_e_st_eq_landau_n_moref x y.(l_e_st_eq_landau_n_moreqi1 (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_satz75b x y z u o n) : l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1403 *)
definition l_e_st_eq_landau_n_satz76 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moreq x y.λn:l_e_st_eq_landau_n_moreq z u.(l_orapp (l_e_st_eq_landau_n_moref x y) (l_e_st_eq_landau_n_eq x y) (l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)) m (λv:l_e_st_eq_landau_n_moref x y.l_e_st_eq_landau_n_476_t4 x y z u m n v) (λv:l_e_st_eq_landau_n_eq x y.l_e_st_eq_landau_n_476_t3 x y z u m n v) : l_e_st_eq_landau_n_moreq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1404 *)
definition l_e_st_eq_landau_n_satz76a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lesseq x y.λk:l_e_st_eq_landau_n_lesseq z u.(l_e_st_eq_landau_n_satz48 (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_satz76 y x u z (l_e_st_eq_landau_n_satz49 x y l) (l_e_st_eq_landau_n_satz49 z u k)) : l_e_st_eq_landau_n_lesseq (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u)).

(* constant 1405 *)
definition l_e_st_eq_landau_n_satz77b ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λv:l_e_st_eq_landau_n_frac.λw:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf y v) x.λf:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf y w) x.(l_e_st_eq_landau_n_satz73e v w y (l_e_st_eq_landau_n_treq2 (l_e_st_eq_landau_n_tf y v) (l_e_st_eq_landau_n_tf y w) x e f) : l_e_st_eq_landau_n_eq v w).

(* constant 1406 *)
definition l_e_st_eq_landau_n_477_v ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1y x y)) : l_e_st_eq_landau_n_frac).

(* constant 1407 *)
definition l_e_st_eq_landau_n_477_t1 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_tr4eq (l_e_st_eq_landau_n_tf y (l_e_st_eq_landau_n_477_v x y)) (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_477_v x y) y) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)))) x (l_e_st_eq_landau_n_comtf y (l_e_st_eq_landau_n_477_v x y)) (l_e_st_eq_landau_n_tfeq2a y (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1y x y))) (l_e_st_eq_landau_n_eqnd (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_1y x y))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_assts1 (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_1y x y)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y)) (l_e_st_eq_landau_n_1x x) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_2y x y) (l_e_st_eq_landau_n_1y x y)))) (l_e_st_eq_landau_n_assts1 (l_e_st_eq_landau_n_2x x) (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) (l_e_st_eq_landau_n_satz40a x (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_1y x y) (l_e_st_eq_landau_n_2y x y))) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf y (l_e_st_eq_landau_n_477_v x y)) x).

(* constant 1408 *)
definition l_e_st_eq_landau_n_satz77a ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.(l_somei l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf y t) x) (l_e_st_eq_landau_n_477_v x y) (l_e_st_eq_landau_n_477_t1 x y) : l_some l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf y t) x)).

(* constant 1409 *)
definition l_e_st_eq_landau_n_rt_eq ≝ (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq x y : ∀x:l_e_st_eq_landau_n_frac.∀y:l_e_st_eq_landau_n_frac.Prop).

(* constant 1410 *)
definition l_e_st_eq_landau_n_rt_refeq ≝ (λx:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_refeq x : ∀x:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_eq x x).

(* constant 1411 *)
definition l_e_st_eq_landau_n_rt_symeq ≝ (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λt:l_e_st_eq_landau_n_rt_eq x y.l_e_st_eq_landau_n_symeq x y t : ∀x:l_e_st_eq_landau_n_frac.∀y:l_e_st_eq_landau_n_frac.∀t:l_e_st_eq_landau_n_rt_eq x y.l_e_st_eq_landau_n_rt_eq y x).

(* constant 1412 *)
definition l_e_st_eq_landau_n_rt_treq ≝ (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λt:l_e_st_eq_landau_n_rt_eq x y.λu:l_e_st_eq_landau_n_rt_eq y z.l_e_st_eq_landau_n_treq x y z t u : ∀x:l_e_st_eq_landau_n_frac.∀y:l_e_st_eq_landau_n_frac.∀z:l_e_st_eq_landau_n_frac.∀t:l_e_st_eq_landau_n_rt_eq x y.∀u:l_e_st_eq_landau_n_rt_eq y z.l_e_st_eq_landau_n_rt_eq x z).

(* constant 1413 *)
definition l_e_st_eq_landau_n_rt_inf ≝ λx:l_e_st_eq_landau_n_frac.λs:l_e_st_set l_e_st_eq_landau_n_frac.(l_e_st_esti l_e_st_eq_landau_n_frac x s : Prop).

(* constant 1414 *)
definition l_e_st_eq_landau_n_rt_rat ≝ (l_e_st_eq_ect l_e_st_eq_landau_n_frac l_e_st_eq_landau_n_rt_eq l_e_st_eq_landau_n_rt_refeq l_e_st_eq_landau_n_rt_symeq l_e_st_eq_landau_n_rt_treq : Type[0]).

(* constant 1415 *)
definition l_e_st_eq_landau_n_rt_is ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_is l_e_st_eq_landau_n_rt_rat x0 y0 : Prop).

(* constant 1416 *)
definition l_e_st_eq_landau_n_rt_nis ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_not (l_e_st_eq_landau_n_rt_is x0 y0) : Prop).

(* constant 1417 *)
definition l_e_st_eq_landau_n_rt_some ≝ λp:∀x:l_e_st_eq_landau_n_rt_rat.Prop.(l_some l_e_st_eq_landau_n_rt_rat p : Prop).

(* constant 1418 *)
definition l_e_st_eq_landau_n_rt_all ≝ λp:∀x:l_e_st_eq_landau_n_rt_rat.Prop.(l_all l_e_st_eq_landau_n_rt_rat p : Prop).

(* constant 1419 *)
definition l_e_st_eq_landau_n_rt_one ≝ λp:∀x:l_e_st_eq_landau_n_rt_rat.Prop.(l_e_one l_e_st_eq_landau_n_rt_rat p : Prop).

(* constant 1420 *)
definition l_e_st_eq_landau_n_rt_in ≝ λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.(l_e_st_esti l_e_st_eq_landau_n_rt_rat x0 s : Prop).

(* constant 1421 *)
definition l_e_st_eq_landau_n_rt_ratof ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_ectelt l_e_st_eq_landau_n_frac l_e_st_eq_landau_n_rt_eq l_e_st_eq_landau_n_rt_refeq l_e_st_eq_landau_n_rt_symeq l_e_st_eq_landau_n_rt_treq x : l_e_st_eq_landau_n_rt_rat).

(* constant 1422 *)
definition l_e_st_eq_landau_n_rt_class ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_ecect l_e_st_eq_landau_n_frac l_e_st_eq_landau_n_rt_eq l_e_st_eq_landau_n_rt_refeq l_e_st_eq_landau_n_rt_symeq l_e_st_eq_landau_n_rt_treq x0 : l_e_st_set l_e_st_eq_landau_n_frac).

(* constant 1423 *)
definition l_e_st_eq_landau_n_rt_inclass ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_4_th5 l_e_st_eq_landau_n_frac l_e_st_eq_landau_n_rt_eq l_e_st_eq_landau_n_rt_refeq l_e_st_eq_landau_n_rt_symeq l_e_st_eq_landau_n_rt_treq x : l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class (l_e_st_eq_landau_n_rt_ratof x))).

(* constant 1424 *)
definition l_e_st_eq_landau_n_rt_lemmaeq1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λe:l_e_st_eq_landau_n_eq x y.(l_e_st_eq_4_th8 l_e_st_eq_landau_n_frac l_e_st_eq_landau_n_rt_eq l_e_st_eq_landau_n_rt_refeq l_e_st_eq_landau_n_rt_symeq l_e_st_eq_landau_n_rt_treq x0 x xix0 y e : l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class x0)).

(* constant 1425 *)
definition l_e_st_eq_landau_n_rt_ratapp1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λa:Prop.λa1:∀x:l_e_st_eq_landau_n_frac.∀xi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).a.(l_e_st_eq_4_th3 l_e_st_eq_landau_n_frac l_e_st_eq_landau_n_rt_eq l_e_st_eq_landau_n_rt_refeq l_e_st_eq_landau_n_rt_symeq l_e_st_eq_landau_n_rt_treq x0 a a1 : a).

(* constant 1426 *)
definition l_e_st_eq_landau_n_rt_ii5_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λa:Prop.λa1:∀x:l_e_st_eq_landau_n_frac.∀y:l_e_st_eq_landau_n_frac.∀xi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).∀yi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).a.λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_e_st_eq_landau_n_rt_ratapp1 y0 a (λy:l_e_st_eq_landau_n_frac.λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).a1 x y xix0 yi) : a).

(* constant 1427 *)
definition l_e_st_eq_landau_n_rt_ratapp2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λa:Prop.λa1:∀x:l_e_st_eq_landau_n_frac.∀y:l_e_st_eq_landau_n_frac.∀xi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).∀yi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).a.(l_e_st_eq_landau_n_rt_ratapp1 x0 a (λx:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).l_e_st_eq_landau_n_rt_ii5_t1 x0 y0 a a1 x xi) : a).

(* constant 1428 *)
definition l_e_st_eq_landau_n_rt_ii5_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λa:Prop.λa1:∀x:l_e_st_eq_landau_n_frac.∀y:l_e_st_eq_landau_n_frac.∀z:l_e_st_eq_landau_n_frac.∀xi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).∀yi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).∀zi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).a.λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_e_st_eq_landau_n_rt_ratapp2 y0 z0 a (λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).a1 x y z xix0 yi zi) : a).

(* constant 1429 *)
definition l_e_st_eq_landau_n_rt_ratapp3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λa:Prop.λa1:∀x:l_e_st_eq_landau_n_frac.∀y:l_e_st_eq_landau_n_frac.∀z:l_e_st_eq_landau_n_frac.∀xi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).∀yi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).∀zi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).a.(l_e_st_eq_landau_n_rt_ratapp1 x0 a (λx:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).l_e_st_eq_landau_n_rt_ii5_t2 x0 y0 z0 a a1 x xi) : a).

(* constant 1430 *)
definition l_e_st_eq_landau_n_rt_ii5_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λa:Prop.λa1:∀x:l_e_st_eq_landau_n_frac.∀y:l_e_st_eq_landau_n_frac.∀z:l_e_st_eq_landau_n_frac.∀u:l_e_st_eq_landau_n_frac.∀xi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).∀yi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).∀zi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).∀ui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).a.λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_e_st_eq_landau_n_rt_ratapp3 y0 z0 u0 a (λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).a1 x y z u xix0 yi zi ui) : a).

(* constant 1431 *)
definition l_e_st_eq_landau_n_rt_ratapp4 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λa:Prop.λa1:∀x:l_e_st_eq_landau_n_frac.∀y:l_e_st_eq_landau_n_frac.∀z:l_e_st_eq_landau_n_frac.∀u:l_e_st_eq_landau_n_frac.∀xi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).∀yi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).∀zi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).∀ui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).a.(l_e_st_eq_landau_n_rt_ratapp1 x0 a (λx:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).l_e_st_eq_landau_n_rt_ii5_t3 x0 y0 z0 u0 a a1 x xi) : a).

(* constant 1432 *)
definition l_e_st_eq_landau_n_rt_isi ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λe:l_e_st_eq_landau_n_eq x1 y1.(l_e_st_eq_5_th3 l_e_st_eq_landau_n_frac l_e_st_eq_landau_n_rt_eq l_e_st_eq_landau_n_rt_refeq l_e_st_eq_landau_n_rt_symeq l_e_st_eq_landau_n_rt_treq x0 y0 x1 x1ix0 y1 y1iy0 e : l_e_st_eq_landau_n_rt_is x0 y0).

(* constant 1433 *)
definition l_e_st_eq_landau_n_rt_ise ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_st_eq_5_th5 l_e_st_eq_landau_n_frac l_e_st_eq_landau_n_rt_eq l_e_st_eq_landau_n_rt_refeq l_e_st_eq_landau_n_rt_symeq l_e_st_eq_landau_n_rt_treq x0 y0 x1 x1ix0 y1 y1iy0 i : l_e_st_eq_landau_n_eq x1 y1).

(* constant 1434 *)
definition l_e_st_eq_landau_n_rt_nisi ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λn:l_not (l_e_st_eq_landau_n_eq x1 y1).(l_imp_th3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_eq x1 y1) n (λt:l_e_st_eq_landau_n_rt_is x0 y0.l_e_st_eq_landau_n_rt_ise x0 y0 x1 y1 x1ix0 y1iy0 t) : l_e_st_eq_landau_n_rt_nis x0 y0).

(* constant 1435 *)
definition l_e_st_eq_landau_n_rt_nise ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λn:l_e_st_eq_landau_n_rt_nis x0 y0.(l_imp_th3 (l_e_st_eq_landau_n_eq x1 y1) (l_e_st_eq_landau_n_rt_is x0 y0) n (λt:l_e_st_eq_landau_n_eq x1 y1.l_e_st_eq_landau_n_rt_isi x0 y0 x1 y1 x1ix0 y1iy0 t) : l_not (l_e_st_eq_landau_n_eq x1 y1)).

(* constant 1436 *)
definition l_e_st_eq_landau_n_rt_fixf ≝ λalpha:Type[0].λf:Πx:l_e_st_eq_landau_n_frac.Πy:l_e_st_eq_landau_n_frac.alpha.(l_e_st_eq_fixfu2 l_e_st_eq_landau_n_frac l_e_st_eq_landau_n_rt_eq l_e_st_eq_landau_n_rt_refeq l_e_st_eq_landau_n_rt_symeq l_e_st_eq_landau_n_rt_treq alpha f : Prop).

(* constant 1437 *)
definition l_e_st_eq_landau_n_rt_indrat ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λalpha:Type[0].λf:Πx:l_e_st_eq_landau_n_frac.Πy:l_e_st_eq_landau_n_frac.alpha.λff:l_e_st_eq_landau_n_rt_fixf alpha f.(l_e_st_eq_indeq2 l_e_st_eq_landau_n_frac l_e_st_eq_landau_n_rt_eq l_e_st_eq_landau_n_rt_refeq l_e_st_eq_landau_n_rt_symeq l_e_st_eq_landau_n_rt_treq alpha f ff x0 y0 : alpha).

(* constant 1438 *)
definition l_e_st_eq_landau_n_rt_isindrat ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λalpha:Type[0].λf:Πx:l_e_st_eq_landau_n_frac.Πy:l_e_st_eq_landau_n_frac.alpha.λff:l_e_st_eq_landau_n_rt_fixf alpha f.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).(l_e_st_eq_11_th1 l_e_st_eq_landau_n_frac l_e_st_eq_landau_n_rt_eq l_e_st_eq_landau_n_rt_refeq l_e_st_eq_landau_n_rt_symeq l_e_st_eq_landau_n_rt_treq alpha f ff x0 y0 x xix0 y yiy0 : l_e_is alpha (f x y) (l_e_st_eq_landau_n_rt_indrat x0 y0 alpha f ff)).

(* constant 1439 *)
definition l_e_st_eq_landau_n_rt_satz78 ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_refis l_e_st_eq_landau_n_rt_rat x0 : l_e_st_eq_landau_n_rt_is x0 x0).

(* constant 1440 *)
definition l_e_st_eq_landau_n_rt_satz79 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_symis l_e_st_eq_landau_n_rt_rat x0 y0 i : l_e_st_eq_landau_n_rt_is y0 x0).

(* constant 1441 *)
definition l_e_st_eq_landau_n_rt_satz80 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λj:l_e_st_eq_landau_n_rt_is y0 z0.(l_e_tris l_e_st_eq_landau_n_rt_rat x0 y0 z0 i j : l_e_st_eq_landau_n_rt_is x0 z0).

(* constant 1442 *)
definition l_e_st_eq_landau_n_rt_more ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_some l_e_st_eq_landau_n_frac (λx:l_e_st_eq_landau_n_frac.l_some l_e_st_eq_landau_n_frac (λy:l_e_st_eq_landau_n_frac.l_and3 (l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0)) (l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0)) (l_e_st_eq_landau_n_moref x y))) : Prop).

(* constant 1443 *)
definition l_e_st_eq_landau_n_rt_ii5_propm ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.(l_and3 (l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0)) (l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0)) (l_e_st_eq_landau_n_moref x1 y1) : Prop).

(* constant 1444 *)
definition l_e_st_eq_landau_n_rt_ii5_t4 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λt:l_e_st_eq_landau_n_frac.λs:l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u).λu:l_e_st_eq_landau_n_frac.λp:l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u.(l_and3e1 (l_e_st_eq_landau_n_rt_inf t (l_e_st_eq_landau_n_rt_class x0)) (l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class y0)) (l_e_st_eq_landau_n_moref t u) p : l_e_st_eq_landau_n_rt_inf t (l_e_st_eq_landau_n_rt_class x0)).

(* constant 1445 *)
definition l_e_st_eq_landau_n_rt_ii5_t5 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λt:l_e_st_eq_landau_n_frac.λs:l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u).λu:l_e_st_eq_landau_n_frac.λp:l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u.(l_and3e2 (l_e_st_eq_landau_n_rt_inf t (l_e_st_eq_landau_n_rt_class x0)) (l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class y0)) (l_e_st_eq_landau_n_moref t u) p : l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class y0)).

(* constant 1446 *)
definition l_e_st_eq_landau_n_rt_ii5_t6 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λt:l_e_st_eq_landau_n_frac.λs:l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u).λu:l_e_st_eq_landau_n_frac.λp:l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u.(l_and3e3 (l_e_st_eq_landau_n_rt_inf t (l_e_st_eq_landau_n_rt_class x0)) (l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class y0)) (l_e_st_eq_landau_n_moref t u) p : l_e_st_eq_landau_n_moref t u).

(* constant 1447 *)
definition l_e_st_eq_landau_n_rt_ii5_t7 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λt:l_e_st_eq_landau_n_frac.λs:l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u).λu:l_e_st_eq_landau_n_frac.λp:l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u.(l_e_st_eq_landau_n_satz44 t u x y (l_e_st_eq_landau_n_rt_ii5_t6 x0 y0 m x y xix0 yiy0 t s u p) (l_e_st_eq_landau_n_rt_ise x0 x0 t x (l_e_st_eq_landau_n_rt_ii5_t4 x0 y0 m x y xix0 yiy0 t s u p) xix0 (l_e_refis l_e_st_eq_landau_n_rt_rat x0)) (l_e_st_eq_landau_n_rt_ise y0 y0 u y (l_e_st_eq_landau_n_rt_ii5_t5 x0 y0 m x y xix0 yiy0 t s u p) yiy0 (l_e_refis l_e_st_eq_landau_n_rt_rat y0)) : l_e_st_eq_landau_n_moref x y).

(* constant 1448 *)
definition l_e_st_eq_landau_n_rt_ii5_t8 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λt:l_e_st_eq_landau_n_frac.λs:l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u).(l_someapp l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u) s (l_e_st_eq_landau_n_moref x y) (λu:l_e_st_eq_landau_n_frac.λv:l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u.l_e_st_eq_landau_n_rt_ii5_t7 x0 y0 m x y xix0 yiy0 t s u v) : l_e_st_eq_landau_n_moref x y).

(* constant 1449 *)
definition l_e_st_eq_landau_n_rt_also18 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).(l_someapp l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u)) m (l_e_st_eq_landau_n_moref x y) (λt:l_e_st_eq_landau_n_frac.λv:l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propm x0 y0 t u).l_e_st_eq_landau_n_rt_ii5_t8 x0 y0 m x y xix0 yiy0 t v) : l_e_st_eq_landau_n_moref x y).

(* constant 1450 *)
definition l_e_st_eq_landau_n_rt_ii5_t9 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λm:l_e_st_eq_landau_n_moref x1 y1.(l_and3i (l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0)) (l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0)) (l_e_st_eq_landau_n_moref x1 y1) x1ix0 y1iy0 m : l_e_st_eq_landau_n_rt_ii5_propm x0 y0 x1 y1).

(* constant 1451 *)
definition l_e_st_eq_landau_n_rt_ii5_t10 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λm:l_e_st_eq_landau_n_moref x1 y1.(l_somei l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propm x0 y0 x1 t) y1 (l_e_st_eq_landau_n_rt_ii5_t9 x0 y0 x1 y1 x1ix0 y1iy0 m) : l_some l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propm x0 y0 x1 t)).

(* constant 1452 *)
definition l_e_st_eq_landau_n_rt_morei ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λm:l_e_st_eq_landau_n_moref x1 y1.(l_somei l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_some l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propm x0 y0 u t)) x1 (l_e_st_eq_landau_n_rt_ii5_t10 x0 y0 x1 y1 x1ix0 y1iy0 m) : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 1453 *)
definition l_e_st_eq_landau_n_rt_moree ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_also18 x0 y0 m x1 y1 x1ix0 y1iy0 : l_e_st_eq_landau_n_moref x1 y1).

(* constant 1454 *)
definition l_e_st_eq_landau_n_rt_ismore1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λm:l_e_st_eq_landau_n_rt_more x0 z0.(l_e_isp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_more t z0) x0 y0 m i : l_e_st_eq_landau_n_rt_more y0 z0).

(* constant 1455 *)
definition l_e_st_eq_landau_n_rt_ismore2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λm:l_e_st_eq_landau_n_rt_more z0 x0.(l_e_isp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_more z0 t) x0 y0 m i : l_e_st_eq_landau_n_rt_more z0 y0).

(* constant 1456 *)
definition l_e_st_eq_landau_n_rt_ismore12 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 u0.λm:l_e_st_eq_landau_n_rt_more x0 z0.(l_e_st_eq_landau_n_rt_ismore2 z0 u0 y0 j (l_e_st_eq_landau_n_rt_ismore1 x0 y0 z0 i m) : l_e_st_eq_landau_n_rt_more y0 u0).

(* constant 1457 *)
definition l_e_st_eq_landau_n_rt_less ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_some l_e_st_eq_landau_n_frac (λx:l_e_st_eq_landau_n_frac.l_some l_e_st_eq_landau_n_frac (λy:l_e_st_eq_landau_n_frac.l_and3 (l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0)) (l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0)) (l_e_st_eq_landau_n_lessf x y))) : Prop).

(* constant 1458 *)
definition l_e_st_eq_landau_n_rt_ii5_propl ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.(l_and3 (l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0)) (l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0)) (l_e_st_eq_landau_n_lessf x1 y1) : Prop).

(* constant 1459 *)
definition l_e_st_eq_landau_n_rt_ii5_t11 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λt:l_e_st_eq_landau_n_frac.λs:l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u).λu:l_e_st_eq_landau_n_frac.λp:l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u.(l_and3e1 (l_e_st_eq_landau_n_rt_inf t (l_e_st_eq_landau_n_rt_class x0)) (l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class y0)) (l_e_st_eq_landau_n_lessf t u) p : l_e_st_eq_landau_n_rt_inf t (l_e_st_eq_landau_n_rt_class x0)).

(* constant 1460 *)
definition l_e_st_eq_landau_n_rt_ii5_t12 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λt:l_e_st_eq_landau_n_frac.λs:l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u).λu:l_e_st_eq_landau_n_frac.λp:l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u.(l_and3e2 (l_e_st_eq_landau_n_rt_inf t (l_e_st_eq_landau_n_rt_class x0)) (l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class y0)) (l_e_st_eq_landau_n_lessf t u) p : l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class y0)).

(* constant 1461 *)
definition l_e_st_eq_landau_n_rt_ii5_t13 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λt:l_e_st_eq_landau_n_frac.λs:l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u).λu:l_e_st_eq_landau_n_frac.λp:l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u.(l_and3e3 (l_e_st_eq_landau_n_rt_inf t (l_e_st_eq_landau_n_rt_class x0)) (l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class y0)) (l_e_st_eq_landau_n_lessf t u) p : l_e_st_eq_landau_n_lessf t u).

(* constant 1462 *)
definition l_e_st_eq_landau_n_rt_ii5_t14 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λt:l_e_st_eq_landau_n_frac.λs:l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u).λu:l_e_st_eq_landau_n_frac.λp:l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u.(l_e_st_eq_landau_n_satz45 t u x y (l_e_st_eq_landau_n_rt_ii5_t13 x0 y0 l x y xix0 yiy0 t s u p) (l_e_st_eq_landau_n_rt_ise x0 x0 t x (l_e_st_eq_landau_n_rt_ii5_t11 x0 y0 l x y xix0 yiy0 t s u p) xix0 (l_e_refis l_e_st_eq_landau_n_rt_rat x0)) (l_e_st_eq_landau_n_rt_ise y0 y0 u y (l_e_st_eq_landau_n_rt_ii5_t12 x0 y0 l x y xix0 yiy0 t s u p) yiy0 (l_e_refis l_e_st_eq_landau_n_rt_rat y0)) : l_e_st_eq_landau_n_lessf x y).

(* constant 1463 *)
definition l_e_st_eq_landau_n_rt_ii5_t15 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λt:l_e_st_eq_landau_n_frac.λs:l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u).(l_someapp l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u) s (l_e_st_eq_landau_n_lessf x y) (λu:l_e_st_eq_landau_n_frac.λv:l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u.l_e_st_eq_landau_n_rt_ii5_t14 x0 y0 l x y xix0 yiy0 t s u v) : l_e_st_eq_landau_n_lessf x y).

(* constant 1464 *)
definition l_e_st_eq_landau_n_rt_also19 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).(l_someapp l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u)) l (l_e_st_eq_landau_n_lessf x y) (λt:l_e_st_eq_landau_n_frac.λv:l_some l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propl x0 y0 t u).l_e_st_eq_landau_n_rt_ii5_t15 x0 y0 l x y xix0 yiy0 t v) : l_e_st_eq_landau_n_lessf x y).

(* constant 1465 *)
definition l_e_st_eq_landau_n_rt_ii5_t16 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λl:l_e_st_eq_landau_n_lessf x1 y1.(l_and3i (l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0)) (l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0)) (l_e_st_eq_landau_n_lessf x1 y1) x1ix0 y1iy0 l : l_e_st_eq_landau_n_rt_ii5_propl x0 y0 x1 y1).

(* constant 1466 *)
definition l_e_st_eq_landau_n_rt_ii5_t17 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λl:l_e_st_eq_landau_n_lessf x1 y1.(l_somei l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propl x0 y0 x1 t) y1 (l_e_st_eq_landau_n_rt_ii5_t16 x0 y0 x1 y1 x1ix0 y1iy0 l) : l_some l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propl x0 y0 x1 t)).

(* constant 1467 *)
definition l_e_st_eq_landau_n_rt_lessi ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λl:l_e_st_eq_landau_n_lessf x1 y1.(l_somei l_e_st_eq_landau_n_frac (λu:l_e_st_eq_landau_n_frac.l_some l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ii5_propl x0 y0 u t)) x1 (l_e_st_eq_landau_n_rt_ii5_t17 x0 y0 x1 y1 x1ix0 y1iy0 l) : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 1468 *)
definition l_e_st_eq_landau_n_rt_lesse ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_eq_landau_n_rt_also19 x0 y0 l x1 y1 x1ix0 y1iy0 : l_e_st_eq_landau_n_lessf x1 y1).

(* constant 1469 *)
definition l_e_st_eq_landau_n_rt_isless1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λl:l_e_st_eq_landau_n_rt_less x0 z0.(l_e_isp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less t z0) x0 y0 l i : l_e_st_eq_landau_n_rt_less y0 z0).

(* constant 1470 *)
definition l_e_st_eq_landau_n_rt_isless2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λl:l_e_st_eq_landau_n_rt_less z0 x0.(l_e_isp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less z0 t) x0 y0 l i : l_e_st_eq_landau_n_rt_less z0 y0).

(* constant 1471 *)
definition l_e_st_eq_landau_n_rt_isless12 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 u0.λl:l_e_st_eq_landau_n_rt_less x0 z0.(l_e_st_eq_landau_n_rt_isless2 z0 u0 y0 j (l_e_st_eq_landau_n_rt_isless1 x0 y0 z0 i l) : l_e_st_eq_landau_n_rt_less y0 u0).

(* constant 1472 *)
definition l_e_st_eq_landau_n_rt_581_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_e_st_eq_landau_n_satz41a x1 y1 : l_or3 (l_e_st_eq_landau_n_eq x1 y1) (l_e_st_eq_landau_n_moref x1 y1) (l_e_st_eq_landau_n_lessf x1 y1)).

(* constant 1473 *)
definition l_e_st_eq_landau_n_rt_581_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λe:l_e_st_eq_landau_n_eq x1 y1.(l_or3i1 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_isi x0 y0 x1 y1 x1ix0 y1iy0 e) : l_or3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 1474 *)
definition l_e_st_eq_landau_n_rt_581_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λm:l_e_st_eq_landau_n_moref x1 y1.(l_or3i2 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_morei x0 y0 x1 y1 x1ix0 y1iy0 m) : l_or3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 1475 *)
definition l_e_st_eq_landau_n_rt_581_t4 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λl:l_e_st_eq_landau_n_lessf x1 y1.(l_or3i3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_lessi x0 y0 x1 y1 x1ix0 y1iy0 l) : l_or3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 1476 *)
definition l_e_st_eq_landau_n_rt_581_t5 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_or3app (l_e_st_eq_landau_n_eq x1 y1) (l_e_st_eq_landau_n_moref x1 y1) (l_e_st_eq_landau_n_lessf x1 y1) (l_or3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0)) (l_e_st_eq_landau_n_rt_581_t1 x0 y0 x1 y1 x1ix0 y1iy0) (λt:l_e_st_eq_landau_n_eq x1 y1.l_e_st_eq_landau_n_rt_581_t2 x0 y0 x1 y1 x1ix0 y1iy0 t) (λt:l_e_st_eq_landau_n_moref x1 y1.l_e_st_eq_landau_n_rt_581_t3 x0 y0 x1 y1 x1ix0 y1iy0 t) (λt:l_e_st_eq_landau_n_lessf x1 y1.l_e_st_eq_landau_n_rt_581_t4 x0 y0 x1 y1 x1ix0 y1iy0 t) : l_or3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 1477 *)
definition l_e_st_eq_landau_n_rt_581_t6 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_e_st_eq_landau_n_satz41b x1 y1 : l_ec3 (l_e_st_eq_landau_n_eq x1 y1) (l_e_st_eq_landau_n_moref x1 y1) (l_e_st_eq_landau_n_lessf x1 y1)).

(* constant 1478 *)
definition l_e_st_eq_landau_n_rt_581_t7 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_imp_th3 (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_moref x1 y1) (l_ec3e12 (l_e_st_eq_landau_n_eq x1 y1) (l_e_st_eq_landau_n_moref x1 y1) (l_e_st_eq_landau_n_lessf x1 y1) (l_e_st_eq_landau_n_rt_581_t6 x0 y0 x1 y1 x1ix0 y1iy0) (l_e_st_eq_landau_n_rt_ise x0 y0 x1 y1 x1ix0 y1iy0 i)) (λt:l_e_st_eq_landau_n_rt_more x0 y0.l_e_st_eq_landau_n_rt_moree x0 y0 x1 y1 x1ix0 y1iy0 t) : l_not (l_e_st_eq_landau_n_rt_more x0 y0)).

(* constant 1479 *)
definition l_e_st_eq_landau_n_rt_581_t8 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_imp_th3 (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_lessf x1 y1) (l_ec3e23 (l_e_st_eq_landau_n_eq x1 y1) (l_e_st_eq_landau_n_moref x1 y1) (l_e_st_eq_landau_n_lessf x1 y1) (l_e_st_eq_landau_n_rt_581_t6 x0 y0 x1 y1 x1ix0 y1iy0) (l_e_st_eq_landau_n_rt_moree x0 y0 x1 y1 x1ix0 y1iy0 m)) (λt:l_e_st_eq_landau_n_rt_less x0 y0.l_e_st_eq_landau_n_rt_lesse x0 y0 x1 y1 x1ix0 y1iy0 t) : l_not (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 1480 *)
definition l_e_st_eq_landau_n_rt_581_t9 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_imp_th3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_eq x1 y1) (l_ec3e31 (l_e_st_eq_landau_n_eq x1 y1) (l_e_st_eq_landau_n_moref x1 y1) (l_e_st_eq_landau_n_lessf x1 y1) (l_e_st_eq_landau_n_rt_581_t6 x0 y0 x1 y1 x1ix0 y1iy0) (l_e_st_eq_landau_n_rt_lesse x0 y0 x1 y1 x1ix0 y1iy0 l)) (λt:l_e_st_eq_landau_n_rt_is x0 y0.l_e_st_eq_landau_n_rt_ise x0 y0 x1 y1 x1ix0 y1iy0 t) : l_e_st_eq_landau_n_rt_nis x0 y0).

(* constant 1481 *)
definition l_e_st_eq_landau_n_rt_581_t10 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_ec3_th6 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_ec_th1 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (λt:l_e_st_eq_landau_n_rt_is x0 y0.l_e_st_eq_landau_n_rt_581_t7 x0 y0 x1 y1 x1ix0 y1iy0 t)) (l_ec_th1 (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (λt:l_e_st_eq_landau_n_rt_more x0 y0.l_e_st_eq_landau_n_rt_581_t8 x0 y0 x1 y1 x1ix0 y1iy0 t)) (l_ec_th1 (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) (λt:l_e_st_eq_landau_n_rt_less x0 y0.l_e_st_eq_landau_n_rt_581_t9 x0 y0 x1 y1 x1ix0 y1iy0 t)) : l_ec3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 1482 *)
definition l_e_st_eq_landau_n_rt_581_t11 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_orec3i (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_581_t5 x0 y0 x1 y1 x1ix0 y1iy0) (l_e_st_eq_landau_n_rt_581_t10 x0 y0 x1 y1 x1ix0 y1iy0) : l_orec3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 1483 *)
definition l_e_st_eq_landau_n_rt_satz81 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_ratapp2 x0 y0 (l_orec3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).l_e_st_eq_landau_n_rt_581_t11 x0 y0 x y xi yi) : l_orec3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 1484 *)
definition l_e_st_eq_landau_n_rt_satz81a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_orec3e1 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81 x0 y0) : l_or3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 1485 *)
definition l_e_st_eq_landau_n_rt_satz81b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_orec3e2 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81 x0 y0) : l_ec3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 1486 *)
definition l_e_st_eq_landau_n_rt_582_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).(l_e_st_eq_landau_n_rt_lessi y0 x0 y x yiy0 xix0 (l_e_st_eq_landau_n_satz42 x y (l_e_st_eq_landau_n_rt_moree x0 y0 x y xix0 yiy0 m)) : l_e_st_eq_landau_n_rt_less y0 x0).

(* constant 1487 *)
definition l_e_st_eq_landau_n_rt_satz82 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_ratapp2 x0 y0 (l_e_st_eq_landau_n_rt_less y0 x0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).l_e_st_eq_landau_n_rt_582_t1 x0 y0 m x y xi yi) : l_e_st_eq_landau_n_rt_less y0 x0).

(* constant 1488 *)
definition l_e_st_eq_landau_n_rt_583_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).(l_e_st_eq_landau_n_rt_morei y0 x0 y x yiy0 xix0 (l_e_st_eq_landau_n_satz43 x y (l_e_st_eq_landau_n_rt_lesse x0 y0 x y xix0 yiy0 l)) : l_e_st_eq_landau_n_rt_more y0 x0).

(* constant 1489 *)
definition l_e_st_eq_landau_n_rt_satz83 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_eq_landau_n_rt_ratapp2 x0 y0 (l_e_st_eq_landau_n_rt_more y0 x0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).l_e_st_eq_landau_n_rt_583_t1 x0 y0 l x y xi yi) : l_e_st_eq_landau_n_rt_more y0 x0).

(* constant 1490 *)
definition l_e_st_eq_landau_n_rt_moreis ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_or (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) : Prop).

(* constant 1491 *)
definition l_e_st_eq_landau_n_rt_moreisi1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_ori1 (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) m : l_e_st_eq_landau_n_rt_moreis x0 y0).

(* constant 1492 *)
definition l_e_st_eq_landau_n_rt_moreisi2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_ori2 (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) i : l_e_st_eq_landau_n_rt_moreis x0 y0).

(* constant 1493 *)
definition l_e_st_eq_landau_n_rt_moreisi ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λm:l_e_st_eq_landau_n_moreq x1 y1.(l_orapp (l_e_st_eq_landau_n_moref x1 y1) (l_e_st_eq_landau_n_eq x1 y1) (l_e_st_eq_landau_n_rt_moreis x0 y0) m (λt:l_e_st_eq_landau_n_moref x1 y1.l_e_st_eq_landau_n_rt_moreisi1 x0 y0 (l_e_st_eq_landau_n_rt_morei x0 y0 x1 y1 x1ix0 y1iy0 t)) (λt:l_e_st_eq_landau_n_eq x1 y1.l_e_st_eq_landau_n_rt_moreisi2 x0 y0 (l_e_st_eq_landau_n_rt_isi x0 y0 x1 y1 x1ix0 y1iy0 t)) : l_e_st_eq_landau_n_rt_moreis x0 y0).

(* constant 1494 *)
definition l_e_st_eq_landau_n_rt_moreise ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λm:l_e_st_eq_landau_n_rt_moreis x0 y0.(l_orapp (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_moreq x1 y1) m (λt:l_e_st_eq_landau_n_rt_more x0 y0.l_e_st_eq_landau_n_moreqi1 x1 y1 (l_e_st_eq_landau_n_rt_moree x0 y0 x1 y1 x1ix0 y1iy0 t)) (λt:l_e_st_eq_landau_n_rt_is x0 y0.l_e_st_eq_landau_n_moreqi2 x1 y1 (l_e_st_eq_landau_n_rt_ise x0 y0 x1 y1 x1ix0 y1iy0 t)) : l_e_st_eq_landau_n_moreq x1 y1).

(* constant 1495 *)
definition l_e_st_eq_landau_n_rt_ismoreis1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λm:l_e_st_eq_landau_n_rt_moreis x0 z0.(l_e_isp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_moreis t z0) x0 y0 m i : l_e_st_eq_landau_n_rt_moreis y0 z0).

(* constant 1496 *)
definition l_e_st_eq_landau_n_rt_ismoreis2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λm:l_e_st_eq_landau_n_rt_moreis z0 x0.(l_e_isp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_moreis z0 t) x0 y0 m i : l_e_st_eq_landau_n_rt_moreis z0 y0).

(* constant 1497 *)
definition l_e_st_eq_landau_n_rt_ismoreis12 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 u0.λm:l_e_st_eq_landau_n_rt_moreis x0 z0.(l_e_st_eq_landau_n_rt_ismoreis2 z0 u0 y0 j (l_e_st_eq_landau_n_rt_ismoreis1 x0 y0 z0 i m) : l_e_st_eq_landau_n_rt_moreis y0 u0).

(* constant 1498 *)
definition l_e_st_eq_landau_n_rt_lessis ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_or (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) : Prop).

(* constant 1499 *)
definition l_e_st_eq_landau_n_rt_lessisi1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_ori1 (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) l : l_e_st_eq_landau_n_rt_lessis x0 y0).

(* constant 1500 *)
definition l_e_st_eq_landau_n_rt_lessisi2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_ori2 (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) i : l_e_st_eq_landau_n_rt_lessis x0 y0).

(* constant 1501 *)
definition l_e_st_eq_landau_n_rt_lessisi ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λl:l_e_st_eq_landau_n_lesseq x1 y1.(l_orapp (l_e_st_eq_landau_n_lessf x1 y1) (l_e_st_eq_landau_n_eq x1 y1) (l_e_st_eq_landau_n_rt_lessis x0 y0) l (λt:l_e_st_eq_landau_n_lessf x1 y1.l_e_st_eq_landau_n_rt_lessisi1 x0 y0 (l_e_st_eq_landau_n_rt_lessi x0 y0 x1 y1 x1ix0 y1iy0 t)) (λt:l_e_st_eq_landau_n_eq x1 y1.l_e_st_eq_landau_n_rt_lessisi2 x0 y0 (l_e_st_eq_landau_n_rt_isi x0 y0 x1 y1 x1ix0 y1iy0 t)) : l_e_st_eq_landau_n_rt_lessis x0 y0).

(* constant 1502 *)
definition l_e_st_eq_landau_n_rt_lessise ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λl:l_e_st_eq_landau_n_rt_lessis x0 y0.(l_orapp (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_lesseq x1 y1) l (λt:l_e_st_eq_landau_n_rt_less x0 y0.l_e_st_eq_landau_n_lesseqi1 x1 y1 (l_e_st_eq_landau_n_rt_lesse x0 y0 x1 y1 x1ix0 y1iy0 t)) (λt:l_e_st_eq_landau_n_rt_is x0 y0.l_e_st_eq_landau_n_lesseqi2 x1 y1 (l_e_st_eq_landau_n_rt_ise x0 y0 x1 y1 x1ix0 y1iy0 t)) : l_e_st_eq_landau_n_lesseq x1 y1).

(* constant 1503 *)
definition l_e_st_eq_landau_n_rt_islessis1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λl:l_e_st_eq_landau_n_rt_lessis x0 z0.(l_e_isp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_lessis t z0) x0 y0 l i : l_e_st_eq_landau_n_rt_lessis y0 z0).

(* constant 1504 *)
definition l_e_st_eq_landau_n_rt_islessis2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λl:l_e_st_eq_landau_n_rt_lessis z0 x0.(l_e_isp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_lessis z0 t) x0 y0 l i : l_e_st_eq_landau_n_rt_lessis z0 y0).

(* constant 1505 *)
definition l_e_st_eq_landau_n_rt_islessis12 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 u0.λl:l_e_st_eq_landau_n_rt_lessis x0 z0.(l_e_st_eq_landau_n_rt_islessis2 z0 u0 y0 j (l_e_st_eq_landau_n_rt_islessis1 x0 y0 z0 i l) : l_e_st_eq_landau_n_rt_lessis y0 u0).

(* constant 1506 *)
definition l_e_st_eq_landau_n_rt_satz81c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.(l_ec3_th7 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81b x0 y0) (l_comor (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) m) : l_not (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 1507 *)
definition l_e_st_eq_landau_n_rt_satz81d ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.(l_ec3_th9 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81b x0 y0) l : l_not (l_e_st_eq_landau_n_rt_more x0 y0)).

(* constant 1508 *)
definition l_e_st_eq_landau_n_rt_satz81e ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_more x0 y0).(l_or3_th2 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81a x0 y0) n : l_e_st_eq_landau_n_rt_lessis x0 y0).

(* constant 1509 *)
definition l_e_st_eq_landau_n_rt_satz81f ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_less x0 y0).(l_comor (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_or3_th3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81a x0 y0) n) : l_e_st_eq_landau_n_rt_moreis x0 y0).

(* constant 1510 *)
definition l_e_st_eq_landau_n_rt_satz81g ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_or_th3 (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) (l_ec3e23 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81b x0 y0) m) (l_ec3e21 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81b x0 y0) m) : l_not (l_e_st_eq_landau_n_rt_lessis x0 y0)).

(* constant 1511 *)
definition l_e_st_eq_landau_n_rt_satz81h ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_or_th3 (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) (l_ec3e32 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81b x0 y0) l) (l_ec3e31 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81b x0 y0) l) : l_not (l_e_st_eq_landau_n_rt_moreis x0 y0)).

(* constant 1512 *)
definition l_e_st_eq_landau_n_rt_satz81j ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_moreis x0 y0).(l_or3e3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81a x0 y0) (l_or_th5 (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) n) (l_or_th4 (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) n) : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 1513 *)
definition l_e_st_eq_landau_n_rt_satz81k ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_lessis x0 y0).(l_or3e2 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81a x0 y0) (l_or_th4 (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) n) (l_or_th5 (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) n) : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 1514 *)
definition l_e_st_eq_landau_n_rt_584_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).(l_e_st_eq_landau_n_rt_lessisi y0 x0 y x yiy0 xix0 (l_e_st_eq_landau_n_satz48 x y (l_e_st_eq_landau_n_rt_moreise x0 y0 x y xix0 yiy0 m)) : l_e_st_eq_landau_n_rt_lessis y0 x0).

(* constant 1515 *)
definition l_e_st_eq_landau_n_rt_satz84 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.(l_e_st_eq_landau_n_rt_ratapp2 x0 y0 (l_e_st_eq_landau_n_rt_lessis y0 x0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).l_e_st_eq_landau_n_rt_584_t1 x0 y0 m x y xi yi) : l_e_st_eq_landau_n_rt_lessis y0 x0).

(* constant 1516 *)
definition l_e_st_eq_landau_n_rt_585_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).(l_e_st_eq_landau_n_rt_moreisi y0 x0 y x yiy0 xix0 (l_e_st_eq_landau_n_satz49 x y (l_e_st_eq_landau_n_rt_lessise x0 y0 x y xix0 yiy0 l)) : l_e_st_eq_landau_n_rt_moreis y0 x0).

(* constant 1517 *)
definition l_e_st_eq_landau_n_rt_satz85 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.(l_e_st_eq_landau_n_rt_ratapp2 x0 y0 (l_e_st_eq_landau_n_rt_moreis y0 x0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).l_e_st_eq_landau_n_rt_585_t1 x0 y0 l x y xi yi) : l_e_st_eq_landau_n_rt_moreis y0 x0).

(* constant 1518 *)
definition l_e_st_eq_landau_n_rt_586_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λk:l_e_st_eq_landau_n_rt_less y0 z0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_lessi x0 z0 x z xix0 ziz0 (l_e_st_eq_landau_n_satz50 x y z (l_e_st_eq_landau_n_rt_lesse x0 y0 x y xix0 yiy0 l) (l_e_st_eq_landau_n_rt_lesse y0 z0 y z yiy0 ziz0 k)) : l_e_st_eq_landau_n_rt_less x0 z0).

(* constant 1519 *)
definition l_e_st_eq_landau_n_rt_satz86 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λk:l_e_st_eq_landau_n_rt_less y0 z0.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_less x0 z0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_586_t1 x0 y0 z0 l k x y z xi yi zi) : l_e_st_eq_landau_n_rt_less x0 z0).

(* constant 1520 *)
definition l_e_st_eq_landau_n_rt_trless ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λk:l_e_st_eq_landau_n_rt_less y0 z0.(l_e_st_eq_landau_n_rt_satz86 x0 y0 z0 l k : l_e_st_eq_landau_n_rt_less x0 z0).

(* constant 1521 *)
definition l_e_st_eq_landau_n_rt_trmore ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λn:l_e_st_eq_landau_n_rt_more y0 z0.(l_e_st_eq_landau_n_rt_satz83 z0 x0 (l_e_st_eq_landau_n_rt_satz86 z0 y0 x0 (l_e_st_eq_landau_n_rt_satz82 y0 z0 n) (l_e_st_eq_landau_n_rt_satz82 x0 y0 m)) : l_e_st_eq_landau_n_rt_more x0 z0).

(* constant 1522 *)
definition l_e_st_eq_landau_n_rt_587_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.λk:l_e_st_eq_landau_n_rt_less y0 z0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_lessi x0 z0 x z xix0 ziz0 (l_e_st_eq_landau_n_satz51a x y z (l_e_st_eq_landau_n_rt_lessise x0 y0 x y xix0 yiy0 l) (l_e_st_eq_landau_n_rt_lesse y0 z0 y z yiy0 ziz0 k)) : l_e_st_eq_landau_n_rt_less x0 z0).

(* constant 1523 *)
definition l_e_st_eq_landau_n_rt_satz87a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.λk:l_e_st_eq_landau_n_rt_less y0 z0.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_less x0 z0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_587_t1 x0 y0 z0 l k x y z xi yi zi) : l_e_st_eq_landau_n_rt_less x0 z0).

(* constant 1524 *)
definition l_e_st_eq_landau_n_rt_587_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λk:l_e_st_eq_landau_n_rt_lessis y0 z0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_lessi x0 z0 x z xix0 ziz0 (l_e_st_eq_landau_n_satz51b x y z (l_e_st_eq_landau_n_rt_lesse x0 y0 x y xix0 yiy0 l) (l_e_st_eq_landau_n_rt_lessise y0 z0 y z yiy0 ziz0 k)) : l_e_st_eq_landau_n_rt_less x0 z0).

(* constant 1525 *)
definition l_e_st_eq_landau_n_rt_satz87b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λk:l_e_st_eq_landau_n_rt_lessis y0 z0.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_less x0 z0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_587_t2 x0 y0 z0 l k x y z xi yi zi) : l_e_st_eq_landau_n_rt_less x0 z0).

(* constant 1526 *)
definition l_e_st_eq_landau_n_rt_satz87c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.λn:l_e_st_eq_landau_n_rt_more y0 z0.(l_e_st_eq_landau_n_rt_satz83 z0 x0 (l_e_st_eq_landau_n_rt_satz87b z0 y0 x0 (l_e_st_eq_landau_n_rt_satz82 y0 z0 n) (l_e_st_eq_landau_n_rt_satz84 x0 y0 m)) : l_e_st_eq_landau_n_rt_more x0 z0).

(* constant 1527 *)
definition l_e_st_eq_landau_n_rt_satz87d ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λn:l_e_st_eq_landau_n_rt_moreis y0 z0.(l_e_st_eq_landau_n_rt_satz83 z0 x0 (l_e_st_eq_landau_n_rt_satz87a z0 y0 x0 (l_e_st_eq_landau_n_rt_satz84 y0 z0 n) (l_e_st_eq_landau_n_rt_satz82 x0 y0 m)) : l_e_st_eq_landau_n_rt_more x0 z0).

(* constant 1528 *)
definition l_e_st_eq_landau_n_rt_588_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.λk:l_e_st_eq_landau_n_rt_lessis y0 z0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_lessisi x0 z0 x z xix0 ziz0 (l_e_st_eq_landau_n_satz52 x y z (l_e_st_eq_landau_n_rt_lessise x0 y0 x y xix0 yiy0 l) (l_e_st_eq_landau_n_rt_lessise y0 z0 y z yiy0 ziz0 k)) : l_e_st_eq_landau_n_rt_lessis x0 z0).

(* constant 1529 *)
definition l_e_st_eq_landau_n_rt_satz88 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.λk:l_e_st_eq_landau_n_rt_lessis y0 z0.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_lessis x0 z0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_588_t1 x0 y0 z0 l k x y z xi yi zi) : l_e_st_eq_landau_n_rt_lessis x0 z0).

(* constant 1530 *)
definition l_e_st_eq_landau_n_rt_trlessis ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.λk:l_e_st_eq_landau_n_rt_lessis y0 z0.(l_e_st_eq_landau_n_rt_satz88 x0 y0 z0 l k : l_e_st_eq_landau_n_rt_lessis x0 z0).

(* constant 1531 *)
definition l_e_st_eq_landau_n_rt_trmoreis ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.λn:l_e_st_eq_landau_n_rt_moreis y0 z0.(l_e_st_eq_landau_n_rt_satz85 z0 x0 (l_e_st_eq_landau_n_rt_satz88 z0 y0 x0 (l_e_st_eq_landau_n_rt_satz84 y0 z0 n) (l_e_st_eq_landau_n_rt_satz84 x0 y0 m)) : l_e_st_eq_landau_n_rt_moreis x0 z0).

(* constant 1532 *)
definition l_e_st_eq_landau_n_rt_589_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λz:l_e_st_eq_landau_n_frac.λm:l_e_st_eq_landau_n_moref z x.(l_somei l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_more t x0) (l_e_st_eq_landau_n_rt_ratof z) (l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_ratof z) x0 z x (l_e_st_eq_landau_n_rt_inclass z) xix0 m) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_more t x0)).

(* constant 1533 *)
definition l_e_st_eq_landau_n_rt_589_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_someapp l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_moref t x) (l_e_st_eq_landau_n_satz53 x) (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_more t x0)) (λt:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_moref t x.l_e_st_eq_landau_n_rt_589_t1 x0 x xix0 t u) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_more t x0)).

(* constant 1534 *)
definition l_e_st_eq_landau_n_rt_satz89 ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_ratapp1 x0 (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_more t x0)) (λx:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).l_e_st_eq_landau_n_rt_589_t2 x0 x xi) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_more t x0)).

(* constant 1535 *)
definition l_e_st_eq_landau_n_rt_590_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λz:l_e_st_eq_landau_n_frac.λl:l_e_st_eq_landau_n_lessf z x.(l_somei l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less t x0) (l_e_st_eq_landau_n_rt_ratof z) (l_e_st_eq_landau_n_rt_lessi (l_e_st_eq_landau_n_rt_ratof z) x0 z x (l_e_st_eq_landau_n_rt_inclass z) xix0 l) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less t x0)).

(* constant 1536 *)
definition l_e_st_eq_landau_n_rt_590_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_someapp l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_lessf t x) (l_e_st_eq_landau_n_satz54 x) (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less t x0)) (λt:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_lessf t x.l_e_st_eq_landau_n_rt_590_t1 x0 x xix0 t u) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less t x0)).

(* constant 1537 *)
definition l_e_st_eq_landau_n_rt_satz90 ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_ratapp1 x0 (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less t x0)) (λx:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).l_e_st_eq_landau_n_rt_590_t2 x0 x xi) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less t x0)).

(* constant 1538 *)
definition l_e_st_eq_landau_n_rt_591_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λz:l_e_st_eq_landau_n_frac.λa:l_and (l_e_st_eq_landau_n_lessf x z) (l_e_st_eq_landau_n_lessf z y).(l_e_st_eq_landau_n_rt_lessi x0 (l_e_st_eq_landau_n_rt_ratof z) x z xix0 (l_e_st_eq_landau_n_rt_inclass z) (l_ande1 (l_e_st_eq_landau_n_lessf x z) (l_e_st_eq_landau_n_lessf z y) a) : l_e_st_eq_landau_n_rt_less x0 (l_e_st_eq_landau_n_rt_ratof z)).

(* constant 1539 *)
definition l_e_st_eq_landau_n_rt_591_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λz:l_e_st_eq_landau_n_frac.λa:l_and (l_e_st_eq_landau_n_lessf x z) (l_e_st_eq_landau_n_lessf z y).(l_e_st_eq_landau_n_rt_lessi (l_e_st_eq_landau_n_rt_ratof z) y0 z y (l_e_st_eq_landau_n_rt_inclass z) yiy0 (l_ande2 (l_e_st_eq_landau_n_lessf x z) (l_e_st_eq_landau_n_lessf z y) a) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ratof z) y0).

(* constant 1540 *)
definition l_e_st_eq_landau_n_rt_591_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λz:l_e_st_eq_landau_n_frac.λa:l_and (l_e_st_eq_landau_n_lessf x z) (l_e_st_eq_landau_n_lessf z y).(l_andi (l_e_st_eq_landau_n_rt_less x0 (l_e_st_eq_landau_n_rt_ratof z)) (l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ratof z) y0) (l_e_st_eq_landau_n_rt_591_t1 x0 y0 l x y xix0 yiy0 z a) (l_e_st_eq_landau_n_rt_591_t2 x0 y0 l x y xix0 yiy0 z a) : l_and (l_e_st_eq_landau_n_rt_less x0 (l_e_st_eq_landau_n_rt_ratof z)) (l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ratof z) y0)).

(* constant 1541 *)
definition l_e_st_eq_landau_n_rt_591_t4 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λz:l_e_st_eq_landau_n_frac.λa:l_and (l_e_st_eq_landau_n_lessf x z) (l_e_st_eq_landau_n_lessf z y).(l_somei l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_less x0 t) (l_e_st_eq_landau_n_rt_less t y0)) (l_e_st_eq_landau_n_rt_ratof z) (l_e_st_eq_landau_n_rt_591_t3 x0 y0 l x y xix0 yiy0 z a) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_less x0 t) (l_e_st_eq_landau_n_rt_less t y0))).

(* constant 1542 *)
definition l_e_st_eq_landau_n_rt_591_t5 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).(l_someapp l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_and (l_e_st_eq_landau_n_lessf x t) (l_e_st_eq_landau_n_lessf t y)) (l_e_st_eq_landau_n_satz55 x y (l_e_st_eq_landau_n_rt_lesse x0 y0 x y xix0 yiy0 l)) (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_less x0 t) (l_e_st_eq_landau_n_rt_less t y0))) (λt:l_e_st_eq_landau_n_frac.λu:l_and (l_e_st_eq_landau_n_lessf x t) (l_e_st_eq_landau_n_lessf t y).l_e_st_eq_landau_n_rt_591_t4 x0 y0 l x y xix0 yiy0 t u) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_less x0 t) (l_e_st_eq_landau_n_rt_less t y0))).

(* constant 1543 *)
definition l_e_st_eq_landau_n_rt_satz91 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_eq_landau_n_rt_ratapp2 x0 y0 (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_less x0 t) (l_e_st_eq_landau_n_rt_less t y0))) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).l_e_st_eq_landau_n_rt_591_t5 x0 y0 l x y xi yi) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_less x0 t) (l_e_st_eq_landau_n_rt_less t y0))).

(* constant 1544 *)
definition l_e_st_eq_landau_n_rt_plusfrt ≝ (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_pf x y) : Πx:l_e_st_eq_landau_n_frac.Πy:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_rat).

(* constant 1545 *)
definition l_e_st_eq_landau_n_rt_ii5_t18 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_pf x z)) (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_pf y u)) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_pf x z)) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_pf y u)) (l_e_st_eq_landau_n_satz56 x y z u e f) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_plusfrt x z) (l_e_st_eq_landau_n_rt_plusfrt y u)).

(* constant 1546 *)
definition l_e_st_eq_landau_n_rt_fplusfrt ≝ (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λv:l_e_st_eq_landau_n_rt_eq x y.λw:l_e_st_eq_landau_n_rt_eq z u.l_e_st_eq_landau_n_rt_ii5_t18 x y z u v w : l_e_st_eq_landau_n_rt_fixf l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_plusfrt).

(* constant 1547 *)
definition l_e_st_eq_landau_n_rt_pl ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_indrat x0 y0 l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_plusfrt l_e_st_eq_landau_n_rt_fplusfrt : l_e_st_eq_landau_n_rt_rat).

(* constant 1548 *)
definition l_e_st_eq_landau_n_rt_ii5_t19 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_e_st_eq_landau_n_rt_isindrat x0 y0 l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_plusfrt l_e_st_eq_landau_n_rt_fplusfrt x1 y1 x1ix0 y1iy0 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_pf x1 y1)) (l_e_st_eq_landau_n_rt_pl x0 y0)).

(* constant 1549 *)
definition l_e_st_eq_landau_n_rt_picp ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_e_isp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_pf x1 y1) (l_e_st_eq_landau_n_rt_class t)) (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_pf x1 y1)) (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_pf x1 y1)) (l_e_st_eq_landau_n_rt_ii5_t19 x0 y0 x1 y1 x1ix0 y1iy0) : l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_pf x1 y1) (l_e_st_eq_landau_n_rt_class (l_e_st_eq_landau_n_rt_pl x0 y0))).

(* constant 1550 *)
definition l_e_st_eq_landau_n_rt_ispl1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_isf l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_pl t z0) x0 y0 i : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 1551 *)
definition l_e_st_eq_landau_n_rt_ispl2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_isf l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_pl z0 t) x0 y0 i : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl z0 x0) (l_e_st_eq_landau_n_rt_pl z0 y0)).

(* constant 1552 *)
definition l_e_st_eq_landau_n_rt_ispl12 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 u0.(l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0) (l_e_st_eq_landau_n_rt_ispl1 x0 y0 z0 i) (l_e_st_eq_landau_n_rt_ispl2 z0 u0 y0 j) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1553 *)
definition l_e_st_eq_landau_n_rt_592_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_pl y0 x0) (l_e_st_eq_landau_n_pf x1 y1) (l_e_st_eq_landau_n_pf y1 x1) (l_e_st_eq_landau_n_rt_picp x0 y0 x1 y1 x1ix0 y1iy0) (l_e_st_eq_landau_n_rt_picp y0 x0 y1 x1 y1iy0 x1ix0) (l_e_st_eq_landau_n_satz58 x1 y1) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_pl y0 x0)).

(* constant 1554 *)
definition l_e_st_eq_landau_n_rt_satz92 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_ratapp2 x0 y0 (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_pl y0 x0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).l_e_st_eq_landau_n_rt_592_t1 x0 y0 x y xi yi) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_pl y0 x0)).

(* constant 1555 *)
definition l_e_st_eq_landau_n_rt_compl ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_satz92 x0 y0 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_pl y0 x0)).

(* constant 1556 *)
definition l_e_st_eq_landau_n_rt_593_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_picp (l_e_st_eq_landau_n_rt_pl x0 y0) z0 (l_e_st_eq_landau_n_pf x y) z (l_e_st_eq_landau_n_rt_picp x0 y0 x y xix0 yiy0) ziz0 : l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_pf x y) z) (l_e_st_eq_landau_n_rt_class (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl x0 y0) z0))).

(* constant 1557 *)
definition l_e_st_eq_landau_n_rt_593_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_picp x0 (l_e_st_eq_landau_n_rt_pl y0 z0) x (l_e_st_eq_landau_n_pf y z) xix0 (l_e_st_eq_landau_n_rt_picp y0 z0 y z yiy0 ziz0) : l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_pf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_rt_class (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_pl y0 z0)))).

(* constant 1558 *)
definition l_e_st_eq_landau_n_rt_593_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl x0 y0) z0) (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_pf x y) z) (l_e_st_eq_landau_n_pf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_rt_593_t1 x0 y0 z0 x y z xix0 yiy0 ziz0) (l_e_st_eq_landau_n_rt_593_t2 x0 y0 z0 x y z xix0 yiy0 ziz0) (l_e_st_eq_landau_n_satz59 x y z) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl x0 y0) z0) (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_pl y0 z0))).

(* constant 1559 *)
definition l_e_st_eq_landau_n_rt_satz93 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl x0 y0) z0) (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_pl y0 z0))) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_593_t3 x0 y0 z0 x y z xi yi zi) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl x0 y0) z0) (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_pl y0 z0))).

(* constant 1560 *)
definition l_e_st_eq_landau_n_rt_asspl1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_satz93 x0 y0 z0 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl x0 y0) z0) (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_pl y0 z0))).

(* constant 1561 *)
definition l_e_st_eq_landau_n_rt_asspl2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl x0 y0) z0) (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_satz93 x0 y0 z0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl x0 y0) z0)).

(* constant 1562 *)
definition l_e_st_eq_landau_n_rt_594_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_pl x0 y0) x0 (l_e_st_eq_landau_n_pf x1 y1) x1 (l_e_st_eq_landau_n_rt_picp x0 y0 x1 y1 x1ix0 y1iy0) x1ix0 (l_e_st_eq_landau_n_satz60 x1 y1) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 y0) x0).

(* constant 1563 *)
definition l_e_st_eq_landau_n_rt_satz94 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_ratapp2 x0 y0 (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 y0) x0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).l_e_st_eq_landau_n_rt_594_t1 x0 y0 x y xi yi) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 y0) x0).

(* constant 1564 *)
definition l_e_st_eq_landau_n_rt_satz94a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_satz82 (l_e_st_eq_landau_n_rt_pl x0 y0) x0 (l_e_st_eq_landau_n_rt_satz94 x0 y0) : l_e_st_eq_landau_n_rt_less x0 (l_e_st_eq_landau_n_rt_pl x0 y0)).

(* constant 1565 *)
definition l_e_st_eq_landau_n_rt_595_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_rt_picp x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_picp y0 z0 y z yiy0 ziz0) (l_e_st_eq_landau_n_satz61 x y z (l_e_st_eq_landau_n_rt_moree x0 y0 x y xix0 yiy0 m)) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 1566 *)
definition l_e_st_eq_landau_n_rt_satz95 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_595_t1 x0 y0 z0 m x y z xi yi zi) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 1567 *)
definition l_e_st_eq_landau_n_rt_596_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_rt_picp x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_picp y0 z0 y z yiy0 ziz0) (l_e_st_eq_landau_n_satz62a x y z (l_e_st_eq_landau_n_rt_moree x0 y0 x y xix0 yiy0 m)) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 1568 *)
definition l_e_st_eq_landau_n_rt_satz96a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_596_t1 x0 y0 z0 m x y z xi yi zi) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 1569 *)
definition l_e_st_eq_landau_n_rt_596_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_rt_picp x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_picp y0 z0 y z yiy0 ziz0) (l_e_st_eq_landau_n_satz62b x y z (l_e_st_eq_landau_n_rt_ise x0 y0 x y xix0 yiy0 i)) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 1570 *)
definition l_e_st_eq_landau_n_rt_satz96b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_596_t2 x0 y0 z0 i x y z xi yi zi) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 1571 *)
definition l_e_st_eq_landau_n_rt_596_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_lessi (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_rt_picp x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_picp y0 z0 y z yiy0 ziz0) (l_e_st_eq_landau_n_satz62c x y z (l_e_st_eq_landau_n_rt_lesse x0 y0 x y xix0 yiy0 l)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 1572 *)
definition l_e_st_eq_landau_n_rt_satz96c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_596_t3 x0 y0 z0 l x y z xi yi zi) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 1573 *)
definition l_e_st_eq_landau_n_rt_596_andersa ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_satz95 x0 y0 z0 m : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 1574 *)
definition l_e_st_eq_landau_n_rt_596_andersb ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_st_eq_landau_n_rt_ispl1 x0 y0 z0 i : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 1575 *)
definition l_e_st_eq_landau_n_rt_596_andersc ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_eq_landau_n_rt_satz82 (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_satz95 y0 x0 z0 (l_e_st_eq_landau_n_rt_satz83 x0 y0 l)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 1576 *)
definition l_e_st_eq_landau_n_rt_satz96d ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_ismore12 (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl z0 x0) (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_rt_pl z0 y0) (l_e_st_eq_landau_n_rt_compl x0 z0) (l_e_st_eq_landau_n_rt_compl y0 z0) (l_e_st_eq_landau_n_rt_satz96a x0 y0 z0 m) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl z0 x0) (l_e_st_eq_landau_n_rt_pl z0 y0)).

(* constant 1577 *)
definition l_e_st_eq_landau_n_rt_satz96e ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_st_eq_landau_n_rt_ispl2 x0 y0 z0 i : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl z0 x0) (l_e_st_eq_landau_n_rt_pl z0 y0)).

(* constant 1578 *)
definition l_e_st_eq_landau_n_rt_satz96f ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_eq_landau_n_rt_isless12 (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl z0 x0) (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_rt_pl z0 y0) (l_e_st_eq_landau_n_rt_compl x0 z0) (l_e_st_eq_landau_n_rt_compl y0 z0) (l_e_st_eq_landau_n_rt_satz96c x0 y0 z0 l) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl z0 x0) (l_e_st_eq_landau_n_rt_pl z0 y0)).

(* constant 1579 *)
definition l_e_st_eq_landau_n_rt_597_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0).λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_morei x0 y0 x y xix0 yiy0 (l_e_st_eq_landau_n_satz63a x y z (l_e_st_eq_landau_n_rt_moree (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_rt_picp x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_picp y0 z0 y z yiy0 ziz0) m)) : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 1580 *)
definition l_e_st_eq_landau_n_rt_satz97a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0).(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_more x0 y0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_597_t1 x0 y0 z0 m x y z xi yi zi) : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 1581 *)
definition l_e_st_eq_landau_n_rt_597_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0).λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_isi x0 y0 x y xix0 yiy0 (l_e_st_eq_landau_n_satz63b x y z (l_e_st_eq_landau_n_rt_ise (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_rt_picp x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_picp y0 z0 y z yiy0 ziz0) i)) : l_e_st_eq_landau_n_rt_is x0 y0).

(* constant 1582 *)
definition l_e_st_eq_landau_n_rt_satz97b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0).(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_is x0 y0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_597_t2 x0 y0 z0 i x y z xi yi zi) : l_e_st_eq_landau_n_rt_is x0 y0).

(* constant 1583 *)
definition l_e_st_eq_landau_n_rt_597_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0).λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_lessi x0 y0 x y xix0 yiy0 (l_e_st_eq_landau_n_satz63c x y z (l_e_st_eq_landau_n_rt_lesse (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y z) (l_e_st_eq_landau_n_rt_picp x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_picp y0 z0 y z yiy0 ziz0) l)) : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 1584 *)
definition l_e_st_eq_landau_n_rt_satz97c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0).(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_less x0 y0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_597_t3 x0 y0 z0 l x y z xi yi zi) : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 1585 *)
definition l_e_st_eq_landau_n_rt_597_anders ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0).(l_e_st_eq_landau_n_rt_satz82 y0 x0 (l_e_st_eq_landau_n_rt_satz97a y0 x0 z0 (l_e_st_eq_landau_n_rt_satz83 (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 z0) l)) : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 1586 *)
definition l_e_st_eq_landau_n_rt_598_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λn:l_e_st_eq_landau_n_rt_more z0 u0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_rt_picp x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_picp y0 u0 y u yiy0 uiu0) (l_e_st_eq_landau_n_satz64 x y z u (l_e_st_eq_landau_n_rt_moree x0 y0 x y xix0 yiy0 m) (l_e_st_eq_landau_n_rt_moree z0 u0 z u ziz0 uiu0 n)) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1587 *)
definition l_e_st_eq_landau_n_rt_satz98 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λn:l_e_st_eq_landau_n_rt_more z0 u0.(l_e_st_eq_landau_n_rt_ratapp4 x0 y0 z0 u0 (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).l_e_st_eq_landau_n_rt_598_t1 x0 y0 z0 u0 m n x y z u xi yi zi ui) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1588 *)
definition l_e_st_eq_landau_n_rt_satz98a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λk:l_e_st_eq_landau_n_rt_less z0 u0.(l_e_st_eq_landau_n_rt_satz82 (l_e_st_eq_landau_n_rt_pl y0 u0) (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_satz98 y0 x0 u0 z0 (l_e_st_eq_landau_n_rt_satz83 x0 y0 l) (l_e_st_eq_landau_n_rt_satz83 z0 u0 k)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1589 *)
definition l_e_st_eq_landau_n_rt_599_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.λn:l_e_st_eq_landau_n_rt_more z0 u0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_rt_picp x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_picp y0 u0 y u yiy0 uiu0) (l_e_st_eq_landau_n_satz65a x y z u (l_e_st_eq_landau_n_rt_moreise x0 y0 x y xix0 yiy0 m) (l_e_st_eq_landau_n_rt_moree z0 u0 z u ziz0 uiu0 n)) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1590 *)
definition l_e_st_eq_landau_n_rt_satz99a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.λn:l_e_st_eq_landau_n_rt_more z0 u0.(l_e_st_eq_landau_n_rt_ratapp4 x0 y0 z0 u0 (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).l_e_st_eq_landau_n_rt_599_t1 x0 y0 z0 u0 m n x y z u xi yi zi ui) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1591 *)
definition l_e_st_eq_landau_n_rt_599_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λn:l_e_st_eq_landau_n_rt_moreis z0 u0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_rt_picp x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_picp y0 u0 y u yiy0 uiu0) (l_e_st_eq_landau_n_satz65b x y z u (l_e_st_eq_landau_n_rt_moree x0 y0 x y xix0 yiy0 m) (l_e_st_eq_landau_n_rt_moreise z0 u0 z u ziz0 uiu0 n)) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1592 *)
definition l_e_st_eq_landau_n_rt_satz99b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λn:l_e_st_eq_landau_n_rt_moreis z0 u0.(l_e_st_eq_landau_n_rt_ratapp4 x0 y0 z0 u0 (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).l_e_st_eq_landau_n_rt_599_t2 x0 y0 z0 u0 m n x y z u xi yi zi ui) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1593 *)
definition l_e_st_eq_landau_n_rt_satz99c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.λk:l_e_st_eq_landau_n_rt_less z0 u0.(l_e_st_eq_landau_n_rt_satz82 (l_e_st_eq_landau_n_rt_pl y0 u0) (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_satz99a y0 x0 u0 z0 (l_e_st_eq_landau_n_rt_satz85 x0 y0 l) (l_e_st_eq_landau_n_rt_satz83 z0 u0 k)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1594 *)
definition l_e_st_eq_landau_n_rt_satz99d ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λk:l_e_st_eq_landau_n_rt_lessis z0 u0.(l_e_st_eq_landau_n_rt_satz82 (l_e_st_eq_landau_n_rt_pl y0 u0) (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_satz99b y0 x0 u0 z0 (l_e_st_eq_landau_n_rt_satz83 x0 y0 l) (l_e_st_eq_landau_n_rt_satz85 z0 u0 k)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1595 *)
definition l_e_st_eq_landau_n_rt_5100_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.λn:l_e_st_eq_landau_n_rt_moreis z0 u0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_rt_moreisi (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0) (l_e_st_eq_landau_n_pf x z) (l_e_st_eq_landau_n_pf y u) (l_e_st_eq_landau_n_rt_picp x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_picp y0 u0 y u yiy0 uiu0) (l_e_st_eq_landau_n_satz66 x y z u (l_e_st_eq_landau_n_rt_moreise x0 y0 x y xix0 yiy0 m) (l_e_st_eq_landau_n_rt_moreise z0 u0 z u ziz0 uiu0 n)) : l_e_st_eq_landau_n_rt_moreis (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1596 *)
definition l_e_st_eq_landau_n_rt_satz100 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.λn:l_e_st_eq_landau_n_rt_moreis z0 u0.(l_e_st_eq_landau_n_rt_ratapp4 x0 y0 z0 u0 (l_e_st_eq_landau_n_rt_moreis (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).l_e_st_eq_landau_n_rt_5100_t1 x0 y0 z0 u0 m n x y z u xi yi zi ui) : l_e_st_eq_landau_n_rt_moreis (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1597 *)
definition l_e_st_eq_landau_n_rt_satz100a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.λk:l_e_st_eq_landau_n_rt_lessis z0 u0.(l_e_st_eq_landau_n_rt_satz84 (l_e_st_eq_landau_n_rt_pl y0 u0) (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_satz100 y0 x0 u0 z0 (l_e_st_eq_landau_n_rt_satz85 x0 y0 l) (l_e_st_eq_landau_n_rt_satz85 z0 u0 k)) : l_e_st_eq_landau_n_rt_lessis (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_pl y0 u0)).

(* constant 1598 *)
definition l_e_st_eq_landau_n_rt_5101_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.λv0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 v0) x0.(l_e_st_eq_landau_n_rt_ismore1 (l_e_st_eq_landau_n_rt_pl y0 v0) x0 y0 i (l_e_st_eq_landau_n_rt_satz94 y0 v0) : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 1599 *)
definition l_e_st_eq_landau_n_rt_5101_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.λv0:l_e_st_eq_landau_n_rt_rat.(l_imp_th3 (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 v0) x0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_satz81d x0 y0 l) (λt:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 v0) x0.l_e_st_eq_landau_n_rt_5101_t1 x0 y0 l v0 t) : l_e_st_eq_landau_n_rt_nis (l_e_st_eq_landau_n_rt_pl y0 v0) x0).

(* constant 1600 *)
definition l_e_st_eq_landau_n_rt_vorbemerkung101 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.(l_some_th5 l_e_st_eq_landau_n_rt_rat (λv:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 v) x0) (λv:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_5101_t2 x0 y0 l v) : l_not (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0))).

(* constant 1601 *)
definition l_e_st_eq_landau_n_rt_5101_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λv:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y v) x.(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_pl y0 (l_e_st_eq_landau_n_rt_ratof v)) x0 (l_e_st_eq_landau_n_pf y v) x (l_e_st_eq_landau_n_rt_picp y0 (l_e_st_eq_landau_n_rt_ratof v) y v yiy0 (l_e_st_eq_landau_n_rt_inclass v)) xix0 e : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 (l_e_st_eq_landau_n_rt_ratof v)) x0).

(* constant 1602 *)
definition l_e_st_eq_landau_n_rt_5101_t4 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λv:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y v) x.(l_somei l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0) (l_e_st_eq_landau_n_rt_ratof v) (l_e_st_eq_landau_n_rt_5101_t3 x0 y0 m x y xix0 yiy0 v e) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0)).

(* constant 1603 *)
definition l_e_st_eq_landau_n_rt_5101_t5 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).(l_someapp l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y t) x) (l_e_st_eq_landau_n_satz67a x y (l_e_st_eq_landau_n_rt_moree x0 y0 x y xix0 yiy0 m)) (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0)) (λt:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf y t) x.l_e_st_eq_landau_n_rt_5101_t4 x0 y0 m x y xix0 yiy0 t u) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0)).

(* constant 1604 *)
definition l_e_st_eq_landau_n_rt_satz101a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_ratapp2 x0 y0 (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).l_e_st_eq_landau_n_rt_5101_t5 x0 y0 m x y xi yi) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0)).

(* constant 1605 *)
definition l_e_st_eq_landau_n_rt_5101_t6 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λv0:l_e_st_eq_landau_n_rt_rat.λw0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 v0) x0.λj:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 w0) x0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λv:l_e_st_eq_landau_n_frac.λw:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λviv0:l_e_st_eq_landau_n_rt_inf v (l_e_st_eq_landau_n_rt_class v0).λwiw0:l_e_st_eq_landau_n_rt_inf w (l_e_st_eq_landau_n_rt_class w0).(l_e_st_eq_landau_n_rt_isi v0 w0 v w viv0 wiw0 (l_e_st_eq_landau_n_satz67b x y v w (l_e_st_eq_landau_n_rt_ise (l_e_st_eq_landau_n_rt_pl y0 v0) x0 (l_e_st_eq_landau_n_pf y v) x (l_e_st_eq_landau_n_rt_picp y0 v0 y v yiy0 viv0) xix0 i) (l_e_st_eq_landau_n_rt_ise (l_e_st_eq_landau_n_rt_pl y0 w0) x0 (l_e_st_eq_landau_n_pf y w) x (l_e_st_eq_landau_n_rt_picp y0 w0 y w yiy0 wiw0) xix0 j)) : l_e_st_eq_landau_n_rt_is v0 w0).

(* constant 1606 *)
definition l_e_st_eq_landau_n_rt_satz101b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λv0:l_e_st_eq_landau_n_rt_rat.λw0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 v0) x0.λj:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 w0) x0.(l_e_st_eq_landau_n_rt_ratapp4 x0 y0 v0 w0 (l_e_st_eq_landau_n_rt_is v0 w0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λv:l_e_st_eq_landau_n_frac.λw:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λvi:l_e_st_eq_landau_n_rt_inf v (l_e_st_eq_landau_n_rt_class v0).λwi:l_e_st_eq_landau_n_rt_inf w (l_e_st_eq_landau_n_rt_class w0).l_e_st_eq_landau_n_rt_5101_t6 x0 y0 v0 w0 i j x y v w xi yi vi wi) : l_e_st_eq_landau_n_rt_is v0 w0).

(* constant 1607 *)
definition l_e_st_eq_landau_n_rt_5101_t7 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(λt:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_rat.λv:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0.λw:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 u) x0.l_e_st_eq_landau_n_rt_satz101b x0 y0 t u v w : l_e_amone l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0)).

(* constant 1608 *)
definition l_e_st_eq_landau_n_rt_satz101 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_onei l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0) (l_e_st_eq_landau_n_rt_5101_t7 x0 y0) (l_e_st_eq_landau_n_rt_satz101a x0 y0 m) : l_e_st_eq_landau_n_rt_one (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0)).

(* constant 1609 *)
definition l_e_st_eq_landau_n_rt_mn ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_ind l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0) (l_e_st_eq_landau_n_rt_satz101 x0 y0 m) : l_e_st_eq_landau_n_rt_rat).

(* constant 1610 *)
definition l_e_st_eq_landau_n_rt_satz101c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_oneax l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 t) x0) (l_e_st_eq_landau_n_rt_satz101 x0 y0 m) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 (l_e_st_eq_landau_n_rt_mn x0 y0 m)) x0).

(* constant 1611 *)
definition l_e_st_eq_landau_n_rt_satz101d ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl y0 (l_e_st_eq_landau_n_rt_mn x0 y0 m)) x0 (l_e_st_eq_landau_n_rt_satz101c x0 y0 m) : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_pl y0 (l_e_st_eq_landau_n_rt_mn x0 y0 m))).

(* constant 1612 *)
definition l_e_st_eq_landau_n_rt_satz101e ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 m) y0) (l_e_st_eq_landau_n_rt_pl y0 (l_e_st_eq_landau_n_rt_mn x0 y0 m)) x0 (l_e_st_eq_landau_n_rt_compl (l_e_st_eq_landau_n_rt_mn x0 y0 m) y0) (l_e_st_eq_landau_n_rt_satz101c x0 y0 m) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 m) y0) x0).

(* constant 1613 *)
definition l_e_st_eq_landau_n_rt_satz101f ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 m) y0) x0 (l_e_st_eq_landau_n_rt_satz101e x0 y0 m) : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 m) y0)).

(* constant 1614 *)
definition l_e_st_eq_landau_n_rt_satz101g ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λv0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 v0) x0.(l_e_st_eq_landau_n_rt_satz101b x0 y0 v0 (l_e_st_eq_landau_n_rt_mn x0 y0 m) i (l_e_st_eq_landau_n_rt_satz101c x0 y0 m) : l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_mn x0 y0 m)).

(* constant 1615 *)
definition l_e_st_eq_landau_n_rt_timesfrt ≝ (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_tf x y) : Πx:l_e_st_eq_landau_n_frac.Πy:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_rt_rat).

(* constant 1616 *)
definition l_e_st_eq_landau_n_rt_ii5_t20 ≝ λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq x y.λf:l_e_st_eq_landau_n_eq z u.(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_tf x z)) (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_tf y u)) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_tf x z)) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_tf y u)) (l_e_st_eq_landau_n_satz68 x y z u e f) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_timesfrt x z) (l_e_st_eq_landau_n_rt_timesfrt y u)).

(* constant 1617 *)
definition l_e_st_eq_landau_n_rt_ftimesfrt ≝ (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λv:l_e_st_eq_landau_n_rt_eq x y.λw:l_e_st_eq_landau_n_rt_eq z u.l_e_st_eq_landau_n_rt_ii5_t20 x y z u v w : l_e_st_eq_landau_n_rt_fixf l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_timesfrt).

(* constant 1618 *)
definition l_e_st_eq_landau_n_rt_ts ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_indrat x0 y0 l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_timesfrt l_e_st_eq_landau_n_rt_ftimesfrt : l_e_st_eq_landau_n_rt_rat).

(* constant 1619 *)
definition l_e_st_eq_landau_n_rt_ii5_t21 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_e_st_eq_landau_n_rt_isindrat x0 y0 l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_timesfrt l_e_st_eq_landau_n_rt_ftimesfrt x1 y1 x1ix0 y1iy0 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_tf x1 y1)) (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 1620 *)
definition l_e_st_eq_landau_n_rt_tict ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_e_isp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_tf x1 y1) (l_e_st_eq_landau_n_rt_class t)) (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_tf x1 y1)) (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_tf x1 y1)) (l_e_st_eq_landau_n_rt_ii5_t21 x0 y0 x1 y1 x1ix0 y1iy0) : l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_tf x1 y1) (l_e_st_eq_landau_n_rt_class (l_e_st_eq_landau_n_rt_ts x0 y0))).

(* constant 1621 *)
definition l_e_st_eq_landau_n_rt_ists1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_isf l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_ts t z0) x0 y0 i : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)).

(* constant 1622 *)
definition l_e_st_eq_landau_n_rt_ists2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_isf l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_ts z0 t) x0 y0 i : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts z0 x0) (l_e_st_eq_landau_n_rt_ts z0 y0)).

(* constant 1623 *)
definition l_e_st_eq_landau_n_rt_ists12 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 u0.(l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0) (l_e_st_eq_landau_n_rt_ists1 x0 y0 z0 i) (l_e_st_eq_landau_n_rt_ists2 z0 u0 y0 j) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1624 *)
definition l_e_st_eq_landau_n_rt_5102_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts y0 x0) (l_e_st_eq_landau_n_tf x1 y1) (l_e_st_eq_landau_n_tf y1 x1) (l_e_st_eq_landau_n_rt_tict x0 y0 x1 y1 x1ix0 y1iy0) (l_e_st_eq_landau_n_rt_tict y0 x0 y1 x1 y1iy0 x1ix0) (l_e_st_eq_landau_n_satz69 x1 y1) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts y0 x0)).

(* constant 1625 *)
definition l_e_st_eq_landau_n_rt_satz102 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_ratapp2 x0 y0 (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts y0 x0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).l_e_st_eq_landau_n_rt_5102_t1 x0 y0 x y xi yi) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts y0 x0)).

(* constant 1626 *)
definition l_e_st_eq_landau_n_rt_comts ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_satz102 x0 y0 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts y0 x0)).

(* constant 1627 *)
definition l_e_st_eq_landau_n_rt_5103_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_tict (l_e_st_eq_landau_n_rt_ts x0 y0) z0 (l_e_st_eq_landau_n_tf x y) z (l_e_st_eq_landau_n_rt_tict x0 y0 x y xix0 yiy0) ziz0 : l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_tf x y) z) (l_e_st_eq_landau_n_rt_class (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 y0) z0))).

(* constant 1628 *)
definition l_e_st_eq_landau_n_rt_5103_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_tict x0 (l_e_st_eq_landau_n_rt_ts y0 z0) x (l_e_st_eq_landau_n_tf y z) xix0 (l_e_st_eq_landau_n_rt_tict y0 z0 y z yiy0 ziz0) : l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_rt_class (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ts y0 z0)))).

(* constant 1629 *)
definition l_e_st_eq_landau_n_rt_5103_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 y0) z0) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ts y0 z0)) (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_tf x y) z) (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_tf y z)) (l_e_st_eq_landau_n_rt_5103_t1 x0 y0 z0 x y z xix0 yiy0 ziz0) (l_e_st_eq_landau_n_rt_5103_t2 x0 y0 z0 x y z xix0 yiy0 ziz0) (l_e_st_eq_landau_n_satz70 x y z) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 y0) z0) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ts y0 z0))).

(* constant 1630 *)
definition l_e_st_eq_landau_n_rt_satz103 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 y0) z0) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ts y0 z0))) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_5103_t3 x0 y0 z0 x y z xi yi zi) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 y0) z0) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ts y0 z0))).

(* constant 1631 *)
definition l_e_st_eq_landau_n_rt_assts1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_satz103 x0 y0 z0 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 y0) z0) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ts y0 z0))).

(* constant 1632 *)
definition l_e_st_eq_landau_n_rt_assts2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 y0) z0) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ts y0 z0)) (l_e_st_eq_landau_n_rt_satz103 x0 y0 z0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ts y0 z0)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 y0) z0)).

(* constant 1633 *)
definition l_e_st_eq_landau_n_rt_5104_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_tict x0 (l_e_st_eq_landau_n_rt_pl y0 z0) x (l_e_st_eq_landau_n_pf y z) xix0 (l_e_st_eq_landau_n_rt_picp y0 z0 y z yiy0 ziz0) : l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_rt_class (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_pl y0 z0)))).

(* constant 1634 *)
definition l_e_st_eq_landau_n_rt_5104_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_picp (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_tf x y) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_rt_tict x0 y0 x y xix0 yiy0) (l_e_st_eq_landau_n_rt_tict x0 z0 x z xix0 ziz0) : l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_tf x y) (l_e_st_eq_landau_n_tf x z)) (l_e_st_eq_landau_n_rt_class (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x0 z0)))).

(* constant 1635 *)
definition l_e_st_eq_landau_n_rt_5104_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x0 z0)) (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_pf y z)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_tf x y) (l_e_st_eq_landau_n_tf x z)) (l_e_st_eq_landau_n_rt_5104_t1 x0 y0 z0 x y z xix0 yiy0 ziz0) (l_e_st_eq_landau_n_rt_5104_t2 x0 y0 z0 x y z xix0 yiy0 ziz0) (l_e_st_eq_landau_n_satz71 x y z) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x0 z0))).

(* constant 1636 *)
definition l_e_st_eq_landau_n_rt_satz104 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x0 z0))) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_5104_t3 x0 y0 z0 x y z xi yi zi) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x0 z0))).

(* constant 1637 *)
definition l_e_st_eq_landau_n_rt_disttp1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_tr3is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_pl x0 y0) z0) (l_e_st_eq_landau_n_rt_ts z0 (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts z0 x0) (l_e_st_eq_landau_n_rt_ts z0 y0)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)) (l_e_st_eq_landau_n_rt_comts (l_e_st_eq_landau_n_rt_pl x0 y0) z0) (l_e_st_eq_landau_n_rt_satz104 z0 x0 y0) (l_e_st_eq_landau_n_rt_ispl12 (l_e_st_eq_landau_n_rt_ts z0 x0) (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts z0 y0) (l_e_st_eq_landau_n_rt_ts y0 z0) (l_e_st_eq_landau_n_rt_comts z0 x0) (l_e_st_eq_landau_n_rt_comts z0 y0)) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_pl x0 y0) z0) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0))).

(* constant 1638 *)
definition l_e_st_eq_landau_n_rt_disttp2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_satz104 x0 y0 z0 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x0 z0))).

(* constant 1639 *)
definition l_e_st_eq_landau_n_rt_distpt1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_pl x0 y0) z0) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)) (l_e_st_eq_landau_n_rt_disttp1 x0 y0 z0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_pl x0 y0) z0)).

(* constant 1640 *)
definition l_e_st_eq_landau_n_rt_distpt2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x0 z0)) (l_e_st_eq_landau_n_rt_disttp2 x0 y0 z0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x0 z0)) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_pl y0 z0))).

(* constant 1641 *)
definition l_e_st_eq_landau_n_rt_5105_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_rt_tict x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_tict y0 z0 y z yiy0 ziz0) (l_e_st_eq_landau_n_satz72a x y z (l_e_st_eq_landau_n_rt_moree x0 y0 x y xix0 yiy0 m)) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)).

(* constant 1642 *)
definition l_e_st_eq_landau_n_rt_satz105a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_5105_t1 x0 y0 z0 m x y z xi yi zi) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)).

(* constant 1643 *)
definition l_e_st_eq_landau_n_rt_5105_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_rt_tict x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_tict y0 z0 y z yiy0 ziz0) (l_e_st_eq_landau_n_satz72b x y z (l_e_st_eq_landau_n_rt_ise x0 y0 x y xix0 yiy0 i)) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)).

(* constant 1644 *)
definition l_e_st_eq_landau_n_rt_satz105b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_5105_t2 x0 y0 z0 i x y z xi yi zi) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)).

(* constant 1645 *)
definition l_e_st_eq_landau_n_rt_5105_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_lessi (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_rt_tict x0 z0 x z xi zi) (l_e_st_eq_landau_n_rt_tict y0 z0 y z yi zi) (l_e_st_eq_landau_n_satz72c x y z (l_e_st_eq_landau_n_rt_lesse x0 y0 x y xi yi l)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)).

(* constant 1646 *)
definition l_e_st_eq_landau_n_rt_satz105c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_5105_t3 x0 y0 z0 l x y z xi yi zi) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)).

(* constant 1647 *)
definition l_e_st_eq_landau_n_rt_5105_andersb ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_st_eq_landau_n_rt_ists1 x0 y0 z0 i : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)).

(* constant 1648 *)
definition l_e_st_eq_landau_n_rt_5105_andersc ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_eq_landau_n_rt_satz82 (l_e_st_eq_landau_n_rt_ts y0 z0) (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_satz105a y0 x0 z0 (l_e_st_eq_landau_n_rt_satz83 x0 y0 l)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0)).

(* constant 1649 *)
definition l_e_st_eq_landau_n_rt_satz105d ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_ismore12 (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts z0 x0) (l_e_st_eq_landau_n_rt_ts y0 z0) (l_e_st_eq_landau_n_rt_ts z0 y0) (l_e_st_eq_landau_n_rt_comts x0 z0) (l_e_st_eq_landau_n_rt_comts y0 z0) (l_e_st_eq_landau_n_rt_satz105a x0 y0 z0 m) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts z0 x0) (l_e_st_eq_landau_n_rt_ts z0 y0)).

(* constant 1650 *)
definition l_e_st_eq_landau_n_rt_satz105e ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_st_eq_landau_n_rt_ists2 x0 y0 z0 i : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts z0 x0) (l_e_st_eq_landau_n_rt_ts z0 y0)).

(* constant 1651 *)
definition l_e_st_eq_landau_n_rt_satz105f ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_eq_landau_n_rt_isless12 (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts z0 x0) (l_e_st_eq_landau_n_rt_ts y0 z0) (l_e_st_eq_landau_n_rt_ts z0 y0) (l_e_st_eq_landau_n_rt_comts x0 z0) (l_e_st_eq_landau_n_rt_comts y0 z0) (l_e_st_eq_landau_n_rt_satz105c x0 y0 z0 l) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts z0 x0) (l_e_st_eq_landau_n_rt_ts z0 y0)).

(* constant 1652 *)
definition l_e_st_eq_landau_n_rt_5106_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0).λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_morei x0 y0 x y xix0 yiy0 (l_e_st_eq_landau_n_satz73a x y z (l_e_st_eq_landau_n_rt_moree (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_rt_tict x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_tict y0 z0 y z yiy0 ziz0) m)) : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 1653 *)
definition l_e_st_eq_landau_n_rt_satz106a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0).(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_more x0 y0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_5106_t1 x0 y0 z0 m x y z xi yi zi) : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 1654 *)
definition l_e_st_eq_landau_n_rt_5106_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0).λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_isi x0 y0 x y xix0 yiy0 (l_e_st_eq_landau_n_satz73b x y z (l_e_st_eq_landau_n_rt_ise (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_rt_tict x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_tict y0 z0 y z yiy0 ziz0) i)) : l_e_st_eq_landau_n_rt_is x0 y0).

(* constant 1655 *)
definition l_e_st_eq_landau_n_rt_satz106b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0).(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_is x0 y0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_5106_t2 x0 y0 z0 i x y z xi yi zi) : l_e_st_eq_landau_n_rt_is x0 y0).

(* constant 1656 *)
definition l_e_st_eq_landau_n_rt_5106_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0).λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).(l_e_st_eq_landau_n_rt_lessi x0 y0 x y xix0 yiy0 (l_e_st_eq_landau_n_satz73c x y z (l_e_st_eq_landau_n_rt_lesse (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y z) (l_e_st_eq_landau_n_rt_tict x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_tict y0 z0 y z yiy0 ziz0) l)) : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 1657 *)
definition l_e_st_eq_landau_n_rt_satz106c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0).(l_e_st_eq_landau_n_rt_ratapp3 x0 y0 z0 (l_e_st_eq_landau_n_rt_less x0 y0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).l_e_st_eq_landau_n_rt_5106_t3 x0 y0 z0 l x y z xi yi zi) : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 1658 *)
definition l_e_st_eq_landau_n_rt_5106_anders ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0).(l_e_st_eq_landau_n_rt_satz82 y0 x0 (l_e_st_eq_landau_n_rt_satz106a y0 x0 z0 (l_e_st_eq_landau_n_rt_satz83 (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 z0) l)) : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 1659 *)
definition l_e_st_eq_landau_n_rt_5107_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λn:l_e_st_eq_landau_n_rt_more z0 u0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_rt_tict x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_tict y0 u0 y u yiy0 uiu0) (l_e_st_eq_landau_n_satz74 x y z u (l_e_st_eq_landau_n_rt_moree x0 y0 x y xix0 yiy0 m) (l_e_st_eq_landau_n_rt_moree z0 u0 z u ziz0 uiu0 n)) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1660 *)
definition l_e_st_eq_landau_n_rt_satz107 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λn:l_e_st_eq_landau_n_rt_more z0 u0.(l_e_st_eq_landau_n_rt_ratapp4 x0 y0 z0 u0 (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).l_e_st_eq_landau_n_rt_5107_t1 x0 y0 z0 u0 m n x y z u xi yi zi ui) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1661 *)
definition l_e_st_eq_landau_n_rt_satz107a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λk:l_e_st_eq_landau_n_rt_less z0 u0.(l_e_st_eq_landau_n_rt_satz82 (l_e_st_eq_landau_n_rt_ts y0 u0) (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_satz107 y0 x0 u0 z0 (l_e_st_eq_landau_n_rt_satz83 x0 y0 l) (l_e_st_eq_landau_n_rt_satz83 z0 u0 k)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1662 *)
definition l_e_st_eq_landau_n_rt_5108_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.λn:l_e_st_eq_landau_n_rt_more z0 u0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_rt_tict x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_tict y0 u0 y u yiy0 uiu0) (l_e_st_eq_landau_n_satz75a x y z u (l_e_st_eq_landau_n_rt_moreise x0 y0 x y xix0 yiy0 m) (l_e_st_eq_landau_n_rt_moree z0 u0 z u ziz0 uiu0 n)) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1663 *)
definition l_e_st_eq_landau_n_rt_satz108a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.λn:l_e_st_eq_landau_n_rt_more z0 u0.(l_e_st_eq_landau_n_rt_ratapp4 x0 y0 z0 u0 (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).l_e_st_eq_landau_n_rt_5108_t1 x0 y0 z0 u0 m n x y z u xi yi zi ui) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1664 *)
definition l_e_st_eq_landau_n_rt_5108_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λn:l_e_st_eq_landau_n_rt_moreis z0 u0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_rt_tict x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_tict y0 u0 y u yiy0 uiu0) (l_e_st_eq_landau_n_satz75b x y z u (l_e_st_eq_landau_n_rt_moree x0 y0 x y xix0 yiy0 m) (l_e_st_eq_landau_n_rt_moreise z0 u0 z u ziz0 uiu0 n)) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1665 *)
definition l_e_st_eq_landau_n_rt_satz108b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.λn:l_e_st_eq_landau_n_rt_moreis z0 u0.(l_e_st_eq_landau_n_rt_ratapp4 x0 y0 z0 u0 (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).l_e_st_eq_landau_n_rt_5108_t2 x0 y0 z0 u0 m n x y z u xi yi zi ui) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1666 *)
definition l_e_st_eq_landau_n_rt_satz108c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.λk:l_e_st_eq_landau_n_rt_less z0 u0.(l_e_st_eq_landau_n_rt_satz82 (l_e_st_eq_landau_n_rt_ts y0 u0) (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_satz108a y0 x0 u0 z0 (l_e_st_eq_landau_n_rt_satz85 x0 y0 l) (l_e_st_eq_landau_n_rt_satz83 z0 u0 k)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1667 *)
definition l_e_st_eq_landau_n_rt_satz108d ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.λk:l_e_st_eq_landau_n_rt_lessis z0 u0.(l_e_st_eq_landau_n_rt_satz82 (l_e_st_eq_landau_n_rt_ts y0 u0) (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_satz108b y0 x0 u0 z0 (l_e_st_eq_landau_n_rt_satz83 x0 y0 l) (l_e_st_eq_landau_n_rt_satz85 z0 u0 k)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1668 *)
definition l_e_st_eq_landau_n_rt_5109_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.λn:l_e_st_eq_landau_n_rt_moreis z0 u0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λziz0:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_rt_moreisi (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0) (l_e_st_eq_landau_n_tf x z) (l_e_st_eq_landau_n_tf y u) (l_e_st_eq_landau_n_rt_tict x0 z0 x z xix0 ziz0) (l_e_st_eq_landau_n_rt_tict y0 u0 y u yiy0 uiu0) (l_e_st_eq_landau_n_satz76 x y z u (l_e_st_eq_landau_n_rt_moreise x0 y0 x y xix0 yiy0 m) (l_e_st_eq_landau_n_rt_moreise z0 u0 z u ziz0 uiu0 n)) : l_e_st_eq_landau_n_rt_moreis (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1669 *)
definition l_e_st_eq_landau_n_rt_satz109 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.λn:l_e_st_eq_landau_n_rt_moreis z0 u0.(l_e_st_eq_landau_n_rt_ratapp4 x0 y0 z0 u0 (l_e_st_eq_landau_n_rt_moreis (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λz:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λzi:l_e_st_eq_landau_n_rt_inf z (l_e_st_eq_landau_n_rt_class z0).λui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).l_e_st_eq_landau_n_rt_5109_t1 x0 y0 z0 u0 m n x y z u xi yi zi ui) : l_e_st_eq_landau_n_rt_moreis (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1670 *)
definition l_e_st_eq_landau_n_rt_satz109a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.λk:l_e_st_eq_landau_n_rt_lessis z0 u0.(l_e_st_eq_landau_n_rt_satz84 (l_e_st_eq_landau_n_rt_ts y0 u0) (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_satz109 y0 x0 u0 z0 (l_e_st_eq_landau_n_rt_satz85 x0 y0 l) (l_e_st_eq_landau_n_rt_satz85 z0 u0 k)) : l_e_st_eq_landau_n_rt_lessis (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_ts y0 u0)).

(* constant 1671 *)
definition l_e_st_eq_landau_n_rt_5110_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λv:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf y1 v) x1.(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_ratof v)) x0 (l_e_st_eq_landau_n_tf y1 v) x1 (l_e_st_eq_landau_n_rt_tict y0 (l_e_st_eq_landau_n_rt_ratof v) y1 v y1iy0 (l_e_st_eq_landau_n_rt_inclass v)) x1ix0 e : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_ratof v)) x0).

(* constant 1672 *)
definition l_e_st_eq_landau_n_rt_5110_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).λv:l_e_st_eq_landau_n_frac.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf y1 v) x1.(l_somei l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 t) x0) (l_e_st_eq_landau_n_rt_ratof v) (l_e_st_eq_landau_n_rt_5110_t1 x0 y0 x1 y1 x1ix0 y1iy0 v e) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 t) x0)).

(* constant 1673 *)
definition l_e_st_eq_landau_n_rt_5110_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx1:l_e_st_eq_landau_n_frac.λy1:l_e_st_eq_landau_n_frac.λx1ix0:l_e_st_eq_landau_n_rt_inf x1 (l_e_st_eq_landau_n_rt_class x0).λy1iy0:l_e_st_eq_landau_n_rt_inf y1 (l_e_st_eq_landau_n_rt_class y0).(l_someapp l_e_st_eq_landau_n_frac (λt:l_e_st_eq_landau_n_frac.l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf y1 t) x1) (l_e_st_eq_landau_n_satz77a x1 y1) (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 t) x0)) (λt:l_e_st_eq_landau_n_frac.λu:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf y1 t) x1.l_e_st_eq_landau_n_rt_5110_t2 x0 y0 x1 y1 x1ix0 y1iy0 t u) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 t) x0)).

(* constant 1674 *)
definition l_e_st_eq_landau_n_rt_satz110a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_ratapp2 x0 y0 (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 t) x0)) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).l_e_st_eq_landau_n_rt_5110_t3 x0 y0 x y xi yi) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 t) x0)).

(* constant 1675 *)
definition l_e_st_eq_landau_n_rt_5110_t4 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λv0:l_e_st_eq_landau_n_rt_rat.λw0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 v0) x0.λj:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 w0) x0.λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λv:l_e_st_eq_landau_n_frac.λw:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyiy0:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λviv0:l_e_st_eq_landau_n_rt_inf v (l_e_st_eq_landau_n_rt_class v0).λwiw0:l_e_st_eq_landau_n_rt_inf w (l_e_st_eq_landau_n_rt_class w0).(l_e_st_eq_landau_n_rt_isi v0 w0 v w viv0 wiw0 (l_e_st_eq_landau_n_satz77b x y v w (l_e_st_eq_landau_n_rt_ise (l_e_st_eq_landau_n_rt_ts y0 v0) x0 (l_e_st_eq_landau_n_tf y v) x (l_e_st_eq_landau_n_rt_tict y0 v0 y v yiy0 viv0) xix0 i) (l_e_st_eq_landau_n_rt_ise (l_e_st_eq_landau_n_rt_ts y0 w0) x0 (l_e_st_eq_landau_n_tf y w) x (l_e_st_eq_landau_n_rt_tict y0 w0 y w yiy0 wiw0) xix0 j)) : l_e_st_eq_landau_n_rt_is v0 w0).

(* constant 1676 *)
definition l_e_st_eq_landau_n_rt_satz110b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λv0:l_e_st_eq_landau_n_rt_rat.λw0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 v0) x0.λj:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 w0) x0.(l_e_st_eq_landau_n_rt_ratapp4 x0 y0 v0 w0 (l_e_st_eq_landau_n_rt_is v0 w0) (λx:l_e_st_eq_landau_n_frac.λy:l_e_st_eq_landau_n_frac.λv:l_e_st_eq_landau_n_frac.λw:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).λyi:l_e_st_eq_landau_n_rt_inf y (l_e_st_eq_landau_n_rt_class y0).λvi:l_e_st_eq_landau_n_rt_inf v (l_e_st_eq_landau_n_rt_class v0).λwi:l_e_st_eq_landau_n_rt_inf w (l_e_st_eq_landau_n_rt_class w0).l_e_st_eq_landau_n_rt_5110_t4 x0 y0 v0 w0 i j x y v w xi yi vi wi) : l_e_st_eq_landau_n_rt_is v0 w0).

(* constant 1677 *)
definition l_e_st_eq_landau_n_rt_5110_t5 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(λt:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_rat.λv:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 t) x0.λw:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 u) x0.l_e_st_eq_landau_n_rt_satz110b x0 y0 t u v w : l_e_amone l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 t) x0)).

(* constant 1678 *)
definition l_e_st_eq_landau_n_rt_satz110 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_onei l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 t) x0) (l_e_st_eq_landau_n_rt_5110_t5 x0 y0) (l_e_st_eq_landau_n_rt_satz110a x0 y0) : l_e_st_eq_landau_n_rt_one (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 t) x0)).

(* constant 1679 *)
definition l_e_st_eq_landau_n_5111_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_ts x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_ndis12 x l_e_st_eq_landau_n_1 y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz28a x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1))) x).

(* constant 1680 *)
definition l_e_st_eq_landau_n_5111_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1))) x (l_e_st_eq_landau_n_5111_t1 x y) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)))).

(* constant 1681 *)
definition l_e_st_eq_landau_n_satz111a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1).(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1))) x (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1))) y (l_e_st_eq_landau_n_5111_t1 x y) (l_e_st_eq_landau_n_5111_t1 y x) m : l_e_st_eq_landau_n_more x y).

(* constant 1682 *)
definition l_e_st_eq_landau_n_satz111b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λe:l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1).(l_e_tr3is l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1))) y (l_e_st_eq_landau_n_5111_t2 x y) e (l_e_st_eq_landau_n_5111_t1 y x) : l_e_st_eq_landau_n_is x y).

(* constant 1683 *)
definition l_e_st_eq_landau_n_satz111c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1).(l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1))) x (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1))) y (l_e_st_eq_landau_n_5111_t1 x y) (l_e_st_eq_landau_n_5111_t1 y x) l : l_e_st_eq_landau_n_less x y).

(* constant 1684 *)
definition l_e_st_eq_landau_n_satz111d ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_ismore12 x (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1))) y (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_5111_t2 x y) (l_e_st_eq_landau_n_5111_t2 y x) m : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)).

(* constant 1685 *)
definition l_e_st_eq_landau_n_satz111e ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1))) x y (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_5111_t1 x y) i (l_e_st_eq_landau_n_5111_t2 y x) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)).

(* constant 1686 *)
definition l_e_st_eq_landau_n_satz111f ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l_e_st_eq_landau_n_isless12 x (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1))) y (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_5111_t2 x y) (l_e_st_eq_landau_n_5111_t2 y x) l : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)).

(* constant 1687 *)
definition l_e_st_eq_landau_n_rt_natprop ≝ λx0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_class x0) : Prop).

(* constant 1688 *)
definition l_e_st_eq_landau_n_rt_natrt ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_some (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_natprop x0 t) : Prop).

(* constant 1689 *)
definition l_e_st_eq_landau_n_rt_ii5_t22 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λnpx:l_e_st_eq_landau_n_rt_natprop x0 x.λnpy:l_e_st_eq_landau_n_rt_natprop y0 y.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_st_eq_landau_n_satz111b x y (l_e_st_eq_landau_n_rt_ise x0 y0 (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1) npx npy i) : l_e_st_eq_landau_n_is x y).

(* constant 1690 *)
definition l_e_st_eq_landau_n_rt_ii5_t23 ≝ λx0:l_e_st_eq_landau_n_rt_rat.(λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_rt_natprop x0 t.λw:l_e_st_eq_landau_n_rt_natprop x0 u.l_e_st_eq_landau_n_rt_ii5_t22 x0 x0 t u v w (l_e_refis l_e_st_eq_landau_n_rt_rat x0) : l_e_amone l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_natprop x0 t)).

(* constant 1691 *)
definition l_e_st_eq_landau_n_rt_satz111g ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.(l_e_onei l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_natprop x0 t) (l_e_st_eq_landau_n_rt_ii5_t23 x0) nx0 : l_e_st_eq_landau_n_one (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_natprop x0 t)).

(* constant 1692 *)
definition l_e_st_eq_landau_n_rt_nofrt ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.(l_e_ind l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_natprop x0 t) (l_e_st_eq_landau_n_rt_satz111g x0 nx0) : l_e_st_eq_landau_n_nat).

(* constant 1693 *)
definition l_e_st_eq_landau_n_rt_inclassn ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.(l_e_oneax l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_natprop x0 t) (l_e_st_eq_landau_n_rt_satz111g x0 nx0) : l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_class x0)).

(* constant 1694 *)
definition l_e_st_eq_landau_n_rt_isrten ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_st_eq_landau_n_rt_ii5_t22 x0 y0 (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0) (l_e_st_eq_landau_n_rt_inclassn x0 nx0) (l_e_st_eq_landau_n_rt_inclassn y0 ny0) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0)).

(* constant 1695 *)
definition l_e_st_eq_landau_n_rt_isrtin ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0).(l_e_st_eq_landau_n_rt_isi x0 y0 (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt y0 ny0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclassn x0 nx0) (l_e_st_eq_landau_n_rt_inclassn y0 ny0) (l_e_st_eq_landau_n_eqn (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_nofrt y0 ny0) i) : l_e_st_eq_landau_n_rt_is x0 y0).

(* constant 1696 *)
definition l_e_st_eq_landau_n_rt_rtofn ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_rt_rat).

(* constant 1697 *)
definition l_e_st_eq_landau_n_rt_natrti ≝ λx:l_e_st_eq_landau_n_nat.(l_somei l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_natprop (l_e_st_eq_landau_n_rt_rtofn x) t) x (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) : l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_rtofn x)).

(* constant 1698 *)
definition l_e_st_eq_landau_n_rt_isnert ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rtofn t) x y i : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)).

(* constant 1699 *)
definition l_e_st_eq_landau_n_rt_isnirt ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y).(l_e_st_eq_landau_n_rt_ii5_t22 (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y) x y (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) i : l_e_st_eq_landau_n_is x y).

(* constant 1700 *)
definition l_e_st_eq_landau_n_rt_isrtn1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.(l_e_st_eq_landau_n_rt_isi x0 (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_nofrt x0 nx0)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclassn x0 nx0) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_refeq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1)) : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_nofrt x0 nx0))).

(* constant 1701 *)
definition l_e_st_eq_landau_n_rt_isnrt1 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_ii5_t22 (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn x) x (l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_natrti x)) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_inclassn (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_natrti x)) (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_rtofn x)) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_natrti x))).

(* constant 1702 *)
definition l_e_st_eq_landau_n_satz112a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_satz57 x y l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl x y) l_e_st_eq_landau_n_1)).

(* constant 1703 *)
definition l_e_st_eq_landau_n_satz112b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_treq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x y) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_tfeq12a x l_e_st_eq_landau_n_1 y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_eqd (l_e_st_eq_landau_n_ts x y) (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz28a l_e_st_eq_landau_n_1)) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x y) l_e_st_eq_landau_n_1)).

(* constant 1704 *)
definition l_e_st_eq_landau_n_rt_satz112c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.(l_e_st_eq_landau_n_rt_lemmaeq1 (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt y0 ny0) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_picp x0 y0 (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt y0 ny0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclassn x0 nx0) (l_e_st_eq_landau_n_rt_inclassn y0 ny0)) (l_e_st_eq_landau_n_satz112a (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0)) : l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_class (l_e_st_eq_landau_n_rt_pl x0 y0))).

(* constant 1705 *)
definition l_e_st_eq_landau_n_rt_satz112d ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.(l_somei l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_natprop (l_e_st_eq_landau_n_rt_pl x0 y0) t) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0)) (l_e_st_eq_landau_n_rt_satz112c x0 nx0 y0 ny0) : l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_pl x0 y0)).

(* constant 1706 *)
definition l_e_st_eq_landau_n_rt_satz112e ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.(l_e_st_eq_landau_n_rt_lemmaeq1 (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt y0 ny0) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_tict x0 y0 (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt y0 ny0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclassn x0 nx0) (l_e_st_eq_landau_n_rt_inclassn y0 ny0)) (l_e_st_eq_landau_n_satz112b (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0)) : l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_class (l_e_st_eq_landau_n_rt_ts x0 y0))).

(* constant 1707 *)
definition l_e_st_eq_landau_n_rt_satz112f ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.(l_somei l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_natprop (l_e_st_eq_landau_n_rt_ts x0 y0) t) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0)) (l_e_st_eq_landau_n_rt_satz112e x0 nx0 y0 ny0) : l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 1708 *)
definition l_e_st_eq_landau_n_rt_5112_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_satz111a (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0) (l_e_st_eq_landau_n_rt_moree x0 y0 (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt y0 ny0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclassn x0 nx0) (l_e_st_eq_landau_n_rt_inclassn y0 ny0) m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0)).

(* constant 1709 *)
definition l_e_st_eq_landau_n_rt_5112_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.λm:l_e_st_eq_landau_n_rt_more x0 y0.λz:l_e_st_eq_landau_n_nat.λd:l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0) z.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nofrt y0 ny0) z) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nofrt y0 ny0) (l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_rtofn z) (l_e_st_eq_landau_n_rt_natrti z))) d (l_e_st_eq_landau_n_ispl2 z (l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_rtofn z) (l_e_st_eq_landau_n_rt_natrti z)) (l_e_st_eq_landau_n_rt_nofrt y0 ny0) (l_e_st_eq_landau_n_rt_isnrt1 z)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nofrt y0 ny0) (l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_rtofn z) (l_e_st_eq_landau_n_rt_natrti z)))).

(* constant 1710 *)
definition l_e_st_eq_landau_n_rt_5112_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.λm:l_e_st_eq_landau_n_rt_more x0 y0.λz:l_e_st_eq_landau_n_nat.λd:l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0) z.(l_e_st_eq_landau_n_rt_isi x0 (l_e_st_eq_landau_n_rt_pl y0 (l_e_st_eq_landau_n_rt_rtofn z)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nofrt y0 ny0) (l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_rtofn z) (l_e_st_eq_landau_n_rt_natrti z))) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclassn x0 nx0) (l_e_st_eq_landau_n_rt_satz112c y0 ny0 (l_e_st_eq_landau_n_rt_rtofn z) (l_e_st_eq_landau_n_rt_natrti z)) (l_e_st_eq_landau_n_eqn (l_e_st_eq_landau_n_rt_nofrt x0 nx0) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nofrt y0 ny0) (l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_rtofn z) (l_e_st_eq_landau_n_rt_natrti z))) (l_e_st_eq_landau_n_rt_5112_t2 x0 nx0 y0 ny0 m z d)) : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_pl y0 (l_e_st_eq_landau_n_rt_rtofn z))).

(* constant 1711 *)
definition l_e_st_eq_landau_n_rt_5112_t4 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.λm:l_e_st_eq_landau_n_rt_more x0 y0.λz:l_e_st_eq_landau_n_nat.λd:l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0) z.(l_e_st_eq_landau_n_rt_satz101g x0 y0 (l_e_st_eq_landau_n_rt_rtofn z) m (l_e_symis l_e_st_eq_landau_n_rt_rat x0 (l_e_st_eq_landau_n_rt_pl y0 (l_e_st_eq_landau_n_rt_rtofn z)) (l_e_st_eq_landau_n_rt_5112_t3 x0 nx0 y0 ny0 m z d)) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rtofn z) (l_e_st_eq_landau_n_rt_mn x0 y0 m)).

(* constant 1712 *)
definition l_e_st_eq_landau_n_rt_5112_t5 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.λm:l_e_st_eq_landau_n_rt_more x0 y0.λz:l_e_st_eq_landau_n_nat.λd:l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0) z.(l_e_isp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_natrt t) (l_e_st_eq_landau_n_rt_rtofn z) (l_e_st_eq_landau_n_rt_mn x0 y0 m) (l_e_st_eq_landau_n_rt_natrti z) (l_e_st_eq_landau_n_rt_5112_t4 x0 nx0 y0 ny0 m z d) : l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_mn x0 y0 m)).

(* constant 1713 *)
definition l_e_st_eq_landau_n_rt_satz112g ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_someapp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0) t) (l_e_st_eq_landau_n_rt_5112_t1 x0 nx0 y0 ny0 m) (l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_mn x0 y0 m)) (λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nofrt x0 nx0) (l_e_st_eq_landau_n_rt_nofrt y0 ny0) t.l_e_st_eq_landau_n_rt_5112_t5 x0 nx0 y0 ny0 m t u) : l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_mn x0 y0 m)).

(* constant 1714 *)
definition l_e_st_eq_landau_n_rt_satz112h ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_pf (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl x y) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_picp (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y) (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl x y) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_satz112a x y) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_pl x y))).

(* constant 1715 *)
definition l_e_st_eq_landau_n_rt_satz112j ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x y) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_tict (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y) (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x y) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_satz112b x y) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_ts x y))).

(* constant 1716 *)
definition l_e_st_eq_landau_n_rt_nt_natt ≝ (l_e_ot l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_natrt t) : Type[0]).

(* constant 1717 *)
definition l_e_st_eq_landau_n_rt_nt_ntofrt ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.(l_e_out l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_natrt t) x0 nx0 : l_e_st_eq_landau_n_rt_nt_natt).

(* constant 1718 *)
definition l_e_st_eq_landau_n_rt_nt_is ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_is l_e_st_eq_landau_n_rt_nt_natt xt yt : Prop).

(* constant 1719 *)
definition l_e_st_eq_landau_n_rt_nt_nis ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_not (l_e_st_eq_landau_n_rt_nt_is xt yt) : Prop).

(* constant 1720 *)
definition l_e_st_eq_landau_n_rt_nt_all ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.(l_all l_e_st_eq_landau_n_rt_nt_natt p : Prop).

(* constant 1721 *)
definition l_e_st_eq_landau_n_rt_nt_some ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.(l_some l_e_st_eq_landau_n_rt_nt_natt p : Prop).

(* constant 1722 *)
definition l_e_st_eq_landau_n_rt_nt_one ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.(l_e_one l_e_st_eq_landau_n_rt_nt_natt p : Prop).

(* constant 1723 *)
definition l_e_st_eq_landau_n_rt_nt_in ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_esti l_e_st_eq_landau_n_rt_nt_natt xt st : Prop).

(* constant 1724 *)
definition l_e_st_eq_landau_n_rt_nt_rtofnt ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_in l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_natrt t) xt : l_e_st_eq_landau_n_rt_rat).

(* constant 1725 *)
definition l_e_st_eq_landau_n_rt_nt_natrti ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_inp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_natrt t) xt : l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_nt_rtofnt xt)).

(* constant 1726 *)
definition l_e_st_eq_landau_n_rt_nt_isrtent ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_isouti l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_natrt t) x0 nx0 y0 ny0 i : l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_ntofrt x0 nx0) (l_e_st_eq_landau_n_rt_nt_ntofrt y0 ny0)).

(* constant 1727 *)
definition l_e_st_eq_landau_n_rt_nt_isrtint ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.λy0:l_e_st_eq_landau_n_rt_rat.λny0:l_e_st_eq_landau_n_rt_natrt y0.λi:l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_ntofrt x0 nx0) (l_e_st_eq_landau_n_rt_nt_ntofrt y0 ny0).(l_e_isoute l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_natrt t) x0 nx0 y0 ny0 i : l_e_st_eq_landau_n_rt_is x0 y0).

(* constant 1728 *)
definition l_e_st_eq_landau_n_rt_nt_isntert ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λi:l_e_st_eq_landau_n_rt_nt_is xt yt.(l_e_isini l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_natrt t) xt yt i : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)).

(* constant 1729 *)
definition l_e_st_eq_landau_n_rt_nt_isntirt ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt).(l_e_isine l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_natrt t) xt yt i : l_e_st_eq_landau_n_rt_nt_is xt yt).

(* constant 1730 *)
definition l_e_st_eq_landau_n_rt_nt_isrtnt1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λnx0:l_e_st_eq_landau_n_rt_natrt x0.(l_e_isinout l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_natrt t) x0 nx0 : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_nt_rtofnt (l_e_st_eq_landau_n_rt_nt_ntofrt x0 nx0))).

(* constant 1731 *)
definition l_e_st_eq_landau_n_rt_nt_isntrt1 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_isoutin l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_natrt t) xt : l_e_st_eq_landau_n_rt_nt_is xt (l_e_st_eq_landau_n_rt_nt_ntofrt (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt))).

(* constant 1732 *)
definition l_e_st_eq_landau_n_rt_nt_ntofn ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_nt_ntofrt (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_natrti x) : l_e_st_eq_landau_n_rt_nt_natt).

(* constant 1733 *)
definition l_e_st_eq_landau_n_rt_nt_isnent ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_st_eq_landau_n_rt_nt_isrtent (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_natrti x) (l_e_st_eq_landau_n_rt_rtofn y) (l_e_st_eq_landau_n_rt_natrti y) (l_e_st_eq_landau_n_rt_isnert x y i) : l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_ntofn x) (l_e_st_eq_landau_n_rt_nt_ntofn y)).

(* constant 1734 *)
definition l_e_st_eq_landau_n_rt_nt_isnint ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_ntofn x) (l_e_st_eq_landau_n_rt_nt_ntofn y).(l_e_st_eq_landau_n_rt_isnirt x y (l_e_st_eq_landau_n_rt_nt_isrtint (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_natrti x) (l_e_st_eq_landau_n_rt_rtofn y) (l_e_st_eq_landau_n_rt_natrti y) i) : l_e_st_eq_landau_n_is x y).

(* constant 1735 *)
definition l_e_st_eq_landau_n_rt_nt_nofnt ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt) : l_e_st_eq_landau_n_nat).

(* constant 1736 *)
definition l_e_st_eq_landau_n_rt_nt_isnten ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λi:l_e_st_eq_landau_n_rt_nt_is xt yt.(l_e_st_eq_landau_n_rt_isrten (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt) (l_e_st_eq_landau_n_rt_nt_isntert xt yt i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)).

(* constant 1737 *)
definition l_e_st_eq_landau_n_rt_nt_isntin ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt).(l_e_st_eq_landau_n_rt_nt_isntirt xt yt (l_e_st_eq_landau_n_rt_isrtin (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt) i) : l_e_st_eq_landau_n_rt_nt_is xt yt).

(* constant 1738 *)
definition l_e_st_eq_landau_n_rt_nt_ii5_t24 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_nt_isrtnt1 (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_natrti x) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_nt_rtofnt (l_e_st_eq_landau_n_rt_nt_ntofn x))).

(* constant 1739 *)
definition l_e_st_eq_landau_n_rt_nt_ii5_t25 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_isrten (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_natrti x) (l_e_st_eq_landau_n_rt_nt_rtofnt (l_e_st_eq_landau_n_rt_nt_ntofn x)) (l_e_st_eq_landau_n_rt_nt_natrti (l_e_st_eq_landau_n_rt_nt_ntofn x)) (l_e_st_eq_landau_n_rt_nt_ii5_t24 x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_natrti x)) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_ntofn x))).

(* constant 1740 *)
definition l_e_st_eq_landau_n_rt_nt_isnnt1 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_natrti x)) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_ntofn x)) (l_e_st_eq_landau_n_rt_isnrt1 x) (l_e_st_eq_landau_n_rt_nt_ii5_t25 x) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_ntofn x))).

(* constant 1741 *)
definition l_e_st_eq_landau_n_rt_nt_ii5_t26 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_isrtn1 (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_nt_nofnt xt))).

(* constant 1742 *)
definition l_e_st_eq_landau_n_rt_nt_ii5_t27 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_isrtent (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_nt_nofnt xt)) (l_e_st_eq_landau_n_rt_natrti (l_e_st_eq_landau_n_rt_nt_nofnt xt)) (l_e_st_eq_landau_n_rt_nt_ii5_t26 xt) : l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_ntofrt (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt)) (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_nofnt xt))).

(* constant 1743 *)
definition l_e_st_eq_landau_n_rt_nt_isntn1 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_tris l_e_st_eq_landau_n_rt_nt_natt xt (l_e_st_eq_landau_n_rt_nt_ntofrt (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt)) (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_nofnt xt)) (l_e_st_eq_landau_n_rt_nt_isntrt1 xt) (l_e_st_eq_landau_n_rt_nt_ii5_t27 xt) : l_e_st_eq_landau_n_rt_nt_is xt (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_nofnt xt))).

(* constant 1744 *)
definition l_e_st_eq_landau_n_rt_nt_isnnt2 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_ntofn x)) (l_e_st_eq_landau_n_rt_nt_isnnt1 x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_ntofn x)) x).

(* constant 1745 *)
definition l_e_st_eq_landau_n_rt_nt_isntn2 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_symis l_e_st_eq_landau_n_rt_nt_natt xt (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_nofnt xt)) (l_e_st_eq_landau_n_rt_nt_isntn1 xt) : l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_nofnt xt)) xt).

(* constant 1746 *)
definition l_e_st_eq_landau_n_rt_nt_1t ≝ (l_e_st_eq_landau_n_rt_nt_ntofn l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_rt_nt_natt).

(* constant 1747 *)
definition l_e_st_eq_landau_n_rt_nt_suct ≝ (λx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt x)) : Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt).

(* constant 1748 *)
definition l_e_st_eq_landau_n_rt_nt_5113_t1 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λi:l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_suct xt) l_e_st_eq_landau_n_rt_nt_1t.(l_e_st_eq_landau_n_rt_nt_isnint (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt xt)) l_e_st_eq_landau_n_1 i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt xt)) l_e_st_eq_landau_n_1).

(* constant 1749 *)
definition l_e_st_eq_landau_n_rt_nt_satz113a ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_imp_th3 (l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_suct xt) l_e_st_eq_landau_n_rt_nt_1t) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt xt)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ax3 (l_e_st_eq_landau_n_rt_nt_nofnt xt)) (λt:l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_suct xt) l_e_st_eq_landau_n_rt_nt_1t.l_e_st_eq_landau_n_rt_nt_5113_t1 xt t) : l_e_st_eq_landau_n_rt_nt_nis (l_e_st_eq_landau_n_rt_nt_suct xt) l_e_st_eq_landau_n_rt_nt_1t).

(* constant 1750 *)
definition l_e_st_eq_landau_n_rt_nt_5113_t2 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λi:l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_suct xt) (l_e_st_eq_landau_n_rt_nt_suct yt).(l_e_st_eq_landau_n_rt_nt_isnint (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt xt)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt yt)) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt xt)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt yt))).

(* constant 1751 *)
definition l_e_st_eq_landau_n_rt_nt_satz113b ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λi:l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_suct xt) (l_e_st_eq_landau_n_rt_nt_suct yt).(l_e_st_eq_landau_n_rt_nt_isntin xt yt (l_e_st_eq_landau_n_ax4 (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_5113_t2 xt yt i)) : l_e_st_eq_landau_n_rt_nt_is xt yt).

(* constant 1752 *)
definition l_e_st_eq_landau_n_rt_nt_cond1 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_in l_e_st_eq_landau_n_rt_nt_1t st : Prop).

(* constant 1753 *)
definition l_e_st_eq_landau_n_rt_nt_cond2 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_all (λx:l_e_st_eq_landau_n_rt_nt_natt.l_imp (l_e_st_eq_landau_n_rt_nt_in x st) (l_e_st_eq_landau_n_rt_nt_in (l_e_st_eq_landau_n_rt_nt_suct x) st)) : Prop).

(* constant 1754 *)
definition l_e_st_eq_landau_n_rt_nt_5113_prop1 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_nt_in (l_e_st_eq_landau_n_rt_nt_ntofn x) st : Prop).

(* constant 1755 *)
definition l_e_st_eq_landau_n_rt_nt_5113_t3 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_5113_prop1 st c1 c2 x.(c2 (l_e_st_eq_landau_n_rt_nt_ntofn x) : l_imp (l_e_st_eq_landau_n_rt_nt_in (l_e_st_eq_landau_n_rt_nt_ntofn x) st) (l_e_st_eq_landau_n_rt_nt_in (l_e_st_eq_landau_n_rt_nt_suct (l_e_st_eq_landau_n_rt_nt_ntofn x)) st)).

(* constant 1756 *)
definition l_e_st_eq_landau_n_rt_nt_5113_t4 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_5113_prop1 st c1 c2 x.(l_mp (l_e_st_eq_landau_n_rt_nt_in (l_e_st_eq_landau_n_rt_nt_ntofn x) st) (l_e_st_eq_landau_n_rt_nt_in (l_e_st_eq_landau_n_rt_nt_suct (l_e_st_eq_landau_n_rt_nt_ntofn x)) st) p (l_e_st_eq_landau_n_rt_nt_5113_t3 st c1 c2 x p) : l_e_st_eq_landau_n_rt_nt_in (l_e_st_eq_landau_n_rt_nt_suct (l_e_st_eq_landau_n_rt_nt_ntofn x)) st).

(* constant 1757 *)
definition l_e_st_eq_landau_n_rt_nt_5113_t5 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_5113_prop1 st c1 c2 x.(l_e_isp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_nt_in (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_suc t)) st) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_ntofn x)) x (l_e_st_eq_landau_n_rt_nt_5113_t4 st c1 c2 x p) (l_e_st_eq_landau_n_rt_nt_isnnt2 x) : l_e_st_eq_landau_n_rt_nt_5113_prop1 st c1 c2 (l_e_st_eq_landau_n_suc x)).

(* constant 1758 *)
definition l_e_st_eq_landau_n_rt_nt_5113_t6 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_nt_5113_prop1 st c1 c2 t) c1 (λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_rt_nt_5113_prop1 st c1 c2 t.l_e_st_eq_landau_n_rt_nt_5113_t5 st c1 c2 t u) (l_e_st_eq_landau_n_rt_nt_nofnt xt) : l_e_st_eq_landau_n_rt_nt_in (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_nofnt xt)) st).

(* constant 1759 *)
definition l_e_st_eq_landau_n_rt_nt_satz113c ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_isp l_e_st_eq_landau_n_rt_nt_natt (λt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_in t st) (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_nofnt xt)) xt (l_e_st_eq_landau_n_rt_nt_5113_t6 st c1 c2 xt) (l_e_st_eq_landau_n_rt_nt_isntn2 xt) : l_e_st_eq_landau_n_rt_nt_in xt st).

(* constant 1760 *)
definition l_e_st_eq_landau_n_rt_nt_ax3t ≝ (λx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_satz113a x : ∀x:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_nis (l_e_st_eq_landau_n_rt_nt_suct x) l_e_st_eq_landau_n_rt_nt_1t).

(* constant 1761 *)
definition l_e_st_eq_landau_n_rt_nt_ax4t ≝ (λx:l_e_st_eq_landau_n_rt_nt_natt.λy:l_e_st_eq_landau_n_rt_nt_natt.λu:l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_suct x) (l_e_st_eq_landau_n_rt_nt_suct y).l_e_st_eq_landau_n_rt_nt_satz113b x y u : ∀x:l_e_st_eq_landau_n_rt_nt_natt.∀y:l_e_st_eq_landau_n_rt_nt_natt.∀u:l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_suct x) (l_e_st_eq_landau_n_rt_nt_suct y).l_e_st_eq_landau_n_rt_nt_is x y).

(* constant 1762 *)
definition l_e_st_eq_landau_n_rt_nt_ax5t ≝ (λs:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λu:l_e_st_eq_landau_n_rt_nt_cond1 s.λv:l_e_st_eq_landau_n_rt_nt_cond2 s.λx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_satz113c s u v x : ∀s:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.∀u:l_e_st_eq_landau_n_rt_nt_cond1 s.∀v:l_e_st_eq_landau_n_rt_nt_cond2 s.∀x:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_in x s).

(* constant 1763 *)
definition l_e_st_eq_landau_n_rt_nt_51_t1 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λn:l_e_st_eq_landau_n_rt_nt_nis xt yt.(l_imp_th3 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_rt_nt_is xt yt) n (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt).l_e_st_eq_landau_n_rt_nt_isntin xt yt t) : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)).

(* constant 1764 *)
definition l_e_st_eq_landau_n_rt_nt_51_t2 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λn:l_e_st_eq_landau_n_rt_nt_nis xt yt.(l_e_st_eq_landau_n_satz1 (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_51_t1 xt yt n) : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt xt)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt yt))).

(* constant 1765 *)
definition l_e_st_eq_landau_n_rt_nt_satz1 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λn:l_e_st_eq_landau_n_rt_nt_nis xt yt.(l_imp_th3 (l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_suct xt) (l_e_st_eq_landau_n_rt_nt_suct yt)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt xt)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt yt))) (l_e_st_eq_landau_n_rt_nt_51_t2 xt yt n) (λt:l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_suct xt) (l_e_st_eq_landau_n_rt_nt_suct yt).l_e_st_eq_landau_n_rt_nt_isnint (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt xt)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt yt)) t) : l_e_st_eq_landau_n_rt_nt_nis (l_e_st_eq_landau_n_rt_nt_suct xt) (l_e_st_eq_landau_n_rt_nt_suct yt)).

(* constant 1766 *)
definition l_e_st_eq_landau_n_rt_nt_54_x ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_nofnt xt : l_e_st_eq_landau_n_nat).

(* constant 1767 *)
definition l_e_st_eq_landau_n_rt_nt_54_prop1t ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_all (λt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_is (ft (l_e_st_eq_landau_n_rt_nt_suct t)) (l_e_st_eq_landau_n_rt_nt_suct (ft t))) : Prop).

(* constant 1768 *)
definition l_e_st_eq_landau_n_rt_nt_54_prop2t ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.(l_and (l_e_st_eq_landau_n_rt_nt_is (ft l_e_st_eq_landau_n_rt_nt_1t) (l_e_st_eq_landau_n_rt_nt_suct xt)) (l_e_st_eq_landau_n_rt_nt_54_prop1t st c1 c2 xt ft) : Prop).

(* constant 1769 *)
definition l_e_st_eq_landau_n_rt_nt_54_prop1 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_all (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_is (f (l_e_st_eq_landau_n_suc t)) (l_e_st_eq_landau_n_suc (f t))) : Prop).

(* constant 1770 *)
definition l_e_st_eq_landau_n_rt_nt_54_prop2 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.(l_and (l_e_st_eq_landau_n_is (f l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_x st c1 c2 xt))) (l_e_st_eq_landau_n_rt_nt_54_prop1 st c1 c2 xt f) : Prop).

(* constant 1771 *)
definition l_e_st_eq_landau_n_rt_nt_54_g ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.(λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_nt_nofnt (ft (l_e_st_eq_landau_n_rt_nt_ntofn t)) : Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat).

(* constant 1772 *)
definition l_e_st_eq_landau_n_rt_nt_54_t1 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λp:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt ft.(l_ande1 (l_e_st_eq_landau_n_rt_nt_is (ft l_e_st_eq_landau_n_rt_nt_1t) (l_e_st_eq_landau_n_rt_nt_suct xt)) (l_e_st_eq_landau_n_rt_nt_54_prop1t st c1 c2 xt ft) p : l_e_st_eq_landau_n_rt_nt_is (ft l_e_st_eq_landau_n_rt_nt_1t) (l_e_st_eq_landau_n_rt_nt_suct xt)).

(* constant 1773 *)
definition l_e_st_eq_landau_n_rt_nt_54_t2 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λp:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt ft.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_suct xt)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_x st c1 c2 xt)) (l_e_st_eq_landau_n_rt_nt_isnten (ft l_e_st_eq_landau_n_rt_nt_1t) (l_e_st_eq_landau_n_rt_nt_suct xt) (l_e_st_eq_landau_n_rt_nt_54_t1 st c1 c2 xt ft p)) (l_e_st_eq_landau_n_rt_nt_isnnt2 (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_x st c1 c2 xt))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_x st c1 c2 xt))).

(* constant 1774 *)
definition l_e_st_eq_landau_n_rt_nt_54_t3 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λp:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt ft.(l_ande2 (l_e_st_eq_landau_n_rt_nt_is (ft l_e_st_eq_landau_n_rt_nt_1t) (l_e_st_eq_landau_n_rt_nt_suct xt)) (l_e_st_eq_landau_n_rt_nt_54_prop1t st c1 c2 xt ft) p : l_e_st_eq_landau_n_rt_nt_54_prop1t st c1 c2 xt ft).

(* constant 1775 *)
definition l_e_st_eq_landau_n_rt_nt_54_ut ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λp:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt ft.λu:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_nt_ntofn u : l_e_st_eq_landau_n_rt_nt_natt).

(* constant 1776 *)
definition l_e_st_eq_landau_n_rt_nt_54_t4 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λp:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt ft.λu:l_e_st_eq_landau_n_nat.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_suc u (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u)) (l_e_st_eq_landau_n_rt_nt_isnnt1 u) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc u) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u)))).

(* constant 1777 *)
definition l_e_st_eq_landau_n_rt_nt_54_t5 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λp:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt ft.λu:l_e_st_eq_landau_n_nat.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft) (l_e_st_eq_landau_n_suc u) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u))) (l_e_st_eq_landau_n_rt_nt_54_t4 st c1 c2 xt ft p u) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft (l_e_st_eq_landau_n_suc u)) (l_e_st_eq_landau_n_rt_nt_nofnt (ft (l_e_st_eq_landau_n_rt_nt_suct (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u))))).

(* constant 1778 *)
definition l_e_st_eq_landau_n_rt_nt_54_t6 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λp:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt ft.λu:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_nt_54_t3 st c1 c2 xt ft p (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u) : l_e_st_eq_landau_n_rt_nt_is (ft (l_e_st_eq_landau_n_rt_nt_suct (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u))) (l_e_st_eq_landau_n_rt_nt_suct (ft (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u)))).

(* constant 1779 *)
definition l_e_st_eq_landau_n_rt_nt_54_t7 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λp:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt ft.λu:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_nt_isnten (ft (l_e_st_eq_landau_n_rt_nt_suct (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u))) (l_e_st_eq_landau_n_rt_nt_suct (ft (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u))) (l_e_st_eq_landau_n_rt_nt_54_t6 st c1 c2 xt ft p u) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt (ft (l_e_st_eq_landau_n_rt_nt_suct (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u)))) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_suct (ft (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u))))).

(* constant 1780 *)
definition l_e_st_eq_landau_n_rt_nt_54_t8 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λp:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt ft.λu:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_nt_isnnt2 (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft u)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_suct (ft (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u)))) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft u))).

(* constant 1781 *)
definition l_e_st_eq_landau_n_rt_nt_54_t9 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λp:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt ft.λu:l_e_st_eq_landau_n_nat.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft (l_e_st_eq_landau_n_suc u)) (l_e_st_eq_landau_n_rt_nt_nofnt (ft (l_e_st_eq_landau_n_rt_nt_suct (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u)))) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_suct (ft (l_e_st_eq_landau_n_rt_nt_54_ut st c1 c2 xt ft p u)))) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft u)) (l_e_st_eq_landau_n_rt_nt_54_t5 st c1 c2 xt ft p u) (l_e_st_eq_landau_n_rt_nt_54_t7 st c1 c2 xt ft p u) (l_e_st_eq_landau_n_rt_nt_54_t8 st c1 c2 xt ft p u) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft (l_e_st_eq_landau_n_suc u)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft u))).

(* constant 1782 *)
definition l_e_st_eq_landau_n_rt_nt_54_t10 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λp:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt ft.(λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_nt_54_t9 st c1 c2 xt ft p u : l_e_st_eq_landau_n_rt_nt_54_prop1 st c1 c2 xt (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft)).

(* constant 1783 *)
definition l_e_st_eq_landau_n_rt_nt_54_t11 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λft:Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λp:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt ft.(l_andi (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_x st c1 c2 xt))) (l_e_st_eq_landau_n_rt_nt_54_prop1 st c1 c2 xt (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft)) (l_e_st_eq_landau_n_rt_nt_54_t2 st c1 c2 xt ft p) (l_e_st_eq_landau_n_rt_nt_54_t10 st c1 c2 xt ft p) : l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt ft)).

(* constant 1784 *)
definition l_e_st_eq_landau_n_rt_nt_54_t12 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λa:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λb:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λpa:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt a.λpb:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt b.(l_e_onee1 (Πt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λu:Πt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt u) (l_e_st_eq_landau_n_satz4 (l_e_st_eq_landau_n_rt_nt_54_x st c1 c2 xt)) : l_e_amone (Πt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λu:Πt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt u)).

(* constant 1785 *)
definition l_e_st_eq_landau_n_rt_nt_54_t13 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λa:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λb:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λpa:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt a.λpb:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt b.(l_e_st_eq_landau_n_rt_nt_54_t12 st c1 c2 xt a b pa pb (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt a) (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt b) (l_e_st_eq_landau_n_rt_nt_54_t11 st c1 c2 xt a pa) (l_e_st_eq_landau_n_rt_nt_54_t11 st c1 c2 xt b pb) : l_e_is (Πt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt a) (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt b)).

(* constant 1786 *)
definition l_e_st_eq_landau_n_rt_nt_54_y ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λa:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λb:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λpa:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt a.λpb:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt b.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_nofnt yt : l_e_st_eq_landau_n_nat).

(* constant 1787 *)
definition l_e_st_eq_landau_n_rt_nt_54_t14 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λa:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λb:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λpa:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt a.λpb:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt b.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_fise l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt a) (l_e_st_eq_landau_n_rt_nt_54_g st c1 c2 xt b) (l_e_st_eq_landau_n_rt_nt_54_t13 st c1 c2 xt a b pa pb) (l_e_st_eq_landau_n_rt_nt_54_y st c1 c2 xt a b pa pb yt) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt (a (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_54_y st c1 c2 xt a b pa pb yt)))) (l_e_st_eq_landau_n_rt_nt_nofnt (b (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_54_y st c1 c2 xt a b pa pb yt))))).

(* constant 1788 *)
definition l_e_st_eq_landau_n_rt_nt_54_t15 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λa:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λb:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λpa:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt a.λpb:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt b.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_isntin (a (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_54_y st c1 c2 xt a b pa pb yt))) (b (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_54_y st c1 c2 xt a b pa pb yt))) (l_e_st_eq_landau_n_rt_nt_54_t14 st c1 c2 xt a b pa pb yt) : l_e_st_eq_landau_n_rt_nt_is (a (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_54_y st c1 c2 xt a b pa pb yt))) (b (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_54_y st c1 c2 xt a b pa pb yt)))).

(* constant 1789 *)
definition l_e_st_eq_landau_n_rt_nt_54_t16 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λa:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λb:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λpa:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt a.λpb:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt b.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_tr3is l_e_st_eq_landau_n_rt_nt_natt (a yt) (a (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_54_y st c1 c2 xt a b pa pb yt))) (b (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_54_y st c1 c2 xt a b pa pb yt))) (b yt) (l_e_isf l_e_st_eq_landau_n_rt_nt_natt l_e_st_eq_landau_n_rt_nt_natt a yt (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_54_y st c1 c2 xt a b pa pb yt)) (l_e_st_eq_landau_n_rt_nt_isntn1 yt)) (l_e_st_eq_landau_n_rt_nt_54_t15 st c1 c2 xt a b pa pb yt) (l_e_isf l_e_st_eq_landau_n_rt_nt_natt l_e_st_eq_landau_n_rt_nt_natt b (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_54_y st c1 c2 xt a b pa pb yt)) yt (l_e_st_eq_landau_n_rt_nt_isntn2 yt)) : l_e_st_eq_landau_n_rt_nt_is (a yt) (b yt)).

(* constant 1790 *)
definition l_e_st_eq_landau_n_rt_nt_54_t17 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λa:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λb:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λpa:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt a.λpb:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt b.(l_e_fisi l_e_st_eq_landau_n_rt_nt_natt l_e_st_eq_landau_n_rt_nt_natt a b (λt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_54_t16 st c1 c2 xt a b pa pb t) : l_e_is (Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt) a b).

(* constant 1791 *)
definition l_e_st_eq_landau_n_rt_nt_54_t18 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.(λu:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λv:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.λw:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt u.λz:l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt v.l_e_st_eq_landau_n_rt_nt_54_t17 st c1 c2 xt u v w z : l_e_amone (Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt) (λu:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt u)).

(* constant 1792 *)
definition l_e_st_eq_landau_n_rt_nt_54_t19 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_onee2 (Πt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λu:Πt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt u) (l_e_st_eq_landau_n_satz4 (l_e_st_eq_landau_n_rt_nt_54_x st c1 c2 xt)) : l_some (Πt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λu:Πt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt u)).

(* constant 1793 *)
definition l_e_st_eq_landau_n_rt_nt_54_gt ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.(λt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_ntofn (f (l_e_st_eq_landau_n_rt_nt_nofnt t)) : Πx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt).

(* constant 1794 *)
definition l_e_st_eq_landau_n_rt_nt_54_t20 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt f.(l_ande1 (l_e_st_eq_landau_n_is (f l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_x st c1 c2 xt))) (l_e_st_eq_landau_n_rt_nt_54_prop1 st c1 c2 xt f) p : l_e_st_eq_landau_n_is (f l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_x st c1 c2 xt))).

(* constant 1795 *)
definition l_e_st_eq_landau_n_rt_nt_54_t21 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt f.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat f (l_e_st_eq_landau_n_rt_nt_nofnt l_e_st_eq_landau_n_rt_nt_1t) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_nt_isnnt2 l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_is (f (l_e_st_eq_landau_n_rt_nt_nofnt l_e_st_eq_landau_n_rt_nt_1t)) (f l_e_st_eq_landau_n_1)).

(* constant 1796 *)
definition l_e_st_eq_landau_n_rt_nt_54_t22 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt f.(l_e_st_eq_landau_n_rt_nt_isnent (f (l_e_st_eq_landau_n_rt_nt_nofnt l_e_st_eq_landau_n_rt_nt_1t)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_x st c1 c2 xt)) (l_e_tris l_e_st_eq_landau_n_nat (f (l_e_st_eq_landau_n_rt_nt_nofnt l_e_st_eq_landau_n_rt_nt_1t)) (f l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_x st c1 c2 xt)) (l_e_st_eq_landau_n_rt_nt_54_t21 st c1 c2 xt f p) (l_e_st_eq_landau_n_rt_nt_54_t20 st c1 c2 xt f p)) : l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_54_gt st c1 c2 xt f l_e_st_eq_landau_n_rt_nt_1t) (l_e_st_eq_landau_n_rt_nt_suct xt)).

(* constant 1797 *)
definition l_e_st_eq_landau_n_rt_nt_54_t23 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt f.(l_ande2 (l_e_st_eq_landau_n_is (f l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_x st c1 c2 xt))) (l_e_st_eq_landau_n_rt_nt_54_prop1 st c1 c2 xt f) p : l_e_st_eq_landau_n_rt_nt_54_prop1 st c1 c2 xt f).

(* constant 1798 *)
definition l_e_st_eq_landau_n_rt_nt_54_z ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt f.λzt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_nofnt zt : l_e_st_eq_landau_n_nat).

(* constant 1799 *)
definition l_e_st_eq_landau_n_rt_nt_54_t24 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt f.λzt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat f (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_suct zt)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_z st c1 c2 xt f p zt)) (l_e_st_eq_landau_n_rt_nt_isnnt2 (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_z st c1 c2 xt f p zt))) : l_e_st_eq_landau_n_is (f (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_suct zt))) (f (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_z st c1 c2 xt f p zt)))).

(* constant 1800 *)
definition l_e_st_eq_landau_n_rt_nt_54_t25 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt f.λzt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_54_t23 st c1 c2 xt f p (l_e_st_eq_landau_n_rt_nt_54_z st c1 c2 xt f p zt) : l_e_st_eq_landau_n_is (f (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_z st c1 c2 xt f p zt))) (l_e_st_eq_landau_n_suc (f (l_e_st_eq_landau_n_rt_nt_54_z st c1 c2 xt f p zt)))).

(* constant 1801 *)
definition l_e_st_eq_landau_n_rt_nt_54_t26 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt f.λzt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_suc (f (l_e_st_eq_landau_n_rt_nt_54_z st c1 c2 xt f p zt)) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_54_gt st c1 c2 xt f zt)) (l_e_st_eq_landau_n_rt_nt_isnnt1 (f (l_e_st_eq_landau_n_rt_nt_54_z st c1 c2 xt f p zt))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (f (l_e_st_eq_landau_n_rt_nt_54_z st c1 c2 xt f p zt))) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_54_gt st c1 c2 xt f zt)))).

(* constant 1802 *)
definition l_e_st_eq_landau_n_rt_nt_54_t27 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt f.λzt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_isnent (f (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_suct zt))) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_54_gt st c1 c2 xt f zt))) (l_e_tr3is l_e_st_eq_landau_n_nat (f (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_suct zt))) (f (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_54_z st c1 c2 xt f p zt))) (l_e_st_eq_landau_n_suc (f (l_e_st_eq_landau_n_rt_nt_54_z st c1 c2 xt f p zt))) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_54_gt st c1 c2 xt f zt))) (l_e_st_eq_landau_n_rt_nt_54_t24 st c1 c2 xt f p zt) (l_e_st_eq_landau_n_rt_nt_54_t25 st c1 c2 xt f p zt) (l_e_st_eq_landau_n_rt_nt_54_t26 st c1 c2 xt f p zt)) : l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_54_gt st c1 c2 xt f (l_e_st_eq_landau_n_rt_nt_suct zt)) (l_e_st_eq_landau_n_rt_nt_suct (l_e_st_eq_landau_n_rt_nt_54_gt st c1 c2 xt f zt))).

(* constant 1803 *)
definition l_e_st_eq_landau_n_rt_nt_54_t28 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt f.(λu:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_54_t27 st c1 c2 xt f p u : l_e_st_eq_landau_n_rt_nt_54_prop1t st c1 c2 xt (l_e_st_eq_landau_n_rt_nt_54_gt st c1 c2 xt f)).

(* constant 1804 *)
definition l_e_st_eq_landau_n_rt_nt_54_t29 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt f.(l_andi (l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_54_gt st c1 c2 xt f l_e_st_eq_landau_n_rt_nt_1t) (l_e_st_eq_landau_n_rt_nt_suct xt)) (l_e_st_eq_landau_n_rt_nt_54_prop1t st c1 c2 xt (l_e_st_eq_landau_n_rt_nt_54_gt st c1 c2 xt f)) (l_e_st_eq_landau_n_rt_nt_54_t22 st c1 c2 xt f p) (l_e_st_eq_landau_n_rt_nt_54_t28 st c1 c2 xt f p) : l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt (l_e_st_eq_landau_n_rt_nt_54_gt st c1 c2 xt f)).

(* constant 1805 *)
definition l_e_st_eq_landau_n_rt_nt_54_t30 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.λf:Πx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt f.(l_somei (Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt) (λu:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt u) (l_e_st_eq_landau_n_rt_nt_54_gt st c1 c2 xt f) (l_e_st_eq_landau_n_rt_nt_54_t29 st c1 c2 xt f p) : l_some (Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt) (λu:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt u)).

(* constant 1806 *)
definition l_e_st_eq_landau_n_rt_nt_54_t31 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_someapp (Πt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat) (λu:Πt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt u) (l_e_st_eq_landau_n_rt_nt_54_t19 st c1 c2 xt) (l_some (Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt) (λu:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt u)) (λu:Πt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_rt_nt_54_prop2 st c1 c2 xt u.l_e_st_eq_landau_n_rt_nt_54_t30 st c1 c2 xt u v) : l_some (Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt) (λu:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt u)).

(* constant 1807 *)
definition l_e_st_eq_landau_n_rt_nt_satz4 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_nt_natt.λc1:l_e_st_eq_landau_n_rt_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_onei (Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt) (λu:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_54_prop2t st c1 c2 xt u) (l_e_st_eq_landau_n_rt_nt_54_t18 st c1 c2 xt) (l_e_st_eq_landau_n_rt_nt_54_t31 st c1 c2 xt) : l_e_one (Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt) (λu:Πt:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_natt.l_and (l_e_st_eq_landau_n_rt_nt_is (u l_e_st_eq_landau_n_rt_nt_1t) (l_e_st_eq_landau_n_rt_nt_suct xt)) (l_e_st_eq_landau_n_rt_nt_all (λv:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_is (u (l_e_st_eq_landau_n_rt_nt_suct v)) (l_e_st_eq_landau_n_rt_nt_suct (u v)))))).

(* constant 1808 *)
definition l_e_st_eq_landau_n_rt_nt_pl ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_ntofrt (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)) (l_e_st_eq_landau_n_rt_satz112d (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt)) : l_e_st_eq_landau_n_rt_nt_natt).

(* constant 1809 *)
definition l_e_st_eq_landau_n_rt_nt_ii5_t28 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_satz112c (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt) : l_e_st_eq_landau_n_rt_inf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_class (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)))).

(* constant 1810 *)
definition l_e_st_eq_landau_n_rt_nt_ii5_t29 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_nt_ii5_t28 xt yt) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_refeq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) l_e_st_eq_landau_n_1)) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)))).

(* constant 1811 *)
definition l_e_st_eq_landau_n_rt_nt_isplnt ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_isrtent (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)) (l_e_st_eq_landau_n_rt_satz112d (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt))) (l_e_st_eq_landau_n_rt_natrti (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt))) (l_e_st_eq_landau_n_rt_nt_ii5_t29 xt yt) : l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_pl xt yt) (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)))).

(* constant 1812 *)
definition l_e_st_eq_landau_n_rt_nt_isntpl ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_symis l_e_st_eq_landau_n_rt_nt_natt (l_e_st_eq_landau_n_rt_nt_pl xt yt) (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt))) (l_e_st_eq_landau_n_rt_nt_isplnt xt yt) : l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt))) (l_e_st_eq_landau_n_rt_nt_pl xt yt)).

(* constant 1813 *)
definition l_e_st_eq_landau_n_rt_nt_ispln ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)))) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl xt yt)) (l_e_st_eq_landau_n_rt_nt_isnnt1 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt))) (l_e_st_eq_landau_n_rt_nt_isnten (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt))) (l_e_st_eq_landau_n_rt_nt_pl xt yt) (l_e_st_eq_landau_n_rt_nt_isntpl xt yt)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl xt yt))).

(* constant 1814 *)
definition l_e_st_eq_landau_n_rt_nt_isnpl ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl xt yt)) (l_e_st_eq_landau_n_rt_nt_ispln xt yt) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl xt yt)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt))).

(* constant 1815 *)
definition l_e_st_eq_landau_n_rt_nt_55_t1 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_ispl1 (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl xt yt)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_rt_nt_nofnt zt) (l_e_st_eq_landau_n_rt_nt_isnpl xt yt) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl xt yt)) (l_e_st_eq_landau_n_rt_nt_nofnt zt)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_rt_nt_nofnt zt))).

(* constant 1816 *)
definition l_e_st_eq_landau_n_rt_nt_55_t2 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt zt)) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl yt zt)) (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_ispln yt zt) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt zt))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl yt zt)))).

(* constant 1817 *)
definition l_e_st_eq_landau_n_rt_nt_55_t3 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl xt yt)) (l_e_st_eq_landau_n_rt_nt_nofnt zt)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_rt_nt_nofnt zt)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt zt))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl yt zt))) (l_e_st_eq_landau_n_rt_nt_55_t1 xt yt zt) (l_e_st_eq_landau_n_satz5 (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt zt)) (l_e_st_eq_landau_n_rt_nt_55_t2 xt yt zt) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl xt yt)) (l_e_st_eq_landau_n_rt_nt_nofnt zt)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl yt zt)))).

(* constant 1818 *)
definition l_e_st_eq_landau_n_rt_nt_satz5 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_tr3is l_e_st_eq_landau_n_rt_nt_natt (l_e_st_eq_landau_n_rt_nt_pl (l_e_st_eq_landau_n_rt_nt_pl xt yt) zt) (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl xt yt)) (l_e_st_eq_landau_n_rt_nt_nofnt zt))) (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl yt zt)))) (l_e_st_eq_landau_n_rt_nt_pl xt (l_e_st_eq_landau_n_rt_nt_pl yt zt)) (l_e_st_eq_landau_n_rt_nt_isplnt (l_e_st_eq_landau_n_rt_nt_pl xt yt) zt) (l_e_st_eq_landau_n_rt_nt_isnent (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl xt yt)) (l_e_st_eq_landau_n_rt_nt_nofnt zt)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl yt zt))) (l_e_st_eq_landau_n_rt_nt_55_t3 xt yt zt)) (l_e_st_eq_landau_n_rt_nt_isntpl xt (l_e_st_eq_landau_n_rt_nt_pl yt zt)) : l_e_st_eq_landau_n_rt_nt_is (l_e_st_eq_landau_n_rt_nt_pl (l_e_st_eq_landau_n_rt_nt_pl xt yt) zt) (l_e_st_eq_landau_n_rt_nt_pl xt (l_e_st_eq_landau_n_rt_nt_pl yt zt))).

(* constant 1819 *)
definition l_e_st_eq_landau_n_rt_nt_diffprop ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_is xt (l_e_st_eq_landau_n_rt_nt_pl yt zt) : Prop).

(* constant 1820 *)
definition l_e_st_eq_landau_n_rt_nt_diffprope ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.λd:l_e_st_eq_landau_n_rt_nt_diffprop xt yt zt.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl yt zt)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt zt)) (l_e_st_eq_landau_n_rt_nt_isnten xt (l_e_st_eq_landau_n_rt_nt_pl yt zt) d) (l_e_st_eq_landau_n_rt_nt_isnpl yt zt) : l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt zt)).

(* constant 1821 *)
definition l_e_st_eq_landau_n_rt_nt_ii5_t30 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.λd:l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt zt).(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt zt)) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl yt zt)) d (l_e_st_eq_landau_n_rt_nt_ispln yt zt) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl yt zt))).

(* constant 1822 *)
definition l_e_st_eq_landau_n_rt_nt_diffpropi ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.λd:l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt zt).(l_e_st_eq_landau_n_rt_nt_isntin xt (l_e_st_eq_landau_n_rt_nt_pl yt zt) (l_e_st_eq_landau_n_rt_nt_ii5_t30 xt yt zt d) : l_e_st_eq_landau_n_rt_nt_diffprop xt yt zt).

(* constant 1823 *)
definition l_e_st_eq_landau_n_rt_nt_59_it ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_is xt yt : Prop).

(* constant 1824 *)
definition l_e_st_eq_landau_n_rt_nt_59_iit ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_some (λu:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_diffprop xt yt u) : Prop).

(* constant 1825 *)
definition l_e_st_eq_landau_n_rt_nt_59_iiit ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_some (λu:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_diffprop yt xt u) : Prop).

(* constant 1826 *)
definition l_e_st_eq_landau_n_rt_nt_59_i ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) : Prop).

(* constant 1827 *)
definition l_e_st_eq_landau_n_rt_nt_59_ii ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) u) : Prop).

(* constant 1828 *)
definition l_e_st_eq_landau_n_rt_nt_59_iii ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt xt) u) : Prop).

(* constant 1829 *)
definition l_e_st_eq_landau_n_rt_nt_59_t1 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λone:l_e_st_eq_landau_n_rt_nt_59_i xt yt.(l_or3i1 (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt) (l_e_st_eq_landau_n_rt_nt_isntin xt yt one) : l_or3 (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt)).

(* constant 1830 *)
definition l_e_st_eq_landau_n_rt_nt_59_t2 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λtwo:l_e_st_eq_landau_n_rt_nt_59_ii xt yt.λv:l_e_st_eq_landau_n_nat.λd:l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) v.(l_e_isp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) u) v (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_ntofn v)) d (l_e_st_eq_landau_n_rt_nt_isnnt1 v) : l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_ntofn v))).

(* constant 1831 *)
definition l_e_st_eq_landau_n_rt_nt_59_t3 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λtwo:l_e_st_eq_landau_n_rt_nt_59_ii xt yt.λv:l_e_st_eq_landau_n_nat.λd:l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) v.(l_somei l_e_st_eq_landau_n_rt_nt_natt (λu:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_diffprop xt yt u) (l_e_st_eq_landau_n_rt_nt_ntofn v) (l_e_st_eq_landau_n_rt_nt_diffpropi xt yt (l_e_st_eq_landau_n_rt_nt_ntofn v) (l_e_st_eq_landau_n_rt_nt_59_t2 xt yt two v d)) : l_e_st_eq_landau_n_rt_nt_59_iit xt yt).

(* constant 1832 *)
definition l_e_st_eq_landau_n_rt_nt_59_t4 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λtwo:l_e_st_eq_landau_n_rt_nt_59_ii xt yt.(l_someapp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) u) two (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) u.l_e_st_eq_landau_n_rt_nt_59_t3 xt yt two u v) : l_e_st_eq_landau_n_rt_nt_59_iit xt yt).

(* constant 1833 *)
definition l_e_st_eq_landau_n_rt_nt_59_t5 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λtwo:l_e_st_eq_landau_n_rt_nt_59_ii xt yt.(l_or3i2 (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt) (l_e_st_eq_landau_n_rt_nt_59_t4 xt yt two) : l_or3 (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt)).

(* constant 1834 *)
definition l_e_st_eq_landau_n_rt_nt_59_t6 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λthree:l_e_st_eq_landau_n_rt_nt_59_iii xt yt.(l_or3i3 (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt) (l_e_st_eq_landau_n_rt_nt_59_t4 yt xt three) : l_or3 (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt)).

(* constant 1835 *)
definition l_e_st_eq_landau_n_rt_nt_59_t7 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_or3app (l_e_st_eq_landau_n_rt_nt_59_i xt yt) (l_e_st_eq_landau_n_rt_nt_59_ii xt yt) (l_e_st_eq_landau_n_rt_nt_59_iii xt yt) (l_or3 (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt)) (l_e_st_eq_landau_n_satz9a (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (λu:l_e_st_eq_landau_n_rt_nt_59_i xt yt.l_e_st_eq_landau_n_rt_nt_59_t1 xt yt u) (λu:l_e_st_eq_landau_n_rt_nt_59_ii xt yt.l_e_st_eq_landau_n_rt_nt_59_t5 xt yt u) (λu:l_e_st_eq_landau_n_rt_nt_59_iii xt yt.l_e_st_eq_landau_n_rt_nt_59_t6 xt yt u) : l_or3 (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt)).

(* constant 1836 *)
definition l_e_st_eq_landau_n_rt_nt_59_t8 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λonet:l_e_st_eq_landau_n_rt_nt_59_it xt yt.(l_e_st_eq_landau_n_rt_nt_isnten xt yt onet : l_e_st_eq_landau_n_rt_nt_59_i xt yt).

(* constant 1837 *)
definition l_e_st_eq_landau_n_rt_nt_59_t9 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λtwot:l_e_st_eq_landau_n_rt_nt_59_iit xt yt.λvt:l_e_st_eq_landau_n_rt_nt_natt.λd:l_e_st_eq_landau_n_rt_nt_diffprop xt yt vt.(l_somei l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) u) (l_e_st_eq_landau_n_rt_nt_nofnt vt) (l_e_st_eq_landau_n_rt_nt_diffprope xt yt vt d) : l_e_st_eq_landau_n_rt_nt_59_ii xt yt).

(* constant 1838 *)
definition l_e_st_eq_landau_n_rt_nt_59_t10 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λtwot:l_e_st_eq_landau_n_rt_nt_59_iit xt yt.(l_someapp l_e_st_eq_landau_n_rt_nt_natt (λu:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_diffprop xt yt u) twot (l_e_st_eq_landau_n_rt_nt_59_ii xt yt) (λu:l_e_st_eq_landau_n_rt_nt_natt.λv:l_e_st_eq_landau_n_rt_nt_diffprop xt yt u.l_e_st_eq_landau_n_rt_nt_59_t9 xt yt twot u v) : l_e_st_eq_landau_n_rt_nt_59_ii xt yt).

(* constant 1839 *)
definition l_e_st_eq_landau_n_rt_nt_59_t11 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λthreet:l_e_st_eq_landau_n_rt_nt_59_iiit xt yt.(l_e_st_eq_landau_n_rt_nt_59_t10 yt xt threet : l_e_st_eq_landau_n_rt_nt_59_iii xt yt).

(* constant 1840 *)
definition l_e_st_eq_landau_n_rt_nt_59_t12 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_satz9b (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) : l_ec3 (l_e_st_eq_landau_n_rt_nt_59_i xt yt) (l_e_st_eq_landau_n_rt_nt_59_ii xt yt) (l_e_st_eq_landau_n_rt_nt_59_iii xt yt)).

(* constant 1841 *)
definition l_e_st_eq_landau_n_rt_nt_59_t13 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λonet:l_e_st_eq_landau_n_rt_nt_59_it xt yt.(l_ec3e12 (l_e_st_eq_landau_n_rt_nt_59_i xt yt) (l_e_st_eq_landau_n_rt_nt_59_ii xt yt) (l_e_st_eq_landau_n_rt_nt_59_iii xt yt) (l_e_st_eq_landau_n_rt_nt_59_t12 xt yt) (l_e_st_eq_landau_n_rt_nt_59_t8 xt yt onet) : l_not (l_e_st_eq_landau_n_rt_nt_59_ii xt yt)).

(* constant 1842 *)
definition l_e_st_eq_landau_n_rt_nt_59_t14 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λonet:l_e_st_eq_landau_n_rt_nt_59_it xt yt.(l_imp_th3 (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_ii xt yt) (l_e_st_eq_landau_n_rt_nt_59_t13 xt yt onet) (λx:l_e_st_eq_landau_n_rt_nt_59_iit xt yt.l_e_st_eq_landau_n_rt_nt_59_t10 xt yt x) : l_not (l_e_st_eq_landau_n_rt_nt_59_iit xt yt)).

(* constant 1843 *)
definition l_e_st_eq_landau_n_rt_nt_59_t15 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_ec_th1 (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (λx:l_e_st_eq_landau_n_rt_nt_59_it xt yt.l_e_st_eq_landau_n_rt_nt_59_t14 xt yt x) : l_ec (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt)).

(* constant 1844 *)
definition l_e_st_eq_landau_n_rt_nt_59_t16 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λtwot:l_e_st_eq_landau_n_rt_nt_59_iit xt yt.(l_ec3e23 (l_e_st_eq_landau_n_rt_nt_59_i xt yt) (l_e_st_eq_landau_n_rt_nt_59_ii xt yt) (l_e_st_eq_landau_n_rt_nt_59_iii xt yt) (l_e_st_eq_landau_n_rt_nt_59_t12 xt yt) (l_e_st_eq_landau_n_rt_nt_59_t10 xt yt twot) : l_not (l_e_st_eq_landau_n_rt_nt_59_iii xt yt)).

(* constant 1845 *)
definition l_e_st_eq_landau_n_rt_nt_59_t17 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λtwot:l_e_st_eq_landau_n_rt_nt_59_iit xt yt.(l_imp_th3 (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iii xt yt) (l_e_st_eq_landau_n_rt_nt_59_t16 xt yt twot) (λx:l_e_st_eq_landau_n_rt_nt_59_iiit xt yt.l_e_st_eq_landau_n_rt_nt_59_t11 xt yt x) : l_not (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt)).

(* constant 1846 *)
definition l_e_st_eq_landau_n_rt_nt_59_t18 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_ec_th1 (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt) (λx:l_e_st_eq_landau_n_rt_nt_59_iit xt yt.l_e_st_eq_landau_n_rt_nt_59_t17 xt yt x) : l_ec (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt)).

(* constant 1847 *)
definition l_e_st_eq_landau_n_rt_nt_59_t19 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λthreet:l_e_st_eq_landau_n_rt_nt_59_iiit xt yt.(l_ec3e31 (l_e_st_eq_landau_n_rt_nt_59_i xt yt) (l_e_st_eq_landau_n_rt_nt_59_ii xt yt) (l_e_st_eq_landau_n_rt_nt_59_iii xt yt) (l_e_st_eq_landau_n_rt_nt_59_t12 xt yt) (l_e_st_eq_landau_n_rt_nt_59_t11 xt yt threet) : l_not (l_e_st_eq_landau_n_rt_nt_59_i xt yt)).

(* constant 1848 *)
definition l_e_st_eq_landau_n_rt_nt_59_t20 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λthreet:l_e_st_eq_landau_n_rt_nt_59_iiit xt yt.(l_imp_th3 (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_i xt yt) (l_e_st_eq_landau_n_rt_nt_59_t19 xt yt threet) (λx:l_e_st_eq_landau_n_rt_nt_59_it xt yt.l_e_st_eq_landau_n_rt_nt_59_t8 xt yt x) : l_not (l_e_st_eq_landau_n_rt_nt_59_it xt yt)).

(* constant 1849 *)
definition l_e_st_eq_landau_n_rt_nt_59_t21 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_ec_th1 (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt) (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (λx:l_e_st_eq_landau_n_rt_nt_59_iiit xt yt.l_e_st_eq_landau_n_rt_nt_59_t20 xt yt x) : l_ec (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt) (l_e_st_eq_landau_n_rt_nt_59_it xt yt)).

(* constant 1850 *)
definition l_e_st_eq_landau_n_rt_nt_59_t22 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_ec3_th6 (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt) (l_e_st_eq_landau_n_rt_nt_59_t15 xt yt) (l_e_st_eq_landau_n_rt_nt_59_t18 xt yt) (l_e_st_eq_landau_n_rt_nt_59_t21 xt yt) : l_ec3 (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt)).

(* constant 1851 *)
definition l_e_st_eq_landau_n_rt_nt_satz9 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_orec3i (l_e_st_eq_landau_n_rt_nt_59_it xt yt) (l_e_st_eq_landau_n_rt_nt_59_iit xt yt) (l_e_st_eq_landau_n_rt_nt_59_iiit xt yt) (l_e_st_eq_landau_n_rt_nt_59_t7 xt yt) (l_e_st_eq_landau_n_rt_nt_59_t22 xt yt) : l_orec3 (l_e_st_eq_landau_n_rt_nt_is xt yt) (l_e_st_eq_landau_n_rt_nt_some (λu:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_is xt (l_e_st_eq_landau_n_rt_nt_pl yt u))) (l_e_st_eq_landau_n_rt_nt_some (λu:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_is yt (l_e_st_eq_landau_n_rt_nt_pl xt u)))).

(* constant 1852 *)
definition l_e_st_eq_landau_n_rt_nt_more ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) : Prop).

(* constant 1853 *)
definition l_e_st_eq_landau_n_rt_nt_ii5_t31 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λm:l_e_st_eq_landau_n_rt_nt_more xt yt.(l_e_st_eq_landau_n_rt_moree (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt xt) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt yt) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclassn (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt)) (l_e_st_eq_landau_n_rt_inclassn (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt)) m : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt xt) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt yt) l_e_st_eq_landau_n_1)).

(* constant 1854 *)
definition l_e_st_eq_landau_n_rt_nt_moree ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λm:l_e_st_eq_landau_n_rt_nt_more xt yt.(l_e_st_eq_landau_n_satz111a (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_ii5_t31 xt yt m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)).

(* constant 1855 *)
definition l_e_st_eq_landau_n_rt_nt_ii5_t32 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λm:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt).(l_e_st_eq_landau_n_satz111d (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) m : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt xt) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt yt) l_e_st_eq_landau_n_1)).

(* constant 1856 *)
definition l_e_st_eq_landau_n_rt_nt_morei ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λm:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt).(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt xt) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt yt) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclassn (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt)) (l_e_st_eq_landau_n_rt_inclassn (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt)) (l_e_st_eq_landau_n_rt_nt_ii5_t32 xt yt m) : l_e_st_eq_landau_n_rt_nt_more xt yt).

(* constant 1857 *)
definition l_e_st_eq_landau_n_rt_nt_less ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) : Prop).

(* constant 1858 *)
definition l_e_st_eq_landau_n_rt_nt_ii5_t33 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λl:l_e_st_eq_landau_n_rt_nt_less xt yt.(l_e_st_eq_landau_n_rt_lesse (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt xt) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt yt) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclassn (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt)) (l_e_st_eq_landau_n_rt_inclassn (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt)) l : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt xt) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt yt) l_e_st_eq_landau_n_1)).

(* constant 1859 *)
definition l_e_st_eq_landau_n_rt_nt_lesse ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λl:l_e_st_eq_landau_n_rt_nt_less xt yt.(l_e_st_eq_landau_n_satz111c (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_ii5_t33 xt yt l) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)).

(* constant 1860 *)
definition l_e_st_eq_landau_n_rt_nt_ii5_t34 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt).(l_e_st_eq_landau_n_satz111f (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) l : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt xt) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt yt) l_e_st_eq_landau_n_1)).

(* constant 1861 *)
definition l_e_st_eq_landau_n_rt_nt_lessi ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt).(l_e_st_eq_landau_n_rt_lessi (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt xt) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_nt_nofnt yt) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclassn (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt)) (l_e_st_eq_landau_n_rt_inclassn (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt)) (l_e_st_eq_landau_n_rt_nt_ii5_t34 xt yt l) : l_e_st_eq_landau_n_rt_nt_less xt yt).

(* constant 1862 *)
definition l_e_st_eq_landau_n_rt_nt_moreis ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_moreis (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) : Prop).

(* constant 1863 *)
definition l_e_st_eq_landau_n_rt_nt_moreise ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λm:l_e_st_eq_landau_n_rt_nt_moreis xt yt.(l_or_th9 (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)) (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) m (λu:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt).l_e_st_eq_landau_n_rt_nt_moree xt yt u) (λu:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt).l_e_st_eq_landau_n_rt_isrten (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt) u) : l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)).

(* constant 1864 *)
definition l_e_st_eq_landau_n_rt_nt_moreisi ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λm:l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt).(l_or_th9 (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)) (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)) m (λu:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt).l_e_st_eq_landau_n_rt_nt_morei xt yt u) (λu:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt).l_e_st_eq_landau_n_rt_isrtin (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt) u) : l_e_st_eq_landau_n_rt_nt_moreis xt yt).

(* constant 1865 *)
definition l_e_st_eq_landau_n_rt_nt_lessis ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_lessis (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) : Prop).

(* constant 1866 *)
definition l_e_st_eq_landau_n_rt_nt_lessise ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λl:l_e_st_eq_landau_n_rt_nt_lessis xt yt.(l_or_th9 (l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)) (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) l (λu:l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt).l_e_st_eq_landau_n_rt_nt_lesse xt yt u) (λu:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt).l_e_st_eq_landau_n_rt_isrten (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt) u) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)).

(* constant 1867 *)
definition l_e_st_eq_landau_n_rt_nt_lessisi ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt).(l_or_th9 (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt)) (l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)) (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt)) l (λu:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt).l_e_st_eq_landau_n_rt_nt_lessi xt yt u) (λu:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt).l_e_st_eq_landau_n_rt_isrtin (l_e_st_eq_landau_n_rt_nt_rtofnt xt) (l_e_st_eq_landau_n_rt_nt_natrti xt) (l_e_st_eq_landau_n_rt_nt_rtofnt yt) (l_e_st_eq_landau_n_rt_nt_natrti yt) u) : l_e_st_eq_landau_n_rt_nt_lessis xt yt).

(* constant 1868 *)
definition l_e_st_eq_landau_n_rt_nt_515_t1 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.λl:l_e_st_eq_landau_n_rt_nt_less xt yt.λk:l_e_st_eq_landau_n_rt_nt_less yt zt.(l_e_st_eq_landau_n_satz15 (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt zt) (l_e_st_eq_landau_n_rt_nt_lesse xt yt l) (l_e_st_eq_landau_n_rt_nt_lesse yt zt k) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt zt)).

(* constant 1869 *)
definition l_e_st_eq_landau_n_rt_nt_satz15 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.λl:l_e_st_eq_landau_n_rt_nt_less xt yt.λk:l_e_st_eq_landau_n_rt_nt_less yt zt.(l_e_st_eq_landau_n_rt_nt_lessi xt zt (l_e_st_eq_landau_n_rt_nt_515_t1 xt yt zt l k) : l_e_st_eq_landau_n_rt_nt_less xt zt).

(* constant 1870 *)
definition l_e_st_eq_landau_n_rt_nt_521_t1 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.λut:l_e_st_eq_landau_n_rt_nt_natt.λm:l_e_st_eq_landau_n_rt_nt_more xt yt.λn:l_e_st_eq_landau_n_rt_nt_more zt ut.(l_e_st_eq_landau_n_satz21 (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt zt) (l_e_st_eq_landau_n_rt_nt_nofnt ut) (l_e_st_eq_landau_n_rt_nt_moree xt yt m) (l_e_st_eq_landau_n_rt_nt_moree zt ut n) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt zt)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt ut))).

(* constant 1871 *)
definition l_e_st_eq_landau_n_rt_nt_521_t2 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.λut:l_e_st_eq_landau_n_rt_nt_natt.λm:l_e_st_eq_landau_n_rt_nt_more xt yt.λn:l_e_st_eq_landau_n_rt_nt_more zt ut.(l_e_st_eq_landau_n_ismore12 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt xt) (l_e_st_eq_landau_n_rt_nt_nofnt zt)) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl xt zt)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_nt_nofnt yt) (l_e_st_eq_landau_n_rt_nt_nofnt ut)) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl yt ut)) (l_e_st_eq_landau_n_rt_nt_ispln xt zt) (l_e_st_eq_landau_n_rt_nt_ispln yt ut) (l_e_st_eq_landau_n_rt_nt_521_t1 xt yt zt ut m n) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl xt zt)) (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_pl yt ut))).

(* constant 1872 *)
definition l_e_st_eq_landau_n_rt_nt_satz21 ≝ λxt:l_e_st_eq_landau_n_rt_nt_natt.λyt:l_e_st_eq_landau_n_rt_nt_natt.λzt:l_e_st_eq_landau_n_rt_nt_natt.λut:l_e_st_eq_landau_n_rt_nt_natt.λm:l_e_st_eq_landau_n_rt_nt_more xt yt.λn:l_e_st_eq_landau_n_rt_nt_more zt ut.(l_e_st_eq_landau_n_rt_nt_morei (l_e_st_eq_landau_n_rt_nt_pl xt zt) (l_e_st_eq_landau_n_rt_nt_pl yt ut) (l_e_st_eq_landau_n_rt_nt_521_t2 xt yt zt ut m n) : l_e_st_eq_landau_n_rt_nt_more (l_e_st_eq_landau_n_rt_nt_pl xt zt) (l_e_st_eq_landau_n_rt_nt_pl yt ut)).

(* constant 1873 *)
definition l_e_st_eq_landau_n_rt_nt_lb ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λn:l_e_st_eq_landau_n_rt_nt_natt.(l_e_st_eq_landau_n_rt_nt_all (λx:l_e_st_eq_landau_n_rt_nt_natt.l_imp (p x) (l_e_st_eq_landau_n_rt_nt_lessis n x)) : Prop).

(* constant 1874 *)
definition l_e_st_eq_landau_n_rt_nt_min ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λn:l_e_st_eq_landau_n_rt_nt_natt.(l_and (l_e_st_eq_landau_n_rt_nt_lb p n) (p n) : Prop).

(* constant 1875 *)
definition l_e_st_eq_landau_n_rt_nt_527_q ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.(λx:l_e_st_eq_landau_n_nat.p (l_e_st_eq_landau_n_rt_nt_ntofn x) : ∀x:l_e_st_eq_landau_n_nat.Prop).

(* constant 1876 *)
definition l_e_st_eq_landau_n_rt_nt_527_t1 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.λn:l_e_st_eq_landau_n_rt_nt_natt.λnp:p n.(l_e_isp l_e_st_eq_landau_n_rt_nt_natt p n (l_e_st_eq_landau_n_rt_nt_ntofn (l_e_st_eq_landau_n_rt_nt_nofnt n)) np (l_e_st_eq_landau_n_rt_nt_isntn1 n) : l_e_st_eq_landau_n_rt_nt_527_q p s (l_e_st_eq_landau_n_rt_nt_nofnt n)).

(* constant 1877 *)
definition l_e_st_eq_landau_n_rt_nt_527_t2 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.λn:l_e_st_eq_landau_n_rt_nt_natt.λnp:p n.(l_somei l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_nt_527_q p s) (l_e_st_eq_landau_n_rt_nt_nofnt n) (l_e_st_eq_landau_n_rt_nt_527_t1 p s n np) : l_e_st_eq_landau_n_some (l_e_st_eq_landau_n_rt_nt_527_q p s)).

(* constant 1878 *)
definition l_e_st_eq_landau_n_rt_nt_527_t3 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.(l_someapp l_e_st_eq_landau_n_rt_nt_natt p s (l_e_st_eq_landau_n_some (l_e_st_eq_landau_n_rt_nt_527_q p s)) (λu:l_e_st_eq_landau_n_rt_nt_natt.λv:p u.l_e_st_eq_landau_n_rt_nt_527_t2 p s u v) : l_e_st_eq_landau_n_some (l_e_st_eq_landau_n_rt_nt_527_q p s)).

(* constant 1879 *)
definition l_e_st_eq_landau_n_rt_nt_527_t4 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.(l_e_st_eq_landau_n_satz27 (l_e_st_eq_landau_n_rt_nt_527_q p s) (l_e_st_eq_landau_n_rt_nt_527_t3 p s) : l_e_st_eq_landau_n_some (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) x)).

(* constant 1880 *)
definition l_e_st_eq_landau_n_rt_nt_527_t5 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.λm:l_e_st_eq_landau_n_nat.λmqm:l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) m.(l_ande1 (l_e_st_eq_landau_n_lb (l_e_st_eq_landau_n_rt_nt_527_q p s) m) (l_e_st_eq_landau_n_rt_nt_527_q p s m) mqm : l_e_st_eq_landau_n_lb (l_e_st_eq_landau_n_rt_nt_527_q p s) m).

(* constant 1881 *)
definition l_e_st_eq_landau_n_rt_nt_527_t6 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.λm:l_e_st_eq_landau_n_nat.λmqm:l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) m.λn:l_e_st_eq_landau_n_nat.λnq:l_e_st_eq_landau_n_rt_nt_527_q p s n.(l_mp (l_e_st_eq_landau_n_rt_nt_527_q p s n) (l_e_st_eq_landau_n_lessis m n) nq (l_e_st_eq_landau_n_rt_nt_527_t5 p s m mqm n) : l_e_st_eq_landau_n_lessis m n).

(* constant 1882 *)
definition l_e_st_eq_landau_n_rt_nt_527_t7 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.λm:l_e_st_eq_landau_n_nat.λmqm:l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) m.λn:l_e_st_eq_landau_n_rt_nt_natt.λnp:p n.(l_e_st_eq_landau_n_rt_nt_527_t6 p s m mqm (l_e_st_eq_landau_n_rt_nt_nofnt n) (l_e_st_eq_landau_n_rt_nt_527_t1 p s n np) : l_e_st_eq_landau_n_lessis m (l_e_st_eq_landau_n_rt_nt_nofnt n)).

(* constant 1883 *)
definition l_e_st_eq_landau_n_rt_nt_527_t8 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.λm:l_e_st_eq_landau_n_nat.λmqm:l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) m.λn:l_e_st_eq_landau_n_rt_nt_natt.λnp:p n.(l_e_st_eq_landau_n_islessis1 m (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_ntofn m)) (l_e_st_eq_landau_n_rt_nt_nofnt n) (l_e_st_eq_landau_n_rt_nt_isnnt1 m) (l_e_st_eq_landau_n_rt_nt_527_t7 p s m mqm n np) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_nt_nofnt (l_e_st_eq_landau_n_rt_nt_ntofn m)) (l_e_st_eq_landau_n_rt_nt_nofnt n)).

(* constant 1884 *)
definition l_e_st_eq_landau_n_rt_nt_527_t9 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.λm:l_e_st_eq_landau_n_nat.λmqm:l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) m.λn:l_e_st_eq_landau_n_rt_nt_natt.λnp:p n.(l_e_st_eq_landau_n_rt_nt_lessisi (l_e_st_eq_landau_n_rt_nt_ntofn m) n (l_e_st_eq_landau_n_rt_nt_527_t8 p s m mqm n np) : l_e_st_eq_landau_n_rt_nt_lessis (l_e_st_eq_landau_n_rt_nt_ntofn m) n).

(* constant 1885 *)
definition l_e_st_eq_landau_n_rt_nt_527_t10 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.λm:l_e_st_eq_landau_n_nat.λmqm:l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) m.λn:l_e_st_eq_landau_n_rt_nt_natt.(λu:p n.l_e_st_eq_landau_n_rt_nt_527_t9 p s m mqm n u : l_imp (p n) (l_e_st_eq_landau_n_rt_nt_lessis (l_e_st_eq_landau_n_rt_nt_ntofn m) n)).

(* constant 1886 *)
definition l_e_st_eq_landau_n_rt_nt_527_t11 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.λm:l_e_st_eq_landau_n_nat.λmqm:l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) m.(λx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_527_t10 p s m mqm x : l_e_st_eq_landau_n_rt_nt_lb p (l_e_st_eq_landau_n_rt_nt_ntofn m)).

(* constant 1887 *)
definition l_e_st_eq_landau_n_rt_nt_527_t12 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.λm:l_e_st_eq_landau_n_nat.λmqm:l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) m.(l_ande2 (l_e_st_eq_landau_n_lb (l_e_st_eq_landau_n_rt_nt_527_q p s) m) (l_e_st_eq_landau_n_rt_nt_527_q p s m) mqm : p (l_e_st_eq_landau_n_rt_nt_ntofn m)).

(* constant 1888 *)
definition l_e_st_eq_landau_n_rt_nt_527_t13 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.λm:l_e_st_eq_landau_n_nat.λmqm:l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) m.(l_andi (l_e_st_eq_landau_n_rt_nt_lb p (l_e_st_eq_landau_n_rt_nt_ntofn m)) (p (l_e_st_eq_landau_n_rt_nt_ntofn m)) (l_e_st_eq_landau_n_rt_nt_527_t11 p s m mqm) (l_e_st_eq_landau_n_rt_nt_527_t12 p s m mqm) : l_e_st_eq_landau_n_rt_nt_min p (l_e_st_eq_landau_n_rt_nt_ntofn m)).

(* constant 1889 *)
definition l_e_st_eq_landau_n_rt_nt_527_t14 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.λm:l_e_st_eq_landau_n_nat.λmqm:l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) m.(l_somei l_e_st_eq_landau_n_rt_nt_natt (λx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_min p x) (l_e_st_eq_landau_n_rt_nt_ntofn m) (l_e_st_eq_landau_n_rt_nt_527_t13 p s m mqm) : l_e_st_eq_landau_n_rt_nt_some (λx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_min p x)).

(* constant 1890 *)
definition l_e_st_eq_landau_n_rt_nt_satz27 ≝ λp:∀x:l_e_st_eq_landau_n_rt_nt_natt.Prop.λs:l_e_st_eq_landau_n_rt_nt_some p.(l_someapp l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) x) (l_e_st_eq_landau_n_rt_nt_527_t4 p s) (l_e_st_eq_landau_n_rt_nt_some (λx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_min p x)) (λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_min (l_e_st_eq_landau_n_rt_nt_527_q p s) x.l_e_st_eq_landau_n_rt_nt_527_t14 p s x y) : l_e_st_eq_landau_n_rt_nt_some (λx:l_e_st_eq_landau_n_rt_nt_natt.l_e_st_eq_landau_n_rt_nt_min p x)).

(* constant 1891 *)
definition l_e_st_eq_landau_n_rt_1rt ≝ (l_e_st_eq_landau_n_rt_rtofn l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_rt_rat).

(* constant 1892 *)
definition l_e_st_eq_landau_n_rt_ii5_t35 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_e_st_eq_landau_n_tr3eq (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_fr l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_den x) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x)) x (l_e_st_eq_landau_n_tfeq1a x l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_eqnd (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_den x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x) (l_e_st_eq_landau_n_satz28a (l_e_st_eq_landau_n_num x)) (l_e_st_eq_landau_n_satz28a (l_e_st_eq_landau_n_den x))) (l_e_st_eq_landau_n_refeq1 (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x)) x (l_e_st_eq_landau_n_fris x)) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_fr l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1)) x).

(* constant 1893 *)
definition l_e_st_eq_landau_n_rt_ii5_t36 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_ts x0 l_e_st_eq_landau_n_rt_1rt) x0 (l_e_st_eq_landau_n_tf x (l_e_st_eq_landau_n_fr l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1)) x (l_e_st_eq_landau_n_rt_tict x0 l_e_st_eq_landau_n_rt_1rt x (l_e_st_eq_landau_n_fr l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1) xix0 (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1))) xix0 (l_e_st_eq_landau_n_rt_ii5_t35 x0 x xix0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 l_e_st_eq_landau_n_rt_1rt) x0).

(* constant 1894 *)
definition l_e_st_eq_landau_n_rt_example1a ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_ratapp1 x0 (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 l_e_st_eq_landau_n_rt_1rt) x0) (λx:l_e_st_eq_landau_n_frac.λxi:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).l_e_st_eq_landau_n_rt_ii5_t36 x0 x xi) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 l_e_st_eq_landau_n_rt_1rt) x0).

(* constant 1895 *)
definition l_e_st_eq_landau_n_rt_example1b ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts x0 l_e_st_eq_landau_n_rt_1rt) x0 (l_e_st_eq_landau_n_rt_example1a x0) : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_ts x0 l_e_st_eq_landau_n_rt_1rt)).

(* constant 1896 *)
definition l_e_st_eq_landau_n_rt_example1c ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ts x0 l_e_st_eq_landau_n_rt_1rt) x0 (l_e_st_eq_landau_n_rt_comts l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_example1a x0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt x0) x0).

(* constant 1897 *)
definition l_e_st_eq_landau_n_rt_example1d ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt x0) x0 (l_e_st_eq_landau_n_rt_example1c x0) : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt x0)).

(* constant 1898 *)
definition l_e_st_eq_landau_n_rt_5114_t1 ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_tr3eq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_den x) l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_den x) (l_e_st_eq_landau_n_num x)) (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_den x))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x)) (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_den x))) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_tfeq2a x (l_e_st_eq_landau_n_den x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_eqn (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_den x) (l_e_st_eq_landau_n_num x)) (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_den x)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_den x) (l_e_st_eq_landau_n_num x))) (l_e_st_eq_landau_n_satz40c (l_e_st_eq_landau_n_num x) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_den x)) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_den x) l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) l_e_st_eq_landau_n_1)).

(* constant 1899 *)
definition l_e_st_eq_landau_n_rt_satz114 ≝ λx:l_e_st_eq_landau_n_frac.(l_e_st_eq_landau_n_rt_isi (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_den x)) (l_e_st_eq_landau_n_rt_ratof x)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_num x)) (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_den x) l_e_st_eq_landau_n_1) x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_tict (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_den x)) (l_e_st_eq_landau_n_rt_ratof x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_den x) l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_den x) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_inclass x)) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_5114_t1 x) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_den x)) (l_e_st_eq_landau_n_rt_ratof x)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_num x))).

(* constant 1900 *)
definition l_e_st_eq_landau_n_rt_satz114a ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.(l_e_tr3is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x2) (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_fr x1 x2))) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2))) (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_fr x1 x2))) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2))) (l_e_st_eq_landau_n_rt_rtofn x1) (l_e_st_eq_landau_n_rt_ists1 (l_e_st_eq_landau_n_rt_rtofn x2) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2))) (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_rt_isnert x2 (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_isden x1 x2))) (l_e_st_eq_landau_n_rt_satz114 (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_rt_isnert (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr x1 x2)) x1 (l_e_st_eq_landau_n_numis x1 x2)) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x2) (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_fr x1 x2))) (l_e_st_eq_landau_n_rt_rtofn x1)).

(* constant 1901 *)
definition l_e_st_eq_landau_n_rt_ov ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_ind l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 t) x0) (l_e_st_eq_landau_n_rt_satz110 x0 y0) : l_e_st_eq_landau_n_rt_rat).

(* constant 1902 *)
definition l_e_st_eq_landau_n_rt_satz110c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_oneax l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 t) x0) (l_e_st_eq_landau_n_rt_satz110 x0 y0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_ov x0 y0)) x0).

(* constant 1903 *)
definition l_e_st_eq_landau_n_rt_satz110d ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_ov x0 y0)) x0 (l_e_st_eq_landau_n_rt_satz110c x0 y0) : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_ov x0 y0))).

(* constant 1904 *)
definition l_e_st_eq_landau_n_rt_satz110e ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov x0 y0) y0) (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_ov x0 y0)) x0 (l_e_st_eq_landau_n_rt_comts (l_e_st_eq_landau_n_rt_ov x0 y0) y0) (l_e_st_eq_landau_n_rt_satz110c x0 y0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov x0 y0) y0) x0).

(* constant 1905 *)
definition l_e_st_eq_landau_n_rt_satz110f ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov x0 y0) y0) x0 (l_e_st_eq_landau_n_rt_satz110e x0 y0) : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov x0 y0) y0)).

(* constant 1906 *)
definition l_e_st_eq_landau_n_rt_satz110g ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λv0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 v0) x0.(l_e_st_eq_landau_n_rt_satz110b x0 y0 v0 (l_e_st_eq_landau_n_rt_ov x0 y0) i (l_e_st_eq_landau_n_rt_satz110c x0 y0) : l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ov x0 y0)).

(* constant 1907 *)
definition l_e_st_eq_landau_n_rt_satz114b ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_satz110b (l_e_st_eq_landau_n_rt_rtofn x1) (l_e_st_eq_landau_n_rt_rtofn x2) (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn x1) (l_e_st_eq_landau_n_rt_rtofn x2)) (l_e_st_eq_landau_n_rt_satz114a x1 x2) (l_e_st_eq_landau_n_rt_satz110c (l_e_st_eq_landau_n_rt_rtofn x1) (l_e_st_eq_landau_n_rt_rtofn x2)) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn x1) (l_e_st_eq_landau_n_rt_rtofn x2))).

(* constant 1908 *)
definition l_e_st_eq_landau_n_rt_satz114c ≝ λx1:l_e_st_eq_landau_n_nat.λx2:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_fr x1 x2)) (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn x1) (l_e_st_eq_landau_n_rt_rtofn x2)) (l_e_st_eq_landau_n_rt_satz114b x1 x2) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn x1) (l_e_st_eq_landau_n_rt_rtofn x2)) (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_fr x1 x2))).

(* constant 1909 *)
definition l_e_st_eq_landau_n_rt_5115_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_satz89 (l_e_st_eq_landau_n_rt_ov y0 x0) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_more t (l_e_st_eq_landau_n_rt_ov y0 x0))).

(* constant 1910 *)
definition l_e_st_eq_landau_n_rt_5115_z ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_num u : l_e_st_eq_landau_n_nat).

(* constant 1911 *)
definition l_e_st_eq_landau_n_rt_5115_v ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_den u : l_e_st_eq_landau_n_nat).

(* constant 1912 *)
definition l_e_st_eq_landau_n_rt_5115_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_rt_ismore1 u0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_ov y0 x0) (l_e_tris l_e_st_eq_landau_n_rt_rat u0 (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0) (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_isi u0 (l_e_st_eq_landau_n_rt_ratof (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0) (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) u (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0) (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) uiu0 (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0) (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_refeq1 u (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0) (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_isfr u))) (l_e_st_eq_landau_n_rt_satz114b (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0) (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) m : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_ov y0 x0)).

(* constant 1913 *)
definition l_e_st_eq_landau_n_rt_5115_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_rt_moreisi (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1)) (l_or_th9 (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_satz24 (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) (λt:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0) l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_satz111d (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0) l_e_st_eq_landau_n_1 t) (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0) l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_satz111e (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0) l_e_st_eq_landau_n_1 t)) : l_e_st_eq_landau_n_rt_moreis (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) l_e_st_eq_landau_n_rt_1rt).

(* constant 1914 *)
definition l_e_st_eq_landau_n_rt_5115_t4 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_tr3is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_comts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ists2 (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) x0 (l_e_st_eq_landau_n_rt_satz110f (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) (l_e_st_eq_landau_n_rt_assts2 x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))).

(* constant 1915 *)
definition l_e_st_eq_landau_n_rt_5115_t5 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).λn:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) l_e_st_eq_landau_n_rt_1rt.(l_e_st_eq_landau_n_rt_ismore1 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) l_e_st_eq_landau_n_rt_1rt) (l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_5115_t4 x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_satz105d (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) n) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) l_e_st_eq_landau_n_rt_1rt)).

(* constant 1916 *)
definition l_e_st_eq_landau_n_rt_5115_t6 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).λn:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) l_e_st_eq_landau_n_rt_1rt.(l_e_st_eq_landau_n_rt_moreisi1 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) l_e_st_eq_landau_n_rt_1rt) (l_e_st_eq_landau_n_rt_5115_t5 x0 y0 u0 m u uiu0 n) : l_e_st_eq_landau_n_rt_moreis (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) l_e_st_eq_landau_n_rt_1rt)).

(* constant 1917 *)
definition l_e_st_eq_landau_n_rt_5115_t7 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) l_e_st_eq_landau_n_rt_1rt.(l_e_st_eq_landau_n_rt_moreisi2 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) l_e_st_eq_landau_n_rt_1rt) (l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) l_e_st_eq_landau_n_rt_1rt) (l_e_st_eq_landau_n_rt_5115_t4 x0 y0 u0 m u uiu0) (l_e_st_eq_landau_n_rt_ists2 (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) i)) : l_e_st_eq_landau_n_rt_moreis (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) l_e_st_eq_landau_n_rt_1rt)).

(* constant 1918 *)
definition l_e_st_eq_landau_n_rt_5115_t8 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_orapp (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) l_e_st_eq_landau_n_rt_1rt) (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) l_e_st_eq_landau_n_rt_1rt) (l_e_st_eq_landau_n_rt_moreis (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) l_e_st_eq_landau_n_rt_1rt)) (l_e_st_eq_landau_n_rt_5115_t3 x0 y0 u0 m u uiu0) (λt:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) l_e_st_eq_landau_n_rt_1rt.l_e_st_eq_landau_n_rt_5115_t6 x0 y0 u0 m u uiu0 t) (λt:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)) l_e_st_eq_landau_n_rt_1rt.l_e_st_eq_landau_n_rt_5115_t7 x0 y0 u0 m u uiu0 t) : l_e_st_eq_landau_n_rt_moreis (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) l_e_st_eq_landau_n_rt_1rt)).

(* constant 1919 *)
definition l_e_st_eq_landau_n_rt_5115_t9 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_rt_ismore12 (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) l_e_st_eq_landau_n_rt_1rt) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov y0 x0)) y0 (l_e_st_eq_landau_n_rt_example1b (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))))) (l_e_st_eq_landau_n_rt_satz110c y0 x0) (l_e_st_eq_landau_n_rt_satz105d (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_ov y0 x0) x0 (l_e_st_eq_landau_n_rt_5115_t2 x0 y0 u0 m u uiu0)) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) l_e_st_eq_landau_n_rt_1rt) y0).

(* constant 1920 *)
definition l_e_st_eq_landau_n_rt_5115_t10 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_e_st_eq_landau_n_rt_satz87c (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_v x0 y0 u0 m u uiu0)))) l_e_st_eq_landau_n_rt_1rt) y0 (l_e_st_eq_landau_n_rt_5115_t8 x0 y0 u0 m u uiu0) (l_e_st_eq_landau_n_rt_5115_t9 x0 y0 u0 m u uiu0) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) y0).

(* constant 1921 *)
definition l_e_st_eq_landau_n_rt_5115_t11 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_somei l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn t) x0) y0) (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0) (l_e_st_eq_landau_n_rt_5115_t10 x0 y0 u0 m u uiu0) : l_e_st_eq_landau_n_some (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn t) x0) y0)).

(* constant 1922 *)
definition l_e_st_eq_landau_n_rt_5115_t12 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).(l_e_st_eq_landau_n_rt_ratapp1 u0 (l_e_st_eq_landau_n_some (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn t) x0) y0)) (λu:l_e_st_eq_landau_n_frac.λui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).l_e_st_eq_landau_n_rt_5115_t11 x0 y0 u0 m u ui) : l_e_st_eq_landau_n_some (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn t) x0) y0)).

(* constant 1923 *)
definition l_e_st_eq_landau_n_rt_satz115 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_someapp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_more t (l_e_st_eq_landau_n_rt_ov y0 x0)) (l_e_st_eq_landau_n_rt_5115_t1 x0 y0) (l_e_st_eq_landau_n_some (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn t) x0) y0)) (λt:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_more t (l_e_st_eq_landau_n_rt_ov y0 x0).l_e_st_eq_landau_n_rt_5115_t12 x0 y0 t u) : l_e_st_eq_landau_n_some (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn t) x0) y0)).

(* constant 1924 *)
definition l_e_st_eq_landau_n_rt_5115_t13 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_andi (l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) y0) (l_e_st_eq_landau_n_rt_natrti (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_5115_t10 x0 y0 u0 m u uiu0) : l_and (l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0))) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) x0) y0)).

(* constant 1925 *)
definition l_e_st_eq_landau_n_rt_5115_t14 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).λu:l_e_st_eq_landau_n_frac.λuiu0:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).(l_somei l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_natrt t) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts t x0) y0)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_5115_z x0 y0 u0 m u uiu0)) (l_e_st_eq_landau_n_rt_5115_t13 x0 y0 u0 m u uiu0) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_natrt t) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts t x0) y0))).

(* constant 1926 *)
definition l_e_st_eq_landau_n_rt_5115_t15 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more u0 (l_e_st_eq_landau_n_rt_ov y0 x0).(l_e_st_eq_landau_n_rt_ratapp1 u0 (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_natrt t) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts t x0) y0))) (λu:l_e_st_eq_landau_n_frac.λui:l_e_st_eq_landau_n_rt_inf u (l_e_st_eq_landau_n_rt_class u0).l_e_st_eq_landau_n_rt_5115_t14 x0 y0 u0 m u ui) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_natrt t) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts t x0) y0))).

(* constant 1927 *)
definition l_e_st_eq_landau_n_rt_satz115a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_someapp l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_more t (l_e_st_eq_landau_n_rt_ov y0 x0)) (l_e_st_eq_landau_n_rt_5115_t1 x0 y0) (l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_natrt t) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts t x0) y0))) (λt:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_more t (l_e_st_eq_landau_n_rt_ov y0 x0).l_e_st_eq_landau_n_rt_5115_t15 x0 y0 t u) : l_e_st_eq_landau_n_rt_some (λt:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_natrt t) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts t x0) y0))).

(* constant 1928 *)
definition l_e_st_eq_landau_n_rt_cutprop1a ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.(l_e_st_nonempty l_e_st_eq_landau_n_rt_rat s : Prop).

(* constant 1929 *)
definition l_e_st_eq_landau_n_rt_cutprop1b ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.(l_not (l_e_st_eq_landau_n_rt_all (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_in x s)) : Prop).

(* constant 1930 *)
definition l_e_st_eq_landau_n_rt_cutprop1 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.(l_and (l_e_st_eq_landau_n_rt_cutprop1a s) (l_e_st_eq_landau_n_rt_cutprop1b s) : Prop).

(* constant 1931 *)
definition l_e_st_eq_landau_n_rt_cutprop2a ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_all (λx:l_e_st_eq_landau_n_rt_rat.l_imp (l_not (l_e_st_eq_landau_n_rt_in x s)) (l_e_st_eq_landau_n_rt_less x0 x)) : Prop).

(* constant 1932 *)
definition l_e_st_eq_landau_n_rt_cutprop2 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_all (λx:l_e_st_eq_landau_n_rt_rat.l_imp (l_e_st_eq_landau_n_rt_in x s) (l_e_st_eq_landau_n_rt_cutprop2a s x)) : Prop).

(* constant 1933 *)
definition l_e_st_eq_landau_n_rt_iii1_ubprop ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_imp (l_e_st_eq_landau_n_rt_in y0 s) (l_e_st_eq_landau_n_rt_moreis x0 y0) : Prop).

(* constant 1934 *)
definition l_e_st_eq_landau_n_rt_ub ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_all (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_iii1_ubprop s x0 x) : Prop).

(* constant 1935 *)
definition l_e_st_eq_landau_n_rt_max ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.(l_and (l_e_st_eq_landau_n_rt_ub s x0) (l_e_st_eq_landau_n_rt_in x0 s) : Prop).

(* constant 1936 *)
definition l_e_st_eq_landau_n_rt_cutprop3 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.(l_not (l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_max s x)) : Prop).

(* constant 1937 *)
definition l_e_st_eq_landau_n_rt_cutprop ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.(l_and3 (l_e_st_eq_landau_n_rt_cutprop1 s) (l_e_st_eq_landau_n_rt_cutprop2 s) (l_e_st_eq_landau_n_rt_cutprop3 s) : Prop).

(* constant 1938 *)
definition l_e_st_eq_landau_n_rt_iii1_lbprop ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_imp (l_e_st_eq_landau_n_rt_in y0 s) (l_e_st_eq_landau_n_rt_lessis x0 y0) : Prop).

(* constant 1939 *)
definition l_e_st_eq_landau_n_rt_lb ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_all (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_iii1_lbprop s x0 x) : Prop).

(* constant 1940 *)
definition l_e_st_eq_landau_n_rt_min ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.(l_and (l_e_st_eq_landau_n_rt_lb s x0) (l_e_st_eq_landau_n_rt_in x0 s) : Prop).

(* constant 1941 *)
definition l_e_st_eq_landau_n_rt_cut ≝ (l_e_ot (l_e_st_set l_e_st_eq_landau_n_rt_rat) (λx:l_e_st_set l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_cutprop x) : Type[0]).

(* constant 1942 *)
definition l_e_st_eq_landau_n_rt_lcl ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_in (l_e_st_set l_e_st_eq_landau_n_rt_rat) (λx:l_e_st_set l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_cutprop x) ksi : l_e_st_set l_e_st_eq_landau_n_rt_rat).

(* constant 1943 *)
definition l_e_st_eq_landau_n_rt_lrt ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_lcl ksi) : Prop).

(* constant 1944 *)
definition l_e_st_eq_landau_n_rt_urt ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.(l_not (l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_lcl ksi)) : Prop).

(* constant 1945 *)
definition l_e_st_eq_landau_n_rt_clcl ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_inp (l_e_st_set l_e_st_eq_landau_n_rt_rat) (λx:l_e_st_set l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_cutprop x) ksi : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_lcl ksi)).

(* constant 1946 *)
definition l_e_st_eq_landau_n_rt_clcl1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_and3e1 (l_e_st_eq_landau_n_rt_cutprop1 (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_cutprop2 (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_cutprop3 (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_clcl ksi) : l_e_st_eq_landau_n_rt_cutprop1 (l_e_st_eq_landau_n_rt_lcl ksi)).

(* constant 1947 *)
definition l_e_st_eq_landau_n_rt_clcl2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_and3e2 (l_e_st_eq_landau_n_rt_cutprop1 (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_cutprop2 (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_cutprop3 (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_clcl ksi) : l_e_st_eq_landau_n_rt_cutprop2 (l_e_st_eq_landau_n_rt_lcl ksi)).

(* constant 1948 *)
definition l_e_st_eq_landau_n_rt_clcl3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_and3e3 (l_e_st_eq_landau_n_rt_cutprop1 (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_cutprop2 (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_cutprop3 (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_clcl ksi) : l_e_st_eq_landau_n_rt_cutprop3 (l_e_st_eq_landau_n_rt_lcl ksi)).

(* constant 1949 *)
definition l_e_st_eq_landau_n_rt_clcl1a ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_ande1 (l_e_st_eq_landau_n_rt_cutprop1a (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_cutprop1b (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_clcl1 ksi) : l_e_st_eq_landau_n_rt_cutprop1a (l_e_st_eq_landau_n_rt_lcl ksi)).

(* constant 1950 *)
definition l_e_st_eq_landau_n_rt_clcl1b ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_ande2 (l_e_st_eq_landau_n_rt_cutprop1a (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_cutprop1b (l_e_st_eq_landau_n_rt_lcl ksi)) (l_e_st_eq_landau_n_rt_clcl1 ksi) : l_e_st_eq_landau_n_rt_cutprop1b (l_e_st_eq_landau_n_rt_lcl ksi)).

(* constant 1951 *)
definition l_e_st_eq_landau_n_rt_cutapp1a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.p.(l_e_st_nonemptyapp l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_clcl1a ksi) p p1 : p).

(* constant 1952 *)
definition l_e_st_eq_landau_n_rt_iii1_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_some_th1 l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_lrt ksi x) (l_e_st_eq_landau_n_rt_clcl1b ksi) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x)).

(* constant 1953 *)
definition l_e_st_eq_landau_n_rt_cutapp1b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.p.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x) (l_e_st_eq_landau_n_rt_iii1_t1 ksi) p p1 : p).

(* constant 1954 *)
definition l_e_st_eq_landau_n_rt_iii1_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_mp (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_cutprop2a (l_e_st_eq_landau_n_rt_lcl ksi) x0) lx (l_e_st_eq_landau_n_rt_clcl2 ksi x0) : l_e_st_eq_landau_n_rt_cutprop2a (l_e_st_eq_landau_n_rt_lcl ksi) x0).

(* constant 1955 *)
definition l_e_st_eq_landau_n_rt_cutapp2a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.(l_mp (l_e_st_eq_landau_n_rt_urt ksi y0) (l_e_st_eq_landau_n_rt_less x0 y0) uy (l_e_st_eq_landau_n_rt_iii1_t2 ksi x0 lx y0) : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 1956 *)
definition l_e_st_eq_landau_n_rt_cutapp2b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.(l_e_st_eq_landau_n_rt_satz83 x0 y0 (l_e_st_eq_landau_n_rt_cutapp2a ksi x0 lx y0 uy) : l_e_st_eq_landau_n_rt_more y0 x0).

(* constant 1957 *)
definition l_e_st_eq_landau_n_rt_iii1_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_some_th4 l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_max (l_e_st_eq_landau_n_rt_lcl ksi) x) (l_e_st_eq_landau_n_rt_clcl3 ksi) x0 : l_not (l_e_st_eq_landau_n_rt_max (l_e_st_eq_landau_n_rt_lcl ksi) x0)).

(* constant 1958 *)
definition l_e_st_eq_landau_n_rt_iii1_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_and_th4 (l_e_st_eq_landau_n_rt_ub (l_e_st_eq_landau_n_rt_lcl ksi) x0) (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_iii1_t3 ksi x0 lx) lx : l_not (l_e_st_eq_landau_n_rt_ub (l_e_st_eq_landau_n_rt_lcl ksi) x0)).

(* constant 1959 *)
definition l_e_st_eq_landau_n_rt_iii1_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_some_th1 l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_iii1_ubprop (l_e_st_eq_landau_n_rt_lcl ksi) x0 x) (l_e_st_eq_landau_n_rt_iii1_t4 ksi x0 lx) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_not (l_e_st_eq_landau_n_rt_iii1_ubprop (l_e_st_eq_landau_n_rt_lcl ksi) x0 x))).

(* constant 1960 *)
definition l_e_st_eq_landau_n_rt_iii1_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λp:Prop.λp1:∀y:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi y.∀u:l_e_st_eq_landau_n_rt_less x0 y.p.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_iii1_ubprop (l_e_st_eq_landau_n_rt_lcl ksi) x0 y0).(l_imp_th5 (l_e_st_eq_landau_n_rt_lrt ksi y0) (l_e_st_eq_landau_n_rt_moreis x0 y0) n : l_e_st_eq_landau_n_rt_lrt ksi y0).

(* constant 1961 *)
definition l_e_st_eq_landau_n_rt_iii1_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λp:Prop.λp1:∀y:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi y.∀u:l_e_st_eq_landau_n_rt_less x0 y.p.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_iii1_ubprop (l_e_st_eq_landau_n_rt_lcl ksi) x0 y0).(l_imp_th6 (l_e_st_eq_landau_n_rt_lrt ksi y0) (l_e_st_eq_landau_n_rt_moreis x0 y0) n : l_not (l_e_st_eq_landau_n_rt_moreis x0 y0)).

(* constant 1962 *)
definition l_e_st_eq_landau_n_rt_iii1_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λp:Prop.λp1:∀y:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi y.∀u:l_e_st_eq_landau_n_rt_less x0 y.p.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_iii1_ubprop (l_e_st_eq_landau_n_rt_lcl ksi) x0 y0).(l_e_st_eq_landau_n_rt_satz81j x0 y0 (l_e_st_eq_landau_n_rt_iii1_t7 ksi x0 lx p p1 y0 n) : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 1963 *)
definition l_e_st_eq_landau_n_rt_iii1_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λp:Prop.λp1:∀y:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi y.∀u:l_e_st_eq_landau_n_rt_less x0 y.p.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_iii1_ubprop (l_e_st_eq_landau_n_rt_lcl ksi) x0 y0).(p1 y0 (l_e_st_eq_landau_n_rt_iii1_t6 ksi x0 lx p p1 y0 n) (l_e_st_eq_landau_n_rt_iii1_t8 ksi x0 lx p p1 y0 n) : p).

(* constant 1964 *)
definition l_e_st_eq_landau_n_rt_cutapp3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λp:Prop.λp1:∀y:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi y.∀u:l_e_st_eq_landau_n_rt_less x0 y.p.(l_someapp l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_not (l_e_st_eq_landau_n_rt_iii1_ubprop (l_e_st_eq_landau_n_rt_lcl ksi) x0 y)) (l_e_st_eq_landau_n_rt_iii1_t5 ksi x0 lx) p (λy:l_e_st_eq_landau_n_rt_rat.λt:l_not (l_e_st_eq_landau_n_rt_iii1_ubprop (l_e_st_eq_landau_n_rt_lcl ksi) x0 y).l_e_st_eq_landau_n_rt_iii1_t9 ksi x0 lx p p1 y t) : p).

(* constant 1965 *)
definition l_e_st_eq_landau_n_rt_iii1_t10 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_in y0 s).(l_andi (l_e_st_eq_landau_n_rt_cutprop1a s) (l_e_st_eq_landau_n_rt_cutprop1b s) (l_e_st_nonemptyi l_e_st_eq_landau_n_rt_rat s x0 i) (l_all_th1 l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_in x s) y0 n) : l_e_st_eq_landau_n_rt_cutprop1 s).

(* constant 1966 *)
definition l_e_st_eq_landau_n_rt_iii1_t11 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λn:∀x:l_e_st_eq_landau_n_rt_rat.l_not (l_e_st_eq_landau_n_rt_max s x).(l_some_th5 l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_max s x) n : l_e_st_eq_landau_n_rt_cutprop3 s).

(* constant 1967 *)
definition l_e_st_eq_landau_n_rt_cut1 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_in y0 s).λl:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_not (l_e_st_eq_landau_n_rt_in y s).l_e_st_eq_landau_n_rt_less x y.λm:∀x:l_e_st_eq_landau_n_rt_rat.l_not (l_e_st_eq_landau_n_rt_max s x).(l_and3i (l_e_st_eq_landau_n_rt_cutprop1 s) (l_e_st_eq_landau_n_rt_cutprop2 s) (l_e_st_eq_landau_n_rt_cutprop3 s) (l_e_st_eq_landau_n_rt_iii1_t10 s x0 i y0 n) l (l_e_st_eq_landau_n_rt_iii1_t11 s m) : l_e_st_eq_landau_n_rt_cutprop s).

(* constant 1968 *)
definition l_e_st_eq_landau_n_rt_rp_is ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_is l_e_st_eq_landau_n_rt_cut ksi eta : Prop).

(* constant 1969 *)
definition l_e_st_eq_landau_n_rt_rp_nis ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_not (l_e_st_eq_landau_n_rt_rp_is ksi eta) : Prop).

(* constant 1970 *)
definition l_e_st_eq_landau_n_rt_rp_ise ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_isini (l_e_st_set l_e_st_eq_landau_n_rt_rat) (λx:l_e_st_set l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_cutprop x) ksi eta i : l_e_is (l_e_st_set l_e_st_eq_landau_n_rt_rat) (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta)).

(* constant 1971 *)
definition l_e_st_eq_landau_n_rt_rp_ise1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_e_st_issete1 l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta) (l_e_st_eq_landau_n_rt_rp_ise ksi eta i) x0 lx : l_e_st_eq_landau_n_rt_lrt eta x0).

(* constant 1972 *)
definition l_e_st_eq_landau_n_rt_rp_isi ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_is (l_e_st_set l_e_st_eq_landau_n_rt_rat) (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta).(l_e_isine (l_e_st_set l_e_st_eq_landau_n_rt_rat) (λx:l_e_st_set l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_cutprop x) ksi eta i : l_e_st_eq_landau_n_rt_rp_is ksi eta).

(* constant 1973 *)
definition l_e_st_eq_landau_n_rt_rp_isi1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.l_e_st_eq_landau_n_rt_lrt eta x.λk:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt eta x.l_e_st_eq_landau_n_rt_lrt ksi x.(l_e_st_eq_landau_n_rt_rp_isi ksi eta (l_e_st_isseti l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta) l k) : l_e_st_eq_landau_n_rt_rp_is ksi eta).

(* constant 1974 *)
definition l_e_st_eq_landau_n_rt_rp_cutof ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λcs:l_e_st_eq_landau_n_rt_cutprop s.(l_e_out (l_e_st_set l_e_st_eq_landau_n_rt_rat) (λx:l_e_st_set l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_cutprop x) s cs : l_e_st_eq_landau_n_rt_cut).

(* constant 1975 *)
definition l_e_st_eq_landau_n_rt_rp_ine ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λcs:l_e_st_eq_landau_n_rt_cutprop s.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.(l_e_st_issete1 l_e_st_eq_landau_n_rt_rat s (l_e_st_eq_landau_n_rt_lcl (l_e_st_eq_landau_n_rt_rp_cutof s cs)) (l_e_isinout (l_e_st_set l_e_st_eq_landau_n_rt_rat) (λx:l_e_st_set l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_cutprop x) s cs) x0 i : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_cutof s cs) x0).

(* constant 1976 *)
definition l_e_st_eq_landau_n_rt_rp_ini ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λcs:l_e_st_eq_landau_n_rt_cutprop s.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_cutof s cs) x0.(l_e_st_issete2 l_e_st_eq_landau_n_rt_rat s (l_e_st_eq_landau_n_rt_lcl (l_e_st_eq_landau_n_rt_rp_cutof s cs)) (l_e_isinout (l_e_st_set l_e_st_eq_landau_n_rt_rat) (λx:l_e_st_set l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_cutprop x) s cs) x0 lx : l_e_st_eq_landau_n_rt_in x0 s).

(* constant 1977 *)
definition l_e_st_eq_landau_n_rt_rp_isi2 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λt:l_e_st_set l_e_st_eq_landau_n_rt_rat.λcs:l_e_st_eq_landau_n_rt_cutprop s.λct:l_e_st_eq_landau_n_rt_cutprop t.λi:∀x:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_in x t.λj:∀x:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_in x t.l_e_st_eq_landau_n_rt_in x s.(l_e_isouti (l_e_st_set l_e_st_eq_landau_n_rt_rat) (λx:l_e_st_set l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_cutprop x) s cs t ct (l_e_st_isseti l_e_st_eq_landau_n_rt_rat s t i j) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_cutof s cs) (l_e_st_eq_landau_n_rt_rp_cutof t ct)).

(* constant 1978 *)
definition l_e_st_eq_landau_n_rt_rp_all ≝ λp:∀x:l_e_st_eq_landau_n_rt_cut.Prop.(l_all l_e_st_eq_landau_n_rt_cut p : Prop).

(* constant 1979 *)
definition l_e_st_eq_landau_n_rt_rp_some ≝ λp:∀x:l_e_st_eq_landau_n_rt_cut.Prop.(l_some l_e_st_eq_landau_n_rt_cut p : Prop).

(* constant 1980 *)
definition l_e_st_eq_landau_n_rt_rp_one ≝ λp:∀x:l_e_st_eq_landau_n_rt_cut.Prop.(l_e_one l_e_st_eq_landau_n_rt_cut p : Prop).

(* constant 1981 *)
definition l_e_st_eq_landau_n_rt_rp_satz116 ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_refis l_e_st_eq_landau_n_rt_cut ksi : l_e_st_eq_landau_n_rt_rp_is ksi ksi).

(* constant 1982 *)
definition l_e_st_eq_landau_n_rt_rp_satz117 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_symis l_e_st_eq_landau_n_rt_cut ksi eta i : l_e_st_eq_landau_n_rt_rp_is eta ksi).

(* constant 1983 *)
definition l_e_st_eq_landau_n_rt_rp_satz118 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_is eta zeta.(l_e_tris l_e_st_eq_landau_n_rt_cut ksi eta zeta i j : l_e_st_eq_landau_n_rt_rp_is ksi zeta).

(* constant 1984 *)
definition l_e_st_eq_landau_n_rt_rp_1119_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_ec3e23 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81b x0 y0) m : l_not (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 1985 *)
definition l_e_st_eq_landau_n_rt_rp_satz119 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more y0 x0.(l_imp_th3 (l_e_st_eq_landau_n_rt_lrt ksi y0) (l_e_st_eq_landau_n_rt_less y0 x0) (l_e_st_eq_landau_n_rt_rp_1119_t1 y0 x0 m) (λt:l_e_st_eq_landau_n_rt_lrt ksi y0.l_e_st_eq_landau_n_rt_cutapp2a ksi y0 t x0 ux) : l_e_st_eq_landau_n_rt_urt ksi y0).

(* constant 1986 *)
definition l_e_st_eq_landau_n_rt_rp_satz119a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_eq_landau_n_rt_rp_satz119 ksi x0 ux y0 (l_e_st_eq_landau_n_rt_satz83 x0 y0 l) : l_e_st_eq_landau_n_rt_urt ksi y0).

(* constant 1987 *)
definition l_e_st_eq_landau_n_rt_rp_1120_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_ec3e32 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81b x0 y0) l : l_not (l_e_st_eq_landau_n_rt_more x0 y0)).

(* constant 1988 *)
definition l_e_st_eq_landau_n_rt_rp_satz120 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_imp_th7 (l_e_st_eq_landau_n_rt_lrt ksi y0) (l_e_st_eq_landau_n_rt_more y0 x0) (l_e_st_eq_landau_n_rt_rp_1120_t1 y0 x0 l) (λt:l_e_st_eq_landau_n_rt_urt ksi y0.l_e_st_eq_landau_n_rt_cutapp2b ksi x0 lx y0 t) : l_e_st_eq_landau_n_rt_lrt ksi y0).

(* constant 1989 *)
definition l_e_st_eq_landau_n_rt_rp_satz120a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_rp_satz120 ksi x0 lx y0 (l_e_st_eq_landau_n_rt_satz82 x0 y0 m) : l_e_st_eq_landau_n_rt_lrt ksi y0).

(* constant 1990 *)
definition l_e_st_eq_landau_n_rt_iii1_t12 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λi:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_in y s.λx0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_in y0 s).(i x0 j y0 : ∀u:l_e_st_eq_landau_n_rt_less y0 x0.l_e_st_eq_landau_n_rt_in y0 s).

(* constant 1991 *)
definition l_e_st_eq_landau_n_rt_iii1_t13 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λi:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_in y s.λx0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_in y0 s).(l_imp_th3 (l_e_st_eq_landau_n_rt_less y0 x0) (l_e_st_eq_landau_n_rt_in y0 s) n (l_e_st_eq_landau_n_rt_iii1_t12 s i x0 j y0 n) : l_not (l_e_st_eq_landau_n_rt_less y0 x0)).

(* constant 1992 *)
definition l_e_st_eq_landau_n_rt_iii1_t14 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λi:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_in y s.λx0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_in y0 s).(l_e_st_eq_landau_n_rt_satz81f y0 x0 (l_e_st_eq_landau_n_rt_iii1_t13 s i x0 j y0 n) : l_e_st_eq_landau_n_rt_moreis y0 x0).

(* constant 1993 *)
definition l_e_st_eq_landau_n_rt_iii1_t15 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λi:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_in y s.λx0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_in y0 s).λk:l_e_st_eq_landau_n_rt_is y0 x0.(l_e_isp1 l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_in x s) x0 y0 j k : l_e_st_eq_landau_n_rt_in y0 s).

(* constant 1994 *)
definition l_e_st_eq_landau_n_rt_iii1_t16 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λi:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_in y s.λx0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_in y0 s).(l_imp_th3 (l_e_st_eq_landau_n_rt_is y0 x0) (l_e_st_eq_landau_n_rt_in y0 s) n (λt:l_e_st_eq_landau_n_rt_is y0 x0.l_e_st_eq_landau_n_rt_iii1_t15 s i x0 j y0 n t) : l_e_st_eq_landau_n_rt_nis y0 x0).

(* constant 1995 *)
definition l_e_st_eq_landau_n_rt_iii1_t17 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λi:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_in y s.λx0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_in y0 s).(l_ore1 (l_e_st_eq_landau_n_rt_more y0 x0) (l_e_st_eq_landau_n_rt_is y0 x0) (l_e_st_eq_landau_n_rt_iii1_t14 s i x0 j y0 n) (l_e_st_eq_landau_n_rt_iii1_t16 s i x0 j y0 n) : l_e_st_eq_landau_n_rt_more y0 x0).

(* constant 1996 *)
definition l_e_st_eq_landau_n_rt_iii1_t18 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λi:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_in y s.λx0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_in y0 s).(l_e_st_eq_landau_n_rt_satz82 y0 x0 (l_e_st_eq_landau_n_rt_iii1_t17 s i x0 j y0 n) : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 1997 *)
definition l_e_st_eq_landau_n_rt_iii1_t19 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λi:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_in y s.(λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x s.λy:l_e_st_eq_landau_n_rt_rat.λu:l_not (l_e_st_eq_landau_n_rt_in y s).l_e_st_eq_landau_n_rt_iii1_t18 s i x t y u : l_e_st_eq_landau_n_rt_cutprop2 s).

(* constant 1998 *)
definition l_e_st_eq_landau_n_rt_iii1_t20 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.(s1 x0 i : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x0))).

(* constant 1999 *)
definition l_e_st_eq_landau_n_rt_iii1_t21 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_in y0 s) (l_e_st_eq_landau_n_rt_more y0 x0).(l_ande1 (l_e_st_eq_landau_n_rt_in y0 s) (l_e_st_eq_landau_n_rt_more y0 x0) a : l_e_st_eq_landau_n_rt_in y0 s).

(* constant 2000 *)
definition l_e_st_eq_landau_n_rt_iii1_t22 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_in y0 s) (l_e_st_eq_landau_n_rt_more y0 x0).(l_ande2 (l_e_st_eq_landau_n_rt_in y0 s) (l_e_st_eq_landau_n_rt_more y0 x0) a : l_e_st_eq_landau_n_rt_more y0 x0).

(* constant 2001 *)
definition l_e_st_eq_landau_n_rt_iii1_t23 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_in y0 s) (l_e_st_eq_landau_n_rt_more y0 x0).(l_e_st_eq_landau_n_rt_satz81g y0 x0 (l_e_st_eq_landau_n_rt_iii1_t22 s s1 x0 i y0 a) : l_not (l_e_st_eq_landau_n_rt_lessis y0 x0)).

(* constant 2002 *)
definition l_e_st_eq_landau_n_rt_iii1_t24 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_in y0 s) (l_e_st_eq_landau_n_rt_more y0 x0).(l_imp_th3 (l_e_st_eq_landau_n_rt_moreis x0 y0) (l_e_st_eq_landau_n_rt_lessis y0 x0) (l_e_st_eq_landau_n_rt_iii1_t23 s s1 x0 i y0 a) (λt:l_e_st_eq_landau_n_rt_moreis x0 y0.l_e_st_eq_landau_n_rt_satz84 x0 y0 t) : l_not (l_e_st_eq_landau_n_rt_moreis x0 y0)).

(* constant 2003 *)
definition l_e_st_eq_landau_n_rt_iii1_t25 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_in y0 s) (l_e_st_eq_landau_n_rt_more y0 x0).(l_imp_th4 (l_e_st_eq_landau_n_rt_in y0 s) (l_e_st_eq_landau_n_rt_moreis x0 y0) (l_e_st_eq_landau_n_rt_iii1_t21 s s1 x0 i y0 a) (l_e_st_eq_landau_n_rt_iii1_t24 s s1 x0 i y0 a) : l_not (l_e_st_eq_landau_n_rt_iii1_ubprop s x0 y0)).

(* constant 2004 *)
definition l_e_st_eq_landau_n_rt_iii1_t26 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_in y0 s) (l_e_st_eq_landau_n_rt_more y0 x0).(l_all_th1 l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_iii1_ubprop s x0 y) y0 (l_e_st_eq_landau_n_rt_iii1_t25 s s1 x0 i y0 a) : l_not (l_e_st_eq_landau_n_rt_ub s x0)).

(* constant 2005 *)
definition l_e_st_eq_landau_n_rt_iii1_t27 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_in y0 s) (l_e_st_eq_landau_n_rt_more y0 x0).(l_and_th1 (l_e_st_eq_landau_n_rt_ub s x0) (l_e_st_eq_landau_n_rt_in x0 s) (l_e_st_eq_landau_n_rt_iii1_t26 s s1 x0 i y0 a) : l_not (l_e_st_eq_landau_n_rt_max s x0)).

(* constant 2006 *)
definition l_e_st_eq_landau_n_rt_iii1_t28 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.(l_someapp l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x0)) (l_e_st_eq_landau_n_rt_iii1_t20 s s1 x0 i) (l_not (l_e_st_eq_landau_n_rt_max s x0)) (λy:l_e_st_eq_landau_n_rt_rat.λt:l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x0).l_e_st_eq_landau_n_rt_iii1_t27 s s1 x0 i y t) : l_not (l_e_st_eq_landau_n_rt_max s x0)).

(* constant 2007 *)
definition l_e_st_eq_landau_n_rt_iii1_t29 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).λx0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_in x0 s).(l_and_th2 (l_e_st_eq_landau_n_rt_ub s x0) (l_e_st_eq_landau_n_rt_in x0 s) n : l_not (l_e_st_eq_landau_n_rt_max s x0)).

(* constant 2008 *)
definition l_e_st_eq_landau_n_rt_iii1_t30 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).λx0:l_e_st_eq_landau_n_rt_rat.(l_imp_th1 (l_e_st_eq_landau_n_rt_in x0 s) (l_not (l_e_st_eq_landau_n_rt_max s x0)) (λu:l_e_st_eq_landau_n_rt_in x0 s.l_e_st_eq_landau_n_rt_iii1_t28 s s1 x0 u) (λu:l_not (l_e_st_eq_landau_n_rt_in x0 s).l_e_st_eq_landau_n_rt_iii1_t29 s s1 x0 u) : l_not (l_e_st_eq_landau_n_rt_max s x0)).

(* constant 2009 *)
definition l_e_st_eq_landau_n_rt_iii1_t31 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).(l_e_st_eq_landau_n_rt_iii1_t11 s (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_iii1_t30 s s1 x) : l_e_st_eq_landau_n_rt_cutprop3 s).

(* constant 2010 *)
definition l_e_st_eq_landau_n_rt_cut2 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 s.λy0:l_e_st_eq_landau_n_rt_rat.λn:l_not (l_e_st_eq_landau_n_rt_in y0 s).λj:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_in y s.λs1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_in x s.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y s) (l_e_st_eq_landau_n_rt_more y x)).(l_and3i (l_e_st_eq_landau_n_rt_cutprop1 s) (l_e_st_eq_landau_n_rt_cutprop2 s) (l_e_st_eq_landau_n_rt_cutprop3 s) (l_e_st_eq_landau_n_rt_iii1_t10 s x0 i y0 n) (l_e_st_eq_landau_n_rt_iii1_t19 s j) (l_e_st_eq_landau_n_rt_iii1_t31 s s1) : l_e_st_eq_landau_n_rt_cutprop s).

(* constant 2011 *)
definition l_e_st_eq_landau_n_rt_rp_more ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_lrt ksi x) (l_e_st_eq_landau_n_rt_urt eta x)) : Prop).

(* constant 2012 *)
definition l_e_st_eq_landau_n_rt_rp_iii2_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀u:l_e_st_eq_landau_n_rt_urt eta x.p.λx0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt eta x0).(l_ande1 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt eta x0) a : l_e_st_eq_landau_n_rt_lrt ksi x0).

(* constant 2013 *)
definition l_e_st_eq_landau_n_rt_rp_iii2_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀u:l_e_st_eq_landau_n_rt_urt eta x.p.λx0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt eta x0).(l_ande2 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt eta x0) a : l_e_st_eq_landau_n_rt_urt eta x0).

(* constant 2014 *)
definition l_e_st_eq_landau_n_rt_rp_iii2_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀u:l_e_st_eq_landau_n_rt_urt eta x.p.λx0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt eta x0).(p1 x0 (l_e_st_eq_landau_n_rt_rp_iii2_t1 ksi eta m p p1 x0 a) (l_e_st_eq_landau_n_rt_rp_iii2_t2 ksi eta m p p1 x0 a) : p).

(* constant 2015 *)
definition l_e_st_eq_landau_n_rt_rp_moreapp ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀u:l_e_st_eq_landau_n_rt_urt eta x.p.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_lrt ksi x) (l_e_st_eq_landau_n_rt_urt eta x)) m p (λx:l_e_st_eq_landau_n_rt_rat.λt:l_and (l_e_st_eq_landau_n_rt_lrt ksi x) (l_e_st_eq_landau_n_rt_urt eta x).l_e_st_eq_landau_n_rt_rp_iii2_t3 ksi eta m p p1 x t) : p).

(* constant 2016 *)
definition l_e_st_eq_landau_n_rt_rp_less ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_urt ksi x) (l_e_st_eq_landau_n_rt_lrt eta x)) : Prop).

(* constant 2017 *)
definition l_e_st_eq_landau_n_rt_rp_iii2_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀u:l_e_st_eq_landau_n_rt_lrt eta x.p.λx0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_urt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta x0).(l_ande1 (l_e_st_eq_landau_n_rt_urt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta x0) a : l_e_st_eq_landau_n_rt_urt ksi x0).

(* constant 2018 *)
definition l_e_st_eq_landau_n_rt_rp_iii2_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀u:l_e_st_eq_landau_n_rt_lrt eta x.p.λx0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_urt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta x0).(l_ande2 (l_e_st_eq_landau_n_rt_urt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta x0) a : l_e_st_eq_landau_n_rt_lrt eta x0).

(* constant 2019 *)
definition l_e_st_eq_landau_n_rt_rp_iii2_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀u:l_e_st_eq_landau_n_rt_lrt eta x.p.λx0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_urt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta x0).(p1 x0 (l_e_st_eq_landau_n_rt_rp_iii2_t4 ksi eta l p p1 x0 a) (l_e_st_eq_landau_n_rt_rp_iii2_t5 ksi eta l p p1 x0 a) : p).

(* constant 2020 *)
definition l_e_st_eq_landau_n_rt_rp_lessapp ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀u:l_e_st_eq_landau_n_rt_lrt eta x.p.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_urt ksi x) (l_e_st_eq_landau_n_rt_lrt eta x)) l p (λx:l_e_st_eq_landau_n_rt_rat.λt:l_and (l_e_st_eq_landau_n_rt_urt ksi x) (l_e_st_eq_landau_n_rt_lrt eta x).l_e_st_eq_landau_n_rt_rp_iii2_t6 ksi eta l p p1 x t) : p).

(* constant 2021 *)
definition l_e_st_eq_landau_n_rt_rp_2121_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λux:l_e_st_eq_landau_n_rt_urt eta x0.(l_andi (l_e_st_eq_landau_n_rt_urt eta x0) (l_e_st_eq_landau_n_rt_lrt ksi x0) ux lx : l_and (l_e_st_eq_landau_n_rt_urt eta x0) (l_e_st_eq_landau_n_rt_lrt ksi x0)).

(* constant 2022 *)
definition l_e_st_eq_landau_n_rt_rp_2121_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λux:l_e_st_eq_landau_n_rt_urt eta x0.(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_urt eta x) (l_e_st_eq_landau_n_rt_lrt ksi x)) x0 (l_e_st_eq_landau_n_rt_rp_2121_t1 ksi eta m x0 lx ux) : l_e_st_eq_landau_n_rt_rp_less eta ksi).

(* constant 2023 *)
definition l_e_st_eq_landau_n_rt_rp_satz121 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_moreapp ksi eta m (l_e_st_eq_landau_n_rt_rp_less eta ksi) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λu:l_e_st_eq_landau_n_rt_urt eta x.l_e_st_eq_landau_n_rt_rp_2121_t2 ksi eta m x t u) : l_e_st_eq_landau_n_rt_rp_less eta ksi).

(* constant 2024 *)
definition l_e_st_eq_landau_n_rt_rp_2122_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.(l_andi (l_e_st_eq_landau_n_rt_lrt eta x0) (l_e_st_eq_landau_n_rt_urt ksi x0) lx ux : l_and (l_e_st_eq_landau_n_rt_lrt eta x0) (l_e_st_eq_landau_n_rt_urt ksi x0)).

(* constant 2025 *)
definition l_e_st_eq_landau_n_rt_rp_2122_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_lrt eta x) (l_e_st_eq_landau_n_rt_urt ksi x)) x0 (l_e_st_eq_landau_n_rt_rp_2122_t1 ksi eta l x0 ux lx) : l_e_st_eq_landau_n_rt_rp_more eta ksi).

(* constant 2026 *)
definition l_e_st_eq_landau_n_rt_rp_satz122 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_e_st_eq_landau_n_rt_rp_lessapp ksi eta l (l_e_st_eq_landau_n_rt_rp_more eta ksi) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.λu:l_e_st_eq_landau_n_rt_lrt eta x.l_e_st_eq_landau_n_rt_rp_2122_t2 ksi eta l x t u) : l_e_st_eq_landau_n_rt_rp_more eta ksi).

(* constant 2027 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λux:l_e_st_eq_landau_n_rt_urt eta x0.(l_e_st_isset_th3 l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta) x0 lx ux : l_not (l_e_is (l_e_st_set l_e_st_eq_landau_n_rt_rat) (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta))).

(* constant 2028 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λux:l_e_st_eq_landau_n_rt_urt eta x0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_is (l_e_st_set l_e_st_eq_landau_n_rt_rat) (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta)) (l_e_st_eq_landau_n_rt_rp_2123_t1 ksi eta m x0 lx ux) (λt:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_ise ksi eta t) : l_not (l_e_st_eq_landau_n_rt_rp_is ksi eta)).

(* constant 2029 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_moreapp ksi eta m (l_not (l_e_st_eq_landau_n_rt_rp_is ksi eta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λu:l_e_st_eq_landau_n_rt_urt eta x.l_e_st_eq_landau_n_rt_rp_2123_t2 ksi eta m x t u) : l_not (l_e_st_eq_landau_n_rt_rp_is ksi eta)).

(* constant 2030 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_ec_th2 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (λt:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_2123_t3 ksi eta t) : l_ec (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta)).

(* constant 2031 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.(l_e_st_isset_th4 l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_lcl eta) (l_e_st_eq_landau_n_rt_lcl ksi) x0 lx ux : l_not (l_e_is (l_e_st_set l_e_st_eq_landau_n_rt_rat) (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta))).

(* constant 2032 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_is (l_e_st_set l_e_st_eq_landau_n_rt_rat) (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta)) (l_e_st_eq_landau_n_rt_rp_2123_t5 ksi eta l x0 ux lx) (λt:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_ise ksi eta t) : l_not (l_e_st_eq_landau_n_rt_rp_is ksi eta)).

(* constant 2033 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_e_st_eq_landau_n_rt_rp_lessapp ksi eta l (l_not (l_e_st_eq_landau_n_rt_rp_is ksi eta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.λu:l_e_st_eq_landau_n_rt_lrt eta x.l_e_st_eq_landau_n_rt_rp_2123_t6 ksi eta l x t u) : l_not (l_e_st_eq_landau_n_rt_rp_is ksi eta)).

(* constant 2034 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_ec_th1 (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) (λt:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_2123_t7 ksi eta t) : l_ec (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta)).

(* constant 2035 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λux:l_e_st_eq_landau_n_rt_urt eta x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λly:l_e_st_eq_landau_n_rt_lrt eta y0.(l_e_st_eq_landau_n_rt_cutapp2a ksi x0 lx y0 uy : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 2036 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λux:l_e_st_eq_landau_n_rt_urt eta x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λly:l_e_st_eq_landau_n_rt_lrt eta y0.(l_e_st_eq_landau_n_rt_cutapp2b eta y0 ly x0 ux : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 2037 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λux:l_e_st_eq_landau_n_rt_urt eta x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λly:l_e_st_eq_landau_n_rt_lrt eta y0.(l_mp (l_e_st_eq_landau_n_rt_less x0 y0) l_con (l_e_st_eq_landau_n_rt_rp_2123_t9 ksi eta m l x0 lx ux y0 uy ly) (l_ec3e23 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_satz81b x0 y0) (l_e_st_eq_landau_n_rt_rp_2123_t10 ksi eta m l x0 lx ux y0 uy ly)) : l_con).

(* constant 2038 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λux:l_e_st_eq_landau_n_rt_urt eta x0.(l_e_st_eq_landau_n_rt_rp_lessapp ksi eta l l_con (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.λu:l_e_st_eq_landau_n_rt_lrt eta x.l_e_st_eq_landau_n_rt_rp_2123_t11 ksi eta m l x0 lx ux x t u) : l_con).

(* constant 2039 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_e_st_eq_landau_n_rt_rp_moreapp ksi eta m l_con (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λu:l_e_st_eq_landau_n_rt_urt eta x.l_e_st_eq_landau_n_rt_rp_2123_t12 ksi eta m l x t u) : l_con).

(* constant 2040 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(λt:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_2123_t13 ksi eta m t : l_not (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2041 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t15 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_ec_th1 (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (λt:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_2123_t14 ksi eta t) : l_ec (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2042 *)
definition l_e_st_eq_landau_n_rt_rp_2123_a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_ec3_th6 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_2123_t4 ksi eta) (l_e_st_eq_landau_n_rt_rp_2123_t15 ksi eta) (l_e_st_eq_landau_n_rt_rp_2123_t8 ksi eta) : l_ec3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2043 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t16 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_or3i1 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) i : l_or3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2044 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t17 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_nis ksi eta.(l_imp_th3 (l_e_is (l_e_st_set l_e_st_eq_landau_n_rt_rat) (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta)) (l_e_st_eq_landau_n_rt_rp_is ksi eta) n (λt:l_e_is (l_e_st_set l_e_st_eq_landau_n_rt_rat) (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta).l_e_st_eq_landau_n_rt_rp_isi ksi eta t) : l_not (l_e_is (l_e_st_set l_e_st_eq_landau_n_rt_rat) (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta))).

(* constant 2045 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t18 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_nis ksi eta.(l_e_st_isset_th5 l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_lcl ksi) (l_e_st_eq_landau_n_rt_lcl eta) (l_e_st_eq_landau_n_rt_rp_2123_t17 ksi eta n) : l_or (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_more eta ksi)).

(* constant 2046 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t19 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_nis ksi eta.(l_or_th8 (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_more eta ksi) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_2123_t18 ksi eta n) (λt:l_e_st_eq_landau_n_rt_rp_more eta ksi.l_e_st_eq_landau_n_rt_rp_satz121 eta ksi t) : l_or (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2047 *)
definition l_e_st_eq_landau_n_rt_rp_2123_t20 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_nis ksi eta.(l_or3_th7 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_2123_t19 ksi eta n) : l_or3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2048 *)
definition l_e_st_eq_landau_n_rt_rp_2123_b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_or3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta)) (λt:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_2123_t16 ksi eta t) (λt:l_e_st_eq_landau_n_rt_rp_nis ksi eta.l_e_st_eq_landau_n_rt_rp_2123_t20 ksi eta t) : l_or3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2049 *)
definition l_e_st_eq_landau_n_rt_rp_satz123 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_orec3i (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_2123_b ksi eta) (l_e_st_eq_landau_n_rt_rp_2123_a ksi eta) : l_orec3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2050 *)
definition l_e_st_eq_landau_n_rt_rp_satz123a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_orec3e1 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123 ksi eta) : l_or3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2051 *)
definition l_e_st_eq_landau_n_rt_rp_satz123b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_orec3e2 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123 ksi eta) : l_ec3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2052 *)
definition l_e_st_eq_landau_n_rt_rp_moreis ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_or (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) : Prop).

(* constant 2053 *)
definition l_e_st_eq_landau_n_rt_rp_lessis ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_or (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) : Prop).

(* constant 2054 *)
definition l_e_st_eq_landau_n_rt_rp_satz124 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_less eta ksi) (l_e_st_eq_landau_n_rt_rp_is eta ksi) m (λt:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_satz121 ksi eta t) (λt:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_symis l_e_st_eq_landau_n_rt_cut ksi eta t) : l_e_st_eq_landau_n_rt_rp_lessis eta ksi).

(* constant 2055 *)
definition l_e_st_eq_landau_n_rt_rp_satz125 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more eta ksi) (l_e_st_eq_landau_n_rt_rp_is eta ksi) l (λt:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_satz122 ksi eta t) (λt:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_symis l_e_st_eq_landau_n_rt_cut ksi eta t) : l_e_st_eq_landau_n_rt_rp_moreis eta ksi).

(* constant 2056 *)
definition l_e_st_eq_landau_n_rt_rp_ismore1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λm:l_e_st_eq_landau_n_rt_rp_more ksi zeta.(l_e_isp l_e_st_eq_landau_n_rt_cut (λu:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_more u zeta) ksi eta m i : l_e_st_eq_landau_n_rt_rp_more eta zeta).

(* constant 2057 *)
definition l_e_st_eq_landau_n_rt_rp_ismore2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λm:l_e_st_eq_landau_n_rt_rp_more zeta ksi.(l_e_isp l_e_st_eq_landau_n_rt_cut (λu:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_more zeta u) ksi eta m i : l_e_st_eq_landau_n_rt_rp_more zeta eta).

(* constant 2058 *)
definition l_e_st_eq_landau_n_rt_rp_isless1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λl:l_e_st_eq_landau_n_rt_rp_less ksi zeta.(l_e_isp l_e_st_eq_landau_n_rt_cut (λu:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_less u zeta) ksi eta l i : l_e_st_eq_landau_n_rt_rp_less eta zeta).

(* constant 2059 *)
definition l_e_st_eq_landau_n_rt_rp_isless2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λl:l_e_st_eq_landau_n_rt_rp_less zeta ksi.(l_e_isp l_e_st_eq_landau_n_rt_cut (λu:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_less zeta u) ksi eta l i : l_e_st_eq_landau_n_rt_rp_less zeta eta).

(* constant 2060 *)
definition l_e_st_eq_landau_n_rt_rp_ismoreis1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi zeta.(l_e_isp l_e_st_eq_landau_n_rt_cut (λu:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_moreis u zeta) ksi eta m i : l_e_st_eq_landau_n_rt_rp_moreis eta zeta).

(* constant 2061 *)
definition l_e_st_eq_landau_n_rt_rp_ismoreis2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λm:l_e_st_eq_landau_n_rt_rp_moreis zeta ksi.(l_e_isp l_e_st_eq_landau_n_rt_cut (λu:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_moreis zeta u) ksi eta m i : l_e_st_eq_landau_n_rt_rp_moreis zeta eta).

(* constant 2062 *)
definition l_e_st_eq_landau_n_rt_rp_islessis1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi zeta.(l_e_isp l_e_st_eq_landau_n_rt_cut (λu:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_lessis u zeta) ksi eta l i : l_e_st_eq_landau_n_rt_rp_lessis eta zeta).

(* constant 2063 *)
definition l_e_st_eq_landau_n_rt_rp_islessis2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λl:l_e_st_eq_landau_n_rt_rp_lessis zeta ksi.(l_e_isp l_e_st_eq_landau_n_rt_cut (λu:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_lessis zeta u) ksi eta l i : l_e_st_eq_landau_n_rt_rp_lessis zeta eta).

(* constant 2064 *)
definition l_e_st_eq_landau_n_rt_rp_moreisi2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_ori2 (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) i : l_e_st_eq_landau_n_rt_rp_moreis ksi eta).

(* constant 2065 *)
definition l_e_st_eq_landau_n_rt_rp_lessisi2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_ori2 (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) i : l_e_st_eq_landau_n_rt_rp_lessis ksi eta).

(* constant 2066 *)
definition l_e_st_eq_landau_n_rt_rp_moreisi1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_ori1 (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) m : l_e_st_eq_landau_n_rt_rp_moreis ksi eta).

(* constant 2067 *)
definition l_e_st_eq_landau_n_rt_rp_lessisi1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_ori1 (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) l : l_e_st_eq_landau_n_rt_rp_lessis ksi eta).

(* constant 2068 *)
definition l_e_st_eq_landau_n_rt_rp_ismore12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.λm:l_e_st_eq_landau_n_rt_rp_more ksi zeta.(l_e_st_eq_landau_n_rt_rp_ismore2 zeta upsilon eta j (l_e_st_eq_landau_n_rt_rp_ismore1 ksi eta zeta i m) : l_e_st_eq_landau_n_rt_rp_more eta upsilon).

(* constant 2069 *)
definition l_e_st_eq_landau_n_rt_rp_isless12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.λl:l_e_st_eq_landau_n_rt_rp_less ksi zeta.(l_e_st_eq_landau_n_rt_rp_isless2 zeta upsilon eta j (l_e_st_eq_landau_n_rt_rp_isless1 ksi eta zeta i l) : l_e_st_eq_landau_n_rt_rp_less eta upsilon).

(* constant 2070 *)
definition l_e_st_eq_landau_n_rt_rp_ismoreis12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi zeta.(l_e_st_eq_landau_n_rt_rp_ismoreis2 zeta upsilon eta j (l_e_st_eq_landau_n_rt_rp_ismoreis1 ksi eta zeta i m) : l_e_st_eq_landau_n_rt_rp_moreis eta upsilon).

(* constant 2071 *)
definition l_e_st_eq_landau_n_rt_rp_islessis12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi zeta.(l_e_st_eq_landau_n_rt_rp_islessis2 zeta upsilon eta j (l_e_st_eq_landau_n_rt_rp_islessis1 ksi eta zeta i l) : l_e_st_eq_landau_n_rt_rp_lessis eta upsilon).

(* constant 2072 *)
definition l_e_st_eq_landau_n_rt_rp_satz123c ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.(l_ec3_th7 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123b ksi eta) (l_comor (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) m) : l_not (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2073 *)
definition l_e_st_eq_landau_n_rt_rp_satz123d ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.(l_ec3_th9 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123b ksi eta) l : l_not (l_e_st_eq_landau_n_rt_rp_more ksi eta)).

(* constant 2074 *)
definition l_e_st_eq_landau_n_rt_rp_satz123e ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λn:l_not (l_e_st_eq_landau_n_rt_rp_more ksi eta).(l_or3_th2 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123a ksi eta) n : l_e_st_eq_landau_n_rt_rp_lessis ksi eta).

(* constant 2075 *)
definition l_e_st_eq_landau_n_rt_rp_satz123f ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λn:l_not (l_e_st_eq_landau_n_rt_rp_less ksi eta).(l_comor (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_or3_th3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123a ksi eta) n) : l_e_st_eq_landau_n_rt_rp_moreis ksi eta).

(* constant 2076 *)
definition l_e_st_eq_landau_n_rt_rp_satz123g ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_or_th3 (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_ec3e23 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123b ksi eta) m) (l_ec3e21 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123b ksi eta) m) : l_not (l_e_st_eq_landau_n_rt_rp_lessis ksi eta)).

(* constant 2077 *)
definition l_e_st_eq_landau_n_rt_rp_satz123h ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_or_th3 (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_ec3e32 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123b ksi eta) l) (l_ec3e31 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123b ksi eta) l) : l_not (l_e_st_eq_landau_n_rt_rp_moreis ksi eta)).

(* constant 2078 *)
definition l_e_st_eq_landau_n_rt_rp_satz123j ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λn:l_not (l_e_st_eq_landau_n_rt_rp_moreis ksi eta).(l_or3e3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123a ksi eta) (l_or_th5 (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) n) (l_or_th4 (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) n) : l_e_st_eq_landau_n_rt_rp_less ksi eta).

(* constant 2079 *)
definition l_e_st_eq_landau_n_rt_rp_satz123k ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λn:l_not (l_e_st_eq_landau_n_rt_rp_lessis ksi eta).(l_or3e2 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123a ksi eta) (l_or_th4 (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) n) (l_or_th5 (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) n) : l_e_st_eq_landau_n_rt_rp_more ksi eta).

(* constant 2080 *)
definition l_e_st_eq_landau_n_rt_rp_2126_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λk:l_e_st_eq_landau_n_rt_rp_less eta zeta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λly:l_e_st_eq_landau_n_rt_lrt zeta y0.(l_e_st_eq_landau_n_rt_cutapp2a eta x0 lx y0 uy : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 2081 *)
definition l_e_st_eq_landau_n_rt_rp_2126_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λk:l_e_st_eq_landau_n_rt_rp_less eta zeta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λly:l_e_st_eq_landau_n_rt_lrt zeta y0.(l_e_st_eq_landau_n_rt_rp_satz119a ksi x0 ux y0 (l_e_st_eq_landau_n_rt_rp_2126_t1 ksi eta zeta l k x0 ux lx y0 uy ly) : l_e_st_eq_landau_n_rt_urt ksi y0).

(* constant 2082 *)
definition l_e_st_eq_landau_n_rt_rp_2126_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λk:l_e_st_eq_landau_n_rt_rp_less eta zeta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λly:l_e_st_eq_landau_n_rt_lrt zeta y0.(l_andi (l_e_st_eq_landau_n_rt_urt ksi y0) (l_e_st_eq_landau_n_rt_lrt zeta y0) (l_e_st_eq_landau_n_rt_rp_2126_t2 ksi eta zeta l k x0 ux lx y0 uy ly) ly : l_and (l_e_st_eq_landau_n_rt_urt ksi y0) (l_e_st_eq_landau_n_rt_lrt zeta y0)).

(* constant 2083 *)
definition l_e_st_eq_landau_n_rt_rp_2126_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λk:l_e_st_eq_landau_n_rt_rp_less eta zeta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λly:l_e_st_eq_landau_n_rt_lrt zeta y0.(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_urt ksi x) (l_e_st_eq_landau_n_rt_lrt zeta x)) y0 (l_e_st_eq_landau_n_rt_rp_2126_t3 ksi eta zeta l k x0 ux lx y0 uy ly) : l_e_st_eq_landau_n_rt_rp_less ksi zeta).

(* constant 2084 *)
definition l_e_st_eq_landau_n_rt_rp_2126_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λk:l_e_st_eq_landau_n_rt_rp_less eta zeta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.(l_e_st_eq_landau_n_rt_rp_lessapp eta zeta k (l_e_st_eq_landau_n_rt_rp_less ksi zeta) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt eta x.λu:l_e_st_eq_landau_n_rt_lrt zeta x.l_e_st_eq_landau_n_rt_rp_2126_t4 ksi eta zeta l k x0 ux lx x t u) : l_e_st_eq_landau_n_rt_rp_less ksi zeta).

(* constant 2085 *)
definition l_e_st_eq_landau_n_rt_rp_satz126 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λk:l_e_st_eq_landau_n_rt_rp_less eta zeta.(l_e_st_eq_landau_n_rt_rp_lessapp ksi eta l (l_e_st_eq_landau_n_rt_rp_less ksi zeta) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.λu:l_e_st_eq_landau_n_rt_lrt eta x.l_e_st_eq_landau_n_rt_rp_2126_t5 ksi eta zeta l k x t u) : l_e_st_eq_landau_n_rt_rp_less ksi zeta).

(* constant 2086 *)
definition l_e_st_eq_landau_n_rt_rp_trless ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λk:l_e_st_eq_landau_n_rt_rp_less eta zeta.(l_e_st_eq_landau_n_rt_rp_satz126 ksi eta zeta l k : l_e_st_eq_landau_n_rt_rp_less ksi zeta).

(* constant 2087 *)
definition l_e_st_eq_landau_n_rt_rp_trmore ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λn:l_e_st_eq_landau_n_rt_rp_more eta zeta.(l_e_st_eq_landau_n_rt_rp_satz122 zeta ksi (l_e_st_eq_landau_n_rt_rp_satz126 zeta eta ksi (l_e_st_eq_landau_n_rt_rp_satz121 eta zeta n) (l_e_st_eq_landau_n_rt_rp_satz121 ksi eta m)) : l_e_st_eq_landau_n_rt_rp_more ksi zeta).

(* constant 2088 *)
definition l_e_st_eq_landau_n_rt_rp_satz127a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λk:l_e_st_eq_landau_n_rt_rp_less eta zeta.(l_orapp (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi zeta) l (λu:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_trless ksi eta zeta u k) (λu:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_isless1 eta ksi zeta (l_e_symis l_e_st_eq_landau_n_rt_cut ksi eta u) k) : l_e_st_eq_landau_n_rt_rp_less ksi zeta).

(* constant 2089 *)
definition l_e_st_eq_landau_n_rt_rp_satz127b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λk:l_e_st_eq_landau_n_rt_rp_lessis eta zeta.(l_orapp (l_e_st_eq_landau_n_rt_rp_less eta zeta) (l_e_st_eq_landau_n_rt_rp_is eta zeta) (l_e_st_eq_landau_n_rt_rp_less ksi zeta) k (λu:l_e_st_eq_landau_n_rt_rp_less eta zeta.l_e_st_eq_landau_n_rt_rp_trless ksi eta zeta l u) (λu:l_e_st_eq_landau_n_rt_rp_is eta zeta.l_e_st_eq_landau_n_rt_rp_isless2 eta zeta ksi u l) : l_e_st_eq_landau_n_rt_rp_less ksi zeta).

(* constant 2090 *)
definition l_e_st_eq_landau_n_rt_rp_satz127c ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_more eta zeta.(l_e_st_eq_landau_n_rt_rp_satz122 zeta ksi (l_e_st_eq_landau_n_rt_rp_satz127b zeta eta ksi (l_e_st_eq_landau_n_rt_rp_satz121 eta zeta n) (l_e_st_eq_landau_n_rt_rp_satz124 ksi eta m)) : l_e_st_eq_landau_n_rt_rp_more ksi zeta).

(* constant 2091 *)
definition l_e_st_eq_landau_n_rt_rp_satz127d ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis eta zeta.(l_e_st_eq_landau_n_rt_rp_satz122 zeta ksi (l_e_st_eq_landau_n_rt_rp_satz127a zeta eta ksi (l_e_st_eq_landau_n_rt_rp_satz124 eta zeta n) (l_e_st_eq_landau_n_rt_rp_satz121 ksi eta m)) : l_e_st_eq_landau_n_rt_rp_more ksi zeta).

(* constant 2092 *)
definition l_e_st_eq_landau_n_rt_rp_2128_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λk:l_e_st_eq_landau_n_rt_rp_lessis eta zeta.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_is eta zeta.(l_e_st_eq_landau_n_rt_rp_lessisi2 ksi zeta (l_e_tris l_e_st_eq_landau_n_rt_cut ksi eta zeta i j) : l_e_st_eq_landau_n_rt_rp_lessis ksi zeta).

(* constant 2093 *)
definition l_e_st_eq_landau_n_rt_rp_2128_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λk:l_e_st_eq_landau_n_rt_rp_lessis eta zeta.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_less eta zeta.(l_e_st_eq_landau_n_rt_rp_lessisi1 ksi zeta (l_e_st_eq_landau_n_rt_rp_satz127a ksi eta zeta l j) : l_e_st_eq_landau_n_rt_rp_lessis ksi zeta).

(* constant 2094 *)
definition l_e_st_eq_landau_n_rt_rp_2128_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λk:l_e_st_eq_landau_n_rt_rp_lessis eta zeta.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_orapp (l_e_st_eq_landau_n_rt_rp_less eta zeta) (l_e_st_eq_landau_n_rt_rp_is eta zeta) (l_e_st_eq_landau_n_rt_rp_lessis ksi zeta) k (λt:l_e_st_eq_landau_n_rt_rp_less eta zeta.l_e_st_eq_landau_n_rt_rp_2128_t2 ksi eta zeta l k i t) (λt:l_e_st_eq_landau_n_rt_rp_is eta zeta.l_e_st_eq_landau_n_rt_rp_2128_t1 ksi eta zeta l k i t) : l_e_st_eq_landau_n_rt_rp_lessis ksi zeta).

(* constant 2095 *)
definition l_e_st_eq_landau_n_rt_rp_2128_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λk:l_e_st_eq_landau_n_rt_rp_lessis eta zeta.λj:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_e_st_eq_landau_n_rt_rp_lessisi1 ksi zeta (l_e_st_eq_landau_n_rt_rp_satz127b ksi eta zeta j k) : l_e_st_eq_landau_n_rt_rp_lessis ksi zeta).

(* constant 2096 *)
definition l_e_st_eq_landau_n_rt_rp_satz128 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λk:l_e_st_eq_landau_n_rt_rp_lessis eta zeta.(l_orapp (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_lessis ksi zeta) l (λt:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_2128_t4 ksi eta zeta l k t) (λt:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_2128_t3 ksi eta zeta l k t) : l_e_st_eq_landau_n_rt_rp_lessis ksi zeta).

(* constant 2097 *)
definition l_e_st_eq_landau_n_rt_rp_trlessis ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λk:l_e_st_eq_landau_n_rt_rp_lessis eta zeta.(l_e_st_eq_landau_n_rt_rp_satz128 ksi eta zeta l k : l_e_st_eq_landau_n_rt_rp_lessis ksi zeta).

(* constant 2098 *)
definition l_e_st_eq_landau_n_rt_rp_trmoreis ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis eta zeta.(l_e_st_eq_landau_n_rt_rp_satz125 zeta ksi (l_e_st_eq_landau_n_rt_rp_satz128 zeta eta ksi (l_e_st_eq_landau_n_rt_rp_satz124 eta zeta n) (l_e_st_eq_landau_n_rt_rp_satz124 ksi eta m)) : l_e_st_eq_landau_n_rt_rp_moreis ksi zeta).

(* constant 2099 *)
definition l_e_st_eq_landau_n_rt_rp_sumprop1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_and3 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta y0) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0)) : Prop).

(* constant 2100 *)
definition l_e_st_eq_landau_n_rt_rp_sumprop ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x y)) : Prop).

(* constant 2101 *)
definition l_e_st_eq_landau_n_rt_rp_sum ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_setof l_e_st_eq_landau_n_rt_rat (λz:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop ksi eta z) : l_e_st_set l_e_st_eq_landau_n_rt_rat).

(* constant 2102 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_and3i (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta y0) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0)) lx ly i : l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y0).

(* constant 2103 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_somei l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y) y0 (l_e_st_eq_landau_n_rt_rp_iii3_t1 ksi eta z0 x0 lx y0 ly i) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y)).

(* constant 2104 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x y)) x0 (l_e_st_eq_landau_n_rt_rp_iii3_t2 ksi eta z0 x0 lx y0 ly i) : l_e_st_eq_landau_n_rt_rp_sumprop ksi eta z0).

(* constant 2105 *)
definition l_e_st_eq_landau_n_rt_rp_sum1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λz:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop ksi eta z) z0 (l_e_st_eq_landau_n_rt_rp_iii3_t3 ksi eta z0 x0 lx y0 ly i) : l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta)).

(* constant 2106 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).p.(l_e_st_estie l_e_st_eq_landau_n_rt_rat (λz:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop ksi eta z) z0 i : l_e_st_eq_landau_n_rt_rp_sumprop ksi eta z0).

(* constant 2107 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y0.(l_and3e1 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta y0) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0)) py : l_e_st_eq_landau_n_rt_lrt ksi x0).

(* constant 2108 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y0.(l_and3e2 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta y0) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0)) py : l_e_st_eq_landau_n_rt_lrt eta y0).

(* constant 2109 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y0.(l_and3e3 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta y0) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0)) py : l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0)).

(* constant 2110 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y0.(p1 x0 (l_e_st_eq_landau_n_rt_rp_iii3_t5 ksi eta z0 i p p1 x0 px y0 py) y0 (l_e_st_eq_landau_n_rt_rp_iii3_t6 ksi eta z0 i p p1 x0 px y0 py) (l_e_st_eq_landau_n_rt_rp_iii3_t7 ksi eta z0 i p p1 x0 px y0 py) : p).

(* constant 2111 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y).(l_someapp l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y) px p (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x0 y.l_e_st_eq_landau_n_rt_rp_iii3_t8 ksi eta z0 i p p1 x0 px y t) : p).

(* constant 2112 *)
definition l_e_st_eq_landau_n_rt_rp_sumapp ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).p.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x y)) (l_e_st_eq_landau_n_rt_rp_iii3_t4 ksi eta z0 i p p1) p (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_sumprop1 ksi eta z0 x y).l_e_st_eq_landau_n_rt_rp_iii3_t9 ksi eta z0 i p p1 x t) : p).

(* constant 2113 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_cutapp2a ksi x0 lx x1 ux : l_e_st_eq_landau_n_rt_less x0 x1).

(* constant 2114 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_cutapp2a eta y0 ly y1 uy : l_e_st_eq_landau_n_rt_less y0 y1).

(* constant 2115 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_isless1 (l_e_st_eq_landau_n_rt_pl x0 y0) z0 (l_e_st_eq_landau_n_rt_pl x1 y1) (l_e_symis l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_pl x0 y0) j) (l_e_st_eq_landau_n_rt_satz98a x0 x1 y0 y1 (l_e_st_eq_landau_n_rt_rp_3129_t1 ksi eta x1 ux y1 uy z0 i x0 lx y0 ly j) (l_e_st_eq_landau_n_rt_rp_3129_t2 ksi eta x1 ux y1 uy z0 i x0 lx y0 ly j)) : l_e_st_eq_landau_n_rt_less z0 (l_e_st_eq_landau_n_rt_pl x1 y1)).

(* constant 2116 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_ec3e31 (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x1 y1)) (l_e_st_eq_landau_n_rt_more z0 (l_e_st_eq_landau_n_rt_pl x1 y1)) (l_e_st_eq_landau_n_rt_less z0 (l_e_st_eq_landau_n_rt_pl x1 y1)) (l_e_st_eq_landau_n_rt_satz81b z0 (l_e_st_eq_landau_n_rt_pl x1 y1)) (l_e_st_eq_landau_n_rt_rp_3129_t3 ksi eta x1 ux y1 uy z0 i x0 lx y0 ly j) : l_e_st_eq_landau_n_rt_nis z0 (l_e_st_eq_landau_n_rt_pl x1 y1)).

(* constant 2117 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).(l_e_st_eq_landau_n_rt_rp_sumapp ksi eta z0 i (l_e_st_eq_landau_n_rt_nis z0 (l_e_st_eq_landau_n_rt_pl x1 y1)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt eta y.λv:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).l_e_st_eq_landau_n_rt_rp_3129_t4 ksi eta x1 ux y1 uy z0 i x t y u v) : l_e_st_eq_landau_n_rt_nis z0 (l_e_st_eq_landau_n_rt_pl x1 y1)).

(* constant 2118 *)
definition l_e_st_eq_landau_n_rt_rp_satz129a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.(l_imp_th3 (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_pl x1 y1) (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (l_e_st_eq_landau_n_rt_nis (l_e_st_eq_landau_n_rt_pl x1 y1) (l_e_st_eq_landau_n_rt_pl x1 y1)) (l_weli (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl x1 y1) (l_e_st_eq_landau_n_rt_pl x1 y1)) (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl x1 y1))) (λt:l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_pl x1 y1) (l_e_st_eq_landau_n_rt_rp_sum ksi eta).l_e_st_eq_landau_n_rt_rp_3129_t5 ksi eta x1 ux y1 uy (l_e_st_eq_landau_n_rt_pl x1 y1) t) : l_not (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_pl x1 y1) (l_e_st_eq_landau_n_rt_rp_sum ksi eta))).

(* constant 2119 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_isless2 u0 (l_e_st_eq_landau_n_rt_pl x0 y0) z0 j l : l_e_st_eq_landau_n_rt_less z0 (l_e_st_eq_landau_n_rt_pl x0 y0)).

(* constant 2120 *)
definition l_e_st_eq_landau_n_rt_rp_3129_z1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_ov z0 (l_e_st_eq_landau_n_rt_pl x0 y0) : l_e_st_eq_landau_n_rt_rat).

(* constant 2121 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_isless12 z0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j) (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_satz110f z0 (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_example1d (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_rp_3129_t6 ksi eta u0 i z0 l x0 lx y0 ly j) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j) (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_pl x0 y0))).

(* constant 2122 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_satz106c (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_rp_3129_t7 ksi eta u0 i z0 l x0 lx y0 ly j) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j) l_e_st_eq_landau_n_rt_1rt).

(* constant 2123 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_isless2 (l_e_st_eq_landau_n_rt_ts x0 l_e_st_eq_landau_n_rt_1rt) x0 (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) (l_e_st_eq_landau_n_rt_example1a x0) (l_e_st_eq_landau_n_rt_satz105f (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j) l_e_st_eq_landau_n_rt_1rt x0 (l_e_st_eq_landau_n_rt_rp_3129_t8 ksi eta u0 i z0 l x0 lx y0 ly j)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) x0).

(* constant 2124 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_isless2 (l_e_st_eq_landau_n_rt_ts y0 l_e_st_eq_landau_n_rt_1rt) y0 (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) (l_e_st_eq_landau_n_rt_example1a y0) (l_e_st_eq_landau_n_rt_satz105f (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j) l_e_st_eq_landau_n_rt_1rt y0 (l_e_st_eq_landau_n_rt_rp_3129_t8 ksi eta u0 i z0 l x0 lx y0 ly j)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) y0).

(* constant 2125 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_rp_satz120 ksi x0 lx (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) (l_e_st_eq_landau_n_rt_rp_3129_t9 ksi eta u0 i z0 l x0 lx y0 ly j) : l_e_st_eq_landau_n_rt_lrt ksi (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j))).

(* constant 2126 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_rp_satz120 eta y0 ly (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) (l_e_st_eq_landau_n_rt_rp_3129_t10 ksi eta u0 i z0 l x0 lx y0 ly j) : l_e_st_eq_landau_n_rt_lrt eta (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j))).

(* constant 2127 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j))) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) z0 (l_e_st_eq_landau_n_rt_distpt1 x0 y0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) (l_e_st_eq_landau_n_rt_satz110c z0 (l_e_st_eq_landau_n_rt_pl x0 y0)) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j))) z0).

(* constant 2128 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j))) z0 (l_e_st_eq_landau_n_rt_rp_3129_t13 ksi eta u0 i z0 l x0 lx y0 ly j) : l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)))).

(* constant 2129 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t15 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_rp_sum1 ksi eta z0 (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) (l_e_st_eq_landau_n_rt_rp_3129_t11 ksi eta u0 i z0 l x0 lx y0 ly j) (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_rp_3129_z1 ksi eta u0 i z0 l x0 lx y0 ly j)) (l_e_st_eq_landau_n_rt_rp_3129_t12 ksi eta u0 i z0 l x0 lx y0 ly j) (l_e_st_eq_landau_n_rt_rp_3129_t14 ksi eta u0 i z0 l x0 lx y0 ly j) : l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta)).

(* constant 2130 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t16 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.(l_e_st_eq_landau_n_rt_rp_sumapp ksi eta u0 i (l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt eta y.λv:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x y).l_e_st_eq_landau_n_rt_rp_3129_t15 ksi eta u0 i z0 l x t y u v) : l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta)).

(* constant 2131 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t17 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_e_st_eq_landau_n_rt_rp_sum1 ksi eta (l_e_st_eq_landau_n_rt_pl x1 y0) x1 lx1 y0 ly (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl x1 y0)) : l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_pl x1 y0) (l_e_st_eq_landau_n_rt_rp_sum ksi eta)).

(* constant 2132 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t18 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_e_st_eq_landau_n_rt_satz96a x1 x0 y0 (l_e_st_eq_landau_n_rt_satz83 x0 x1 l) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x1 y0) (l_e_st_eq_landau_n_rt_pl x0 y0)).

(* constant 2133 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t19 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_e_st_eq_landau_n_rt_ismore2 (l_e_st_eq_landau_n_rt_pl x0 y0) z0 (l_e_st_eq_landau_n_rt_pl x1 y0) (l_e_symis l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_pl x0 y0) j) (l_e_st_eq_landau_n_rt_rp_3129_t18 ksi eta z0 i x0 lx y0 ly j x1 lx1 l) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x1 y0) z0).

(* constant 2134 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t20 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_andi (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_pl x1 y0) (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x1 y0) z0) (l_e_st_eq_landau_n_rt_rp_3129_t17 ksi eta z0 i x0 lx y0 ly j x1 lx1 l) (l_e_st_eq_landau_n_rt_rp_3129_t19 ksi eta z0 i x0 lx y0 ly j x1 lx1 l) : l_and (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_pl x1 y0) (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x1 y0) z0)).

(* constant 2135 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t21 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_somei l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (l_e_st_eq_landau_n_rt_more y z0)) (l_e_st_eq_landau_n_rt_pl x1 y0) (l_e_st_eq_landau_n_rt_rp_3129_t20 ksi eta z0 i x0 lx y0 ly j x1 lx1 l) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (l_e_st_eq_landau_n_rt_more y z0))).

(* constant 2136 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t22 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_cutapp3 ksi x0 lx (l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (l_e_st_eq_landau_n_rt_more y z0))) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λu:l_e_st_eq_landau_n_rt_less x0 x.l_e_st_eq_landau_n_rt_rp_3129_t21 ksi eta z0 i x0 lx y0 ly j x t u) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (l_e_st_eq_landau_n_rt_more y z0))).

(* constant 2137 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t23 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta).(l_e_st_eq_landau_n_rt_rp_sumapp ksi eta z0 i (l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (l_e_st_eq_landau_n_rt_more y z0))) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt eta y.λv:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).l_e_st_eq_landau_n_rt_rp_3129_t22 ksi eta z0 i x t y u v) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (l_e_st_eq_landau_n_rt_more y z0))).

(* constant 2138 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t24 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.(l_e_st_eq_landau_n_rt_cut2 (l_e_st_eq_landau_n_rt_rp_sum ksi eta) (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_rp_sum1 ksi eta (l_e_st_eq_landau_n_rt_pl x0 y0) x0 lx y0 ly (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl x0 y0))) (l_e_st_eq_landau_n_rt_pl x1 y1) (l_e_st_eq_landau_n_rt_rp_satz129a ksi eta x1 ux y1 uy) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_sum ksi eta).λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_rp_3129_t16 ksi eta x t y u) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_sum ksi eta).l_e_st_eq_landau_n_rt_rp_3129_t23 ksi eta x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_sum ksi eta)).

(* constant 2139 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t25 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.(l_e_st_eq_landau_n_rt_cutapp1b eta (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt eta y.l_e_st_eq_landau_n_rt_rp_3129_t24 ksi eta x0 lx y0 ly x1 ux y t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_sum ksi eta)).

(* constant 2140 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t26 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.(l_e_st_eq_landau_n_rt_cutapp1b ksi (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.l_e_st_eq_landau_n_rt_rp_3129_t25 ksi eta x0 lx y0 ly x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_sum ksi eta)).

(* constant 2141 *)
definition l_e_st_eq_landau_n_rt_rp_3129_t27 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_e_st_eq_landau_n_rt_cutapp1a eta (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt eta y.l_e_st_eq_landau_n_rt_rp_3129_t26 ksi eta x0 lx y t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_sum ksi eta)).

(* constant 2142 *)
definition l_e_st_eq_landau_n_rt_rp_satz129 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_cutapp1a ksi (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.l_e_st_eq_landau_n_rt_rp_3129_t27 ksi eta x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_sum ksi eta)).

(* constant 2143 *)
definition l_e_st_eq_landau_n_rt_rp_pl ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_cutof (l_e_st_eq_landau_n_rt_rp_sum ksi eta) (l_e_st_eq_landau_n_rt_rp_satz129 ksi eta) : l_e_st_eq_landau_n_rt_cut).

(* constant 2144 *)
definition l_e_st_eq_landau_n_rt_rp_lrtpl ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_rp_ine (l_e_st_eq_landau_n_rt_rp_sum ksi eta) (l_e_st_eq_landau_n_rt_rp_satz129 ksi eta) z0 (l_e_st_eq_landau_n_rt_rp_sum1 ksi eta z0 x0 lx y0 ly i) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) z0).

(* constant 2145 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_isp1 l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_not (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_sum ksi eta))) (l_e_st_eq_landau_n_rt_pl x0 y0) z0 (l_e_st_eq_landau_n_rt_rp_satz129a ksi eta x0 ux y0 uy) i : l_not (l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta))).

(* constant 2146 *)
definition l_e_st_eq_landau_n_rt_rp_urtpl ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_imp_th3 (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) z0) (l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta)) (l_e_st_eq_landau_n_rt_rp_iii3_t10 ksi eta z0 x0 ux y0 uy i) (λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) z0.l_e_st_eq_landau_n_rt_rp_ini (l_e_st_eq_landau_n_rt_rp_sum ksi eta) (l_e_st_eq_landau_n_rt_rp_satz129 ksi eta) z0 t) : l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) z0).

(* constant 2147 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) z0.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).p.(l_e_st_eq_landau_n_rt_rp_ini (l_e_st_eq_landau_n_rt_rp_sum ksi eta) (l_e_st_eq_landau_n_rt_rp_satz129 ksi eta) z0 lz : l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_sum ksi eta)).

(* constant 2148 *)
definition l_e_st_eq_landau_n_rt_rp_plapp ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) z0.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).p.(l_e_st_eq_landau_n_rt_rp_sumapp ksi eta z0 (l_e_st_eq_landau_n_rt_rp_iii3_t11 ksi eta z0 lz p p1) p p1 : p).

(* constant 2149 *)
definition l_e_st_eq_landau_n_rt_rp_ispl1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_isf l_e_st_eq_landau_n_rt_cut l_e_st_eq_landau_n_rt_cut (λu:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_pl u zeta) ksi eta i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)).

(* constant 2150 *)
definition l_e_st_eq_landau_n_rt_rp_ispl2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_isf l_e_st_eq_landau_n_rt_cut l_e_st_eq_landau_n_rt_cut (λu:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_pl zeta u) ksi eta i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl zeta eta)).

(* constant 2151 *)
definition l_e_st_eq_landau_n_rt_rp_ispl12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_ispl1 ksi eta zeta i) (l_e_st_eq_landau_n_rt_rp_ispl2 zeta upsilon eta j) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2152 *)
definition l_e_st_eq_landau_n_rt_rp_3130_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_tris l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_pl y0 x0) i (l_e_st_eq_landau_n_rt_compl x0 y0) : l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl y0 x0)).

(* constant 2153 *)
definition l_e_st_eq_landau_n_rt_rp_3130_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_rp_lrtpl eta ksi z0 y0 ly x0 lx (l_e_st_eq_landau_n_rt_rp_3130_t1 ksi eta z0 lz x0 lx y0 ly i) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta ksi) z0).

(* constant 2154 *)
definition l_e_st_eq_landau_n_rt_rp_3130_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) z0.(l_e_st_eq_landau_n_rt_rp_plapp ksi eta z0 lz (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta ksi) z0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt eta y.λv:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).l_e_st_eq_landau_n_rt_rp_3130_t2 ksi eta z0 lz x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta ksi) z0).

(* constant 2155 *)
definition l_e_st_eq_landau_n_rt_rp_satz130 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_isi1 (l_e_st_eq_landau_n_rt_rp_pl ksi eta) (l_e_st_eq_landau_n_rt_rp_pl eta ksi) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) x.l_e_st_eq_landau_n_rt_rp_3130_t3 ksi eta x t) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta ksi) x.l_e_st_eq_landau_n_rt_rp_3130_t3 eta ksi x t) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi eta) (l_e_st_eq_landau_n_rt_rp_pl eta ksi)).

(* constant 2156 *)
definition l_e_st_eq_landau_n_rt_rp_compl ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_satz130 ksi eta : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi eta) (l_e_st_eq_landau_n_rt_rp_pl eta ksi)).

(* constant 2157 *)
definition l_e_st_eq_landau_n_rt_rp_3131_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) v0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 z0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_tr3is l_e_st_eq_landau_n_rt_rat u0 (l_e_st_eq_landau_n_rt_pl v0 z0) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl x0 y0) z0) (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_pl y0 z0)) i (l_e_st_eq_landau_n_rt_ispl1 v0 (l_e_st_eq_landau_n_rt_pl x0 y0) z0 j) (l_e_st_eq_landau_n_rt_asspl1 x0 y0 z0) : l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_pl y0 z0))).

(* constant 2158 *)
definition l_e_st_eq_landau_n_rt_rp_3131_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) v0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 z0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_rp_lrtpl eta zeta (l_e_st_eq_landau_n_rt_pl y0 z0) y0 ly z0 lz (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl y0 z0)) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 2159 *)
definition l_e_st_eq_landau_n_rt_rp_3131_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) v0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 z0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl x0 y0).(l_e_st_eq_landau_n_rt_rp_lrtpl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta) u0 x0 lx (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_rt_rp_3131_t2 ksi eta zeta u0 lu v0 lv z0 lz i x0 lx y0 ly j) (l_e_st_eq_landau_n_rt_rp_3131_t1 ksi eta zeta u0 lu v0 lv z0 lz i x0 lx y0 ly j) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0).

(* constant 2160 *)
definition l_e_st_eq_landau_n_rt_rp_3131_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) v0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 z0).(l_e_st_eq_landau_n_rt_rp_plapp ksi eta v0 lv (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt eta y.λv:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl x y).l_e_st_eq_landau_n_rt_rp_3131_t3 ksi eta zeta u0 lu v0 lv z0 lz i x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0).

(* constant 2161 *)
definition l_e_st_eq_landau_n_rt_rp_3131_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) u0.(l_e_st_eq_landau_n_rt_rp_plapp (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta u0 lu (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt zeta y.λv:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x y).l_e_st_eq_landau_n_rt_rp_3131_t4 ksi eta zeta u0 lu x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0).

(* constant 2162 *)
definition l_e_st_eq_landau_n_rt_rp_3131_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 v0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl y0 z0).(l_e_tr3is l_e_st_eq_landau_n_rt_rat u0 (l_e_st_eq_landau_n_rt_pl x0 v0) (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl x0 y0) z0) i (l_e_st_eq_landau_n_rt_ispl2 v0 (l_e_st_eq_landau_n_rt_pl y0 z0) x0 j) (l_e_st_eq_landau_n_rt_asspl2 x0 y0 z0) : l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl x0 y0) z0)).

(* constant 2163 *)
definition l_e_st_eq_landau_n_rt_rp_3131_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 v0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl y0 z0).(l_e_st_eq_landau_n_rt_rp_lrtpl ksi eta (l_e_st_eq_landau_n_rt_pl x0 y0) x0 lx y0 ly (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl x0 y0)) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) (l_e_st_eq_landau_n_rt_pl x0 y0)).

(* constant 2164 *)
definition l_e_st_eq_landau_n_rt_rp_3131_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 v0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl y0 z0).(l_e_st_eq_landau_n_rt_rp_lrtpl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta u0 (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_rp_3131_t7 ksi eta zeta u0 lu x0 lx v0 lv i y0 ly z0 lz j) z0 lz (l_e_st_eq_landau_n_rt_rp_3131_t6 ksi eta zeta u0 lu x0 lx v0 lv i y0 ly z0 lz j) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) u0).

(* constant 2165 *)
definition l_e_st_eq_landau_n_rt_rp_3131_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 v0).(l_e_st_eq_landau_n_rt_rp_plapp eta zeta v0 lv (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt eta x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt zeta y.λv:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl x y).l_e_st_eq_landau_n_rt_rp_3131_t8 ksi eta zeta u0 lu x0 lx v0 lv i x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) u0).

(* constant 2166 *)
definition l_e_st_eq_landau_n_rt_rp_3131_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0.(l_e_st_eq_landau_n_rt_rp_plapp ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta) u0 lu (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) y.λv:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x y).l_e_st_eq_landau_n_rt_rp_3131_t9 ksi eta zeta u0 lu x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) u0).

(* constant 2167 *)
definition l_e_st_eq_landau_n_rt_rp_satz131 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_isi1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) x.l_e_st_eq_landau_n_rt_rp_3131_t5 ksi eta zeta x t) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) x.l_e_st_eq_landau_n_rt_rp_3131_t10 ksi eta zeta x t) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta))).

(* constant 2168 *)
definition l_e_st_eq_landau_n_rt_rp_asspl1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_satz131 ksi eta zeta : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta))).

(* constant 2169 *)
definition l_e_st_eq_landau_n_rt_rp_asspl2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_satz131 ksi eta zeta) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta)).

(* constant 2170 *)
definition l_e_st_eq_landau_n_rt_rp_3132_prop1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_and (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt ksi y0) : Prop).

(* constant 2171 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λp:l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 y0.(l_e_st_eq_landau_n_rt_cutapp2b ksi x0 (l_ande1 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt ksi y0) p) y0 (l_ande2 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt ksi y0) p) : l_e_st_eq_landau_n_rt_more y0 x0).

(* constant 2172 *)
definition l_e_st_eq_landau_n_rt_rp_3132_prop2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λp:l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 y0.(l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t1 ksi a0 x0 y0 p)) a0 : Prop).

(* constant 2173 *)
definition l_e_st_eq_landau_n_rt_rp_3132_prop3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_and (l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 y0) (∀t:l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 y0.l_e_st_eq_landau_n_rt_rp_3132_prop2 ksi a0 x0 y0 t) : Prop).

(* constant 2174 *)
definition l_e_st_eq_landau_n_rt_rp_3132_prop4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x y)) : Prop).

(* constant 2175 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.(l_e_st_eq_landau_n_rt_cutapp2b ksi x0 lx y0 uy : l_e_st_eq_landau_n_rt_more y0 x0).

(* constant 2176 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn n) a0) (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t2 ksi a0 x0 lx y0 uy)).(l_e_st_eq_landau_n_rt_satz96d (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn n) a0) (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t2 ksi a0 x0 lx y0 uy)) x0 m : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn n) a0)) (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t2 ksi a0 x0 lx y0 uy)))).

(* constant 2177 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn n) a0) (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t2 ksi a0 x0 lx y0 uy)).(l_e_st_eq_landau_n_rt_ismore2 (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t2 ksi a0 x0 lx y0 uy))) y0 (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn n) a0)) (l_e_st_eq_landau_n_rt_satz101c y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t2 ksi a0 x0 lx y0 uy)) (l_e_st_eq_landau_n_rt_rp_3132_t3 ksi a0 x0 lx y0 uy n m) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn n) a0)) y0).

(* constant 2178 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn n) a0) (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t2 ksi a0 x0 lx y0 uy)).(l_e_st_eq_landau_n_rt_rp_satz119 ksi y0 uy (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn n) a0)) (l_e_st_eq_landau_n_rt_rp_3132_t4 ksi a0 x0 lx y0 uy n m) : l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn n) a0))).

(* constant 2179 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn n) a0) (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t2 ksi a0 x0 lx y0 uy)).(l_somei l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) n (l_e_st_eq_landau_n_rt_rp_3132_t5 ksi a0 x0 lx y0 uy n m) : l_e_st_eq_landau_n_some (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0)))).

(* constant 2180 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.(l_someapp l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0) (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t2 ksi a0 x0 lx y0 uy))) (l_e_st_eq_landau_n_rt_satz115 a0 (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t2 ksi a0 x0 lx y0 uy))) (l_e_st_eq_landau_n_some (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0)))) (λx:l_e_st_eq_landau_n_nat.λt:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0) (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t2 ksi a0 x0 lx y0 uy)).l_e_st_eq_landau_n_rt_rp_3132_t6 ksi a0 x0 lx y0 uy x t) : l_e_st_eq_landau_n_some (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0)))).

(* constant 2181 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.(l_ande1 (l_e_st_eq_landau_n_lb (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u) (l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn u) a0))) m : l_e_st_eq_landau_n_lb (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u).

(* constant 2182 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.(l_ande2 (l_e_st_eq_landau_n_lb (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u) (l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn u) a0))) m : l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn u) a0))).

(* constant 2183 *)
definition l_e_st_eq_landau_n_rt_rp_3132_u0 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λi:l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_pl x0 a0 : l_e_st_eq_landau_n_rt_rat).

(* constant 2184 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λi:l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1.(l_e_tr3is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn u) a0) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt a0) (l_e_st_eq_landau_n_rt_ts a0 l_e_st_eq_landau_n_rt_1rt) a0 (l_e_st_eq_landau_n_rt_ists1 (l_e_st_eq_landau_n_rt_rtofn u) l_e_st_eq_landau_n_rt_1rt a0 (l_e_st_eq_landau_n_rt_isnert u l_e_st_eq_landau_n_1 i)) (l_e_st_eq_landau_n_rt_comts l_e_st_eq_landau_n_rt_1rt a0) (l_e_st_eq_landau_n_rt_example1a a0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn u) a0) a0).

(* constant 2185 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λi:l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1.(l_e_isp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 x)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn u) a0) a0 (l_e_st_eq_landau_n_rt_rp_3132_t9 ksi a0 x0 lx y0 uy u m) (l_e_st_eq_landau_n_rt_rp_3132_t10 ksi a0 x0 lx y0 uy u m i) : l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i)).

(* constant 2186 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λi:l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1.(l_andi (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i)) lx (l_e_st_eq_landau_n_rt_rp_3132_t11 ksi a0 x0 lx y0 uy u m i) : l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i)).

(* constant 2187 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λi:l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1.λp:l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i).(l_e_symis l_e_st_eq_landau_n_rt_rat a0 (l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i) x0 (l_e_st_eq_landau_n_rt_rp_3132_t1 ksi a0 x0 (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i) p)) (l_e_st_eq_landau_n_rt_satz101g (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i) x0 a0 (l_e_st_eq_landau_n_rt_rp_3132_t1 ksi a0 x0 (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i) p) (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i))) : l_e_st_eq_landau_n_rt_rp_3132_prop2 ksi a0 x0 (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i) p).

(* constant 2188 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λi:l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1.(l_andi (l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i)) (∀t:l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i).l_e_st_eq_landau_n_rt_rp_3132_prop2 ksi a0 x0 (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i) t) (l_e_st_eq_landau_n_rt_rp_3132_t12 ksi a0 x0 lx y0 uy u m i) (λt:l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i).l_e_st_eq_landau_n_rt_rp_3132_t13 ksi a0 x0 lx y0 uy u m i t) : l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i)).

(* constant 2189 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t15 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λi:l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1.(l_somei l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y) (l_e_st_eq_landau_n_rt_rp_3132_u0 ksi a0 x0 lx y0 uy u m i) (l_e_st_eq_landau_n_rt_rp_3132_t14 ksi a0 x0 lx y0 uy u m i) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y)).

(* constant 2190 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t16 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λi:l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1.(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x y)) x0 (l_e_st_eq_landau_n_rt_rp_3132_t15 ksi a0 x0 lx y0 uy u m i) : l_e_st_eq_landau_n_rt_rp_3132_prop4 ksi a0).

(* constant 2191 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t17 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_rtofn u) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_fr u l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr u l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_satz111d u l_e_st_eq_landau_n_1 o) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rtofn u) l_e_st_eq_landau_n_rt_1rt).

(* constant 2192 *)
definition l_e_st_eq_landau_n_rt_rp_3132_um10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rtofn u) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_rp_3132_t17 ksi a0 x0 lx y0 uy u m o) : l_e_st_eq_landau_n_rt_rat).

(* constant 2193 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t18 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_satz112g (l_e_st_eq_landau_n_rt_rtofn u) (l_e_st_eq_landau_n_rt_natrti u) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_natrti l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_3132_t17 ksi a0 x0 lx y0 uy u m o) : l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o)).

(* constant 2194 *)
definition l_e_st_eq_landau_n_rt_rp_3132_um1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_t18 ksi a0 x0 lx y0 uy u m o) : l_e_st_eq_landau_n_nat).

(* constant 2195 *)
definition l_e_st_eq_landau_n_rt_rp_3132_v0 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) a0) : l_e_st_eq_landau_n_rt_rat).

(* constant 2196 *)
definition l_e_st_eq_landau_n_rt_rp_3132_w0 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn u) a0) : l_e_st_eq_landau_n_rt_rat).

(* constant 2197 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t19 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_isless2 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) l_e_st_eq_landau_n_rt_1rt) (l_e_st_eq_landau_n_rt_rtofn u) (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_satz101e (l_e_st_eq_landau_n_rt_rtofn u) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_rp_3132_t17 ksi a0 x0 lx y0 uy u m o)) (l_e_st_eq_landau_n_rt_satz94a (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) l_e_st_eq_landau_n_rt_1rt) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rtofn u)).

(* constant 2198 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t20 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_lesse (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rtofn u) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr u l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclassn (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_t18 ksi a0 x0 lx y0 uy u m o)) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr u l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_3132_t19 ksi a0 x0 lx y0 uy u m o) : l_e_st_eq_landau_n_lessf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr u l_e_st_eq_landau_n_1)).

(* constant 2199 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t21 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_satz111c (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o) u (l_e_st_eq_landau_n_rt_rp_3132_t20 ksi a0 x0 lx y0 uy u m o) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o) u).

(* constant 2200 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t22 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_imp_th3 (l_e_st_eq_landau_n_lessis u (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o)) (l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o) u) (l_e_st_eq_landau_n_satz10h (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o) u (l_e_st_eq_landau_n_rt_rp_3132_t21 ksi a0 x0 lx y0 uy u m o)) (λt:l_e_st_eq_landau_n_lessis u (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o).l_e_st_eq_landau_n_satz14 u (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o) t) : l_not (l_e_st_eq_landau_n_lessis u (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o))).

(* constant 2201 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t23 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_et (l_e_st_eq_landau_n_rt_lrt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o)) a0))) (l_imp_th3 (l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o)) a0))) (l_e_st_eq_landau_n_lessis u (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o)) (l_e_st_eq_landau_n_rt_rp_3132_t22 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_t8 ksi a0 x0 lx y0 uy u m (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o))) : l_e_st_eq_landau_n_rt_lrt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o)) a0))).

(* constant 2202 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t24 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_e_isp1 l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_lrt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts x a0))) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_rp_3132_um1 ksi a0 x0 lx y0 uy u m o)) (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_t23 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_isrtn1 (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_t18 ksi a0 x0 lx y0 uy u m o)) : l_e_st_eq_landau_n_rt_lrt ksi (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o)).

(* constant 2203 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t25 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_andi (l_e_st_eq_landau_n_rt_lrt ksi (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o)) (l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o)) (l_e_st_eq_landau_n_rt_rp_3132_t24 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_t9 ksi a0 x0 lx y0 uy u m) : l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o)).

(* constant 2204 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t26 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_e_tr3is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) a0) a0) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) a0) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt a0)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) l_e_st_eq_landau_n_rt_1rt) a0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn u) a0) (l_e_st_eq_landau_n_rt_ispl2 a0 (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt a0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) a0) (l_e_st_eq_landau_n_rt_example1d a0)) (l_e_st_eq_landau_n_rt_distpt1 (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) l_e_st_eq_landau_n_rt_1rt a0) (l_e_st_eq_landau_n_rt_ists1 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) l_e_st_eq_landau_n_rt_1rt) (l_e_st_eq_landau_n_rt_rtofn u) a0 (l_e_st_eq_landau_n_rt_satz101e (l_e_st_eq_landau_n_rt_rtofn u) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_rp_3132_t17 ksi a0 x0 lx y0 uy u m o))) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) a0) a0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn u) a0)).

(* constant 2205 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t27 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) a0) (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) a0) a0)) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_asspl1 x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) a0) a0) (l_e_st_eq_landau_n_rt_ispl2 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_3132_um10 ksi a0 x0 lx y0 uy u m o) a0) a0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn u) a0) x0 (l_e_st_eq_landau_n_rt_rp_3132_t26 ksi a0 x0 lx y0 uy u m o)) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) a0) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o)).

(* constant 2206 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t28 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.λp:l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o).(l_e_symis l_e_st_eq_landau_n_rt_rat a0 (l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_t1 ksi a0 (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o) p)) (l_e_st_eq_landau_n_rt_satz101g (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) a0 (l_e_st_eq_landau_n_rt_rp_3132_t1 ksi a0 (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o) p) (l_e_st_eq_landau_n_rt_rp_3132_t27 ksi a0 x0 lx y0 uy u m o)) : l_e_st_eq_landau_n_rt_rp_3132_prop2 ksi a0 (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o) p).

(* constant 2207 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t29 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_andi (l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o)) (∀t:l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o).l_e_st_eq_landau_n_rt_rp_3132_prop2 ksi a0 (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o) t) (l_e_st_eq_landau_n_rt_rp_3132_t25 ksi a0 x0 lx y0 uy u m o) (λt:l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o).l_e_st_eq_landau_n_rt_rp_3132_t28 ksi a0 x0 lx y0 uy u m o t) : l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o)).

(* constant 2208 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t30 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_somei l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) y) (l_e_st_eq_landau_n_rt_rp_3132_w0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_t29 ksi a0 x0 lx y0 uy u m o) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) y)).

(* constant 2209 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t31 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.λo:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x y)) (l_e_st_eq_landau_n_rt_rp_3132_v0 ksi a0 x0 lx y0 uy u m o) (l_e_st_eq_landau_n_rt_rp_3132_t30 ksi a0 x0 lx y0 uy u m o) : l_e_st_eq_landau_n_rt_rp_3132_prop4 ksi a0).

(* constant 2210 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t32 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λu:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_min (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) a0))) u.(l_orapp (l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_3132_prop4 ksi a0) (l_e_st_eq_landau_n_satz24 u) (λt:l_e_st_eq_landau_n_more u l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_3132_t31 ksi a0 x0 lx y0 uy u m t) (λt:l_e_st_eq_landau_n_is u l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_3132_t16 ksi a0 x0 lx y0 uy u m t) : l_e_st_eq_landau_n_rt_rp_3132_prop4 ksi a0).

(* constant 2211 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t34 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.(l_someapp l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn y) a0))) x) (l_e_st_eq_landau_n_satz27 (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn y) a0))) (l_e_st_eq_landau_n_rt_rp_3132_t7 ksi a0 x0 lx y0 uy)) (l_e_st_eq_landau_n_rt_rp_3132_prop4 ksi a0) (λx:l_e_st_eq_landau_n_nat.λt:l_e_st_eq_landau_n_min (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn y) a0))) x.l_e_st_eq_landau_n_rt_rp_3132_t32 ksi a0 x0 lx y0 uy x t) : l_e_st_eq_landau_n_rt_rp_3132_prop4 ksi a0).

(* constant 2212 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t35 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_e_st_eq_landau_n_rt_cutapp1b ksi (l_e_st_eq_landau_n_rt_rp_3132_prop4 ksi a0) (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi y.l_e_st_eq_landau_n_rt_rp_3132_t34 ksi a0 x0 lx y t) : l_e_st_eq_landau_n_rt_rp_3132_prop4 ksi a0).

(* constant 2213 *)
definition l_e_st_eq_landau_n_rt_rp_satz132 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λa0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_cutapp1a ksi (l_e_st_eq_landau_n_rt_rp_3132_prop4 ksi a0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.l_e_st_eq_landau_n_rt_rp_3132_t35 ksi a0 x t) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_and (l_e_st_eq_landau_n_rt_lrt ksi x) (l_e_st_eq_landau_n_rt_urt ksi y)) (∀t:l_and (l_e_st_eq_landau_n_rt_lrt ksi x) (l_e_st_eq_landau_n_rt_urt ksi y).l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b ksi x (l_ande1 (l_e_st_eq_landau_n_rt_lrt ksi x) (l_e_st_eq_landau_n_rt_urt ksi y) t) y (l_ande2 (l_e_st_eq_landau_n_rt_lrt ksi x) (l_e_st_eq_landau_n_rt_urt ksi y) t))) a0)))).

(* constant 2214 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t36 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λp:Prop.λa0:l_e_st_eq_landau_n_rt_rat.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b ksi x t y u)) a0.p.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λp3:l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y0.(l_ande1 (l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 y0) (∀t:l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 y0.l_e_st_eq_landau_n_rt_rp_3132_prop2 ksi a0 x0 y0 t) p3 : l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 y0).

(* constant 2215 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t37 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λp:Prop.λa0:l_e_st_eq_landau_n_rt_rat.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b ksi x t y u)) a0.p.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λp3:l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y0.(l_r_ande2 (l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 y0) (λt:l_e_st_eq_landau_n_rt_rp_3132_prop1 ksi a0 x0 y0.l_e_st_eq_landau_n_rt_rp_3132_prop2 ksi a0 x0 y0 t) p3 : l_e_st_eq_landau_n_rt_rp_3132_prop2 ksi a0 x0 y0 (l_e_st_eq_landau_n_rt_rp_3132_t36 ksi p a0 p1 x0 s y0 p3)).

(* constant 2216 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t38 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λp:Prop.λa0:l_e_st_eq_landau_n_rt_rat.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b ksi x t y u)) a0.p.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λp3:l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y0.(l_ande1 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt ksi y0) (l_e_st_eq_landau_n_rt_rp_3132_t36 ksi p a0 p1 x0 s y0 p3) : l_e_st_eq_landau_n_rt_lrt ksi x0).

(* constant 2217 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t39 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λp:Prop.λa0:l_e_st_eq_landau_n_rt_rat.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b ksi x t y u)) a0.p.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λp3:l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y0.(l_ande2 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt ksi y0) (l_e_st_eq_landau_n_rt_rp_3132_t36 ksi p a0 p1 x0 s y0 p3) : l_e_st_eq_landau_n_rt_urt ksi y0).

(* constant 2218 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t40 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λp:Prop.λa0:l_e_st_eq_landau_n_rt_rat.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b ksi x t y u)) a0.p.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λp3:l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y0.(l_e_st_eq_landau_n_rt_satz101g y0 x0 (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_cutapp2b ksi x0 (l_e_st_eq_landau_n_rt_rp_3132_t38 ksi p a0 p1 x0 s y0 p3) y0 (l_e_st_eq_landau_n_rt_rp_3132_t39 ksi p a0 p1 x0 s y0 p3))) (l_e_st_eq_landau_n_rt_rp_3132_t1 ksi a0 x0 y0 (l_e_st_eq_landau_n_rt_rp_3132_t36 ksi p a0 p1 x0 s y0 p3)) (l_e_st_eq_landau_n_rt_satz101c y0 x0 (l_e_st_eq_landau_n_rt_cutapp2b ksi x0 (l_e_st_eq_landau_n_rt_rp_3132_t38 ksi p a0 p1 x0 s y0 p3) y0 (l_e_st_eq_landau_n_rt_rp_3132_t39 ksi p a0 p1 x0 s y0 p3))) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_cutapp2b ksi x0 (l_e_st_eq_landau_n_rt_rp_3132_t38 ksi p a0 p1 x0 s y0 p3) y0 (l_e_st_eq_landau_n_rt_rp_3132_t39 ksi p a0 p1 x0 s y0 p3))) (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t1 ksi a0 x0 y0 (l_e_st_eq_landau_n_rt_rp_3132_t36 ksi p a0 p1 x0 s y0 p3)))).

(* constant 2219 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t41 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λp:Prop.λa0:l_e_st_eq_landau_n_rt_rat.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b ksi x t y u)) a0.p.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λp3:l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y0.(l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_cutapp2b ksi x0 (l_e_st_eq_landau_n_rt_rp_3132_t38 ksi p a0 p1 x0 s y0 p3) y0 (l_e_st_eq_landau_n_rt_rp_3132_t39 ksi p a0 p1 x0 s y0 p3))) (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_3132_t1 ksi a0 x0 y0 (l_e_st_eq_landau_n_rt_rp_3132_t36 ksi p a0 p1 x0 s y0 p3))) a0 (l_e_st_eq_landau_n_rt_rp_3132_t40 ksi p a0 p1 x0 s y0 p3) (l_e_st_eq_landau_n_rt_rp_3132_t37 ksi p a0 p1 x0 s y0 p3) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_cutapp2b ksi x0 (l_e_st_eq_landau_n_rt_rp_3132_t38 ksi p a0 p1 x0 s y0 p3) y0 (l_e_st_eq_landau_n_rt_rp_3132_t39 ksi p a0 p1 x0 s y0 p3))) a0).

(* constant 2220 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t42 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λp:Prop.λa0:l_e_st_eq_landau_n_rt_rat.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b ksi x t y u)) a0.p.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λp3:l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y0.(p1 x0 (l_e_st_eq_landau_n_rt_rp_3132_t38 ksi p a0 p1 x0 s y0 p3) y0 (l_e_st_eq_landau_n_rt_rp_3132_t39 ksi p a0 p1 x0 s y0 p3) (l_e_st_eq_landau_n_rt_rp_3132_t41 ksi p a0 p1 x0 s y0 p3) : p).

(* constant 2221 *)
definition l_e_st_eq_landau_n_rt_rp_3132_t43 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λp:Prop.λa0:l_e_st_eq_landau_n_rt_rat.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b ksi x t y u)) a0.p.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y).(l_someapp l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y) s p (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x0 y.l_e_st_eq_landau_n_rt_rp_3132_t42 ksi p a0 p1 x0 s y t) : p).

(* constant 2222 *)
definition l_e_st_eq_landau_n_rt_rp_satz132app ≝ λksi:l_e_st_eq_landau_n_rt_cut.λp:Prop.λa0:l_e_st_eq_landau_n_rt_rat.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b ksi x t y u)) a0.p.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x y)) (l_e_st_eq_landau_n_rt_rp_satz132 ksi a0) p (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_3132_prop3 ksi a0 x y).l_e_st_eq_landau_n_rt_rp_3132_t43 ksi p a0 p1 x t) : p).

(* constant 2223 *)
definition l_e_st_eq_landau_n_rt_rp_3133_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λu0:l_e_st_eq_landau_n_rt_rat.λuu:l_e_st_eq_landau_n_rt_urt ksi u0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn u0 x0 (l_e_st_eq_landau_n_rt_cutapp2b ksi x0 lx u0 uu)) y0.(l_e_tris l_e_st_eq_landau_n_rt_rat u0 (l_e_st_eq_landau_n_rt_pl x0 (l_e_st_eq_landau_n_rt_mn u0 x0 (l_e_st_eq_landau_n_rt_cutapp2b ksi x0 lx u0 uu))) (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_satz101d u0 x0 (l_e_st_eq_landau_n_rt_cutapp2b ksi x0 lx u0 uu)) (l_e_st_eq_landau_n_rt_ispl2 (l_e_st_eq_landau_n_rt_mn u0 x0 (l_e_st_eq_landau_n_rt_cutapp2b ksi x0 lx u0 uu)) y0 x0 i) : l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x0 y0)).

(* constant 2224 *)
definition l_e_st_eq_landau_n_rt_rp_3133_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λu0:l_e_st_eq_landau_n_rt_rat.λuu:l_e_st_eq_landau_n_rt_urt ksi u0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn u0 x0 (l_e_st_eq_landau_n_rt_cutapp2b ksi x0 lx u0 uu)) y0.(l_e_st_eq_landau_n_rt_rp_lrtpl ksi eta u0 x0 lx y0 ly (l_e_st_eq_landau_n_rt_rp_3133_t1 ksi eta y0 ly x0 lx u0 uu i) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) u0).

(* constant 2225 *)
definition l_e_st_eq_landau_n_rt_rp_3133_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λu0:l_e_st_eq_landau_n_rt_rat.λuu:l_e_st_eq_landau_n_rt_urt ksi u0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn u0 x0 (l_e_st_eq_landau_n_rt_cutapp2b ksi x0 lx u0 uu)) y0.(l_andi (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) u0) (l_e_st_eq_landau_n_rt_urt ksi u0) (l_e_st_eq_landau_n_rt_rp_3133_t2 ksi eta y0 ly x0 lx u0 uu i) uu : l_and (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) u0) (l_e_st_eq_landau_n_rt_urt ksi u0)).

(* constant 2226 *)
definition l_e_st_eq_landau_n_rt_rp_3133_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λu0:l_e_st_eq_landau_n_rt_rat.λuu:l_e_st_eq_landau_n_rt_urt ksi u0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn u0 x0 (l_e_st_eq_landau_n_rt_cutapp2b ksi x0 lx u0 uu)) y0.(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi eta) x) (l_e_st_eq_landau_n_rt_urt ksi x)) u0 (l_e_st_eq_landau_n_rt_rp_3133_t3 ksi eta y0 ly x0 lx u0 uu i) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi eta) ksi).

(* constant 2227 *)
definition l_e_st_eq_landau_n_rt_rp_3133_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.(l_e_st_eq_landau_n_rt_rp_satz132app ksi (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi eta) ksi) y0 (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_urt ksi y.λv:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b ksi x t y u)) y0.l_e_st_eq_landau_n_rt_rp_3133_t4 ksi eta y0 ly x t y u v) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi eta) ksi).

(* constant 2228 *)
definition l_e_st_eq_landau_n_rt_rp_satz133 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_cutapp1a eta (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi eta) ksi) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt eta x.l_e_st_eq_landau_n_rt_rp_3133_t5 ksi eta x t) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi eta) ksi).

(* constant 2229 *)
definition l_e_st_eq_landau_n_rt_rp_satz133a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_pl ksi eta) ksi (l_e_st_eq_landau_n_rt_rp_satz133 ksi eta) : l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_pl ksi eta)).

(* constant 2230 *)
definition l_e_st_eq_landau_n_rt_rp_3134_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_e_st_eq_landau_n_rt_rp_satz119a eta y0 uy x0 l : l_e_st_eq_landau_n_rt_urt eta x0).

(* constant 2231 *)
definition l_e_st_eq_landau_n_rt_rp_3134_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_e_st_eq_landau_n_rt_satz83 y0 x0 l : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 2232 *)
definition l_e_st_eq_landau_n_rt_rp_3134_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt zeta u0.λz0:l_e_st_eq_landau_n_rt_rat.λuz:l_e_st_eq_landau_n_rt_urt zeta z0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn z0 u0 (l_e_st_eq_landau_n_rt_cutapp2b zeta u0 lu z0 uz)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)).(l_e_tris l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn z0 u0 (l_e_st_eq_landau_n_rt_cutapp2b zeta u0 lu z0 uz)) u0) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)) u0) (l_e_st_eq_landau_n_rt_satz101f z0 u0 (l_e_st_eq_landau_n_rt_cutapp2b zeta u0 lu z0 uz)) (l_e_st_eq_landau_n_rt_ispl1 (l_e_st_eq_landau_n_rt_mn z0 u0 (l_e_st_eq_landau_n_rt_cutapp2b zeta u0 lu z0 uz)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)) u0 i) : l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)) u0)).

(* constant 2233 *)
definition l_e_st_eq_landau_n_rt_rp_3134_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt zeta u0.λz0:l_e_st_eq_landau_n_rt_rat.λuz:l_e_st_eq_landau_n_rt_urt zeta z0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn z0 u0 (l_e_st_eq_landau_n_rt_cutapp2b zeta u0 lu z0 uz)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)).(l_e_tr3is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_rt_pl y0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)) u0)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl y0 (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l))) u0) (l_e_st_eq_landau_n_rt_pl x0 u0) (l_e_st_eq_landau_n_rt_ispl2 z0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)) u0) y0 (l_e_st_eq_landau_n_rt_rp_3134_t3 ksi eta zeta m y0 ly uy x0 lx l u0 lu z0 uz i)) (l_e_st_eq_landau_n_rt_asspl2 y0 (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)) u0) (l_e_st_eq_landau_n_rt_ispl1 (l_e_st_eq_landau_n_rt_pl y0 (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l))) x0 u0 (l_e_st_eq_landau_n_rt_satz101c x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l))) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_rt_pl x0 u0)).

(* constant 2234 *)
definition l_e_st_eq_landau_n_rt_rp_3134_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt zeta u0.λz0:l_e_st_eq_landau_n_rt_rat.λuz:l_e_st_eq_landau_n_rt_urt zeta z0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn z0 u0 (l_e_st_eq_landau_n_rt_cutapp2b zeta u0 lu z0 uz)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)).(l_e_st_eq_landau_n_rt_rp_lrtpl ksi zeta (l_e_st_eq_landau_n_rt_pl y0 z0) x0 lx u0 lu (l_e_st_eq_landau_n_rt_rp_3134_t4 ksi eta zeta m y0 ly uy x0 lx l u0 lu z0 uz i) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 2235 *)
definition l_e_st_eq_landau_n_rt_rp_3134_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt zeta u0.λz0:l_e_st_eq_landau_n_rt_rat.λuz:l_e_st_eq_landau_n_rt_urt zeta z0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn z0 u0 (l_e_st_eq_landau_n_rt_cutapp2b zeta u0 lu z0 uz)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)).(l_e_st_eq_landau_n_rt_rp_urtpl eta zeta (l_e_st_eq_landau_n_rt_pl y0 z0) y0 uy z0 uz (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl y0 z0)) : l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 2236 *)
definition l_e_st_eq_landau_n_rt_rp_3134_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt zeta u0.λz0:l_e_st_eq_landau_n_rt_rat.λuz:l_e_st_eq_landau_n_rt_urt zeta z0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn z0 u0 (l_e_st_eq_landau_n_rt_cutapp2b zeta u0 lu z0 uz)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)).(l_andi (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_rp_3134_t5 ksi eta zeta m y0 ly uy x0 lx l u0 lu z0 uz i) (l_e_st_eq_landau_n_rt_rp_3134_t6 ksi eta zeta m y0 ly uy x0 lx l u0 lu z0 uz i) : l_and (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_pl y0 z0))).

(* constant 2237 *)
definition l_e_st_eq_landau_n_rt_rp_3134_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt zeta u0.λz0:l_e_st_eq_landau_n_rt_rat.λuz:l_e_st_eq_landau_n_rt_urt zeta z0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn z0 u0 (l_e_st_eq_landau_n_rt_cutapp2b zeta u0 lu z0 uz)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)).(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) x) (l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) x)) (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_rt_rp_3134_t7 ksi eta zeta m y0 ly uy x0 lx l u0 lu z0 uz i) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)).

(* constant 2238 *)
definition l_e_st_eq_landau_n_rt_rp_3134_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_e_st_eq_landau_n_rt_rp_satz132app zeta (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt zeta x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_urt zeta y.λv:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b zeta x t y u)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta zeta m y0 ly uy x0 lx l)).l_e_st_eq_landau_n_rt_rp_3134_t8 ksi eta zeta m y0 ly uy x0 lx l x t y u v) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)).

(* constant 2239 *)
definition l_e_st_eq_landau_n_rt_rp_3134_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.(l_e_st_eq_landau_n_rt_cutapp3 ksi y0 ly (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λu:l_e_st_eq_landau_n_rt_less y0 x.l_e_st_eq_landau_n_rt_rp_3134_t9 ksi eta zeta m y0 ly uy x t u) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)).

(* constant 2240 *)
definition l_e_st_eq_landau_n_rt_rp_satz134 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_moreapp ksi eta m (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λu:l_e_st_eq_landau_n_rt_urt eta x.l_e_st_eq_landau_n_rt_rp_3134_t10 ksi eta zeta m x t u) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)).

(* constant 2241 *)
definition l_e_st_eq_landau_n_rt_rp_satz135a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_satz134 ksi eta zeta m : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)).

(* constant 2242 *)
definition l_e_st_eq_landau_n_rt_rp_satz135b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_st_eq_landau_n_rt_rp_ispl1 ksi eta zeta i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)).

(* constant 2243 *)
definition l_e_st_eq_landau_n_rt_rp_satz135c ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_satz134 eta ksi zeta (l_e_st_eq_landau_n_rt_rp_satz122 ksi eta l)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)).

(* constant 2244 *)
definition l_e_st_eq_landau_n_rt_rp_satz135d ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_rp_pl zeta eta) (l_e_st_eq_landau_n_rt_rp_compl ksi zeta) (l_e_st_eq_landau_n_rt_rp_compl eta zeta) (l_e_st_eq_landau_n_rt_rp_satz135a ksi eta zeta m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl zeta eta)).

(* constant 2245 *)
definition l_e_st_eq_landau_n_rt_rp_satz135e ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_st_eq_landau_n_rt_rp_ispl2 ksi eta zeta i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl zeta eta)).

(* constant 2246 *)
definition l_e_st_eq_landau_n_rt_rp_satz135f ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_rp_pl zeta eta) (l_e_st_eq_landau_n_rt_rp_compl ksi zeta) (l_e_st_eq_landau_n_rt_rp_compl eta zeta) (l_e_st_eq_landau_n_rt_rp_satz135c ksi eta zeta l) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl zeta eta)).

(* constant 2247 *)
definition l_e_st_eq_landau_n_rt_rp_satz135g ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λm:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_e_st_eq_landau_n_rt_rp_ismore2 (l_e_st_eq_landau_n_rt_rp_pl ksi upsilon) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_ispl1 ksi eta upsilon i) (l_e_st_eq_landau_n_rt_rp_satz135d zeta upsilon ksi m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2248 *)
definition l_e_st_eq_landau_n_rt_rp_satz135h ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λm:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_pl upsilon eta) (l_e_st_eq_landau_n_rt_rp_compl ksi zeta) (l_e_st_eq_landau_n_rt_rp_compl eta upsilon) (l_e_st_eq_landau_n_rt_rp_satz135g ksi eta zeta upsilon i m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl upsilon eta)).

(* constant 2249 *)
definition l_e_st_eq_landau_n_rt_rp_satz135j ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λl:l_e_st_eq_landau_n_rt_rp_less zeta upsilon.(l_e_st_eq_landau_n_rt_rp_isless2 (l_e_st_eq_landau_n_rt_rp_pl ksi upsilon) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_ispl1 ksi eta upsilon i) (l_e_st_eq_landau_n_rt_rp_satz135f zeta upsilon ksi l) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2250 *)
definition l_e_st_eq_landau_n_rt_rp_satz135k ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λl:l_e_st_eq_landau_n_rt_rp_less zeta upsilon.(l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_pl upsilon eta) (l_e_st_eq_landau_n_rt_rp_compl ksi zeta) (l_e_st_eq_landau_n_rt_rp_compl eta upsilon) (l_e_st_eq_landau_n_rt_rp_satz135j ksi eta zeta upsilon i l) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl upsilon eta)).

(* constant 2251 *)
definition l_e_st_eq_landau_n_rt_rp_3136_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_satz123a ksi eta : l_or3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2252 *)
definition l_e_st_eq_landau_n_rt_rp_3136_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_satz123b (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta) : l_ec3 (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta))).

(* constant 2253 *)
definition l_e_st_eq_landau_n_rt_rp_satz136a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta).(l_ec3_th11 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_3136_t1 ksi eta zeta) (l_e_st_eq_landau_n_rt_rp_3136_t2 ksi eta zeta) (λu:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_satz135b ksi eta zeta u) (λu:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_satz135a ksi eta zeta u) (λu:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_satz135c ksi eta zeta u) m : l_e_st_eq_landau_n_rt_rp_more ksi eta).

(* constant 2254 *)
definition l_e_st_eq_landau_n_rt_rp_satz136b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta).(l_ec3_th10 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_3136_t1 ksi eta zeta) (l_e_st_eq_landau_n_rt_rp_3136_t2 ksi eta zeta) (λu:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_satz135b ksi eta zeta u) (λu:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_satz135a ksi eta zeta u) (λu:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_satz135c ksi eta zeta u) i : l_e_st_eq_landau_n_rt_rp_is ksi eta).

(* constant 2255 *)
definition l_e_st_eq_landau_n_rt_rp_satz136c ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta).(l_ec3_th12 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_3136_t1 ksi eta zeta) (l_e_st_eq_landau_n_rt_rp_3136_t2 ksi eta zeta) (λu:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_satz135b ksi eta zeta u) (λu:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_satz135a ksi eta zeta u) (λu:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_satz135c ksi eta zeta u) l : l_e_st_eq_landau_n_rt_rp_less ksi eta).

(* constant 2256 *)
definition l_e_st_eq_landau_n_rt_rp_satz136d ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl zeta eta).(l_e_st_eq_landau_n_rt_rp_satz136a ksi eta zeta (l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl zeta eta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_rp_compl zeta ksi) (l_e_st_eq_landau_n_rt_rp_compl zeta eta) m) : l_e_st_eq_landau_n_rt_rp_more ksi eta).

(* constant 2257 *)
definition l_e_st_eq_landau_n_rt_rp_satz136e ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl zeta eta).(l_e_st_eq_landau_n_rt_rp_satz136b ksi eta zeta (l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl zeta eta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_rp_compl ksi zeta) i (l_e_st_eq_landau_n_rt_rp_compl zeta eta)) : l_e_st_eq_landau_n_rt_rp_is ksi eta).

(* constant 2258 *)
definition l_e_st_eq_landau_n_rt_rp_satz136f ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl zeta eta).(l_e_st_eq_landau_n_rt_rp_satz136c ksi eta zeta (l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_pl zeta ksi) (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl zeta eta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_rp_compl zeta ksi) (l_e_st_eq_landau_n_rt_rp_compl zeta eta) l) : l_e_st_eq_landau_n_rt_rp_less ksi eta).

(* constant 2259 *)
definition l_e_st_eq_landau_n_rt_rp_3137_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λn:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_e_st_eq_landau_n_rt_rp_satz134 ksi eta zeta m : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta)).

(* constant 2260 *)
definition l_e_st_eq_landau_n_rt_rp_3137_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λn:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl zeta eta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_rp_pl upsilon eta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_compl zeta eta) (l_e_st_eq_landau_n_rt_rp_compl upsilon eta) (l_e_st_eq_landau_n_rt_rp_satz134 zeta upsilon eta n) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2261 *)
definition l_e_st_eq_landau_n_rt_rp_satz137 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λn:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_e_st_eq_landau_n_rt_rp_trmore (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_3137_t1 ksi eta zeta upsilon m n) (l_e_st_eq_landau_n_rt_rp_3137_t2 ksi eta zeta upsilon m n) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2262 *)
definition l_e_st_eq_landau_n_rt_rp_satz137a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λk:l_e_st_eq_landau_n_rt_rp_less zeta upsilon.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_satz137 eta ksi upsilon zeta (l_e_st_eq_landau_n_rt_rp_satz122 ksi eta l) (l_e_st_eq_landau_n_rt_rp_satz122 zeta upsilon k)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2263 *)
definition l_e_st_eq_landau_n_rt_rp_satz138a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_orapp (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)) m (λt:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_satz137 ksi eta zeta upsilon t n) (λt:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_satz135g ksi eta zeta upsilon t n) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2264 *)
definition l_e_st_eq_landau_n_rt_rp_satz138b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis zeta upsilon.(l_orapp (l_e_st_eq_landau_n_rt_rp_more zeta upsilon) (l_e_st_eq_landau_n_rt_rp_is zeta upsilon) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)) n (λt:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.l_e_st_eq_landau_n_rt_rp_satz137 ksi eta zeta upsilon m t) (λt:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.l_e_st_eq_landau_n_rt_rp_satz135h zeta upsilon ksi eta t m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2265 *)
definition l_e_st_eq_landau_n_rt_rp_satz138c ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λk:l_e_st_eq_landau_n_rt_rp_less zeta upsilon.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_satz138a eta ksi upsilon zeta (l_e_st_eq_landau_n_rt_rp_satz125 ksi eta l) (l_e_st_eq_landau_n_rt_rp_satz122 zeta upsilon k)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2266 *)
definition l_e_st_eq_landau_n_rt_rp_satz138d ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λk:l_e_st_eq_landau_n_rt_rp_lessis zeta upsilon.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_satz138b eta ksi upsilon zeta (l_e_st_eq_landau_n_rt_rp_satz122 ksi eta l) (l_e_st_eq_landau_n_rt_rp_satz125 zeta upsilon k)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2267 *)
definition l_e_st_eq_landau_n_rt_rp_3139_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis zeta upsilon.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.(l_e_st_eq_landau_n_rt_rp_moreisi2 (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_ispl12 ksi eta zeta upsilon i j) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2268 *)
definition l_e_st_eq_landau_n_rt_rp_3139_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis zeta upsilon.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λo:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_e_st_eq_landau_n_rt_rp_moreisi1 (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_satz138a ksi eta zeta upsilon m o) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2269 *)
definition l_e_st_eq_landau_n_rt_rp_3139_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis zeta upsilon.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_orapp (l_e_st_eq_landau_n_rt_rp_more zeta upsilon) (l_e_st_eq_landau_n_rt_rp_is zeta upsilon) (l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)) n (λt:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.l_e_st_eq_landau_n_rt_rp_3139_t2 ksi eta zeta upsilon m n i t) (λt:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.l_e_st_eq_landau_n_rt_rp_3139_t1 ksi eta zeta upsilon m n i t) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2270 *)
definition l_e_st_eq_landau_n_rt_rp_3139_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis zeta upsilon.λo:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_moreisi1 (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_satz138b ksi eta zeta upsilon o n) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2271 *)
definition l_e_st_eq_landau_n_rt_rp_satz139 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis zeta upsilon.(l_orapp (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)) m (λt:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_3139_t4 ksi eta zeta upsilon m n t) (λt:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_3139_t3 ksi eta zeta upsilon m n t) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2272 *)
definition l_e_st_eq_landau_n_rt_rp_satz139a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λk:l_e_st_eq_landau_n_rt_rp_lessis zeta upsilon.(l_e_st_eq_landau_n_rt_rp_satz124 (l_e_st_eq_landau_n_rt_rp_pl eta upsilon) (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_satz139 eta ksi upsilon zeta (l_e_st_eq_landau_n_rt_rp_satz125 ksi eta l) (l_e_st_eq_landau_n_rt_rp_satz125 zeta upsilon k)) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_pl ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl eta upsilon)).

(* constant 2273 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λphi:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta phi) ksi.(l_e_st_eq_landau_n_rt_rp_ismore1 (l_e_st_eq_landau_n_rt_rp_pl eta phi) ksi eta i (l_e_st_eq_landau_n_rt_rp_satz133 eta phi) : l_e_st_eq_landau_n_rt_rp_more ksi eta).

(* constant 2274 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λphi:l_e_st_eq_landau_n_rt_cut.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta phi) ksi) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_satz123d ksi eta l) (λt:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta phi) ksi.l_e_st_eq_landau_n_rt_rp_3140_t1 ksi eta l phi t) : l_e_st_eq_landau_n_rt_rp_nis (l_e_st_eq_landau_n_rt_rp_pl eta phi) ksi).

(* constant 2275 *)
definition l_e_st_eq_landau_n_rt_rp_vorbemerkung140 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.(l_some_th5 l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta a) ksi) (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_3140_t2 ksi eta l a) : l_not (l_e_st_eq_landau_n_rt_rp_some (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta a) ksi))).

(* constant 2276 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more phi psi.(l_e_st_eq_landau_n_rt_rp_satz135d phi psi eta m : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)).

(* constant 2277 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more phi psi.(l_ec3e21 (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)) (l_e_st_eq_landau_n_rt_rp_satz123b (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)) (l_e_st_eq_landau_n_rt_rp_3140_t3 ksi eta phi psi m) : l_e_st_eq_landau_n_rt_rp_nis (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)).

(* constant 2278 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less phi psi.(l_e_st_eq_landau_n_rt_rp_satz135f phi psi eta l : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)).

(* constant 2279 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less phi psi.(l_ec3e31 (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)) (l_e_st_eq_landau_n_rt_rp_satz123b (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)) (l_e_st_eq_landau_n_rt_rp_3140_t5 ksi eta phi psi l) : l_e_st_eq_landau_n_rt_rp_nis (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)).

(* constant 2280 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_nis phi psi.(l_or3_th1 (l_e_st_eq_landau_n_rt_rp_is phi psi) (l_e_st_eq_landau_n_rt_rp_more phi psi) (l_e_st_eq_landau_n_rt_rp_less phi psi) (l_e_st_eq_landau_n_rt_rp_satz123a phi psi) n : l_or (l_e_st_eq_landau_n_rt_rp_more phi psi) (l_e_st_eq_landau_n_rt_rp_less phi psi)).

(* constant 2281 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_nis phi psi.(l_orapp (l_e_st_eq_landau_n_rt_rp_more phi psi) (l_e_st_eq_landau_n_rt_rp_less phi psi) (l_e_st_eq_landau_n_rt_rp_nis (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)) (l_e_st_eq_landau_n_rt_rp_3140_t7 ksi eta phi psi n) (λt:l_e_st_eq_landau_n_rt_rp_more phi psi.l_e_st_eq_landau_n_rt_rp_3140_t4 ksi eta phi psi t) (λt:l_e_st_eq_landau_n_rt_rp_less phi psi.l_e_st_eq_landau_n_rt_rp_3140_t6 ksi eta phi psi t) : l_e_st_eq_landau_n_rt_rp_nis (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)).

(* constant 2282 *)
definition l_e_st_eq_landau_n_rt_rp_satz140b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta phi) ksi.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta psi) ksi.(l_imp_th7 (l_e_st_eq_landau_n_rt_rp_is phi psi) (l_e_st_eq_landau_n_rt_rp_nis (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)) (l_weli (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi)) (l_e_tris2 l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl eta phi) (l_e_st_eq_landau_n_rt_rp_pl eta psi) ksi i j)) (λt:l_e_st_eq_landau_n_rt_rp_nis phi psi.l_e_st_eq_landau_n_rt_rp_3140_t8 ksi eta phi psi t) : l_e_st_eq_landau_n_rt_rp_is phi psi).

(* constant 2283 *)
definition l_e_st_eq_landau_n_rt_rp_diffprop1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_and (l_e_st_eq_landau_n_rt_more x0 y0) (∀t:l_e_st_eq_landau_n_rt_more x0 y0.l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 t)) : Prop).

(* constant 2284 *)
definition l_e_st_eq_landau_n_rt_rp_diffprop2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_and3 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt eta y0) (l_e_st_eq_landau_n_rt_rp_diffprop1 ksi eta z0 x0 y0) : Prop).

(* constant 2285 *)
definition l_e_st_eq_landau_n_rt_rp_diffprop ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x y)) : Prop).

(* constant 2286 *)
definition l_e_st_eq_landau_n_rt_rp_diff ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_setof l_e_st_eq_landau_n_rt_rat (λz:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop ksi eta z) : l_e_st_set l_e_st_eq_landau_n_rt_rat).

(* constant 2287 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t11a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λm:l_e_st_eq_landau_n_rt_more x0 y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 m).λm1:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_tris l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_mn x0 y0 m) (l_e_st_eq_landau_n_rt_mn x0 y0 m1) i (l_e_st_eq_landau_n_rt_satz101g x0 y0 (l_e_st_eq_landau_n_rt_mn x0 y0 m) m1 (l_e_st_eq_landau_n_rt_satz101c x0 y0 m)) : l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 m1)).

(* constant 2288 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λm:l_e_st_eq_landau_n_rt_more x0 y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 m).(l_andi (l_e_st_eq_landau_n_rt_more x0 y0) (∀t:l_e_st_eq_landau_n_rt_more x0 y0.l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 t)) m (λt:l_e_st_eq_landau_n_rt_more x0 y0.l_e_st_eq_landau_n_rt_rp_iii3_t11a ksi eta z0 x0 lx y0 uy m i t) : l_e_st_eq_landau_n_rt_rp_diffprop1 ksi eta z0 x0 y0).

(* constant 2289 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λm:l_e_st_eq_landau_n_rt_more x0 y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 m).(l_and3i (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt eta y0) (l_e_st_eq_landau_n_rt_rp_diffprop1 ksi eta z0 x0 y0) lx uy (l_e_st_eq_landau_n_rt_rp_iii3_t12 ksi eta z0 x0 lx y0 uy m i) : l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y0).

(* constant 2290 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λm:l_e_st_eq_landau_n_rt_more x0 y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 m).(l_somei l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y) y0 (l_e_st_eq_landau_n_rt_rp_iii3_t13 ksi eta z0 x0 lx y0 uy m i) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y)).

(* constant 2291 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t15 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λm:l_e_st_eq_landau_n_rt_more x0 y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 m).(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x y)) x0 (l_e_st_eq_landau_n_rt_rp_iii3_t14 ksi eta z0 x0 lx y0 uy m i) : l_e_st_eq_landau_n_rt_rp_diffprop ksi eta z0).

(* constant 2292 *)
definition l_e_st_eq_landau_n_rt_rp_diff1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λm:l_e_st_eq_landau_n_rt_more x0 y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 m).(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λz:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop ksi eta z) z0 (l_e_st_eq_landau_n_rt_rp_iii3_t15 ksi eta z0 x0 lx y0 uy m i) : l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta)).

(* constant 2293 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t16 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt eta y.∀v:l_e_st_eq_landau_n_rt_more x y.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x y v).p.(l_e_st_estie l_e_st_eq_landau_n_rt_rat (λz:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop ksi eta z) z0 i : l_e_st_eq_landau_n_rt_rp_diffprop ksi eta z0).

(* constant 2294 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t17 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt eta y.∀v:l_e_st_eq_landau_n_rt_more x y.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x y v).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y0.(l_and3e1 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt eta y0) (l_e_st_eq_landau_n_rt_rp_diffprop1 ksi eta z0 x0 y0) py : l_e_st_eq_landau_n_rt_lrt ksi x0).

(* constant 2295 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t18 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt eta y.∀v:l_e_st_eq_landau_n_rt_more x y.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x y v).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y0.(l_and3e2 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt eta y0) (l_e_st_eq_landau_n_rt_rp_diffprop1 ksi eta z0 x0 y0) py : l_e_st_eq_landau_n_rt_urt eta y0).

(* constant 2296 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t19 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt eta y.∀v:l_e_st_eq_landau_n_rt_more x y.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x y v).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y0.(l_and3e3 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_urt eta y0) (l_e_st_eq_landau_n_rt_rp_diffprop1 ksi eta z0 x0 y0) py : l_e_st_eq_landau_n_rt_rp_diffprop1 ksi eta z0 x0 y0).

(* constant 2297 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t20 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt eta y.∀v:l_e_st_eq_landau_n_rt_more x y.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x y v).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y0.(l_ande1 (l_e_st_eq_landau_n_rt_more x0 y0) (∀t:l_e_st_eq_landau_n_rt_more x0 y0.l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 t)) (l_e_st_eq_landau_n_rt_rp_iii3_t19 ksi eta z0 i p p1 x0 px y0 py) : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 2298 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t21 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt eta y.∀v:l_e_st_eq_landau_n_rt_more x y.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x y v).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y0.(l_r_ande2 (l_e_st_eq_landau_n_rt_more x0 y0) (λt:l_e_st_eq_landau_n_rt_more x0 y0.l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 t)) (l_e_st_eq_landau_n_rt_rp_iii3_t19 ksi eta z0 i p p1 x0 px y0 py) : l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_iii3_t20 ksi eta z0 i p p1 x0 px y0 py))).

(* constant 2299 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t22 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt eta y.∀v:l_e_st_eq_landau_n_rt_more x y.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x y v).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y0.(p1 x0 (l_e_st_eq_landau_n_rt_rp_iii3_t17 ksi eta z0 i p p1 x0 px y0 py) y0 (l_e_st_eq_landau_n_rt_rp_iii3_t18 ksi eta z0 i p p1 x0 px y0 py) (l_e_st_eq_landau_n_rt_rp_iii3_t20 ksi eta z0 i p p1 x0 px y0 py) (l_e_st_eq_landau_n_rt_rp_iii3_t21 ksi eta z0 i p p1 x0 px y0 py) : p).

(* constant 2300 *)
definition l_e_st_eq_landau_n_rt_rp_iii3_t23 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt eta y.∀v:l_e_st_eq_landau_n_rt_more x y.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x y v).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y).(l_someapp l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y) px p (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x0 y.l_e_st_eq_landau_n_rt_rp_iii3_t22 ksi eta z0 i p p1 x0 px y t) : p).

(* constant 2301 *)
definition l_e_st_eq_landau_n_rt_rp_diffapp ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt eta y.∀v:l_e_st_eq_landau_n_rt_more x y.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x y v).p.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x y)) (l_e_st_eq_landau_n_rt_rp_iii3_t16 ksi eta z0 i p p1) p (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_diffprop2 ksi eta z0 x y).l_e_st_eq_landau_n_rt_rp_iii3_t23 ksi eta z0 i p p1 x t) : p).

(* constant 2302 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_e_st_eq_landau_n_rt_rp_3134_t2 ksi eta eta m y0 ly uy x0 lx l : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 2303 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_e_st_eq_landau_n_rt_rp_diff1 ksi eta (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t9 ksi eta m y0 ly uy x0 lx l)) x0 lx y0 uy (l_e_st_eq_landau_n_rt_rp_3140_t9 ksi eta m y0 ly uy x0 lx l) (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t9 ksi eta m y0 ly uy x0 lx l))) : l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t9 ksi eta m y0 ly uy x0 lx l)) (l_e_st_eq_landau_n_rt_rp_diff ksi eta)).

(* constant 2304 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).(l_e_st_eq_landau_n_rt_isless12 (l_e_st_eq_landau_n_rt_mn x0 y0 n) z0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 n) y0) x0 (l_e_symis l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n) j) (l_e_st_eq_landau_n_rt_satz101e x0 y0 n) (l_e_st_eq_landau_n_rt_satz94a (l_e_st_eq_landau_n_rt_mn x0 y0 n) y0) : l_e_st_eq_landau_n_rt_less z0 x0).

(* constant 2305 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).(l_e_st_eq_landau_n_rt_trless z0 x0 x1 (l_e_st_eq_landau_n_rt_rp_3140_t11 ksi eta m x1 ux z0 i x0 lx y0 uy n j) (l_e_st_eq_landau_n_rt_cutapp2a ksi x0 lx x1 ux) : l_e_st_eq_landau_n_rt_less z0 x1).

(* constant 2306 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).(l_ec3e31 (l_e_st_eq_landau_n_rt_is z0 x1) (l_e_st_eq_landau_n_rt_more z0 x1) (l_e_st_eq_landau_n_rt_less z0 x1) (l_e_st_eq_landau_n_rt_satz81b z0 x1) (l_e_st_eq_landau_n_rt_rp_3140_t12 ksi eta m x1 ux z0 i x0 lx y0 uy n j) : l_e_st_eq_landau_n_rt_nis z0 x1).

(* constant 2307 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).(l_e_st_eq_landau_n_rt_rp_diffapp ksi eta z0 i (l_e_st_eq_landau_n_rt_nis z0 x1) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_urt eta y.λv:l_e_st_eq_landau_n_rt_more x y.λw:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x y v).l_e_st_eq_landau_n_rt_rp_3140_t13 ksi eta m x1 ux z0 i x t y u v w) : l_e_st_eq_landau_n_rt_nis z0 x1).

(* constant 2308 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t15 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.(l_imp_th3 (l_e_st_eq_landau_n_rt_in x1 (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (l_e_st_eq_landau_n_rt_nis x1 x1) (l_weli (l_e_st_eq_landau_n_rt_is x1 x1) (l_e_refis l_e_st_eq_landau_n_rt_rat x1)) (λt:l_e_st_eq_landau_n_rt_in x1 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).l_e_st_eq_landau_n_rt_rp_3140_t14 ksi eta m x1 ux x1 t) : l_not (l_e_st_eq_landau_n_rt_in x1 (l_e_st_eq_landau_n_rt_rp_diff ksi eta))).

(* constant 2309 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t16 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).(l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl z0 y0) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 n) y0) x0 (l_e_st_eq_landau_n_rt_ispl1 z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n) y0 j) (l_e_st_eq_landau_n_rt_satz101e x0 y0 n) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl z0 y0) x0).

(* constant 2310 *)
definition l_e_st_eq_landau_n_rt_rp_3140_x2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).(l_e_st_eq_landau_n_rt_pl u0 y0 : l_e_st_eq_landau_n_rt_rat).

(* constant 2311 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t17 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).(l_e_st_eq_landau_n_rt_isless2 (l_e_st_eq_landau_n_rt_pl z0 y0) x0 (l_e_st_eq_landau_n_rt_rp_3140_x2 ksi eta m z0 i u0 l x0 lx y0 uy n j) (l_e_st_eq_landau_n_rt_rp_3140_t16 ksi eta m z0 i u0 l x0 lx y0 uy n j) (l_e_st_eq_landau_n_rt_satz96c u0 z0 y0 l) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_rp_3140_x2 ksi eta m z0 i u0 l x0 lx y0 uy n j) x0).

(* constant 2312 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t18 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).(l_e_st_eq_landau_n_rt_rp_satz120 ksi x0 lx (l_e_st_eq_landau_n_rt_rp_3140_x2 ksi eta m z0 i u0 l x0 lx y0 uy n j) (l_e_st_eq_landau_n_rt_rp_3140_t17 ksi eta m z0 i u0 l x0 lx y0 uy n j) : l_e_st_eq_landau_n_rt_lrt ksi (l_e_st_eq_landau_n_rt_rp_3140_x2 ksi eta m z0 i u0 l x0 lx y0 uy n j)).

(* constant 2313 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t19 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).(l_e_st_eq_landau_n_rt_ismore1 (l_e_st_eq_landau_n_rt_pl y0 u0) (l_e_st_eq_landau_n_rt_pl u0 y0) y0 (l_e_st_eq_landau_n_rt_compl y0 u0) (l_e_st_eq_landau_n_rt_satz94 y0 u0) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rp_3140_x2 ksi eta m z0 i u0 l x0 lx y0 uy n j) y0).

(* constant 2314 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t20 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).(l_e_st_eq_landau_n_rt_satz101g (l_e_st_eq_landau_n_rt_rp_3140_x2 ksi eta m z0 i u0 l x0 lx y0 uy n j) y0 u0 (l_e_st_eq_landau_n_rt_rp_3140_t19 ksi eta m z0 i u0 l x0 lx y0 uy n j) (l_e_st_eq_landau_n_rt_compl y0 u0) : l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rp_3140_x2 ksi eta m z0 i u0 l x0 lx y0 uy n j) y0 (l_e_st_eq_landau_n_rt_rp_3140_t19 ksi eta m z0 i u0 l x0 lx y0 uy n j))).

(* constant 2315 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t21 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).(l_e_st_eq_landau_n_rt_rp_diff1 ksi eta u0 (l_e_st_eq_landau_n_rt_rp_3140_x2 ksi eta m z0 i u0 l x0 lx y0 uy n j) (l_e_st_eq_landau_n_rt_rp_3140_t18 ksi eta m z0 i u0 l x0 lx y0 uy n j) y0 uy (l_e_st_eq_landau_n_rt_rp_3140_t19 ksi eta m z0 i u0 l x0 lx y0 uy n j) (l_e_st_eq_landau_n_rt_rp_3140_t20 ksi eta m z0 i u0 l x0 lx y0 uy n j) : l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta)).

(* constant 2316 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t22 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.(l_e_st_eq_landau_n_rt_rp_diffapp ksi eta z0 i (l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_urt eta y.λv:l_e_st_eq_landau_n_rt_more x y.λw:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x y v).l_e_st_eq_landau_n_rt_rp_3140_t21 ksi eta m z0 i u0 l x t y u v w) : l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta)).

(* constant 2317 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t23 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).λx3:l_e_st_eq_landau_n_rt_rat.λlx3:l_e_st_eq_landau_n_rt_lrt ksi x3.λl:l_e_st_eq_landau_n_rt_less x0 x3.(l_e_st_eq_landau_n_rt_satz83 x0 x3 l : l_e_st_eq_landau_n_rt_more x3 x0).

(* constant 2318 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t24 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).λx3:l_e_st_eq_landau_n_rt_rat.λlx3:l_e_st_eq_landau_n_rt_lrt ksi x3.λl:l_e_st_eq_landau_n_rt_less x0 x3.(l_e_st_eq_landau_n_rt_trmore x3 x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t23 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l) n : l_e_st_eq_landau_n_rt_more x3 y0).

(* constant 2319 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t25 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).λx3:l_e_st_eq_landau_n_rt_rat.λlx3:l_e_st_eq_landau_n_rt_lrt ksi x3.λl:l_e_st_eq_landau_n_rt_less x0 x3.(l_e_st_eq_landau_n_rt_ismore12 x3 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) y0) x0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 n) y0) (l_e_st_eq_landau_n_rt_satz101f x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) (l_e_st_eq_landau_n_rt_satz101f x0 y0 n) (l_e_st_eq_landau_n_rt_rp_3140_t23 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) y0) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 n) y0)).

(* constant 2320 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t26 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).λx3:l_e_st_eq_landau_n_rt_rat.λlx3:l_e_st_eq_landau_n_rt_lrt ksi x3.λl:l_e_st_eq_landau_n_rt_less x0 x3.(l_e_st_eq_landau_n_rt_satz97a (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) (l_e_st_eq_landau_n_rt_mn x0 y0 n) y0 (l_e_st_eq_landau_n_rt_rp_3140_t25 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) (l_e_st_eq_landau_n_rt_mn x0 y0 n)).

(* constant 2321 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t27 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).λx3:l_e_st_eq_landau_n_rt_rat.λlx3:l_e_st_eq_landau_n_rt_lrt ksi x3.λl:l_e_st_eq_landau_n_rt_less x0 x3.(l_e_st_eq_landau_n_rt_ismore2 (l_e_st_eq_landau_n_rt_mn x0 y0 n) z0 (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) (l_e_symis l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n) j) (l_e_st_eq_landau_n_rt_rp_3140_t26 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) z0).

(* constant 2322 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t28 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).λx3:l_e_st_eq_landau_n_rt_rat.λlx3:l_e_st_eq_landau_n_rt_lrt ksi x3.λl:l_e_st_eq_landau_n_rt_less x0 x3.(l_e_st_eq_landau_n_rt_rp_diff1 ksi eta (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) x3 lx3 y0 uy (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l) (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l))) : l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) (l_e_st_eq_landau_n_rt_rp_diff ksi eta)).

(* constant 2323 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t29 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).λx3:l_e_st_eq_landau_n_rt_rat.λlx3:l_e_st_eq_landau_n_rt_lrt ksi x3.λl:l_e_st_eq_landau_n_rt_less x0 x3.(l_andi (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) z0) (l_e_st_eq_landau_n_rt_rp_3140_t28 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l) (l_e_st_eq_landau_n_rt_rp_3140_t27 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l) : l_and (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) z0)).

(* constant 2324 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t30 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).λx3:l_e_st_eq_landau_n_rt_rat.λlx3:l_e_st_eq_landau_n_rt_lrt ksi x3.λl:l_e_st_eq_landau_n_rt_less x0 x3.(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (l_e_st_eq_landau_n_rt_more x z0)) (l_e_st_eq_landau_n_rt_mn x3 y0 (l_e_st_eq_landau_n_rt_rp_3140_t24 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l)) (l_e_st_eq_landau_n_rt_rp_3140_t29 ksi eta m z0 i x0 lx y0 uy n j x3 lx3 l) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (l_e_st_eq_landau_n_rt_more x z0))).

(* constant 2325 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t31 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λn:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x0 y0 n).(l_e_st_eq_landau_n_rt_cutapp3 ksi x0 lx (l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (l_e_st_eq_landau_n_rt_more x z0))) (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi y.λu:l_e_st_eq_landau_n_rt_less x0 y.l_e_st_eq_landau_n_rt_rp_3140_t30 ksi eta m z0 i x0 lx y0 uy n j y t u) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (l_e_st_eq_landau_n_rt_more x z0))).

(* constant 2326 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t32 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_diff ksi eta).(l_e_st_eq_landau_n_rt_rp_diffapp ksi eta z0 i (l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (l_e_st_eq_landau_n_rt_more x z0))) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_urt eta y.λv:l_e_st_eq_landau_n_rt_more x y.λw:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_mn x y v).l_e_st_eq_landau_n_rt_rp_3140_t31 ksi eta m z0 i x t y u v w) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (l_e_st_eq_landau_n_rt_more x z0))).

(* constant 2327 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t33 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.(l_e_st_eq_landau_n_rt_cut2 (l_e_st_eq_landau_n_rt_rp_diff ksi eta) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t9 ksi eta m y0 ly uy x0 lx l)) (l_e_st_eq_landau_n_rt_rp_3140_t10 ksi eta m y0 ly uy x0 lx l) x1 (l_e_st_eq_landau_n_rt_rp_3140_t15 ksi eta m x1 ux1) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_diff ksi eta).λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_rp_3140_t22 ksi eta m x t y u) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_diff ksi eta).l_e_st_eq_landau_n_rt_rp_3140_t32 ksi eta m x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_diff ksi eta)).

(* constant 2328 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t34 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_e_st_eq_landau_n_rt_cutapp1b ksi (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.l_e_st_eq_landau_n_rt_rp_3140_t33 ksi eta m y0 ly uy x0 lx l x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_diff ksi eta)).

(* constant 2329 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t35 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.(l_e_st_eq_landau_n_rt_cutapp3 ksi y0 ly (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λu:l_e_st_eq_landau_n_rt_less y0 x.l_e_st_eq_landau_n_rt_rp_3140_t34 ksi eta m y0 ly uy x t u) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_diff ksi eta)).

(* constant 2330 *)
definition l_e_st_eq_landau_n_rt_rp_satz140h ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_moreapp ksi eta m (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_diff ksi eta)) (λx:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt ksi x.λv:l_e_st_eq_landau_n_rt_urt eta x.l_e_st_eq_landau_n_rt_rp_3140_t35 ksi eta m x u v) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_diff ksi eta)).

(* constant 2331 *)
definition l_e_st_eq_landau_n_rt_rp_3140_chi ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_cutof (l_e_st_eq_landau_n_rt_rp_diff ksi eta) (l_e_st_eq_landau_n_rt_rp_satz140h ksi eta m) : l_e_st_eq_landau_n_rt_cut).

(* constant 2332 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t36 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) z0.λy1:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y1.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl y1 u0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λo:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_mn x0 y0 o).(l_e_st_eq_landau_n_rt_cutapp2b eta y1 ly y0 uy : l_e_st_eq_landau_n_rt_more y0 y1).

(* constant 2333 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t37 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) z0.λy1:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y1.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl y1 u0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λo:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_mn x0 y0 o).(l_e_tr3is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 o) y1) (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t36 ksi eta m z0 lz y1 ly u0 lu i x0 lx y0 uy o j))) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 o) (l_e_st_eq_landau_n_rt_pl y1 (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t36 ksi eta m z0 lz y1 ly u0 lu i x0 lx y0 uy o j)))) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 o) y0) x0 (l_e_st_eq_landau_n_rt_asspl1 (l_e_st_eq_landau_n_rt_mn x0 y0 o) y1 (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t36 ksi eta m z0 lz y1 ly u0 lu i x0 lx y0 uy o j))) (l_e_st_eq_landau_n_rt_ispl2 (l_e_st_eq_landau_n_rt_pl y1 (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t36 ksi eta m z0 lz y1 ly u0 lu i x0 lx y0 uy o j))) y0 (l_e_st_eq_landau_n_rt_mn x0 y0 o) (l_e_st_eq_landau_n_rt_satz101c y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t36 ksi eta m z0 lz y1 ly u0 lu i x0 lx y0 uy o j))) (l_e_st_eq_landau_n_rt_satz101e x0 y0 o) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 o) y1) (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t36 ksi eta m z0 lz y1 ly u0 lu i x0 lx y0 uy o j))) x0).

(* constant 2334 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t38 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) z0.λy1:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y1.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl y1 u0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λo:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_mn x0 y0 o).(l_e_st_eq_landau_n_rt_isless2 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 o) y1) (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t36 ksi eta m z0 lz y1 ly u0 lu i x0 lx y0 uy o j))) x0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 o) y1) (l_e_st_eq_landau_n_rt_rp_3140_t37 ksi eta m z0 lz y1 ly u0 lu i x0 lx y0 uy o j) (l_e_st_eq_landau_n_rt_satz94a (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 o) y1) (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t36 ksi eta m z0 lz y1 ly u0 lu i x0 lx y0 uy o j))) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 o) y1) x0).

(* constant 2335 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t39 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) z0.λy1:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y1.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl y1 u0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λo:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_mn x0 y0 o).(l_e_tr3is l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_pl y1 u0) (l_e_st_eq_landau_n_rt_pl u0 y1) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 o) y1) i (l_e_st_eq_landau_n_rt_compl y1 u0) (l_e_st_eq_landau_n_rt_ispl1 u0 (l_e_st_eq_landau_n_rt_mn x0 y0 o) y1 j) : l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 o) y1)).

(* constant 2336 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t40 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) z0.λy1:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y1.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl y1 u0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λo:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_mn x0 y0 o).(l_e_st_eq_landau_n_rt_isless1 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 o) y1) z0 x0 (l_e_symis l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 o) y1) (l_e_st_eq_landau_n_rt_rp_3140_t39 ksi eta m z0 lz y1 ly u0 lu i x0 lx y0 uy o j)) (l_e_st_eq_landau_n_rt_rp_3140_t38 ksi eta m z0 lz y1 ly u0 lu i x0 lx y0 uy o j) : l_e_st_eq_landau_n_rt_less z0 x0).

(* constant 2337 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t41 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) z0.λy1:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y1.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl y1 u0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λo:l_e_st_eq_landau_n_rt_more x0 y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_mn x0 y0 o).(l_e_st_eq_landau_n_rt_rp_satz120 ksi x0 lx z0 (l_e_st_eq_landau_n_rt_rp_3140_t40 ksi eta m z0 lz y1 ly u0 lu i x0 lx y0 uy o j) : l_e_st_eq_landau_n_rt_lrt ksi z0).

(* constant 2338 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t42 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) z0.λy1:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y1.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl y1 u0).(l_e_st_eq_landau_n_rt_rp_diffapp ksi eta u0 (l_e_st_eq_landau_n_rt_rp_ini (l_e_st_eq_landau_n_rt_rp_diff ksi eta) (l_e_st_eq_landau_n_rt_rp_satz140h ksi eta m) u0 lu) (l_e_st_eq_landau_n_rt_lrt ksi z0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_urt eta y.λv:l_e_st_eq_landau_n_rt_more x y.λw:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_mn x y v).l_e_st_eq_landau_n_rt_rp_3140_t41 ksi eta m z0 lz y1 ly u0 lu i x t y u v w) : l_e_st_eq_landau_n_rt_lrt ksi z0).

(* constant 2339 *)
definition l_e_st_eq_landau_n_rt_rp_3140_a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) z0.(l_e_st_eq_landau_n_rt_rp_plapp eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m) z0 lz (l_e_st_eq_landau_n_rt_lrt ksi z0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt eta x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m) y.λv:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).l_e_st_eq_landau_n_rt_rp_3140_t42 ksi eta m z0 lz x t y u v) : l_e_st_eq_landau_n_rt_lrt ksi z0).

(* constant 2340 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t43 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_e_st_eq_landau_n_rt_satz83 y0 x0 l : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 2341 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t44 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λy1:l_e_st_eq_landau_n_rt_rat.λly1:l_e_st_eq_landau_n_rt_lrt eta y1.λy2:l_e_st_eq_landau_n_rt_rat.λuy2:l_e_st_eq_landau_n_rt_urt eta y2.(l_e_st_eq_landau_n_rt_cutapp2b eta y1 ly1 y2 uy2 : l_e_st_eq_landau_n_rt_more y2 y1).

(* constant 2342 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t45 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λy1:l_e_st_eq_landau_n_rt_rat.λly1:l_e_st_eq_landau_n_rt_lrt eta y1.λy2:l_e_st_eq_landau_n_rt_rat.λuy2:l_e_st_eq_landau_n_rt_urt eta y2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y2 y1 (l_e_st_eq_landau_n_rt_rp_3140_t44 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)).(l_e_st_eq_landau_n_rt_cutapp2b eta y1 ly1 y0 uy : l_e_st_eq_landau_n_rt_more y0 y1).

(* constant 2343 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t46 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λy1:l_e_st_eq_landau_n_rt_rat.λly1:l_e_st_eq_landau_n_rt_lrt eta y1.λy2:l_e_st_eq_landau_n_rt_rat.λuy2:l_e_st_eq_landau_n_rt_urt eta y2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y2 y1 (l_e_st_eq_landau_n_rt_rp_3140_t44 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)).(l_e_tris l_e_st_eq_landau_n_rt_rat y2 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn y2 y1 (l_e_st_eq_landau_n_rt_rp_3140_t44 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2)) y1) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)) y1) (l_e_st_eq_landau_n_rt_satz101f y2 y1 (l_e_st_eq_landau_n_rt_rp_3140_t44 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2)) (l_e_st_eq_landau_n_rt_ispl1 (l_e_st_eq_landau_n_rt_mn y2 y1 (l_e_st_eq_landau_n_rt_rp_3140_t44 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)) y1 i) : l_e_st_eq_landau_n_rt_is y2 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)) y1)).

(* constant 2344 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t47 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λy1:l_e_st_eq_landau_n_rt_rat.λly1:l_e_st_eq_landau_n_rt_lrt eta y1.λy2:l_e_st_eq_landau_n_rt_rat.λuy2:l_e_st_eq_landau_n_rt_urt eta y2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y2 y1 (l_e_st_eq_landau_n_rt_rp_3140_t44 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)).(l_e_tr4is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl y2 (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i))) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)) y1) (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i))) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)) (l_e_st_eq_landau_n_rt_pl y1 (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)))) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)) y0) x0 (l_e_st_eq_landau_n_rt_ispl1 y2 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)) y1) (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) (l_e_st_eq_landau_n_rt_rp_3140_t46 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) (l_e_st_eq_landau_n_rt_asspl1 (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)) y1 (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i))) (l_e_st_eq_landau_n_rt_ispl2 (l_e_st_eq_landau_n_rt_pl y1 (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i))) y0 (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)) (l_e_st_eq_landau_n_rt_satz101c y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i))) (l_e_st_eq_landau_n_rt_satz101e x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl y2 (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i))) x0).

(* constant 2345 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t48 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λy1:l_e_st_eq_landau_n_rt_rat.λly1:l_e_st_eq_landau_n_rt_lrt eta y1.λy2:l_e_st_eq_landau_n_rt_rat.λuy2:l_e_st_eq_landau_n_rt_urt eta y2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y2 y1 (l_e_st_eq_landau_n_rt_rp_3140_t44 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)).(l_e_st_eq_landau_n_rt_ismore1 (l_e_st_eq_landau_n_rt_pl y2 (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i))) x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t47 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i) (l_e_st_eq_landau_n_rt_satz94 y2 (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i))) : l_e_st_eq_landau_n_rt_more x0 y2).

(* constant 2346 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t49 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λy1:l_e_st_eq_landau_n_rt_rat.λly1:l_e_st_eq_landau_n_rt_lrt eta y1.λy2:l_e_st_eq_landau_n_rt_rat.λuy2:l_e_st_eq_landau_n_rt_urt eta y2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y2 y1 (l_e_st_eq_landau_n_rt_rp_3140_t44 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)).(l_e_st_eq_landau_n_rt_satz101g x0 y2 (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i) (l_e_st_eq_landau_n_rt_rp_3140_t47 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) (l_e_st_eq_landau_n_rt_mn x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i))).

(* constant 2347 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t50 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λy1:l_e_st_eq_landau_n_rt_rat.λly1:l_e_st_eq_landau_n_rt_lrt eta y1.λy2:l_e_st_eq_landau_n_rt_rat.λuy2:l_e_st_eq_landau_n_rt_urt eta y2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y2 y1 (l_e_st_eq_landau_n_rt_rp_3140_t44 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)).(l_e_tris l_e_st_eq_landau_n_rt_rat y0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) y1) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) y1) (l_e_st_eq_landau_n_rt_satz101f y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) (l_e_st_eq_landau_n_rt_ispl1 (l_e_st_eq_landau_n_rt_mn y0 y1 (l_e_st_eq_landau_n_rt_rp_3140_t45 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) (l_e_st_eq_landau_n_rt_mn x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) y1 (l_e_st_eq_landau_n_rt_rp_3140_t49 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) : l_e_st_eq_landau_n_rt_is y0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) y1)).

(* constant 2348 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t51 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λy1:l_e_st_eq_landau_n_rt_rat.λly1:l_e_st_eq_landau_n_rt_lrt eta y1.λy2:l_e_st_eq_landau_n_rt_rat.λuy2:l_e_st_eq_landau_n_rt_urt eta y2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y2 y1 (l_e_st_eq_landau_n_rt_rp_3140_t44 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)).(l_e_st_eq_landau_n_rt_rp_ine (l_e_st_eq_landau_n_rt_rp_diff ksi eta) (l_e_st_eq_landau_n_rt_rp_satz140h ksi eta m) (l_e_st_eq_landau_n_rt_mn x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) (l_e_st_eq_landau_n_rt_rp_diff1 ksi eta (l_e_st_eq_landau_n_rt_mn x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) x0 lx y2 uy2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i) (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_mn x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)))) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m) (l_e_st_eq_landau_n_rt_mn x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i))).

(* constant 2349 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t52 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λy1:l_e_st_eq_landau_n_rt_rat.λly1:l_e_st_eq_landau_n_rt_lrt eta y1.λy2:l_e_st_eq_landau_n_rt_rat.λuy2:l_e_st_eq_landau_n_rt_urt eta y2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y2 y1 (l_e_st_eq_landau_n_rt_rp_3140_t44 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)).(l_e_st_eq_landau_n_rt_rp_lrtpl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m) y0 y1 ly1 (l_e_st_eq_landau_n_rt_mn x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) (l_e_st_eq_landau_n_rt_rp_3140_t51 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i) (l_e_tris l_e_st_eq_landau_n_rt_rat y0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) y1) (l_e_st_eq_landau_n_rt_pl y1 (l_e_st_eq_landau_n_rt_mn x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i))) (l_e_st_eq_landau_n_rt_rp_3140_t50 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i) (l_e_st_eq_landau_n_rt_compl (l_e_st_eq_landau_n_rt_mn x0 y2 (l_e_st_eq_landau_n_rt_rp_3140_t48 ksi eta m y0 ly uy x0 lx l y1 ly1 y2 uy2 i)) y1)) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) y0).

(* constant 2350 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t53 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_e_st_eq_landau_n_rt_rp_satz132app eta (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) y0) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt eta x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_urt eta y.λv:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b eta x t y u)) (l_e_st_eq_landau_n_rt_mn x0 y0 (l_e_st_eq_landau_n_rt_rp_3140_t43 ksi eta m y0 ly uy x0 lx l)).l_e_st_eq_landau_n_rt_rp_3140_t52 ksi eta m y0 ly uy x0 lx l x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) y0).

(* constant 2351 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t54 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λuy:l_e_st_eq_landau_n_rt_urt eta y0.(l_e_st_eq_landau_n_rt_cutapp3 ksi y0 ly (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) y0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λu:l_e_st_eq_landau_n_rt_less y0 x.l_e_st_eq_landau_n_rt_rp_3140_t53 ksi eta m y0 ly uy x t u) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) y0).

(* constant 2352 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t55 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λly0:l_e_st_eq_landau_n_rt_lrt eta y0.λy1:l_e_st_eq_landau_n_rt_rat.λly1:l_e_st_eq_landau_n_rt_lrt ksi y1.λuy1:l_e_st_eq_landau_n_rt_urt eta y1.(l_e_st_eq_landau_n_rt_rp_3140_t54 ksi eta m y1 ly1 uy1 : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) y1).

(* constant 2353 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t56 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λly0:l_e_st_eq_landau_n_rt_lrt eta y0.λy1:l_e_st_eq_landau_n_rt_rat.λly1:l_e_st_eq_landau_n_rt_lrt ksi y1.λuy1:l_e_st_eq_landau_n_rt_urt eta y1.(l_e_st_eq_landau_n_rt_rp_satz120 (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) y1 (l_e_st_eq_landau_n_rt_rp_3140_t55 ksi eta m y0 ly ly0 y1 ly1 uy1) y0 (l_e_st_eq_landau_n_rt_cutapp2a eta y0 ly0 y1 uy1) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) y0).

(* constant 2354 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t57 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.λly0:l_e_st_eq_landau_n_rt_lrt eta y0.(l_e_st_eq_landau_n_rt_rp_moreapp ksi eta m (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) y0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λu:l_e_st_eq_landau_n_rt_urt eta x.l_e_st_eq_landau_n_rt_rp_3140_t56 ksi eta m y0 ly ly0 x t u) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) y0).

(* constant 2355 *)
definition l_e_st_eq_landau_n_rt_rp_3140_b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.(l_imp_th1 (l_e_st_eq_landau_n_rt_lrt eta y0) (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) y0) (λt:l_e_st_eq_landau_n_rt_lrt eta y0.l_e_st_eq_landau_n_rt_rp_3140_t57 ksi eta m y0 ly t) (λt:l_e_st_eq_landau_n_rt_urt eta y0.l_e_st_eq_landau_n_rt_rp_3140_t54 ksi eta m y0 ly t) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) y0).

(* constant 2356 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t58 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_isi1 (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) ksi (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) x.l_e_st_eq_landau_n_rt_rp_3140_a ksi eta m x t) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.l_e_st_eq_landau_n_rt_rp_3140_b ksi eta m x t) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m)) ksi).

(* constant 2357 *)
definition l_e_st_eq_landau_n_rt_rp_satz140a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_somei l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta a) ksi) (l_e_st_eq_landau_n_rt_rp_3140_chi ksi eta m) (l_e_st_eq_landau_n_rt_rp_3140_t58 ksi eta m) : l_e_st_eq_landau_n_rt_rp_some (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta a) ksi)).

(* constant 2358 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t59 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(λc:l_e_st_eq_landau_n_rt_cut.λd:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta c) ksi.λu:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta d) ksi.l_e_st_eq_landau_n_rt_rp_satz140b ksi eta c d t u : l_e_amone l_e_st_eq_landau_n_rt_cut (λc:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta c) ksi)).

(* constant 2359 *)
definition l_e_st_eq_landau_n_rt_rp_satz140 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_onei l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta a) ksi) (l_e_st_eq_landau_n_rt_rp_3140_t59 ksi eta) (l_e_st_eq_landau_n_rt_rp_satz140a ksi eta m) : l_e_st_eq_landau_n_rt_rp_one (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta a) ksi)).

(* constant 2360 *)
definition l_e_st_eq_landau_n_rt_rp_mn ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_ind l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta a) ksi) (l_e_st_eq_landau_n_rt_rp_satz140 ksi eta m) : l_e_st_eq_landau_n_rt_cut).

(* constant 2361 *)
definition l_e_st_eq_landau_n_rt_rp_satz140c ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_oneax l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta a) ksi) (l_e_st_eq_landau_n_rt_rp_satz140 ksi eta m) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_mn ksi eta m)) ksi).

(* constant 2362 *)
definition l_e_st_eq_landau_n_rt_rp_satz140d ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_mn ksi eta m)) ksi (l_e_st_eq_landau_n_rt_rp_satz140c ksi eta m) : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_mn ksi eta m))).

(* constant 2363 *)
definition l_e_st_eq_landau_n_rt_rp_satz140e ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_mn ksi eta m) eta) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_mn ksi eta m)) ksi (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_mn ksi eta m) eta) (l_e_st_eq_landau_n_rt_rp_satz140c ksi eta m) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_mn ksi eta m) eta) ksi).

(* constant 2364 *)
definition l_e_st_eq_landau_n_rt_rp_satz140f ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_mn ksi eta m) eta) ksi (l_e_st_eq_landau_n_rt_rp_satz140e ksi eta m) : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_mn ksi eta m) eta)).

(* constant 2365 *)
definition l_e_st_eq_landau_n_rt_rp_satz140g ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta phi) ksi.(l_e_st_eq_landau_n_rt_rp_satz140b ksi eta phi (l_e_st_eq_landau_n_rt_rp_mn ksi eta m) i (l_e_st_eq_landau_n_rt_rp_satz140c ksi eta m) : l_e_st_eq_landau_n_rt_rp_is phi (l_e_st_eq_landau_n_rt_rp_mn ksi eta m)).

(* constant 2366 *)
definition l_e_st_eq_landau_n_rt_rp_3140_t60 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi zeta.λn:l_e_st_eq_landau_n_rt_rp_more eta upsilon.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl upsilon (l_e_st_eq_landau_n_rt_rp_mn ksi zeta m)) (l_e_st_eq_landau_n_rt_rp_pl zeta (l_e_st_eq_landau_n_rt_rp_mn ksi zeta m)) ksi eta (l_e_st_eq_landau_n_rt_rp_ispl1 upsilon zeta (l_e_st_eq_landau_n_rt_rp_mn ksi zeta m) (l_e_symis l_e_st_eq_landau_n_rt_cut zeta upsilon j)) (l_e_st_eq_landau_n_rt_rp_satz140c ksi zeta m) i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl upsilon (l_e_st_eq_landau_n_rt_rp_mn ksi zeta m)) eta).

(* constant 2367 *)
definition l_e_st_eq_landau_n_rt_rp_ismn12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi zeta.λn:l_e_st_eq_landau_n_rt_rp_more eta upsilon.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.(l_e_st_eq_landau_n_rt_rp_satz140g eta upsilon (l_e_st_eq_landau_n_rt_rp_mn ksi zeta m) n (l_e_st_eq_landau_n_rt_rp_3140_t60 ksi eta zeta upsilon m n i j) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_mn ksi zeta m) (l_e_st_eq_landau_n_rt_rp_mn eta upsilon n)).

(* constant 2368 *)
definition l_e_st_eq_landau_n_rt_rp_ismn1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi zeta.λn:l_e_st_eq_landau_n_rt_rp_more eta zeta.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_st_eq_landau_n_rt_rp_ismn12 ksi eta zeta zeta m n i (l_e_refis l_e_st_eq_landau_n_rt_cut zeta) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_mn ksi zeta m) (l_e_st_eq_landau_n_rt_rp_mn eta zeta n)).

(* constant 2369 *)
definition l_e_st_eq_landau_n_rt_rp_ismn2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more zeta ksi.λn:l_e_st_eq_landau_n_rt_rp_more zeta eta.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_st_eq_landau_n_rt_rp_ismn12 zeta zeta ksi eta m n (l_e_refis l_e_st_eq_landau_n_rt_cut zeta) i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_mn zeta ksi m) (l_e_st_eq_landau_n_rt_rp_mn zeta eta n)).

(* constant 2370 *)
definition l_e_st_eq_landau_n_rt_rp_prodprop1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_and3 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta y0) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0)) : Prop).

(* constant 2371 *)
definition l_e_st_eq_landau_n_rt_rp_prodprop ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x y)) : Prop).

(* constant 2372 *)
definition l_e_st_eq_landau_n_rt_rp_prod ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_setof l_e_st_eq_landau_n_rt_rat (λz:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop ksi eta z) : l_e_st_set l_e_st_eq_landau_n_rt_rat).

(* constant 2373 *)
definition l_e_st_eq_landau_n_rt_rp_iii4_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_and3i (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta y0) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0)) lx ly i : l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y0).

(* constant 2374 *)
definition l_e_st_eq_landau_n_rt_rp_iii4_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_somei l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y) y0 (l_e_st_eq_landau_n_rt_rp_iii4_t1 ksi eta z0 x0 lx y0 ly i) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y)).

(* constant 2375 *)
definition l_e_st_eq_landau_n_rt_rp_iii4_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x y)) x0 (l_e_st_eq_landau_n_rt_rp_iii4_t2 ksi eta z0 x0 lx y0 ly i) : l_e_st_eq_landau_n_rt_rp_prodprop ksi eta z0).

(* constant 2376 *)
definition l_e_st_eq_landau_n_rt_rp_prod1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λz:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop ksi eta z) z0 (l_e_st_eq_landau_n_rt_rp_iii4_t3 ksi eta z0 x0 lx y0 ly i) : l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta)).

(* constant 2377 *)
definition l_e_st_eq_landau_n_rt_rp_iii4_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).p.(l_e_st_estie l_e_st_eq_landau_n_rt_rat (λz:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop ksi eta z) z0 i : l_e_st_eq_landau_n_rt_rp_prodprop ksi eta z0).

(* constant 2378 *)
definition l_e_st_eq_landau_n_rt_rp_iii4_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y0.(l_and3e1 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta y0) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0)) py : l_e_st_eq_landau_n_rt_lrt ksi x0).

(* constant 2379 *)
definition l_e_st_eq_landau_n_rt_rp_iii4_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y0.(l_and3e2 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta y0) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0)) py : l_e_st_eq_landau_n_rt_lrt eta y0).

(* constant 2380 *)
definition l_e_st_eq_landau_n_rt_rp_iii4_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y0.(l_and3e3 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_lrt eta y0) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0)) py : l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 2381 *)
definition l_e_st_eq_landau_n_rt_rp_iii4_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y).λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y0.(p1 x0 (l_e_st_eq_landau_n_rt_rp_iii4_t5 ksi eta z0 i p p1 x0 px y0 py) y0 (l_e_st_eq_landau_n_rt_rp_iii4_t6 ksi eta z0 i p p1 x0 px y0 py) (l_e_st_eq_landau_n_rt_rp_iii4_t7 ksi eta z0 i p p1 x0 px y0 py) : p).

(* constant 2382 *)
definition l_e_st_eq_landau_n_rt_rp_iii4_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y).(l_someapp l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y) px p (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x0 y.l_e_st_eq_landau_n_rt_rp_iii4_t8 ksi eta z0 i p p1 x0 px y t) : p).

(* constant 2383 *)
definition l_e_st_eq_landau_n_rt_rp_prodapp ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).p.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x y)) (l_e_st_eq_landau_n_rt_rp_iii4_t4 ksi eta z0 i p p1) p (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_prodprop1 ksi eta z0 x y).l_e_st_eq_landau_n_rt_rp_iii4_t9 ksi eta z0 i p p1 x t) : p).

(* constant 2384 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_cutapp2a ksi x0 lx x1 ux : l_e_st_eq_landau_n_rt_less x0 x1).

(* constant 2385 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_cutapp2a eta y0 ly y1 uy : l_e_st_eq_landau_n_rt_less y0 y1).

(* constant 2386 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_isless1 (l_e_st_eq_landau_n_rt_ts x0 y0) z0 (l_e_st_eq_landau_n_rt_ts x1 y1) (l_e_symis l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_ts x0 y0) j) (l_e_st_eq_landau_n_rt_satz107a x0 x1 y0 y1 (l_e_st_eq_landau_n_rt_rp_4141_t1 ksi eta x1 ux y1 uy z0 i x0 lx y0 ly j) (l_e_st_eq_landau_n_rt_rp_4141_t2 ksi eta x1 ux y1 uy z0 i x0 lx y0 ly j)) : l_e_st_eq_landau_n_rt_less z0 (l_e_st_eq_landau_n_rt_ts x1 y1)).

(* constant 2387 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_ec3e31 (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x1 y1)) (l_e_st_eq_landau_n_rt_more z0 (l_e_st_eq_landau_n_rt_ts x1 y1)) (l_e_st_eq_landau_n_rt_less z0 (l_e_st_eq_landau_n_rt_ts x1 y1)) (l_e_st_eq_landau_n_rt_satz81b z0 (l_e_st_eq_landau_n_rt_ts x1 y1)) (l_e_st_eq_landau_n_rt_rp_4141_t3 ksi eta x1 ux y1 uy z0 i x0 lx y0 ly j) : l_e_st_eq_landau_n_rt_nis z0 (l_e_st_eq_landau_n_rt_ts x1 y1)).

(* constant 2388 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).(l_e_st_eq_landau_n_rt_rp_prodapp ksi eta z0 i (l_e_st_eq_landau_n_rt_nis z0 (l_e_st_eq_landau_n_rt_ts x1 y1)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt eta y.λv:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4141_t4 ksi eta x1 ux y1 uy z0 i x t y u v) : l_e_st_eq_landau_n_rt_nis z0 (l_e_st_eq_landau_n_rt_ts x1 y1)).

(* constant 2389 *)
definition l_e_st_eq_landau_n_rt_rp_satz141a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.(l_imp_th3 (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ts x1 y1) (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (l_e_st_eq_landau_n_rt_nis (l_e_st_eq_landau_n_rt_ts x1 y1) (l_e_st_eq_landau_n_rt_ts x1 y1)) (l_weli (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x1 y1) (l_e_st_eq_landau_n_rt_ts x1 y1)) (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts x1 y1))) (λt:l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ts x1 y1) (l_e_st_eq_landau_n_rt_rp_prod ksi eta).l_e_st_eq_landau_n_rt_rp_4141_t5 ksi eta x1 ux y1 uy (l_e_st_eq_landau_n_rt_ts x1 y1) t) : l_not (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ts x1 y1) (l_e_st_eq_landau_n_rt_rp_prod ksi eta))).

(* constant 2390 *)
definition l_e_st_eq_landau_n_rt_4141_v0 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt y0) x0 : l_e_st_eq_landau_n_rt_rat).

(* constant 2391 *)
definition l_e_st_eq_landau_n_rt_4141_t6 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_tr3is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_4141_v0 x0 y0)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt y0)) x0) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt x0) x0 (l_e_st_eq_landau_n_rt_assts2 y0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt y0) x0) (l_e_st_eq_landau_n_rt_ists1 (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt y0)) l_e_st_eq_landau_n_rt_1rt x0 (l_e_st_eq_landau_n_rt_satz110c l_e_st_eq_landau_n_rt_1rt y0)) (l_e_st_eq_landau_n_rt_example1c x0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_4141_v0 x0 y0)) x0).

(* constant 2392 *)
definition l_e_st_eq_landau_n_rt_satz141b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_satz110g x0 y0 (l_e_st_eq_landau_n_rt_4141_v0 x0 y0) (l_e_st_eq_landau_n_rt_4141_t6 x0 y0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt y0) x0) (l_e_st_eq_landau_n_rt_ov x0 y0)).

(* constant 2393 *)
definition l_e_st_eq_landau_n_rt_satz141c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt y0) x0) (l_e_st_eq_landau_n_rt_ov x0 y0) (l_e_st_eq_landau_n_rt_satz141b x0 y0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ov x0 y0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt y0) x0)).

(* constant 2394 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_isless2 u0 (l_e_st_eq_landau_n_rt_ts x0 y0) z0 j l : l_e_st_eq_landau_n_rt_less z0 (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 2395 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_tr3is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ts x0 y0)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x0) y0) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt y0) y0 (l_e_st_eq_landau_n_rt_assts2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x0 y0) (l_e_st_eq_landau_n_rt_ists1 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x0) l_e_st_eq_landau_n_rt_1rt y0 (l_e_st_eq_landau_n_rt_satz110e l_e_st_eq_landau_n_rt_1rt x0)) (l_e_st_eq_landau_n_rt_example1c y0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ts x0 y0)) y0).

(* constant 2396 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_isless12 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) z0) (l_e_st_eq_landau_n_rt_ov z0 x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ts x0 y0)) y0 (l_e_st_eq_landau_n_rt_satz141b z0 x0) (l_e_st_eq_landau_n_rt_rp_4141_t8 ksi eta u0 i z0 l x0 lx y0 ly j) (l_e_st_eq_landau_n_rt_satz105f z0 (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_rp_4141_t7 ksi eta u0 i z0 l x0 lx y0 ly j)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ov z0 x0) y0).

(* constant 2397 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_rp_satz120 eta y0 ly (l_e_st_eq_landau_n_rt_ov z0 x0) (l_e_st_eq_landau_n_rt_rp_4141_t9 ksi eta u0 i z0 l x0 lx y0 ly j) : l_e_st_eq_landau_n_rt_lrt eta (l_e_st_eq_landau_n_rt_ov z0 x0)).

(* constant 2398 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_rp_prod1 ksi eta z0 x0 lx (l_e_st_eq_landau_n_rt_ov z0 x0) (l_e_st_eq_landau_n_rt_rp_4141_t10 ksi eta u0 i z0 l x0 lx y0 ly j) (l_e_st_eq_landau_n_rt_satz110d z0 x0) : l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta)).

(* constant 2399 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λz0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less z0 u0.(l_e_st_eq_landau_n_rt_rp_prodapp ksi eta u0 i (l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt eta y.λv:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4141_t11 ksi eta u0 i z0 l x t y u v) : l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta)).

(* constant 2400 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_e_st_eq_landau_n_rt_rp_prod1 ksi eta (l_e_st_eq_landau_n_rt_ts x1 y0) x1 lx1 y0 ly (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts x1 y0)) : l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ts x1 y0) (l_e_st_eq_landau_n_rt_rp_prod ksi eta)).

(* constant 2401 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_e_st_eq_landau_n_rt_satz105a x1 x0 y0 (l_e_st_eq_landau_n_rt_satz83 x0 x1 l) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x1 y0) (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 2402 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t15 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_e_st_eq_landau_n_rt_ismore2 (l_e_st_eq_landau_n_rt_ts x0 y0) z0 (l_e_st_eq_landau_n_rt_ts x1 y0) (l_e_symis l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_ts x0 y0) j) (l_e_st_eq_landau_n_rt_rp_4141_t14 ksi eta z0 i x0 lx y0 ly j x1 lx1 l) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x1 y0) z0).

(* constant 2403 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t16 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_andi (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ts x1 y0) (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x1 y0) z0) (l_e_st_eq_landau_n_rt_rp_4141_t13 ksi eta z0 i x0 lx y0 ly j x1 lx1 l) (l_e_st_eq_landau_n_rt_rp_4141_t15 ksi eta z0 i x0 lx y0 ly j x1 lx1 l) : l_and (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ts x1 y0) (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts x1 y0) z0)).

(* constant 2404 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t17 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_somei l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (l_e_st_eq_landau_n_rt_more y z0)) (l_e_st_eq_landau_n_rt_ts x1 y0) (l_e_st_eq_landau_n_rt_rp_4141_t16 ksi eta z0 i x0 lx y0 ly j x1 lx1 l) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (l_e_st_eq_landau_n_rt_more y z0))).

(* constant 2405 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t18 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_cutapp3 ksi x0 lx (l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (l_e_st_eq_landau_n_rt_more y z0))) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λu:l_e_st_eq_landau_n_rt_less x0 x.l_e_st_eq_landau_n_rt_rp_4141_t17 ksi eta z0 i x0 lx y0 ly j x t u) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (l_e_st_eq_landau_n_rt_more y z0))).

(* constant 2406 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t19 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta).(l_e_st_eq_landau_n_rt_rp_prodapp ksi eta z0 i (l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (l_e_st_eq_landau_n_rt_more y z0))) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt eta y.λv:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4141_t18 ksi eta z0 i x t y u v) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (l_e_st_eq_landau_n_rt_more y z0))).

(* constant 2407 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t20 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λy1:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y1.(l_e_st_eq_landau_n_rt_cut2 (l_e_st_eq_landau_n_rt_rp_prod ksi eta) (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_rp_prod1 ksi eta (l_e_st_eq_landau_n_rt_ts x0 y0) x0 lx y0 ly (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts x0 y0))) (l_e_st_eq_landau_n_rt_ts x1 y1) (l_e_st_eq_landau_n_rt_rp_satz141a ksi eta x1 ux y1 uy) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_prod ksi eta).λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_rp_4141_t12 ksi eta x t y u) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_prod ksi eta).l_e_st_eq_landau_n_rt_rp_4141_t19 ksi eta x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_prod ksi eta)).

(* constant 2408 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t21 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.(l_e_st_eq_landau_n_rt_cutapp1b eta (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt eta y.l_e_st_eq_landau_n_rt_rp_4141_t20 ksi eta x0 lx y0 ly x1 ux y t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_prod ksi eta)).

(* constant 2409 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t22 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.(l_e_st_eq_landau_n_rt_cutapp1b ksi (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.l_e_st_eq_landau_n_rt_rp_4141_t21 ksi eta x0 lx y0 ly x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_prod ksi eta)).

(* constant 2410 *)
definition l_e_st_eq_landau_n_rt_rp_4141_t23 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_e_st_eq_landau_n_rt_cutapp1a eta (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt eta y.l_e_st_eq_landau_n_rt_rp_4141_t22 ksi eta x0 lx y t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_prod ksi eta)).

(* constant 2411 *)
definition l_e_st_eq_landau_n_rt_rp_satz141 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_cutapp1a ksi (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.l_e_st_eq_landau_n_rt_rp_4141_t23 ksi eta x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_prod ksi eta)).

(* constant 2412 *)
definition l_e_st_eq_landau_n_rt_rp_ts ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_cutof (l_e_st_eq_landau_n_rt_rp_prod ksi eta) (l_e_st_eq_landau_n_rt_rp_satz141 ksi eta) : l_e_st_eq_landau_n_rt_cut).

(* constant 2413 *)
definition l_e_st_eq_landau_n_rt_rp_lrtts ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_rp_ine (l_e_st_eq_landau_n_rt_rp_prod ksi eta) (l_e_st_eq_landau_n_rt_rp_satz141 ksi eta) z0 (l_e_st_eq_landau_n_rt_rp_prod1 ksi eta z0 x0 lx y0 ly i) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) z0).

(* constant 2414 *)
definition l_e_st_eq_landau_n_rt_rp_iii4_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_isp1 l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_not (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_prod ksi eta))) (l_e_st_eq_landau_n_rt_ts x0 y0) z0 (l_e_st_eq_landau_n_rt_rp_satz141a ksi eta x0 ux y0 uy) i : l_not (l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta))).

(* constant 2415 *)
definition l_e_st_eq_landau_n_rt_rp_urtts ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_imp_th3 (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) z0) (l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta)) (l_e_st_eq_landau_n_rt_rp_iii4_t10 ksi eta z0 x0 ux y0 uy i) (λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) z0.l_e_st_eq_landau_n_rt_rp_ini (l_e_st_eq_landau_n_rt_rp_prod ksi eta) (l_e_st_eq_landau_n_rt_rp_satz141 ksi eta) z0 t) : l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) z0).

(* constant 2416 *)
definition l_e_st_eq_landau_n_rt_rp_iii4_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) z0.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).p.(l_e_st_eq_landau_n_rt_rp_ini (l_e_st_eq_landau_n_rt_rp_prod ksi eta) (l_e_st_eq_landau_n_rt_rp_satz141 ksi eta) z0 lz : l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_prod ksi eta)).

(* constant 2417 *)
definition l_e_st_eq_landau_n_rt_rp_tsapp ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) z0.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_lrt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_lrt eta y.∀v:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).p.(l_e_st_eq_landau_n_rt_rp_prodapp ksi eta z0 (l_e_st_eq_landau_n_rt_rp_iii4_t11 ksi eta z0 lz p p1) p p1 : p).

(* constant 2418 *)
definition l_e_st_eq_landau_n_rt_rp_ists1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_isf l_e_st_eq_landau_n_rt_cut l_e_st_eq_landau_n_rt_cut (λu:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ts u zeta) ksi eta i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)).

(* constant 2419 *)
definition l_e_st_eq_landau_n_rt_rp_ists2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_isf l_e_st_eq_landau_n_rt_cut l_e_st_eq_landau_n_rt_cut (λu:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ts zeta u) ksi eta i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts zeta eta)).

(* constant 2420 *)
definition l_e_st_eq_landau_n_rt_rp_ists12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_ists1 ksi eta zeta i) (l_e_st_eq_landau_n_rt_rp_ists2 zeta upsilon eta j) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2421 *)
definition l_e_st_eq_landau_n_rt_rp_4142_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_tris l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts y0 x0) i (l_e_st_eq_landau_n_rt_comts x0 y0) : l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts y0 x0)).

(* constant 2422 *)
definition l_e_st_eq_landau_n_rt_rp_4142_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_rp_lrtts eta ksi z0 y0 ly x0 lx (l_e_st_eq_landau_n_rt_rp_4142_t1 ksi eta z0 lz x0 lx y0 ly i) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts eta ksi) z0).

(* constant 2423 *)
definition l_e_st_eq_landau_n_rt_rp_4142_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) z0.(l_e_st_eq_landau_n_rt_rp_tsapp ksi eta z0 lz (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts eta ksi) z0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt eta y.λv:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4142_t2 ksi eta z0 lz x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts eta ksi) z0).

(* constant 2424 *)
definition l_e_st_eq_landau_n_rt_rp_satz142 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_isi1 (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta ksi) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) x.l_e_st_eq_landau_n_rt_rp_4142_t3 ksi eta x t) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts eta ksi) x.l_e_st_eq_landau_n_rt_rp_4142_t3 eta ksi x t) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta ksi)).

(* constant 2425 *)
definition l_e_st_eq_landau_n_rt_rp_comts ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_satz142 ksi eta : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta ksi)).

(* constant 2426 *)
definition l_e_st_eq_landau_n_rt_rp_4143_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts v0 z0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_tr3is l_e_st_eq_landau_n_rt_rat u0 (l_e_st_eq_landau_n_rt_ts v0 z0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 y0) z0) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ts y0 z0)) i (l_e_st_eq_landau_n_rt_ists1 v0 (l_e_st_eq_landau_n_rt_ts x0 y0) z0 j) (l_e_st_eq_landau_n_rt_assts1 x0 y0 z0) : l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ts y0 z0))).

(* constant 2427 *)
definition l_e_st_eq_landau_n_rt_rp_4143_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts v0 z0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_rp_lrtts eta zeta (l_e_st_eq_landau_n_rt_ts y0 z0) y0 ly z0 lz (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts y0 z0)) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_ts y0 z0)).

(* constant 2428 *)
definition l_e_st_eq_landau_n_rt_rp_4143_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts v0 z0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_rp_lrtts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta) u0 x0 lx (l_e_st_eq_landau_n_rt_ts y0 z0) (l_e_st_eq_landau_n_rt_rp_4143_t2 ksi eta zeta u0 lu v0 lv z0 lz i x0 lx y0 ly j) (l_e_st_eq_landau_n_rt_rp_4143_t1 ksi eta zeta u0 lu v0 lv z0 lz i x0 lx y0 ly j) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) u0).

(* constant 2429 *)
definition l_e_st_eq_landau_n_rt_rp_4143_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts v0 z0).(l_e_st_eq_landau_n_rt_rp_tsapp ksi eta v0 lv (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt eta y.λv:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4143_t3 ksi eta zeta u0 lu v0 lv z0 lz i x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) u0).

(* constant 2430 *)
definition l_e_st_eq_landau_n_rt_rp_4143_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) u0.(l_e_st_eq_landau_n_rt_rp_tsapp (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta u0 lu (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt zeta y.λv:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4143_t4 ksi eta zeta u0 lu x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) u0).

(* constant 2431 *)
definition l_e_st_eq_landau_n_rt_rp_4143_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 v0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts y0 z0).(l_e_tr3is l_e_st_eq_landau_n_rt_rat u0 (l_e_st_eq_landau_n_rt_ts x0 v0) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ts y0 z0)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 y0) z0) i (l_e_st_eq_landau_n_rt_ists2 v0 (l_e_st_eq_landau_n_rt_ts y0 z0) x0 j) (l_e_st_eq_landau_n_rt_assts2 x0 y0 z0) : l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x0 y0) z0)).

(* constant 2432 *)
definition l_e_st_eq_landau_n_rt_rp_4143_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 v0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts y0 z0).(l_e_st_eq_landau_n_rt_rp_lrtts ksi eta (l_e_st_eq_landau_n_rt_ts x0 y0) x0 lx y0 ly (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts x0 y0)) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 2433 *)
definition l_e_st_eq_landau_n_rt_rp_4143_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 v0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts y0 z0).(l_e_st_eq_landau_n_rt_rp_lrtts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta u0 (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_rp_4143_t7 ksi eta zeta u0 lu x0 lx v0 lv i y0 ly z0 lz j) z0 lz (l_e_st_eq_landau_n_rt_rp_4143_t6 ksi eta zeta u0 lu x0 lx v0 lv i y0 ly z0 lz j) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) u0).

(* constant 2434 *)
definition l_e_st_eq_landau_n_rt_rp_4143_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 v0).(l_e_st_eq_landau_n_rt_rp_tsapp eta zeta v0 lv (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt eta x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt zeta y.λv:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4143_t8 ksi eta zeta u0 lu x0 lx v0 lv i x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) u0).

(* constant 2435 *)
definition l_e_st_eq_landau_n_rt_rp_4143_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) u0.(l_e_st_eq_landau_n_rt_rp_tsapp ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta) u0 lu (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts eta zeta) y.λv:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4143_t9 ksi eta zeta u0 lu x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) u0).

(* constant 2436 *)
definition l_e_st_eq_landau_n_rt_rp_satz143 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_isi1 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) x.l_e_st_eq_landau_n_rt_rp_4143_t5 ksi eta zeta x t) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) x.l_e_st_eq_landau_n_rt_rp_4143_t10 ksi eta zeta x t) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta))).

(* constant 2437 *)
definition l_e_st_eq_landau_n_rt_rp_assts1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_satz143 ksi eta zeta : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta))).

(* constant 2438 *)
definition l_e_st_eq_landau_n_rt_rp_assts2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta) (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_satz143 ksi eta zeta) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts ksi eta) zeta)).

(* constant 2439 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 v0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl y0 z0).(l_e_tr3is l_e_st_eq_landau_n_rt_rat u0 (l_e_st_eq_landau_n_rt_ts x0 v0) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x0 z0)) i (l_e_st_eq_landau_n_rt_ists2 v0 (l_e_st_eq_landau_n_rt_pl y0 z0) x0 j) (l_e_st_eq_landau_n_rt_disttp2 x0 y0 z0) : l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x0 z0))).

(* constant 2440 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 v0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl y0 z0).(l_e_st_eq_landau_n_rt_rp_lrtts ksi eta (l_e_st_eq_landau_n_rt_ts x0 y0) x0 lx y0 ly (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts x0 y0)) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 2441 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 v0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl y0 z0).(l_e_st_eq_landau_n_rt_rp_lrtts ksi zeta (l_e_st_eq_landau_n_rt_ts x0 z0) x0 lx z0 lz (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts x0 z0)) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_ts x0 z0)).

(* constant 2442 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 v0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl y0 z0).(l_e_st_eq_landau_n_rt_rp_lrtpl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) u0 (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_rp_4144_t2 ksi eta zeta u0 lu x0 lx v0 lv i y0 ly z0 lz j) (l_e_st_eq_landau_n_rt_ts x0 z0) (l_e_st_eq_landau_n_rt_rp_4144_t3 ksi eta zeta u0 lu x0 lx v0 lv i y0 ly z0 lz j) (l_e_st_eq_landau_n_rt_rp_4144_t1 ksi eta zeta u0 lu x0 lx v0 lv i y0 ly z0 lz j) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0).

(* constant 2443 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) v0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x0 v0).(l_e_st_eq_landau_n_rt_rp_plapp eta zeta v0 lv (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt eta x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt zeta y.λv:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_pl x y).l_e_st_eq_landau_n_rt_rp_4144_t4 ksi eta zeta u0 lu x0 lx v0 lv i x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0).

(* constant 2444 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0.(l_e_st_eq_landau_n_rt_rp_tsapp ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta) u0 lu (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) y.λv:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4144_t5 ksi eta zeta u0 lu x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0).

(* constant 2445 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).(l_e_tris l_e_st_eq_landau_n_rt_rat u0 (l_e_st_eq_landau_n_rt_pl v0 w0) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x1 z0)) i (l_e_st_eq_landau_n_rt_ispl12 v0 (l_e_st_eq_landau_n_rt_ts x0 y0) w0 (l_e_st_eq_landau_n_rt_ts x1 z0) j k) : l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x1 z0))).

(* constant 2446 *)
definition l_e_st_eq_landau_n_rt_rp_4144_x2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).(l_e_ite (l_e_st_eq_landau_n_rt_moreis x0 x1) l_e_st_eq_landau_n_rt_rat x0 x1 : l_e_st_eq_landau_n_rt_rat).

(* constant 2447 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).λm:l_e_st_eq_landau_n_rt_moreis x0 x1.(l_e_itet (l_e_st_eq_landau_n_rt_moreis x0 x1) l_e_st_eq_landau_n_rt_rat x0 x1 m : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) x0).

(* constant 2448 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).λm:l_e_st_eq_landau_n_rt_moreis x0 x1.(l_e_isp1 l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_lrt ksi t) x0 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) lx (l_e_st_eq_landau_n_rt_rp_4144_t8 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k m) : l_e_st_eq_landau_n_rt_lrt ksi (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)).

(* constant 2449 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).λm:l_e_st_eq_landau_n_rt_moreis x0 x1.(l_e_st_eq_landau_n_rt_lessisi2 x0 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) x0 (l_e_st_eq_landau_n_rt_rp_4144_t8 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k m)) : l_e_st_eq_landau_n_rt_lessis x0 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)).

(* constant 2450 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).λm:l_e_st_eq_landau_n_rt_moreis x0 x1.(l_e_st_eq_landau_n_rt_satz88 x1 x0 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_satz84 x0 x1 m) (l_e_st_eq_landau_n_rt_rp_4144_t10 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k m) : l_e_st_eq_landau_n_rt_lessis x1 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)).

(* constant 2451 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).λn:l_not (l_e_st_eq_landau_n_rt_moreis x0 x1).(l_e_itef (l_e_st_eq_landau_n_rt_moreis x0 x1) l_e_st_eq_landau_n_rt_rat x0 x1 n : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) x1).

(* constant 2452 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).λn:l_not (l_e_st_eq_landau_n_rt_moreis x0 x1).(l_e_isp1 l_e_st_eq_landau_n_rt_rat (λt:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_lrt ksi t) x1 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) lx1 (l_e_st_eq_landau_n_rt_rp_4144_t12 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k n) : l_e_st_eq_landau_n_rt_lrt ksi (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)).

(* constant 2453 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).λn:l_not (l_e_st_eq_landau_n_rt_moreis x0 x1).(l_e_st_eq_landau_n_rt_lessisi2 x1 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) x1 (l_e_st_eq_landau_n_rt_rp_4144_t12 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k n)) : l_e_st_eq_landau_n_rt_lessis x1 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)).

(* constant 2454 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t15 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).λn:l_not (l_e_st_eq_landau_n_rt_moreis x0 x1).(l_e_st_eq_landau_n_rt_lessisi1 x0 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_satz87b x0 x1 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_satz81j x0 x1 n) (l_e_st_eq_landau_n_rt_rp_4144_t14 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k n)) : l_e_st_eq_landau_n_rt_lessis x0 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)).

(* constant 2455 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t16 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).(l_imp_th1 (l_e_st_eq_landau_n_rt_moreis x0 x1) (l_e_st_eq_landau_n_rt_lrt ksi (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)) (λt:l_e_st_eq_landau_n_rt_moreis x0 x1.l_e_st_eq_landau_n_rt_rp_4144_t9 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k t) (λt:l_not (l_e_st_eq_landau_n_rt_moreis x0 x1).l_e_st_eq_landau_n_rt_rp_4144_t13 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k t) : l_e_st_eq_landau_n_rt_lrt ksi (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)).

(* constant 2456 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t17 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).(l_imp_th1 (l_e_st_eq_landau_n_rt_moreis x0 x1) (l_e_st_eq_landau_n_rt_lessis x0 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)) (λt:l_e_st_eq_landau_n_rt_moreis x0 x1.l_e_st_eq_landau_n_rt_rp_4144_t10 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k t) (λt:l_not (l_e_st_eq_landau_n_rt_moreis x0 x1).l_e_st_eq_landau_n_rt_rp_4144_t15 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k t) : l_e_st_eq_landau_n_rt_lessis x0 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)).

(* constant 2457 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t18 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).(l_imp_th1 (l_e_st_eq_landau_n_rt_moreis x0 x1) (l_e_st_eq_landau_n_rt_lessis x1 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)) (λt:l_e_st_eq_landau_n_rt_moreis x0 x1.l_e_st_eq_landau_n_rt_rp_4144_t11 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k t) (λt:l_not (l_e_st_eq_landau_n_rt_moreis x0 x1).l_e_st_eq_landau_n_rt_rp_4144_t14 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k t) : l_e_st_eq_landau_n_rt_lessis x1 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)).

(* constant 2458 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t19 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).(l_e_st_eq_landau_n_rt_rp_lrtpl eta zeta (l_e_st_eq_landau_n_rt_pl y0 z0) y0 ly z0 lz (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl y0 z0)) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_pl y0 z0)).

(* constant 2459 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t20 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).(l_e_st_eq_landau_n_rt_rp_lrtts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_rp_4144_t16 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_pl y0 z0) (l_e_st_eq_landau_n_rt_rp_4144_t19 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_pl y0 z0))) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_pl y0 z0))).

(* constant 2460 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t21 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).(l_e_st_eq_landau_n_rt_satz109a x0 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) y0 y0 (l_e_st_eq_landau_n_rt_rp_4144_t17 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_lessisi2 y0 y0 (l_e_refis l_e_st_eq_landau_n_rt_rat y0)) : l_e_st_eq_landau_n_rt_lessis (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) y0)).

(* constant 2461 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t22 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).(l_e_st_eq_landau_n_rt_satz109a x1 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) z0 z0 (l_e_st_eq_landau_n_rt_rp_4144_t18 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_lessisi2 z0 z0 (l_e_refis l_e_st_eq_landau_n_rt_rat z0)) : l_e_st_eq_landau_n_rt_lessis (l_e_st_eq_landau_n_rt_ts x1 z0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) z0)).

(* constant 2462 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t23 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).(l_e_st_eq_landau_n_rt_islessis12 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x1 z0)) u0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) y0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) z0)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_symis l_e_st_eq_landau_n_rt_rat u0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts x1 z0)) (l_e_st_eq_landau_n_rt_rp_4144_t7 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)) (l_e_st_eq_landau_n_rt_distpt2 (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) y0 z0) (l_e_st_eq_landau_n_rt_satz100a (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) y0) (l_e_st_eq_landau_n_rt_ts x1 z0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) z0) (l_e_st_eq_landau_n_rt_rp_4144_t21 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_rp_4144_t22 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k)) : l_e_st_eq_landau_n_rt_lessis u0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_pl y0 z0))).

(* constant 2463 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t24 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt zeta z0.λk:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x1 z0).(l_orapp (l_e_st_eq_landau_n_rt_less u0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_pl y0 z0))) (l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_pl y0 z0))) (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0) (l_e_st_eq_landau_n_rt_rp_4144_t23 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (λt:l_e_st_eq_landau_n_rt_less u0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_pl y0 z0)).l_e_st_eq_landau_n_rt_rp_satz120 (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_pl y0 z0)) (l_e_st_eq_landau_n_rt_rp_4144_t20 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) u0 t) (λt:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_pl y0 z0)).l_e_isp1 l_e_st_eq_landau_n_rt_rat (λu:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_4144_x2 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) (l_e_st_eq_landau_n_rt_pl y0 z0)) u0 (l_e_st_eq_landau_n_rt_rp_4144_t20 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x1 lx1 z0 lz k) t) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0).

(* constant 2464 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t25 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt eta y0.λj:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_rp_tsapp ksi zeta w0 lw (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt zeta y.λv:l_e_st_eq_landau_n_rt_is w0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4144_t24 ksi eta zeta u0 lu v0 lv w0 lw i x0 lx y0 ly j x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0).

(* constant 2465 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t26 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) v0.λw0:l_e_st_eq_landau_n_rt_rat.λlw:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) w0.λi:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl v0 w0).(l_e_st_eq_landau_n_rt_rp_tsapp ksi eta v0 lv (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt eta y.λv:l_e_st_eq_landau_n_rt_is v0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4144_t25 ksi eta zeta u0 lu v0 lv w0 lw i x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0).

(* constant 2466 *)
definition l_e_st_eq_landau_n_rt_rp_4144_t27 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) u0.(l_e_st_eq_landau_n_rt_rp_plapp (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) u0 lu (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi eta) x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) y.λv:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl x y).l_e_st_eq_landau_n_rt_rp_4144_t26 ksi eta zeta u0 lu x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) u0).

(* constant 2467 *)
definition l_e_st_eq_landau_n_rt_rp_satz144 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_isi1 (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) x.l_e_st_eq_landau_n_rt_rp_4144_t6 ksi eta zeta x t) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) x.l_e_st_eq_landau_n_rt_rp_4144_t27 ksi eta zeta x t) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta))).

(* constant 2468 *)
definition l_e_st_eq_landau_n_rt_rp_disttp1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) (l_e_st_eq_landau_n_rt_rp_ts zeta (l_e_st_eq_landau_n_rt_rp_pl ksi eta)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts zeta eta)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_comts (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) (l_e_st_eq_landau_n_rt_rp_satz144 zeta ksi eta) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts zeta eta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_comts zeta ksi) (l_e_st_eq_landau_n_rt_rp_comts zeta eta)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta))).

(* constant 2469 *)
definition l_e_st_eq_landau_n_rt_rp_disttp2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_satz144 ksi eta zeta : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta))).

(* constant 2470 *)
definition l_e_st_eq_landau_n_rt_rp_distpt1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_disttp1 ksi eta zeta) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi eta) zeta)).

(* constant 2471 *)
definition l_e_st_eq_landau_n_rt_rp_distpt2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) (l_e_st_eq_landau_n_rt_rp_disttp2 ksi eta zeta) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta)) (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_pl eta zeta))).

(* constant 2472 *)
definition l_e_st_eq_landau_n_rt_rp_4145_phi ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_mn ksi eta m : l_e_st_eq_landau_n_rt_cut).

(* constant 2473 *)
definition l_e_st_eq_landau_n_rt_rp_4145_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_satz140d ksi eta m : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_4145_phi ksi eta zeta m))).

(* constant 2474 *)
definition l_e_st_eq_landau_n_rt_rp_4145_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_4145_phi ksi eta zeta m)) zeta) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_4145_phi ksi eta zeta m) zeta)) (l_e_st_eq_landau_n_rt_rp_ists1 ksi (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_4145_phi ksi eta zeta m)) zeta (l_e_st_eq_landau_n_rt_rp_4145_t1 ksi eta zeta m)) (l_e_st_eq_landau_n_rt_rp_disttp1 eta (l_e_st_eq_landau_n_rt_rp_4145_phi ksi eta zeta m) zeta) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_4145_phi ksi eta zeta m) zeta))).

(* constant 2475 *)
definition l_e_st_eq_landau_n_rt_rp_satz145a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_ismore1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_4145_phi ksi eta zeta m) zeta)) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_4145_phi ksi eta zeta m) zeta)) (l_e_st_eq_landau_n_rt_rp_4145_t2 ksi eta zeta m)) (l_e_st_eq_landau_n_rt_rp_satz133 (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_4145_phi ksi eta zeta m) zeta)) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)).

(* constant 2476 *)
definition l_e_st_eq_landau_n_rt_rp_satz145b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_st_eq_landau_n_rt_rp_ists1 ksi eta zeta i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)).

(* constant 2477 *)
definition l_e_st_eq_landau_n_rt_rp_satz145c ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_satz145a eta ksi zeta (l_e_st_eq_landau_n_rt_rp_satz122 ksi eta l)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)).

(* constant 2478 *)
definition l_e_st_eq_landau_n_rt_rp_satz145d ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_ts zeta eta) (l_e_st_eq_landau_n_rt_rp_comts ksi zeta) (l_e_st_eq_landau_n_rt_rp_comts eta zeta) (l_e_st_eq_landau_n_rt_rp_satz145a ksi eta zeta m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts zeta eta)).

(* constant 2479 *)
definition l_e_st_eq_landau_n_rt_rp_satz145e ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_st_eq_landau_n_rt_rp_ists2 ksi eta zeta i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts zeta eta)).

(* constant 2480 *)
definition l_e_st_eq_landau_n_rt_rp_satz145f ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_ts zeta eta) (l_e_st_eq_landau_n_rt_rp_comts ksi zeta) (l_e_st_eq_landau_n_rt_rp_comts eta zeta) (l_e_st_eq_landau_n_rt_rp_satz145c ksi eta zeta l) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts zeta eta)).

(* constant 2481 *)
definition l_e_st_eq_landau_n_rt_rp_satz145g ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λm:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_e_st_eq_landau_n_rt_rp_ismore2 (l_e_st_eq_landau_n_rt_rp_ts ksi upsilon) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ists1 ksi eta upsilon i) (l_e_st_eq_landau_n_rt_rp_satz145d zeta upsilon ksi m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2482 *)
definition l_e_st_eq_landau_n_rt_rp_satz145h ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λm:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_ts upsilon eta) (l_e_st_eq_landau_n_rt_rp_comts ksi zeta) (l_e_st_eq_landau_n_rt_rp_comts eta upsilon) (l_e_st_eq_landau_n_rt_rp_satz145g ksi eta zeta upsilon i m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts upsilon eta)).

(* constant 2483 *)
definition l_e_st_eq_landau_n_rt_rp_satz145j ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λl:l_e_st_eq_landau_n_rt_rp_less zeta upsilon.(l_e_st_eq_landau_n_rt_rp_isless2 (l_e_st_eq_landau_n_rt_rp_ts ksi upsilon) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ists1 ksi eta upsilon i) (l_e_st_eq_landau_n_rt_rp_satz145f zeta upsilon ksi l) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2484 *)
definition l_e_st_eq_landau_n_rt_rp_satz145k ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λl:l_e_st_eq_landau_n_rt_rp_less zeta upsilon.(l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_ts upsilon eta) (l_e_st_eq_landau_n_rt_rp_comts ksi zeta) (l_e_st_eq_landau_n_rt_rp_comts eta upsilon) (l_e_st_eq_landau_n_rt_rp_satz145j ksi eta zeta upsilon i l) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts upsilon eta)).

(* constant 2485 *)
definition l_e_st_eq_landau_n_rt_rp_4146_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_satz123a ksi eta : l_or3 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta)).

(* constant 2486 *)
definition l_e_st_eq_landau_n_rt_rp_4146_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_satz123b (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta) : l_ec3 (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta))).

(* constant 2487 *)
definition l_e_st_eq_landau_n_rt_rp_satz146a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta).(l_ec3_th11 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_4146_t1 ksi eta zeta) (l_e_st_eq_landau_n_rt_rp_4146_t2 ksi eta zeta) (λu:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_satz145b ksi eta zeta u) (λu:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_satz145a ksi eta zeta u) (λu:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_satz145c ksi eta zeta u) m : l_e_st_eq_landau_n_rt_rp_more ksi eta).

(* constant 2488 *)
definition l_e_st_eq_landau_n_rt_rp_satz146b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta).(l_ec3_th10 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_4146_t1 ksi eta zeta) (l_e_st_eq_landau_n_rt_rp_4146_t2 ksi eta zeta) (λu:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_satz145b ksi eta zeta u) (λu:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_satz145a ksi eta zeta u) (λu:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_satz145c ksi eta zeta u) i : l_e_st_eq_landau_n_rt_rp_is ksi eta).

(* constant 2489 *)
definition l_e_st_eq_landau_n_rt_rp_satz146c ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta).(l_ec3_th12 (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)) (l_e_st_eq_landau_n_rt_rp_4146_t1 ksi eta zeta) (l_e_st_eq_landau_n_rt_rp_4146_t2 ksi eta zeta) (λu:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_satz145b ksi eta zeta u) (λu:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_satz145a ksi eta zeta u) (λu:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_satz145c ksi eta zeta u) l : l_e_st_eq_landau_n_rt_rp_less ksi eta).

(* constant 2490 *)
definition l_e_st_eq_landau_n_rt_rp_satz146d ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts zeta eta).(l_e_st_eq_landau_n_rt_rp_satz146a ksi eta zeta (l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts zeta eta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_comts zeta ksi) (l_e_st_eq_landau_n_rt_rp_comts zeta eta) m) : l_e_st_eq_landau_n_rt_rp_more ksi eta).

(* constant 2491 *)
definition l_e_st_eq_landau_n_rt_rp_satz146e ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts zeta eta).(l_e_st_eq_landau_n_rt_rp_satz146b ksi eta zeta (l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts zeta eta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_comts ksi zeta) i (l_e_st_eq_landau_n_rt_rp_comts zeta eta)) : l_e_st_eq_landau_n_rt_rp_is ksi eta).

(* constant 2492 *)
definition l_e_st_eq_landau_n_rt_rp_satz146f ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts zeta eta).(l_e_st_eq_landau_n_rt_rp_satz146c ksi eta zeta (l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_ts zeta ksi) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts zeta eta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_comts zeta ksi) (l_e_st_eq_landau_n_rt_rp_comts zeta eta) l) : l_e_st_eq_landau_n_rt_rp_less ksi eta).

(* constant 2493 *)
definition l_e_st_eq_landau_n_rt_rp_4147_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λn:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_e_st_eq_landau_n_rt_rp_satz145a ksi eta zeta m : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta)).

(* constant 2494 *)
definition l_e_st_eq_landau_n_rt_rp_4147_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λn:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_ts zeta eta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_ts upsilon eta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_comts zeta eta) (l_e_st_eq_landau_n_rt_rp_comts upsilon eta) (l_e_st_eq_landau_n_rt_rp_satz145a zeta upsilon eta n) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2495 *)
definition l_e_st_eq_landau_n_rt_rp_satz147 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λn:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_e_st_eq_landau_n_rt_rp_trmore (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_4147_t1 ksi eta zeta upsilon m n) (l_e_st_eq_landau_n_rt_rp_4147_t2 ksi eta zeta upsilon m n) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2496 *)
definition l_e_st_eq_landau_n_rt_rp_satz147a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λk:l_e_st_eq_landau_n_rt_rp_less zeta upsilon.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_satz147 eta ksi upsilon zeta (l_e_st_eq_landau_n_rt_rp_satz122 ksi eta l) (l_e_st_eq_landau_n_rt_rp_satz122 zeta upsilon k)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2497 *)
definition l_e_st_eq_landau_n_rt_rp_satz148a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_orapp (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)) m (λt:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_satz147 ksi eta zeta upsilon t n) (λt:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_satz145g ksi eta zeta upsilon t n) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2498 *)
definition l_e_st_eq_landau_n_rt_rp_satz148b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis zeta upsilon.(l_orapp (l_e_st_eq_landau_n_rt_rp_more zeta upsilon) (l_e_st_eq_landau_n_rt_rp_is zeta upsilon) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)) n (λt:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.l_e_st_eq_landau_n_rt_rp_satz147 ksi eta zeta upsilon m t) (λt:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.l_e_st_eq_landau_n_rt_rp_satz145h zeta upsilon ksi eta t m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2499 *)
definition l_e_st_eq_landau_n_rt_rp_satz148c ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λk:l_e_st_eq_landau_n_rt_rp_less zeta upsilon.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_satz148a eta ksi upsilon zeta (l_e_st_eq_landau_n_rt_rp_satz125 ksi eta l) (l_e_st_eq_landau_n_rt_rp_satz122 zeta upsilon k)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2500 *)
definition l_e_st_eq_landau_n_rt_rp_satz148d ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λk:l_e_st_eq_landau_n_rt_rp_lessis zeta upsilon.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_satz148b eta ksi upsilon zeta (l_e_st_eq_landau_n_rt_rp_satz122 ksi eta l) (l_e_st_eq_landau_n_rt_rp_satz125 zeta upsilon k)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2501 *)
definition l_e_st_eq_landau_n_rt_rp_4149_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis zeta upsilon.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λj:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.(l_e_st_eq_landau_n_rt_rp_moreisi2 (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_ists12 ksi eta zeta upsilon i j) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2502 *)
definition l_e_st_eq_landau_n_rt_rp_4149_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis zeta upsilon.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.λo:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.(l_e_st_eq_landau_n_rt_rp_moreisi1 (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_satz148a ksi eta zeta upsilon m o) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2503 *)
definition l_e_st_eq_landau_n_rt_rp_4149_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis zeta upsilon.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_orapp (l_e_st_eq_landau_n_rt_rp_more zeta upsilon) (l_e_st_eq_landau_n_rt_rp_is zeta upsilon) (l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)) n (λt:l_e_st_eq_landau_n_rt_rp_more zeta upsilon.l_e_st_eq_landau_n_rt_rp_4149_t2 ksi eta zeta upsilon m n i t) (λt:l_e_st_eq_landau_n_rt_rp_is zeta upsilon.l_e_st_eq_landau_n_rt_rp_4149_t1 ksi eta zeta upsilon m n i t) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2504 *)
definition l_e_st_eq_landau_n_rt_rp_4149_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis zeta upsilon.λo:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_moreisi1 (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_satz148b ksi eta zeta upsilon o n) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2505 *)
definition l_e_st_eq_landau_n_rt_rp_satz149 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis ksi eta.λn:l_e_st_eq_landau_n_rt_rp_moreis zeta upsilon.(l_orapp (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_is ksi eta) (l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)) m (λt:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_4149_t4 ksi eta zeta upsilon m n t) (λt:l_e_st_eq_landau_n_rt_rp_is ksi eta.l_e_st_eq_landau_n_rt_rp_4149_t3 ksi eta zeta upsilon m n t) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2506 *)
definition l_e_st_eq_landau_n_rt_rp_satz149a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λzeta:l_e_st_eq_landau_n_rt_cut.λupsilon:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessis ksi eta.λk:l_e_st_eq_landau_n_rt_rp_lessis zeta upsilon.(l_e_st_eq_landau_n_rt_rp_satz124 (l_e_st_eq_landau_n_rt_rp_ts eta upsilon) (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_satz149 eta ksi upsilon zeta (l_e_st_eq_landau_n_rt_rp_satz125 ksi eta l) (l_e_st_eq_landau_n_rt_rp_satz125 zeta upsilon k)) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_ts ksi zeta) (l_e_st_eq_landau_n_rt_rp_ts eta upsilon)).

(* constant 2507 *)
definition l_e_st_eq_landau_n_rt_ratset ≝ λr0:l_e_st_eq_landau_n_rt_rat.(l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less x r0) : l_e_st_set l_e_st_eq_landau_n_rt_rat).

(* constant 2508 *)
definition l_e_st_eq_landau_n_rt_4150_t1 ≝ λr0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_satz90 r0 : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less x r0)).

(* constant 2509 *)
definition l_e_st_eq_landau_n_rt_4150_t2 ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 r0.(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less x r0) x0 l : l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_ratset r0)).

(* constant 2510 *)
definition l_e_st_eq_landau_n_rt_4150_t3 ≝ λr0:l_e_st_eq_landau_n_rt_rat.(l_ec3e13 (l_e_st_eq_landau_n_rt_is r0 r0) (l_e_st_eq_landau_n_rt_more r0 r0) (l_e_st_eq_landau_n_rt_less r0 r0) (l_e_st_eq_landau_n_rt_satz81b r0 r0) (l_e_refis l_e_st_eq_landau_n_rt_rat r0) : l_not (l_e_st_eq_landau_n_rt_less r0 r0)).

(* constant 2511 *)
definition l_e_st_eq_landau_n_rt_4150_t4 ≝ λr0:l_e_st_eq_landau_n_rt_rat.(l_imp_th3 (l_e_st_eq_landau_n_rt_in r0 (l_e_st_eq_landau_n_rt_ratset r0)) (l_e_st_eq_landau_n_rt_less r0 r0) (l_e_st_eq_landau_n_rt_4150_t3 r0) (λt:l_e_st_eq_landau_n_rt_in r0 (l_e_st_eq_landau_n_rt_ratset r0).l_e_st_estie l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less x r0) r0 t) : l_not (l_e_st_eq_landau_n_rt_in r0 (l_e_st_eq_landau_n_rt_ratset r0))).

(* constant 2512 *)
definition l_e_st_eq_landau_n_rt_4150_t5 ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_ratset r0).(l_e_st_estie l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less x r0) x0 i : l_e_st_eq_landau_n_rt_less x0 r0).

(* constant 2513 *)
definition l_e_st_eq_landau_n_rt_4150_t6 ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_ratset r0).λx1:l_e_st_eq_landau_n_rt_rat.λk:l_e_st_eq_landau_n_rt_less x1 x0.(l_e_st_eq_landau_n_rt_4150_t2 r0 x1 (l_e_st_eq_landau_n_rt_trless x1 x0 r0 k (l_e_st_eq_landau_n_rt_4150_t5 r0 x0 i)) : l_e_st_eq_landau_n_rt_in x1 (l_e_st_eq_landau_n_rt_ratset r0)).

(* constant 2514 *)
definition l_e_st_eq_landau_n_rt_4150_t7 ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_ratset r0).(l_e_st_eq_landau_n_rt_satz91 x0 r0 (l_e_st_eq_landau_n_rt_4150_t5 r0 x0 i) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_less x0 x) (l_e_st_eq_landau_n_rt_less x r0))).

(* constant 2515 *)
definition l_e_st_eq_landau_n_rt_4150_t8 ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_ratset r0).λx1:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x0 x1) (l_e_st_eq_landau_n_rt_less x1 r0).(l_ande1 (l_e_st_eq_landau_n_rt_less x0 x1) (l_e_st_eq_landau_n_rt_less x1 r0) a : l_e_st_eq_landau_n_rt_less x0 x1).

(* constant 2516 *)
definition l_e_st_eq_landau_n_rt_4150_t9 ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_ratset r0).λx1:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x0 x1) (l_e_st_eq_landau_n_rt_less x1 r0).(l_ande2 (l_e_st_eq_landau_n_rt_less x0 x1) (l_e_st_eq_landau_n_rt_less x1 r0) a : l_e_st_eq_landau_n_rt_less x1 r0).

(* constant 2517 *)
definition l_e_st_eq_landau_n_rt_4150_t10 ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_ratset r0).λx1:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x0 x1) (l_e_st_eq_landau_n_rt_less x1 r0).(l_andi (l_e_st_eq_landau_n_rt_in x1 (l_e_st_eq_landau_n_rt_ratset r0)) (l_e_st_eq_landau_n_rt_more x1 x0) (l_e_st_eq_landau_n_rt_4150_t2 r0 x1 (l_e_st_eq_landau_n_rt_4150_t9 r0 x0 i x1 a)) (l_e_st_eq_landau_n_rt_satz83 x0 x1 (l_e_st_eq_landau_n_rt_4150_t8 r0 x0 i x1 a)) : l_and (l_e_st_eq_landau_n_rt_in x1 (l_e_st_eq_landau_n_rt_ratset r0)) (l_e_st_eq_landau_n_rt_more x1 x0)).

(* constant 2518 *)
definition l_e_st_eq_landau_n_rt_4150_t11 ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_ratset r0).(l_some_th6 l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_less x0 x) (l_e_st_eq_landau_n_rt_less x r0)) (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_ratset r0)) (l_e_st_eq_landau_n_rt_more x x0)) (l_e_st_eq_landau_n_rt_4150_t7 r0 x0 i) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_and (l_e_st_eq_landau_n_rt_less x0 x) (l_e_st_eq_landau_n_rt_less x r0).l_e_st_eq_landau_n_rt_4150_t10 r0 x0 i x t) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_ratset r0)) (l_e_st_eq_landau_n_rt_more x x0))).

(* constant 2519 *)
definition l_e_st_eq_landau_n_rt_4150_t12 ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 r0.(l_e_st_eq_landau_n_rt_cut2 (l_e_st_eq_landau_n_rt_ratset r0) x0 (l_e_st_eq_landau_n_rt_4150_t2 r0 x0 l) r0 (l_e_st_eq_landau_n_rt_4150_t4 r0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_ratset r0).λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_4150_t6 r0 x t y u) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_ratset r0).l_e_st_eq_landau_n_rt_4150_t11 r0 x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_ratset r0)).

(* constant 2520 *)
definition l_e_st_eq_landau_n_rt_satz150 ≝ λr0:l_e_st_eq_landau_n_rt_rat.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_less x r0) (l_e_st_eq_landau_n_rt_4150_t1 r0) (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_ratset r0)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_less x r0.l_e_st_eq_landau_n_rt_4150_t12 r0 x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_ratset r0)).

(* constant 2521 *)
definition l_e_st_eq_landau_n_rt_rp_rpofrt ≝ λr0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_cutof (l_e_st_eq_landau_n_rt_ratset r0) (l_e_st_eq_landau_n_rt_satz150 r0) : l_e_st_eq_landau_n_rt_cut).

(* constant 2522 *)
definition l_e_st_eq_landau_n_rt_rp_lrtrpofrt ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 r0.(l_e_st_eq_landau_n_rt_rp_ine (l_e_st_eq_landau_n_rt_ratset r0) (l_e_st_eq_landau_n_rt_satz150 r0) x0 (l_e_st_eq_landau_n_rt_4150_t2 r0 x0 l) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt r0) x0).

(* constant 2523 *)
definition l_e_st_eq_landau_n_rt_rp_lrtrpofrte ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt r0) x0.(l_e_st_eq_landau_n_rt_4150_t5 r0 x0 (l_e_st_eq_landau_n_rt_rp_ini (l_e_st_eq_landau_n_rt_ratset r0) (l_e_st_eq_landau_n_rt_satz150 r0) x0 lx) : l_e_st_eq_landau_n_rt_less x0 r0).

(* constant 2524 *)
definition l_e_st_eq_landau_n_rt_rp_iii4_t12 ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 r0.(l_e_st_eq_landau_n_rt_satz81c x0 r0 m : l_not (l_e_st_eq_landau_n_rt_less x0 r0)).

(* constant 2525 *)
definition l_e_st_eq_landau_n_rt_rp_urtrpofrt ≝ λr0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 r0.(l_imp_th3 (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt r0) x0) (l_e_st_eq_landau_n_rt_less x0 r0) (l_e_st_eq_landau_n_rt_rp_iii4_t12 r0 x0 m) (λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt r0) x0.l_e_st_eq_landau_n_rt_rp_lrtrpofrte r0 x0 t) : l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_rpofrt r0) x0).

(* constant 2526 *)
definition l_e_st_eq_landau_n_rt_rp_1rp ≝ (l_e_st_eq_landau_n_rt_rp_rpofrt l_e_st_eq_landau_n_rt_1rt : l_e_st_eq_landau_n_rt_cut).

(* constant 2527 *)
definition l_e_st_eq_landau_n_rt_rp_4151_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_rp_lrtrpofrte l_e_st_eq_landau_n_rt_1rt y0 ly : l_e_st_eq_landau_n_rt_less y0 l_e_st_eq_landau_n_rt_1rt).

(* constant 2528 *)
definition l_e_st_eq_landau_n_rt_rp_4151_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_isless12 (l_e_st_eq_landau_n_rt_ts x0 y0) z0 (l_e_st_eq_landau_n_rt_ts x0 l_e_st_eq_landau_n_rt_1rt) x0 (l_e_symis l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_ts x0 y0) i) (l_e_st_eq_landau_n_rt_example1a x0) (l_e_st_eq_landau_n_rt_satz105f y0 l_e_st_eq_landau_n_rt_1rt x0 (l_e_st_eq_landau_n_rt_rp_4151_t1 ksi z0 lz x0 lx y0 ly i)) : l_e_st_eq_landau_n_rt_less z0 x0).

(* constant 2529 *)
definition l_e_st_eq_landau_n_rt_rp_4151_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp y0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 y0).(l_e_st_eq_landau_n_rt_rp_satz120 ksi x0 lx z0 (l_e_st_eq_landau_n_rt_rp_4151_t2 ksi z0 lz x0 lx y0 ly i) : l_e_st_eq_landau_n_rt_lrt ksi z0).

(* constant 2530 *)
definition l_e_st_eq_landau_n_rt_rp_4151_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp) z0.(l_e_st_eq_landau_n_rt_rp_tsapp ksi l_e_st_eq_landau_n_rt_rp_1rp z0 lz (l_e_st_eq_landau_n_rt_lrt ksi z0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp y.λv:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4151_t3 ksi z0 lz x t y u v) : l_e_st_eq_landau_n_rt_lrt ksi z0).

(* constant 2531 *)
definition l_e_st_eq_landau_n_rt_rp_4151_y1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) x0 : l_e_st_eq_landau_n_rt_rat).

(* constant 2532 *)
definition l_e_st_eq_landau_n_rt_rp_4151_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_e_st_eq_landau_n_rt_isless2 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) x1) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_rp_4151_y1 ksi x0 lx x1 lx1 l) (l_e_st_eq_landau_n_rt_satz110e l_e_st_eq_landau_n_rt_1rt x1) (l_e_st_eq_landau_n_rt_satz105f x0 x1 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) l) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_rp_4151_y1 ksi x0 lx x1 lx1 l) l_e_st_eq_landau_n_rt_1rt).

(* constant 2533 *)
definition l_e_st_eq_landau_n_rt_rp_4151_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_e_st_eq_landau_n_rt_rp_lrtrpofrt l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_rp_4151_y1 ksi x0 lx x1 lx1 l) (l_e_st_eq_landau_n_rt_rp_4151_t5 ksi x0 lx x1 lx1 l) : l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_4151_y1 ksi x0 lx x1 lx1 l)).

(* constant 2534 *)
definition l_e_st_eq_landau_n_rt_rp_4151_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_e_tr3is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts x1 (l_e_st_eq_landau_n_rt_rp_4151_y1 ksi x0 lx x1 lx1 l)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts x1 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1)) x0) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt x0) x0 (l_e_st_eq_landau_n_rt_assts2 x1 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) x0) (l_e_st_eq_landau_n_rt_ists1 (l_e_st_eq_landau_n_rt_ts x1 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1)) l_e_st_eq_landau_n_rt_1rt x0 (l_e_st_eq_landau_n_rt_satz110c l_e_st_eq_landau_n_rt_1rt x1)) (l_e_st_eq_landau_n_rt_example1c x0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x1 (l_e_st_eq_landau_n_rt_rp_4151_y1 ksi x0 lx x1 lx1 l)) x0).

(* constant 2535 *)
definition l_e_st_eq_landau_n_rt_rp_4151_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λl:l_e_st_eq_landau_n_rt_less x0 x1.(l_e_st_eq_landau_n_rt_rp_lrtts ksi l_e_st_eq_landau_n_rt_rp_1rp x0 x1 lx1 (l_e_st_eq_landau_n_rt_rp_4151_y1 ksi x0 lx x1 lx1 l) (l_e_st_eq_landau_n_rt_rp_4151_t6 ksi x0 lx x1 lx1 l) (l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts x1 (l_e_st_eq_landau_n_rt_rp_4151_y1 ksi x0 lx x1 lx1 l)) x0 (l_e_st_eq_landau_n_rt_rp_4151_t7 ksi x0 lx x1 lx1 l)) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp) x0).

(* constant 2536 *)
definition l_e_st_eq_landau_n_rt_rp_4151_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_e_st_eq_landau_n_rt_cutapp3 ksi x0 lx (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp) x0) (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi y.λu:l_e_st_eq_landau_n_rt_less x0 y.l_e_st_eq_landau_n_rt_rp_4151_t8 ksi x0 lx y t u) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp) x0).

(* constant 2537 *)
definition l_e_st_eq_landau_n_rt_rp_satz151 ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_isi1 (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp) ksi (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp) x.l_e_st_eq_landau_n_rt_rp_4151_t4 ksi x t) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.l_e_st_eq_landau_n_rt_rp_4151_t9 ksi x t) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp) ksi).

(* constant 2538 *)
definition l_e_st_eq_landau_n_rt_rp_satz151a ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp) ksi (l_e_st_eq_landau_n_rt_rp_satz151 ksi) : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp)).

(* constant 2539 *)
definition l_e_st_eq_landau_n_rt_rp_satz151b ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_1rp ksi) (l_e_st_eq_landau_n_rt_rp_ts ksi l_e_st_eq_landau_n_rt_rp_1rp) ksi (l_e_st_eq_landau_n_rt_rp_comts l_e_st_eq_landau_n_rt_rp_1rp ksi) (l_e_st_eq_landau_n_rt_rp_satz151 ksi) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_1rp ksi) ksi).

(* constant 2540 *)
definition l_e_st_eq_landau_n_rt_rp_satz151c ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_1rp ksi) ksi (l_e_st_eq_landau_n_rt_rp_satz151b ksi) : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_1rp ksi)).

(* constant 2541 *)
definition l_e_st_eq_landau_n_rt_rp_4152_invprop1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_and (l_e_st_eq_landau_n_rt_urt ksi y0) (l_e_st_eq_landau_n_rt_less y0 x0) : Prop).

(* constant 2542 *)
definition l_e_st_eq_landau_n_rt_rp_4152_invprop2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.(l_and3 (l_e_st_eq_landau_n_rt_urt ksi x0) (l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 x)) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)) : Prop).

(* constant 2543 *)
definition l_e_st_eq_landau_n_rt_rp_4152_invprop ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop2 ksi z0 x) : Prop).

(* constant 2544 *)
definition l_e_st_eq_landau_n_rt_rp_4152_inv ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_st_setof l_e_st_eq_landau_n_rt_rat (λz:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop ksi z) : l_e_st_set l_e_st_eq_landau_n_rt_rat).

(* constant 2545 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_andi (l_e_st_eq_landau_n_rt_urt ksi y0) (l_e_st_eq_landau_n_rt_less y0 x0) uy l : l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 y0).

(* constant 2546 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 x) y0 (l_e_st_eq_landau_n_rt_rp_4152_t1 ksi z0 x0 ux y0 uy l i) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 x)).

(* constant 2547 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_and3i (l_e_st_eq_landau_n_rt_urt ksi x0) (l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 x)) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)) ux (l_e_st_eq_landau_n_rt_rp_4152_t2 ksi z0 x0 ux y0 uy l i) i : l_e_st_eq_landau_n_rt_rp_4152_invprop2 ksi z0 x0).

(* constant 2548 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop2 ksi z0 x) x0 (l_e_st_eq_landau_n_rt_rp_4152_t3 ksi z0 x0 ux y0 uy l i) : l_e_st_eq_landau_n_rt_rp_4152_invprop ksi z0).

(* constant 2549 *)
definition l_e_st_eq_landau_n_rt_rp_4152_inv1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.λl:l_e_st_eq_landau_n_rt_less y0 x0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λz:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop ksi z) z0 (l_e_st_eq_landau_n_rt_rp_4152_t4 ksi z0 x0 ux y0 uy l i) : l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)).

(* constant 2550 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_less y x.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).p.(l_e_st_estie l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop ksi x) z0 i : l_e_st_eq_landau_n_rt_rp_4152_invprop ksi z0).

(* constant 2551 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_less y x.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_rp_4152_invprop2 ksi z0 x0.(l_and3e1 (l_e_st_eq_landau_n_rt_urt ksi x0) (l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 x)) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)) px : l_e_st_eq_landau_n_rt_urt ksi x0).

(* constant 2552 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_less y x.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_rp_4152_invprop2 ksi z0 x0.(l_and3e2 (l_e_st_eq_landau_n_rt_urt ksi x0) (l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 x)) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)) px : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 x)).

(* constant 2553 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_less y x.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_rp_4152_invprop2 ksi z0 x0.(l_and3e3 (l_e_st_eq_landau_n_rt_urt ksi x0) (l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 x)) (l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)) px : l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)).

(* constant 2554 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_less y x.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_rp_4152_invprop2 ksi z0 x0.λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 y0.(l_ande1 (l_e_st_eq_landau_n_rt_urt ksi y0) (l_e_st_eq_landau_n_rt_less y0 x0) py : l_e_st_eq_landau_n_rt_urt ksi y0).

(* constant 2555 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_less y x.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_rp_4152_invprop2 ksi z0 x0.λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 y0.(l_ande2 (l_e_st_eq_landau_n_rt_urt ksi y0) (l_e_st_eq_landau_n_rt_less y0 x0) py : l_e_st_eq_landau_n_rt_less y0 x0).

(* constant 2556 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_less y x.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_rp_4152_invprop2 ksi z0 x0.λy0:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 y0.(p1 x0 (l_e_st_eq_landau_n_rt_rp_4152_t6 ksi z0 i p p1 x0 px) y0 (l_e_st_eq_landau_n_rt_rp_4152_t9 ksi z0 i p p1 x0 px y0 py) (l_e_st_eq_landau_n_rt_rp_4152_t10 ksi z0 i p p1 x0 px y0 py) (l_e_st_eq_landau_n_rt_rp_4152_t8 ksi z0 i p p1 x0 px) : p).

(* constant 2557 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_less y x.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).p.λx0:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_rp_4152_invprop2 ksi z0 x0.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 x) (l_e_st_eq_landau_n_rt_rp_4152_t7 ksi z0 i p p1 x0 px) p (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_4152_invprop1 ksi x0 x.l_e_st_eq_landau_n_rt_rp_4152_t11 ksi z0 i p p1 x0 px x t) : p).

(* constant 2558 *)
definition l_e_st_eq_landau_n_rt_rp_4152_invapp ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_urt ksi x.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_urt ksi y.∀v:l_e_st_eq_landau_n_rt_less y x.∀w:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).p.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_4152_invprop2 ksi z0 x) (l_e_st_eq_landau_n_rt_rp_4152_t5 ksi z0 i p p1) p (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_4152_invprop2 ksi z0 x.l_e_st_eq_landau_n_rt_rp_4152_t12 ksi z0 i p p1 x t) : p).

(* constant 2559 *)
definition l_e_st_eq_landau_n_rt_rp_4152_2x0 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.(l_e_st_eq_landau_n_rt_pl x0 x0 : l_e_st_eq_landau_n_rt_rat).

(* constant 2560 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.(l_e_st_eq_landau_n_rt_satz94a x0 x0 : l_e_st_eq_landau_n_rt_less x0 (l_e_st_eq_landau_n_rt_rp_4152_2x0 ksi x0 ux)).

(* constant 2561 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.(l_e_st_eq_landau_n_rt_rp_satz119a ksi x0 ux (l_e_st_eq_landau_n_rt_rp_4152_2x0 ksi x0 ux) (l_e_st_eq_landau_n_rt_rp_4152_t13 ksi x0 ux) : l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_rp_4152_2x0 ksi x0 ux)).

(* constant 2562 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t15 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.(l_e_st_eq_landau_n_rt_rp_4152_inv1 ksi (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_rp_4152_2x0 ksi x0 ux)) (l_e_st_eq_landau_n_rt_rp_4152_2x0 ksi x0 ux) (l_e_st_eq_landau_n_rt_rp_4152_t14 ksi x0 ux) x0 ux (l_e_st_eq_landau_n_rt_rp_4152_t13 ksi x0 ux) (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_rp_4152_2x0 ksi x0 ux))) : l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_rp_4152_2x0 ksi x0 ux)) (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)).

(* constant 2563 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t16 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x1.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.(l_imp_th3 (l_e_st_eq_landau_n_rt_is x0 x1) (l_e_st_eq_landau_n_rt_lrt ksi x0) ux (λt:l_e_st_eq_landau_n_rt_is x0 x1.l_e_isp1 l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_lrt ksi x) x1 x0 lx t) : l_e_st_eq_landau_n_rt_nis x0 x1).

(* constant 2564 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t17 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x1.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.(l_e_st_eq_landau_n_rt_satz110e l_e_st_eq_landau_n_rt_1rt x0 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x0) l_e_st_eq_landau_n_rt_1rt).

(* constant 2565 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t18 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x1.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.(l_e_st_eq_landau_n_rt_satz110e l_e_st_eq_landau_n_rt_1rt x1 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) x1) l_e_st_eq_landau_n_rt_1rt).

(* constant 2566 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t19 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x1.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1).(l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x1) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) x1) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ists1 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) x1 i) (l_e_st_eq_landau_n_rt_rp_4152_t18 ksi x1 lx x0 ux) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x1) l_e_st_eq_landau_n_rt_1rt).

(* constant 2567 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t20 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x1.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1).(l_e_st_eq_landau_n_rt_satz110b l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x0 x1 (l_e_st_eq_landau_n_rt_rp_4152_t17 ksi x1 lx x0 ux) (l_e_st_eq_landau_n_rt_rp_4152_t19 ksi x1 lx x0 ux i) : l_e_st_eq_landau_n_rt_is x0 x1).

(* constant 2568 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t21 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x1.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.(l_imp_th3 (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1)) (l_e_st_eq_landau_n_rt_is x0 x1) (l_e_st_eq_landau_n_rt_rp_4152_t16 ksi x1 lx x0 ux) (λt:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1).l_e_st_eq_landau_n_rt_rp_4152_t20 ksi x1 lx x0 ux t) : l_e_st_eq_landau_n_rt_nis (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1)).

(* constant 2569 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t22 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x1.λi:l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).(l_e_st_eq_landau_n_rt_rp_4152_invapp ksi (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) i l_con (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_urt ksi y.λv:l_e_st_eq_landau_n_rt_less y x.λw:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).l_e_st_eq_landau_n_rt_rp_4152_t21 ksi x1 lx x t (l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x) w)) : l_con).

(* constant 2570 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t23 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx1:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x1.(λt:l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).l_e_st_eq_landau_n_rt_rp_4152_t22 ksi x1 lx t : l_not (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) (l_e_st_eq_landau_n_rt_rp_4152_inv ksi))).

(* constant 2571 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t24 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_e_st_eq_landau_n_rt_isless2 z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) u0 j l : l_e_st_eq_landau_n_rt_less u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)).

(* constant 2572 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t25 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x0) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ts u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0)) (l_e_st_eq_landau_n_rt_satz110e l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_satz110d l_e_st_eq_landau_n_rt_1rt u0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x0) (l_e_st_eq_landau_n_rt_ts u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0))).

(* constant 2573 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t26 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_e_st_eq_landau_n_rt_isless2 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x0) (l_e_st_eq_landau_n_rt_ts u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0)) (l_e_st_eq_landau_n_rt_ts u0 x0) (l_e_st_eq_landau_n_rt_rp_4152_t25 ksi z0 i u0 l x0 ux j) (l_e_st_eq_landau_n_rt_satz105c u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x0 (l_e_st_eq_landau_n_rt_rp_4152_t24 ksi z0 i u0 l x0 ux j)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts u0 x0) (l_e_st_eq_landau_n_rt_ts u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0))).

(* constant 2574 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t27 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_e_st_eq_landau_n_rt_isless12 (l_e_st_eq_landau_n_rt_ts u0 x0) (l_e_st_eq_landau_n_rt_ts x0 u0) (l_e_st_eq_landau_n_rt_ts u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) u0) (l_e_st_eq_landau_n_rt_comts u0 x0) (l_e_st_eq_landau_n_rt_comts u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0)) (l_e_st_eq_landau_n_rt_rp_4152_t26 ksi z0 i u0 l x0 ux j) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 u0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) u0)).

(* constant 2575 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t28 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_e_st_eq_landau_n_rt_satz106c x0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) u0 (l_e_st_eq_landau_n_rt_rp_4152_t27 ksi z0 i u0 l x0 ux j) : l_e_st_eq_landau_n_rt_less x0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0)).

(* constant 2576 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t29 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_e_st_eq_landau_n_rt_rp_satz119a ksi x0 ux (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) (l_e_st_eq_landau_n_rt_rp_4152_t28 ksi z0 i u0 l x0 ux j) : l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0)).

(* constant 2577 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t30 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_e_st_eq_landau_n_rt_satz110e l_e_st_eq_landau_n_rt_1rt u0 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) u0) l_e_st_eq_landau_n_rt_1rt).

(* constant 2578 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t31 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_e_st_eq_landau_n_rt_satz110g l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) u0 (l_e_st_eq_landau_n_rt_rp_4152_t30 ksi z0 i u0 l x0 ux j) : l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0))).

(* constant 2579 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t32 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_e_st_eq_landau_n_rt_rp_4152_inv1 ksi u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) (l_e_st_eq_landau_n_rt_rp_4152_t29 ksi z0 i u0 l x0 ux j) x0 ux (l_e_st_eq_landau_n_rt_rp_4152_t28 ksi z0 i u0 l x0 ux j) (l_e_st_eq_landau_n_rt_rp_4152_t31 ksi z0 i u0 l x0 ux j) : l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)).

(* constant 2580 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t33 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λu0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less u0 z0.(l_e_st_eq_landau_n_rt_rp_4152_invapp ksi z0 i (l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_urt ksi y.λv:l_e_st_eq_landau_n_rt_less y x.λw:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).l_e_st_eq_landau_n_rt_rp_4152_t32 ksi z0 i u0 l x t w) : l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)).

(* constant 2581 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t34 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_e_st_eq_landau_n_rt_satz91 x1 x0 l : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_less x1 x) (l_e_st_eq_landau_n_rt_less x x0))).

(* constant 2582 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t35 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).λx2:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0).(l_ande1 (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0) a : l_e_st_eq_landau_n_rt_less x1 x2).

(* constant 2583 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t36 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).λx2:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0).(l_e_st_eq_landau_n_rt_rp_satz119a ksi x1 ux1 x2 (l_e_st_eq_landau_n_rt_rp_4152_t35 ksi z0 i x0 ux x1 ux1 l j x2 a) : l_e_st_eq_landau_n_rt_urt ksi x2).

(* constant 2584 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t37 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).λx2:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0).(l_e_st_eq_landau_n_rt_rp_4152_inv1 ksi (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) x2 (l_e_st_eq_landau_n_rt_rp_4152_t36 ksi z0 i x0 ux x1 ux1 l j x2 a) x1 ux1 (l_e_st_eq_landau_n_rt_rp_4152_t35 ksi z0 i x0 ux x1 ux1 l j x2 a) (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2)) : l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)).

(* constant 2585 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t38 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).λx2:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0).(l_ande2 (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0) a : l_e_st_eq_landau_n_rt_less x2 x0).

(* constant 2586 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t39 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).λx2:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0).(l_e_tris l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ts x2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2)) (l_e_st_eq_landau_n_rt_satz110c l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_satz110d l_e_st_eq_landau_n_rt_1rt x2) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)) (l_e_st_eq_landau_n_rt_ts x2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2))).

(* constant 2587 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t40 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).λx2:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0).(l_e_st_eq_landau_n_rt_isless2 (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)) (l_e_st_eq_landau_n_rt_ts x2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2)) (l_e_st_eq_landau_n_rt_ts x2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)) (l_e_st_eq_landau_n_rt_rp_4152_t39 ksi z0 i x0 ux x1 ux1 l j x2 a) (l_e_st_eq_landau_n_rt_satz105c x2 x0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_rp_4152_t38 ksi z0 i x0 ux x1 ux1 l j x2 a)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)) (l_e_st_eq_landau_n_rt_ts x2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2))).

(* constant 2588 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t41 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).λx2:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0).(l_e_st_eq_landau_n_rt_isless12 (l_e_st_eq_landau_n_rt_ts x2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x2) (l_e_st_eq_landau_n_rt_ts x2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) x2) (l_e_st_eq_landau_n_rt_comts x2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0)) (l_e_st_eq_landau_n_rt_comts x2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2)) (l_e_st_eq_landau_n_rt_rp_4152_t40 ksi z0 i x0 ux x1 ux1 l j x2 a) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) x2) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) x2)).

(* constant 2589 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t42 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).λx2:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0).(l_e_st_eq_landau_n_rt_satz106c (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) x2 (l_e_st_eq_landau_n_rt_rp_4152_t41 ksi z0 i x0 ux x1 ux1 l j x2 a) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2)).

(* constant 2590 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t43 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).λx2:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0).(l_e_st_eq_landau_n_rt_ismore2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) (l_e_symis l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) j) (l_e_st_eq_landau_n_rt_satz83 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) (l_e_st_eq_landau_n_rt_rp_4152_t42 ksi z0 i x0 ux x1 ux1 l j x2 a)) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) z0).

(* constant 2591 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t44 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).λx2:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0).(l_andi (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) z0) (l_e_st_eq_landau_n_rt_rp_4152_t37 ksi z0 i x0 ux x1 ux1 l j x2 a) (l_e_st_eq_landau_n_rt_rp_4152_t43 ksi z0 i x0 ux x1 ux1 l j x2 a) : l_and (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) z0)).

(* constant 2592 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t45 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).λx2:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less x1 x2) (l_e_st_eq_landau_n_rt_less x2 x0).(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)) (l_e_st_eq_landau_n_rt_more x z0)) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x2) (l_e_st_eq_landau_n_rt_rp_4152_t44 ksi z0 i x0 ux x1 ux1 l j x2 a) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)) (l_e_st_eq_landau_n_rt_more x z0))).

(* constant 2593 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t46 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λux1:l_e_st_eq_landau_n_rt_urt ksi x1.λl:l_e_st_eq_landau_n_rt_less x1 x0.λj:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0).(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_less x1 x) (l_e_st_eq_landau_n_rt_less x x0)) (l_e_st_eq_landau_n_rt_rp_4152_t34 ksi z0 i x0 ux x1 ux1 l j) (l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)) (l_e_st_eq_landau_n_rt_more x z0))) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_and (l_e_st_eq_landau_n_rt_less x1 x) (l_e_st_eq_landau_n_rt_less x x0).l_e_st_eq_landau_n_rt_rp_4152_t45 ksi z0 i x0 ux x1 ux1 l j x t) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)) (l_e_st_eq_landau_n_rt_more x z0))).

(* constant 2594 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t47 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in z0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).(l_e_st_eq_landau_n_rt_rp_4152_invapp ksi z0 i (l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)) (l_e_st_eq_landau_n_rt_more x z0))) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_urt ksi y.λv:l_e_st_eq_landau_n_rt_less y x.λw:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).l_e_st_eq_landau_n_rt_rp_4152_t46 ksi z0 i x t y u v w) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)) (l_e_st_eq_landau_n_rt_more x z0))).

(* constant 2595 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t48 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.(l_e_st_eq_landau_n_rt_cut2 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_pl y0 y0)) (l_e_st_eq_landau_n_rt_rp_4152_t15 ksi y0 uy) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x0) (l_e_st_eq_landau_n_rt_rp_4152_t23 ksi x0 lx) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_rp_4152_t33 ksi x t y u) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_4152_inv ksi).l_e_st_eq_landau_n_rt_rp_4152_t47 ksi x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)).

(* constant 2596 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t49 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_e_st_eq_landau_n_rt_cutapp1b ksi (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.l_e_st_eq_landau_n_rt_rp_4152_t48 ksi x0 lx x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)).

(* constant 2597 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t50 ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_cutapp1a ksi (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.l_e_st_eq_landau_n_rt_rp_4152_t49 ksi x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)).

(* constant 2598 *)
definition l_e_st_eq_landau_n_rt_rp_4152_chi ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_cutof (l_e_st_eq_landau_n_rt_rp_4152_inv ksi) (l_e_st_eq_landau_n_rt_rp_4152_t50 ksi) : l_e_st_eq_landau_n_rt_cut).

(* constant 2599 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t51 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_4152_chi ksi) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 u0).λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1).(l_e_tris l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_ts x0 u0) (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1)) i (l_e_st_eq_landau_n_rt_ists2 u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) x0 j) : l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1))).

(* constant 2600 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t52 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_4152_chi ksi) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 u0).λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1).(l_e_st_eq_landau_n_rt_cutapp2a ksi x0 lx x1 ux : l_e_st_eq_landau_n_rt_less x0 x1).

(* constant 2601 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t53 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_4152_chi ksi) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 u0).λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1).(l_e_st_eq_landau_n_rt_isless12 (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1)) z0 (l_e_st_eq_landau_n_rt_ts x1 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1)) l_e_st_eq_landau_n_rt_1rt (l_e_symis l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1)) (l_e_st_eq_landau_n_rt_rp_4152_t51 ksi z0 lz x0 lx u0 lu i x1 ux j)) (l_e_st_eq_landau_n_rt_satz110c l_e_st_eq_landau_n_rt_1rt x1) (l_e_st_eq_landau_n_rt_satz105c x0 x1 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1) (l_e_st_eq_landau_n_rt_rp_4152_t52 ksi z0 lz x0 lx u0 lu i x1 ux j)) : l_e_st_eq_landau_n_rt_less z0 l_e_st_eq_landau_n_rt_1rt).

(* constant 2602 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t54 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_4152_chi ksi) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 u0).λx1:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x1.λj:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x1).(l_e_st_eq_landau_n_rt_rp_lrtrpofrt l_e_st_eq_landau_n_rt_1rt z0 (l_e_st_eq_landau_n_rt_rp_4152_t53 ksi z0 lz x0 lx u0 lu i x1 ux j) : l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp z0).

(* constant 2603 *)
definition l_e_st_eq_landau_n_rt_rp_4152_r1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_4152_chi ksi) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 u0).(l_e_st_eq_landau_n_rt_rp_ini (l_e_st_eq_landau_n_rt_rp_4152_inv ksi) (l_e_st_eq_landau_n_rt_rp_4152_t50 ksi) u0 lu : l_e_st_eq_landau_n_rt_in u0 (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)).

(* constant 2604 *)
definition l_e_st_eq_landau_n_rt_rp_4152_r2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) z0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_4152_chi ksi) u0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x0 u0).(l_e_st_eq_landau_n_rt_rp_4152_invapp ksi u0 (l_e_st_eq_landau_n_rt_rp_4152_r1 ksi z0 lz x0 lx u0 lu i) (l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp z0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_urt ksi y.λv:l_e_st_eq_landau_n_rt_less y x.λw:l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt x).l_e_st_eq_landau_n_rt_rp_4152_t54 ksi z0 lz x0 lx u0 lu i x t w) : l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp z0).

(* constant 2605 *)
definition l_e_st_eq_landau_n_rt_rp_4152_r3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) z0.(l_e_st_eq_landau_n_rt_rp_tsapp ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi) z0 lz (l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp z0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_4152_chi ksi) y.λv:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_4152_r2 ksi z0 lz x t y u v) : l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp z0).

(* constant 2606 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t55 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.(l_e_st_eq_landau_n_rt_rp_lrtrpofrte l_e_st_eq_landau_n_rt_1rt u0 lu : l_e_st_eq_landau_n_rt_less u0 l_e_st_eq_landau_n_rt_1rt).

(* constant 2607 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t56 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.(l_e_st_eq_landau_n_rt_satz83 u0 l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_rp_4152_t55 ksi u0 lu) : l_e_st_eq_landau_n_rt_more l_e_st_eq_landau_n_rt_1rt u0).

(* constant 2608 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t57 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.(l_e_st_eq_landau_n_rt_cutapp2b ksi x1 lx1 x2 ux2 : l_e_st_eq_landau_n_rt_more x2 x1).

(* constant 2609 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t58 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_cutapp2a ksi x0 lx x2 ux2 : l_e_st_eq_landau_n_rt_less x0 x2).

(* constant 2610 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t59 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_satz105f x0 x2 (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) (l_e_st_eq_landau_n_rt_rp_4152_t58 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x2)).

(* constant 2611 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t60 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_isless1 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0) (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x2) (l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0) i) (l_e_st_eq_landau_n_rt_rp_4152_t59 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x2)).

(* constant 2612 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t61 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_tr4is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x2) (l_e_st_eq_landau_n_rt_ts u0 x2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) u0) x2) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt x2) x2 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) x1) (l_e_st_eq_landau_n_rt_distpt1 (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) u0 x2) (l_e_st_eq_landau_n_rt_ists1 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) u0) l_e_st_eq_landau_n_rt_1rt x2 (l_e_st_eq_landau_n_rt_satz101e l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu))) (l_e_st_eq_landau_n_rt_example1c x2) (l_e_st_eq_landau_n_rt_satz101f x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x2) (l_e_st_eq_landau_n_rt_ts u0 x2)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) x1)).

(* constant 2613 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t62 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_satz96c (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x2) (l_e_st_eq_landau_n_rt_ts u0 x2) (l_e_st_eq_landau_n_rt_rp_4152_t60 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts u0 x2)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x2) (l_e_st_eq_landau_n_rt_ts u0 x2))).

(* constant 2614 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t63 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_isless2 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x2) (l_e_st_eq_landau_n_rt_ts u0 x2)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) x1) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts u0 x2)) (l_e_st_eq_landau_n_rt_rp_4152_t61 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) (l_e_st_eq_landau_n_rt_rp_4152_t62 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts u0 x2)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) x1)).

(* constant 2615 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t64 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_isless12 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts u0 x2)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts u0 x2) (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2))) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) x1) (l_e_st_eq_landau_n_rt_pl x1 (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2))) (l_e_st_eq_landau_n_rt_compl (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts u0 x2)) (l_e_st_eq_landau_n_rt_compl (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) x1) (l_e_st_eq_landau_n_rt_rp_4152_t63 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts u0 x2) (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2))) (l_e_st_eq_landau_n_rt_pl x1 (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)))).

(* constant 2616 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t65 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_satz97c (l_e_st_eq_landau_n_rt_ts u0 x2) x1 (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_rp_4152_t64 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts u0 x2) x1).

(* constant 2617 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t66 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_tr3is l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) (l_e_st_eq_landau_n_rt_ts u0 x2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) u0) x2) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt x2) x2 (l_e_st_eq_landau_n_rt_assts2 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) u0 x2) (l_e_st_eq_landau_n_rt_ists1 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) u0) l_e_st_eq_landau_n_rt_1rt x2 (l_e_st_eq_landau_n_rt_satz110e l_e_st_eq_landau_n_rt_1rt u0)) (l_e_st_eq_landau_n_rt_example1c x2) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) (l_e_st_eq_landau_n_rt_ts u0 x2)) x2).

(* constant 2618 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t67 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_isless12 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) (l_e_st_eq_landau_n_rt_ts u0 x2)) x2 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) x1) (l_e_st_eq_landau_n_rt_ov x1 u0) (l_e_st_eq_landau_n_rt_rp_4152_t66 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) (l_e_st_eq_landau_n_rt_satz141b x1 u0) (l_e_st_eq_landau_n_rt_satz105f (l_e_st_eq_landau_n_rt_ts u0 x2) x1 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt u0) (l_e_st_eq_landau_n_rt_rp_4152_t65 ksi u0 lu x0 lx x1 lx1 x2 ux2 i)) : l_e_st_eq_landau_n_rt_less x2 (l_e_st_eq_landau_n_rt_ov x1 u0)).

(* constant 2619 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t68 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_rp_satz119a ksi x2 ux2 (l_e_st_eq_landau_n_rt_ov x1 u0) (l_e_st_eq_landau_n_rt_rp_4152_t67 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) : l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_ov x1 u0)).

(* constant 2620 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t69 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_satz110e x1 u0 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov x1 u0) u0) x1).

(* constant 2621 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t70 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_tr3is l_e_st_eq_landau_n_rt_rat u0 (l_e_st_eq_landau_n_rt_ov x1 (l_e_st_eq_landau_n_rt_ov x1 u0)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov x1 u0)) x1) (l_e_st_eq_landau_n_rt_ts x1 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov x1 u0))) (l_e_st_eq_landau_n_rt_satz110g x1 (l_e_st_eq_landau_n_rt_ov x1 u0) u0 (l_e_st_eq_landau_n_rt_rp_4152_t69 ksi u0 lu x0 lx x1 lx1 x2 ux2 i)) (l_e_st_eq_landau_n_rt_satz141c x1 (l_e_st_eq_landau_n_rt_ov x1 u0)) (l_e_st_eq_landau_n_rt_comts (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov x1 u0)) x1) : l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts x1 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov x1 u0)))).

(* constant 2622 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t71 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_rp_4152_inv1 ksi (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov x1 u0)) (l_e_st_eq_landau_n_rt_ov x1 u0) (l_e_st_eq_landau_n_rt_rp_4152_t68 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) x2 ux2 (l_e_st_eq_landau_n_rt_rp_4152_t67 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov x1 u0))) : l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov x1 u0)) (l_e_st_eq_landau_n_rt_rp_4152_inv ksi)).

(* constant 2623 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t72 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_rp_ine (l_e_st_eq_landau_n_rt_rp_4152_inv ksi) (l_e_st_eq_landau_n_rt_rp_4152_t50 ksi) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov x1 u0)) (l_e_st_eq_landau_n_rt_rp_4152_t71 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_4152_chi ksi) (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov x1 u0))).

(* constant 2624 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t73 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt ksi x1.λx2:l_e_st_eq_landau_n_rt_rat.λux2:l_e_st_eq_landau_n_rt_urt ksi x2.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn x2 x1 (l_e_st_eq_landau_n_rt_rp_4152_t57 ksi u0 lu x0 lx x1 lx1 x2 ux2)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).(l_e_st_eq_landau_n_rt_rp_lrtts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi) u0 x1 lx1 (l_e_st_eq_landau_n_rt_ov l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_ov x1 u0)) (l_e_st_eq_landau_n_rt_rp_4152_t72 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) (l_e_st_eq_landau_n_rt_rp_4152_t70 ksi u0 lu x0 lx x1 lx1 x2 ux2 i) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) u0).

(* constant 2625 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t74 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_e_st_eq_landau_n_rt_rp_satz132app ksi (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) u0) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_urt ksi y.λv:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn y x (l_e_st_eq_landau_n_rt_cutapp2b ksi x t y u)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_mn l_e_st_eq_landau_n_rt_1rt u0 (l_e_st_eq_landau_n_rt_rp_4152_t56 ksi u0 lu)) x0).l_e_st_eq_landau_n_rt_rp_4152_t73 ksi u0 lu x0 lx x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) u0).

(* constant 2626 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t75 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp u0.(l_e_st_eq_landau_n_rt_cutapp1a ksi (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.l_e_st_eq_landau_n_rt_rp_4152_t74 ksi u0 lu x t) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) u0).

(* constant 2627 *)
definition l_e_st_eq_landau_n_rt_rp_4152_t76 ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_isi1 (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) l_e_st_eq_landau_n_rt_rp_1rp (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) x.l_e_st_eq_landau_n_rt_rp_4152_r3 ksi x t) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt l_e_st_eq_landau_n_rt_rp_1rp x.l_e_st_eq_landau_n_rt_rp_4152_t75 ksi x t) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_4152_chi ksi)) l_e_st_eq_landau_n_rt_rp_1rp).

(* constant 2628 *)
definition l_e_st_eq_landau_n_rt_rp_satz152 ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_somei l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi t) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_4152_chi ksi) (l_e_st_eq_landau_n_rt_rp_4152_t76 ksi) : l_e_st_eq_landau_n_rt_rp_some (λc:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi c) l_e_st_eq_landau_n_rt_rp_1rp)).

(* constant 2629 *)
definition l_e_st_eq_landau_n_rt_rp_4153_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more phi psi.(l_e_st_eq_landau_n_rt_rp_satz145d phi psi eta m : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)).

(* constant 2630 *)
definition l_e_st_eq_landau_n_rt_rp_4153_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more phi psi.(l_ec3e21 (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)) (l_e_st_eq_landau_n_rt_rp_satz123b (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)) (l_e_st_eq_landau_n_rt_rp_4153_t1 ksi eta phi psi m) : l_e_st_eq_landau_n_rt_rp_nis (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)).

(* constant 2631 *)
definition l_e_st_eq_landau_n_rt_rp_4153_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less phi psi.(l_e_st_eq_landau_n_rt_rp_satz145f phi psi eta l : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)).

(* constant 2632 *)
definition l_e_st_eq_landau_n_rt_rp_4153_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less phi psi.(l_ec3e31 (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)) (l_e_st_eq_landau_n_rt_rp_satz123b (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)) (l_e_st_eq_landau_n_rt_rp_4153_t3 ksi eta phi psi l) : l_e_st_eq_landau_n_rt_rp_nis (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)).

(* constant 2633 *)
definition l_e_st_eq_landau_n_rt_rp_4153_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_nis phi psi.(l_or3_th1 (l_e_st_eq_landau_n_rt_rp_is phi psi) (l_e_st_eq_landau_n_rt_rp_more phi psi) (l_e_st_eq_landau_n_rt_rp_less phi psi) (l_e_st_eq_landau_n_rt_rp_satz123a phi psi) n : l_or (l_e_st_eq_landau_n_rt_rp_more phi psi) (l_e_st_eq_landau_n_rt_rp_less phi psi)).

(* constant 2634 *)
definition l_e_st_eq_landau_n_rt_rp_4153_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_nis phi psi.(l_orapp (l_e_st_eq_landau_n_rt_rp_more phi psi) (l_e_st_eq_landau_n_rt_rp_less phi psi) (l_e_st_eq_landau_n_rt_rp_nis (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)) (l_e_st_eq_landau_n_rt_rp_4153_t5 ksi eta phi psi n) (λt:l_e_st_eq_landau_n_rt_rp_more phi psi.l_e_st_eq_landau_n_rt_rp_4153_t2 ksi eta phi psi t) (λt:l_e_st_eq_landau_n_rt_rp_less phi psi.l_e_st_eq_landau_n_rt_rp_4153_t4 ksi eta phi psi t) : l_e_st_eq_landau_n_rt_rp_nis (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)).

(* constant 2635 *)
definition l_e_st_eq_landau_n_rt_rp_satz153b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λpsi:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta phi) ksi.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta psi) ksi.(l_imp_th7 (l_e_st_eq_landau_n_rt_rp_is phi psi) (l_e_st_eq_landau_n_rt_rp_nis (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)) (l_weli (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi)) (l_e_tris2 l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts eta phi) (l_e_st_eq_landau_n_rt_rp_ts eta psi) ksi i j)) (λt:l_e_st_eq_landau_n_rt_rp_nis phi psi.l_e_st_eq_landau_n_rt_rp_4153_t6 ksi eta phi psi t) : l_e_st_eq_landau_n_rt_rp_is phi psi).

(* constant 2636 *)
definition l_e_st_eq_landau_n_rt_rp_4153_chi ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λtau:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta tau) l_e_st_eq_landau_n_rt_rp_1rp.(l_e_st_eq_landau_n_rt_rp_ts tau ksi : l_e_st_eq_landau_n_rt_cut).

(* constant 2637 *)
definition l_e_st_eq_landau_n_rt_rp_4153_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λtau:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta tau) l_e_st_eq_landau_n_rt_rp_1rp.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_4153_chi ksi eta tau i)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts eta tau) ksi) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_1rp ksi) ksi (l_e_st_eq_landau_n_rt_rp_assts2 eta tau ksi) (l_e_st_eq_landau_n_rt_rp_ists1 (l_e_st_eq_landau_n_rt_rp_ts eta tau) l_e_st_eq_landau_n_rt_rp_1rp ksi i) (l_e_st_eq_landau_n_rt_rp_satz151b ksi) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_4153_chi ksi eta tau i)) ksi).

(* constant 2638 *)
definition l_e_st_eq_landau_n_rt_rp_4153_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λtau:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta tau) l_e_st_eq_landau_n_rt_rp_1rp.(l_somei l_e_st_eq_landau_n_rt_cut (λc:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta c) ksi) (l_e_st_eq_landau_n_rt_rp_4153_chi ksi eta tau i) (l_e_st_eq_landau_n_rt_rp_4153_t7 ksi eta tau i) : l_e_st_eq_landau_n_rt_rp_some (λc:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta c) ksi)).

(* constant 2639 *)
definition l_e_st_eq_landau_n_rt_rp_satz153a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_someapp l_e_st_eq_landau_n_rt_cut (λc:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta c) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_satz152 eta) (l_e_st_eq_landau_n_rt_rp_some (λc:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta c) ksi)) (λc:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta c) l_e_st_eq_landau_n_rt_rp_1rp.l_e_st_eq_landau_n_rt_rp_4153_t8 ksi eta c t) : l_e_st_eq_landau_n_rt_rp_some (λc:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta c) ksi)).

(* constant 2640 *)
definition l_e_st_eq_landau_n_rt_rp_4153_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(λc:l_e_st_eq_landau_n_rt_cut.λd:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta c) ksi.λu:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta d) ksi.l_e_st_eq_landau_n_rt_rp_satz153b ksi eta c d t u : l_e_amone l_e_st_eq_landau_n_rt_cut (λc:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta c) ksi)).

(* constant 2641 *)
definition l_e_st_eq_landau_n_rt_rp_satz153 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_onei l_e_st_eq_landau_n_rt_cut (λc:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta c) ksi) (l_e_st_eq_landau_n_rt_rp_4153_t9 ksi eta) (l_e_st_eq_landau_n_rt_rp_satz153a ksi eta) : l_e_st_eq_landau_n_rt_rp_one (λc:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta c) ksi)).

(* constant 2642 *)
definition l_e_st_eq_landau_n_rt_rp_ov ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_ind l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta a) ksi) (l_e_st_eq_landau_n_rt_rp_satz153 ksi eta) : l_e_st_eq_landau_n_rt_cut).

(* constant 2643 *)
definition l_e_st_eq_landau_n_rt_rp_satz153c ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_oneax l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta a) ksi) (l_e_st_eq_landau_n_rt_rp_satz153 ksi eta) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_ov ksi eta)) ksi).

(* constant 2644 *)
definition l_e_st_eq_landau_n_rt_rp_satz153d ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_ov ksi eta)) ksi (l_e_st_eq_landau_n_rt_rp_satz153c ksi eta) : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_ov ksi eta))).

(* constant 2645 *)
definition l_e_st_eq_landau_n_rt_rp_satz153e ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ov ksi eta) eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_ov ksi eta)) ksi (l_e_st_eq_landau_n_rt_rp_comts (l_e_st_eq_landau_n_rt_rp_ov ksi eta) eta) (l_e_st_eq_landau_n_rt_rp_satz153c ksi eta) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ov ksi eta) eta) ksi).

(* constant 2646 *)
definition l_e_st_eq_landau_n_rt_rp_satz153f ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ov ksi eta) eta) ksi (l_e_st_eq_landau_n_rt_rp_satz153e ksi eta) : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ov ksi eta) eta)).

(* constant 2647 *)
definition l_e_st_eq_landau_n_rt_rp_satz153g ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λphi:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts eta phi) ksi.(l_e_st_eq_landau_n_rt_rp_satz153b ksi eta phi (l_e_st_eq_landau_n_rt_rp_ov ksi eta) i (l_e_st_eq_landau_n_rt_rp_satz153c ksi eta) : l_e_st_eq_landau_n_rt_rp_is phi (l_e_st_eq_landau_n_rt_rp_ov ksi eta)).

(* constant 2648 *)
definition l_e_st_eq_landau_n_rt_rp_ratrp ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_image l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_rpofrt x) ksi : Prop).

(* constant 2649 *)
definition l_e_st_eq_landau_n_rt_rp_ratrpi ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_imagei l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_rpofrt x) x0 : l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).

(* constant 2650 *)
definition l_e_st_eq_landau_n_rt_rp_rpofnt ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rtofn x) : l_e_st_eq_landau_n_rt_cut).

(* constant 2651 *)
definition l_e_st_eq_landau_n_rt_rp_natrp ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_image l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_rpofnt x) ksi : Prop).

(* constant 2652 *)
definition l_e_st_eq_landau_n_rt_rp_natrpi ≝ λx:l_e_st_eq_landau_n_nat.(l_e_imagei l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_cut (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_rpofnt y) x : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofnt x)).

(* constant 2653 *)
definition l_e_st_eq_landau_n_rt_rp_iii5_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_natrp ksi.λx:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_rpofnt x).(l_somei l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_rpofrt y)) (l_e_st_eq_landau_n_rt_rtofn x) i : l_e_st_eq_landau_n_rt_rp_ratrp ksi).

(* constant 2654 *)
definition l_e_st_eq_landau_n_rt_rp_lemmaiii5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_natrp ksi.(l_someapp l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_rpofnt x)) n (l_e_st_eq_landau_n_rt_rp_ratrp ksi) (λx:l_e_st_eq_landau_n_nat.λt:l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_rpofnt x).l_e_st_eq_landau_n_rt_rp_iii5_t1 ksi n x t) : l_e_st_eq_landau_n_rt_rp_ratrp ksi).

(* constant 2655 *)
definition l_e_st_eq_landau_n_rt_rp_5154_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_rp_lrtrpofrt x0 y0 (l_e_st_eq_landau_n_rt_satz82 x0 y0 m) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) y0).

(* constant 2656 *)
definition l_e_st_eq_landau_n_rt_rp_5154_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_rp_urtrpofrt y0 y0 (l_e_st_eq_landau_n_rt_moreisi2 y0 y0 (l_e_refis l_e_st_eq_landau_n_rt_rat y0)) : l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) y0).

(* constant 2657 *)
definition l_e_st_eq_landau_n_rt_rp_5154_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_andi (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) y0) (l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) y0) (l_e_st_eq_landau_n_rt_rp_5154_t1 x0 y0 m) (l_e_st_eq_landau_n_rt_rp_5154_t2 x0 y0 m) : l_and (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) y0) (l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) y0)).

(* constant 2658 *)
definition l_e_st_eq_landau_n_rt_rp_satz154a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) x) (l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) x)) y0 (l_e_st_eq_landau_n_rt_rp_5154_t3 x0 y0 m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)).

(* constant 2659 *)
definition l_e_st_eq_landau_n_rt_rp_satz154b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_isf l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_rpofrt x) x0 y0 i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)).

(* constant 2660 *)
definition l_e_st_eq_landau_n_rt_rp_satz154c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_satz154a y0 x0 (l_e_st_eq_landau_n_rt_satz83 x0 y0 l)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)).

(* constant 2661 *)
definition l_e_st_eq_landau_n_rt_rp_5154_t4 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_satz81a x0 y0 : l_or3 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0)).

(* constant 2662 *)
definition l_e_st_eq_landau_n_rt_rp_5154_t5 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_satz123b (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0) : l_ec3 (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0))).

(* constant 2663 *)
definition l_e_st_eq_landau_n_rt_rp_satz154d ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0).(l_ec3_th11 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_5154_t4 x0 y0) (l_e_st_eq_landau_n_rt_rp_5154_t5 x0 y0) (λu:l_e_st_eq_landau_n_rt_is x0 y0.l_e_st_eq_landau_n_rt_rp_satz154b x0 y0 u) (λu:l_e_st_eq_landau_n_rt_more x0 y0.l_e_st_eq_landau_n_rt_rp_satz154a x0 y0 u) (λu:l_e_st_eq_landau_n_rt_less x0 y0.l_e_st_eq_landau_n_rt_rp_satz154c x0 y0 u) m : l_e_st_eq_landau_n_rt_more x0 y0).

(* constant 2664 *)
definition l_e_st_eq_landau_n_rt_rp_satz154e ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0).(l_ec3_th10 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_5154_t4 x0 y0) (l_e_st_eq_landau_n_rt_rp_5154_t5 x0 y0) (λu:l_e_st_eq_landau_n_rt_is x0 y0.l_e_st_eq_landau_n_rt_rp_satz154b x0 y0 u) (λu:l_e_st_eq_landau_n_rt_more x0 y0.l_e_st_eq_landau_n_rt_rp_satz154a x0 y0 u) (λu:l_e_st_eq_landau_n_rt_less x0 y0.l_e_st_eq_landau_n_rt_rp_satz154c x0 y0 u) i : l_e_st_eq_landau_n_rt_is x0 y0).

(* constant 2665 *)
definition l_e_st_eq_landau_n_rt_rp_satz154f ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0).(l_ec3_th12 (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_more x0 y0) (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_5154_t4 x0 y0) (l_e_st_eq_landau_n_rt_rp_5154_t5 x0 y0) (λu:l_e_st_eq_landau_n_rt_is x0 y0.l_e_st_eq_landau_n_rt_rp_satz154b x0 y0 u) (λu:l_e_st_eq_landau_n_rt_more x0 y0.l_e_st_eq_landau_n_rt_rp_satz154a x0 y0 u) (λu:l_e_st_eq_landau_n_rt_less x0 y0.l_e_st_eq_landau_n_rt_rp_satz154c x0 y0 u) l : l_e_st_eq_landau_n_rt_less x0 y0).

(* constant 2666 *)
definition l_e_st_eq_landau_n_rt_rp_iii5_t2 ≝ (λx:l_e_st_eq_landau_n_rt_rat.λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_rpofrt y).l_e_st_eq_landau_n_rt_rp_satz154e x y t : l_e_injective l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_rpofrt x)).

(* constant 2667 *)
definition l_e_st_eq_landau_n_rt_rp_isrterp ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_st_eq_landau_n_rt_rp_satz154b x0 y0 i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)).

(* constant 2668 *)
definition l_e_st_eq_landau_n_rt_rp_isrtirp ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0).(l_e_st_eq_landau_n_rt_rp_satz154e x0 y0 i : l_e_st_eq_landau_n_rt_is x0 y0).

(* constant 2669 *)
definition l_e_st_eq_landau_n_rt_rp_rtofrp ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(l_e_soft l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_rpofrt x) l_e_st_eq_landau_n_rt_rp_iii5_t2 ksi rtksi : l_e_st_eq_landau_n_rt_rat).

(* constant 2670 *)
definition l_e_st_eq_landau_n_rt_rp_isrpert ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λrteta:l_e_st_eq_landau_n_rt_rp_ratrp eta.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_isinv l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_rpofrt x) l_e_st_eq_landau_n_rt_rp_iii5_t2 ksi rtksi eta rteta i : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rp_rtofrp ksi rtksi) (l_e_st_eq_landau_n_rt_rp_rtofrp eta rteta)).

(* constant 2671 *)
definition l_e_st_eq_landau_n_rt_rp_isrpirt ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λrteta:l_e_st_eq_landau_n_rt_rp_ratrp eta.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rp_rtofrp ksi rtksi) (l_e_st_eq_landau_n_rt_rp_rtofrp eta rteta).(l_e_isinve l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_rpofrt x) l_e_st_eq_landau_n_rt_rp_iii5_t2 ksi rtksi eta rteta i : l_e_st_eq_landau_n_rt_rp_is ksi eta).

(* constant 2672 *)
definition l_e_st_eq_landau_n_rt_rp_isrtrp1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_isst1 l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_rpofrt x) l_e_st_eq_landau_n_rt_rp_iii5_t2 x0 : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_rp_rtofrp (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_ratrpi x0))).

(* constant 2673 *)
definition l_e_st_eq_landau_n_rt_rp_isrtrp2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_isst2 l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_rpofrt x) l_e_st_eq_landau_n_rt_rp_iii5_t2 x0 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rp_rtofrp (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_ratrpi x0)) x0).

(* constant 2674 *)
definition l_e_st_eq_landau_n_rt_rp_isrprt1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(l_e_ists1 l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_rpofrt x) l_e_st_eq_landau_n_rt_rp_iii5_t2 ksi rtksi : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_rtofrp ksi rtksi))).

(* constant 2675 *)
definition l_e_st_eq_landau_n_rt_rp_isrprt2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(l_e_ists2 l_e_st_eq_landau_n_rt_rat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_rpofrt x) l_e_st_eq_landau_n_rt_rp_iii5_t2 ksi rtksi : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_rtofrp ksi rtksi)) ksi).

(* constant 2676 *)
definition l_e_st_eq_landau_n_rt_rp_isnterp ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_cut (λz:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_rpofnt z) x y i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y)).

(* constant 2677 *)
definition l_e_st_eq_landau_n_rt_rp_isntirp ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y).(l_e_st_eq_landau_n_rt_isnirt x y (l_e_st_eq_landau_n_rt_rp_isrtirp (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y) i) : l_e_st_eq_landau_n_is x y).

(* constant 2678 *)
definition l_e_st_eq_landau_n_rt_rp_iii5_t3 ≝ (λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λt:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y).l_e_st_eq_landau_n_rt_rp_isntirp x y t : l_e_injective l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_rpofnt x)).

(* constant 2679 *)
definition l_e_st_eq_landau_n_rt_rp_ntofrp ≝ λksi:l_e_st_eq_landau_n_rt_cut.λntksi:l_e_st_eq_landau_n_rt_rp_natrp ksi.(l_e_soft l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_rpofnt x) l_e_st_eq_landau_n_rt_rp_iii5_t3 ksi ntksi : l_e_st_eq_landau_n_nat).

(* constant 2680 *)
definition l_e_st_eq_landau_n_rt_rp_isrpent ≝ λksi:l_e_st_eq_landau_n_rt_cut.λntksi:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λnteta:l_e_st_eq_landau_n_rt_rp_natrp eta.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_isinv l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_rpofnt x) l_e_st_eq_landau_n_rt_rp_iii5_t3 ksi ntksi eta nteta i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_ntofrp ksi ntksi) (l_e_st_eq_landau_n_rt_rp_ntofrp eta nteta)).

(* constant 2681 *)
definition l_e_st_eq_landau_n_rt_rp_isrpint ≝ λksi:l_e_st_eq_landau_n_rt_cut.λntksi:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λnteta:l_e_st_eq_landau_n_rt_rp_natrp eta.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_ntofrp ksi ntksi) (l_e_st_eq_landau_n_rt_rp_ntofrp eta nteta).(l_e_isinve l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_rpofnt x) l_e_st_eq_landau_n_rt_rp_iii5_t3 ksi ntksi eta nteta i : l_e_st_eq_landau_n_rt_rp_is ksi eta).

(* constant 2682 *)
definition l_e_st_eq_landau_n_rt_rp_isntrp1 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_isst1 l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_cut (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_rpofnt y) l_e_st_eq_landau_n_rt_rp_iii5_t3 x : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_rt_rp_ntofrp (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_natrpi x))).

(* constant 2683 *)
definition l_e_st_eq_landau_n_rt_rp_isntrp2 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_isst2 l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_cut (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_rpofnt y) l_e_st_eq_landau_n_rt_rp_iii5_t3 x : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_ntofrp (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_natrpi x)) x).

(* constant 2684 *)
definition l_e_st_eq_landau_n_rt_rp_isrpnt1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λntksi:l_e_st_eq_landau_n_rt_rp_natrp ksi.(l_e_ists1 l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_rpofnt x) l_e_st_eq_landau_n_rt_rp_iii5_t3 ksi ntksi : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_ntofrp ksi ntksi))).

(* constant 2685 *)
definition l_e_st_eq_landau_n_rt_rp_isrpnt2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λntksi:l_e_st_eq_landau_n_rt_rp_natrp ksi.(l_e_ists2 l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_rpofnt x) l_e_st_eq_landau_n_rt_rp_iii5_t3 ksi ntksi : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_ntofrp ksi ntksi)) ksi).

(* constant 2686 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) z0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) v0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl u0 v0).(l_e_st_eq_landau_n_rt_rp_lrtrpofrte x0 u0 lu : l_e_st_eq_landau_n_rt_less u0 x0).

(* constant 2687 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t2 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) z0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) v0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl u0 v0).(l_e_st_eq_landau_n_rt_rp_lrtrpofrte y0 v0 lv : l_e_st_eq_landau_n_rt_less v0 y0).

(* constant 2688 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t3 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) z0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) v0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl u0 v0).(l_e_st_eq_landau_n_rt_satz98a u0 x0 v0 y0 (l_e_st_eq_landau_n_rt_rp_5155_t1 x0 y0 z0 lz u0 lu v0 lv i) (l_e_st_eq_landau_n_rt_rp_5155_t2 x0 y0 z0 lz u0 lu v0 lv i) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_pl u0 v0) (l_e_st_eq_landau_n_rt_pl x0 y0)).

(* constant 2689 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t4 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) z0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) v0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl u0 v0).(l_e_st_eq_landau_n_rt_isless1 (l_e_st_eq_landau_n_rt_pl u0 v0) z0 (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_symis l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_pl u0 v0) i) (l_e_st_eq_landau_n_rt_rp_5155_t3 x0 y0 z0 lz u0 lu v0 lv i) : l_e_st_eq_landau_n_rt_less z0 (l_e_st_eq_landau_n_rt_pl x0 y0)).

(* constant 2690 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t5 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) z0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) v0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl u0 v0).(l_e_st_eq_landau_n_rt_rp_lrtrpofrt (l_e_st_eq_landau_n_rt_pl x0 y0) z0 (l_e_st_eq_landau_n_rt_rp_5155_t4 x0 y0 z0 lz u0 lu v0 lv i) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 y0)) z0).

(* constant 2691 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t6 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) z0.(l_e_st_eq_landau_n_rt_rp_plapp (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0) z0 lz (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 y0)) z0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) y.λv:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_pl x y).l_e_st_eq_landau_n_rt_rp_5155_t5 x0 y0 z0 lz x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 y0)) z0).

(* constant 2692 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t7 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 y0)) u0.(l_e_st_eq_landau_n_rt_rp_lrtrpofrte (l_e_st_eq_landau_n_rt_pl x0 y0) u0 lu : l_e_st_eq_landau_n_rt_less u0 (l_e_st_eq_landau_n_rt_pl x0 y0)).

(* constant 2693 *)
definition l_e_st_eq_landau_n_rt_rp_5155_u01 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 y0)) u0.(l_e_st_eq_landau_n_rt_ov u0 (l_e_st_eq_landau_n_rt_pl x0 y0) : l_e_st_eq_landau_n_rt_rat).

(* constant 2694 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t8 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 y0)) u0.(l_e_st_eq_landau_n_rt_isless12 u0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu) (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_satz110f u0 (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_example1d (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_rp_5155_t7 x0 y0 u0 lu) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu) (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_pl x0 y0))).

(* constant 2695 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t9 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 y0)) u0.(l_e_st_eq_landau_n_rt_satz106c (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu) l_e_st_eq_landau_n_rt_1rt (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_rp_5155_t8 x0 y0 u0 lu) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu) l_e_st_eq_landau_n_rt_1rt).

(* constant 2696 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t10 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 y0)) u0.(l_e_tris l_e_st_eq_landau_n_rt_rat u0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_pl x0 y0) (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu)) (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu))) (l_e_st_eq_landau_n_rt_satz110d u0 (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_disttp1 x0 y0 (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu)) : l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu)) (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu)))).

(* constant 2697 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t11 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 l_e_st_eq_landau_n_rt_1rt.(l_e_st_eq_landau_n_rt_isless12 (l_e_st_eq_landau_n_rt_ts y0 x0) (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt x0) x0 (l_e_st_eq_landau_n_rt_comts y0 x0) (l_e_st_eq_landau_n_rt_example1c x0) (l_e_st_eq_landau_n_rt_satz105c y0 l_e_st_eq_landau_n_rt_1rt x0 l) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts x0 y0) x0).

(* constant 2698 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t12 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 l_e_st_eq_landau_n_rt_1rt.(l_e_st_eq_landau_n_rt_rp_lrtrpofrt x0 (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_rp_5155_t11 x0 y0 l) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 2699 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t13 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 y0)) u0.(l_e_st_eq_landau_n_rt_rp_lrtpl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0) u0 (l_e_st_eq_landau_n_rt_ts x0 (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu)) (l_e_st_eq_landau_n_rt_rp_5155_t12 x0 (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu) (l_e_st_eq_landau_n_rt_rp_5155_t9 x0 y0 u0 lu)) (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu)) (l_e_st_eq_landau_n_rt_rp_5155_t12 y0 (l_e_st_eq_landau_n_rt_rp_5155_u01 x0 y0 u0 lu) (l_e_st_eq_landau_n_rt_rp_5155_t9 x0 y0 u0 lu)) (l_e_st_eq_landau_n_rt_rp_5155_t10 x0 y0 u0 lu) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) u0).

(* constant 2700 *)
definition l_e_st_eq_landau_n_rt_rp_satz155a ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_isi1 (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 y0)) x.l_e_st_eq_landau_n_rt_rp_5155_t13 x0 y0 x t) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) x.l_e_st_eq_landau_n_rt_rp_5155_t6 x0 y0 x t) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 y0)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0))).

(* constant 2701 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t14 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_satz101f x0 y0 m : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 m) y0)).

(* constant 2702 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t15 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 m) y0)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn x0 y0 m)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_isrterp x0 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_mn x0 y0 m) y0) (l_e_st_eq_landau_n_rt_rp_5155_t14 x0 y0 m)) (l_e_st_eq_landau_n_rt_rp_satz155a (l_e_st_eq_landau_n_rt_mn x0 y0 m) y0) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn x0 y0 m)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0))).

(* constant 2703 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t16 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_tris2 l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn x0 y0 m))) (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn x0 y0 m)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn x0 y0 m))) (l_e_st_eq_landau_n_rt_rp_5155_t15 x0 y0 m) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn x0 y0 m))) (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).

(* constant 2704 *)
definition l_e_st_eq_landau_n_rt_rp_satz155b ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_more x0 y0.(l_e_st_eq_landau_n_rt_rp_satz140g (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn x0 y0 m)) (l_e_st_eq_landau_n_rt_rp_satz154a x0 y0 m) (l_e_st_eq_landau_n_rt_rp_5155_t16 x0 y0 m) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn x0 y0 m)) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_satz154a x0 y0 m))).

(* constant 2705 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t17 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) z0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) v0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts u0 v0).(l_e_st_eq_landau_n_rt_rp_lrtrpofrte x0 u0 lu : l_e_st_eq_landau_n_rt_less u0 x0).

(* constant 2706 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t18 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) z0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) v0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts u0 v0).(l_e_st_eq_landau_n_rt_rp_lrtrpofrte y0 v0 lv : l_e_st_eq_landau_n_rt_less v0 y0).

(* constant 2707 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t19 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) z0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) v0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts u0 v0).(l_e_st_eq_landau_n_rt_satz107a u0 x0 v0 y0 (l_e_st_eq_landau_n_rt_rp_5155_t17 x0 y0 z0 lz u0 lu v0 lv i) (l_e_st_eq_landau_n_rt_rp_5155_t18 x0 y0 z0 lz u0 lu v0 lv i) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts u0 v0) (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 2708 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t20 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) z0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) v0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts u0 v0).(l_e_st_eq_landau_n_rt_isless1 (l_e_st_eq_landau_n_rt_ts u0 v0) z0 (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_symis l_e_st_eq_landau_n_rt_rat z0 (l_e_st_eq_landau_n_rt_ts u0 v0) i) (l_e_st_eq_landau_n_rt_rp_5155_t19 x0 y0 z0 lz u0 lu v0 lv i) : l_e_st_eq_landau_n_rt_less z0 (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 2709 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t21 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) z0.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) u0.λv0:l_e_st_eq_landau_n_rt_rat.λlv:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) v0.λi:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts u0 v0).(l_e_st_eq_landau_n_rt_rp_lrtrpofrt (l_e_st_eq_landau_n_rt_ts x0 y0) z0 (l_e_st_eq_landau_n_rt_rp_5155_t20 x0 y0 z0 lz u0 lu v0 lv i) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) z0).

(* constant 2710 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t22 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) z0.(l_e_st_eq_landau_n_rt_rp_tsapp (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0) z0 lz (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) z0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt y0) y.λv:l_e_st_eq_landau_n_rt_is z0 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_5155_t21 x0 y0 z0 lz x t y u v) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) z0).

(* constant 2711 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t23 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) u0.(l_e_st_eq_landau_n_rt_rp_lrtrpofrte (l_e_st_eq_landau_n_rt_ts x0 y0) u0 lu : l_e_st_eq_landau_n_rt_less u0 (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 2712 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t24 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) u0.λu1:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less u0 u1) (l_e_st_eq_landau_n_rt_less u1 (l_e_st_eq_landau_n_rt_ts x0 y0)).(l_ande1 (l_e_st_eq_landau_n_rt_less u0 u1) (l_e_st_eq_landau_n_rt_less u1 (l_e_st_eq_landau_n_rt_ts x0 y0)) a : l_e_st_eq_landau_n_rt_less u0 u1).

(* constant 2713 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t25 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) u0.λu1:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less u0 u1) (l_e_st_eq_landau_n_rt_less u1 (l_e_st_eq_landau_n_rt_ts x0 y0)).(l_ande2 (l_e_st_eq_landau_n_rt_less u0 u1) (l_e_st_eq_landau_n_rt_less u1 (l_e_st_eq_landau_n_rt_ts x0 y0)) a : l_e_st_eq_landau_n_rt_less u1 (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 2714 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t26 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) u0.λu1:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less u0 u1) (l_e_st_eq_landau_n_rt_less u1 (l_e_st_eq_landau_n_rt_ts x0 y0)).(l_e_st_eq_landau_n_rt_isless12 u0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov u0 u1) u1) u1 (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt u1) (l_e_st_eq_landau_n_rt_satz110f u0 u1) (l_e_st_eq_landau_n_rt_example1d u1) (l_e_st_eq_landau_n_rt_rp_5155_t24 x0 y0 u0 lu u1 a) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov u0 u1) u1) (l_e_st_eq_landau_n_rt_ts l_e_st_eq_landau_n_rt_1rt u1)).

(* constant 2715 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t27 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) u0.λu1:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less u0 u1) (l_e_st_eq_landau_n_rt_less u1 (l_e_st_eq_landau_n_rt_ts x0 y0)).(l_e_st_eq_landau_n_rt_satz106c (l_e_st_eq_landau_n_rt_ov u0 u1) l_e_st_eq_landau_n_rt_1rt u1 (l_e_st_eq_landau_n_rt_rp_5155_t26 x0 y0 u0 lu u1 a) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ov u0 u1) l_e_st_eq_landau_n_rt_1rt).

(* constant 2716 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t28 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) u0.λu1:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less u0 u1) (l_e_st_eq_landau_n_rt_less u1 (l_e_st_eq_landau_n_rt_ts x0 y0)).(l_e_st_eq_landau_n_rt_isless1 u1 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov u1 y0) y0) (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_satz110f u1 y0) (l_e_st_eq_landau_n_rt_rp_5155_t25 x0 y0 u0 lu u1 a) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov u1 y0) y0) (l_e_st_eq_landau_n_rt_ts x0 y0)).

(* constant 2717 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t29 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) u0.λu1:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less u0 u1) (l_e_st_eq_landau_n_rt_less u1 (l_e_st_eq_landau_n_rt_ts x0 y0)).(l_e_st_eq_landau_n_rt_satz106c (l_e_st_eq_landau_n_rt_ov u1 y0) x0 y0 (l_e_st_eq_landau_n_rt_rp_5155_t28 x0 y0 u0 lu u1 a) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ov u1 y0) x0).

(* constant 2718 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t30 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) u0.λu1:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less u0 u1) (l_e_st_eq_landau_n_rt_less u1 (l_e_st_eq_landau_n_rt_ts x0 y0)).(l_e_tr3is l_e_st_eq_landau_n_rt_rat u0 (l_e_st_eq_landau_n_rt_ts u1 (l_e_st_eq_landau_n_rt_ov u0 u1)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov u1 y0) y0) (l_e_st_eq_landau_n_rt_ov u0 u1)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov u1 y0) (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_ov u0 u1))) (l_e_st_eq_landau_n_rt_satz110d u0 u1) (l_e_st_eq_landau_n_rt_ists1 u1 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov u1 y0) y0) (l_e_st_eq_landau_n_rt_ov u0 u1) (l_e_st_eq_landau_n_rt_satz110f u1 y0)) (l_e_st_eq_landau_n_rt_assts1 (l_e_st_eq_landau_n_rt_ov u1 y0) y0 (l_e_st_eq_landau_n_rt_ov u0 u1)) : l_e_st_eq_landau_n_rt_is u0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov u1 y0) (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_ov u0 u1)))).

(* constant 2719 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t31 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) u0.λu1:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_less u0 u1) (l_e_st_eq_landau_n_rt_less u1 (l_e_st_eq_landau_n_rt_ts x0 y0)).(l_e_st_eq_landau_n_rt_rp_lrtts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0) u0 (l_e_st_eq_landau_n_rt_ov u1 y0) (l_e_st_eq_landau_n_rt_rp_lrtrpofrt x0 (l_e_st_eq_landau_n_rt_ov u1 y0) (l_e_st_eq_landau_n_rt_rp_5155_t29 x0 y0 u0 lu u1 a)) (l_e_st_eq_landau_n_rt_ts y0 (l_e_st_eq_landau_n_rt_ov u0 u1)) (l_e_st_eq_landau_n_rt_rp_5155_t12 y0 (l_e_st_eq_landau_n_rt_ov u0 u1) (l_e_st_eq_landau_n_rt_rp_5155_t27 x0 y0 u0 lu u1 a)) (l_e_st_eq_landau_n_rt_rp_5155_t30 x0 y0 u0 lu u1 a) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) u0).

(* constant 2720 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t32 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) u0.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_less u0 x) (l_e_st_eq_landau_n_rt_less x (l_e_st_eq_landau_n_rt_ts x0 y0))) (l_e_st_eq_landau_n_rt_satz91 u0 (l_e_st_eq_landau_n_rt_ts x0 y0) (l_e_st_eq_landau_n_rt_rp_5155_t23 x0 y0 u0 lu)) (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) u0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_and (l_e_st_eq_landau_n_rt_less u0 x) (l_e_st_eq_landau_n_rt_less x (l_e_st_eq_landau_n_rt_ts x0 y0)).l_e_st_eq_landau_n_rt_rp_5155_t31 x0 y0 u0 lu x t) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) u0).

(* constant 2721 *)
definition l_e_st_eq_landau_n_rt_rp_satz155c ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_isi1 (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) x.l_e_st_eq_landau_n_rt_rp_5155_t32 x0 y0 x t) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) x.l_e_st_eq_landau_n_rt_rp_5155_t22 x0 y0 x t) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x0 y0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0))).

(* constant 2722 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t33 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_satz110f x0 y0 : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov x0 y0) y0)).

(* constant 2723 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t34 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov x0 y0) y0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ov x0 y0)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_isrterp x0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_ov x0 y0) y0) (l_e_st_eq_landau_n_rt_rp_5155_t33 x0 y0)) (l_e_st_eq_landau_n_rt_rp_satz155c (l_e_st_eq_landau_n_rt_ov x0 y0) y0) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ov x0 y0)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0))).

(* constant 2724 *)
definition l_e_st_eq_landau_n_rt_rp_5155_t35 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_tris2 l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ov x0 y0))) (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ov x0 y0)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_comts (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ov x0 y0))) (l_e_st_eq_landau_n_rt_rp_5155_t34 x0 y0) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ov x0 y0))) (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).

(* constant 2725 *)
definition l_e_st_eq_landau_n_rt_rp_satz155d ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_satz153g (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ov x0 y0)) (l_e_st_eq_landau_n_rt_rp_5155_t35 x0 y0) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ov x0 y0)) (l_e_st_eq_landau_n_rt_rp_ov (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0))).

(* constant 2726 *)
definition l_e_st_eq_landau_n_rt_rp_satz155e ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y)) (l_e_st_eq_landau_n_rt_rp_isrterp (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)) (l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_rt_satz112h x y))) (l_e_st_eq_landau_n_rt_rp_satz155a (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y))).

(* constant 2727 *)
definition l_e_st_eq_landau_n_rt_rp_satz155f ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y)) (l_e_st_eq_landau_n_rt_rp_isrterp (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)) (l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_rt_satz112j x y))) (l_e_st_eq_landau_n_rt_rp_satz155c (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y))).

(* constant 2728 *)
definition l_e_st_eq_landau_n_rt_rp_nt_natt ≝ (l_e_ot l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) : Type[0]).

(* constant 2729 *)
definition l_e_st_eq_landau_n_rt_rp_nt_nttofrp ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnksi:l_e_st_eq_landau_n_rt_rp_natrp ksi.(l_e_out l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) ksi nksi : l_e_st_eq_landau_n_rt_rp_nt_natt).

(* constant 2730 *)
definition l_e_st_eq_landau_n_rt_rp_nt_is ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.λyt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_is l_e_st_eq_landau_n_rt_rp_nt_natt xt yt : Prop).

(* constant 2731 *)
definition l_e_st_eq_landau_n_rt_rp_nt_nis ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.λyt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_not (l_e_st_eq_landau_n_rt_rp_nt_is xt yt) : Prop).

(* constant 2732 *)
definition l_e_st_eq_landau_n_rt_rp_nt_all ≝ λp:∀x:l_e_st_eq_landau_n_rt_rp_nt_natt.Prop.(l_all l_e_st_eq_landau_n_rt_rp_nt_natt p : Prop).

(* constant 2733 *)
definition l_e_st_eq_landau_n_rt_rp_nt_some ≝ λp:∀x:l_e_st_eq_landau_n_rt_rp_nt_natt.Prop.(l_some l_e_st_eq_landau_n_rt_rp_nt_natt p : Prop).

(* constant 2734 *)
definition l_e_st_eq_landau_n_rt_rp_nt_one ≝ λp:∀x:l_e_st_eq_landau_n_rt_rp_nt_natt.Prop.(l_e_one l_e_st_eq_landau_n_rt_rp_nt_natt p : Prop).

(* constant 2735 *)
definition l_e_st_eq_landau_n_rt_rp_nt_in ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.λst:l_e_st_set l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_st_esti l_e_st_eq_landau_n_rt_rp_nt_natt xt st : Prop).

(* constant 2736 *)
definition l_e_st_eq_landau_n_rt_rp_nt_rpofntt ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_in l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) xt : l_e_st_eq_landau_n_rt_cut).

(* constant 2737 *)
definition l_e_st_eq_landau_n_rt_rp_nt_natrpi ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_inp l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) xt : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_nt_rpofntt xt)).

(* constant 2738 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isrpentt ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnksi:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λneta:l_e_st_eq_landau_n_rt_rp_natrp eta.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_isouti l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) ksi nksi eta neta i : l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_nttofrp ksi nksi) (l_e_st_eq_landau_n_rt_rp_nt_nttofrp eta neta)).

(* constant 2739 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isrpintt ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnksi:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λneta:l_e_st_eq_landau_n_rt_rp_natrp eta.λi:l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_nttofrp ksi nksi) (l_e_st_eq_landau_n_rt_rp_nt_nttofrp eta neta).(l_e_isoute l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) ksi nksi eta neta i : l_e_st_eq_landau_n_rt_rp_is ksi eta).

(* constant 2740 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isntterp ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.λyt:l_e_st_eq_landau_n_rt_rp_nt_natt.λi:l_e_st_eq_landau_n_rt_rp_nt_is xt yt.(l_e_isini l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) xt yt i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_nt_rpofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_rpofntt yt)).

(* constant 2741 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isnttirp ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.λyt:l_e_st_eq_landau_n_rt_rp_nt_natt.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_nt_rpofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_rpofntt yt).(l_e_isine l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) xt yt i : l_e_st_eq_landau_n_rt_rp_nt_is xt yt).

(* constant 2742 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isrpntt1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnksi:l_e_st_eq_landau_n_rt_rp_natrp ksi.(l_e_isinout l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) ksi nksi : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_nt_rpofntt (l_e_st_eq_landau_n_rt_rp_nt_nttofrp ksi nksi))).

(* constant 2743 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isnttrp1 ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_isoutin l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) xt : l_e_st_eq_landau_n_rt_rp_nt_is xt (l_e_st_eq_landau_n_rt_rp_nt_nttofrp (l_e_st_eq_landau_n_rt_rp_nt_rpofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_natrpi xt))).

(* constant 2744 *)
definition l_e_st_eq_landau_n_rt_rp_nt_nttofnt ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_nt_nttofrp (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_natrpi x) : l_e_st_eq_landau_n_rt_rp_nt_natt).

(* constant 2745 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isntentt ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_st_eq_landau_n_rt_rp_nt_isrpentt (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_natrpi x) (l_e_st_eq_landau_n_rt_rp_rpofnt y) (l_e_st_eq_landau_n_rt_rp_natrpi y) (l_e_st_eq_landau_n_rt_rp_isnterp x y i) : l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x) (l_e_st_eq_landau_n_rt_rp_nt_nttofnt y)).

(* constant 2746 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isntintt ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x) (l_e_st_eq_landau_n_rt_rp_nt_nttofnt y).(l_e_st_eq_landau_n_rt_rp_isntirp x y (l_e_st_eq_landau_n_rt_rp_nt_isrpintt (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_natrpi x) (l_e_st_eq_landau_n_rt_rp_rpofnt y) (l_e_st_eq_landau_n_rt_rp_natrpi y) i) : l_e_st_eq_landau_n_is x y).

(* constant 2747 *)
definition l_e_st_eq_landau_n_rt_rp_nt_ntofntt ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_st_eq_landau_n_rt_rp_ntofrp (l_e_st_eq_landau_n_rt_rp_nt_rpofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_natrpi xt) : l_e_st_eq_landau_n_nat).

(* constant 2748 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isnttent ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.λyt:l_e_st_eq_landau_n_rt_rp_nt_natt.λi:l_e_st_eq_landau_n_rt_rp_nt_is xt yt.(l_e_st_eq_landau_n_rt_rp_isrpent (l_e_st_eq_landau_n_rt_rp_nt_rpofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_natrpi xt) (l_e_st_eq_landau_n_rt_rp_nt_rpofntt yt) (l_e_st_eq_landau_n_rt_rp_nt_natrpi yt) (l_e_st_eq_landau_n_rt_rp_nt_isntterp xt yt i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_ntofntt yt)).

(* constant 2749 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isnttint ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.λyt:l_e_st_eq_landau_n_rt_rp_nt_natt.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_ntofntt yt).(l_e_st_eq_landau_n_rt_rp_nt_isnttirp xt yt (l_e_st_eq_landau_n_rt_rp_isrpint (l_e_st_eq_landau_n_rt_rp_nt_rpofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_natrpi xt) (l_e_st_eq_landau_n_rt_rp_nt_rpofntt yt) (l_e_st_eq_landau_n_rt_rp_nt_natrpi yt) i) : l_e_st_eq_landau_n_rt_rp_nt_is xt yt).

(* constant 2750 *)
definition l_e_st_eq_landau_n_rt_rp_nt_iii5_t5 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_nt_isrpntt1 (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_natrpi x) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_nt_rpofntt (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x))).

(* constant 2751 *)
definition l_e_st_eq_landau_n_rt_rp_nt_iii5_t6 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_isrpent (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_natrpi x) (l_e_st_eq_landau_n_rt_rp_nt_rpofntt (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x)) (l_e_st_eq_landau_n_rt_rp_nt_natrpi (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x)) (l_e_st_eq_landau_n_rt_rp_nt_iii5_t5 x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_ntofrp (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_natrpi x)) (l_e_st_eq_landau_n_rt_rp_nt_ntofntt (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x))).

(* constant 2752 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isntntt1 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_rt_rp_ntofrp (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_natrpi x)) (l_e_st_eq_landau_n_rt_rp_nt_ntofntt (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x)) (l_e_st_eq_landau_n_rt_rp_isntrp1 x) (l_e_st_eq_landau_n_rt_rp_nt_iii5_t6 x) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_rt_rp_nt_ntofntt (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x))).

(* constant 2753 *)
definition l_e_st_eq_landau_n_rt_rp_nt_iii5_t7 ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_st_eq_landau_n_rt_rp_isrpnt1 (l_e_st_eq_landau_n_rt_rp_nt_rpofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_natrpi xt) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_nt_rpofntt xt) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt))).

(* constant 2754 *)
definition l_e_st_eq_landau_n_rt_rp_nt_iii5_t8 ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_st_eq_landau_n_rt_rp_nt_isrpentt (l_e_st_eq_landau_n_rt_rp_nt_rpofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_natrpi xt) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) (l_e_st_eq_landau_n_rt_rp_natrpi (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) (l_e_st_eq_landau_n_rt_rp_nt_iii5_t7 xt) : l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_nttofrp (l_e_st_eq_landau_n_rt_rp_nt_rpofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_natrpi xt)) (l_e_st_eq_landau_n_rt_rp_nt_nttofnt (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt))).

(* constant 2755 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isnttnt1 ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_tris l_e_st_eq_landau_n_rt_rp_nt_natt xt (l_e_st_eq_landau_n_rt_rp_nt_nttofrp (l_e_st_eq_landau_n_rt_rp_nt_rpofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_natrpi xt)) (l_e_st_eq_landau_n_rt_rp_nt_nttofnt (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) (l_e_st_eq_landau_n_rt_rp_nt_isnttrp1 xt) (l_e_st_eq_landau_n_rt_rp_nt_iii5_t8 xt) : l_e_st_eq_landau_n_rt_rp_nt_is xt (l_e_st_eq_landau_n_rt_rp_nt_nttofnt (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt))).

(* constant 2756 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isntntt2 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_rt_rp_nt_ntofntt (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x)) (l_e_st_eq_landau_n_rt_rp_nt_isntntt1 x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_nt_ntofntt (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x)) x).

(* constant 2757 *)
definition l_e_st_eq_landau_n_rt_rp_nt_isnttnt2 ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_symis l_e_st_eq_landau_n_rt_rp_nt_natt xt (l_e_st_eq_landau_n_rt_rp_nt_nttofnt (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) (l_e_st_eq_landau_n_rt_rp_nt_isnttnt1 xt) : l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_nttofnt (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) xt).

(* constant 2758 *)
definition l_e_st_eq_landau_n_rt_rp_nt_1t ≝ (l_e_st_eq_landau_n_rt_rp_nt_nttofnt l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_rt_rp_nt_natt).

(* constant 2759 *)
definition l_e_st_eq_landau_n_rt_rp_nt_suct ≝ (λx:l_e_st_eq_landau_n_rt_rp_nt_natt.l_e_st_eq_landau_n_rt_rp_nt_nttofnt (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_nt_ntofntt x)) : Πx:l_e_st_eq_landau_n_rt_rp_nt_natt.l_e_st_eq_landau_n_rt_rp_nt_natt).

(* constant 2760 *)
definition l_e_st_eq_landau_n_rt_rp_nt_5156_t1 ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.λj:l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_suct xt) l_e_st_eq_landau_n_rt_rp_nt_1t.(l_e_st_eq_landau_n_rt_rp_nt_isntintt (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) l_e_st_eq_landau_n_1 j : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) l_e_st_eq_landau_n_1).

(* constant 2761 *)
definition l_e_st_eq_landau_n_rt_rp_nt_satz156a ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_suct xt) l_e_st_eq_landau_n_rt_rp_nt_1t) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ax3 (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) (λt:l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_suct xt) l_e_st_eq_landau_n_rt_rp_nt_1t.l_e_st_eq_landau_n_rt_rp_nt_5156_t1 xt t) : l_e_st_eq_landau_n_rt_rp_nt_nis (l_e_st_eq_landau_n_rt_rp_nt_suct xt) l_e_st_eq_landau_n_rt_rp_nt_1t).

(* constant 2762 *)
definition l_e_st_eq_landau_n_rt_rp_nt_5156_t2 ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.λyt:l_e_st_eq_landau_n_rt_rp_nt_natt.λi:l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_suct xt) (l_e_st_eq_landau_n_rt_rp_nt_suct yt).(l_e_st_eq_landau_n_rt_rp_nt_isntintt (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_nt_ntofntt yt)) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_nt_ntofntt yt))).

(* constant 2763 *)
definition l_e_st_eq_landau_n_rt_rp_nt_satz156b ≝ λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.λyt:l_e_st_eq_landau_n_rt_rp_nt_natt.λi:l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_suct xt) (l_e_st_eq_landau_n_rt_rp_nt_suct yt).(l_e_st_eq_landau_n_rt_rp_nt_isnttint xt yt (l_e_st_eq_landau_n_ax4 (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt) (l_e_st_eq_landau_n_rt_rp_nt_ntofntt yt) (l_e_st_eq_landau_n_rt_rp_nt_5156_t2 xt yt i)) : l_e_st_eq_landau_n_rt_rp_nt_is xt yt).

(* constant 2764 *)
definition l_e_st_eq_landau_n_rt_rp_nt_cond1 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_st_eq_landau_n_rt_rp_nt_in l_e_st_eq_landau_n_rt_rp_nt_1t st : Prop).

(* constant 2765 *)
definition l_e_st_eq_landau_n_rt_rp_nt_cond2 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_st_eq_landau_n_rt_rp_nt_all (λx:l_e_st_eq_landau_n_rt_rp_nt_natt.l_imp (l_e_st_eq_landau_n_rt_rp_nt_in x st) (l_e_st_eq_landau_n_rt_rp_nt_in (l_e_st_eq_landau_n_rt_rp_nt_suct x) st)) : Prop).

(* constant 2766 *)
definition l_e_st_eq_landau_n_rt_rp_nt_5156_prop1 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_rp_nt_natt.λc1:l_e_st_eq_landau_n_rt_rp_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_rp_nt_cond2 st.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_nt_in (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x) st : Prop).

(* constant 2767 *)
definition l_e_st_eq_landau_n_rt_rp_nt_5156_t3 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_rp_nt_natt.λc1:l_e_st_eq_landau_n_rt_rp_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_rp_nt_cond2 st.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_nt_5156_prop1 st c1 c2 x.(c2 (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x) p : l_e_st_eq_landau_n_rt_rp_nt_in (l_e_st_eq_landau_n_rt_rp_nt_suct (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x)) st).

(* constant 2768 *)
definition l_e_st_eq_landau_n_rt_rp_nt_5156_t4 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_rp_nt_natt.λc1:l_e_st_eq_landau_n_rt_rp_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_rp_nt_cond2 st.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_nt_5156_prop1 st c1 c2 x.(l_e_isp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_nt_in (l_e_st_eq_landau_n_rt_rp_nt_nttofnt (l_e_st_eq_landau_n_suc t)) st) (l_e_st_eq_landau_n_rt_rp_nt_ntofntt (l_e_st_eq_landau_n_rt_rp_nt_nttofnt x)) x (l_e_st_eq_landau_n_rt_rp_nt_5156_t3 st c1 c2 x p) (l_e_st_eq_landau_n_rt_rp_nt_isntntt2 x) : l_e_st_eq_landau_n_rt_rp_nt_5156_prop1 st c1 c2 (l_e_st_eq_landau_n_suc x)).

(* constant 2769 *)
definition l_e_st_eq_landau_n_rt_rp_nt_5156_t5 ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_rp_nt_natt.λc1:l_e_st_eq_landau_n_rt_rp_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_rp_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_nt_5156_prop1 st c1 c2 t) c1 (λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_rt_rp_nt_5156_prop1 st c1 c2 t.l_e_st_eq_landau_n_rt_rp_nt_5156_t4 st c1 c2 t u) (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt) : l_e_st_eq_landau_n_rt_rp_nt_in (l_e_st_eq_landau_n_rt_rp_nt_nttofnt (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) st).

(* constant 2770 *)
definition l_e_st_eq_landau_n_rt_rp_nt_satz156c ≝ λst:l_e_st_set l_e_st_eq_landau_n_rt_rp_nt_natt.λc1:l_e_st_eq_landau_n_rt_rp_nt_cond1 st.λc2:l_e_st_eq_landau_n_rt_rp_nt_cond2 st.λxt:l_e_st_eq_landau_n_rt_rp_nt_natt.(l_e_isp l_e_st_eq_landau_n_rt_rp_nt_natt (λt:l_e_st_eq_landau_n_rt_rp_nt_natt.l_e_st_eq_landau_n_rt_rp_nt_in t st) (l_e_st_eq_landau_n_rt_rp_nt_nttofnt (l_e_st_eq_landau_n_rt_rp_nt_ntofntt xt)) xt (l_e_st_eq_landau_n_rt_rp_nt_5156_t5 st c1 c2 xt) (l_e_st_eq_landau_n_rt_rp_nt_isnttnt2 xt) : l_e_st_eq_landau_n_rt_rp_nt_in xt st).

(* constant 2771 *)
definition l_e_st_eq_landau_n_rt_rp_nt_ax3t ≝ (λx:l_e_st_eq_landau_n_rt_rp_nt_natt.l_e_st_eq_landau_n_rt_rp_nt_satz156a x : ∀x:l_e_st_eq_landau_n_rt_rp_nt_natt.l_e_st_eq_landau_n_rt_rp_nt_nis (l_e_st_eq_landau_n_rt_rp_nt_suct x) l_e_st_eq_landau_n_rt_rp_nt_1t).

(* constant 2772 *)
definition l_e_st_eq_landau_n_rt_rp_nt_ax4t ≝ (λx:l_e_st_eq_landau_n_rt_rp_nt_natt.λy:l_e_st_eq_landau_n_rt_rp_nt_natt.λu:l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_suct x) (l_e_st_eq_landau_n_rt_rp_nt_suct y).l_e_st_eq_landau_n_rt_rp_nt_satz156b x y u : ∀x:l_e_st_eq_landau_n_rt_rp_nt_natt.∀y:l_e_st_eq_landau_n_rt_rp_nt_natt.∀u:l_e_st_eq_landau_n_rt_rp_nt_is (l_e_st_eq_landau_n_rt_rp_nt_suct x) (l_e_st_eq_landau_n_rt_rp_nt_suct y).l_e_st_eq_landau_n_rt_rp_nt_is x y).

(* constant 2773 *)
definition l_e_st_eq_landau_n_rt_rp_nt_ax5t ≝ (λs:l_e_st_set l_e_st_eq_landau_n_rt_rp_nt_natt.λu:l_e_st_eq_landau_n_rt_rp_nt_cond1 s.λv:l_e_st_eq_landau_n_rt_rp_nt_cond2 s.λx:l_e_st_eq_landau_n_rt_rp_nt_natt.l_e_st_eq_landau_n_rt_rp_nt_satz156c s u v x : ∀s:l_e_st_set l_e_st_eq_landau_n_rt_rp_nt_natt.∀u:l_e_st_eq_landau_n_rt_rp_nt_cond1 s.∀v:l_e_st_eq_landau_n_rt_rp_nt_cond2 s.∀x:l_e_st_eq_landau_n_rt_rp_nt_natt.l_e_st_eq_landau_n_rt_rp_nt_in x s).

(* constant 2774 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_ratt ≝ (l_e_ot l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp t) : Type[0]).

(* constant 2775 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_rttofrp ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(l_e_out l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp t) ksi rtksi : l_e_st_eq_landau_n_rt_rp_rtt_ratt).

(* constant 2776 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_is ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.λy0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.(l_e_is l_e_st_eq_landau_n_rt_rp_rtt_ratt x0t y0t : Prop).

(* constant 2777 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_nis ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.λy0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.(l_not (l_e_st_eq_landau_n_rt_rp_rtt_is x0t y0t) : Prop).

(* constant 2778 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_all ≝ λp:∀x:l_e_st_eq_landau_n_rt_rp_rtt_ratt.Prop.(l_all l_e_st_eq_landau_n_rt_rp_rtt_ratt p : Prop).

(* constant 2779 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_some ≝ λp:∀x:l_e_st_eq_landau_n_rt_rp_rtt_ratt.Prop.(l_some l_e_st_eq_landau_n_rt_rp_rtt_ratt p : Prop).

(* constant 2780 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_one ≝ λp:∀x:l_e_st_eq_landau_n_rt_rp_rtt_ratt.Prop.(l_e_one l_e_st_eq_landau_n_rt_rp_rtt_ratt p : Prop).

(* constant 2781 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.(l_e_in l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp t) x0t : l_e_st_eq_landau_n_rt_cut).

(* constant 2782 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_ratrpi ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.(l_e_inp l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp t) x0t : l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt x0t)).

(* constant 2783 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_isrpertt ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λrteta:l_e_st_eq_landau_n_rt_rp_ratrp eta.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_isouti l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp t) ksi rtksi eta rteta i : l_e_st_eq_landau_n_rt_rp_rtt_is (l_e_st_eq_landau_n_rt_rp_rtt_rttofrp ksi rtksi) (l_e_st_eq_landau_n_rt_rp_rtt_rttofrp eta rteta)).

(* constant 2784 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_isrpirtt ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λrteta:l_e_st_eq_landau_n_rt_rp_ratrp eta.λi:l_e_st_eq_landau_n_rt_rp_rtt_is (l_e_st_eq_landau_n_rt_rp_rtt_rttofrp ksi rtksi) (l_e_st_eq_landau_n_rt_rp_rtt_rttofrp eta rteta).(l_e_isoute l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp t) ksi rtksi eta rteta i : l_e_st_eq_landau_n_rt_rp_is ksi eta).

(* constant 2785 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_isrtterp ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.λy0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.λi:l_e_st_eq_landau_n_rt_rp_rtt_is x0t y0t.(l_e_isini l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp t) x0t y0t i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt y0t)).

(* constant 2786 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_isrttirp ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.λy0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt y0t).(l_e_isine l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp t) x0t y0t i : l_e_st_eq_landau_n_rt_rp_rtt_is x0t y0t).

(* constant 2787 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_isrprtt1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(l_e_isinout l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp t) ksi rtksi : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt (l_e_st_eq_landau_n_rt_rp_rtt_rttofrp ksi rtksi))).

(* constant 2788 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_isrttrp1 ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.(l_e_isoutin l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp t) x0t : l_e_st_eq_landau_n_rt_rp_rtt_is x0t (l_e_st_eq_landau_n_rt_rp_rtt_rttofrp (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rtt_ratrpi x0t))).

(* constant 2789 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_rttofrt ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rtt_rttofrp (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_ratrpi x0) : l_e_st_eq_landau_n_rt_rp_rtt_ratt).

(* constant 2790 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_isrtertt ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is x0 y0.(l_e_st_eq_landau_n_rt_rp_rtt_isrpertt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_ratrpi x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_ratrpi y0) (l_e_st_eq_landau_n_rt_rp_isrterp x0 y0 i) : l_e_st_eq_landau_n_rt_rp_rtt_is (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt x0) (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt y0)).

(* constant 2791 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_isrtirtt ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_rp_rtt_is (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt x0) (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt y0).(l_e_st_eq_landau_n_rt_rp_isrtirp x0 y0 (l_e_st_eq_landau_n_rt_rp_rtt_isrpirtt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_ratrpi x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_ratrpi y0) i) : l_e_st_eq_landau_n_rt_is x0 y0).

(* constant 2792 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.(l_e_st_eq_landau_n_rt_rp_rtofrp (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rtt_ratrpi x0t) : l_e_st_eq_landau_n_rt_rat).

(* constant 2793 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_isrttert ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.λy0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.λi:l_e_st_eq_landau_n_rt_rp_rtt_is x0t y0t.(l_e_st_eq_landau_n_rt_rp_isrpert (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rtt_ratrpi x0t) (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt y0t) (l_e_st_eq_landau_n_rt_rp_rtt_ratrpi y0t) (l_e_st_eq_landau_n_rt_rp_rtt_isrtterp x0t y0t i) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt y0t)).

(* constant 2794 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_isrttirt ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.λy0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt y0t).(l_e_st_eq_landau_n_rt_rp_rtt_isrttirp x0t y0t (l_e_st_eq_landau_n_rt_rp_isrpirt (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rtt_ratrpi x0t) (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt y0t) (l_e_st_eq_landau_n_rt_rp_rtt_ratrpi y0t) i) : l_e_st_eq_landau_n_rt_rp_rtt_is x0t y0t).

(* constant 2795 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_iii5_t9 ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rtt_isrprtt1 (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_ratrpi x0) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt x0))).

(* constant 2796 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_iii5_t10 ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_isrpert (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_ratrpi x0) (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt x0)) (l_e_st_eq_landau_n_rt_rp_rtt_ratrpi (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt x0)) (l_e_st_eq_landau_n_rt_rp_rtt_iii5_t9 x0) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_rp_rtofrp (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_ratrpi x0)) (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt x0))).

(* constant 2797 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_isrtrtt1 ≝ λx0:l_e_st_eq_landau_n_rt_rat.(l_e_tris l_e_st_eq_landau_n_rt_rat x0 (l_e_st_eq_landau_n_rt_rp_rtofrp (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_ratrpi x0)) (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt x0)) (l_e_st_eq_landau_n_rt_rp_isrtrp1 x0) (l_e_st_eq_landau_n_rt_rp_rtt_iii5_t10 x0) : l_e_st_eq_landau_n_rt_is x0 (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt x0))).

(* constant 2798 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_iii5_t11 ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.(l_e_st_eq_landau_n_rt_rp_isrprt1 (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rtt_ratrpi x0t) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt x0t))).

(* constant 2799 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_iii5_t12 ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.(l_e_st_eq_landau_n_rt_rp_rtt_isrpertt (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rtt_ratrpi x0t) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt x0t)) (l_e_st_eq_landau_n_rt_rp_ratrpi (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt x0t)) (l_e_st_eq_landau_n_rt_rp_rtt_iii5_t11 x0t) : l_e_st_eq_landau_n_rt_rp_rtt_is (l_e_st_eq_landau_n_rt_rp_rtt_rttofrp (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rtt_ratrpi x0t)) (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt x0t))).

(* constant 2800 *)
definition l_e_st_eq_landau_n_rt_rp_rtt_isrttrt1 ≝ λx0t:l_e_st_eq_landau_n_rt_rp_rtt_ratt.(l_e_tris l_e_st_eq_landau_n_rt_rp_rtt_ratt x0t (l_e_st_eq_landau_n_rt_rp_rtt_rttofrp (l_e_st_eq_landau_n_rt_rp_rtt_rpofrtt x0t) (l_e_st_eq_landau_n_rt_rp_rtt_ratrpi x0t)) (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt x0t)) (l_e_st_eq_landau_n_rt_rp_rtt_isrttrp1 x0t) (l_e_st_eq_landau_n_rt_rp_rtt_iii5_t12 x0t) : l_e_st_eq_landau_n_rt_rp_rtt_is x0t (l_e_st_eq_landau_n_rt_rp_rtt_rttofrt (l_e_st_eq_landau_n_rt_rp_rtt_rtofrtt x0t))).

(* constant 2801 *)
definition l_e_st_eq_landau_n_rt_rp_example2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_satz153c l_e_st_eq_landau_n_rt_rp_1rp ksi : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi (l_e_st_eq_landau_n_rt_rp_ov l_e_st_eq_landau_n_rt_rp_1rp ksi)) l_e_st_eq_landau_n_rt_rp_1rp).

(* constant 2802 *)
definition l_e_st_eq_landau_n_rt_rp_5157_x01 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(l_e_st_eq_landau_n_rt_rp_rtofrp ksi rtksi : l_e_st_eq_landau_n_rt_rat).

(* constant 2803 *)
definition l_e_st_eq_landau_n_rt_rp_5157_s1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x) : l_e_st_set l_e_st_eq_landau_n_rt_rat).

(* constant 2804 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi).(l_e_st_estie l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x) y0 i : l_e_st_eq_landau_n_rt_urt ksi y0).

(* constant 2805 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi).λm:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) y0.(l_e_st_eq_landau_n_rt_rp_lrtrpofrt (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) y0 (l_e_st_eq_landau_n_rt_satz82 (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) y0 m) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi)) y0).

(* constant 2806 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi).λm:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) y0.(l_e_isp l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_lrt x y0) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi)) ksi (l_e_st_eq_landau_n_rt_rp_5157_t2 ksi rtksi y0 i m) (l_e_st_eq_landau_n_rt_rp_isrprt2 ksi rtksi) : l_e_st_eq_landau_n_rt_lrt ksi y0).

(* constant 2807 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi).(l_imp_th3 (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) y0) (l_e_st_eq_landau_n_rt_lrt ksi y0) (l_e_st_eq_landau_n_rt_rp_5157_t1 ksi rtksi y0 i) (λt:l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) y0.l_e_st_eq_landau_n_rt_rp_5157_t3 ksi rtksi y0 i t) : l_not (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) y0)).

(* constant 2808 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.λy0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi).(l_e_st_eq_landau_n_rt_satz81e (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) y0 (l_e_st_eq_landau_n_rt_rp_5157_t4 ksi rtksi y0 i) : l_e_st_eq_landau_n_rt_lessis (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) y0).

(* constant 2809 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi).l_e_st_eq_landau_n_rt_rp_5157_t5 ksi rtksi x t : l_e_st_eq_landau_n_rt_lb (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi) (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi)).

(* constant 2810 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(l_e_st_eq_landau_n_rt_rp_urtrpofrt (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) (l_e_st_eq_landau_n_rt_moreisi2 (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) (l_e_refis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi))) : l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi)) (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi)).

(* constant 2811 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(l_e_isp l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_urt x (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi)) ksi (l_e_st_eq_landau_n_rt_rp_5157_t7 ksi rtksi) (l_e_st_eq_landau_n_rt_rp_isrprt2 ksi rtksi) : l_e_st_eq_landau_n_rt_urt ksi (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi)).

(* constant 2812 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x) (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) (l_e_st_eq_landau_n_rt_rp_5157_t8 ksi rtksi) : l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi)).

(* constant 2813 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(l_andi (l_e_st_eq_landau_n_rt_lb (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi) (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi)) (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi)) (l_e_st_eq_landau_n_rt_rp_5157_t6 ksi rtksi) (l_e_st_eq_landau_n_rt_rp_5157_t9 ksi rtksi) : l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi) (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi)).

(* constant 2814 *)
definition l_e_st_eq_landau_n_rt_rp_satz157a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(l_e_st_eq_landau_n_rt_rp_5157_t10 ksi rtksi : l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x)) (l_e_st_eq_landau_n_rt_rp_rtofrp ksi rtksi)).

(* constant 2815 *)
definition l_e_st_eq_landau_n_rt_rp_satz157b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λrtksi:l_e_st_eq_landau_n_rt_rp_ratrp ksi.(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi) x) (l_e_st_eq_landau_n_rt_rp_5157_x01 ksi rtksi) (l_e_st_eq_landau_n_rt_rp_5157_t10 ksi rtksi) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi y)) x)).

(* constant 2816 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x)) x0.(l_ande1 (l_e_st_eq_landau_n_rt_lb (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi) x0) (l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi)) m : l_e_st_eq_landau_n_rt_lb (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi) x0).

(* constant 2817 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x)) x0.(l_ande2 (l_e_st_eq_landau_n_rt_lb (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi) x0) (l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi)) m : l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi)).

(* constant 2818 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x)) x0.(l_e_st_estie l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x) x0 (l_e_st_eq_landau_n_rt_rp_5157_t12 ksi x0 m) : l_e_st_eq_landau_n_rt_urt ksi x0).

(* constant 2819 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x)) x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.(l_e_st_eq_landau_n_rt_cutapp2a ksi y0 ly x0 (l_e_st_eq_landau_n_rt_rp_5157_t13 ksi x0 m) : l_e_st_eq_landau_n_rt_less y0 x0).

(* constant 2820 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t15 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x)) x0.λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt ksi y0.(l_e_st_eq_landau_n_rt_rp_lrtrpofrt x0 y0 (l_e_st_eq_landau_n_rt_rp_5157_t14 ksi x0 m y0 ly) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) y0).

(* constant 2821 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t17 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x)) x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x) y0 uy : l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi)).

(* constant 2822 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t18 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x)) x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.(l_e_st_eq_landau_n_rt_satz85 x0 y0 (l_e_st_eq_landau_n_rt_rp_5157_t11 ksi x0 m y0 (l_e_st_eq_landau_n_rt_rp_5157_t17 ksi x0 m y0 uy)) : l_e_st_eq_landau_n_rt_moreis y0 x0).

(* constant 2823 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t19 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x)) x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt ksi y0.(l_e_st_eq_landau_n_rt_rp_urtrpofrt x0 y0 (l_e_st_eq_landau_n_rt_rp_5157_t18 ksi x0 m y0 uy) : l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) y0).

(* constant 2824 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t20 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x)) x0.λy0:l_e_st_eq_landau_n_rt_rat.(l_cp (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) y0) (l_e_st_eq_landau_n_rt_lrt ksi y0) (λt:l_e_st_eq_landau_n_rt_urt ksi y0.l_e_st_eq_landau_n_rt_rp_5157_t19 ksi x0 m y0 t) : l_imp (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) y0) (l_e_st_eq_landau_n_rt_lrt ksi y0)).

(* constant 2825 *)
definition l_e_st_eq_landau_n_rt_rp_satz157c ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x)) x0.(l_e_st_eq_landau_n_rt_rp_isi1 ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt ksi x.l_e_st_eq_landau_n_rt_rp_5157_t15 ksi x0 m x t) (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5157_t20 ksi x0 m x) : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).

(* constant 2826 *)
definition l_e_st_eq_landau_n_rt_rp_5157_t21 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi y)) x).λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi) x0.(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x)) x0 (l_e_st_eq_landau_n_rt_rp_satz157c ksi x0 m) : l_e_st_eq_landau_n_rt_rp_ratrp ksi).

(* constant 2827 *)
definition l_e_st_eq_landau_n_rt_rp_satz157d ≝ λksi:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_min (l_e_st_setof l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi y)) x).(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi) x) s (l_e_st_eq_landau_n_rt_rp_ratrp ksi) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5157_s1 ksi) x.l_e_st_eq_landau_n_rt_rp_5157_t21 ksi s x t) : l_e_st_eq_landau_n_rt_rp_ratrp ksi).

(* constant 2828 *)
definition l_e_st_eq_landau_n_rt_rp_5158_xr ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt x0 : l_e_st_eq_landau_n_rt_cut).

(* constant 2829 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_e_st_eq_landau_n_rt_rp_urtrpofrt x0 x0 (l_e_st_eq_landau_n_rt_moreisi2 x0 x0 (l_e_refis l_e_st_eq_landau_n_rt_rat x0)) : l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) x0).

(* constant 2830 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_andi (l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) x0) (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_rp_5158_t1 ksi x0 lx) lx : l_and (l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) x0) (l_e_st_eq_landau_n_rt_lrt ksi x0)).

(* constant 2831 *)
definition l_e_st_eq_landau_n_rt_rp_satz158a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt ksi x0.(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_rpofrt x0) x) (l_e_st_eq_landau_n_rt_lrt ksi x)) x0 (l_e_st_eq_landau_n_rt_rp_5158_t2 ksi x0 lx) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x0) ksi).

(* constant 2832 *)
definition l_e_st_eq_landau_n_rt_rp_5158_s1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.(l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x) : l_e_st_set l_e_st_eq_landau_n_rt_rat).

(* constant 2833 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λm:l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0.(l_e_symis l_e_st_eq_landau_n_rt_cut ksi (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) (l_e_st_eq_landau_n_rt_rp_satz157c ksi x0 m) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi).

(* constant 2834 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λm:l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0.(l_e_st_eq_landau_n_rt_rp_moreisi2 (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi (l_e_st_eq_landau_n_rt_rp_5158_t3 ksi x0 ux m) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi).

(* constant 2835 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λn:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x) x0 ux : l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)).

(* constant 2836 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λn:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).(l_and_th4 (l_e_st_eq_landau_n_rt_lb (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0) (l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) n (l_e_st_eq_landau_n_rt_rp_5158_t5 ksi x0 ux n) : l_not (l_e_st_eq_landau_n_rt_lb (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0)).

(* constant 2837 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λn:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).(l_some_th1 l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_imp (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 x)) (l_e_st_eq_landau_n_rt_rp_5158_t6 ksi x0 ux n) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_not (l_imp (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 x)))).

(* constant 2838 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λn:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).λy0:l_e_st_eq_landau_n_rt_rat.λo:l_not (l_imp (l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 y0)).(l_imp_th5 (l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 y0) o : l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)).

(* constant 2839 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λn:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).λy0:l_e_st_eq_landau_n_rt_rat.λo:l_not (l_imp (l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 y0)).(l_e_st_estie l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_urt ksi x) y0 (l_e_st_eq_landau_n_rt_rp_5158_t8 ksi x0 ux n y0 o) : l_e_st_eq_landau_n_rt_urt ksi y0).

(* constant 2840 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λn:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).λy0:l_e_st_eq_landau_n_rt_rat.λo:l_not (l_imp (l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 y0)).(l_imp_th6 (l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 y0) o : l_not (l_e_st_eq_landau_n_rt_lessis x0 y0)).

(* constant 2841 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λn:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).λy0:l_e_st_eq_landau_n_rt_rat.λo:l_not (l_imp (l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 y0)).(l_e_st_eq_landau_n_rt_satz82 x0 y0 (l_e_st_eq_landau_n_rt_satz81k x0 y0 (l_e_st_eq_landau_n_rt_rp_5158_t10 ksi x0 ux n y0 o)) : l_e_st_eq_landau_n_rt_less y0 x0).

(* constant 2842 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λn:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).λy0:l_e_st_eq_landau_n_rt_rat.λo:l_not (l_imp (l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 y0)).(l_e_st_eq_landau_n_rt_rp_lrtrpofrt x0 y0 (l_e_st_eq_landau_n_rt_rp_5158_t11 ksi x0 ux n y0 o) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) y0).

(* constant 2843 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λn:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).λy0:l_e_st_eq_landau_n_rt_rat.λo:l_not (l_imp (l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 y0)).(l_andi (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) y0) (l_e_st_eq_landau_n_rt_urt ksi y0) (l_e_st_eq_landau_n_rt_rp_5158_t12 ksi x0 ux n y0 o) (l_e_st_eq_landau_n_rt_rp_5158_t9 ksi x0 ux n y0 o) : l_and (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) y0) (l_e_st_eq_landau_n_rt_urt ksi y0)).

(* constant 2844 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λn:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).λy0:l_e_st_eq_landau_n_rt_rat.λo:l_not (l_imp (l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 y0)).(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) x) (l_e_st_eq_landau_n_rt_urt ksi x)) y0 (l_e_st_eq_landau_n_rt_rp_5158_t13 ksi x0 ux n y0 o) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi).

(* constant 2845 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t15 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λn:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_not (l_imp (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 x))) (l_e_st_eq_landau_n_rt_rp_5158_t7 ksi x0 ux n) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_not (l_imp (l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux)) (l_e_st_eq_landau_n_rt_lessis x0 x)).l_e_st_eq_landau_n_rt_rp_5158_t14 ksi x0 ux n x t) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi).

(* constant 2846 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t16 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λn:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).(l_e_st_eq_landau_n_rt_rp_moreisi1 (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi (l_e_st_eq_landau_n_rt_rp_5158_t15 ksi x0 ux n) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi).

(* constant 2847 *)
definition l_e_st_eq_landau_n_rt_rp_satz158b ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.(l_imp_th1 (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0) (l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_rpofrt x0) ksi) (λt:l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0.l_e_st_eq_landau_n_rt_rp_5158_t4 ksi x0 ux t) (λt:l_not (l_e_st_eq_landau_n_rt_min (l_e_st_eq_landau_n_rt_rp_5158_s1 ksi x0 ux) x0).l_e_st_eq_landau_n_rt_rp_5158_t16 ksi x0 ux t) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_rpofrt x0) ksi).

(* constant 2848 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t17 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x0) ksi.(l_e_st_eq_landau_n_rt_rp_satz123h (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi l : l_not (l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi)).

(* constant 2849 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t18 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x0) ksi.(l_imp_th3 (l_e_st_eq_landau_n_rt_urt ksi x0) (l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi) (l_e_st_eq_landau_n_rt_rp_5158_t17 ksi x0 l) (λt:l_e_st_eq_landau_n_rt_urt ksi x0.l_e_st_eq_landau_n_rt_rp_satz158b ksi x0 t) : l_not (l_e_st_eq_landau_n_rt_urt ksi x0)).

(* constant 2850 *)
definition l_e_st_eq_landau_n_rt_rp_satz158c ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x0) ksi.(l_et (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_rp_5158_t18 ksi x0 l) : l_e_st_eq_landau_n_rt_lrt ksi x0).

(* constant 2851 *)
definition l_e_st_eq_landau_n_rt_rp_5158_t19 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_rpofrt x0) ksi.(l_e_st_eq_landau_n_rt_rp_satz123c (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi m : l_not (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5158_xr ksi x0) ksi)).

(* constant 2852 *)
definition l_e_st_eq_landau_n_rt_rp_satz158d ≝ λksi:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_rpofrt x0) ksi.(l_imp_th3 (l_e_st_eq_landau_n_rt_lrt ksi x0) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x0) ksi) (l_e_st_eq_landau_n_rt_rp_5158_t19 ksi x0 m) (λt:l_e_st_eq_landau_n_rt_lrt ksi x0.l_e_st_eq_landau_n_rt_rp_satz158a ksi x0 t) : l_e_st_eq_landau_n_rt_urt ksi x0).

(* constant 2853 *)
definition l_e_st_eq_landau_n_rt_rp_5159_xr ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt x0 : l_e_st_eq_landau_n_rt_cut).

(* constant 2854 *)
definition l_e_st_eq_landau_n_rt_rp_5159_zr ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt z0 : l_e_st_eq_landau_n_rt_cut).

(* constant 2855 *)
definition l_e_st_eq_landau_n_rt_rp_5159_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt eta z0.λk:l_e_st_eq_landau_n_rt_less x0 z0.(l_e_st_eq_landau_n_rt_rp_satz127a ksi (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0) (l_e_st_eq_landau_n_rt_rp_5159_zr ksi eta l x0 ux lx z0) (l_e_st_eq_landau_n_rt_rp_satz124 (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0) ksi (l_e_st_eq_landau_n_rt_rp_satz158b ksi x0 ux)) (l_e_st_eq_landau_n_rt_rp_satz154c x0 z0 k) : l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_zr ksi eta l x0 ux lx z0)).

(* constant 2856 *)
definition l_e_st_eq_landau_n_rt_rp_5159_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt eta z0.λk:l_e_st_eq_landau_n_rt_less x0 z0.(l_andi (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_zr ksi eta l x0 ux lx z0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5159_zr ksi eta l x0 ux lx z0) eta) (l_e_st_eq_landau_n_rt_rp_5159_t1 ksi eta l x0 ux lx z0 lz k) (l_e_st_eq_landau_n_rt_rp_satz158a eta z0 lz) : l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_zr ksi eta l x0 ux lx z0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5159_zr ksi eta l x0 ux lx z0) eta)).

(* constant 2857 *)
definition l_e_st_eq_landau_n_rt_rp_5159_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt eta z0.λk:l_e_st_eq_landau_n_rt_less x0 z0.(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta)) z0 (l_e_st_eq_landau_n_rt_rp_5159_t2 ksi eta l x0 ux lx z0 lz k) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta))).

(* constant 2858 *)
definition l_e_st_eq_landau_n_rt_rp_5159_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt ksi x0.λlx:l_e_st_eq_landau_n_rt_lrt eta x0.(l_e_st_eq_landau_n_rt_cutapp3 eta x0 lx (l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta))) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt eta x.λu:l_e_st_eq_landau_n_rt_less x0 x.l_e_st_eq_landau_n_rt_rp_5159_t3 ksi eta l x0 ux lx x t u) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta))).

(* constant 2859 *)
definition l_e_st_eq_landau_n_rt_rp_satz159 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_e_st_eq_landau_n_rt_rp_lessapp ksi eta l (l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta))) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt ksi x.λu:l_e_st_eq_landau_n_rt_lrt eta x.l_e_st_eq_landau_n_rt_rp_5159_t4 ksi eta l x t u) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta))).

(* constant 2860 *)
definition l_e_st_eq_landau_n_rt_rp_5159_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0) eta).(l_andi (l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0)) (l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0) eta)) (l_e_st_eq_landau_n_rt_rp_ratrpi x0) a : l_and3 (l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0)) (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0) eta)).

(* constant 2861 *)
definition l_e_st_eq_landau_n_rt_rp_5159_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λx0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0) eta).(l_somei l_e_st_eq_landau_n_rt_cut (λc:l_e_st_eq_landau_n_rt_cut.l_and3 (l_e_st_eq_landau_n_rt_rp_ratrp c) (l_e_st_eq_landau_n_rt_rp_less ksi c) (l_e_st_eq_landau_n_rt_rp_less c eta)) (l_e_st_eq_landau_n_rt_rp_5159_xr ksi eta l x0) (l_e_st_eq_landau_n_rt_rp_5159_t5 ksi eta l x0 a) : l_e_st_eq_landau_n_rt_rp_some (λc:l_e_st_eq_landau_n_rt_cut.l_and3 (l_e_st_eq_landau_n_rt_rp_ratrp c) (l_e_st_eq_landau_n_rt_rp_less ksi c) (l_e_st_eq_landau_n_rt_rp_less c eta))).

(* constant 2862 *)
definition l_e_st_eq_landau_n_rt_rp_satz159a ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta)) (l_e_st_eq_landau_n_rt_rp_satz159 ksi eta l) (l_e_st_eq_landau_n_rt_rp_some (λa:l_e_st_eq_landau_n_rt_cut.l_and3 (l_e_st_eq_landau_n_rt_rp_ratrp a) (l_e_st_eq_landau_n_rt_rp_less ksi a) (l_e_st_eq_landau_n_rt_rp_less a eta))) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta).l_e_st_eq_landau_n_rt_rp_5159_t6 ksi eta l x t) : l_e_st_eq_landau_n_rt_rp_some (λa:l_e_st_eq_landau_n_rt_cut.l_and3 (l_e_st_eq_landau_n_rt_rp_ratrp a) (l_e_st_eq_landau_n_rt_rp_less ksi a) (l_e_st_eq_landau_n_rt_rp_less a eta))).

(* constant 2863 *)
definition l_e_st_eq_landau_n_rt_rp_5159_yr ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x).∀u:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta.p.λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt y0 : l_e_st_eq_landau_n_rt_cut).

(* constant 2864 *)
definition l_e_st_eq_landau_n_rt_rp_5159_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x).∀u:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta.p.λy0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_yr ksi eta l p p1 y0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5159_yr ksi eta l p p1 y0) eta).(l_ande1 (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_yr ksi eta l p p1 y0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5159_yr ksi eta l p p1 y0) eta) a : l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_yr ksi eta l p p1 y0)).

(* constant 2865 *)
definition l_e_st_eq_landau_n_rt_rp_5159_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x).∀u:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta.p.λy0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_yr ksi eta l p p1 y0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5159_yr ksi eta l p p1 y0) eta).(l_ande2 (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_yr ksi eta l p p1 y0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5159_yr ksi eta l p p1 y0) eta) a : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5159_yr ksi eta l p p1 y0) eta).

(* constant 2866 *)
definition l_e_st_eq_landau_n_rt_rp_5159_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x).∀u:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta.p.λy0:l_e_st_eq_landau_n_rt_rat.λa:l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5159_yr ksi eta l p p1 y0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5159_yr ksi eta l p p1 y0) eta).(p1 y0 (l_e_st_eq_landau_n_rt_rp_5159_t7 ksi eta l p p1 y0 a) (l_e_st_eq_landau_n_rt_rp_5159_t8 ksi eta l p p1 y0 a) : p).

(* constant 2867 *)
definition l_e_st_eq_landau_n_rt_rp_satz159app ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x).∀u:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta.p.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta)) (l_e_st_eq_landau_n_rt_rp_satz159 ksi eta l) p (λx:l_e_st_eq_landau_n_rt_rat.λt:l_and (l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) eta).l_e_st_eq_landau_n_rt_rp_5159_t9 ksi eta l p p1 x t) : p).

(* constant 2868 *)
definition l_e_st_eq_landau_n_rt_rp_5160_zr ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).(l_e_st_eq_landau_n_rt_rp_rpofrt z0 : l_e_st_eq_landau_n_rt_cut).

(* constant 2869 *)
definition l_e_st_eq_landau_n_rt_rp_5160_nm ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).(l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_5160_zr ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_ts ksi eta) m : l_e_st_eq_landau_n_rt_cut).

(* constant 2870 *)
definition l_e_st_eq_landau_n_rt_rp_5160_dn ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).(l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) l_e_st_eq_landau_n_rt_rp_1rp : l_e_st_eq_landau_n_rt_cut).

(* constant 2871 *)
definition l_e_st_eq_landau_n_rt_rp_5160_fr ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).(l_e_st_eq_landau_n_rt_rp_ov (l_e_st_eq_landau_n_rt_rp_5160_nm ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) : l_e_st_eq_landau_n_rt_cut).

(* constant 2872 *)
definition l_e_st_eq_landau_n_rt_rp_5160_zeta ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).(l_e_ite (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp : l_e_st_eq_landau_n_rt_cut).

(* constant 2873 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp.(l_e_itet (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp l : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m)).

(* constant 2874 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp.(l_e_st_eq_landau_n_rt_rp_lessisi2 (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_t1 ksi eta z0 m l) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m)).

(* constant 2875 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp.(l_e_st_eq_landau_n_rt_rp_lessisi1 (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_satz127a (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5160_t2 ksi eta z0 m l) l) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp).

(* constant 2876 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λn:l_not (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp).(l_e_itef (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp n : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp).

(* constant 2877 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λn:l_not (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp).(l_e_st_eq_landau_n_rt_rp_lessisi2 (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5160_t4 ksi eta z0 m n) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp).

(* constant 2878 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λn:l_not (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp).(l_e_st_eq_landau_n_rt_rp_trlessis (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_t5 ksi eta z0 m n) (l_e_st_eq_landau_n_rt_rp_satz124 (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_satz123f (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp n)) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m)).

(* constant 2879 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp) (λt:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp.l_e_st_eq_landau_n_rt_rp_5160_t3 ksi eta z0 m t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp).l_e_st_eq_landau_n_rt_rp_5160_t5 ksi eta z0 m t) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp).

(* constant 2880 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m)) (λt:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp.l_e_st_eq_landau_n_rt_rp_5160_t2 ksi eta z0 m t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp).l_e_st_eq_landau_n_rt_rp_5160_t6 ksi eta z0 m t) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m)).

(* constant 2881 *)
definition l_e_st_eq_landau_n_rt_rp_5160_zr1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt z1 : l_e_st_eq_landau_n_rt_cut).

(* constant 2882 *)
definition l_e_st_eq_landau_n_rt_rp_5160_zr2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt z2 : l_e_st_eq_landau_n_rt_cut).

(* constant 2883 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_isless2 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2)) (l_e_st_eq_landau_n_rt_rp_disttp2 (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_satz147a (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) l2 l4) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)))).

(* constant 2884 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_lessisi2 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) eta) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) eta) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) eta)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_disttp1 ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) eta) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_comts (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) eta))) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) eta) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)))).

(* constant 2885 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_satz149a (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_satz139a ksi ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_lessisi2 ksi ksi (l_e_refis l_e_st_eq_landau_n_rt_cut ksi)) (l_e_st_eq_landau_n_rt_rp_5160_t7 ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_lessisi2 (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_refis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))).

(* constant 2886 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_satz139a (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) eta) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_t10 ksi eta z0 m z1 l1 l2 z2 l3 l4) (l_e_st_eq_landau_n_rt_rp_5160_t11 ksi eta z0 m z1 l1 l2 z2 l3 l4) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)))).

(* constant 2887 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_satz127b (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_5160_t9 ksi eta z0 m z1 l1 l2 z2 l3 l4) (l_e_st_eq_landau_n_rt_rp_5160_t12 ksi eta z0 m z1 l1 l2 z2 l3 l4) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)))).

(* constant 2888 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl eta ksi) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl ksi eta) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_asspl2 eta ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_pl eta ksi) (l_e_st_eq_landau_n_rt_rp_pl ksi eta) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_compl eta ksi)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m)).

(* constant 2889 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t15 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_distpt1 eta (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ists1 (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_t14 ksi eta z0 m z1 l1 l2 z2 l3 l4)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))).

(* constant 2890 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t16 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_5160_t15 ksi eta z0 m z1 l1 l2 z2 l3 l4)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)))).

(* constant 2891 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t17 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_isless2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl ksi l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2)) (l_e_st_eq_landau_n_rt_rp_5160_t16 ksi eta z0 m z1 l1 l2 z2 l3 l4) (l_e_st_eq_landau_n_rt_rp_5160_t13 ksi eta z0 m z1 l1 l2 z2 l3 l4) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)))).

(* constant 2892 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t18 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_islessis12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_nm ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_comts (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_satz153e (l_e_st_eq_landau_n_rt_rp_5160_nm ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_satz149a (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_fr ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_t8 ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_lessisi2 (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_refis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m)))) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_nm ksi eta z0 m)).

(* constant 2893 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t19 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_satz139a (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_nm ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_lessisi2 (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_refis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts ksi eta))) (l_e_st_eq_landau_n_rt_rp_5160_t18 ksi eta z0 m z1 l1 l2 z2 l3 l4) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_5160_nm ksi eta z0 m))).

(* constant 2894 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t20 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_satz127b (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_dn ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_5160_nm ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_t17 ksi eta z0 m z1 l1 l2 z2 l3 l4) (l_e_st_eq_landau_n_rt_rp_5160_t19 ksi eta z0 m z1 l1 l2 z2 l3 l4) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_5160_nm ksi eta z0 m))).

(* constant 2895 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t21 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_isless2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_5160_nm ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_zr ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2)) (l_e_st_eq_landau_n_rt_rp_satz140c (l_e_st_eq_landau_n_rt_rp_5160_zr ksi eta z0 m) (l_e_st_eq_landau_n_rt_rp_ts ksi eta) m) (l_e_st_eq_landau_n_rt_rp_5160_t20 ksi eta z0 m z1 l1 l2 z2 l3 l4) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2)) (l_e_st_eq_landau_n_rt_rp_5160_zr ksi eta z0 m)).

(* constant 2896 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t22 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_satz154f (l_e_st_eq_landau_n_rt_ts z1 z2) z0 (l_e_st_eq_landau_n_rt_rp_isless1 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts z1 z2)) (l_e_st_eq_landau_n_rt_rp_5160_zr ksi eta z0 m) (l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts z1 z2)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2)) (l_e_st_eq_landau_n_rt_rp_satz155c z1 z2)) (l_e_st_eq_landau_n_rt_rp_5160_t21 ksi eta z0 m z1 l1 l2 z2 l3 l4)) : l_e_st_eq_landau_n_rt_less (l_e_st_eq_landau_n_rt_ts z1 z2) z0).

(* constant 2897 *)
definition l_e_st_eq_landau_n_rt_rp_5160_x0 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_ov z0 z2 : l_e_st_eq_landau_n_rt_rat).

(* constant 2898 *)
definition l_e_st_eq_landau_n_rt_rp_5160_xr ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) : l_e_st_eq_landau_n_rt_cut).

(* constant 2899 *)
definition l_e_st_eq_landau_n_rt_rp_5160_y0 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(z2 : l_e_st_eq_landau_n_rt_rat).

(* constant 2900 *)
definition l_e_st_eq_landau_n_rt_rp_5160_yr ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_5160_y0 ksi eta z0 m z1 l1 l2 z2 l3 l4) : l_e_st_eq_landau_n_rt_cut).

(* constant 2901 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t23 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_satz110e z0 z2 : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) (l_e_st_eq_landau_n_rt_rp_5160_y0 ksi eta z0 m z1 l1 l2 z2 l3 l4)) z0).

(* constant 2902 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t24 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_ismore1 z0 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) z2) (l_e_st_eq_landau_n_rt_ts z1 z2) (l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) z2) z0 (l_e_st_eq_landau_n_rt_rp_5160_t23 ksi eta z0 m z1 l1 l2 z2 l3 l4)) (l_e_st_eq_landau_n_rt_satz83 (l_e_st_eq_landau_n_rt_ts z1 z2) z0 (l_e_st_eq_landau_n_rt_rp_5160_t22 ksi eta z0 m z1 l1 l2 z2 l3 l4)) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) z2) (l_e_st_eq_landau_n_rt_ts z1 z2)).

(* constant 2903 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t25 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_satz106a (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) z1 z2 (l_e_st_eq_landau_n_rt_rp_5160_t24 ksi eta z0 m z1 l1 l2 z2 l3 l4) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) z1).

(* constant 2904 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t26 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_trmore (l_e_st_eq_landau_n_rt_rp_5160_xr ksi eta z0 m z1 l1 l2 z2 l3 l4) (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) ksi (l_e_st_eq_landau_n_rt_rp_satz154a (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) z1 (l_e_st_eq_landau_n_rt_rp_5160_t25 ksi eta z0 m z1 l1 l2 z2 l3 l4)) (l_e_st_eq_landau_n_rt_rp_satz122 ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) l1) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_xr ksi eta z0 m z1 l1 l2 z2 l3 l4) ksi).

(* constant 2905 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t27 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_satz122 eta (l_e_st_eq_landau_n_rt_rp_5160_yr ksi eta z0 m z1 l1 l2 z2 l3 l4) l3 : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_yr ksi eta z0 m z1 l1 l2 z2 l3 l4) eta).

(* constant 2906 *)
definition l_e_st_eq_landau_n_rt_rp_5160_ur ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt u0 : l_e_st_eq_landau_n_rt_cut).

(* constant 2907 *)
definition l_e_st_eq_landau_n_rt_rp_5160_vr ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λv0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt v0 : l_e_st_eq_landau_n_rt_cut).

(* constant 2908 *)
definition l_e_st_eq_landau_n_rt_rp_5160_prop1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λu0:l_e_st_eq_landau_n_rt_rat.λv0:l_e_st_eq_landau_n_rt_rat.(l_and3 (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_ur ksi eta z0 u0) ksi) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_vr ksi eta z0 u0 v0) eta) (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts u0 v0) z0) : Prop).

(* constant 2909 *)
definition l_e_st_eq_landau_n_rt_rp_5160_prop2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x y)) : Prop).

(* constant 2910 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t28 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_and3i (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_xr ksi eta z0 m z1 l1 l2 z2 l3 l4) ksi) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_yr ksi eta z0 m z1 l1 l2 z2 l3 l4) eta) (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) (l_e_st_eq_landau_n_rt_rp_5160_y0 ksi eta z0 m z1 l1 l2 z2 l3 l4)) z0) (l_e_st_eq_landau_n_rt_rp_5160_t26 ksi eta z0 m z1 l1 l2 z2 l3 l4) (l_e_st_eq_landau_n_rt_rp_5160_t27 ksi eta z0 m z1 l1 l2 z2 l3 l4) (l_e_st_eq_landau_n_rt_rp_5160_t23 ksi eta z0 m z1 l1 l2 z2 l3 l4) : l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) (l_e_st_eq_landau_n_rt_rp_5160_y0 ksi eta z0 m z1 l1 l2 z2 l3 l4)).

(* constant 2911 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t29 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_somei l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) y) (l_e_st_eq_landau_n_rt_rp_5160_y0 ksi eta z0 m z1 l1 l2 z2 l3 l4) (l_e_st_eq_landau_n_rt_rp_5160_t28 ksi eta z0 m z1 l1 l2 z2 l3 l4) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) y)).

(* constant 2912 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t30 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr2 ksi eta z0 m z1 l1 l2 z2) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x y)) (l_e_st_eq_landau_n_rt_rp_5160_x0 ksi eta z0 m z1 l1 l2 z2 l3 l4) (l_e_st_eq_landau_n_rt_rp_5160_t29 ksi eta z0 m z1 l1 l2 z2 l3 l4) : l_e_st_eq_landau_n_rt_rp_5160_prop2 ksi eta z0).

(* constant 2913 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t31 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5160_zr1 ksi eta z0 m z1) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).(l_e_st_eq_landau_n_rt_rp_satz159app eta (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_satz133a eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_prop2 ksi eta z0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_less eta (l_e_st_eq_landau_n_rt_rp_rpofrt x).λu:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_pl eta (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).l_e_st_eq_landau_n_rt_rp_5160_t30 ksi eta z0 m z1 l1 l2 x t u) : l_e_st_eq_landau_n_rt_rp_5160_prop2 ksi eta z0).

(* constant 2914 *)
definition l_e_st_eq_landau_n_rt_rp_satz160 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).(l_e_st_eq_landau_n_rt_rp_satz159app ksi (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_satz133a ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)) (l_e_st_eq_landau_n_rt_rp_5160_prop2 ksi eta z0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_less ksi (l_e_st_eq_landau_n_rt_rp_rpofrt x).λu:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_pl ksi (l_e_st_eq_landau_n_rt_rp_5160_zeta ksi eta z0 m)).l_e_st_eq_landau_n_rt_rp_5160_t31 ksi eta z0 m x t u) : l_e_st_eq_landau_n_rt_some (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and3 (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x) ksi) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt y) eta) (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x y) z0)))).

(* constant 2915 *)
definition l_e_st_eq_landau_n_rt_rp_5160_xr1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x) ksi.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt y) eta.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x y) z0.p.λx1:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt x1 : l_e_st_eq_landau_n_rt_cut).

(* constant 2916 *)
definition l_e_st_eq_landau_n_rt_rp_5160_yr1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x) ksi.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt y) eta.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x y) z0.p.λx1:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x1 y).λy1:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt y1 : l_e_st_eq_landau_n_rt_cut).

(* constant 2917 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t32 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x) ksi.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt y) eta.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x y) z0.p.λx1:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x1 y).λy1:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x1 y1.(l_and3e1 (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_xr1 ksi eta z0 m p p1 x1) ksi) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_yr1 ksi eta z0 m p p1 x1 px y1) eta) (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x1 y1) z0) py : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_xr1 ksi eta z0 m p p1 x1) ksi).

(* constant 2918 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t33 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x) ksi.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt y) eta.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x y) z0.p.λx1:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x1 y).λy1:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x1 y1.(l_and3e2 (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_xr1 ksi eta z0 m p p1 x1) ksi) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_yr1 ksi eta z0 m p p1 x1 px y1) eta) (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x1 y1) z0) py : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_yr1 ksi eta z0 m p p1 x1 px y1) eta).

(* constant 2919 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t34 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x) ksi.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt y) eta.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x y) z0.p.λx1:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x1 y).λy1:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x1 y1.(l_and3e3 (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_xr1 ksi eta z0 m p p1 x1) ksi) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5160_yr1 ksi eta z0 m p p1 x1 px y1) eta) (l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x1 y1) z0) py : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x1 y1) z0).

(* constant 2920 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t35 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x) ksi.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt y) eta.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x y) z0.p.λx1:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x1 y).λy1:l_e_st_eq_landau_n_rt_rat.λpy:l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x1 y1.(p1 x1 (l_e_st_eq_landau_n_rt_rp_5160_t32 ksi eta z0 m p p1 x1 px y1 py) y1 (l_e_st_eq_landau_n_rt_rp_5160_t33 ksi eta z0 m p p1 x1 px y1 py) (l_e_st_eq_landau_n_rt_rp_5160_t34 ksi eta z0 m p p1 x1 px y1 py) : p).

(* constant 2921 *)
definition l_e_st_eq_landau_n_rt_rp_5160_t36 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x) ksi.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt y) eta.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x y) z0.p.λx1:l_e_st_eq_landau_n_rt_rat.λpx:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x1 y).(l_someapp l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x1 y) px p (λy:l_e_st_eq_landau_n_rt_rat.λv:l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x1 y.l_e_st_eq_landau_n_rt_rp_5160_t35 ksi eta z0 m p p1 x1 px y v) : p).

(* constant 2922 *)
definition l_e_st_eq_landau_n_rt_rp_satz160app ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λz0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt z0) (l_e_st_eq_landau_n_rt_rp_ts ksi eta).λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rat.∀t:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x) ksi.∀y:l_e_st_eq_landau_n_rt_rat.∀u:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt y) eta.∀v:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x y) z0.p.(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x y)) (l_e_st_eq_landau_n_rt_rp_satz160 ksi eta z0 m) p (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5160_prop1 ksi eta z0 x y).l_e_st_eq_landau_n_rt_rp_5160_t36 ksi eta z0 m p p1 x t) : p).

(* constant 2923 *)
definition l_e_st_eq_landau_n_rt_rp_5161_min ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_ite (l_e_st_eq_landau_n_rt_rp_less ksi eta) l_e_st_eq_landau_n_rt_cut ksi eta : l_e_st_eq_landau_n_rt_cut).

(* constant 2924 *)
definition l_e_st_eq_landau_n_rt_rp_5161_max ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.(l_e_ite (l_e_st_eq_landau_n_rt_rp_more ksi eta) l_e_st_eq_landau_n_rt_cut ksi eta : l_e_st_eq_landau_n_rt_cut).

(* constant 2925 *)
definition l_e_st_eq_landau_n_rt_rp_5161_ur ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt u0 : l_e_st_eq_landau_n_rt_cut).

(* constant 2926 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min ksi eta) u0.(l_e_st_eq_landau_n_rt_rp_satz158a (l_e_st_eq_landau_n_rt_rp_5161_min ksi eta) u0 lu : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) (l_e_st_eq_landau_n_rt_rp_5161_min ksi eta)).

(* constant 2927 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min ksi eta) u0.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_e_st_eq_landau_n_rt_rp_isless2 (l_e_st_eq_landau_n_rt_rp_5161_min ksi eta) ksi (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) (l_e_itet (l_e_st_eq_landau_n_rt_rp_less ksi eta) l_e_st_eq_landau_n_rt_cut ksi eta l) (l_e_st_eq_landau_n_rt_rp_5161_t1 ksi eta u0 lu) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) ksi).

(* constant 2928 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min ksi eta) u0.λl:l_e_st_eq_landau_n_rt_rp_less ksi eta.(l_e_st_eq_landau_n_rt_rp_trless (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) ksi eta (l_e_st_eq_landau_n_rt_rp_5161_t2 ksi eta u0 lu l) l : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) eta).

(* constant 2929 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min ksi eta) u0.λn:l_not (l_e_st_eq_landau_n_rt_rp_less ksi eta).(l_e_st_eq_landau_n_rt_rp_isless2 (l_e_st_eq_landau_n_rt_rp_5161_min ksi eta) eta (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) (l_e_itef (l_e_st_eq_landau_n_rt_rp_less ksi eta) l_e_st_eq_landau_n_rt_cut ksi eta n) (l_e_st_eq_landau_n_rt_rp_5161_t1 ksi eta u0 lu) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) eta).

(* constant 2930 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min ksi eta) u0.λn:l_not (l_e_st_eq_landau_n_rt_rp_less ksi eta).(l_e_st_eq_landau_n_rt_rp_satz127b (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) eta ksi (l_e_st_eq_landau_n_rt_rp_5161_t4 ksi eta u0 lu n) (l_e_st_eq_landau_n_rt_rp_satz124 ksi eta (l_e_st_eq_landau_n_rt_rp_satz123f ksi eta n)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) ksi).

(* constant 2931 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min ksi eta) u0.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) ksi) (λt:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_5161_t2 ksi eta u0 lu t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_less ksi eta).l_e_st_eq_landau_n_rt_rp_5161_t5 ksi eta u0 lu t) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) ksi).

(* constant 2932 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λlu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min ksi eta) u0.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_less ksi eta) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) eta) (λt:l_e_st_eq_landau_n_rt_rp_less ksi eta.l_e_st_eq_landau_n_rt_rp_5161_t3 ksi eta u0 lu t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_less ksi eta).l_e_st_eq_landau_n_rt_rp_5161_t4 ksi eta u0 lu t) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) eta).

(* constant 2933 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λuu:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max ksi eta) u0.(l_e_st_eq_landau_n_rt_rp_satz158b (l_e_st_eq_landau_n_rt_rp_5161_max ksi eta) u0 uu : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) (l_e_st_eq_landau_n_rt_rp_5161_max ksi eta)).

(* constant 2934 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λuu:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max ksi eta) u0.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_ismoreis2 (l_e_st_eq_landau_n_rt_rp_5161_max ksi eta) ksi (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) (l_e_itet (l_e_st_eq_landau_n_rt_rp_more ksi eta) l_e_st_eq_landau_n_rt_cut ksi eta m) (l_e_st_eq_landau_n_rt_rp_5161_t8 ksi eta u0 uu) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) ksi).

(* constant 2935 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λuu:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max ksi eta) u0.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_trmoreis (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) ksi eta (l_e_st_eq_landau_n_rt_rp_5161_t9 ksi eta u0 uu m) (l_e_st_eq_landau_n_rt_rp_moreisi1 ksi eta m) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) eta).

(* constant 2936 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λuu:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max ksi eta) u0.λn:l_not (l_e_st_eq_landau_n_rt_rp_more ksi eta).(l_e_st_eq_landau_n_rt_rp_ismoreis2 (l_e_st_eq_landau_n_rt_rp_5161_max ksi eta) eta (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) (l_e_itef (l_e_st_eq_landau_n_rt_rp_more ksi eta) l_e_st_eq_landau_n_rt_cut ksi eta n) (l_e_st_eq_landau_n_rt_rp_5161_t8 ksi eta u0 uu) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) eta).

(* constant 2937 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λuu:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max ksi eta) u0.λn:l_not (l_e_st_eq_landau_n_rt_rp_more ksi eta).(l_e_st_eq_landau_n_rt_rp_trmoreis (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) eta ksi (l_e_st_eq_landau_n_rt_rp_5161_t11 ksi eta u0 uu n) (l_e_st_eq_landau_n_rt_rp_satz125 ksi eta (l_e_st_eq_landau_n_rt_rp_satz123e ksi eta n)) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) ksi).

(* constant 2938 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λuu:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max ksi eta) u0.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) ksi) (λt:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_5161_t9 ksi eta u0 uu t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_more ksi eta).l_e_st_eq_landau_n_rt_rp_5161_t12 ksi eta u0 uu t) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) ksi).

(* constant 2939 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λu0:l_e_st_eq_landau_n_rt_rat.λuu:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max ksi eta) u0.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_more ksi eta) (l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) eta) (λt:l_e_st_eq_landau_n_rt_rp_more ksi eta.l_e_st_eq_landau_n_rt_rp_5161_t10 ksi eta u0 uu t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_more ksi eta).l_e_st_eq_landau_n_rt_rp_5161_t11 ksi eta u0 uu t) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_ur ksi eta u0) eta).

(* constant 2940 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t15 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λksi1:l_e_st_eq_landau_n_rt_cut.λksi2:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi1 ksi2.(l_e_st_eq_landau_n_rt_rp_satz147 ksi1 ksi2 ksi1 ksi2 m m : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts ksi1 ksi1) (l_e_st_eq_landau_n_rt_rp_ts ksi2 ksi2)).

(* constant 2941 *)
definition l_e_st_eq_landau_n_rt_rp_5161_sq1 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λksi1:l_e_st_eq_landau_n_rt_cut.λksi2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ts ksi1 ksi1 : l_e_st_eq_landau_n_rt_cut).

(* constant 2942 *)
definition l_e_st_eq_landau_n_rt_rp_5161_sq2 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λksi1:l_e_st_eq_landau_n_rt_cut.λksi2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ts ksi2 ksi2 : l_e_st_eq_landau_n_rt_cut).

(* constant 2943 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t16 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λksi1:l_e_st_eq_landau_n_rt_cut.λksi2:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more ksi1 ksi2.(l_ec3e21 (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_sq1 zeta ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_5161_sq2 zeta ksi1 ksi2)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_sq1 zeta ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_5161_sq2 zeta ksi1 ksi2)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_sq1 zeta ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_5161_sq2 zeta ksi1 ksi2)) (l_e_st_eq_landau_n_rt_rp_satz123b (l_e_st_eq_landau_n_rt_rp_5161_sq1 zeta ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_5161_sq2 zeta ksi1 ksi2)) (l_e_st_eq_landau_n_rt_rp_5161_t15 zeta ksi1 ksi2 m) : l_e_st_eq_landau_n_rt_rp_nis (l_e_st_eq_landau_n_rt_rp_5161_sq1 zeta ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_5161_sq2 zeta ksi1 ksi2)).

(* constant 2944 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t17 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λksi1:l_e_st_eq_landau_n_rt_cut.λksi2:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_sq1 zeta ksi1 ksi2) zeta.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_sq2 zeta ksi1 ksi2) zeta.(l_e_tris2 l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5161_sq1 zeta ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_5161_sq2 zeta ksi1 ksi2) zeta i j : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_sq1 zeta ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_5161_sq2 zeta ksi1 ksi2)).

(* constant 2945 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t18 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λksi1:l_e_st_eq_landau_n_rt_cut.λksi2:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_sq1 zeta ksi1 ksi2) zeta.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_sq2 zeta ksi1 ksi2) zeta.(λt:l_e_st_eq_landau_n_rt_rp_more ksi1 ksi2.l_e_st_eq_landau_n_rt_rp_5161_t16 zeta ksi1 ksi2 t (l_e_st_eq_landau_n_rt_rp_5161_t17 zeta ksi1 ksi2 i j) : l_not (l_e_st_eq_landau_n_rt_rp_more ksi1 ksi2)).

(* constant 2946 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t19 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λksi1:l_e_st_eq_landau_n_rt_cut.λksi2:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_sq1 zeta ksi1 ksi2) zeta.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_sq2 zeta ksi1 ksi2) zeta.(λt:l_e_st_eq_landau_n_rt_rp_less ksi1 ksi2.l_e_st_eq_landau_n_rt_rp_5161_t16 zeta ksi2 ksi1 (l_e_st_eq_landau_n_rt_rp_satz122 ksi1 ksi2 t) (l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5161_sq1 zeta ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_5161_sq2 zeta ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_5161_t17 zeta ksi1 ksi2 i j)) : l_not (l_e_st_eq_landau_n_rt_rp_less ksi1 ksi2)).

(* constant 2947 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t20 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λksi1:l_e_st_eq_landau_n_rt_cut.λksi2:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_sq1 zeta ksi1 ksi2) zeta.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_sq2 zeta ksi1 ksi2) zeta.(l_or3e1 (l_e_st_eq_landau_n_rt_rp_is ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_more ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_less ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_satz123a ksi1 ksi2) (l_e_st_eq_landau_n_rt_rp_5161_t18 zeta ksi1 ksi2 i j) (l_e_st_eq_landau_n_rt_rp_5161_t19 zeta ksi1 ksi2 i j) : l_e_st_eq_landau_n_rt_rp_is ksi1 ksi2).

(* constant 2948 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t21 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.(λa:l_e_st_eq_landau_n_rt_cut.λb:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts a a) zeta.λu:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts b b) zeta.l_e_st_eq_landau_n_rt_rp_5161_t20 zeta a b t u : l_e_amone l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts a a) zeta)).

(* constant 2949 *)
definition l_e_st_eq_landau_n_rt_rp_5161_sqrtset ≝ λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_rpofrt x)) zeta) : l_e_st_set l_e_st_eq_landau_n_rt_rat).

(* constant 2950 *)
definition l_e_st_eq_landau_n_rt_rp_5161_xr ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt x0 : l_e_st_eq_landau_n_rt_cut).

(* constant 2951 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t22 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.(l_e_st_eq_landau_n_rt_rp_5161_t6 l_e_st_eq_landau_n_rt_rp_1rp zeta x0 lx : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp).

(* constant 2952 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t23 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.(l_e_st_eq_landau_n_rt_rp_5161_t7 l_e_st_eq_landau_n_rt_rp_1rp zeta x0 lx : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) zeta).

(* constant 2953 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t24 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.(l_e_st_eq_landau_n_rt_rp_isless1 (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) zeta (l_e_st_eq_landau_n_rt_rp_satz151a (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_5161_t23 zeta x0 lx) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) zeta).

(* constant 2954 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t25 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.(l_e_st_eq_landau_n_rt_rp_trless (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) zeta (l_e_st_eq_landau_n_rt_rp_satz148c (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_lessisi2 (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_refis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0))) (l_e_st_eq_landau_n_rt_rp_5161_t22 zeta x0 lx)) (l_e_st_eq_landau_n_rt_rp_5161_t24 zeta x0 lx) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) zeta).

(* constant 2955 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t26 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_rpofrt x)) zeta) x0 (l_e_st_eq_landau_n_rt_rp_5161_t25 zeta x0 lx) : l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)).

(* constant 2956 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t27 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.(l_e_st_eq_landau_n_rt_rp_5161_t13 l_e_st_eq_landau_n_rt_rp_1rp zeta x0 ux : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp).

(* constant 2957 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t28 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.(l_e_st_eq_landau_n_rt_rp_5161_t14 l_e_st_eq_landau_n_rt_rp_1rp zeta x0 ux : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) zeta).

(* constant 2958 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t29 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.(l_e_st_eq_landau_n_rt_rp_ismoreis1 (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) zeta (l_e_st_eq_landau_n_rt_rp_satz151a (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_5161_t28 zeta x0 ux) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) zeta).

(* constant 2959 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t30 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.(l_e_st_eq_landau_n_rt_rp_trmoreis (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) zeta (l_e_st_eq_landau_n_rt_rp_satz149 (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_moreisi2 (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_refis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0))) (l_e_st_eq_landau_n_rt_rp_5161_t27 zeta x0 ux)) (l_e_st_eq_landau_n_rt_rp_5161_t29 zeta x0 ux) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) zeta).

(* constant 2960 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t31 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.(l_e_st_eq_landau_n_rt_rp_satz123c (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) zeta (l_e_st_eq_landau_n_rt_rp_5161_t30 zeta x0 ux) : l_not (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) zeta)).

(* constant 2961 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t32 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.(l_imp_th3 (l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) zeta) (l_e_st_eq_landau_n_rt_rp_5161_t31 zeta x0 ux) (λt:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).l_e_st_estie l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_rpofrt x)) zeta) x0 t) : l_not (l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta))).

(* constant 2962 *)
definition l_e_st_eq_landau_n_rt_rp_5161_yr ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λy0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt y0 : l_e_st_eq_landau_n_rt_cut).

(* constant 2963 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t33 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).(l_e_st_estie l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_rpofrt x)) zeta) x0 i : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) zeta).

(* constant 2964 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t34 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_e_st_eq_landau_n_rt_rp_satz154c y0 x0 l : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_yr zeta x0 i y0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)).

(* constant 2965 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t35 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_e_st_eq_landau_n_rt_rp_trless (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yr zeta x0 i y0) (l_e_st_eq_landau_n_rt_rp_5161_yr zeta x0 i y0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) zeta (l_e_st_eq_landau_n_rt_rp_satz147a (l_e_st_eq_landau_n_rt_rp_5161_yr zeta x0 i y0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_yr zeta x0 i y0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_t34 zeta x0 i y0 l) (l_e_st_eq_landau_n_rt_rp_5161_t34 zeta x0 i y0 l)) (l_e_st_eq_landau_n_rt_rp_5161_t33 zeta x0 i) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yr zeta x0 i y0) (l_e_st_eq_landau_n_rt_rp_5161_yr zeta x0 i y0)) zeta).

(* constant 2966 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t36 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_rpofrt x)) zeta) y0 (l_e_st_eq_landau_n_rt_rp_5161_t35 zeta x0 i y0 l) : l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)).

(* constant 2967 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t37 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).(l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) zeta (l_e_st_eq_landau_n_rt_rp_5161_t33 zeta x0 i) : l_e_st_eq_landau_n_rt_rp_more zeta (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0))).

(* constant 2968 *)
definition l_e_st_eq_landau_n_rt_rp_5161_nm ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).(l_e_st_eq_landau_n_rt_rp_mn zeta (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_5161_t37 zeta x0 i) : l_e_st_eq_landau_n_rt_cut).

(* constant 2969 *)
definition l_e_st_eq_landau_n_rt_rp_5161_dn ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).(l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) : l_e_st_eq_landau_n_rt_cut).

(* constant 2970 *)
definition l_e_st_eq_landau_n_rt_rp_5161_fr ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).(l_e_st_eq_landau_n_rt_rp_ov (l_e_st_eq_landau_n_rt_rp_5161_nm zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) : l_e_st_eq_landau_n_rt_cut).

(* constant 2971 *)
definition l_e_st_eq_landau_n_rt_rp_5161_zr ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt z0 : l_e_st_eq_landau_n_rt_cut).

(* constant 2972 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t38 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_st_eq_landau_n_rt_rp_5161_t6 l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i) z0 lz : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0) l_e_st_eq_landau_n_rt_rp_1rp).

(* constant 2973 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t39 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_st_eq_landau_n_rt_rp_5161_t7 l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i) z0 lz : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0) (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)).

(* constant 2974 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t40 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_st_eq_landau_n_rt_satz94 x0 z0 : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) x0).

(* constant 2975 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t41 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_ists12 (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_satz155a x0 z0) (l_e_st_eq_landau_n_rt_rp_satz155a x0 z0)) (l_e_st_eq_landau_n_rt_rp_disttp2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)))).

(* constant 2976 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t42 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_5161_t41 zeta x0 i z0 lz) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0)))).

(* constant 2977 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t43 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_st_eq_landau_n_rt_rp_lessisi2 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_disttp1 (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_comts (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)))) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)))).

(* constant 2978 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t44 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_st_eq_landau_n_rt_rp_satz145c (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0) (l_e_st_eq_landau_n_rt_rp_satz138c (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_lessisi2 (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_refis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0))) (l_e_st_eq_landau_n_rt_rp_5161_t38 zeta x0 i z0 lz)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))).

(* constant 2979 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t45 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_st_eq_landau_n_rt_rp_satz138c (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_t43 zeta x0 i z0 lz) (l_e_st_eq_landau_n_rt_rp_5161_t44 zeta x0 i z0 lz) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)))).

(* constant 2980 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t46 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_distpt1 (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)))).

(* constant 2981 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t47 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_5161_t42 zeta x0 i z0 lz) (l_e_st_eq_landau_n_rt_rp_5161_t46 zeta x0 i z0 lz) (l_e_st_eq_landau_n_rt_rp_5161_t45 zeta x0 i z0 lz) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)))).

(* constant 2982 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t48 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_st_eq_landau_n_rt_rp_isless2 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) (l_e_st_eq_landau_n_rt_rp_5161_nm zeta x0 i) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_satz153c (l_e_st_eq_landau_n_rt_rp_5161_nm zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i)) (l_e_st_eq_landau_n_rt_rp_satz148c (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0) (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i) (l_e_st_eq_landau_n_rt_rp_lessisi2 (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_refis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i))) (l_e_st_eq_landau_n_rt_rp_5161_t39 zeta x0 i z0 lz)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_nm zeta x0 i)).

(* constant 2983 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t49 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_st_eq_landau_n_rt_rp_satz138c (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0)) (l_e_st_eq_landau_n_rt_rp_5161_nm zeta x0 i) (l_e_st_eq_landau_n_rt_rp_lessisi2 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_refis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)))) (l_e_st_eq_landau_n_rt_rp_5161_t48 zeta x0 i z0 lz) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_5161_nm zeta x0 i))).

(* constant 2984 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t50 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_st_eq_landau_n_rt_rp_isless2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_5161_nm zeta x0 i)) zeta (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) (l_e_st_eq_landau_n_rt_rp_satz140c zeta (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_5161_t37 zeta x0 i)) (l_e_st_eq_landau_n_rt_rp_5161_t49 zeta x0 i z0 lz) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) zeta).

(* constant 2985 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t51 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_st_eq_landau_n_rt_rp_trless (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0) (l_e_st_eq_landau_n_rt_rp_5161_xr zeta x0)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_dn zeta x0 i) (l_e_st_eq_landau_n_rt_rp_5161_zr zeta x0 i z0))) zeta (l_e_st_eq_landau_n_rt_rp_5161_t47 zeta x0 i z0 lz) (l_e_st_eq_landau_n_rt_rp_5161_t50 zeta x0 i z0 lz) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl x0 z0))) zeta).

(* constant 2986 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t52 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_rpofrt x)) zeta) (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_rp_5161_t51 zeta x0 i z0 lz) : l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)).

(* constant 2987 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t53 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_andi (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) x0) (l_e_st_eq_landau_n_rt_rp_5161_t52 zeta x0 i z0 lz) (l_e_st_eq_landau_n_rt_rp_5161_t40 zeta x0 i z0 lz) : l_and (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)) (l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_pl x0 z0) x0)).

(* constant 2988 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t54 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λz0:l_e_st_eq_landau_n_rt_rat.λlz:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) z0.(l_somei l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)) (l_e_st_eq_landau_n_rt_more y x0)) (l_e_st_eq_landau_n_rt_pl x0 z0) (l_e_st_eq_landau_n_rt_rp_5161_t53 zeta x0 i z0 lz) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)) (l_e_st_eq_landau_n_rt_more y x0))).

(* constant 2989 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t55 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).(l_e_st_eq_landau_n_rt_cutapp1a (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) (l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)) (l_e_st_eq_landau_n_rt_more y x0))) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_5161_fr zeta x0 i)) x.l_e_st_eq_landau_n_rt_rp_5161_t54 zeta x0 i x t) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)) (l_e_st_eq_landau_n_rt_more y x0))).

(* constant 2990 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t56 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max l_e_st_eq_landau_n_rt_rp_1rp zeta) y0.(l_e_st_eq_landau_n_rt_cut2 (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta) x0 (l_e_st_eq_landau_n_rt_rp_5161_t26 zeta x0 lx) y0 (l_e_st_eq_landau_n_rt_rp_5161_t32 zeta y0 uy) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_rp_5161_t36 zeta x t y u) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).l_e_st_eq_landau_n_rt_rp_5161_t55 zeta x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)).

(* constant 2991 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t57 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp zeta) x0.(l_e_st_eq_landau_n_rt_cutapp1b (l_e_st_eq_landau_n_rt_rp_5161_max l_e_st_eq_landau_n_rt_rp_1rp zeta) (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)) (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_max l_e_st_eq_landau_n_rt_rp_1rp zeta) y.l_e_st_eq_landau_n_rt_rp_5161_t56 zeta x0 lx y t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)).

(* constant 2992 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t58 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_cutapp1a (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp zeta) (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_min l_e_st_eq_landau_n_rt_rp_1rp zeta) x.l_e_st_eq_landau_n_rt_rp_5161_t57 zeta x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)).

(* constant 2993 *)
definition l_e_st_eq_landau_n_rt_rp_5161_rtc ≝ λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_cutof (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta) (l_e_st_eq_landau_n_rt_rp_5161_t58 zeta) : l_e_st_eq_landau_n_rt_cut).

(* constant 2994 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t59 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_lessis x0 y0.(l_or_th9 (l_e_st_eq_landau_n_rt_less x0 y0) (l_e_st_eq_landau_n_rt_is x0 y0) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)) l (λt:l_e_st_eq_landau_n_rt_less x0 y0.l_e_st_eq_landau_n_rt_rp_satz154c x0 y0 t) (λt:l_e_st_eq_landau_n_rt_is x0 y0.l_e_st_eq_landau_n_rt_rp_satz154b x0 y0 t) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)).

(* constant 2995 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t60 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λy0:l_e_st_eq_landau_n_rt_rat.λm:l_e_st_eq_landau_n_rt_moreis x0 y0.(l_e_st_eq_landau_n_rt_rp_satz125 (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_5161_t59 y0 x0 (l_e_st_eq_landau_n_rt_satz84 x0 y0 m)) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)).

(* constant 2996 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t61 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta m : l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta))).

(* constant 2997 *)
definition l_e_st_eq_landau_n_rt_rp_5161_zr1 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt z1 : l_e_st_eq_landau_n_rt_cut).

(* constant 2998 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t62 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).(l_e_st_eq_landau_n_rt_rp_satz158c (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) z1 l2 : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) z1).

(* constant 2999 *)
definition l_e_st_eq_landau_n_rt_rp_5161_xr1 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt x1 : l_e_st_eq_landau_n_rt_cut).

(* constant 3000 *)
definition l_e_st_eq_landau_n_rt_rp_5161_xr2 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt x2 : l_e_st_eq_landau_n_rt_cut).

(* constant 3001 *)
definition l_e_st_eq_landau_n_rt_rp_5161_xm ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_e_ite (l_e_st_eq_landau_n_rt_more x1 x2) l_e_st_eq_landau_n_rt_rat x1 x2 : l_e_st_eq_landau_n_rt_rat).

(* constant 3002 *)
definition l_e_st_eq_landau_n_rt_rp_5161_xrm ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) : l_e_st_eq_landau_n_rt_cut).

(* constant 3003 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t63 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).λo:l_e_st_eq_landau_n_rt_more x1 x2.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) x1 (l_e_itet (l_e_st_eq_landau_n_rt_more x1 x2) l_e_st_eq_landau_n_rt_rat x1 x2 o) : l_e_st_eq_landau_n_rt_is x1 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3004 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t64 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).λo:l_e_st_eq_landau_n_rt_more x1 x2.(l_e_isp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x) x1 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) lx1 (l_e_st_eq_landau_n_rt_rp_5161_t63 zeta m z1 l1 l2 x1 lx1 x2 lx2 i o) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3005 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t65 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).λo:l_e_st_eq_landau_n_rt_more x1 x2.(l_e_st_eq_landau_n_rt_lessisi2 x1 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_t63 zeta m z1 l1 l2 x1 lx1 x2 lx2 i o) : l_e_st_eq_landau_n_rt_lessis x1 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3006 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t66 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).λo:l_e_st_eq_landau_n_rt_more x1 x2.(l_e_st_eq_landau_n_rt_lessisi1 x2 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_satz87b x2 x1 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_satz82 x1 x2 o) (l_e_st_eq_landau_n_rt_rp_5161_t65 zeta m z1 l1 l2 x1 lx1 x2 lx2 i o)) : l_e_st_eq_landau_n_rt_lessis x2 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3007 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t67 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).λn:l_not (l_e_st_eq_landau_n_rt_more x1 x2).(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) x2 (l_e_itef (l_e_st_eq_landau_n_rt_more x1 x2) l_e_st_eq_landau_n_rt_rat x1 x2 n) : l_e_st_eq_landau_n_rt_is x2 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3008 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t68 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).λn:l_not (l_e_st_eq_landau_n_rt_more x1 x2).(l_e_isp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x) x2 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) lx2 (l_e_st_eq_landau_n_rt_rp_5161_t67 zeta m z1 l1 l2 x1 lx1 x2 lx2 i n) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3009 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t69 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).λn:l_not (l_e_st_eq_landau_n_rt_more x1 x2).(l_e_st_eq_landau_n_rt_lessisi2 x2 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_t67 zeta m z1 l1 l2 x1 lx1 x2 lx2 i n) : l_e_st_eq_landau_n_rt_lessis x2 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3010 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t70 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).λn:l_not (l_e_st_eq_landau_n_rt_more x1 x2).(l_e_st_eq_landau_n_rt_satz88 x1 x2 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_satz81e x1 x2 n) (l_e_st_eq_landau_n_rt_rp_5161_t69 zeta m z1 l1 l2 x1 lx1 x2 lx2 i n) : l_e_st_eq_landau_n_rt_lessis x1 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3011 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t71 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_imp_th1 (l_e_st_eq_landau_n_rt_more x1 x2) (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)) (λt:l_e_st_eq_landau_n_rt_more x1 x2.l_e_st_eq_landau_n_rt_rp_5161_t64 zeta m z1 l1 l2 x1 lx1 x2 lx2 i t) (λt:l_not (l_e_st_eq_landau_n_rt_more x1 x2).l_e_st_eq_landau_n_rt_rp_5161_t68 zeta m z1 l1 l2 x1 lx1 x2 lx2 i t) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3012 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t72 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_imp_th1 (l_e_st_eq_landau_n_rt_more x1 x2) (l_e_st_eq_landau_n_rt_lessis x1 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)) (λt:l_e_st_eq_landau_n_rt_more x1 x2.l_e_st_eq_landau_n_rt_rp_5161_t65 zeta m z1 l1 l2 x1 lx1 x2 lx2 i t) (λt:l_not (l_e_st_eq_landau_n_rt_more x1 x2).l_e_st_eq_landau_n_rt_rp_5161_t70 zeta m z1 l1 l2 x1 lx1 x2 lx2 i t) : l_e_st_eq_landau_n_rt_lessis x1 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3013 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t73 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_imp_th1 (l_e_st_eq_landau_n_rt_more x1 x2) (l_e_st_eq_landau_n_rt_lessis x2 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)) (λt:l_e_st_eq_landau_n_rt_more x1 x2.l_e_st_eq_landau_n_rt_rp_5161_t66 zeta m z1 l1 l2 x1 lx1 x2 lx2 i t) (λt:l_not (l_e_st_eq_landau_n_rt_more x1 x2).l_e_st_eq_landau_n_rt_rp_5161_t69 zeta m z1 l1 l2 x1 lx1 x2 lx2 i t) : l_e_st_eq_landau_n_rt_lessis x2 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3014 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t74 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_e_st_eq_landau_n_rt_rp_ini (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta) (l_e_st_eq_landau_n_rt_rp_5161_t58 zeta) (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_t71 zeta m z1 l1 l2 x1 lx1 x2 lx2 i) : l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)).

(* constant 3015 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t75 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_e_st_eq_landau_n_rt_rp_5161_t59 x1 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_t72 zeta m z1 l1 l2 x1 lx1 x2 lx2 i) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_5161_xr1 zeta m z1 l1 l2 x1) (l_e_st_eq_landau_n_rt_rp_5161_xrm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3016 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t76 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_e_st_eq_landau_n_rt_rp_5161_t59 x2 (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_t73 zeta m z1 l1 l2 x1 lx1 x2 lx2 i) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_5161_xr2 zeta m z1 l1 l2 x1 lx1 x2) (l_e_st_eq_landau_n_rt_rp_5161_xrm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)).

(* constant 3017 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t77 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts x1 x2)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr1 zeta m z1 l1 l2 x1) (l_e_st_eq_landau_n_rt_rp_5161_xr2 zeta m z1 l1 l2 x1 lx1 x2)) (l_e_st_eq_landau_n_rt_rp_satz154b z1 (l_e_st_eq_landau_n_rt_ts x1 x2) i) (l_e_st_eq_landau_n_rt_rp_satz155c x1 x2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr1 zeta m z1 l1 l2 x1) (l_e_st_eq_landau_n_rt_rp_5161_xr2 zeta m z1 l1 l2 x1 lx1 x2))).

(* constant 3018 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t78 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_e_st_eq_landau_n_rt_rp_islessis1 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr1 zeta m z1 l1 l2 x1) (l_e_st_eq_landau_n_rt_rp_5161_xr2 zeta m z1 l1 l2 x1 lx1 x2)) (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xrm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_xrm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)) (l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xr1 zeta m z1 l1 l2 x1) (l_e_st_eq_landau_n_rt_rp_5161_xr2 zeta m z1 l1 l2 x1 lx1 x2)) (l_e_st_eq_landau_n_rt_rp_5161_t77 zeta m z1 l1 l2 x1 lx1 x2 lx2 i)) (l_e_st_eq_landau_n_rt_rp_satz149a (l_e_st_eq_landau_n_rt_rp_5161_xr1 zeta m z1 l1 l2 x1) (l_e_st_eq_landau_n_rt_rp_5161_xrm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_xr2 zeta m z1 l1 l2 x1 lx1 x2) (l_e_st_eq_landau_n_rt_rp_5161_xrm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_t75 zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_t76 zeta m z1 l1 l2 x1 lx1 x2 lx2 i)) : l_e_st_eq_landau_n_rt_rp_lessis (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xrm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_xrm zeta m z1 l1 l2 x1 lx1 x2 lx2 i))).

(* constant 3019 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t79 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_e_st_estie l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_rpofrt x)) zeta) (l_e_st_eq_landau_n_rt_rp_5161_xm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_t74 zeta m z1 l1 l2 x1 lx1 x2 lx2 i) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xrm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_xrm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)) zeta).

(* constant 3020 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t80 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_e_st_eq_landau_n_rt_rp_satz127a (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_xrm zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_xrm zeta m z1 l1 l2 x1 lx1 x2 lx2 i)) zeta (l_e_st_eq_landau_n_rt_rp_5161_t78 zeta m z1 l1 l2 x1 lx1 x2 lx2 i) (l_e_st_eq_landau_n_rt_rp_5161_t79 zeta m z1 l1 l2 x1 lx1 x2 lx2 i) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) zeta).

(* constant 3021 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t81 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_ec3e23 (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) zeta) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) zeta) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) zeta) (l_e_st_eq_landau_n_rt_rp_satz123b (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) zeta) (l_e_st_eq_landau_n_rt_rp_satz122 zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) l1) (l_e_st_eq_landau_n_rt_rp_5161_t80 zeta m z1 l1 l2 x1 lx1 x2 lx2 i) : l_con).

(* constant 3022 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t82 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).λx1:l_e_st_eq_landau_n_rt_rat.λlx1:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x1.λx2:l_e_st_eq_landau_n_rt_rat.λlx2:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x2.λi:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x1 x2).(l_e_st_eq_landau_n_rt_rp_tsapp (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) z1 (l_e_st_eq_landau_n_rt_rp_5161_t62 zeta m z1 l1 l2) l_con (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) y.λv:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_5161_t81 zeta m z1 l1 l2 x t y u v) : l_con).

(* constant 3023 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t82a ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz1:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr1 zeta m z1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).(l_e_st_eq_landau_n_rt_rp_tsapp (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) z1 (l_e_st_eq_landau_n_rt_rp_5161_t62 zeta m z1 l1 l2) l_con (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) x.λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) y.λv:l_e_st_eq_landau_n_rt_is z1 (l_e_st_eq_landau_n_rt_ts x y).l_e_st_eq_landau_n_rt_rp_5161_t82 zeta m z1 l1 l2 x t y u v) : l_con).

(* constant 3024 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t83 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.(l_e_st_eq_landau_n_rt_rp_satz159app zeta (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_t61 zeta m) l_con (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_less zeta (l_e_st_eq_landau_n_rt_rp_rpofrt x).λu:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).l_e_st_eq_landau_n_rt_rp_5161_t82a zeta m x t u) : l_con).

(* constant 3025 *)
definition l_e_st_eq_landau_n_rt_rp_5161_zr2 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt z2 : l_e_st_eq_landau_n_rt_cut).

(* constant 3026 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t84 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.(l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) l3 : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta))).

(* constant 3027 *)
definition l_e_st_eq_landau_n_rt_rp_5161_yr1 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt y1 : l_e_st_eq_landau_n_rt_cut).

(* constant 3028 *)
definition l_e_st_eq_landau_n_rt_rp_5161_yr2 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt y2 : l_e_st_eq_landau_n_rt_cut).

(* constant 3029 *)
definition l_e_st_eq_landau_n_rt_rp_5161_ym ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_e_ite (l_e_st_eq_landau_n_rt_less y1 y2) l_e_st_eq_landau_n_rt_rat y1 y2 : l_e_st_eq_landau_n_rt_rat).

(* constant 3030 *)
definition l_e_st_eq_landau_n_rt_rp_5161_yrm ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i) : l_e_st_eq_landau_n_rt_cut).

(* constant 3031 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t85 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.λk:l_e_st_eq_landau_n_rt_less y1 y2.(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i) y1 (l_e_itet (l_e_st_eq_landau_n_rt_less y1 y2) l_e_st_eq_landau_n_rt_rat y1 y2 k) : l_e_st_eq_landau_n_rt_is y1 (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i)).

(* constant 3032 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t86 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.λk:l_e_st_eq_landau_n_rt_less y1 y2.(l_e_st_eq_landau_n_rt_rp_satz154b y1 (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_t85 zeta l z2 l3 l4 y1 m1 y2 m2 i k) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)).

(* constant 3033 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t87 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.λk:l_e_st_eq_landau_n_rt_less y1 y2.(l_e_st_eq_landau_n_rt_rp_ismore1 (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_t86 zeta l z2 l3 l4 y1 m1 y2 m2 i k) m1 : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).

(* constant 3034 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t88 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.λk:l_e_st_eq_landau_n_rt_less y1 y2.(l_e_st_eq_landau_n_rt_rp_moreisi2 (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_t86 zeta l z2 l3 l4 y1 m1 y2 m2 i k) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)).

(* constant 3035 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t89 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.λk:l_e_st_eq_landau_n_rt_less y1 y2.(l_e_st_eq_landau_n_rt_rp_moreisi1 (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_satz127d (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_satz154c y1 y2 k)) (l_e_st_eq_landau_n_rt_rp_5161_t88 zeta l z2 l3 l4 y1 m1 y2 m2 i k)) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)).

(* constant 3036 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t90 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.λn:l_not (l_e_st_eq_landau_n_rt_less y1 y2).(l_e_symis l_e_st_eq_landau_n_rt_rat (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i) y2 (l_e_itef (l_e_st_eq_landau_n_rt_less y1 y2) l_e_st_eq_landau_n_rt_rat y1 y2 n) : l_e_st_eq_landau_n_rt_is y2 (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i)).

(* constant 3037 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t91 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.λn:l_not (l_e_st_eq_landau_n_rt_less y1 y2).(l_e_st_eq_landau_n_rt_rp_satz154b y2 (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_t90 zeta l z2 l3 l4 y1 m1 y2 m2 i n) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)).

(* constant 3038 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t92 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.λn:l_not (l_e_st_eq_landau_n_rt_less y1 y2).(l_e_st_eq_landau_n_rt_rp_ismore1 (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_t91 zeta l z2 l3 l4 y1 m1 y2 m2 i n) m2 : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).

(* constant 3039 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t93 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.λn:l_not (l_e_st_eq_landau_n_rt_less y1 y2).(l_e_st_eq_landau_n_rt_rp_moreisi2 (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_t91 zeta l z2 l3 l4 y1 m1 y2 m2 i n) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)).

(* constant 3040 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t94 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.λn:l_not (l_e_st_eq_landau_n_rt_less y1 y2).(l_e_st_eq_landau_n_rt_rp_trmoreis (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_t60 y1 y2 (l_e_st_eq_landau_n_rt_satz81f y1 y2 n)) (l_e_st_eq_landau_n_rt_rp_5161_t93 zeta l z2 l3 l4 y1 m1 y2 m2 i n) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)).

(* constant 3041 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t95 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_imp_th1 (l_e_st_eq_landau_n_rt_less y1 y2) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (λt:l_e_st_eq_landau_n_rt_less y1 y2.l_e_st_eq_landau_n_rt_rp_5161_t87 zeta l z2 l3 l4 y1 m1 y2 m2 i t) (λt:l_not (l_e_st_eq_landau_n_rt_less y1 y2).l_e_st_eq_landau_n_rt_rp_5161_t92 zeta l z2 l3 l4 y1 m1 y2 m2 i t) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)).

(* constant 3042 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t96 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_imp_th1 (l_e_st_eq_landau_n_rt_less y1 y2) (l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)) (λt:l_e_st_eq_landau_n_rt_less y1 y2.l_e_st_eq_landau_n_rt_rp_5161_t88 zeta l z2 l3 l4 y1 m1 y2 m2 i t) (λt:l_not (l_e_st_eq_landau_n_rt_less y1 y2).l_e_st_eq_landau_n_rt_rp_5161_t94 zeta l z2 l3 l4 y1 m1 y2 m2 i t) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)).

(* constant 3043 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t97 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_imp_th1 (l_e_st_eq_landau_n_rt_less y1 y2) (l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)) (λt:l_e_st_eq_landau_n_rt_less y1 y2.l_e_st_eq_landau_n_rt_rp_5161_t89 zeta l z2 l3 l4 y1 m1 y2 m2 i t) (λt:l_not (l_e_st_eq_landau_n_rt_less y1 y2).l_e_st_eq_landau_n_rt_rp_5161_t93 zeta l z2 l3 l4 y1 m1 y2 m2 i t) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)).

(* constant 3044 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t98 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_e_st_eq_landau_n_rt_rp_satz158d (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_moreisi1 (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_t95 zeta l z2 l3 l4 y1 m1 y2 m2 i)) : l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i)).

(* constant 3045 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t99 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_imp_th3 (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)) (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i)) (l_e_st_eq_landau_n_rt_rp_5161_t98 zeta l z2 l3 l4 y1 m1 y2 m2 i) (λt:l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta).l_e_st_eq_landau_n_rt_rp_ine (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta) (l_e_st_eq_landau_n_rt_rp_5161_t58 zeta) (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i) t) : l_not (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta))).

(* constant 3046 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t100 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)) zeta) (l_e_st_eq_landau_n_rt_in (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_sqrtset zeta)) (l_e_st_eq_landau_n_rt_rp_5161_t99 zeta l z2 l3 l4 y1 m1 y2 m2 i) (λt:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)) zeta.l_e_st_estii l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_rpofrt x)) zeta) (l_e_st_eq_landau_n_rt_rp_5161_ym zeta l z2 l3 l4 y1 m1 y2 m2 i) t) : l_not (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)) zeta)).

(* constant 3047 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t101 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_e_st_eq_landau_n_rt_rp_satz123f (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)) zeta (l_e_st_eq_landau_n_rt_rp_5161_t100 zeta l z2 l3 l4 y1 m1 y2 m2 i) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)) zeta).

(* constant 3048 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t101a ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_e_st_eq_landau_n_rt_rp_satz149 (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_t96 zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_t97 zeta l z2 l3 l4 y1 m1 y2 m2 i) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i))).

(* constant 3049 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t102 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_e_st_eq_landau_n_rt_rp_ismoreis1 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)) (l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts y1 y2)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) (l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts y1 y2)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2)) (l_e_st_eq_landau_n_rt_rp_satz155c y1 y2)) (l_e_st_eq_landau_n_rt_rp_satz154b (l_e_st_eq_landau_n_rt_ts y1 y2) z2 i)) (l_e_st_eq_landau_n_rt_rp_5161_t101a zeta l z2 l3 l4 y1 m1 y2 m2 i) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i))).

(* constant 3050 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t103 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_e_st_eq_landau_n_rt_rp_trmoreis (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_yrm zeta l z2 l3 l4 y1 m1 y2 m2 i)) zeta (l_e_st_eq_landau_n_rt_rp_5161_t102 zeta l z2 l3 l4 y1 m1 y2 m2 i) (l_e_st_eq_landau_n_rt_rp_5161_t101 zeta l z2 l3 l4 y1 m1 y2 m2 i) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta).

(* constant 3051 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t104 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.λy1:l_e_st_eq_landau_n_rt_rat.λm1:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr1 zeta l z2 l3 l4 y1) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy2:l_e_st_eq_landau_n_rt_rat.λm2:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5161_yr2 zeta l z2 l3 l4 y1 m1 y2) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts y1 y2) z2.(l_e_st_eq_landau_n_rt_rp_satz123c (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta (l_e_st_eq_landau_n_rt_rp_5161_t103 zeta l z2 l3 l4 y1 m1 y2 m2 i) l4 : l_con).

(* constant 3052 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t105 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.λz2:l_e_st_eq_landau_n_rt_rat.λl3:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2).λl4:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5161_zr2 zeta l z2) zeta.(l_e_st_eq_landau_n_rt_rp_satz160app (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) z2 (l_e_st_eq_landau_n_rt_rp_5161_t84 zeta l z2 l3 l4) l_con (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt x) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt y) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta).λv:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x y) z2.l_e_st_eq_landau_n_rt_rp_5161_t104 zeta l z2 l3 l4 x t y u v) : l_con).

(* constant 3053 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t106 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.(l_e_st_eq_landau_n_rt_rp_satz159app (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta l l_con (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) (l_e_st_eq_landau_n_rt_rp_rpofrt x).λu:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) zeta.l_e_st_eq_landau_n_rt_rp_5161_t105 zeta l x t u) : l_con).

(* constant 3054 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t107 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.(l_or3e1 (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta) (l_e_st_eq_landau_n_rt_rp_satz123a (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta) (λt:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.l_e_st_eq_landau_n_rt_rp_5161_t83 zeta t) (λt:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta.l_e_st_eq_landau_n_rt_rp_5161_t106 zeta t) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta)) zeta).

(* constant 3055 *)
definition l_e_st_eq_landau_n_rt_rp_5161_t108 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.(l_somei l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts a a) zeta) (l_e_st_eq_landau_n_rt_rp_5161_rtc zeta) (l_e_st_eq_landau_n_rt_rp_5161_t107 zeta) : l_e_st_eq_landau_n_rt_rp_some (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts a a) zeta)).

(* constant 3056 *)
definition l_e_st_eq_landau_n_rt_rp_satz161 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_onei l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts a a) zeta) (l_e_st_eq_landau_n_rt_rp_5161_t21 zeta) (l_e_st_eq_landau_n_rt_rp_5161_t108 zeta) : l_e_st_eq_landau_n_rt_rp_one (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts a a) zeta)).

(* constant 3057 *)
definition l_e_st_eq_landau_n_rt_rp_irratrp ≝ λksi:l_e_st_eq_landau_n_rt_cut.(l_not (l_e_st_eq_landau_n_rt_rp_ratrp ksi) : Prop).

(* constant 3058 *)
definition l_e_st_eq_landau_n_5162_t1 ≝ λv:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl v v) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 v) v) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) v) (l_e_st_eq_landau_n_ispl1 v (l_e_st_eq_landau_n_ts l_e_st_eq_landau_n_1 v) v (l_e_st_eq_landau_n_satz28g v)) (l_e_st_eq_landau_n_satz28h l_e_st_eq_landau_n_1 v) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl v v) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) v)).

(* constant 3059 *)
definition l_e_st_eq_landau_n_5162_t2 ≝ λv:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_isless2 (l_e_st_eq_landau_n_pl v v) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) v) v (l_e_st_eq_landau_n_5162_t1 v) (l_e_st_eq_landau_n_satz18a v v) : l_e_st_eq_landau_n_less v (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) v)).

(* constant 3060 *)
definition l_e_st_eq_landau_n_5162_t3 ≝ λv:l_e_st_eq_landau_n_nat.λw:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts w w).(l_e_st_eq_landau_n_satz10j v w (l_imp_th3 (l_e_st_eq_landau_n_moreis v w) (l_e_st_eq_landau_n_moreis (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts w w)) (l_e_st_eq_landau_n_satz10h (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts w w) l) (λt:l_e_st_eq_landau_n_moreis v w.l_e_st_eq_landau_n_satz36 v w v w t t)) : l_e_st_eq_landau_n_less v w).

(* constant 3061 *)
definition l_e_st_eq_landau_n_5162_t4 ≝ λv:l_e_st_eq_landau_n_nat.λw:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl v w) v) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts w v)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_disttp1 v w v) (l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_ts w v) (l_e_st_eq_landau_n_ts v w) (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_comts w v)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl v w) v) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts v w))).

(* constant 3062 *)
definition l_e_st_eq_landau_n_5162_t5 ≝ λv:l_e_st_eq_landau_n_nat.λw:l_e_st_eq_landau_n_nat.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl v w) (l_e_st_eq_landau_n_pl v w)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl v w) v) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl v w) w)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v w) (l_e_st_eq_landau_n_ts w w))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts w w)) (l_e_st_eq_landau_n_disttp2 (l_e_st_eq_landau_n_pl v w) v w) (l_e_st_eq_landau_n_ispl12 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl v w) v) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl v w) w) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v w) (l_e_st_eq_landau_n_ts w w)) (l_e_st_eq_landau_n_5162_t4 v w) (l_e_st_eq_landau_n_disttp1 v w w)) (l_e_st_eq_landau_n_asspl2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts v w) (l_e_st_eq_landau_n_ts w w)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl v w) (l_e_st_eq_landau_n_pl v w)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts w w))).

(* constant 3063 *)
definition l_e_st_eq_landau_n_5162_t6 ≝ λv:l_e_st_eq_landau_n_nat.λw:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v w) (l_e_st_eq_landau_n_ts v w))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts v w))) (l_e_st_eq_landau_n_asspl1 (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts v w) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v w) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_5162_t1 (l_e_st_eq_landau_n_ts v w))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts v w)))).

(* constant 3064 *)
definition l_e_st_eq_landau_n_5162_nun ≝ λv:l_e_st_eq_landau_n_nat.λw:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl v w) (l_e_st_eq_landau_n_pl v w)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts w w)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts v w))) (l_e_st_eq_landau_n_ts w w)) (l_e_st_eq_landau_n_5162_t5 v w) (l_e_st_eq_landau_n_ispl1 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_ts v w)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts v w))) (l_e_st_eq_landau_n_ts w w) (l_e_st_eq_landau_n_5162_t6 v w)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl v w) (l_e_st_eq_landau_n_pl v w)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts v w))) (l_e_st_eq_landau_n_ts w w))).

(* constant 3065 *)
definition l_e_st_eq_landau_n_5162_nun1 ≝ λv:l_e_st_eq_landau_n_nat.λw:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl v w) (l_e_st_eq_landau_n_pl v w)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts v w))) (l_e_st_eq_landau_n_ts w w)) (l_e_st_eq_landau_n_5162_nun v w) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts v v) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts v w))) (l_e_st_eq_landau_n_ts w w)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl v w) (l_e_st_eq_landau_n_pl v w))).

(* constant 3066 *)
definition l_e_st_eq_landau_n_5162_prop1 ≝ λv:l_e_st_eq_landau_n_nat.λw:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr w v) (l_e_st_eq_landau_n_fr w v)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1) : Prop).

(* constant 3067 *)
definition l_e_st_eq_landau_n_5162_prop2 ≝ λv:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_some (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop1 v t) : Prop).

(* constant 3068 *)
definition l_e_st_eq_landau_n_5162_prop3 ≝ (l_e_st_eq_landau_n_some (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop2 u) : Prop).

(* constant 3069 *)
definition l_e_st_eq_landau_n_5162_y ≝ λp:l_e_st_eq_landau_n_5162_prop3.(l_e_ind l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop2 u) t) (l_e_st_eq_landau_n_satz27a (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop2 u) p) : l_e_st_eq_landau_n_nat).

(* constant 3070 *)
definition l_e_st_eq_landau_n_5162_t7 ≝ λp:l_e_st_eq_landau_n_5162_prop3.(l_e_oneax l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_min (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop2 u) t) (l_e_st_eq_landau_n_satz27a (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop2 u) p) : l_e_st_eq_landau_n_min (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop2 u) (l_e_st_eq_landau_n_5162_y p)).

(* constant 3071 *)
definition l_e_st_eq_landau_n_5162_t8 ≝ λp:l_e_st_eq_landau_n_5162_prop3.(l_ande1 (l_e_st_eq_landau_n_lb (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop2 u) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_5162_prop2 (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_5162_t7 p) : l_e_st_eq_landau_n_lb (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop2 u) (l_e_st_eq_landau_n_5162_y p)).

(* constant 3072 *)
definition l_e_st_eq_landau_n_5162_t9 ≝ λp:l_e_st_eq_landau_n_5162_prop3.(l_ande2 (l_e_st_eq_landau_n_lb (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop2 u) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_5162_prop2 (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_5162_t7 p) : l_e_st_eq_landau_n_5162_prop2 (l_e_st_eq_landau_n_5162_y p)).

(* constant 3073 *)
definition l_e_st_eq_landau_n_5162_t10 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.(l_e_st_eq_landau_n_treq1 (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr x (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_fr x (l_e_st_eq_landau_n_5162_y p))) q (l_e_st_eq_landau_n_tfeq12a x (l_e_st_eq_landau_n_5162_y p) x (l_e_st_eq_landau_n_5162_y p)) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)))).

(* constant 3074 *)
definition l_e_st_eq_landau_n_5162_t11 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.(l_e_tr4is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)))) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts x x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_12isnd (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_5162_t10 p x q) (l_e_st_eq_landau_n_ndis12 (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz28a (l_e_st_eq_landau_n_ts x x)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_ts x x)).

(* constant 3075 *)
definition l_e_st_eq_landau_n_5162_t12 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.(l_e_st_eq_landau_n_isless2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_5162_t11 p x q) (l_e_st_eq_landau_n_5162_t2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts x x)).

(* constant 3076 *)
definition l_e_st_eq_landau_n_5162_t13 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.(l_e_st_eq_landau_n_isless1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p))) (l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_assts1 (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_5162_t11 p x q)) (l_e_st_eq_landau_n_satz35c (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_lessisi2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)) (l_e_refis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)))) (l_e_st_eq_landau_n_5162_t2 (l_e_st_eq_landau_n_5162_y p))) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)))).

(* constant 3077 *)
definition l_e_st_eq_landau_n_5162_t14 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.(l_e_st_eq_landau_n_5162_t3 (l_e_st_eq_landau_n_5162_y p) x (l_e_st_eq_landau_n_5162_t12 p x q) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_5162_y p) x).

(* constant 3078 *)
definition l_e_st_eq_landau_n_5162_t15 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.(l_e_st_eq_landau_n_5162_t3 x (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_5162_t13 p x q) : l_e_st_eq_landau_n_less x (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p))).

(* constant 3079 *)
definition l_e_st_eq_landau_n_5162_t16 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).(l_e_st_eq_landau_n_isless12 x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) i (l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_5162_t1 (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_5162_t15 p x q) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))).

(* constant 3080 *)
definition l_e_st_eq_landau_n_5162_t17 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).(l_e_st_eq_landau_n_satz20f u (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_t16 p x q u i) : l_e_st_eq_landau_n_less u (l_e_st_eq_landau_n_5162_y p)).

(* constant 3081 *)
definition l_e_st_eq_landau_n_5162_t18 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t) j : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl u t) (l_e_st_eq_landau_n_5162_y p)).

(* constant 3082 *)
definition l_e_st_eq_landau_n_5162_t19 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u))) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_ists12 x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u) x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u) i i) (l_e_st_eq_landau_n_5162_nun (l_e_st_eq_landau_n_5162_y p) u) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u))) (l_e_st_eq_landau_n_ts u u))).

(* constant 3083 *)
definition l_e_st_eq_landau_n_5162_t20 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u))) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t))) (l_e_st_eq_landau_n_ispl1 (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u))) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_ts t t) (l_e_st_eq_landau_n_5162_t19 p x q u i t j)) (l_e_st_eq_landau_n_asspl1 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u))) (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t)))).

(* constant 3084 *)
definition l_e_st_eq_landau_n_5162_t21 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u) (l_e_st_eq_landau_n_ts u (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts u (l_e_st_eq_landau_n_pl u t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_comts (l_e_st_eq_landau_n_5162_y p) u) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t) u j) (l_e_st_eq_landau_n_disttp2 u u t) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts u t))).

(* constant 3085 *)
definition l_e_st_eq_landau_n_5162_t22 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts u t))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t))) (l_e_st_eq_landau_n_ists2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_5162_t21 p x q u i t j)) (l_e_st_eq_landau_n_disttp2 (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts u t)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)))).

(* constant 3086 *)
definition l_e_st_eq_landau_n_5162_t23 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t))) (l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_5162_t22 p x q u i t j)) (l_e_st_eq_landau_n_asspl2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)))).

(* constant 3087 *)
definition l_e_st_eq_landau_n_5162_t24 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t)))) (l_e_st_eq_landau_n_5162_t20 p x q u i t j) (l_e_st_eq_landau_n_ispl1 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) u))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_5162_t23 p x q u i t j)) (l_e_st_eq_landau_n_asspl1 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t))))).

(* constant 3088 *)
definition l_e_st_eq_landau_n_5162_t25 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_tr4is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t))) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_pl u t) (l_e_st_eq_landau_n_pl u t)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_asspl2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_ispl1 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t))) (l_e_st_eq_landau_n_ts t t) (l_e_st_eq_landau_n_compl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_5162_nun1 u t) (l_e_st_eq_landau_n_ists12 (l_e_st_eq_landau_n_pl u t) (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t) (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_t18 p x q u i t j) (l_e_st_eq_landau_n_5162_t18 p x q u i t j)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))).

(* constant 3089 *)
definition l_e_st_eq_landau_n_5162_t26 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_tr4is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u)))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_5162_t24 p x q u i t j) (l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_ts t t))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_5162_t25 p x q u i t j)) (l_e_st_eq_landau_n_compl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_asspl2 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u)))).

(* constant 3090 *)
definition l_e_st_eq_landau_n_5162_t27 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_5162_t1 (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_5162_t11 p x q) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_ts x x)).

(* constant 3091 *)
definition l_e_st_eq_landau_n_5162_t28 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_5162_t26 p x q u i t j) (l_e_st_eq_landau_n_ispl1 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p)) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_y p))) (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_5162_t27 p x q u i t j)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u)))).

(* constant 3092 *)
definition l_e_st_eq_landau_n_5162_t29 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_st_eq_landau_n_satz20e (l_e_st_eq_landau_n_ts t t) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_ts x x) (l_e_st_eq_landau_n_5162_t28 p x q u i t j) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_ts t t) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u))).

(* constant 3093 *)
definition l_e_st_eq_landau_n_5162_t30 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_tr4is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts t t) (l_e_st_eq_landau_n_ts u u)))) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_ts t t) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_ts t t) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_num (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts t t) (l_e_st_eq_landau_n_ts u u))) (l_e_st_eq_landau_n_den (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_ndis12 (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_ts t t) (l_e_st_eq_landau_n_ts u u)) (l_e_symis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_ts t t) (l_e_st_eq_landau_n_ts (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_5162_t29 p x q u i t j)) (l_e_st_eq_landau_n_satz28e (l_e_st_eq_landau_n_ts t t)) (l_e_st_eq_landau_n_12isnd (l_e_st_eq_landau_n_ts t t) (l_e_st_eq_landau_n_ts u u) (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts t t) (l_e_st_eq_landau_n_ts u u))).

(* constant 3094 *)
definition l_e_st_eq_landau_n_5162_t31 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_st_eq_landau_n_treq2 (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr t u) (l_e_st_eq_landau_n_fr t u)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_ts t t) (l_e_st_eq_landau_n_ts u u)) (l_e_st_eq_landau_n_tfeq12a t u t u) (l_e_st_eq_landau_n_5162_t30 p x q u i t j) : l_e_st_eq_landau_n_5162_prop1 u t).

(* constant 3095 *)
definition l_e_st_eq_landau_n_5162_t32 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_somei l_e_st_eq_landau_n_nat (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop1 u v) t (l_e_st_eq_landau_n_5162_t31 p x q u i t j) : l_e_st_eq_landau_n_5162_prop2 u).

(* constant 3096 *)
definition l_e_st_eq_landau_n_5162_t33 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_st_eq_landau_n_5162_t8 p u (l_e_st_eq_landau_n_5162_t32 p x q u i t j) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_5162_y p) u).

(* constant 3097 *)
definition l_e_st_eq_landau_n_5162_t34 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).λt:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_pl u t).(l_e_st_eq_landau_n_satz10g (l_e_st_eq_landau_n_5162_y p) u (l_e_st_eq_landau_n_satz12 u (l_e_st_eq_landau_n_5162_y p) (l_e_st_eq_landau_n_5162_t17 p x q u i)) (l_e_st_eq_landau_n_5162_t33 p x q u i t j) : l_con).

(* constant 3098 *)
definition l_e_st_eq_landau_n_5162_t35 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.λu:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_5162_y p) u).(l_someapp l_e_st_eq_landau_n_nat (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_5162_y p) u v) (l_e_st_eq_landau_n_5162_t17 p x q u i) l_con (λv:l_e_st_eq_landau_n_nat.λw:l_e_st_eq_landau_n_diffprop (l_e_st_eq_landau_n_5162_y p) u v.l_e_st_eq_landau_n_5162_t34 p x q u i v w) : l_con).

(* constant 3099 *)
definition l_e_st_eq_landau_n_5162_t36 ≝ λp:l_e_st_eq_landau_n_5162_prop3.λx:l_e_st_eq_landau_n_nat.λq:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) x.(l_someapp l_e_st_eq_landau_n_nat (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_diffprop x (l_e_st_eq_landau_n_5162_y p) v) (l_e_st_eq_landau_n_5162_t14 p x q) l_con (λv:l_e_st_eq_landau_n_nat.λw:l_e_st_eq_landau_n_diffprop x (l_e_st_eq_landau_n_5162_y p) v.l_e_st_eq_landau_n_5162_t35 p x q v w) : l_con).

(* constant 3100 *)
definition l_e_st_eq_landau_n_5162_t37 ≝ λp:l_e_st_eq_landau_n_5162_prop3.(l_someapp l_e_st_eq_landau_n_nat (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) v) (l_e_st_eq_landau_n_5162_t9 p) l_con (λv:l_e_st_eq_landau_n_nat.λw:l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_5162_y p) v.l_e_st_eq_landau_n_5162_t36 p v w) : l_con).

(* constant 3101 *)
definition l_e_st_eq_landau_n_rt_5162_t38 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 x0) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)).λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_e_st_eq_landau_n_rt_ise (l_e_st_eq_landau_n_rt_ts x0 x0) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_tf x x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_tict x0 x0 x x xix0 xix0) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1)) i : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf x x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1)).

(* constant 3102 *)
definition l_e_st_eq_landau_n_rt_5162_t39 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 x0) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)).λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_e_st_eq_landau_n_refeq1 (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x)) x (l_e_st_eq_landau_n_fris x) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x)) x).

(* constant 3103 *)
definition l_e_st_eq_landau_n_rt_5162_t40 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 x0) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)).λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_e_st_eq_landau_n_eqtf12 (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x)) x (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x)) x (l_e_st_eq_landau_n_rt_5162_t39 x0 i x xix0) (l_e_st_eq_landau_n_rt_5162_t39 x0 i x xix0) : l_e_st_eq_landau_n_eq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x))) (l_e_st_eq_landau_n_tf x x)).

(* constant 3104 *)
definition l_e_st_eq_landau_n_rt_5162_t41 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 x0) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)).λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_e_st_eq_landau_n_treq (l_e_st_eq_landau_n_tf (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x)) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_den x))) (l_e_st_eq_landau_n_tf x x) (l_e_st_eq_landau_n_fr (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_5162_t40 x0 i x xix0) (l_e_st_eq_landau_n_rt_5162_t38 x0 i x xix0) : l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_den x) (l_e_st_eq_landau_n_num x)).

(* constant 3105 *)
definition l_e_st_eq_landau_n_rt_5162_t42 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 x0) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)).λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_somei l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop1 (l_e_st_eq_landau_n_den x) t) (l_e_st_eq_landau_n_num x) (l_e_st_eq_landau_n_rt_5162_t41 x0 i x xix0) : l_e_st_eq_landau_n_5162_prop2 (l_e_st_eq_landau_n_den x)).

(* constant 3106 *)
definition l_e_st_eq_landau_n_rt_5162_t43 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 x0) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)).λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_somei l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_5162_prop2 t) (l_e_st_eq_landau_n_den x) (l_e_st_eq_landau_n_rt_5162_t42 x0 i x xix0) : l_e_st_eq_landau_n_5162_prop3).

(* constant 3107 *)
definition l_e_st_eq_landau_n_rt_5162_t44 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 x0) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)).λx:l_e_st_eq_landau_n_frac.λxix0:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).(l_e_st_eq_landau_n_5162_t37 (l_e_st_eq_landau_n_rt_5162_t43 x0 i x xix0) : l_con).

(* constant 3108 *)
definition l_e_st_eq_landau_n_rt_5162_t45 ≝ λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts x0 x0) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)).(l_e_st_eq_landau_n_rt_ratapp1 x0 l_con (λx:l_e_st_eq_landau_n_frac.λt:l_e_st_eq_landau_n_rt_inf x (l_e_st_eq_landau_n_rt_class x0).l_e_st_eq_landau_n_rt_5162_t44 x0 i x t) : l_con).

(* constant 3109 *)
definition l_e_st_eq_landau_n_rt_rp_5162_ksi ≝ (l_e_ind l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts a a) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_satz161 (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1))) : l_e_st_eq_landau_n_rt_cut).

(* constant 3110 *)
definition l_e_st_eq_landau_n_rt_rp_5162_t46 ≝ (l_e_oneax l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts a a) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_satz161 (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1))) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_5162_ksi l_e_st_eq_landau_n_rt_rp_5162_ksi) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1))).

(* constant 3111 *)
definition l_e_st_eq_landau_n_rt_rp_5162_x0 ≝ λr:l_e_st_eq_landau_n_rt_rp_ratrp l_e_st_eq_landau_n_rt_rp_5162_ksi.(l_e_st_eq_landau_n_rt_rp_rtofrp l_e_st_eq_landau_n_rt_rp_5162_ksi r : l_e_st_eq_landau_n_rt_rat).

(* constant 3112 *)
definition l_e_st_eq_landau_n_rt_rp_5162_t47 ≝ λr:l_e_st_eq_landau_n_rt_rp_ratrp l_e_st_eq_landau_n_rt_rp_5162_ksi.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_5162_x0 r) (l_e_st_eq_landau_n_rt_rp_5162_x0 r))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_5162_x0 r)) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_5162_x0 r))) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_5162_ksi l_e_st_eq_landau_n_rt_rp_5162_ksi) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_satz155c (l_e_st_eq_landau_n_rt_rp_5162_x0 r) (l_e_st_eq_landau_n_rt_rp_5162_x0 r)) (l_e_st_eq_landau_n_rt_rp_ists12 (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_5162_x0 r)) l_e_st_eq_landau_n_rt_rp_5162_ksi (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_rp_5162_x0 r)) l_e_st_eq_landau_n_rt_rp_5162_ksi (l_e_st_eq_landau_n_rt_rp_isrprt2 l_e_st_eq_landau_n_rt_rp_5162_ksi r) (l_e_st_eq_landau_n_rt_rp_isrprt2 l_e_st_eq_landau_n_rt_rp_5162_ksi r)) l_e_st_eq_landau_n_rt_rp_5162_t46 : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_5162_x0 r) (l_e_st_eq_landau_n_rt_rp_5162_x0 r))) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1))).

(* constant 3113 *)
definition l_e_st_eq_landau_n_rt_rp_5162_t48 ≝ λr:l_e_st_eq_landau_n_rt_rp_ratrp l_e_st_eq_landau_n_rt_rp_5162_ksi.(l_e_st_eq_landau_n_rt_rp_isrtirp (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_5162_x0 r) (l_e_st_eq_landau_n_rt_rp_5162_x0 r)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_5162_t47 r) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_5162_x0 r) (l_e_st_eq_landau_n_rt_rp_5162_x0 r)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_suc l_e_st_eq_landau_n_1))).

(* constant 3114 *)
definition l_e_st_eq_landau_n_rt_rp_5162_t49 ≝ λr:l_e_st_eq_landau_n_rt_rp_ratrp l_e_st_eq_landau_n_rt_rp_5162_ksi.(l_e_st_eq_landau_n_rt_5162_t45 (l_e_st_eq_landau_n_rt_rp_5162_x0 r) (l_e_st_eq_landau_n_rt_rp_5162_t48 r) : l_con).

(* constant 3115 *)
definition l_e_st_eq_landau_n_rt_rp_satz162 ≝ (l_somei l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_irratrp a) l_e_st_eq_landau_n_rt_rp_5162_ksi (λt:l_e_st_eq_landau_n_rt_rp_ratrp l_e_st_eq_landau_n_rt_rp_5162_ksi.l_e_st_eq_landau_n_rt_rp_5162_t49 t) : l_e_st_eq_landau_n_rt_rp_some (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_irratrp a)).

(* constant 3116 *)
definition l_e_st_eq_landau_n_rt_rp_sqrt ≝ λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_ind l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts a a) zeta) (l_e_st_eq_landau_n_rt_rp_satz161 zeta) : l_e_st_eq_landau_n_rt_cut).

(* constant 3117 *)
definition l_e_st_eq_landau_n_rt_rp_thsqrt1 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.(l_e_oneax l_e_st_eq_landau_n_rt_cut (λa:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts a a) zeta) (l_e_st_eq_landau_n_rt_rp_satz161 zeta) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_sqrt zeta) (l_e_st_eq_landau_n_rt_rp_sqrt zeta)) zeta).

(* constant 3118 *)
definition l_e_st_eq_landau_n_rt_rp_thsqrt2 ≝ λzeta:l_e_st_eq_landau_n_rt_cut.λksi:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi ksi) zeta.(l_e_st_eq_landau_n_rt_rp_5161_t20 zeta ksi (l_e_st_eq_landau_n_rt_rp_sqrt zeta) i (l_e_st_eq_landau_n_rt_rp_thsqrt1 zeta) : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_sqrt zeta)).

(* constant 3119 *)
definition l_e_st_eq_landau_n_rt_rp_issqrt ≝ λksi:l_e_st_eq_landau_n_rt_cut.λeta:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is ksi eta.(l_e_isf l_e_st_eq_landau_n_rt_cut l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_sqrt t) ksi eta i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_sqrt ksi) (l_e_st_eq_landau_n_rt_rp_sqrt eta)).

(* constant 3120 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_x ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_rp_ntofrp ksi nx : l_e_st_eq_landau_n_nat).

(* constant 3121 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_y ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_rp_ntofrp eta ny : l_e_st_eq_landau_n_nat).

(* constant 3122 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t1 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_rp_isrpnt1 ksi nx : l_e_st_eq_landau_n_rt_rp_is ksi (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny))).

(* constant 3123 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t2 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_rp_isrpnt1 eta ny : l_e_st_eq_landau_n_rt_rp_is eta (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny))).

(* constant 3124 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t3 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_rp_ispl12 ksi (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) eta (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_iiia_t1 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t2 ksi nx eta ny) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi eta) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny)))).

(* constant 3125 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_x0 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny) : l_e_st_eq_landau_n_rt_rat).

(* constant 3126 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_y0 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny) : l_e_st_eq_landau_n_rt_rat).

(* constant 3127 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t4 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_natrti (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny) : l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny)).

(* constant 3128 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t5 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_natrti (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny) : l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)).

(* constant 3129 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t6 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny))) (l_e_st_eq_landau_n_rt_rp_satz155a (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny))) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)))).

(* constant 3130 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t7 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_satz112d (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t4 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t5 ksi nx eta ny) : l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny))).

(* constant 3131 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_xpy ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_iiia_t7 ksi nx eta ny) : l_e_st_eq_landau_n_nat).

(* constant 3132 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t8 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_isrtn1 (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_iiia_t7 ksi nx eta ny) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_rp_iiia_xpy ksi nx eta ny))).

(* constant 3133 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t9 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_rp_isrterp (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_rp_iiia_xpy ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_iiia_t8 ksi nx eta ny) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny))) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_xpy ksi nx eta ny))).

(* constant 3134 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t10 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl ksi eta) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny))) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_pl (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny))) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_xpy ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_iiia_t3 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t6 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t9 ksi nx eta ny) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi eta) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_xpy ksi nx eta ny))).

(* constant 3135 *)
definition l_e_st_eq_landau_n_rt_rp_natpl ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_somei l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl ksi eta) (l_e_st_eq_landau_n_rt_rp_rpofnt t)) (l_e_st_eq_landau_n_rt_rp_iiia_xpy ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t10 ksi nx eta ny) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_pl ksi eta)).

(* constant 3136 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t11 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_rp_ists12 ksi (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) eta (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_iiia_t1 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t2 ksi nx eta ny) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny)))).

(* constant 3137 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t12 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny))) (l_e_st_eq_landau_n_rt_rp_satz155c (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny))) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)))).

(* constant 3138 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t13 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_satz112f (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t4 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t5 ksi nx eta ny) : l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny))).

(* constant 3139 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_xty ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_iiia_t13 ksi nx eta ny) : l_e_st_eq_landau_n_nat).

(* constant 3140 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t14 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_isrtn1 (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_iiia_t13 ksi nx eta ny) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_rp_iiia_xty ksi nx eta ny))).

(* constant 3141 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t15 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_st_eq_landau_n_rt_rp_isrterp (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_rp_iiia_xty ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_iiia_t14 ksi nx eta ny) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny))) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_xty ksi nx eta ny))).

(* constant 3142 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t16 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny))) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_ts (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny))) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_xty ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_iiia_t11 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t12 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t15 ksi nx eta ny) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_xty ksi nx eta ny))).

(* constant 3143 *)
definition l_e_st_eq_landau_n_rt_rp_natts ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.(l_somei l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts ksi eta) (l_e_st_eq_landau_n_rt_rp_rpofnt t)) (l_e_st_eq_landau_n_rt_rp_iiia_xty ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t16 ksi nx eta ny) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_ts ksi eta)).

(* constant 3144 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t17 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_ismore12 ksi (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) eta (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_iiia_t1 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t2 ksi nx eta ny) m : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny))).

(* constant 3145 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t18 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_satz154d (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t17 ksi nx eta ny m) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny)).

(* constant 3146 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t20 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_ismn12 ksi (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) eta (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny)) m (l_e_st_eq_landau_n_rt_rp_satz154a (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m)) (l_e_st_eq_landau_n_rt_rp_iiia_t1 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t2 ksi nx eta ny) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_mn ksi eta m) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_satz154a (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m)))).

(* constant 3147 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t21 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m))) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_satz154a (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m))) (l_e_st_eq_landau_n_rt_rp_satz155b (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_satz154a (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m))) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m)))).

(* constant 3148 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t22 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_satz112g (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t4 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t5 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m) : l_e_st_eq_landau_n_rt_natrt (l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m))).

(* constant 3149 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_xmy ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_nofrt (l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m)) (l_e_st_eq_landau_n_rt_rp_iiia_t22 ksi nx eta ny m) : l_e_st_eq_landau_n_nat).

(* constant 3150 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t23 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_isrtn1 (l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m)) (l_e_st_eq_landau_n_rt_rp_iiia_t22 ksi nx eta ny m) : l_e_st_eq_landau_n_rt_is (l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_rp_iiia_xmy ksi nx eta ny m))).

(* constant 3151 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t24 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_st_eq_landau_n_rt_rp_isrterp (l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m)) (l_e_st_eq_landau_n_rt_rtofn (l_e_st_eq_landau_n_rt_rp_iiia_xmy ksi nx eta ny m)) (l_e_st_eq_landau_n_rt_rp_iiia_t23 ksi nx eta ny m) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m))) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_xmy ksi nx eta ny m))).

(* constant 3152 *)
definition l_e_st_eq_landau_n_rt_rp_iiia_t25 ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_mn ksi eta m) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_x ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_y ksi nx eta ny)) (l_e_st_eq_landau_n_rt_rp_satz154a (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m))) (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn (l_e_st_eq_landau_n_rt_rp_iiia_x0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_y0 ksi nx eta ny) (l_e_st_eq_landau_n_rt_rp_iiia_t18 ksi nx eta ny m))) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_xmy ksi nx eta ny m)) (l_e_st_eq_landau_n_rt_rp_iiia_t20 ksi nx eta ny m) (l_e_st_eq_landau_n_rt_rp_iiia_t21 ksi nx eta ny m) (l_e_st_eq_landau_n_rt_rp_iiia_t24 ksi nx eta ny m) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_mn ksi eta m) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_iiia_xmy ksi nx eta ny m))).

(* constant 3153 *)
definition l_e_st_eq_landau_n_rt_rp_natmn ≝ λksi:l_e_st_eq_landau_n_rt_cut.λnx:l_e_st_eq_landau_n_rt_rp_natrp ksi.λeta:l_e_st_eq_landau_n_rt_cut.λny:l_e_st_eq_landau_n_rt_rp_natrp eta.λm:l_e_st_eq_landau_n_rt_rp_more ksi eta.(l_somei l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_mn ksi eta m) (l_e_st_eq_landau_n_rt_rp_rpofnt t)) (l_e_st_eq_landau_n_rt_rp_iiia_xmy ksi nx eta ny m) (l_e_st_eq_landau_n_rt_rp_iiia_t25 ksi nx eta ny m) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_mn ksi eta m)).

(* constant 3154 *)
definition l_e_st_eq_landau_n_rt_rp_3pl13 ≝ λp:l_e_st_eq_landau_n_rt_cut.λq:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl p (l_e_st_eq_landau_n_rt_rp_pl q r)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl q r) p) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl r q) p) (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_pl q p)) (l_e_st_eq_landau_n_rt_rp_compl p (l_e_st_eq_landau_n_rt_rp_pl q r)) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_pl q r) (l_e_st_eq_landau_n_rt_rp_pl r q) p (l_e_st_eq_landau_n_rt_rp_compl q r)) (l_e_st_eq_landau_n_rt_rp_asspl1 r q p) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl p (l_e_st_eq_landau_n_rt_rp_pl q r)) (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_pl q p))).

(* constant 3155 *)
definition l_e_st_eq_landau_n_rt_rp_4pl24 ≝ λp:l_e_st_eq_landau_n_rt_cut.λq:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p q) (l_e_st_eq_landau_n_rt_rp_pl r s)) (l_e_st_eq_landau_n_rt_rp_pl p (l_e_st_eq_landau_n_rt_rp_pl q (l_e_st_eq_landau_n_rt_rp_pl r s))) (l_e_st_eq_landau_n_rt_rp_pl p (l_e_st_eq_landau_n_rt_rp_pl s (l_e_st_eq_landau_n_rt_rp_pl r q))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p s) (l_e_st_eq_landau_n_rt_rp_pl r q)) (l_e_st_eq_landau_n_rt_rp_asspl1 p q (l_e_st_eq_landau_n_rt_rp_pl r s)) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_pl q (l_e_st_eq_landau_n_rt_rp_pl r s)) (l_e_st_eq_landau_n_rt_rp_pl s (l_e_st_eq_landau_n_rt_rp_pl r q)) p (l_e_st_eq_landau_n_rt_rp_3pl13 q r s)) (l_e_st_eq_landau_n_rt_rp_asspl2 p s (l_e_st_eq_landau_n_rt_rp_pl r q)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p q) (l_e_st_eq_landau_n_rt_rp_pl r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p s) (l_e_st_eq_landau_n_rt_rp_pl r q))).

(* constant 3156 *)
definition l_e_st_eq_landau_n_rt_rp_3pl12 ≝ λp:l_e_st_eq_landau_n_rt_cut.λq:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl p (l_e_st_eq_landau_n_rt_rp_pl q r)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p q) r) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl q p) r) (l_e_st_eq_landau_n_rt_rp_pl q (l_e_st_eq_landau_n_rt_rp_pl p r)) (l_e_st_eq_landau_n_rt_rp_asspl2 p q r) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_pl p q) (l_e_st_eq_landau_n_rt_rp_pl q p) r (l_e_st_eq_landau_n_rt_rp_compl p q)) (l_e_st_eq_landau_n_rt_rp_asspl1 q p r) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl p (l_e_st_eq_landau_n_rt_rp_pl q r)) (l_e_st_eq_landau_n_rt_rp_pl q (l_e_st_eq_landau_n_rt_rp_pl p r))).

(* constant 3157 *)
definition l_e_st_eq_landau_n_rt_rp_4pl23 ≝ λp:l_e_st_eq_landau_n_rt_cut.λq:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p q) (l_e_st_eq_landau_n_rt_rp_pl r s)) (l_e_st_eq_landau_n_rt_rp_pl p (l_e_st_eq_landau_n_rt_rp_pl q (l_e_st_eq_landau_n_rt_rp_pl r s))) (l_e_st_eq_landau_n_rt_rp_pl p (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_pl q s))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p r) (l_e_st_eq_landau_n_rt_rp_pl q s)) (l_e_st_eq_landau_n_rt_rp_asspl1 p q (l_e_st_eq_landau_n_rt_rp_pl r s)) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_pl q (l_e_st_eq_landau_n_rt_rp_pl r s)) (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_pl q s)) p (l_e_st_eq_landau_n_rt_rp_3pl12 q r s)) (l_e_st_eq_landau_n_rt_rp_asspl2 p r (l_e_st_eq_landau_n_rt_rp_pl q s)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p q) (l_e_st_eq_landau_n_rt_rp_pl r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p r) (l_e_st_eq_landau_n_rt_rp_pl q s))).

(* constant 3158 *)
definition l_e_st_eq_landau_n_rt_rp_3pl23 ≝ λp:l_e_st_eq_landau_n_rt_cut.λq:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p q) r) (l_e_st_eq_landau_n_rt_rp_pl p (l_e_st_eq_landau_n_rt_rp_pl q r)) (l_e_st_eq_landau_n_rt_rp_pl p (l_e_st_eq_landau_n_rt_rp_pl r q)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p r) q) (l_e_st_eq_landau_n_rt_rp_asspl1 p q r) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_pl q r) (l_e_st_eq_landau_n_rt_rp_pl r q) p (l_e_st_eq_landau_n_rt_rp_compl q r)) (l_e_st_eq_landau_n_rt_rp_asspl2 p r q) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p q) r) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl p r) q)).

(* constant 3159 *)
definition l_e_st_eq_landau_n_rt_rp_a2isapa ≝ λp:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts p l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl p p) (l_e_st_eq_landau_n_rt_rp_disttp2 p l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts p l_e_st_eq_landau_n_rt_rp_1rp) p (l_e_st_eq_landau_n_rt_rp_ts p l_e_st_eq_landau_n_rt_rp_1rp) p (l_e_st_eq_landau_n_rt_rp_satz151 p) (l_e_st_eq_landau_n_rt_rp_satz151 p)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl p p)).

(* constant 3160 *)
definition l_e_st_eq_landau_n_rt_rp_dif ≝ (l_e_st_eq_landau_n_pair1type l_e_st_eq_landau_n_rt_cut : Type[0]).

(* constant 3161 *)
definition l_e_st_eq_landau_n_rt_rp_df ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_pair1 l_e_st_eq_landau_n_rt_cut a1 a2 : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3162 *)
definition l_e_st_eq_landau_n_rt_rp_stm ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_first1 l_e_st_eq_landau_n_rt_cut a : l_e_st_eq_landau_n_rt_cut).

(* constant 3163 *)
definition l_e_st_eq_landau_n_rt_rp_std ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_second1 l_e_st_eq_landau_n_rt_cut a : l_e_st_eq_landau_n_rt_cut).

(* constant 3164 *)
definition l_e_st_eq_landau_n_rt_rp_stmis ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_first1is1 l_e_st_eq_landau_n_rt_cut a1 a2 : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a1).

(* constant 3165 *)
definition l_e_st_eq_landau_n_rt_rp_isstm ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_first1is2 l_e_st_eq_landau_n_rt_cut a1 a2 : l_e_st_eq_landau_n_rt_rp_is a1 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2))).

(* constant 3166 *)
definition l_e_st_eq_landau_n_rt_rp_stdis ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_second1is1 l_e_st_eq_landau_n_rt_cut a1 a2 : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a2).

(* constant 3167 *)
definition l_e_st_eq_landau_n_rt_rp_isstd ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_second1is2 l_e_st_eq_landau_n_rt_cut a1 a2 : l_e_st_eq_landau_n_rt_rp_is a2 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2))).

(* constant 3168 *)
definition l_e_st_eq_landau_n_rt_rp_1a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_stm a : l_e_st_eq_landau_n_rt_cut).

(* constant 3169 *)
definition l_e_st_eq_landau_n_rt_rp_2a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_std a : l_e_st_eq_landau_n_rt_cut).

(* constant 3170 *)
definition l_e_st_eq_landau_n_rt_rp_dfis ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_pair1is1 l_e_st_eq_landau_n_rt_cut a : l_e_is l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) a).

(* constant 3171 *)
definition l_e_st_eq_landau_n_rt_rp_isdf ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_pair1is2 l_e_st_eq_landau_n_rt_cut a : l_e_is l_e_st_eq_landau_n_rt_rp_dif a (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a))).

(* constant 3172 *)
definition l_e_st_eq_landau_n_rt_rp_12issmsd ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ispl12 a1 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) b2 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_isstm a1 a2) (l_e_st_eq_landau_n_rt_rp_isstd b1 b2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2)))).

(* constant 3173 *)
definition l_e_st_eq_landau_n_rt_rp_smsdis12 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_12issmsd a1 a2 b1 b2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_pl a1 b2)).

(* constant 3174 *)
definition l_e_st_eq_landau_n_rt_rp_1sdissmsd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ispl1 r1 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_isstm r1 r2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_2a a))).

(* constant 3175 *)
definition l_e_st_eq_landau_n_rt_rp_smsdis1sd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_1sdissmsd a r1 r2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a))).

(* constant 3176 *)
definition l_e_st_eq_landau_n_rt_rp_sm2issmsd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ispl2 r2 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_isstd r1 r2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2)))).

(* constant 3177 *)
definition l_e_st_eq_landau_n_rt_rp_smsdissm2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2))) (l_e_st_eq_landau_n_rt_rp_sm2issmsd a r1 r2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2)).

(* constant 3178 *)
definition l_e_st_eq_landau_n_rt_rp_issm ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is a1 r.(l_e_isf l_e_st_eq_landau_n_rt_cut l_e_st_eq_landau_n_rt_rp_dif (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_df t a2) a1 r i : l_e_is l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df r a2)).

(* constant 3179 *)
definition l_e_st_eq_landau_n_rt_rp_issd ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is a2 r.(l_e_isf l_e_st_eq_landau_n_rt_cut l_e_st_eq_landau_n_rt_rp_dif (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_df a1 t) a2 r i : l_e_is l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df a1 r)).

(* constant 3180 *)
definition l_e_st_eq_landau_n_rt_rp_issmsd ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is a1 b1.λj:l_e_st_eq_landau_n_rt_rp_is a2 b2.(l_e_tris l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2) (l_e_st_eq_landau_n_rt_rp_issm a1 a2 b1 i) (l_e_st_eq_landau_n_rt_rp_issd b1 a2 b2 j) : l_e_is l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)).

(* constant 3181 *)
definition l_e_st_eq_landau_n_rt_rp_1b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_stm b : l_e_st_eq_landau_n_rt_cut).

(* constant 3182 *)
definition l_e_st_eq_landau_n_rt_rp_2b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_std b : l_e_st_eq_landau_n_rt_cut).

(* constant 3183 *)
definition l_e_st_eq_landau_n_rt_rp_eq ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) : Prop).

(* constant 3184 *)
definition l_e_st_eq_landau_n_rt_rp_eqi12 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl b1 a2).(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl b1 a2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_smsdis12 a1 a2 b1 b2) i (l_e_st_eq_landau_n_rt_rp_12issmsd b1 b2 a1 a2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)).

(* constant 3185 *)
definition l_e_st_eq_landau_n_rt_rp_eqi1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)).(l_e_isp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq x (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) a (l_e_st_eq_landau_n_rt_rp_eqi12 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) r1 r2 i) (l_e_st_eq_landau_n_rt_rp_dfis a) : l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_df r1 r2)).

(* constant 3186 *)
definition l_e_st_eq_landau_n_rt_rp_eqi2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2).(l_e_isp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df r1 r2) x) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) a (l_e_st_eq_landau_n_rt_rp_eqi12 r1 r2 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) i) (l_e_st_eq_landau_n_rt_rp_dfis a) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df r1 r2) a).

(* constant 3187 *)
definition l_e_st_eq_landau_n_rt_rp_eqe12 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2).(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_pl b1 a2) (l_e_st_eq_landau_n_rt_rp_12issmsd a1 a2 b1 b2) e (l_e_st_eq_landau_n_rt_rp_smsdis12 b1 b2 a1 a2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl b1 a2)).

(* constant 3188 *)
definition l_e_st_eq_landau_n_rt_rp_satzd163 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_refis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) : l_e_st_eq_landau_n_rt_rp_eq a a).

(* constant 3189 *)
definition l_e_st_eq_landau_n_rt_rp_refeq ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_satzd163 a : l_e_st_eq_landau_n_rt_rp_eq a a).

(* constant 3190 *)
definition l_e_st_eq_landau_n_rt_rp_refeq1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_is l_e_st_eq_landau_n_rt_rp_dif a b.(l_e_isp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq a x) a b (l_e_st_eq_landau_n_rt_rp_refeq a) i : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3191 *)
definition l_e_st_eq_landau_n_rt_rp_refeq2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_is l_e_st_eq_landau_n_rt_rp_dif a b.(l_e_isp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq x a) a b (l_e_st_eq_landau_n_rt_rp_refeq a) i : l_e_st_eq_landau_n_rt_rp_eq b a).

(* constant 3192 *)
definition l_e_st_eq_landau_n_rt_rp_eqsmsd ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is a1 b1.λj:l_e_st_eq_landau_n_rt_rp_is a2 b2.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2) (l_e_st_eq_landau_n_rt_rp_issmsd a1 a2 b1 b2 i j) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)).

(* constant 3193 *)
definition l_e_st_eq_landau_n_rt_rp_eqsm ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is a1 r.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df r a2) (l_e_st_eq_landau_n_rt_rp_issm a1 a2 r i) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df r a2)).

(* constant 3194 *)
definition l_e_st_eq_landau_n_rt_rp_eqsd ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is a2 r.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df a1 r) (l_e_st_eq_landau_n_rt_rp_issd a1 a2 r i) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df a1 r)).

(* constant 3195 *)
definition l_e_st_eq_landau_n_rt_rp_satzd164 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) e : l_e_st_eq_landau_n_rt_rp_eq b a).

(* constant 3196 *)
definition l_e_st_eq_landau_n_rt_rp_symeq ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_satzd164 a b e : l_e_st_eq_landau_n_rt_rp_eq b a).

(* constant 3197 *)
definition l_e_st_eq_landau_n_rt_rp_1c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_stm c : l_e_st_eq_landau_n_rt_cut).

(* constant 3198 *)
definition l_e_st_eq_landau_n_rt_rp_2c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_std c : l_e_st_eq_landau_n_rt_cut).

(* constant 3199 *)
definition l_e_st_eq_landau_n_rt_rp_1d165_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq b c.(l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2b a b)) e f : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2b a b)))).

(* constant 3200 *)
definition l_e_st_eq_landau_n_rt_rp_1d165_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq b c.(l_e_tr4is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_4pl24 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_1d165_t1 a b c e f) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_4pl24 (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b)))).

(* constant 3201 *)
definition l_e_st_eq_landau_n_rt_rp_satzd165 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq b c.(l_e_st_eq_landau_n_rt_rp_satz136b (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_1d165_t2 a b c e f) : l_e_st_eq_landau_n_rt_rp_eq a c).

(* constant 3202 *)
definition l_e_st_eq_landau_n_rt_rp_treq ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq b c.(l_e_st_eq_landau_n_rt_rp_satzd165 a b c e f : l_e_st_eq_landau_n_rt_rp_eq a c).

(* constant 3203 *)
definition l_e_st_eq_landau_n_rt_rp_treq1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq c a.λf:l_e_st_eq_landau_n_rt_rp_eq c b.(l_e_st_eq_landau_n_rt_rp_treq a c b (l_e_st_eq_landau_n_rt_rp_symeq c a e) f : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3204 *)
definition l_e_st_eq_landau_n_rt_rp_treq2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a c.λf:l_e_st_eq_landau_n_rt_rp_eq b c.(l_e_st_eq_landau_n_rt_rp_treq a c b e (l_e_st_eq_landau_n_rt_rp_symeq b c f) : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3205 *)
definition l_e_st_eq_landau_n_rt_rp_tr3eq ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe1:l_e_st_eq_landau_n_rt_rp_eq a b.λe2:l_e_st_eq_landau_n_rt_rp_eq b c.λe3:l_e_st_eq_landau_n_rt_rp_eq c d.(l_e_st_eq_landau_n_rt_rp_treq a b d e1 (l_e_st_eq_landau_n_rt_rp_treq b c d e2 e3) : l_e_st_eq_landau_n_rt_rp_eq a d).

(* constant 3206 *)
definition l_e_st_eq_landau_n_rt_rp_tr4eq ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_dif.λe1:l_e_st_eq_landau_n_rt_rp_eq a b.λe2:l_e_st_eq_landau_n_rt_rp_eq b c.λe3:l_e_st_eq_landau_n_rt_rp_eq c d.λe4:l_e_st_eq_landau_n_rt_rp_eq d e.(l_e_st_eq_landau_n_rt_rp_tr3eq a b c e e1 e2 (l_e_st_eq_landau_n_rt_rp_treq c d e e3 e4) : l_e_st_eq_landau_n_rt_rp_eq a e).

(* constant 3207 *)
definition l_e_st_eq_landau_n_rt_rp_posd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) : Prop).

(* constant 3208 *)
definition l_e_st_eq_landau_n_rt_rp_zero ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) : Prop).

(* constant 3209 *)
definition l_e_st_eq_landau_n_rt_rp_negd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) : Prop).

(* constant 3210 *)
definition l_e_st_eq_landau_n_rt_rp_posdi ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more a1 a2.(l_e_st_eq_landau_n_rt_rp_ismore12 a1 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a2 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_isstm a1 a2) (l_e_st_eq_landau_n_rt_rp_isstd a1 a2) m : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_df a1 a2)).

(* constant 3211 *)
definition l_e_st_eq_landau_n_rt_rp_zeroi ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is a1 a2.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a1 a2 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_stmis a1 a2) i (l_e_st_eq_landau_n_rt_rp_isstd a1 a2) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_df a1 a2)).

(* constant 3212 *)
definition l_e_st_eq_landau_n_rt_rp_negdi ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less a1 a2.(l_e_st_eq_landau_n_rt_rp_isless12 a1 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a2 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_isstm a1 a2) (l_e_st_eq_landau_n_rt_rp_isstd a1 a2) l : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_df a1 a2)).

(* constant 3213 *)
definition l_e_st_eq_landau_n_rt_rp_axrde ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_satz123b (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) : l_ec3 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd a)).

(* constant 3214 *)
definition l_e_st_eq_landau_n_rt_rp_axrdo ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_satz123a (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) : l_or3 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd a)).

(* constant 3215 *)
definition l_e_st_eq_landau_n_rt_rp_axrd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_orec3i (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_axrdo a) (l_e_st_eq_landau_n_rt_rp_axrde a) : l_orec3 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd a)).

(* constant 3216 *)
definition l_e_st_eq_landau_n_rt_rp_rappd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:Prop.λp1:∀t:l_e_st_eq_landau_n_rt_rp_posd a.p.λp2:∀t:l_e_st_eq_landau_n_rt_rp_zero a.p.λp3:∀t:l_e_st_eq_landau_n_rt_rp_negd a.p.(l_or3app (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd a) p (l_e_st_eq_landau_n_rt_rp_axrdo a) p2 p1 p3 : p).

(* constant 3217 *)
definition l_e_st_eq_landau_n_rt_rp_pnot0d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_ec3e21 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_axrde a) p : l_not (l_e_st_eq_landau_n_rt_rp_zero a)).

(* constant 3218 *)
definition l_e_st_eq_landau_n_rt_rp_pnotnd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_ec3e23 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_axrde a) p : l_not (l_e_st_eq_landau_n_rt_rp_negd a)).

(* constant 3219 *)
definition l_e_st_eq_landau_n_rt_rp_0notpd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_ec3e12 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_axrde a) z : l_not (l_e_st_eq_landau_n_rt_rp_posd a)).

(* constant 3220 *)
definition l_e_st_eq_landau_n_rt_rp_0notnd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_ec3e13 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_axrde a) z : l_not (l_e_st_eq_landau_n_rt_rp_negd a)).

(* constant 3221 *)
definition l_e_st_eq_landau_n_rt_rp_nnotpd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_ec3e32 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_axrde a) n : l_not (l_e_st_eq_landau_n_rt_rp_posd a)).

(* constant 3222 *)
definition l_e_st_eq_landau_n_rt_rp_nnot0d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_ec3e31 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_axrde a) n : l_not (l_e_st_eq_landau_n_rt_rp_zero a)).

(* constant 3223 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) e (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_satz135a (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b) p) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a))).

(* constant 3224 *)
definition l_e_st_eq_landau_n_rt_rp_eqposd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_satz136a (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv1d_t1 a b e p) : l_e_st_eq_landau_n_rt_rp_posd b).

(* constant 3225 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_symeq a b e) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b) z) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a))).

(* constant 3226 *)
definition l_e_st_eq_landau_n_rt_rp_eqzero ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_satz136b (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv1d_t2 a b e z) : l_e_st_eq_landau_n_rt_rp_zero b).

(* constant 3227 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) e (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_satz135c (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b) n) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a))).

(* constant 3228 *)
definition l_e_st_eq_landau_n_rt_rp_eqnegd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_satz136c (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv1d_t3 a b e n) : l_e_st_eq_landau_n_rt_rp_negd b).

(* constant 3229 *)
definition l_e_st_eq_landau_n_rt_rp_zeroeq ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.λy:l_e_st_eq_landau_n_rt_rp_zero b.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b) z (l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) y)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3230 *)
definition l_e_st_eq_landau_n_rt_rp_pdofrp ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3231 *)
definition l_e_st_eq_landau_n_rt_rp_ndofrp ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_df l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3232 *)
definition l_e_st_eq_landau_n_rt_rp_isrpepd ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is r s.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s) (l_e_isf l_e_st_eq_landau_n_rt_cut l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_pdofrp x) r s i) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)).

(* constant 3233 *)
definition l_e_st_eq_landau_n_rt_rp_isrpend ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is r s.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_ndofrp r) (l_e_st_eq_landau_n_rt_rp_ndofrp s) (l_e_isf l_e_st_eq_landau_n_rt_cut l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ndofrp x) r s i) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_ndofrp r) (l_e_st_eq_landau_n_rt_rp_ndofrp s)).

(* constant 3234 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t4 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s).(l_e_st_eq_landau_n_rt_rp_satz136b (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_eqe12 (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp e) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp)).

(* constant 3235 *)
definition l_e_st_eq_landau_n_rt_rp_isrpipd ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s).(l_e_st_eq_landau_n_rt_rp_satz136b r s l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_iv1d_t4 r s e) : l_e_st_eq_landau_n_rt_rp_is r s).

(* constant 3236 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t5 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_ndofrp r) (l_e_st_eq_landau_n_rt_rp_ndofrp s).(l_e_st_eq_landau_n_rt_rp_satz136e (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_eqe12 l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp) e) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp)).

(* constant 3237 *)
definition l_e_st_eq_landau_n_rt_rp_isrpind ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_ndofrp r) (l_e_st_eq_landau_n_rt_rp_ndofrp s).(l_e_symis l_e_st_eq_landau_n_rt_cut s r (l_e_st_eq_landau_n_rt_rp_satz136b s r l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_iv1d_t5 r s e)) : l_e_st_eq_landau_n_rt_rp_is r s).

(* constant 3238 *)
definition l_e_st_eq_landau_n_rt_rp_posdirp ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_posdi (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_ismore1 (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp r) (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_compl l_e_st_eq_landau_n_rt_rp_1rp r) (l_e_st_eq_landau_n_rt_rp_satz133 l_e_st_eq_landau_n_rt_rp_1rp r)) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp r)).

(* constant 3239 *)
definition l_e_st_eq_landau_n_rt_rp_negdirp ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_negdi l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_isless2 (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp r) (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_compl l_e_st_eq_landau_n_rt_rp_1rp r) (l_e_st_eq_landau_n_rt_rp_satz133a l_e_st_eq_landau_n_rt_rp_1rp r)) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_ndofrp r)).

(* constant 3240 *)
definition l_e_st_eq_landau_n_rt_rp_rpofpd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) p : l_e_st_eq_landau_n_rt_cut).

(* constant 3241 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t6 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_tr4is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofpd a p) (l_e_st_eq_landau_n_rt_rp_2a a)) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofpd a p) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofpd a p) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofpd a p) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofpd a p) (l_e_st_eq_landau_n_rt_rp_2a a)) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_satz140f (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) p)) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_rpofpd a p) (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_rpofpd a p) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_asspl2 (l_e_st_eq_landau_n_rt_rp_rpofpd a p) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_2a a)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofpd a p) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_2a a))).

(* constant 3242 *)
definition l_e_st_eq_landau_n_rt_rp_eqpdrp1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_eqi1 a (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofpd a p) l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_iv1d_t6 a p) : l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofpd a p))).

(* constant 3243 *)
definition l_e_st_eq_landau_n_rt_rp_eqpdrp2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_symeq a (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofpd a p)) (l_e_st_eq_landau_n_rt_rp_eqpdrp1 a p) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofpd a p)) a).

(* constant 3244 *)
definition l_e_st_eq_landau_n_rt_rp_rpofnd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) n) : l_e_st_eq_landau_n_rt_cut).

(* constant 3245 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t7 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnd a n) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_rpofnd a n)) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_asspl2 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_rpofnd a n) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_rpofnd a n)) (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_satz140c (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) n))) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnd a n) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_2a a))).

(* constant 3246 *)
definition l_e_st_eq_landau_n_rt_rp_eqndrp1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_eqi1 a l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnd a n) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_iv1d_t7 a n) : l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_rpofnd a n))).

(* constant 3247 *)
definition l_e_st_eq_landau_n_rt_rp_eqndrp2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_symeq a (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_rpofnd a n)) (l_e_st_eq_landau_n_rt_rp_eqndrp1 a n) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_rpofnd a n)) a).

(* constant 3248 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t8 ≝ λh:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd h.λk:l_e_st_eq_landau_n_rt_rp_dif.λq:l_e_st_eq_landau_n_rt_rp_posd k.λe:l_e_st_eq_landau_n_rt_rp_eq h k.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofpd h p)) h k (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofpd k q)) (l_e_st_eq_landau_n_rt_rp_eqpdrp2 h p) e (l_e_st_eq_landau_n_rt_rp_eqpdrp1 k q) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofpd h p)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofpd k q))).

(* constant 3249 *)
definition l_e_st_eq_landau_n_rt_rp_eqpderp ≝ λh:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd h.λk:l_e_st_eq_landau_n_rt_rp_dif.λq:l_e_st_eq_landau_n_rt_rp_posd k.λe:l_e_st_eq_landau_n_rt_rp_eq h k.(l_e_st_eq_landau_n_rt_rp_isrpipd (l_e_st_eq_landau_n_rt_rp_rpofpd h p) (l_e_st_eq_landau_n_rt_rp_rpofpd k q) (l_e_st_eq_landau_n_rt_rp_iv1d_t8 h p k q e) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofpd h p) (l_e_st_eq_landau_n_rt_rp_rpofpd k q)).

(* constant 3250 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t9 ≝ λh:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd h.λk:l_e_st_eq_landau_n_rt_rp_dif.λq:l_e_st_eq_landau_n_rt_rp_posd k.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofpd h p) (l_e_st_eq_landau_n_rt_rp_rpofpd k q).(l_e_st_eq_landau_n_rt_rp_isrpepd (l_e_st_eq_landau_n_rt_rp_rpofpd h p) (l_e_st_eq_landau_n_rt_rp_rpofpd k q) i : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofpd h p)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofpd k q))).

(* constant 3251 *)
definition l_e_st_eq_landau_n_rt_rp_eqpdirp ≝ λh:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd h.λk:l_e_st_eq_landau_n_rt_rp_dif.λq:l_e_st_eq_landau_n_rt_rp_posd k.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofpd h p) (l_e_st_eq_landau_n_rt_rp_rpofpd k q).(l_e_st_eq_landau_n_rt_rp_tr3eq h (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofpd h p)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofpd k q)) k (l_e_st_eq_landau_n_rt_rp_eqpdrp1 h p) (l_e_st_eq_landau_n_rt_rp_iv1d_t9 h p k q i) (l_e_st_eq_landau_n_rt_rp_eqpdrp2 k q) : l_e_st_eq_landau_n_rt_rp_eq h k).

(* constant 3252 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t10 ≝ λh:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd h.λk:l_e_st_eq_landau_n_rt_rp_dif.λo:l_e_st_eq_landau_n_rt_rp_negd k.λe:l_e_st_eq_landau_n_rt_rp_eq h k.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_rpofnd h n)) h k (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_rpofnd k o)) (l_e_st_eq_landau_n_rt_rp_eqndrp2 h n) e (l_e_st_eq_landau_n_rt_rp_eqndrp1 k o) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_rpofnd h n)) (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_rpofnd k o))).

(* constant 3253 *)
definition l_e_st_eq_landau_n_rt_rp_eqnderp ≝ λh:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd h.λk:l_e_st_eq_landau_n_rt_rp_dif.λo:l_e_st_eq_landau_n_rt_rp_negd k.λe:l_e_st_eq_landau_n_rt_rp_eq h k.(l_e_st_eq_landau_n_rt_rp_isrpind (l_e_st_eq_landau_n_rt_rp_rpofnd h n) (l_e_st_eq_landau_n_rt_rp_rpofnd k o) (l_e_st_eq_landau_n_rt_rp_iv1d_t10 h n k o e) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnd h n) (l_e_st_eq_landau_n_rt_rp_rpofnd k o)).

(* constant 3254 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t11 ≝ λh:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd h.λk:l_e_st_eq_landau_n_rt_rp_dif.λo:l_e_st_eq_landau_n_rt_rp_negd k.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnd h n) (l_e_st_eq_landau_n_rt_rp_rpofnd k o).(l_e_st_eq_landau_n_rt_rp_isrpend (l_e_st_eq_landau_n_rt_rp_rpofnd h n) (l_e_st_eq_landau_n_rt_rp_rpofnd k o) i : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_rpofnd h n)) (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_rpofnd k o))).

(* constant 3255 *)
definition l_e_st_eq_landau_n_rt_rp_eqndirp ≝ λh:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd h.λk:l_e_st_eq_landau_n_rt_rp_dif.λo:l_e_st_eq_landau_n_rt_rp_negd k.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnd h n) (l_e_st_eq_landau_n_rt_rp_rpofnd k o).(l_e_st_eq_landau_n_rt_rp_tr3eq h (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_rpofnd h n)) (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_rpofnd k o)) k (l_e_st_eq_landau_n_rt_rp_eqndrp1 h n) (l_e_st_eq_landau_n_rt_rp_iv1d_t11 h n k o i) (l_e_st_eq_landau_n_rt_rp_eqndrp2 k o) : l_e_st_eq_landau_n_rt_rp_eq h k).

(* constant 3256 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t12 ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_eqpdrp1 (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_posdirp r) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_posdirp r)))).

(* constant 3257 *)
definition l_e_st_eq_landau_n_rt_rp_isrppd1 ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_isrpipd r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_posdirp r)) (l_e_st_eq_landau_n_rt_rp_iv1d_t12 r) : l_e_st_eq_landau_n_rt_rp_is r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_posdirp r))).

(* constant 3258 *)
definition l_e_st_eq_landau_n_rt_rp_isrppd2 ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_posdirp r)) (l_e_st_eq_landau_n_rt_rp_isrppd1 r) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_posdirp r)) r).

(* constant 3259 *)
definition l_e_st_eq_landau_n_rt_rp_iv1d_t13 ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_eqndrp1 (l_e_st_eq_landau_n_rt_rp_ndofrp r) (l_e_st_eq_landau_n_rt_rp_negdirp r) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_ndofrp r) (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_rpofnd (l_e_st_eq_landau_n_rt_rp_ndofrp r) (l_e_st_eq_landau_n_rt_rp_negdirp r)))).

(* constant 3260 *)
definition l_e_st_eq_landau_n_rt_rp_isrpnd1 ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_isrpind r (l_e_st_eq_landau_n_rt_rp_rpofnd (l_e_st_eq_landau_n_rt_rp_ndofrp r) (l_e_st_eq_landau_n_rt_rp_negdirp r)) (l_e_st_eq_landau_n_rt_rp_iv1d_t13 r) : l_e_st_eq_landau_n_rt_rp_is r (l_e_st_eq_landau_n_rt_rp_rpofnd (l_e_st_eq_landau_n_rt_rp_ndofrp r) (l_e_st_eq_landau_n_rt_rp_negdirp r))).

(* constant 3261 *)
definition l_e_st_eq_landau_n_rt_rp_isrpnd2 ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut r (l_e_st_eq_landau_n_rt_rp_rpofnd (l_e_st_eq_landau_n_rt_rp_ndofrp r) (l_e_st_eq_landau_n_rt_rp_negdirp r)) (l_e_st_eq_landau_n_rt_rp_isrpnd1 r) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnd (l_e_st_eq_landau_n_rt_rp_ndofrp r) (l_e_st_eq_landau_n_rt_rp_negdirp r)) r).

(* constant 3262 *)
definition l_e_st_eq_landau_n_rt_rp_lemmad1 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_eqi12 a1 a2 (l_e_st_eq_landau_n_rt_rp_pl a1 r) (l_e_st_eq_landau_n_rt_rp_pl a2 r) (l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl a1 (l_e_st_eq_landau_n_rt_rp_pl a2 r)) (l_e_st_eq_landau_n_rt_rp_pl a1 (l_e_st_eq_landau_n_rt_rp_pl r a2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl a1 r) a2) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_pl a2 r) (l_e_st_eq_landau_n_rt_rp_pl r a2) a1 (l_e_st_eq_landau_n_rt_rp_compl a2 r)) (l_e_st_eq_landau_n_rt_rp_asspl2 a1 r a2)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl a1 r) (l_e_st_eq_landau_n_rt_rp_pl a2 r))).

(* constant 3263 *)
definition l_e_st_eq_landau_n_rt_rp_lemmad2 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl a1 r) (l_e_st_eq_landau_n_rt_rp_pl a2 r)) (l_e_st_eq_landau_n_rt_rp_lemmad1 a1 a2 r) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl a1 r) (l_e_st_eq_landau_n_rt_rp_pl a2 r)) (l_e_st_eq_landau_n_rt_rp_df a1 a2)).

(* constant 3264 *)
definition l_e_st_eq_landau_n_rt_rp_lemmad3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_treq a (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r)) (l_e_st_eq_landau_n_rt_rp_refeq1 a (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_isdf a)) (l_e_st_eq_landau_n_rt_rp_lemmad1 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) r) : l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r))).

(* constant 3265 *)
definition l_e_st_eq_landau_n_rt_rp_lemmad4 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_symeq a (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r)) (l_e_st_eq_landau_n_rt_rp_lemmad3 a r) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r)) a).

(* constant 3266 *)
definition l_e_st_eq_landau_n_rt_rp_absd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_ite (l_e_st_eq_landau_n_rt_rp_negd a) l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) a : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3267 *)
definition l_e_st_eq_landau_n_rt_rp_absnd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_itet (l_e_st_eq_landau_n_rt_rp_negd a) l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) a n) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a))).

(* constant 3268 *)
definition l_e_st_eq_landau_n_rt_rp_absnnd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_absd a) a (l_e_itef (l_e_st_eq_landau_n_rt_rp_negd a) l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) a n) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd a) a).

(* constant 3269 *)
definition l_e_st_eq_landau_n_rt_rp_absdeql ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less a1 a2.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_df a2 a1) (l_e_st_eq_landau_n_rt_rp_absnd (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_negdi a1 a2 l)) (l_e_st_eq_landau_n_rt_rp_eqsmsd (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a2 a1 (l_e_st_eq_landau_n_rt_rp_stdis a1 a2) (l_e_st_eq_landau_n_rt_rp_stmis a1 a2)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_df a2 a1)).

(* constant 3270 *)
definition l_e_st_eq_landau_n_rt_rp_absdeqm ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_moreis a1 a2.(l_e_st_eq_landau_n_rt_rp_absnnd (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_imp_th3 (l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_less a1 a2) (l_e_st_eq_landau_n_rt_rp_satz123c a1 a2 m) (λt:l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_df a1 a2).l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a1 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a2 (l_e_st_eq_landau_n_rt_rp_stmis a1 a2) (l_e_st_eq_landau_n_rt_rp_stdis a1 a2) t)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_df a1 a2)).

(* constant 3271 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_symeq a b e) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a))).

(* constant 3272 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_absnd a n) (l_e_st_eq_landau_n_rt_rp_eqi12 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_iv2d_t1 a b e n)) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_absnd b (l_e_st_eq_landau_n_rt_rp_eqnegd a b e n))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).

(* constant 3273 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_absd a) a b (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_absnnd a n) e (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd b) b (l_e_st_eq_landau_n_rt_rp_absnnd b (l_imp_th3 (l_e_st_eq_landau_n_rt_rp_negd b) (l_e_st_eq_landau_n_rt_rp_negd a) n (λt:l_e_st_eq_landau_n_rt_rp_negd b.l_e_st_eq_landau_n_rt_rp_eqnegd b a (l_e_st_eq_landau_n_rt_rp_symeq a b e) t)))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).

(* constant 3274 *)
definition l_e_st_eq_landau_n_rt_rp_eqabsd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (λt:l_e_st_eq_landau_n_rt_rp_negd a.l_e_st_eq_landau_n_rt_rp_iv2d_t2 a b e t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_negd a).l_e_st_eq_landau_n_rt_rp_iv2d_t3 a b e t) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).

(* constant 3275 *)
definition l_e_st_eq_landau_n_rt_rp_satzd166a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_eqposd a (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd a) a (l_e_st_eq_landau_n_rt_rp_absnnd a (l_e_st_eq_landau_n_rt_rp_pnotnd a p))) p : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3276 *)
definition l_e_st_eq_landau_n_rt_rp_2d166_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_posdi (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) n) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a))).

(* constant 3277 *)
definition l_e_st_eq_landau_n_rt_rp_satzd166b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_eqposd (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_absnd a n)) (l_e_st_eq_landau_n_rt_rp_2d166_t1 a n) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3278 *)
definition l_e_st_eq_landau_n_rt_rp_satzd166c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b).(l_e_st_eq_landau_n_rt_rp_tr3eq a (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b) b (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd a) a (l_e_st_eq_landau_n_rt_rp_absnnd a (l_e_st_eq_landau_n_rt_rp_pnotnd a p))) e (l_e_st_eq_landau_n_rt_rp_absnnd b (l_e_st_eq_landau_n_rt_rp_pnotnd b q)) : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3279 *)
definition l_e_st_eq_landau_n_rt_rp_2d166_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.λo:l_e_st_eq_landau_n_rt_rp_negd b.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b).(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_absnd a n)) e (l_e_st_eq_landau_n_rt_rp_absnd b o) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b))).

(* constant 3280 *)
definition l_e_st_eq_landau_n_rt_rp_satzd166d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.λo:l_e_st_eq_landau_n_rt_rp_negd b.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b).(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_eqe12 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2d166_t2 a b n o e))) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3281 *)
definition l_e_st_eq_landau_n_rt_rp_satzd166e ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).(l_e_st_eq_landau_n_rt_rp_rappd a (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd a)) (λt:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_satzd166a a t) (l_imp_th2 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd a)) n) (λt:l_e_st_eq_landau_n_rt_rp_negd a.l_e_st_eq_landau_n_rt_rp_satzd166b a t) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3282 *)
definition l_e_st_eq_landau_n_rt_rp_satzd166f ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_eqzero a (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd a) a (l_e_st_eq_landau_n_rt_rp_absnnd a (l_e_st_eq_landau_n_rt_rp_0notnd a z))) z : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3283 *)
definition l_e_st_eq_landau_n_rt_rp_mored ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) : Prop).

(* constant 3284 *)
definition l_e_st_eq_landau_n_rt_rp_moredi12 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl b1 a2).(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_pl b1 a2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_12issmsd a1 a2 b1 b2) (l_e_st_eq_landau_n_rt_rp_12issmsd b1 b2 a1 a2) m : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)).

(* constant 3285 *)
definition l_e_st_eq_landau_n_rt_rp_moredi1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)).(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2))) (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_sm2issmsd a r1 r2) (l_e_st_eq_landau_n_rt_rp_1sdissmsd a r1 r2) m : l_e_st_eq_landau_n_rt_rp_mored a (l_e_st_eq_landau_n_rt_rp_df r1 r2)).

(* constant 3286 *)
definition l_e_st_eq_landau_n_rt_rp_moredi2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2).(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2))) (l_e_st_eq_landau_n_rt_rp_1sdissmsd a r1 r2) (l_e_st_eq_landau_n_rt_rp_sm2issmsd a r1 r2) m : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_df r1 r2) a).

(* constant 3287 *)
definition l_e_st_eq_landau_n_rt_rp_morede12 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2).(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_pl b1 a2) (l_e_st_eq_landau_n_rt_rp_smsdis12 a1 a2 b1 b2) (l_e_st_eq_landau_n_rt_rp_smsdis12 b1 b2 a1 a2) m : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl b1 a2)).

(* constant 3288 *)
definition l_e_st_eq_landau_n_rt_rp_lessd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) : Prop).

(* constant 3289 *)
definition l_e_st_eq_landau_n_rt_rp_lemmad5 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) m : l_e_st_eq_landau_n_rt_rp_lessd b a).

(* constant 3290 *)
definition l_e_st_eq_landau_n_rt_rp_lemmad6 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.(l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) l : l_e_st_eq_landau_n_rt_rp_mored b a).

(* constant 3291 *)
definition l_e_st_eq_landau_n_rt_rp_lessdi12 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl b1 a2).(l_e_st_eq_landau_n_rt_rp_lemmad5 (l_e_st_eq_landau_n_rt_rp_df b1 b2) (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_moredi12 b1 b2 a1 a2 (l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl b1 a2) l)) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)).

(* constant 3292 *)
definition l_e_st_eq_landau_n_rt_rp_lessdi1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)).(l_e_st_eq_landau_n_rt_rp_lemmad5 (l_e_st_eq_landau_n_rt_rp_df r1 r2) a (l_e_st_eq_landau_n_rt_rp_moredi2 a r1 r2 (l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)) l)) : l_e_st_eq_landau_n_rt_rp_lessd a (l_e_st_eq_landau_n_rt_rp_df r1 r2)).

(* constant 3293 *)
definition l_e_st_eq_landau_n_rt_rp_lessdi2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2).(l_e_st_eq_landau_n_rt_rp_lemmad5 a (l_e_st_eq_landau_n_rt_rp_df r1 r2) (l_e_st_eq_landau_n_rt_rp_moredi1 a r1 r2 (l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) l)) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_df r1 r2) a).

(* constant 3294 *)
definition l_e_st_eq_landau_n_rt_rp_lessde12 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2).(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_pl b1 a2) (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_morede12 b1 b2 a1 a2 (l_e_st_eq_landau_n_rt_rp_lemmad6 (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2) l)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl b1 a2)).

(* constant 3295 *)
definition l_e_st_eq_landau_n_rt_rp_satzd167 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_satz123 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) : l_orec3 (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_lessd a b)).

(* constant 3296 *)
definition l_e_st_eq_landau_n_rt_rp_satzd167a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_satz123a (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) : l_or3 (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_lessd a b)).

(* constant 3297 *)
definition l_e_st_eq_landau_n_rt_rp_satzd167b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_satz123b (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) : l_ec3 (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_lessd a b)).

(* constant 3298 *)
definition l_e_st_eq_landau_n_rt_rp_1d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_stm d : l_e_st_eq_landau_n_rt_cut).

(* constant 3299 *)
definition l_e_st_eq_landau_n_rt_rp_2d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_std d : l_e_st_eq_landau_n_rt_cut).

(* constant 3300 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t4 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq c d.λm:l_e_st_eq_landau_n_rt_rp_mored a c.(l_e_tr4is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2d a b c d)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2d a b c d))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1d a b c d) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1d a b c d) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1d a b c d) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_4pl24 (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2d a b c d) (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2d a b c d)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1d a b c d) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_symeq a b e) f) (l_e_st_eq_landau_n_rt_rp_4pl24 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1d a b c d) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1d a b c d) (l_e_st_eq_landau_n_rt_rp_2b a b))) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2d a b c d)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1d a b c d) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)))).

(* constant 3301 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t5 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq c d.λm:l_e_st_eq_landau_n_rt_rp_mored a c.(l_e_st_eq_landau_n_rt_rp_ismore2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2d a b c d)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1d a b c d) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2d a b c d)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_iv2d_t4 a b c d e f m) (l_e_st_eq_landau_n_rt_rp_satz135d (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2d a b c d)) m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2d a b c d)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1d a b c d) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)))).

(* constant 3302 *)
definition l_e_st_eq_landau_n_rt_rp_eqmored12 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq c d.λm:l_e_st_eq_landau_n_rt_rp_mored a c.(l_e_st_eq_landau_n_rt_rp_satz136a (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2d a b c d)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1d a b c d) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_iv2d_t5 a b c d e f m) : l_e_st_eq_landau_n_rt_rp_mored b d).

(* constant 3303 *)
definition l_e_st_eq_landau_n_rt_rp_eqlessd12 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq c d.λl:l_e_st_eq_landau_n_rt_rp_lessd a c.(l_e_st_eq_landau_n_rt_rp_lemmad5 d b (l_e_st_eq_landau_n_rt_rp_eqmored12 c d a b f e (l_e_st_eq_landau_n_rt_rp_lemmad6 a c l)) : l_e_st_eq_landau_n_rt_rp_lessd b d).

(* constant 3304 *)
definition l_e_st_eq_landau_n_rt_rp_eqmored1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λm:l_e_st_eq_landau_n_rt_rp_mored a c.(l_e_st_eq_landau_n_rt_rp_eqmored12 a b c c e (l_e_st_eq_landau_n_rt_rp_refeq c) m : l_e_st_eq_landau_n_rt_rp_mored b c).

(* constant 3305 *)
definition l_e_st_eq_landau_n_rt_rp_eqmored2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λm:l_e_st_eq_landau_n_rt_rp_mored c a.(l_e_st_eq_landau_n_rt_rp_eqmored12 c c a b (l_e_st_eq_landau_n_rt_rp_refeq c) e m : l_e_st_eq_landau_n_rt_rp_mored c b).

(* constant 3306 *)
definition l_e_st_eq_landau_n_rt_rp_eqlessd1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λl:l_e_st_eq_landau_n_rt_rp_lessd a c.(l_e_st_eq_landau_n_rt_rp_eqlessd12 a b c c e (l_e_st_eq_landau_n_rt_rp_refeq c) l : l_e_st_eq_landau_n_rt_rp_lessd b c).

(* constant 3307 *)
definition l_e_st_eq_landau_n_rt_rp_eqlessd2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λl:l_e_st_eq_landau_n_rt_rp_lessd c a.(l_e_st_eq_landau_n_rt_rp_eqlessd12 c c a b (l_e_st_eq_landau_n_rt_rp_refeq c) e l : l_e_st_eq_landau_n_rt_rp_lessd c b).

(* constant 3308 *)
definition l_e_st_eq_landau_n_rt_rp_moreq ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_or (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_eq a b) : Prop).

(* constant 3309 *)
definition l_e_st_eq_landau_n_rt_rp_lesseq ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_or (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_eq a b) : Prop).

(* constant 3310 *)
definition l_e_st_eq_landau_n_rt_rp_satzd168a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_moreq a b.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_lessd b a) (l_e_st_eq_landau_n_rt_rp_eq b a) m (λt:l_e_st_eq_landau_n_rt_rp_mored a b.l_e_st_eq_landau_n_rt_rp_lemmad5 a b t) (λt:l_e_st_eq_landau_n_rt_rp_eq a b.l_e_st_eq_landau_n_rt_rp_symeq a b t) : l_e_st_eq_landau_n_rt_rp_lesseq b a).

(* constant 3311 *)
definition l_e_st_eq_landau_n_rt_rp_satzd168b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lesseq a b.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_mored b a) (l_e_st_eq_landau_n_rt_rp_eq b a) l (λt:l_e_st_eq_landau_n_rt_rp_lessd a b.l_e_st_eq_landau_n_rt_rp_lemmad6 a b t) (λt:l_e_st_eq_landau_n_rt_rp_eq a b.l_e_st_eq_landau_n_rt_rp_symeq a b t) : l_e_st_eq_landau_n_rt_rp_moreq b a).

(* constant 3312 *)
definition l_e_st_eq_landau_n_rt_rp_eqmoreq1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λm:l_e_st_eq_landau_n_rt_rp_moreq a c.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_mored a c) (l_e_st_eq_landau_n_rt_rp_eq a c) (l_e_st_eq_landau_n_rt_rp_mored b c) (l_e_st_eq_landau_n_rt_rp_eq b c) m (λt:l_e_st_eq_landau_n_rt_rp_mored a c.l_e_st_eq_landau_n_rt_rp_eqmored1 a b c e t) (λt:l_e_st_eq_landau_n_rt_rp_eq a c.l_e_st_eq_landau_n_rt_rp_treq1 b c a e t) : l_e_st_eq_landau_n_rt_rp_moreq b c).

(* constant 3313 *)
definition l_e_st_eq_landau_n_rt_rp_eqmoreq2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λm:l_e_st_eq_landau_n_rt_rp_moreq c a.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_mored c a) (l_e_st_eq_landau_n_rt_rp_eq c a) (l_e_st_eq_landau_n_rt_rp_mored c b) (l_e_st_eq_landau_n_rt_rp_eq c b) m (λt:l_e_st_eq_landau_n_rt_rp_mored c a.l_e_st_eq_landau_n_rt_rp_eqmored2 a b c e t) (λt:l_e_st_eq_landau_n_rt_rp_eq c a.l_e_st_eq_landau_n_rt_rp_treq c a b t e) : l_e_st_eq_landau_n_rt_rp_moreq c b).

(* constant 3314 *)
definition l_e_st_eq_landau_n_rt_rp_eqlesseq1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λl:l_e_st_eq_landau_n_rt_rp_lesseq a c.(l_e_st_eq_landau_n_rt_rp_satzd168a c b (l_e_st_eq_landau_n_rt_rp_eqmoreq2 a b c e (l_e_st_eq_landau_n_rt_rp_satzd168b a c l)) : l_e_st_eq_landau_n_rt_rp_lesseq b c).

(* constant 3315 *)
definition l_e_st_eq_landau_n_rt_rp_eqlesseq2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λl:l_e_st_eq_landau_n_rt_rp_lesseq c a.(l_e_st_eq_landau_n_rt_rp_satzd168a b c (l_e_st_eq_landau_n_rt_rp_eqmoreq1 a b c e (l_e_st_eq_landau_n_rt_rp_satzd168b c a l)) : l_e_st_eq_landau_n_rt_rp_lesseq c b).

(* constant 3316 *)
definition l_e_st_eq_landau_n_rt_rp_eqmoreq12 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq c d.λm:l_e_st_eq_landau_n_rt_rp_moreq a c.(l_e_st_eq_landau_n_rt_rp_eqmoreq1 a b d e (l_e_st_eq_landau_n_rt_rp_eqmoreq2 c d a f m) : l_e_st_eq_landau_n_rt_rp_moreq b d).

(* constant 3317 *)
definition l_e_st_eq_landau_n_rt_rp_eqlesseq12 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq c d.λl:l_e_st_eq_landau_n_rt_rp_lesseq a c.(l_e_st_eq_landau_n_rt_rp_eqlesseq1 a b d e (l_e_st_eq_landau_n_rt_rp_eqlesseq2 c d a f l) : l_e_st_eq_landau_n_rt_rp_lesseq b d).

(* constant 3318 *)
definition l_e_st_eq_landau_n_rt_rp_moreqi1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.(l_ori1 (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_eq a b) m : l_e_st_eq_landau_n_rt_rp_moreq a b).

(* constant 3319 *)
definition l_e_st_eq_landau_n_rt_rp_lesseqi1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.(l_ori1 (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_eq a b) l : l_e_st_eq_landau_n_rt_rp_lesseq a b).

(* constant 3320 *)
definition l_e_st_eq_landau_n_rt_rp_moreqi2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_ori2 (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_eq a b) e : l_e_st_eq_landau_n_rt_rp_moreq a b).

(* constant 3321 *)
definition l_e_st_eq_landau_n_rt_rp_lesseqi2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_ori2 (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_eq a b) e : l_e_st_eq_landau_n_rt_rp_lesseq a b).

(* constant 3322 *)
definition l_e_st_eq_landau_n_rt_rp_satzd167c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_moreq a b.(l_ec3_th7 (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_satzd167b a b) (l_comor (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_eq a b) m) : l_not (l_e_st_eq_landau_n_rt_rp_lessd a b)).

(* constant 3323 *)
definition l_e_st_eq_landau_n_rt_rp_satzd167d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lesseq a b.(l_ec3_th9 (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_satzd167b a b) l : l_not (l_e_st_eq_landau_n_rt_rp_mored a b)).

(* constant 3324 *)
definition l_e_st_eq_landau_n_rt_rp_satzd167e ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_mored a b).(l_or3_th2 (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_satzd167a a b) n : l_e_st_eq_landau_n_rt_rp_lesseq a b).

(* constant 3325 *)
definition l_e_st_eq_landau_n_rt_rp_satzd167f ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_lessd a b).(l_comor (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_mored a b) (l_or3_th3 (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_satzd167a a b) n) : l_e_st_eq_landau_n_rt_rp_moreq a b).

(* constant 3326 *)
definition l_e_st_eq_landau_n_rt_rp_satzd167g ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_lesseq a b) (l_not (l_e_st_eq_landau_n_rt_rp_mored a b)) (l_weli (l_e_st_eq_landau_n_rt_rp_mored a b) m) (λt:l_e_st_eq_landau_n_rt_rp_lesseq a b.l_e_st_eq_landau_n_rt_rp_satzd167d a b t) : l_not (l_e_st_eq_landau_n_rt_rp_lesseq a b)).

(* constant 3327 *)
definition l_e_st_eq_landau_n_rt_rp_satzd167h ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_moreq a b) (l_not (l_e_st_eq_landau_n_rt_rp_lessd a b)) (l_weli (l_e_st_eq_landau_n_rt_rp_lessd a b) l) (λt:l_e_st_eq_landau_n_rt_rp_moreq a b.l_e_st_eq_landau_n_rt_rp_satzd167c a b t) : l_not (l_e_st_eq_landau_n_rt_rp_moreq a b)).

(* constant 3328 *)
definition l_e_st_eq_landau_n_rt_rp_satzd167j ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_moreq a b).(l_or3e3 (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_satzd167a a b) (l_or_th5 (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_eq a b) n) (l_or_th4 (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_eq a b) n) : l_e_st_eq_landau_n_rt_rp_lessd a b).

(* constant 3329 *)
definition l_e_st_eq_landau_n_rt_rp_satzd167k ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_lesseq a b).(l_or3e2 (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_satzd167a a b) (l_or_th4 (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_eq a b) n) (l_or_th5 (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_eq a b) n) : l_e_st_eq_landau_n_rt_rp_mored a b).

(* constant 3330 *)
definition l_e_st_eq_landau_n_rt_rp_satzd169a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero b.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a) z) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_satz135a (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b) p) : l_e_st_eq_landau_n_rt_rp_mored a b).

(* constant 3331 *)
definition l_e_st_eq_landau_n_rt_rp_satzd169b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero b.λm:l_e_st_eq_landau_n_rt_rp_mored a b.(l_e_st_eq_landau_n_rt_rp_satz136d (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a) z) m) : l_e_st_eq_landau_n_rt_rp_posd a).

(* constant 3332 *)
definition l_e_st_eq_landau_n_rt_rp_satzd169c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero b.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a) z) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_satz135c (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b) n) : l_e_st_eq_landau_n_rt_rp_lessd a b).

(* constant 3333 *)
definition l_e_st_eq_landau_n_rt_rp_satzd169d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero b.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.(l_e_st_eq_landau_n_rt_rp_satz136f (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a) z) l) : l_e_st_eq_landau_n_rt_rp_negd a).

(* constant 3334 *)
definition l_e_st_eq_landau_n_rt_rp_2d170_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero b.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_moreqi1 (l_e_st_eq_landau_n_rt_rp_absd a) b (l_e_st_eq_landau_n_rt_rp_satzd169a (l_e_st_eq_landau_n_rt_rp_absd a) b z (l_e_st_eq_landau_n_rt_rp_satzd166a a p)) : l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_absd a) b).

(* constant 3335 *)
definition l_e_st_eq_landau_n_rt_rp_2d170_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero b.λy:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_moreqi2 (l_e_st_eq_landau_n_rt_rp_absd a) b (l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_absd a) a b (l_e_st_eq_landau_n_rt_rp_absnnd a (l_e_st_eq_landau_n_rt_rp_0notnd a y)) (l_e_st_eq_landau_n_rt_rp_zeroeq a b y z)) : l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_absd a) b).

(* constant 3336 *)
definition l_e_st_eq_landau_n_rt_rp_2d170_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero b.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_moreqi1 (l_e_st_eq_landau_n_rt_rp_absd a) b (l_e_st_eq_landau_n_rt_rp_satzd169a (l_e_st_eq_landau_n_rt_rp_absd a) b z (l_e_st_eq_landau_n_rt_rp_satzd166b a n)) : l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_absd a) b).

(* constant 3337 *)
definition l_e_st_eq_landau_n_rt_rp_satzd170 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero b.(l_e_st_eq_landau_n_rt_rp_rappd a (l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_absd a) b) (λt:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_2d170_t1 a b z t) (λt:l_e_st_eq_landau_n_rt_rp_zero a.l_e_st_eq_landau_n_rt_rp_2d170_t2 a b z t) (λt:l_e_st_eq_landau_n_rt_rp_negd a.l_e_st_eq_landau_n_rt_rp_2d170_t3 a b z t) : l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_absd a) b).

(* constant 3338 *)
definition l_e_st_eq_landau_n_rt_rp_2d171_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λk:l_e_st_eq_landau_n_rt_rp_lessd b c.(l_e_st_eq_landau_n_rt_rp_satz137a (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2b a b)) l k : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2b a b)))).

(* constant 3339 *)
definition l_e_st_eq_landau_n_rt_rp_2d171_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λk:l_e_st_eq_landau_n_rt_rp_lessd b c.(l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_4pl24 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_4pl24 (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a)))) (l_e_st_eq_landau_n_rt_rp_2d171_t1 a b c l k) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b)))).

(* constant 3340 *)
definition l_e_st_eq_landau_n_rt_rp_satzd171 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λk:l_e_st_eq_landau_n_rt_rp_lessd b c.(l_e_st_eq_landau_n_rt_rp_satz136c (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_2d171_t2 a b c l k) : l_e_st_eq_landau_n_rt_rp_lessd a c).

(* constant 3341 *)
definition l_e_st_eq_landau_n_rt_rp_trlessd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λk:l_e_st_eq_landau_n_rt_rp_lessd b c.(l_e_st_eq_landau_n_rt_rp_satzd171 a b c l k : l_e_st_eq_landau_n_rt_rp_lessd a c).

(* constant 3342 *)
definition l_e_st_eq_landau_n_rt_rp_trmored ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.λn:l_e_st_eq_landau_n_rt_rp_mored b c.(l_e_st_eq_landau_n_rt_rp_lemmad6 c a (l_e_st_eq_landau_n_rt_rp_trlessd c b a (l_e_st_eq_landau_n_rt_rp_lemmad5 b c n) (l_e_st_eq_landau_n_rt_rp_lemmad5 a b m)) : l_e_st_eq_landau_n_rt_rp_mored a c).

(* constant 3343 *)
definition l_e_st_eq_landau_n_rt_rp_satzd172a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lesseq a b.λk:l_e_st_eq_landau_n_rt_rp_lessd b c.(l_orapp (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_lessd a c) l (λt:l_e_st_eq_landau_n_rt_rp_lessd a b.l_e_st_eq_landau_n_rt_rp_trlessd a b c t k) (λt:l_e_st_eq_landau_n_rt_rp_eq a b.l_e_st_eq_landau_n_rt_rp_eqlessd1 b a c (l_e_st_eq_landau_n_rt_rp_symeq a b t) k) : l_e_st_eq_landau_n_rt_rp_lessd a c).

(* constant 3344 *)
definition l_e_st_eq_landau_n_rt_rp_satzd172b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λk:l_e_st_eq_landau_n_rt_rp_lesseq b c.(l_orapp (l_e_st_eq_landau_n_rt_rp_lessd b c) (l_e_st_eq_landau_n_rt_rp_eq b c) (l_e_st_eq_landau_n_rt_rp_lessd a c) k (λt:l_e_st_eq_landau_n_rt_rp_lessd b c.l_e_st_eq_landau_n_rt_rp_trlessd a b c l t) (λt:l_e_st_eq_landau_n_rt_rp_eq b c.l_e_st_eq_landau_n_rt_rp_eqlessd2 b c a t l) : l_e_st_eq_landau_n_rt_rp_lessd a c).

(* constant 3345 *)
definition l_e_st_eq_landau_n_rt_rp_satzd172c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_moreq a b.λn:l_e_st_eq_landau_n_rt_rp_mored b c.(l_e_st_eq_landau_n_rt_rp_lemmad6 c a (l_e_st_eq_landau_n_rt_rp_satzd172b c b a (l_e_st_eq_landau_n_rt_rp_lemmad5 b c n) (l_e_st_eq_landau_n_rt_rp_satzd168a a b m)) : l_e_st_eq_landau_n_rt_rp_mored a c).

(* constant 3346 *)
definition l_e_st_eq_landau_n_rt_rp_satzd172d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.λn:l_e_st_eq_landau_n_rt_rp_moreq b c.(l_e_st_eq_landau_n_rt_rp_lemmad6 c a (l_e_st_eq_landau_n_rt_rp_satzd172a c b a (l_e_st_eq_landau_n_rt_rp_satzd168a b c n) (l_e_st_eq_landau_n_rt_rp_lemmad5 a b m)) : l_e_st_eq_landau_n_rt_rp_mored a c).

(* constant 3347 *)
definition l_e_st_eq_landau_n_rt_rp_2d173_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lesseq a b.λk:l_e_st_eq_landau_n_rt_rp_lesseq b c.λj:l_e_st_eq_landau_n_rt_rp_lessd a b.(l_e_st_eq_landau_n_rt_rp_lesseqi1 a c (l_e_st_eq_landau_n_rt_rp_satzd172b a b c j k) : l_e_st_eq_landau_n_rt_rp_lesseq a c).

(* constant 3348 *)
definition l_e_st_eq_landau_n_rt_rp_2d173_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lesseq a b.λk:l_e_st_eq_landau_n_rt_rp_lesseq b c.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_eqlesseq1 b a c (l_e_st_eq_landau_n_rt_rp_symeq a b e) k : l_e_st_eq_landau_n_rt_rp_lesseq a c).

(* constant 3349 *)
definition l_e_st_eq_landau_n_rt_rp_satzd173 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lesseq a b.λk:l_e_st_eq_landau_n_rt_rp_lesseq b c.(l_orapp (l_e_st_eq_landau_n_rt_rp_lessd a b) (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_lesseq a c) l (λt:l_e_st_eq_landau_n_rt_rp_lessd a b.l_e_st_eq_landau_n_rt_rp_2d173_t1 a b c l k t) (λt:l_e_st_eq_landau_n_rt_rp_eq a b.l_e_st_eq_landau_n_rt_rp_2d173_t2 a b c l k t) : l_e_st_eq_landau_n_rt_rp_lesseq a c).

(* constant 3350 *)
definition l_e_st_eq_landau_n_rt_rp_trlesseq ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lesseq a b.λk:l_e_st_eq_landau_n_rt_rp_lesseq b c.(l_e_st_eq_landau_n_rt_rp_satzd173 a b c l k : l_e_st_eq_landau_n_rt_rp_lesseq a c).

(* constant 3351 *)
definition l_e_st_eq_landau_n_rt_rp_trmoreq ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_moreq a b.λn:l_e_st_eq_landau_n_rt_rp_moreq b c.(l_e_st_eq_landau_n_rt_rp_satzd168b c a (l_e_st_eq_landau_n_rt_rp_trlesseq c b a (l_e_st_eq_landau_n_rt_rp_satzd168a b c n) (l_e_st_eq_landau_n_rt_rp_satzd168a a b m)) : l_e_st_eq_landau_n_rt_rp_moreq a c).

(* constant 3352 *)
definition l_e_st_eq_landau_n_rt_rp_ratd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(∀t:l_not (l_e_st_eq_landau_n_rt_rp_zero a).l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_satzd166e a t)) : Prop).

(* constant 3353 *)
definition l_e_st_eq_landau_n_rt_rp_irratd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_not (l_e_st_eq_landau_n_rt_rp_ratd a) : Prop).

(* constant 3354 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t6 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λr:l_e_st_eq_landau_n_rt_rp_ratd a.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero b).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_zero b) n (λt:l_e_st_eq_landau_n_rt_rp_zero a.l_e_st_eq_landau_n_rt_rp_eqzero a b e t) : l_not (l_e_st_eq_landau_n_rt_rp_zero a)).

(* constant 3355 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t7 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λr:l_e_st_eq_landau_n_rt_rp_ratd a.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero b).(l_e_st_eq_landau_n_rt_rp_eqpderp (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_satzd166e a (l_e_st_eq_landau_n_rt_rp_iv2d_t6 a b e r n)) (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_satzd166e b n) (l_e_st_eq_landau_n_rt_rp_eqabsd a b e) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_satzd166e a (l_e_st_eq_landau_n_rt_rp_iv2d_t6 a b e r n))) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_satzd166e b n))).

(* constant 3356 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t8 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λr:l_e_st_eq_landau_n_rt_rp_ratd a.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero b).(l_e_isp l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp t) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_satzd166e a (l_e_st_eq_landau_n_rt_rp_iv2d_t6 a b e r n))) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_satzd166e b n)) (r (l_e_st_eq_landau_n_rt_rp_iv2d_t6 a b e r n)) (l_e_st_eq_landau_n_rt_rp_iv2d_t7 a b e r n) : l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_satzd166e b n))).

(* constant 3357 *)
definition l_e_st_eq_landau_n_rt_rp_eqratd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λr:l_e_st_eq_landau_n_rt_rp_ratd a.(λt:l_not (l_e_st_eq_landau_n_rt_rp_zero b).l_e_st_eq_landau_n_rt_rp_iv2d_t8 a b e r t : l_e_st_eq_landau_n_rt_rp_ratd b).

(* constant 3358 *)
definition l_e_st_eq_landau_n_rt_rp_eqirratd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λi:l_e_st_eq_landau_n_rt_rp_irratd a.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_ratd b) (l_e_st_eq_landau_n_rt_rp_ratd a) i (λt:l_e_st_eq_landau_n_rt_rp_ratd b.l_e_st_eq_landau_n_rt_rp_eqratd b a (l_e_st_eq_landau_n_rt_rp_symeq a b e) t) : l_e_st_eq_landau_n_rt_rp_irratd b).

(* constant 3359 *)
definition l_e_st_eq_landau_n_rt_rp_ratdi0 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_r_imp_th2 (l_not (l_e_st_eq_landau_n_rt_rp_zero a)) (λt:l_not (l_e_st_eq_landau_n_rt_rp_zero a).l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_satzd166e a t))) (l_weli (l_e_st_eq_landau_n_rt_rp_zero a) z) : l_e_st_eq_landau_n_rt_rp_ratd a).

(* constant 3360 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t9 ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).λy0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0).(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) r) (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) r) j : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) r) (l_e_st_eq_landau_n_rt_rp_rpofrt y0)).

(* constant 3361 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t10 ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).λy0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0).(l_e_st_eq_landau_n_rt_rp_ismore1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofrt x0) r) (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_iv2d_t9 r i x0 s y0 j) (l_e_st_eq_landau_n_rt_rp_satz133 (l_e_st_eq_landau_n_rt_rp_rpofrt x0) r) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).

(* constant 3362 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t11 ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).λy0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0).(l_e_st_eq_landau_n_rt_rp_satz154d y0 x0 (l_e_st_eq_landau_n_rt_rp_iv2d_t10 r i x0 s y0 j) : l_e_st_eq_landau_n_rt_more y0 x0).

(* constant 3363 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t12 ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).λy0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0).(l_e_st_eq_landau_n_rt_rp_satz155b y0 x0 (l_e_st_eq_landau_n_rt_rp_iv2d_t11 r i x0 s y0 j) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_iv2d_t11 r i x0 s y0 j))) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_satz154a y0 x0 (l_e_st_eq_landau_n_rt_rp_iv2d_t11 r i x0 s y0 j)))).

(* constant 3364 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t13 ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).λy0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0).(l_e_st_eq_landau_n_rt_rp_satz140g (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt x0) r (l_e_st_eq_landau_n_rt_rp_satz154a y0 x0 (l_e_st_eq_landau_n_rt_rp_iv2d_t11 r i x0 s y0 j)) (l_e_st_eq_landau_n_rt_rp_iv2d_t9 r i x0 s y0 j) : l_e_st_eq_landau_n_rt_rp_is r (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_satz154a y0 x0 (l_e_st_eq_landau_n_rt_rp_iv2d_t11 r i x0 s y0 j)))).

(* constant 3365 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t14 ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).λy0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0).(l_e_tris2 l_e_st_eq_landau_n_rt_cut r (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_iv2d_t11 r i x0 s y0 j))) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_rpofrt y0) (l_e_st_eq_landau_n_rt_rp_rpofrt x0) (l_e_st_eq_landau_n_rt_rp_satz154a y0 x0 (l_e_st_eq_landau_n_rt_rp_iv2d_t11 r i x0 s y0 j))) (l_e_st_eq_landau_n_rt_rp_iv2d_t13 r i x0 s y0 j) (l_e_st_eq_landau_n_rt_rp_iv2d_t12 r i x0 s y0 j) : l_e_st_eq_landau_n_rt_rp_is r (l_e_st_eq_landau_n_rt_rp_rpofrt (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_iv2d_t11 r i x0 s y0 j)))).

(* constant 3366 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t15 ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).λy0:l_e_st_eq_landau_n_rt_rat.λj:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)) (l_e_st_eq_landau_n_rt_rp_rpofrt y0).(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_is r (l_e_st_eq_landau_n_rt_rp_rpofrt x)) (l_e_st_eq_landau_n_rt_mn y0 x0 (l_e_st_eq_landau_n_rt_rp_iv2d_t11 r i x0 s y0 j)) (l_e_st_eq_landau_n_rt_rp_iv2d_t14 r i x0 s y0 j) : l_e_st_eq_landau_n_rt_rp_ratrp r).

(* constant 3367 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t16 ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.λx0:l_e_st_eq_landau_n_rt_rat.λs:l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).(l_someapp l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)) (l_e_st_eq_landau_n_rt_rp_rpofrt x)) s l_con (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)) (l_e_st_eq_landau_n_rt_rp_rpofrt x).i (l_e_st_eq_landau_n_rt_rp_iv2d_t15 r i x0 s x t)) : l_con).

(* constant 3368 *)
definition l_e_st_eq_landau_n_rt_rp_remark1 ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.λx0:l_e_st_eq_landau_n_rt_rat.(λt:l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0)).l_e_st_eq_landau_n_rt_rp_iv2d_t16 r i x0 t : l_e_st_eq_landau_n_rt_rp_irratrp (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_rpofrt x0))).

(* constant 3369 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_rp ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pdofrp r : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3370 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_rn ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ndofrp r : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3371 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t17 ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_posdirp r : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_iv2d_rp r)).

(* constant 3372 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t18 ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pnot0d (l_e_st_eq_landau_n_rt_rp_iv2d_rp r) (l_e_st_eq_landau_n_rt_rp_iv2d_t17 r) : l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_iv2d_rp r))).

(* constant 3373 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t19 ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_nnot0d (l_e_st_eq_landau_n_rt_rp_iv2d_rn r) (l_e_st_eq_landau_n_rt_rp_negdirp r) : l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_iv2d_rn r))).

(* constant 3374 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t20 ≝ λr:l_e_st_eq_landau_n_rt_cut.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_iv2d_rp r)).(l_e_tris2 l_e_st_eq_landau_n_rt_cut r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_iv2d_rp r)) (l_e_st_eq_landau_n_rt_rp_satzd166e (l_e_st_eq_landau_n_rt_rp_iv2d_rp r) n)) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_iv2d_rp r) (l_e_st_eq_landau_n_rt_rp_iv2d_t17 r)) (l_e_st_eq_landau_n_rt_rp_isrppd1 r) (l_e_st_eq_landau_n_rt_rp_eqpderp (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_iv2d_rp r)) (l_e_st_eq_landau_n_rt_rp_satzd166e (l_e_st_eq_landau_n_rt_rp_iv2d_rp r) n) (l_e_st_eq_landau_n_rt_rp_iv2d_rp r) (l_e_st_eq_landau_n_rt_rp_iv2d_t17 r) (l_e_st_eq_landau_n_rt_rp_absnnd (l_e_st_eq_landau_n_rt_rp_iv2d_rp r) (l_e_st_eq_landau_n_rt_rp_pnotnd (l_e_st_eq_landau_n_rt_rp_iv2d_rp r) (l_e_st_eq_landau_n_rt_rp_iv2d_t17 r)))) : l_e_st_eq_landau_n_rt_rp_is r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_iv2d_rp r)) (l_e_st_eq_landau_n_rt_rp_satzd166e (l_e_st_eq_landau_n_rt_rp_iv2d_rp r) n))).

(* constant 3375 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t21 ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_iv2d_rn r)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_iv2d_rn r)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_iv2d_rn r))) (l_e_st_eq_landau_n_rt_rp_iv2d_rp r) (l_e_st_eq_landau_n_rt_rp_absnd (l_e_st_eq_landau_n_rt_rp_iv2d_rn r) (l_e_st_eq_landau_n_rt_rp_negdirp r)) (l_e_st_eq_landau_n_rt_rp_eqsmsd (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_iv2d_rn r)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_iv2d_rn r)) (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_stdis l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_stmis l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_iv2d_rn r)) (l_e_st_eq_landau_n_rt_rp_iv2d_rp r)).

(* constant 3376 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t22 ≝ λr:l_e_st_eq_landau_n_rt_cut.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_iv2d_rn r)).(l_e_tris2 l_e_st_eq_landau_n_rt_cut r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_iv2d_rn r)) (l_e_st_eq_landau_n_rt_rp_satzd166e (l_e_st_eq_landau_n_rt_rp_iv2d_rn r) n)) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_iv2d_rp r) (l_e_st_eq_landau_n_rt_rp_iv2d_t17 r)) (l_e_st_eq_landau_n_rt_rp_isrppd1 r) (l_e_st_eq_landau_n_rt_rp_eqpderp (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_iv2d_rn r)) (l_e_st_eq_landau_n_rt_rp_satzd166e (l_e_st_eq_landau_n_rt_rp_iv2d_rn r) n) (l_e_st_eq_landau_n_rt_rp_iv2d_rp r) (l_e_st_eq_landau_n_rt_rp_iv2d_t17 r) (l_e_st_eq_landau_n_rt_rp_iv2d_t21 r)) : l_e_st_eq_landau_n_rt_rp_is r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_iv2d_rn r)) (l_e_st_eq_landau_n_rt_rp_satzd166e (l_e_st_eq_landau_n_rt_rp_iv2d_rn r) n))).

(* constant 3377 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t23 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is r s.λrr:l_e_st_eq_landau_n_rt_rp_ratrp r.(l_e_isp l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp x) r s rr i : l_e_st_eq_landau_n_rt_rp_ratrp s).

(* constant 3378 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t24 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is r s.λrs:l_e_st_eq_landau_n_rt_rp_ratrp s.(l_e_isp1 l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_ratrp x) s r rs i : l_e_st_eq_landau_n_rt_rp_ratrp r).

(* constant 3379 *)
definition l_e_st_eq_landau_n_rt_rp_remark2a ≝ λr:l_e_st_eq_landau_n_rt_cut.λrr:l_e_st_eq_landau_n_rt_rp_ratrp r.(λt:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_pdofrp r)).l_e_st_eq_landau_n_rt_rp_iv2d_t23 r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_pdofrp r)) (l_e_st_eq_landau_n_rt_rp_satzd166e (l_e_st_eq_landau_n_rt_rp_pdofrp r) t)) (l_e_st_eq_landau_n_rt_rp_iv2d_t20 r t) rr : l_e_st_eq_landau_n_rt_rp_ratd (l_e_st_eq_landau_n_rt_rp_pdofrp r)).

(* constant 3380 *)
definition l_e_st_eq_landau_n_rt_rp_remark2b ≝ λr:l_e_st_eq_landau_n_rt_cut.λrr:l_e_st_eq_landau_n_rt_rp_ratrp r.(l_e_st_eq_landau_n_rt_rp_iv2d_t17 r : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp r)).

(* constant 3381 *)
definition l_e_st_eq_landau_n_rt_rp_remark3a ≝ λr:l_e_st_eq_landau_n_rt_cut.λrr:l_e_st_eq_landau_n_rt_rp_ratrp r.(λt:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_ndofrp r)).l_e_st_eq_landau_n_rt_rp_iv2d_t23 r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_ndofrp r)) (l_e_st_eq_landau_n_rt_rp_satzd166e (l_e_st_eq_landau_n_rt_rp_ndofrp r) t)) (l_e_st_eq_landau_n_rt_rp_iv2d_t22 r t) rr : l_e_st_eq_landau_n_rt_rp_ratd (l_e_st_eq_landau_n_rt_rp_ndofrp r)).

(* constant 3382 *)
definition l_e_st_eq_landau_n_rt_rp_remark3b ≝ λr:l_e_st_eq_landau_n_rt_cut.λrr:l_e_st_eq_landau_n_rt_rp_ratrp r.(l_e_st_eq_landau_n_rt_rp_negdirp r : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_ndofrp r)).

(* constant 3383 *)
definition l_e_st_eq_landau_n_rt_rp_remark4a ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_ratd (l_e_st_eq_landau_n_rt_rp_pdofrp r)) (l_e_st_eq_landau_n_rt_rp_ratrp r) i (λt:l_e_st_eq_landau_n_rt_rp_ratd (l_e_st_eq_landau_n_rt_rp_pdofrp r).l_e_st_eq_landau_n_rt_rp_iv2d_t24 r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_pdofrp r)) (l_e_st_eq_landau_n_rt_rp_satzd166e (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_iv2d_t18 r))) (l_e_st_eq_landau_n_rt_rp_iv2d_t20 r (l_e_st_eq_landau_n_rt_rp_iv2d_t18 r)) (t (l_e_st_eq_landau_n_rt_rp_iv2d_t18 r))) : l_e_st_eq_landau_n_rt_rp_irratd (l_e_st_eq_landau_n_rt_rp_pdofrp r)).

(* constant 3384 *)
definition l_e_st_eq_landau_n_rt_rp_remark4b ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.(l_e_st_eq_landau_n_rt_rp_iv2d_t17 r : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp r)).

(* constant 3385 *)
definition l_e_st_eq_landau_n_rt_rp_remark5a ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_ratd (l_e_st_eq_landau_n_rt_rp_ndofrp r)) (l_e_st_eq_landau_n_rt_rp_ratrp r) i (λt:l_e_st_eq_landau_n_rt_rp_ratd (l_e_st_eq_landau_n_rt_rp_ndofrp r).l_e_st_eq_landau_n_rt_rp_iv2d_t24 r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_ndofrp r)) (l_e_st_eq_landau_n_rt_rp_satzd166e (l_e_st_eq_landau_n_rt_rp_ndofrp r) (l_e_st_eq_landau_n_rt_rp_iv2d_t19 r))) (l_e_st_eq_landau_n_rt_rp_iv2d_t22 r (l_e_st_eq_landau_n_rt_rp_iv2d_t19 r)) (t (l_e_st_eq_landau_n_rt_rp_iv2d_t19 r))) : l_e_st_eq_landau_n_rt_rp_irratd (l_e_st_eq_landau_n_rt_rp_ndofrp r)).

(* constant 3386 *)
definition l_e_st_eq_landau_n_rt_rp_remark5b ≝ λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_irratrp r.(l_e_st_eq_landau_n_rt_rp_negdirp r : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_ndofrp r)).

(* constant 3387 *)
definition l_e_st_eq_landau_n_rt_rp_natd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_and (l_e_st_eq_landau_n_rt_rp_posd a) (∀t:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd a t)) : Prop).

(* constant 3388 *)
definition l_e_st_eq_landau_n_rt_rp_natposd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_natd a.(l_ande1 (l_e_st_eq_landau_n_rt_rp_posd a) (∀t:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd a t)) n : l_e_st_eq_landau_n_rt_rp_posd a).

(* constant 3389 *)
definition l_e_st_eq_landau_n_rt_rp_natderp ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_natd a.(l_r_ande2 (l_e_st_eq_landau_n_rt_rp_posd a) (λt:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd a t)) n : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd a (l_e_st_eq_landau_n_rt_rp_natposd a n))).

(* constant 3390 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t25 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λn:l_e_st_eq_landau_n_rt_rp_natd a.(l_e_st_eq_landau_n_rt_rp_eqposd a b e (l_e_st_eq_landau_n_rt_rp_natposd a n) : l_e_st_eq_landau_n_rt_rp_posd b).

(* constant 3391 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t26 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λn:l_e_st_eq_landau_n_rt_rp_natd a.λp:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_eqpderp a (l_e_st_eq_landau_n_rt_rp_natposd a n) b p e : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofpd a (l_e_st_eq_landau_n_rt_rp_natposd a n)) (l_e_st_eq_landau_n_rt_rp_rpofpd b p)).

(* constant 3392 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t27 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λn:l_e_st_eq_landau_n_rt_rp_natd a.λp:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_isp l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) (l_e_st_eq_landau_n_rt_rp_rpofpd a (l_e_st_eq_landau_n_rt_rp_natposd a n)) (l_e_st_eq_landau_n_rt_rp_rpofpd b p) (l_e_st_eq_landau_n_rt_rp_natderp a n) (l_e_st_eq_landau_n_rt_rp_iv2d_t26 a b e n p) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd b p)).

(* constant 3393 *)
definition l_e_st_eq_landau_n_rt_rp_eqnatd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λn:l_e_st_eq_landau_n_rt_rp_natd a.(l_andi (l_e_st_eq_landau_n_rt_rp_posd b) (∀t:l_e_st_eq_landau_n_rt_rp_posd b.l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd b t)) (l_e_st_eq_landau_n_rt_rp_iv2d_t25 a b e n) (λt:l_e_st_eq_landau_n_rt_rp_posd b.l_e_st_eq_landau_n_rt_rp_iv2d_t27 a b e n t) : l_e_st_eq_landau_n_rt_rp_natd b).

(* constant 3394 *)
definition l_e_st_eq_landau_n_rt_rp_pdofnt ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_rpofnt x) : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3395 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t28 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_posdirp (l_e_st_eq_landau_n_rt_rp_rpofnt x) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofnt x)).

(* constant 3396 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t29 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofnt x).(l_e_st_eq_landau_n_rt_rp_isrppd1 (l_e_st_eq_landau_n_rt_rp_rpofnt x) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofnt x) (l_e_st_eq_landau_n_rt_rp_iv2d_t28 x))).

(* constant 3397 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t30 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofnt x).(l_e_st_eq_landau_n_rt_rp_eqpderp (l_e_st_eq_landau_n_rt_rp_pdofnt x) (l_e_st_eq_landau_n_rt_rp_iv2d_t28 x) (l_e_st_eq_landau_n_rt_rp_pdofnt x) p (l_e_st_eq_landau_n_rt_rp_refeq (l_e_st_eq_landau_n_rt_rp_pdofnt x)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofnt x) (l_e_st_eq_landau_n_rt_rp_iv2d_t28 x)) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofnt x) p)).

(* constant 3398 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t31 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofnt x).(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofnt x) (l_e_st_eq_landau_n_rt_rp_iv2d_t28 x)) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofnt x) p) (l_e_st_eq_landau_n_rt_rp_iv2d_t29 x p) (l_e_st_eq_landau_n_rt_rp_iv2d_t30 x p) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofnt x) p)).

(* constant 3399 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t32 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofnt x).(l_e_isp l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofnt x) p) (l_e_st_eq_landau_n_rt_rp_natrpi x) (l_e_st_eq_landau_n_rt_rp_iv2d_t31 x p) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofnt x) p)).

(* constant 3400 *)
definition l_e_st_eq_landau_n_rt_rp_natdi ≝ λx:l_e_st_eq_landau_n_nat.(l_andi (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofnt x)) (∀t:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofnt x).l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofnt x) t)) (l_e_st_eq_landau_n_rt_rp_iv2d_t28 x) (λt:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofnt x).l_e_st_eq_landau_n_rt_rp_iv2d_t32 x t) : l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_pdofnt x)).

(* constant 3401 *)
definition l_e_st_eq_landau_n_rt_rp_intd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_or (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a)) : Prop).

(* constant 3402 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t33 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λi:l_e_st_eq_landau_n_rt_rp_intd a.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_eqzero a b e z : l_e_st_eq_landau_n_rt_rp_zero b).

(* constant 3403 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t34 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λi:l_e_st_eq_landau_n_rt_rp_intd a.λn:l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a).(l_e_st_eq_landau_n_rt_rp_eqnatd (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_eqabsd a b e) n : l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd b)).

(* constant 3404 *)
definition l_e_st_eq_landau_n_rt_rp_eqintd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λi:l_e_st_eq_landau_n_rt_rp_intd a.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a)) (l_e_st_eq_landau_n_rt_rp_zero b) (l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd b)) i (λt:l_e_st_eq_landau_n_rt_rp_zero a.l_e_st_eq_landau_n_rt_rp_iv2d_t33 a b e i t) (λt:l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a).l_e_st_eq_landau_n_rt_rp_iv2d_t34 a b e i t) : l_e_st_eq_landau_n_rt_rp_intd b).

(* constant 3405 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t34a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_natd a.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd a) a (l_e_st_eq_landau_n_rt_rp_absnnd a (l_e_st_eq_landau_n_rt_rp_pnotnd a (l_e_st_eq_landau_n_rt_rp_natposd a n))) : l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3406 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t35 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_natd a.(l_e_st_eq_landau_n_rt_rp_eqnatd a (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_iv2d_t34a a n) n : l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3407 *)
definition l_e_st_eq_landau_n_rt_rp_natintd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_natd a.(l_ori2 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a)) (l_e_st_eq_landau_n_rt_rp_iv2d_t35 a n) : l_e_st_eq_landau_n_rt_rp_intd a).

(* constant 3408 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t36 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λi:l_e_st_eq_landau_n_rt_rp_intd a.(l_ore2 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a)) i (l_e_st_eq_landau_n_rt_rp_pnot0d a p) : l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3409 *)
definition l_e_st_eq_landau_n_rt_rp_posintnatd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λi:l_e_st_eq_landau_n_rt_rp_intd a.(l_e_st_eq_landau_n_rt_rp_eqnatd (l_e_st_eq_landau_n_rt_rp_absd a) a (l_e_st_eq_landau_n_rt_rp_absnnd a (l_e_st_eq_landau_n_rt_rp_pnotnd a p)) (l_e_st_eq_landau_n_rt_rp_iv2d_t36 a p i) : l_e_st_eq_landau_n_rt_rp_natd a).

(* constant 3410 *)
definition l_e_st_eq_landau_n_rt_rp_intdi0 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_ori1 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a)) z : l_e_st_eq_landau_n_rt_rp_intd a).

(* constant 3411 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t37 ≝ λr:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_natrp r.(l_e_st_eq_landau_n_rt_rp_posdirp r : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp r)).

(* constant 3412 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t38 ≝ λr:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_natrp r.λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp r).(l_e_tris l_e_st_eq_landau_n_rt_cut r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_iv2d_t37 r n)) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp r) p) (l_e_st_eq_landau_n_rt_rp_isrppd1 r) (l_e_st_eq_landau_n_rt_rp_eqpderp (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_iv2d_t37 r n) (l_e_st_eq_landau_n_rt_rp_pdofrp r) p (l_e_st_eq_landau_n_rt_rp_refeq (l_e_st_eq_landau_n_rt_rp_pdofrp r))) : l_e_st_eq_landau_n_rt_rp_is r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp r) p)).

(* constant 3413 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t39 ≝ λr:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_natrp r.λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp r).(l_e_isp l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) r (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp r) p) n (l_e_st_eq_landau_n_rt_rp_iv2d_t38 r n p) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp r) p)).

(* constant 3414 *)
definition l_e_st_eq_landau_n_rt_rp_remark6a ≝ λr:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_natrp r.(l_andi (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp r)) (∀t:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp r).l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp r) t)) (l_e_st_eq_landau_n_rt_rp_iv2d_t37 r n) (λt:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp r).l_e_st_eq_landau_n_rt_rp_iv2d_t39 r n t) : l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_pdofrp r)).

(* constant 3415 *)
definition l_e_st_eq_landau_n_rt_rp_remark6 ≝ λr:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_natrp r.(l_e_st_eq_landau_n_rt_rp_natintd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_remark6a r n) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pdofrp r)).

(* constant 3416 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t40 ≝ λr:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_natrp r.(l_e_st_eq_landau_n_rt_rp_absdeql l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_isless2 (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp r) (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_compl l_e_st_eq_landau_n_rt_rp_1rp r) (l_e_st_eq_landau_n_rt_rp_satz133a l_e_st_eq_landau_n_rt_rp_1rp r)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_ndofrp r)) (l_e_st_eq_landau_n_rt_rp_pdofrp r)).

(* constant 3417 *)
definition l_e_st_eq_landau_n_rt_rp_iv2d_t41 ≝ λr:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_natrp r.(l_e_st_eq_landau_n_rt_rp_eqnatd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_ndofrp r)) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_ndofrp r)) (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_iv2d_t40 r n)) (l_e_st_eq_landau_n_rt_rp_remark6a r n) : l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_ndofrp r))).

(* constant 3418 *)
definition l_e_st_eq_landau_n_rt_rp_remark7 ≝ λr:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_natrp r.(l_ori2 (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_ndofrp r)) (l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_ndofrp r))) (l_e_st_eq_landau_n_rt_rp_iv2d_t41 r n) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_ndofrp r)).

(* constant 3419 *)
definition l_e_st_eq_landau_n_rt_rp_2d174_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).(l_ore2 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a)) i n : l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3420 *)
definition l_e_st_eq_landau_n_rt_rp_2d174_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).(l_ande2 (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd a)) (∀t:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd a).l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd a) t)) (l_e_st_eq_landau_n_rt_rp_2d174_t1 a i n) : ∀t:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd a).l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd a) t)).

(* constant 3421 *)
definition l_e_st_eq_landau_n_rt_rp_2d174_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).(l_e_st_eq_landau_n_rt_rp_lemmaiii5 (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_satzd166e a n)) (l_e_st_eq_landau_n_rt_rp_2d174_t2 a i n (l_e_st_eq_landau_n_rt_rp_satzd166e a n)) : l_e_st_eq_landau_n_rt_rp_ratrp (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_satzd166e a n))).

(* constant 3422 *)
definition l_e_st_eq_landau_n_rt_rp_satzd174 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.(λt:l_not (l_e_st_eq_landau_n_rt_rp_zero a).l_e_st_eq_landau_n_rt_rp_2d174_t3 a i t : l_e_st_eq_landau_n_rt_rp_ratd a).

(* constant 3423 *)
definition l_e_st_eq_landau_n_rt_rp_pd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3424 *)
definition l_e_st_eq_landau_n_rt_rp_pd12 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_issmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_pl a1 b1) (l_e_st_eq_landau_n_rt_rp_pl a2 b2) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a1 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2)) b1 (l_e_st_eq_landau_n_rt_rp_stmis a1 a2) (l_e_st_eq_landau_n_rt_rp_stmis b1 b2)) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a2 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2)) b2 (l_e_st_eq_landau_n_rt_rp_stdis a1 a2) (l_e_st_eq_landau_n_rt_rp_stdis b1 b2)) : l_e_is l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl a1 b1) (l_e_st_eq_landau_n_rt_rp_pl a2 b2))).

(* constant 3425 *)
definition l_e_st_eq_landau_n_rt_rp_pd1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_issmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r1) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r2) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2)) r1 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_stmis r1 r2)) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2)) r2 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_stdis r1 r2)) : l_e_is l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r1) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r2))).

(* constant 3426 *)
definition l_e_st_eq_landau_n_rt_rp_pd2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_issmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl r2 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2)) r1 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_stmis r1 r2)) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2)) r2 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_stdis r1 r2)) : l_e_is l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_df r1 r2) a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl r2 (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3427 *)
definition l_e_st_eq_landau_n_rt_rp_pdeq12a ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl a1 b1) (l_e_st_eq_landau_n_rt_rp_pl a2 b2)) (l_e_st_eq_landau_n_rt_rp_pd12 a1 a2 b1 b2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl a1 b1) (l_e_st_eq_landau_n_rt_rp_pl a2 b2))).

(* constant 3428 *)
definition l_e_st_eq_landau_n_rt_rp_pdeq12b ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_refeq2 (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl a1 b1) (l_e_st_eq_landau_n_rt_rp_pl a2 b2)) (l_e_st_eq_landau_n_rt_rp_pd12 a1 a2 b1 b2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl a1 b1) (l_e_st_eq_landau_n_rt_rp_pl a2 b2)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2))).

(* constant 3429 *)
definition l_e_st_eq_landau_n_rt_rp_pdeq1a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r1) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r2)) (l_e_st_eq_landau_n_rt_rp_pd1 a r1 r2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r1) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r2))).

(* constant 3430 *)
definition l_e_st_eq_landau_n_rt_rp_pdeq1b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_refeq2 (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r1) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r2)) (l_e_st_eq_landau_n_rt_rp_pd1 a r1 r2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r1) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r2)) (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_df r1 r2))).

(* constant 3431 *)
definition l_e_st_eq_landau_n_rt_rp_pdeq2a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_df r1 r2) a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl r2 (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pd2 a r1 r2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_df r1 r2) a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl r2 (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3432 *)
definition l_e_st_eq_landau_n_rt_rp_pdeq2b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_refeq2 (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_df r1 r2) a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl r2 (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pd2 a r1 r2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl r2 (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_df r1 r2) a)).

(* constant 3433 *)
definition l_e_st_eq_landau_n_rt_rp_satzd175 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_eqsmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_pd b a)).

(* constant 3434 *)
definition l_e_st_eq_landau_n_rt_rp_compd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_satzd175 a b : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_pd b a)).

(* constant 3435 *)
definition l_e_st_eq_landau_n_rt_rp_iv3d_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_4pl23 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2c a b c)) e) (l_e_st_eq_landau_n_rt_rp_4pl23 (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2c a b c)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)))).

(* constant 3436 *)
definition l_e_st_eq_landau_n_rt_rp_eqpd1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_eqi12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_iv3d_t1 a b c e) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c)).

(* constant 3437 *)
definition l_e_st_eq_landau_n_rt_rp_eqpd2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c) (l_e_st_eq_landau_n_rt_rp_pd c b) (l_e_st_eq_landau_n_rt_rp_compd c a) (l_e_st_eq_landau_n_rt_rp_eqpd1 a b c e) (l_e_st_eq_landau_n_rt_rp_compd b c) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd c b)).

(* constant 3438 *)
definition l_e_st_eq_landau_n_rt_rp_eqpd12 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq c d.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c) (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_eqpd1 a b c e) (l_e_st_eq_landau_n_rt_rp_eqpd2 c d b f) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3439 *)
definition l_e_st_eq_landau_n_rt_rp_iv3d_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_tr4is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b)) z (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_asspl2 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_1b a b)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)))).

(* constant 3440 *)
definition l_e_st_eq_landau_n_rt_rp_pd01 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_eqi2 b (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_iv3d_t2 a b z) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a b) b).

(* constant 3441 *)
definition l_e_st_eq_landau_n_rt_rp_pd02 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero b.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_pd b a) a (l_e_st_eq_landau_n_rt_rp_compd a b) (l_e_st_eq_landau_n_rt_rp_pd01 b a z) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a b) a).

(* constant 3442 *)
definition l_e_st_eq_landau_n_rt_rp_ppd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_posdi (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_satz137 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) p q) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3443 *)
definition l_e_st_eq_landau_n_rt_rp_npd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.λo:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_negdi (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_satz137a (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) n o) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3444 *)
definition l_e_st_eq_landau_n_rt_rp_m0d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3445 *)
definition l_e_st_eq_landau_n_rt_rp_m0deqa ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_eqsmsd (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a2 a1 (l_e_st_eq_landau_n_rt_rp_stdis a1 a2) (l_e_st_eq_landau_n_rt_rp_stmis a1 a2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_df a2 a1)).

(* constant 3446 *)
definition l_e_st_eq_landau_n_rt_rp_m0deqb ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_df a2 a1) (l_e_st_eq_landau_n_rt_rp_m0deqa a1 a2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df a2 a1) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_df a1 a2))).

(* constant 3447 *)
definition l_e_st_eq_landau_n_rt_rp_iv3d_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_symeq a b e) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a))).

(* constant 3448 *)
definition l_e_st_eq_landau_n_rt_rp_eqm0d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_eqi12 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_iv3d_t3 a b e) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)).

(* constant 3449 *)
definition l_e_st_eq_landau_n_rt_rp_satzd176a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_negdi (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) p) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_m0d a)).

(* constant 3450 *)
definition l_e_st_eq_landau_n_rt_rp_satzd176b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_zeroi (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) z) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_m0d a)).

(* constant 3451 *)
definition l_e_st_eq_landau_n_rt_rp_satzd176c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_posdi (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) n) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_m0d a)).

(* constant 3452 *)
definition l_e_st_eq_landau_n_rt_rp_satzd176d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_m0d a).(l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_stmis (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_stdis (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) n) : l_e_st_eq_landau_n_rt_rp_posd a).

(* constant 3453 *)
definition l_e_st_eq_landau_n_rt_rp_satzd176e ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_m0d a).(l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_isstm (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) z (l_e_st_eq_landau_n_rt_rp_stdis (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a))) : l_e_st_eq_landau_n_rt_rp_zero a).

(* constant 3454 *)
definition l_e_st_eq_landau_n_rt_rp_satzd176f ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_m0d a).(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_stmis (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_stdis (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) p) : l_e_st_eq_landau_n_rt_rp_negd a).

(* constant 3455 *)
definition l_e_st_eq_landau_n_rt_rp_m0d0 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_zeroeq (l_e_st_eq_landau_n_rt_rp_m0d a) a (l_e_st_eq_landau_n_rt_rp_satzd176b a z) z : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d a) a).

(* constant 3456 *)
definition l_e_st_eq_landau_n_rt_rp_3d177_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_tris l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) a (l_e_st_eq_landau_n_rt_rp_issmsd (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_stdis (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_stmis (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_dfis a) : l_e_is l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d a)) a).

(* constant 3457 *)
definition l_e_st_eq_landau_n_rt_rp_satzd177 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d a)) a (l_e_st_eq_landau_n_rt_rp_3d177_t1 a) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d a)) a).

(* constant 3458 *)
definition l_e_st_eq_landau_n_rt_rp_satzd177a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d a)) a (l_e_st_eq_landau_n_rt_rp_satzd177 a) : l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d a))).

(* constant 3459 *)
definition l_e_st_eq_landau_n_rt_rp_satzd177b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_m0d b).(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d b)) b (l_e_st_eq_landau_n_rt_rp_eqm0d a (l_e_st_eq_landau_n_rt_rp_m0d b) e) (l_e_st_eq_landau_n_rt_rp_satzd177 b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d a) b).

(* constant 3460 *)
definition l_e_st_eq_landau_n_rt_rp_satzd177c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_m0d b).(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_m0d a) b (l_e_st_eq_landau_n_rt_rp_satzd177b a b e) : l_e_st_eq_landau_n_rt_rp_eq b (l_e_st_eq_landau_n_rt_rp_m0d a)).

(* constant 3461 *)
definition l_e_st_eq_landau_n_rt_rp_satzd177d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d a) b.(l_e_st_eq_landau_n_rt_rp_satzd177c b a (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_m0d a) b e) : l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_m0d b)).

(* constant 3462 *)
definition l_e_st_eq_landau_n_rt_rp_satzd177e ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d a) b.(l_e_st_eq_landau_n_rt_rp_symeq a (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_satzd177d a b e) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d b) a).

(* constant 3463 *)
definition l_e_st_eq_landau_n_rt_rp_3d178_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d a)) a (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absnd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_satzd176a a p)) (l_e_st_eq_landau_n_rt_rp_satzd177 a) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd a) a (l_e_st_eq_landau_n_rt_rp_absnnd a (l_e_st_eq_landau_n_rt_rp_pnotnd a p))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3464 *)
definition l_e_st_eq_landau_n_rt_rp_3d178_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_m0d a) a (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absnnd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_0notnd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_satzd176b a z))) (l_e_st_eq_landau_n_rt_rp_m0d0 a z) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd a) a (l_e_st_eq_landau_n_rt_rp_absnnd a (l_e_st_eq_landau_n_rt_rp_0notnd a z))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3465 *)
definition l_e_st_eq_landau_n_rt_rp_3d178_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absnnd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_pnotnd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_satzd176c a n))) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_absnd a n)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3466 *)
definition l_e_st_eq_landau_n_rt_rp_satzd178 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_rappd a (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_absd a)) (λt:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_3d178_t1 a t) (λt:l_e_st_eq_landau_n_rt_rp_zero a.l_e_st_eq_landau_n_rt_rp_3d178_t2 a t) (λt:l_e_st_eq_landau_n_rt_rp_negd a.l_e_st_eq_landau_n_rt_rp_3d178_t3 a t) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3467 *)
definition l_e_st_eq_landau_n_rt_rp_satzd178a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_satzd178 a) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a))).

(* constant 3468 *)
definition l_e_st_eq_landau_n_rt_rp_3d179_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_pdeq1b a (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_m0d a))).

(* constant 3469 *)
definition l_e_st_eq_landau_n_rt_rp_3d179_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_zeroi (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)))).

(* constant 3470 *)
definition l_e_st_eq_landau_n_rt_rp_satzd179 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_eqzero (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_3d179_t1 a) (l_e_st_eq_landau_n_rt_rp_3d179_t2 a) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_m0d a))).

(* constant 3471 *)
definition l_e_st_eq_landau_n_rt_rp_satzd179a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_eqzero (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a) a) (l_e_st_eq_landau_n_rt_rp_compd a (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_satzd179 a) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a) a)).

(* constant 3472 *)
definition l_e_st_eq_landau_n_rt_rp_satzd180 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_m0deqa (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pdeq12b (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b))).

(* constant 3473 *)
definition l_e_st_eq_landau_n_rt_rp_satzd180a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_satzd180 a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd a b))).

(* constant 3474 *)
definition l_e_st_eq_landau_n_rt_rp_md ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_m0d b) : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3475 *)
definition l_e_st_eq_landau_n_rt_rp_mdeq12a ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b2 b1)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl a2 b1)) (l_e_st_eq_landau_n_rt_rp_eqpd2 (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_df b2 b1) (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_m0deqa b1 b2)) (l_e_st_eq_landau_n_rt_rp_pdeq12a a1 a2 b2 b1) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl a2 b1))).

(* constant 3476 *)
definition l_e_st_eq_landau_n_rt_rp_mdeq12b ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl a2 b1)) (l_e_st_eq_landau_n_rt_rp_mdeq12a a1 a2 b1 b2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl a1 b2) (l_e_st_eq_landau_n_rt_rp_pl a2 b1)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2))).

(* constant 3477 *)
definition l_e_st_eq_landau_n_rt_rp_mdeq1a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_md a (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_df r2 r1)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r1)) (l_e_st_eq_landau_n_rt_rp_eqpd2 (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_df r2 r1) a (l_e_st_eq_landau_n_rt_rp_m0deqa r1 r2)) (l_e_st_eq_landau_n_rt_rp_pdeq1a a r2 r1) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md a (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r1))).

(* constant 3478 *)
definition l_e_st_eq_landau_n_rt_rp_mdeq1b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_md a (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r1)) (l_e_st_eq_landau_n_rt_rp_mdeq1a a r1 r2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) r1)) (l_e_st_eq_landau_n_rt_rp_md a (l_e_st_eq_landau_n_rt_rp_df r1 r2))).

(* constant 3479 *)
definition l_e_st_eq_landau_n_rt_rp_mdeq2a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pdeq12a r1 r2 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_df r1 r2) a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl r2 (l_e_st_eq_landau_n_rt_rp_1a a)))).

(* constant 3480 *)
definition l_e_st_eq_landau_n_rt_rp_mdeq2b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pdeq12b r1 r2 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl r2 (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_df r1 r2) a)).

(* constant 3481 *)
definition l_e_st_eq_landau_n_rt_rp_eqmd1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_eqpd1 a b (l_e_st_eq_landau_n_rt_rp_m0d c) e : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md a c) (l_e_st_eq_landau_n_rt_rp_md b c)).

(* constant 3482 *)
definition l_e_st_eq_landau_n_rt_rp_eqmd2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_eqpd2 (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b) c (l_e_st_eq_landau_n_rt_rp_eqm0d a b e) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md c a) (l_e_st_eq_landau_n_rt_rp_md c b)).

(* constant 3483 *)
definition l_e_st_eq_landau_n_rt_rp_eqmd12 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq c d.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_md a c) (l_e_st_eq_landau_n_rt_rp_md b c) (l_e_st_eq_landau_n_rt_rp_md b d) (l_e_st_eq_landau_n_rt_rp_eqmd1 a b c e) (l_e_st_eq_landau_n_rt_rp_eqmd2 c d b f) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md a c) (l_e_st_eq_landau_n_rt_rp_md b d)).

(* constant 3484 *)
definition l_e_st_eq_landau_n_rt_rp_satzd181 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d b))) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a) b) (l_e_st_eq_landau_n_rt_rp_md b a) (l_e_st_eq_landau_n_rt_rp_satzd180 a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_eqpd2 (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d b)) b (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_satzd177 b)) (l_e_st_eq_landau_n_rt_rp_compd (l_e_st_eq_landau_n_rt_rp_m0d a) b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_md b a)).

(* constant 3485 *)
definition l_e_st_eq_landau_n_rt_rp_satzd181a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_md b a)) (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_satzd181 b a) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_md b a))).

(* constant 3486 *)
definition l_e_st_eq_landau_n_rt_rp_3d182_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pdeq1a a (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_eqsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3487 *)
definition l_e_st_eq_landau_n_rt_rp_3d182_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_3d182_t1 a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3488 *)
definition l_e_st_eq_landau_n_rt_rp_3d182_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_stmis (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b))).

(* constant 3489 *)
definition l_e_st_eq_landau_n_rt_rp_3d182_t4 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_stdis (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a))).

(* constant 3490 *)
definition l_e_st_eq_landau_n_rt_rp_3d182_t5 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_md a b).(l_e_st_eq_landau_n_rt_rp_eqposd (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_3d182_t1 a b) p : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3491 *)
definition l_e_st_eq_landau_n_rt_rp_satzd182a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_md a b).(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_3d182_t3 a b) (l_e_st_eq_landau_n_rt_rp_3d182_t4 a b) (l_e_st_eq_landau_n_rt_rp_3d182_t5 a b p) : l_e_st_eq_landau_n_rt_rp_mored a b).

(* constant 3492 *)
definition l_e_st_eq_landau_n_rt_rp_3d182_t6 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_md a b).(l_e_st_eq_landau_n_rt_rp_eqzero (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_3d182_t1 a b) z : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3493 *)
definition l_e_st_eq_landau_n_rt_rp_satzd182b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_md a b).(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_isstm (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_3d182_t6 a b z) (l_e_st_eq_landau_n_rt_rp_3d182_t4 a b) : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3494 *)
definition l_e_st_eq_landau_n_rt_rp_3d182_t7 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_md a b).(l_e_st_eq_landau_n_rt_rp_eqnegd (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_3d182_t1 a b) n : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3495 *)
definition l_e_st_eq_landau_n_rt_rp_satzd182c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_md a b).(l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_3d182_t3 a b) (l_e_st_eq_landau_n_rt_rp_3d182_t4 a b) (l_e_st_eq_landau_n_rt_rp_3d182_t7 a b n) : l_e_st_eq_landau_n_rt_rp_lessd a b).

(* constant 3496 *)
definition l_e_st_eq_landau_n_rt_rp_3d182_t8 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.(l_e_st_eq_landau_n_rt_rp_posdi (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) m : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3497 *)
definition l_e_st_eq_landau_n_rt_rp_satzd182d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.(l_e_st_eq_landau_n_rt_rp_eqposd (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_3d182_t2 a b) (l_e_st_eq_landau_n_rt_rp_3d182_t8 a b m) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3498 *)
definition l_e_st_eq_landau_n_rt_rp_3d182_t9 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_zeroi (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) e : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3499 *)
definition l_e_st_eq_landau_n_rt_rp_satzd182e ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_eqzero (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_3d182_t2 a b) (l_e_st_eq_landau_n_rt_rp_3d182_t9 a b e) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3500 *)
definition l_e_st_eq_landau_n_rt_rp_3d182_t10 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.(l_e_st_eq_landau_n_rt_rp_negdi (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) l : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3501 *)
definition l_e_st_eq_landau_n_rt_rp_satzd182f ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.(l_e_st_eq_landau_n_rt_rp_eqnegd (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_3d182_t2 a b) (l_e_st_eq_landau_n_rt_rp_3d182_t10 a b l) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3502 *)
definition l_e_st_eq_landau_n_rt_rp_3d183_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_m0d a))) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_12issmsd (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_m0d a)))).

(* constant 3503 *)
definition l_e_st_eq_landau_n_rt_rp_3d183_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_3d183_t1 b a : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_m0d b)))).

(* constant 3504 *)
definition l_e_st_eq_landau_n_rt_rp_satzd183a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.(l_e_st_eq_landau_n_rt_rp_isless12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_m0d b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_m0d a))) (l_e_st_eq_landau_n_rt_rp_3d183_t2 a b) (l_e_st_eq_landau_n_rt_rp_3d183_t1 a b) (l_e_st_eq_landau_n_rt_rp_lemmad5 a b m) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)).

(* constant 3505 *)
definition l_e_st_eq_landau_n_rt_rp_staz183b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_eqm0d a b e : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)).

(* constant 3506 *)
definition l_e_st_eq_landau_n_rt_rp_satzd183c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_m0d b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_m0d a))) (l_e_st_eq_landau_n_rt_rp_3d183_t2 a b) (l_e_st_eq_landau_n_rt_rp_3d183_t1 a b) (l_e_st_eq_landau_n_rt_rp_lemmad6 a b l) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)).

(* constant 3507 *)
definition l_e_st_eq_landau_n_rt_rp_satzd183d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b).(l_e_st_eq_landau_n_rt_rp_eqmored12 (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d a)) a (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d b)) b (l_e_st_eq_landau_n_rt_rp_satzd177 a) (l_e_st_eq_landau_n_rt_rp_satzd177 b) (l_e_st_eq_landau_n_rt_rp_satzd183c (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b) l) : l_e_st_eq_landau_n_rt_rp_mored a b).

(* constant 3508 *)
definition l_e_st_eq_landau_n_rt_rp_satzd183e ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b).(l_e_st_eq_landau_n_rt_rp_tr3eq a (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d b)) b (l_e_st_eq_landau_n_rt_rp_satzd177a a) (l_e_st_eq_landau_n_rt_rp_eqm0d (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b) e) (l_e_st_eq_landau_n_rt_rp_satzd177 b) : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3509 *)
definition l_e_st_eq_landau_n_rt_rp_satzd183f ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b).(l_e_st_eq_landau_n_rt_rp_eqlessd12 (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d a)) a (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d b)) b (l_e_st_eq_landau_n_rt_rp_satzd177 a) (l_e_st_eq_landau_n_rt_rp_satzd177 b) (l_e_st_eq_landau_n_rt_rp_satzd183a (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b) m) : l_e_st_eq_landau_n_rt_rp_lessd a b).

(* constant 3510 *)
definition l_e_st_eq_landau_n_rt_rp_3d184_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_tr3eq a (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp))) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp))) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_lemmad3 a (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_eqsmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_asspl2 (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_3pl12 (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_mdeq12b (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) : l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3511 *)
definition l_e_st_eq_landau_n_rt_rp_3d184_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_and3i (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_2a a)))) (l_e_st_eq_landau_n_rt_rp_posdirp (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_posdirp (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_3d184_t1 a) : l_and3 (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_2a a))))).

(* constant 3512 *)
definition l_e_st_eq_landau_n_rt_rp_3d184_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and3 (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_posd x) (l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_1a a)) x))) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_3d184_t2 a) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and3 (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_posd x) (l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_1a a)) x)))).

(* constant 3513 *)
definition l_e_st_eq_landau_n_rt_rp_satzd184 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_some l_e_st_eq_landau_n_rt_rp_dif (λy:l_e_st_eq_landau_n_rt_rp_dif.l_and3 (l_e_st_eq_landau_n_rt_rp_posd x) (l_e_st_eq_landau_n_rt_rp_posd y) (l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_md x y)))) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_3d184_t3 a) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_some l_e_st_eq_landau_n_rt_rp_dif (λy:l_e_st_eq_landau_n_rt_rp_dif.l_and3 (l_e_st_eq_landau_n_rt_rp_posd x) (l_e_st_eq_landau_n_rt_rp_posd y) (l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_md x y))))).

(* constant 3514 *)
definition l_e_st_eq_landau_n_rt_rp_asspd1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a b) c) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)))) (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_pdeq2a c (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_eqsmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pdeq1b a (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a b) c) (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_pd b c))).

(* constant 3515 *)
definition l_e_st_eq_landau_n_rt_rp_asspd2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a b) c) (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_asspd1 a b c) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a b) c)).

(* constant 3516 *)
definition l_e_st_eq_landau_n_rt_rp_3pd23 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a b) c) (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_pd c b)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a c) b) (l_e_st_eq_landau_n_rt_rp_asspd1 a b c) (l_e_st_eq_landau_n_rt_rp_eqpd2 (l_e_st_eq_landau_n_rt_rp_pd b c) (l_e_st_eq_landau_n_rt_rp_pd c b) a (l_e_st_eq_landau_n_rt_rp_compd b c)) (l_e_st_eq_landau_n_rt_rp_asspd2 a c b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a b) c) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a c) b)).

(* constant 3517 *)
definition l_e_st_eq_landau_n_rt_rp_4pd23 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_pd c d)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a b) c) d) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a c) b) d) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)) (l_e_st_eq_landau_n_rt_rp_asspd2 (l_e_st_eq_landau_n_rt_rp_pd a b) c d) (l_e_st_eq_landau_n_rt_rp_eqpd1 (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a b) c) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a c) b) d (l_e_st_eq_landau_n_rt_rp_3pd23 a b c)) (l_e_st_eq_landau_n_rt_rp_asspd1 (l_e_st_eq_landau_n_rt_rp_pd a c) b d) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_pd c d)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d))).

(* constant 3518 *)
definition l_e_st_eq_landau_n_rt_rp_pdmd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md a b) b) (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d b) b)) a (l_e_st_eq_landau_n_rt_rp_asspd1 a (l_e_st_eq_landau_n_rt_rp_m0d b) b) (l_e_st_eq_landau_n_rt_rp_pd02 a (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d b) b) (l_e_st_eq_landau_n_rt_rp_satzd179a b)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md a b) b) a).

(* constant 3519 *)
definition l_e_st_eq_landau_n_rt_rp_mdpd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a b) b) (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_pd b (l_e_st_eq_landau_n_rt_rp_m0d b))) a (l_e_st_eq_landau_n_rt_rp_asspd1 a b (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_pd02 a (l_e_st_eq_landau_n_rt_rp_pd b (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_satzd179 b)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a b) b) a).

(* constant 3520 *)
definition l_e_st_eq_landau_n_rt_rp_satzd185 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_md c d)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_m0d d))) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)) (l_e_st_eq_landau_n_rt_rp_4pd23 a (l_e_st_eq_landau_n_rt_rp_m0d b) c (l_e_st_eq_landau_n_rt_rp_m0d d)) (l_e_st_eq_landau_n_rt_rp_eqpd2 (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_m0d d)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd b d)) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_satzd180a b d)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_md c d)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d))).

(* constant 3521 *)
definition l_e_st_eq_landau_n_rt_rp_satzd186 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_asspd1 a b c : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a b) c) (l_e_st_eq_landau_n_rt_rp_pd a (l_e_st_eq_landau_n_rt_rp_pd b c))).

(* constant 3522 *)
definition l_e_st_eq_landau_n_rt_rp_satzd187a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_pd b (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md a b) b) a (l_e_st_eq_landau_n_rt_rp_compd b (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_pdmd a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd b (l_e_st_eq_landau_n_rt_rp_md a b)) a).

(* constant 3523 *)
definition l_e_st_eq_landau_n_rt_rp_satzd187c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λx:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd b x) a.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd x b) b) x (l_e_st_eq_landau_n_rt_rp_eqmd1 a (l_e_st_eq_landau_n_rt_rp_pd x b) b (l_e_st_eq_landau_n_rt_rp_treq1 a (l_e_st_eq_landau_n_rt_rp_pd x b) (l_e_st_eq_landau_n_rt_rp_pd b x) e (l_e_st_eq_landau_n_rt_rp_compd b x))) (l_e_st_eq_landau_n_rt_rp_mdpd x b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md a b) x).

(* constant 3524 *)
definition l_e_st_eq_landau_n_rt_rp_satzd187d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λx:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd b x) a.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_md a b) x (l_e_st_eq_landau_n_rt_rp_satzd187c a b x e) : l_e_st_eq_landau_n_rt_rp_eq x (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3525 *)
definition l_e_st_eq_landau_n_rt_rp_satzd187e ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λx:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd x b) a.(l_e_st_eq_landau_n_rt_rp_satzd187c a b x (l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_pd b x) (l_e_st_eq_landau_n_rt_rp_pd x b) a (l_e_st_eq_landau_n_rt_rp_compd b x) e) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md a b) x).

(* constant 3526 *)
definition l_e_st_eq_landau_n_rt_rp_satzd187f ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λx:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd x b) a.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_md a b) x (l_e_st_eq_landau_n_rt_rp_satzd187e a b x e) : l_e_st_eq_landau_n_rt_rp_eq x (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3527 *)
definition l_e_st_eq_landau_n_rt_rp_3d188_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_m0d c))) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_md c c)) (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_eqpd2 (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_m0d c)) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_satzd180 b c)) (l_e_st_eq_landau_n_rt_rp_4pd23 a c (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_m0d c)) (l_e_st_eq_landau_n_rt_rp_pd02 (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_md c c) (l_e_st_eq_landau_n_rt_rp_satzd179 c)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3528 *)
definition l_e_st_eq_landau_n_rt_rp_3d188_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_3d188_t1 a b c) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c))).

(* constant 3529 *)
definition l_e_st_eq_landau_n_rt_rp_3d188_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c).(l_e_st_eq_landau_n_rt_rp_eqposd (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_3d188_t1 a b c) (l_e_st_eq_landau_n_rt_rp_satzd182d (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c) m) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3530 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c).(l_e_st_eq_landau_n_rt_rp_satzd182a a b (l_e_st_eq_landau_n_rt_rp_3d188_t3 a b c m) : l_e_st_eq_landau_n_rt_rp_mored a b).

(* constant 3531 *)
definition l_e_st_eq_landau_n_rt_rp_3d188_t4 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c).(l_e_st_eq_landau_n_rt_rp_eqzero (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_3d188_t1 a b c) (l_e_st_eq_landau_n_rt_rp_satzd182e (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c) e) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3532 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c).(l_e_st_eq_landau_n_rt_rp_satzd182b a b (l_e_st_eq_landau_n_rt_rp_3d188_t4 a b c e) : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3533 *)
definition l_e_st_eq_landau_n_rt_rp_3d188_t5 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c).(l_e_st_eq_landau_n_rt_rp_eqnegd (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_3d188_t1 a b c) (l_e_st_eq_landau_n_rt_rp_satzd182f (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c) l) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3534 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c).(l_e_st_eq_landau_n_rt_rp_satzd182c a b (l_e_st_eq_landau_n_rt_rp_3d188_t5 a b c l) : l_e_st_eq_landau_n_rt_rp_lessd a b).

(* constant 3535 *)
definition l_e_st_eq_landau_n_rt_rp_3d188_t6 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.(l_e_st_eq_landau_n_rt_rp_eqposd (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_3d188_t2 a b c) (l_e_st_eq_landau_n_rt_rp_satzd182d a b m) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c))).

(* constant 3536 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.(l_e_st_eq_landau_n_rt_rp_satzd182a (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c) (l_e_st_eq_landau_n_rt_rp_3d188_t6 a b c m) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c)).

(* constant 3537 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188e ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_eqpd1 a b c e : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c)).

(* constant 3538 *)
definition l_e_st_eq_landau_n_rt_rp_3d188_t7 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.(l_e_st_eq_landau_n_rt_rp_eqnegd (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_3d188_t2 a b c) (l_e_st_eq_landau_n_rt_rp_satzd182f a b l) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c))).

(* constant 3539 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188f ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.(l_e_st_eq_landau_n_rt_rp_satzd182c (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c) (l_e_st_eq_landau_n_rt_rp_3d188_t7 a b c l) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c)).

(* constant 3540 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188g ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd c b).(l_e_st_eq_landau_n_rt_rp_satzd188a a b c (l_e_st_eq_landau_n_rt_rp_eqmored12 (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd c b) (l_e_st_eq_landau_n_rt_rp_pd b c) (l_e_st_eq_landau_n_rt_rp_compd c a) (l_e_st_eq_landau_n_rt_rp_compd c b) m) : l_e_st_eq_landau_n_rt_rp_mored a b).

(* constant 3541 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188h ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd c b).(l_e_st_eq_landau_n_rt_rp_satzd188b a b c (l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd c b) (l_e_st_eq_landau_n_rt_rp_pd b c) (l_e_st_eq_landau_n_rt_rp_compd a c) e (l_e_st_eq_landau_n_rt_rp_compd c b)) : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3542 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188j ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd c b).λl:l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd c b).(l_e_st_eq_landau_n_rt_rp_satzd188c a b c (l_e_st_eq_landau_n_rt_rp_eqlessd12 (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd c b) (l_e_st_eq_landau_n_rt_rp_pd b c) (l_e_st_eq_landau_n_rt_rp_compd c a) (l_e_st_eq_landau_n_rt_rp_compd c b) l) : l_e_st_eq_landau_n_rt_rp_lessd a b).

(* constant 3543 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188k ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.(l_e_st_eq_landau_n_rt_rp_eqmored12 (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd b c) (l_e_st_eq_landau_n_rt_rp_pd c b) (l_e_st_eq_landau_n_rt_rp_compd a c) (l_e_st_eq_landau_n_rt_rp_compd b c) (l_e_st_eq_landau_n_rt_rp_satzd188d a b c m) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd c b)).

(* constant 3544 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188l ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_eqpd2 a b c e : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd c b)).

(* constant 3545 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188m ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.(l_e_st_eq_landau_n_rt_rp_eqlessd12 (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd b c) (l_e_st_eq_landau_n_rt_rp_pd c b) (l_e_st_eq_landau_n_rt_rp_compd a c) (l_e_st_eq_landau_n_rt_rp_compd b c) (l_e_st_eq_landau_n_rt_rp_satzd188f a b c l) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd c b)).

(* constant 3546 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188n ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λm:l_e_st_eq_landau_n_rt_rp_mored c d.(l_e_st_eq_landau_n_rt_rp_eqmored2 (l_e_st_eq_landau_n_rt_rp_pd a d) (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_eqpd1 a b d e) (l_e_st_eq_landau_n_rt_rp_satzd188k c d a m) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3547 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188o ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λm:l_e_st_eq_landau_n_rt_rp_mored c d.(l_e_st_eq_landau_n_rt_rp_eqmored12 (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_pd d b) (l_e_st_eq_landau_n_rt_rp_compd a c) (l_e_st_eq_landau_n_rt_rp_compd b d) (l_e_st_eq_landau_n_rt_rp_satzd188n a b c d e m) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd d b)).

(* constant 3548 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188p ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λl:l_e_st_eq_landau_n_rt_rp_lessd c d.(l_e_st_eq_landau_n_rt_rp_eqlessd2 (l_e_st_eq_landau_n_rt_rp_pd a d) (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_eqpd1 a b d e) (l_e_st_eq_landau_n_rt_rp_satzd188m c d a l) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3549 *)
definition l_e_st_eq_landau_n_rt_rp_satzd188q ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λl:l_e_st_eq_landau_n_rt_rp_lessd c d.(l_e_st_eq_landau_n_rt_rp_eqlessd12 (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_pd d b) (l_e_st_eq_landau_n_rt_rp_compd a c) (l_e_st_eq_landau_n_rt_rp_compd b d) (l_e_st_eq_landau_n_rt_rp_satzd188p a b c d e l) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd d b)).

(* constant 3550 *)
definition l_e_st_eq_landau_n_rt_rp_satzd189 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.λn:l_e_st_eq_landau_n_rt_rp_mored c d.(l_e_st_eq_landau_n_rt_rp_trmored (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b c) (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_satzd188d a b c m) (l_e_st_eq_landau_n_rt_rp_satzd188k c d b n) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3551 *)
definition l_e_st_eq_landau_n_rt_rp_satzd189a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λk:l_e_st_eq_landau_n_rt_rp_lessd c d.(l_e_st_eq_landau_n_rt_rp_lemmad5 (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_satzd189 b a d c (l_e_st_eq_landau_n_rt_rp_lemmad6 a b l) (l_e_st_eq_landau_n_rt_rp_lemmad6 c d k)) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3552 *)
definition l_e_st_eq_landau_n_rt_rp_satzd190a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_moreq a b.λn:l_e_st_eq_landau_n_rt_rp_mored c d.(l_orapp (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)) m (λt:l_e_st_eq_landau_n_rt_rp_mored a b.l_e_st_eq_landau_n_rt_rp_satzd189 a b c d t n) (λt:l_e_st_eq_landau_n_rt_rp_eq a b.l_e_st_eq_landau_n_rt_rp_satzd188n a b c d t n) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3553 *)
definition l_e_st_eq_landau_n_rt_rp_satzd190b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.λn:l_e_st_eq_landau_n_rt_rp_moreq c d.(l_e_st_eq_landau_n_rt_rp_eqmored12 (l_e_st_eq_landau_n_rt_rp_pd c a) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd d b) (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_compd c a) (l_e_st_eq_landau_n_rt_rp_compd d b) (l_e_st_eq_landau_n_rt_rp_satzd190a c d a b n m) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3554 *)
definition l_e_st_eq_landau_n_rt_rp_satzd190c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lesseq a b.λk:l_e_st_eq_landau_n_rt_rp_lessd c d.(l_e_st_eq_landau_n_rt_rp_lemmad5 (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_satzd190a b a d c (l_e_st_eq_landau_n_rt_rp_satzd168b a b l) (l_e_st_eq_landau_n_rt_rp_lemmad6 c d k)) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3555 *)
definition l_e_st_eq_landau_n_rt_rp_satzd190d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λk:l_e_st_eq_landau_n_rt_rp_lesseq c d.(l_e_st_eq_landau_n_rt_rp_lemmad5 (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_satzd190b b a d c (l_e_st_eq_landau_n_rt_rp_lemmad6 a b l) (l_e_st_eq_landau_n_rt_rp_satzd168b c d k)) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3556 *)
definition l_e_st_eq_landau_n_rt_rp_3d191_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_moreq a b.λn:l_e_st_eq_landau_n_rt_rp_moreq c d.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq c d.(l_e_st_eq_landau_n_rt_rp_moreqi2 (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_eqpd12 a b c d e f) : l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3557 *)
definition l_e_st_eq_landau_n_rt_rp_3d191_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_moreq a b.λn:l_e_st_eq_landau_n_rt_rp_moreq c d.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λo:l_e_st_eq_landau_n_rt_rp_mored c d.(l_e_st_eq_landau_n_rt_rp_moreqi1 (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_satzd190a a b c d m o) : l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3558 *)
definition l_e_st_eq_landau_n_rt_rp_3d191_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_moreq a b.λn:l_e_st_eq_landau_n_rt_rp_moreq c d.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_orapp (l_e_st_eq_landau_n_rt_rp_mored c d) (l_e_st_eq_landau_n_rt_rp_eq c d) (l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)) n (λt:l_e_st_eq_landau_n_rt_rp_mored c d.l_e_st_eq_landau_n_rt_rp_3d191_t2 a b c d m n e t) (λt:l_e_st_eq_landau_n_rt_rp_eq c d.l_e_st_eq_landau_n_rt_rp_3d191_t1 a b c d m n e t) : l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3559 *)
definition l_e_st_eq_landau_n_rt_rp_3d191_t4 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_moreq a b.λn:l_e_st_eq_landau_n_rt_rp_moreq c d.λo:l_e_st_eq_landau_n_rt_rp_mored a b.(l_e_st_eq_landau_n_rt_rp_moreqi1 (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_satzd190b a b c d o n) : l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3560 *)
definition l_e_st_eq_landau_n_rt_rp_satzd191 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_moreq a b.λn:l_e_st_eq_landau_n_rt_rp_moreq c d.(l_orapp (l_e_st_eq_landau_n_rt_rp_mored a b) (l_e_st_eq_landau_n_rt_rp_eq a b) (l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)) m (λt:l_e_st_eq_landau_n_rt_rp_mored a b.l_e_st_eq_landau_n_rt_rp_3d191_t4 a b c d m n t) (λt:l_e_st_eq_landau_n_rt_rp_eq a b.l_e_st_eq_landau_n_rt_rp_3d191_t3 a b c d m n t) : l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3561 *)
definition l_e_st_eq_landau_n_rt_rp_satzd191a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lesseq a b.λk:l_e_st_eq_landau_n_rt_rp_lesseq c d.(l_e_st_eq_landau_n_rt_rp_satzd168a (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_satzd191 b a d c (l_e_st_eq_landau_n_rt_rp_satzd168b a b l) (l_e_st_eq_landau_n_rt_rp_satzd168b c d k)) : l_e_st_eq_landau_n_rt_rp_lesseq (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d)).

(* constant 3562 *)
definition l_e_st_eq_landau_n_rt_rp_td ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3563 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t1 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ists1 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a1 r (l_e_st_eq_landau_n_rt_rp_stmis a1 a2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) r) (l_e_st_eq_landau_n_rt_rp_ts a1 r)).

(* constant 3564 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t2 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ists2 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a1 r (l_e_st_eq_landau_n_rt_rp_stmis a1 a2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_ts r a1)).

(* constant 3565 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t3 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ists1 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a2 r (l_e_st_eq_landau_n_rt_rp_stdis a1 a2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) r) (l_e_st_eq_landau_n_rt_rp_ts a2 r)).

(* constant 3566 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t4 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ists2 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) a2 r (l_e_st_eq_landau_n_rt_rp_stdis a1 a2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_ts r a2)).

(* constant 3567 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t5 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) r) (l_e_st_eq_landau_n_rt_rp_ts a1 r) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) s) (l_e_st_eq_landau_n_rt_rp_ts a2 s) (l_e_st_eq_landau_n_rt_rp_iv4d_t1 a1 a2 r) (l_e_st_eq_landau_n_rt_rp_iv4d_t3 a1 a2 s) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) r) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 r) (l_e_st_eq_landau_n_rt_rp_ts a2 s))).

(* constant 3568 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t6 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_ts r a1) (l_e_st_eq_landau_n_rt_rp_ts s (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_ts s a2) (l_e_st_eq_landau_n_rt_rp_iv4d_t2 a1 a2 r) (l_e_st_eq_landau_n_rt_rp_iv4d_t4 a1 a2 s) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_ts s (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r a1) (l_e_st_eq_landau_n_rt_rp_ts s a2))).

(* constant 3569 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t7 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) r) (l_e_st_eq_landau_n_rt_rp_ts a2 r) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) s) (l_e_st_eq_landau_n_rt_rp_ts a1 s) (l_e_st_eq_landau_n_rt_rp_iv4d_t3 a1 a2 r) (l_e_st_eq_landau_n_rt_rp_iv4d_t1 a1 a2 s) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) r) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a2 r) (l_e_st_eq_landau_n_rt_rp_ts a1 s))).

(* constant 3570 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t8 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_ts r a2) (l_e_st_eq_landau_n_rt_rp_ts s (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_ts s a1) (l_e_st_eq_landau_n_rt_rp_iv4d_t4 a1 a2 r) (l_e_st_eq_landau_n_rt_rp_iv4d_t2 a1 a2 s) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2))) (l_e_st_eq_landau_n_rt_rp_ts s (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r a2) (l_e_st_eq_landau_n_rt_rp_ts s a1))).

(* constant 3571 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t9 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_ts a2 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b1) (l_e_st_eq_landau_n_rt_rp_ts a2 b2)) (l_e_st_eq_landau_n_rt_rp_iv4d_t5 a1 a2 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_iv4d_t6 b1 b2 a1 a2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b1) (l_e_st_eq_landau_n_rt_rp_ts a2 b2))).

(* constant 3572 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t10 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_ts a2 (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b2) (l_e_st_eq_landau_n_rt_rp_ts a2 b1)) (l_e_st_eq_landau_n_rt_rp_iv4d_t5 a1 a2 (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_iv4d_t8 b1 b2 a1 a2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b2) (l_e_st_eq_landau_n_rt_rp_ts a2 b1))).

(* constant 3573 *)
definition l_e_st_eq_landau_n_rt_rp_td12 ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_issmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df b1 b2))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df a1 a2)) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df b1 b2)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b1) (l_e_st_eq_landau_n_rt_rp_ts a2 b2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b2) (l_e_st_eq_landau_n_rt_rp_ts a2 b1)) (l_e_st_eq_landau_n_rt_rp_iv4d_t9 a1 a2 b1 b2) (l_e_st_eq_landau_n_rt_rp_iv4d_t10 a1 a2 b1 b2) : l_e_is l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b1) (l_e_st_eq_landau_n_rt_rp_ts a2 b2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b2) (l_e_st_eq_landau_n_rt_rp_ts a2 b1)))).

(* constant 3574 *)
definition l_e_st_eq_landau_n_rt_rp_td1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_issmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r1)) (l_e_st_eq_landau_n_rt_rp_iv4d_t6 r1 r2 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_iv4d_t8 r1 r2 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) : l_e_is l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r1)))).

(* constant 3575 *)
definition l_e_st_eq_landau_n_rt_rp_td2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_issmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r1 (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_ts r2 (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ts r2 (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_iv4d_t5 r1 r2 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_iv4d_t5 r1 r2 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) : l_e_is l_e_st_eq_landau_n_rt_rp_dif (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_df r1 r2) a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r1 (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_ts r2 (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ts r2 (l_e_st_eq_landau_n_rt_rp_1a a))))).

(* constant 3576 *)
definition l_e_st_eq_landau_n_rt_rp_tdeq12a ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b1) (l_e_st_eq_landau_n_rt_rp_ts a2 b2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b2) (l_e_st_eq_landau_n_rt_rp_ts a2 b1))) (l_e_st_eq_landau_n_rt_rp_td12 a1 a2 b1 b2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b1) (l_e_st_eq_landau_n_rt_rp_ts a2 b2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b2) (l_e_st_eq_landau_n_rt_rp_ts a2 b1)))).

(* constant 3577 *)
definition l_e_st_eq_landau_n_rt_rp_tdeq12b ≝ λa1:l_e_st_eq_landau_n_rt_cut.λa2:l_e_st_eq_landau_n_rt_cut.λb1:l_e_st_eq_landau_n_rt_cut.λb2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_refeq2 (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b1) (l_e_st_eq_landau_n_rt_rp_ts a2 b2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b2) (l_e_st_eq_landau_n_rt_rp_ts a2 b1))) (l_e_st_eq_landau_n_rt_rp_td12 a1 a2 b1 b2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b1) (l_e_st_eq_landau_n_rt_rp_ts a2 b2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts a1 b2) (l_e_st_eq_landau_n_rt_rp_ts a2 b1))) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_df a1 a2) (l_e_st_eq_landau_n_rt_rp_df b1 b2))).

(* constant 3578 *)
definition l_e_st_eq_landau_n_rt_rp_tdeq1a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r1))) (l_e_st_eq_landau_n_rt_rp_td1 a r1 r2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r1)))).

(* constant 3579 *)
definition l_e_st_eq_landau_n_rt_rp_tdeq1b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_refeq2 (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_df r1 r2)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r1))) (l_e_st_eq_landau_n_rt_rp_td1 a r1 r2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r1) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r2) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r1))) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_df r1 r2))).

(* constant 3580 *)
definition l_e_st_eq_landau_n_rt_rp_tdeq2a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_refeq1 (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_df r1 r2) a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r1 (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_ts r2 (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ts r2 (l_e_st_eq_landau_n_rt_rp_1a a)))) (l_e_st_eq_landau_n_rt_rp_td2 a r1 r2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_df r1 r2) a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r1 (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_ts r2 (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ts r2 (l_e_st_eq_landau_n_rt_rp_1a a))))).

(* constant 3581 *)
definition l_e_st_eq_landau_n_rt_rp_tdeq2b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_refeq2 (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_df r1 r2) a) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r1 (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_ts r2 (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ts r2 (l_e_st_eq_landau_n_rt_rp_1a a)))) (l_e_st_eq_landau_n_rt_rp_td2 a r1 r2) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r1 (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_ts r2 (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r1 (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ts r2 (l_e_st_eq_landau_n_rt_rp_1a a)))) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_df r1 r2) a)).

(* constant 3582 *)
definition l_e_st_eq_landau_n_rt_rp_4d194_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_comts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_comts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3583 *)
definition l_e_st_eq_landau_n_rt_rp_4d194_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_comts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_comts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a)))).

(* constant 3584 *)
definition l_e_st_eq_landau_n_rt_rp_satzd194 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_eqsmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_4d194_t1 a b) (l_e_st_eq_landau_n_rt_rp_4d194_t2 a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td b a)).

(* constant 3585 *)
definition l_e_st_eq_landau_n_rt_rp_comtd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_satzd194 a b : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td b a)).

(* constant 3586 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t11 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λr:l_e_st_eq_landau_n_rt_cut.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) r)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) r) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) r) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) r) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r)) (l_e_st_eq_landau_n_rt_rp_distpt1 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b) r) (l_e_st_eq_landau_n_rt_rp_ists1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a)) r e) (l_e_st_eq_landau_n_rt_rp_disttp1 (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2a a) r) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) r) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) r)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) r) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) r))).

(* constant 3587 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t12 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)))) (l_e_st_eq_landau_n_rt_rp_4pl24 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_iv4d_t11 a b c e (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_iv4d_t11 b a c (l_e_st_eq_landau_n_rt_rp_symeq a b e) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_4pl24 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1c a b c))))).

(* constant 3588 *)
definition l_e_st_eq_landau_n_rt_rp_eqtd1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_eqi12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_iv4d_t12 a b c e) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)).

(* constant 3589 *)
definition l_e_st_eq_landau_n_rt_rp_eqtd2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c) (l_e_st_eq_landau_n_rt_rp_td c b) (l_e_st_eq_landau_n_rt_rp_comtd c a) (l_e_st_eq_landau_n_rt_rp_eqtd1 a b c e) (l_e_st_eq_landau_n_rt_rp_comtd b c) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td c b)).

(* constant 3590 *)
definition l_e_st_eq_landau_n_rt_rp_eqtd12 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq c d.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c) (l_e_st_eq_landau_n_rt_rp_td b d) (l_e_st_eq_landau_n_rt_rp_eqtd1 a b c e) (l_e_st_eq_landau_n_rt_rp_eqtd2 c d b f) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b d)).

(* constant 3591 *)
definition l_e_st_eq_landau_n_rt_rp_4d192_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ists1 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b) z) (l_e_st_eq_landau_n_rt_rp_ists1 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_symis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) z))) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)))).

(* constant 3592 *)
definition l_e_st_eq_landau_n_rt_rp_satzd192a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_zeroi (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_4d192_t1 a b z) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).

(* constant 3593 *)
definition l_e_st_eq_landau_n_rt_rp_satzd192b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero b.(l_e_st_eq_landau_n_rt_rp_eqzero (l_e_st_eq_landau_n_rt_rp_td b a) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_comtd b a) (l_e_st_eq_landau_n_rt_rp_satzd192a b a z) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).

(* constant 3594 *)
definition l_e_st_eq_landau_n_rt_rp_td01 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_satzd192a a b z : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).

(* constant 3595 *)
definition l_e_st_eq_landau_n_rt_rp_td02 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero b.(l_e_st_eq_landau_n_rt_rp_satzd192b a b z : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).

(* constant 3596 *)
definition l_e_st_eq_landau_n_rt_rp_satzd197a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) b) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)))) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)))) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_tdeq2a b (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_eqsmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)))) (l_e_st_eq_landau_n_rt_rp_m0deqb (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3597 *)
definition l_e_st_eq_landau_n_rt_rp_satzd197b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d b) a) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td b a)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_comtd a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_satzd197a b a) (l_e_st_eq_landau_n_rt_rp_eqm0d (l_e_st_eq_landau_n_rt_rp_td b a) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_comtd b a)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3598 *)
definition l_e_st_eq_landau_n_rt_rp_satzd197c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_treq2 (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) b) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_satzd197a a b) (l_e_st_eq_landau_n_rt_rp_satzd197b a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) b) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d b))).

(* constant 3599 *)
definition l_e_st_eq_landau_n_rt_rp_satzd197d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) b) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_satzd197c a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) b)).

(* constant 3600 *)
definition l_e_st_eq_landau_n_rt_rp_satzd197e ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_satzd197a a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) b)).

(* constant 3601 *)
definition l_e_st_eq_landau_n_rt_rp_satzd197f ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_satzd197b a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d b))).

(* constant 3602 *)
definition l_e_st_eq_landau_n_rt_rp_satzd198 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d b))) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_satzd197c a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_eqtd2 (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d b)) b a (l_e_st_eq_landau_n_rt_rp_satzd177 b)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_td a b)).

(* constant 3603 *)
definition l_e_st_eq_landau_n_rt_rp_satzd198a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_satzd198 a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b))).

(* constant 3604 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t13 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.λr:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_distpt2 r (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ists2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_1b a b) r (l_e_st_eq_landau_n_rt_rp_satz140e (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_1b a b))).

(* constant 3605 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t14 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_2b a b)) s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_2b a b))) s) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_1b a b)) s) (l_e_st_eq_landau_n_rt_rp_asspl2 (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_2b a b)) s) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_1b a b)) s (l_e_st_eq_landau_n_rt_rp_iv4d_t13 a b p q r)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_2b a b)) s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_1b a b)) s)).

(* constant 3606 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t15 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_2b a b)) s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_1b a b)) s) (l_e_st_eq_landau_n_rt_rp_pl s (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_iv4d_t14 a b p q r s) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_1b a b)) s) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_2b a b)) s)) (l_e_st_eq_landau_n_rt_rp_pl s (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_1b a b)))).

(* constant 3607 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t16 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_satz135h (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_satz145a (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q) p) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b))))).

(* constant 3608 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t17 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) q)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_iv4d_t14 a b p q (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_iv4d_t15 a b p q (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_iv4d_t16 a b p q) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)))).

(* constant 3609 *)
definition l_e_st_eq_landau_n_rt_rp_ptdpp ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_posdi (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_iv4d_t17 a b p q) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_td a b)).

(* constant 3610 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t18 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_eqposd (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_satzd197b a b) (l_e_st_eq_landau_n_rt_rp_ptdpp a (l_e_st_eq_landau_n_rt_rp_m0d b) p (l_e_st_eq_landau_n_rt_rp_satzd176c b n)) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3611 *)
definition l_e_st_eq_landau_n_rt_rp_ntdpn ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_satzd176f (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_iv4d_t18 a b p n) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_td a b)).

(* constant 3612 *)
definition l_e_st_eq_landau_n_rt_rp_ntdnp ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.λp:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_eqnegd (l_e_st_eq_landau_n_rt_rp_td b a) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_comtd b a) (l_e_st_eq_landau_n_rt_rp_ntdpn b a p n) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_td a b)).

(* constant 3613 *)
definition l_e_st_eq_landau_n_rt_rp_ptdnn ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.λo:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_eqposd (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_satzd198 a b) (l_e_st_eq_landau_n_rt_rp_ptdpp (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_satzd176c a n) (l_e_st_eq_landau_n_rt_rp_satzd176c b o)) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_td a b)).

(* constant 3614 *)
definition l_e_st_eq_landau_n_rt_rp_4d192_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_pnot0d (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_ptdpp a b p q) : l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3615 *)
definition l_e_st_eq_landau_n_rt_rp_4d192_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λm:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_nnot0d (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_ntdpn a b p m) : l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3616 *)
definition l_e_st_eq_landau_n_rt_rp_4d192_t4 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_rappd b (l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))) (λt:l_e_st_eq_landau_n_rt_rp_posd b.l_e_st_eq_landau_n_rt_rp_4d192_t2 a b n o p t) (l_imp_th2 (l_e_st_eq_landau_n_rt_rp_zero b) (l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))) o) (λt:l_e_st_eq_landau_n_rt_rp_negd b.l_e_st_eq_landau_n_rt_rp_4d192_t3 a b n o p t) : l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3617 *)
definition l_e_st_eq_landau_n_rt_rp_4d192_t5 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λm:l_e_st_eq_landau_n_rt_rp_negd a.λp:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_nnot0d (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_ntdnp a b m p) : l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3618 *)
definition l_e_st_eq_landau_n_rt_rp_4d192_t6 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λm:l_e_st_eq_landau_n_rt_rp_negd a.λl:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_pnot0d (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_ptdnn a b m l) : l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3619 *)
definition l_e_st_eq_landau_n_rt_rp_4d192_t7 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λm:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_rappd b (l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))) (λt:l_e_st_eq_landau_n_rt_rp_posd b.l_e_st_eq_landau_n_rt_rp_4d192_t5 a b n o m t) (l_imp_th2 (l_e_st_eq_landau_n_rt_rp_zero b) (l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))) o) (λt:l_e_st_eq_landau_n_rt_rp_negd b.l_e_st_eq_landau_n_rt_rp_4d192_t6 a b n o m t) : l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3620 *)
definition l_e_st_eq_landau_n_rt_rp_satzd192d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).(l_e_st_eq_landau_n_rt_rp_rappd a (l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))) (λt:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_4d192_t4 a b n o t) (l_imp_th2 (l_e_st_eq_landau_n_rt_rp_zero a) (l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))) n) (λt:l_e_st_eq_landau_n_rt_rp_negd a.l_e_st_eq_landau_n_rt_rp_4d192_t7 a b n o t) : l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3621 *)
definition l_e_st_eq_landau_n_rt_rp_4d192_t8 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b).λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).(l_et (l_e_st_eq_landau_n_rt_rp_zero b) (l_imp_th3 (l_not (l_e_st_eq_landau_n_rt_rp_zero b)) (l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b))) (l_weli (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)) z) (λt:l_not (l_e_st_eq_landau_n_rt_rp_zero b).l_e_st_eq_landau_n_rt_rp_satzd192d a b n t)) : l_e_st_eq_landau_n_rt_rp_zero b).

(* constant 3622 *)
definition l_e_st_eq_landau_n_rt_rp_satzd192c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b).(λt:l_not (l_e_st_eq_landau_n_rt_rp_zero a).l_e_st_eq_landau_n_rt_rp_4d192_t8 a b z t : l_or (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_zero b)).

(* constant 3623 *)
definition l_e_st_eq_landau_n_rt_rp_4d193_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_treq2 (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_absnnd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_pnotnd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_ptdpp a b p q))) (l_e_st_eq_landau_n_rt_rp_eqtd12 (l_e_st_eq_landau_n_rt_rp_absd a) a (l_e_st_eq_landau_n_rt_rp_absd b) b (l_e_st_eq_landau_n_rt_rp_absnnd a (l_e_st_eq_landau_n_rt_rp_pnotnd a p)) (l_e_st_eq_landau_n_rt_rp_absnnd b (l_e_st_eq_landau_n_rt_rp_pnotnd b q))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).

(* constant 3624 *)
definition l_e_st_eq_landau_n_rt_rp_4d193_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_absnd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_ntdpn a b p n)) (l_e_st_eq_landau_n_rt_rp_satzd197f a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d b))).

(* constant 3625 *)
definition l_e_st_eq_landau_n_rt_rp_4d193_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_treq2 (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_4d193_t2 a b p n) (l_e_st_eq_landau_n_rt_rp_eqtd12 (l_e_st_eq_landau_n_rt_rp_absd a) a (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_absnnd a (l_e_st_eq_landau_n_rt_rp_pnotnd a p)) (l_e_st_eq_landau_n_rt_rp_absnd b n)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).

(* constant 3626 *)
definition l_e_st_eq_landau_n_rt_rp_4d193_t4 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_zeroeq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_satzd166f (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td01 a b z)) (l_e_st_eq_landau_n_rt_rp_td01 (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_satzd166f a z)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).

(* constant 3627 *)
definition l_e_st_eq_landau_n_rt_rp_4d193_t5 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_zero b.(l_e_st_eq_landau_n_rt_rp_zeroeq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_satzd166f (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td02 a b z)) (l_e_st_eq_landau_n_rt_rp_td02 (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_satzd166f b z)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).

(* constant 3628 *)
definition l_e_st_eq_landau_n_rt_rp_4d193_t6 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.λp:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td b a)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_absd a)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_eqabsd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td b a) (l_e_st_eq_landau_n_rt_rp_comtd a b)) (l_e_st_eq_landau_n_rt_rp_4d193_t3 b a p n) (l_e_st_eq_landau_n_rt_rp_comtd (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_absd a)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).

(* constant 3629 *)
definition l_e_st_eq_landau_n_rt_rp_4d193_t7 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.λo:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_eqtd12 (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_absnd a n) (l_e_st_eq_landau_n_rt_rp_absnd b o)) (l_e_st_eq_landau_n_rt_rp_satzd198 a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_td a b)).

(* constant 3630 *)
definition l_e_st_eq_landau_n_rt_rp_4d193_t8 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.λo:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_treq2 (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_absnnd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_pnotnd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_ptdnn a b n o))) (l_e_st_eq_landau_n_rt_rp_4d193_t7 a b n o) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).

(* constant 3631 *)
definition l_e_st_eq_landau_n_rt_rp_4d193_t9 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_rappd b (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))) (λt:l_e_st_eq_landau_n_rt_rp_posd b.l_e_st_eq_landau_n_rt_rp_4d193_t1 a b p t) (λt:l_e_st_eq_landau_n_rt_rp_zero b.l_e_st_eq_landau_n_rt_rp_4d193_t5 a b t) (λt:l_e_st_eq_landau_n_rt_rp_negd b.l_e_st_eq_landau_n_rt_rp_4d193_t3 a b p t) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).

(* constant 3632 *)
definition l_e_st_eq_landau_n_rt_rp_4d193_t10 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_rappd b (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))) (λt:l_e_st_eq_landau_n_rt_rp_posd b.l_e_st_eq_landau_n_rt_rp_4d193_t6 a b n t) (λt:l_e_st_eq_landau_n_rt_rp_zero b.l_e_st_eq_landau_n_rt_rp_4d193_t5 a b t) (λt:l_e_st_eq_landau_n_rt_rp_negd b.l_e_st_eq_landau_n_rt_rp_4d193_t8 a b n t) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).

(* constant 3633 *)
definition l_e_st_eq_landau_n_rt_rp_satzd193 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_rappd a (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))) (λt:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_4d193_t9 a b t) (λt:l_e_st_eq_landau_n_rt_rp_zero a.l_e_st_eq_landau_n_rt_rp_4d193_t4 a b t) (λt:l_e_st_eq_landau_n_rt_rp_negd a.l_e_st_eq_landau_n_rt_rp_4d193_t10 a b t) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).

(* constant 3634 *)
definition l_e_st_eq_landau_n_rt_rp_satzd103a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_satzd193 a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3635 *)
definition l_e_st_eq_landau_n_rt_rp_1df ≝ (l_e_st_eq_landau_n_rt_rp_pdofrp l_e_st_eq_landau_n_rt_rp_1rp : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3636 *)
definition l_e_st_eq_landau_n_rt_rp_4d195_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_a2isapa (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_satz151 (l_e_st_eq_landau_n_rt_rp_2a a)))) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3637 *)
definition l_e_st_eq_landau_n_rt_rp_4d195_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_asspl2 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp))) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_satz151 (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_a2isapa (l_e_st_eq_landau_n_rt_rp_2a a))) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2a a)))).

(* constant 3638 *)
definition l_e_st_eq_landau_n_rt_rp_4d195_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_tris2 l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_4d195_t1 a) (l_e_st_eq_landau_n_rt_rp_4d195_t2 a) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp))))).

(* constant 3639 *)
definition l_e_st_eq_landau_n_rt_rp_satzd195 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_td a l_e_st_eq_landau_n_rt_rp_1df) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)))) a (l_e_st_eq_landau_n_rt_rp_tdeq1a a (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_eqi2 a (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp))) (l_e_st_eq_landau_n_rt_rp_4d195_t3 a)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a l_e_st_eq_landau_n_rt_rp_1df) a).

(* constant 3640 *)
definition l_e_st_eq_landau_n_rt_rp_satzd195a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td a l_e_st_eq_landau_n_rt_rp_1df) a (l_e_st_eq_landau_n_rt_rp_satzd195 a) : l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_td a l_e_st_eq_landau_n_rt_rp_1df)).

(* constant 3641 *)
definition l_e_st_eq_landau_n_rt_rp_satzd195b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_td l_e_st_eq_landau_n_rt_rp_1df a) (l_e_st_eq_landau_n_rt_rp_td a l_e_st_eq_landau_n_rt_rp_1df) a (l_e_st_eq_landau_n_rt_rp_comtd l_e_st_eq_landau_n_rt_rp_1df a) (l_e_st_eq_landau_n_rt_rp_satzd195 a) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td l_e_st_eq_landau_n_rt_rp_1df a) a).

(* constant 3642 *)
definition l_e_st_eq_landau_n_rt_rp_satzd195c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td l_e_st_eq_landau_n_rt_rp_1df a) a (l_e_st_eq_landau_n_rt_rp_satzd195b a) : l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_td l_e_st_eq_landau_n_rt_rp_1df a)).

(* constant 3643 *)
definition l_e_st_eq_landau_n_rt_rp_satzd196a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_eqtd12 (l_e_st_eq_landau_n_rt_rp_absd a) a (l_e_st_eq_landau_n_rt_rp_absd b) b (l_e_st_eq_landau_n_rt_rp_absnnd a (l_e_st_eq_landau_n_rt_rp_pnotnd a p)) (l_e_st_eq_landau_n_rt_rp_absnnd b (l_e_st_eq_landau_n_rt_rp_pnotnd b q))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).

(* constant 3644 *)
definition l_e_st_eq_landau_n_rt_rp_satzd196b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.λo:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_treq2 (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_satzd198a a b) (l_e_st_eq_landau_n_rt_rp_eqtd12 (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_absnd a n) (l_e_st_eq_landau_n_rt_rp_absnd b o)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).

(* constant 3645 *)
definition l_e_st_eq_landau_n_rt_rp_satzd196c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_treq1 (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_absd b))) (l_e_st_eq_landau_n_rt_rp_eqtd12 (l_e_st_eq_landau_n_rt_rp_absd a) a (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_absd b)) b (l_e_st_eq_landau_n_rt_rp_absnnd a (l_e_st_eq_landau_n_rt_rp_pnotnd a p)) (l_e_st_eq_landau_n_rt_rp_satzd177b (l_e_st_eq_landau_n_rt_rp_absd b) b (l_e_st_eq_landau_n_rt_rp_absnd b n))) (l_e_st_eq_landau_n_rt_rp_satzd197b (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)))).

(* constant 3646 *)
definition l_e_st_eq_landau_n_rt_rp_satzd196d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.λp:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td b a) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_absd a))) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))) (l_e_st_eq_landau_n_rt_rp_comtd a b) (l_e_st_eq_landau_n_rt_rp_satzd196c b a p n) (l_e_st_eq_landau_n_rt_rp_eqm0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_absd a)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_comtd (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_absd a))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)))).

(* constant 3647 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_p1p2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_and (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_posd b) : Prop).

(* constant 3648 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_p1n2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_and (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd b) : Prop).

(* constant 3649 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_n1p2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_and (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_posd b) : Prop).

(* constant 3650 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_n1n2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_and (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_negd b) : Prop).

(* constant 3651 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).(l_e_st_eq_landau_n_rt_rp_ptdpp (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_satzd166e a n) (l_e_st_eq_landau_n_rt_rp_satzd166e b o) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).

(* constant 3652 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).(l_e_st_eq_landau_n_rt_rp_pnotnd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_eqposd (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) e) (l_e_st_eq_landau_n_rt_rp_4d196_t1 a b n o)) : l_not (l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3653 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_negd b) (l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_4d196_t2 a b n o e) (λt:l_e_st_eq_landau_n_rt_rp_negd b.l_e_st_eq_landau_n_rt_rp_ntdpn a b p t) : l_not (l_e_st_eq_landau_n_rt_rp_negd b)).

(* constant 3654 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t4 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_or3e2 (l_e_st_eq_landau_n_rt_rp_zero b) (l_e_st_eq_landau_n_rt_rp_posd b) (l_e_st_eq_landau_n_rt_rp_negd b) (l_e_st_eq_landau_n_rt_rp_axrdo b) (l_e_st_eq_landau_n_rt_rp_4d196_t3 a b n o e p) o : l_e_st_eq_landau_n_rt_rp_posd b).

(* constant 3655 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t5 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_andi (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_posd b) p (l_e_st_eq_landau_n_rt_rp_4d196_t4 a b n o e p) : l_e_st_eq_landau_n_rt_rp_4d196_p1p2 a b).

(* constant 3656 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t6 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_ori1 (l_e_st_eq_landau_n_rt_rp_4d196_p1p2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_n1n2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_t5 a b n o e p) : l_or (l_e_st_eq_landau_n_rt_rp_4d196_p1p2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_n1n2 a b)).

(* constant 3657 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t7 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).λm:l_e_st_eq_landau_n_rt_rp_negd a.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_posd b) (l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_4d196_t2 a b n o e) (λt:l_e_st_eq_landau_n_rt_rp_posd b.l_e_st_eq_landau_n_rt_rp_ntdnp a b m t) : l_not (l_e_st_eq_landau_n_rt_rp_posd b)).

(* constant 3658 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t8 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).λm:l_e_st_eq_landau_n_rt_rp_negd a.(l_or3e3 (l_e_st_eq_landau_n_rt_rp_zero b) (l_e_st_eq_landau_n_rt_rp_posd b) (l_e_st_eq_landau_n_rt_rp_negd b) (l_e_st_eq_landau_n_rt_rp_axrdo b) o (l_e_st_eq_landau_n_rt_rp_4d196_t7 a b n o e m) : l_e_st_eq_landau_n_rt_rp_negd b).

(* constant 3659 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t9 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).λm:l_e_st_eq_landau_n_rt_rp_negd a.(l_andi (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_negd b) m (l_e_st_eq_landau_n_rt_rp_4d196_t8 a b n o e m) : l_e_st_eq_landau_n_rt_rp_4d196_n1n2 a b).

(* constant 3660 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t10 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).λm:l_e_st_eq_landau_n_rt_rp_negd a.(l_ori2 (l_e_st_eq_landau_n_rt_rp_4d196_p1p2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_n1n2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_t9 a b n o e m) : l_or (l_e_st_eq_landau_n_rt_rp_4d196_p1p2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_n1n2 a b)).

(* constant 3661 *)
definition l_e_st_eq_landau_n_rt_rp_satzd196e ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)).(l_e_st_eq_landau_n_rt_rp_rappd a (l_or (l_e_st_eq_landau_n_rt_rp_4d196_p1p2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_n1n2 a b)) (λt:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_4d196_t6 a b n o e t) (l_imp_th2 (l_e_st_eq_landau_n_rt_rp_zero a) (l_or (l_e_st_eq_landau_n_rt_rp_4d196_p1p2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_n1n2 a b)) n) (λt:l_e_st_eq_landau_n_rt_rp_negd a.l_e_st_eq_landau_n_rt_rp_4d196_t10 a b n o e t) : l_or (l_and (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_posd b)) (l_and (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_negd b))).

(* constant 3662 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t11 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).(l_e_st_eq_landau_n_rt_rp_satzd176a (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_4d196_t1 a b n o) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)))).

(* constant 3663 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t12 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).(l_e_st_eq_landau_n_rt_rp_nnotpd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_eqnegd (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))) e) (l_e_st_eq_landau_n_rt_rp_4d196_t11 a b n o)) : l_not (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3664 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t13 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_posd b) (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_4d196_t12 a b n o e) (λt:l_e_st_eq_landau_n_rt_rp_posd b.l_e_st_eq_landau_n_rt_rp_ptdpp a b p t) : l_not (l_e_st_eq_landau_n_rt_rp_posd b)).

(* constant 3665 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t14 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_or3e3 (l_e_st_eq_landau_n_rt_rp_zero b) (l_e_st_eq_landau_n_rt_rp_posd b) (l_e_st_eq_landau_n_rt_rp_negd b) (l_e_st_eq_landau_n_rt_rp_axrdo b) o (l_e_st_eq_landau_n_rt_rp_4d196_t13 a b n o e p) : l_e_st_eq_landau_n_rt_rp_negd b).

(* constant 3666 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t15 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_andi (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd b) p (l_e_st_eq_landau_n_rt_rp_4d196_t14 a b n o e p) : l_e_st_eq_landau_n_rt_rp_4d196_p1n2 a b).

(* constant 3667 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t16 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_ori1 (l_e_st_eq_landau_n_rt_rp_4d196_p1n2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_n1p2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_t15 a b n o e p) : l_or (l_e_st_eq_landau_n_rt_rp_4d196_p1n2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_n1p2 a b)).

(* constant 3668 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t17 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).λm:l_e_st_eq_landau_n_rt_rp_negd a.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_negd b) (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_4d196_t12 a b n o e) (λt:l_e_st_eq_landau_n_rt_rp_negd b.l_e_st_eq_landau_n_rt_rp_ptdnn a b m t) : l_not (l_e_st_eq_landau_n_rt_rp_negd b)).

(* constant 3669 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t18 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).λm:l_e_st_eq_landau_n_rt_rp_negd a.(l_or3e2 (l_e_st_eq_landau_n_rt_rp_zero b) (l_e_st_eq_landau_n_rt_rp_posd b) (l_e_st_eq_landau_n_rt_rp_negd b) (l_e_st_eq_landau_n_rt_rp_axrdo b) (l_e_st_eq_landau_n_rt_rp_4d196_t17 a b n o e m) o : l_e_st_eq_landau_n_rt_rp_posd b).

(* constant 3670 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t19 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).λm:l_e_st_eq_landau_n_rt_rp_negd a.(l_andi (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_posd b) m (l_e_st_eq_landau_n_rt_rp_4d196_t18 a b n o e m) : l_e_st_eq_landau_n_rt_rp_4d196_n1p2 a b).

(* constant 3671 *)
definition l_e_st_eq_landau_n_rt_rp_4d196_t20 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).λm:l_e_st_eq_landau_n_rt_rp_negd a.(l_ori2 (l_e_st_eq_landau_n_rt_rp_4d196_p1n2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_n1p2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_t19 a b n o e m) : l_or (l_e_st_eq_landau_n_rt_rp_4d196_p1n2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_n1p2 a b)).

(* constant 3672 *)
definition l_e_st_eq_landau_n_rt_rp_satzd196f ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b))).(l_e_st_eq_landau_n_rt_rp_rappd a (l_or (l_e_st_eq_landau_n_rt_rp_4d196_p1n2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_n1p2 a b)) (λt:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_4d196_t16 a b n o e t) (l_imp_th2 (l_e_st_eq_landau_n_rt_rp_zero a) (l_or (l_e_st_eq_landau_n_rt_rp_4d196_p1n2 a b) (l_e_st_eq_landau_n_rt_rp_4d196_n1p2 a b)) n) (λt:l_e_st_eq_landau_n_rt_rp_negd a.l_e_st_eq_landau_n_rt_rp_4d196_t20 a b n o e t) : l_or (l_and (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd b)) (l_and (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_posd b))).

(* constant 3673 *)
definition l_e_st_eq_landau_n_rt_rp_4d199_t1 ≝ λp:l_e_st_eq_landau_n_rt_cut.λq:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_cut.λu:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p r) (l_e_st_eq_landau_n_rt_rp_ts q s)) t) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts p r) t) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts q s) t)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts r t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts s t))) (l_e_st_eq_landau_n_rt_rp_disttp1 (l_e_st_eq_landau_n_rt_rp_ts p r) (l_e_st_eq_landau_n_rt_rp_ts q s) t) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts p r) t) (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts r t)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ts q s) t) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts s t)) (l_e_st_eq_landau_n_rt_rp_assts1 p r t) (l_e_st_eq_landau_n_rt_rp_assts1 q s t)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p r) (l_e_st_eq_landau_n_rt_rp_ts q s)) t) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts r t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts s t)))).

(* constant 3674 *)
definition l_e_st_eq_landau_n_rt_rp_4d199_t2 ≝ λp:l_e_st_eq_landau_n_rt_cut.λq:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_cut.λu:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts s t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts r u))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts r u)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts s t))) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r u) (l_e_st_eq_landau_n_rt_rp_ts s t))) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts s t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts r u))) (l_e_st_eq_landau_n_rt_rp_distpt2 q (l_e_st_eq_landau_n_rt_rp_ts r u) (l_e_st_eq_landau_n_rt_rp_ts s t)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts s t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts r u))) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r u) (l_e_st_eq_landau_n_rt_rp_ts s t)))).

(* constant 3675 *)
definition l_e_st_eq_landau_n_rt_rp_4d199_t3 ≝ λp:l_e_st_eq_landau_n_rt_cut.λq:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_cut.λu:l_e_st_eq_landau_n_rt_cut.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p r) (l_e_st_eq_landau_n_rt_rp_ts q s)) t) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p s) (l_e_st_eq_landau_n_rt_rp_ts q r)) u)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts r t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts s t))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts s u)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts r u)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts r t)) (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts s u))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts s t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts r u)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r t) (l_e_st_eq_landau_n_rt_rp_ts s u))) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r u) (l_e_st_eq_landau_n_rt_rp_ts s t)))) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p r) (l_e_st_eq_landau_n_rt_rp_ts q s)) t) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts r t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts s t))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p s) (l_e_st_eq_landau_n_rt_rp_ts q r)) u) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts s u)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts r u))) (l_e_st_eq_landau_n_rt_rp_4d199_t1 p q r s t u) (l_e_st_eq_landau_n_rt_rp_4d199_t1 p q s r u t)) (l_e_st_eq_landau_n_rt_rp_4pl23 (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts r t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts s t)) (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts s u)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts r u))) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts r t)) (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_ts s u))) (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r t) (l_e_st_eq_landau_n_rt_rp_ts s u))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts s t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_ts r u))) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r u) (l_e_st_eq_landau_n_rt_rp_ts s t))) (l_e_st_eq_landau_n_rt_rp_distpt2 p (l_e_st_eq_landau_n_rt_rp_ts r t) (l_e_st_eq_landau_n_rt_rp_ts s u)) (l_e_st_eq_landau_n_rt_rp_4d199_t2 p q r s t u)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p r) (l_e_st_eq_landau_n_rt_rp_ts q s)) t) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p s) (l_e_st_eq_landau_n_rt_rp_ts q r)) u)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r t) (l_e_st_eq_landau_n_rt_rp_ts s u))) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r u) (l_e_st_eq_landau_n_rt_rp_ts s t))))).

(* constant 3676 *)
definition l_e_st_eq_landau_n_rt_rp_satzd199 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_td a b) c) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_1c a b c)))) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c))))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)))))) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_td b c)) (l_e_st_eq_landau_n_rt_rp_tdeq2a c (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b)))) (l_e_st_eq_landau_n_rt_rp_eqsmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c))))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))))) (l_e_st_eq_landau_n_rt_rp_4d199_t3 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_4d199_t3 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_tdeq1b a (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_td a b) c) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_td b c))).

(* constant 3677 *)
definition l_e_st_eq_landau_n_rt_rp_asstd1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_satzd199 a b c : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_td a b) c) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_td b c))).

(* constant 3678 *)
definition l_e_st_eq_landau_n_rt_rp_asstd2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_td a b) c) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_td b c)) (l_e_st_eq_landau_n_rt_rp_satzd199 a b c) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_td b c)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_td a b) c)).

(* constant 3679 *)
definition l_e_st_eq_landau_n_rt_rp_4d201_t1 ≝ λp:l_e_st_eq_landau_n_rt_cut.λq:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_cut.λu:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_pl r t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl s u))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p r) (l_e_st_eq_landau_n_rt_rp_ts p t)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q s) (l_e_st_eq_landau_n_rt_rp_ts q u))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p r) (l_e_st_eq_landau_n_rt_rp_ts q s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p t) (l_e_st_eq_landau_n_rt_rp_ts q u))) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_pl r t)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p r) (l_e_st_eq_landau_n_rt_rp_ts p t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl s u)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q s) (l_e_st_eq_landau_n_rt_rp_ts q u)) (l_e_st_eq_landau_n_rt_rp_disttp2 p r t) (l_e_st_eq_landau_n_rt_rp_disttp2 q s u)) (l_e_st_eq_landau_n_rt_rp_4pl23 (l_e_st_eq_landau_n_rt_rp_ts p r) (l_e_st_eq_landau_n_rt_rp_ts p t) (l_e_st_eq_landau_n_rt_rp_ts q s) (l_e_st_eq_landau_n_rt_rp_ts q u)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p (l_e_st_eq_landau_n_rt_rp_pl r t)) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl s u))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p r) (l_e_st_eq_landau_n_rt_rp_ts q s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts p t) (l_e_st_eq_landau_n_rt_rp_ts q u)))).

(* constant 3680 *)
definition l_e_st_eq_landau_n_rt_rp_satzd201 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c))))) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1c a b c))))) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td a c)) (l_e_st_eq_landau_n_rt_rp_tdeq1a a (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_eqsmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)))) (l_e_st_eq_landau_n_rt_rp_4d201_t1 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1c a b c) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_4d201_t1 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b) (l_e_st_eq_landau_n_rt_rp_1b a b) (l_e_st_eq_landau_n_rt_rp_2c a b c) (l_e_st_eq_landau_n_rt_rp_1c a b c))) (l_e_st_eq_landau_n_rt_rp_pdeq12b (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2b a b)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1b a b))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_2c a b c))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2c a b c)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1c a b c)))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td a c))).

(* constant 3681 *)
definition l_e_st_eq_landau_n_rt_rp_disttpd1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pd a b) c) (l_e_st_eq_landau_n_rt_rp_td c (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td c b)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)) (l_e_st_eq_landau_n_rt_rp_comtd (l_e_st_eq_landau_n_rt_rp_pd a b) c) (l_e_st_eq_landau_n_rt_rp_satzd201 c a b) (l_e_st_eq_landau_n_rt_rp_eqpd12 (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td c b) (l_e_st_eq_landau_n_rt_rp_td b c) (l_e_st_eq_landau_n_rt_rp_comtd c a) (l_e_st_eq_landau_n_rt_rp_comtd c b)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pd a b) c) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c))).

(* constant 3682 *)
definition l_e_st_eq_landau_n_rt_rp_disttpd2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_satzd201 a b c : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td a c))).

(* constant 3683 *)
definition l_e_st_eq_landau_n_rt_rp_distptd1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pd a b) c) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)) (l_e_st_eq_landau_n_rt_rp_disttpd1 a b c) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pd a b) c)).

(* constant 3684 *)
definition l_e_st_eq_landau_n_rt_rp_distptd2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_pd b c)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td a c)) (l_e_st_eq_landau_n_rt_rp_disttpd2 a b c) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td a c)) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_pd b c))).

(* constant 3685 *)
definition l_e_st_eq_landau_n_rt_rp_satzd202 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_md b c)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d c))) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td a c)) (l_e_st_eq_landau_n_rt_rp_disttpd2 a b (l_e_st_eq_landau_n_rt_rp_m0d c)) (l_e_st_eq_landau_n_rt_rp_eqpd2 (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d c)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a c)) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_satzd197b a c)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_md b c)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td a c))).

(* constant 3686 *)
definition l_e_st_eq_landau_n_rt_rp_disttmd1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_md a b) c) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d b) c)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)) (l_e_st_eq_landau_n_rt_rp_disttpd1 a (l_e_st_eq_landau_n_rt_rp_m0d b) c) (l_e_st_eq_landau_n_rt_rp_eqpd2 (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d b) c) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td b c)) (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_satzd197a b c)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_md a b) c) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c))).

(* constant 3687 *)
definition l_e_st_eq_landau_n_rt_rp_disttmd2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_satzd202 a b c : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_md b c)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td a c))).

(* constant 3688 *)
definition l_e_st_eq_landau_n_rt_rp_distmtd1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_md a b) c) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)) (l_e_st_eq_landau_n_rt_rp_disttmd1 a b c) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_md a b) c)).

(* constant 3689 *)
definition l_e_st_eq_landau_n_rt_rp_distmtd2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_md b c)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td a c)) (l_e_st_eq_landau_n_rt_rp_disttmd2 a b c) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td a c)) (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_md b c))).

(* constant 3690 *)
definition l_e_st_eq_landau_n_rt_rp_satzd200 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_landau_n_rt_rp_satzd202 a b c : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_md b c)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_td a c))).

(* constant 3691 *)
definition l_e_st_eq_landau_n_rt_rp_4d203_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.(l_e_st_eq_landau_n_rt_rp_satzd182d a b m : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3692 *)
definition l_e_st_eq_landau_n_rt_rp_4d203_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.λp:l_e_st_eq_landau_n_rt_rp_posd c.(l_e_st_eq_landau_n_rt_rp_eqposd (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_md a b) c) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)) (l_e_st_eq_landau_n_rt_rp_disttmd1 a b c) (l_e_st_eq_landau_n_rt_rp_ptdpp (l_e_st_eq_landau_n_rt_rp_md a b) c (l_e_st_eq_landau_n_rt_rp_4d203_t1 a b c m) p) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c))).

(* constant 3693 *)
definition l_e_st_eq_landau_n_rt_rp_satzd203a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.λp:l_e_st_eq_landau_n_rt_rp_posd c.(l_e_st_eq_landau_n_rt_rp_satzd182a (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c) (l_e_st_eq_landau_n_rt_rp_4d203_t2 a b c m p) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)).

(* constant 3694 *)
definition l_e_st_eq_landau_n_rt_rp_satzd203b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.λz:l_e_st_eq_landau_n_rt_rp_zero c.(l_e_st_eq_landau_n_rt_rp_zeroeq (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c) (l_e_st_eq_landau_n_rt_rp_td02 a c z) (l_e_st_eq_landau_n_rt_rp_td02 b c z) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)).

(* constant 3695 *)
definition l_e_st_eq_landau_n_rt_rp_4d203_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.λn:l_e_st_eq_landau_n_rt_rp_negd c.(l_e_st_eq_landau_n_rt_rp_eqnegd (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_md a b) c) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)) (l_e_st_eq_landau_n_rt_rp_disttmd1 a b c) (l_e_st_eq_landau_n_rt_rp_ntdpn (l_e_st_eq_landau_n_rt_rp_md a b) c (l_e_st_eq_landau_n_rt_rp_4d203_t1 a b c m) n) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c))).

(* constant 3696 *)
definition l_e_st_eq_landau_n_rt_rp_satzd203c ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.λn:l_e_st_eq_landau_n_rt_rp_negd c.(l_e_st_eq_landau_n_rt_rp_satzd182c (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c) (l_e_st_eq_landau_n_rt_rp_4d203_t3 a b c m n) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)).

(* constant 3697 *)
definition l_e_st_eq_landau_n_rt_rp_satzd203d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.λp:l_e_st_eq_landau_n_rt_rp_posd c.(l_e_st_eq_landau_n_rt_rp_eqmored12 (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td b c) (l_e_st_eq_landau_n_rt_rp_td c b) (l_e_st_eq_landau_n_rt_rp_comtd a c) (l_e_st_eq_landau_n_rt_rp_comtd b c) (l_e_st_eq_landau_n_rt_rp_satzd203a a b c m p) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td c b)).

(* constant 3698 *)
definition l_e_st_eq_landau_n_rt_rp_satzd203e ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.λz:l_e_st_eq_landau_n_rt_rp_zero c.(l_e_st_eq_landau_n_rt_rp_zeroeq (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td c b) (l_e_st_eq_landau_n_rt_rp_td01 c a z) (l_e_st_eq_landau_n_rt_rp_td01 c b z) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td c b)).

(* constant 3699 *)
definition l_e_st_eq_landau_n_rt_rp_satzd203f ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λm:l_e_st_eq_landau_n_rt_rp_mored a b.λn:l_e_st_eq_landau_n_rt_rp_negd c.(l_e_st_eq_landau_n_rt_rp_eqlessd12 (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td b c) (l_e_st_eq_landau_n_rt_rp_td c b) (l_e_st_eq_landau_n_rt_rp_comtd a c) (l_e_st_eq_landau_n_rt_rp_comtd b c) (l_e_st_eq_landau_n_rt_rp_satzd203c a b c m n) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td c b)).

(* constant 3700 *)
definition l_e_st_eq_landau_n_rt_rp_satzd203g ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λp:l_e_st_eq_landau_n_rt_rp_posd c.(l_e_st_eq_landau_n_rt_rp_lemmad5 (l_e_st_eq_landau_n_rt_rp_td b c) (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_satzd203a b a c (l_e_st_eq_landau_n_rt_rp_lemmad6 a b l) p) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)).

(* constant 3701 *)
definition l_e_st_eq_landau_n_rt_rp_satzd203h ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λz:l_e_st_eq_landau_n_rt_rp_zero c.(l_e_st_eq_landau_n_rt_rp_zeroeq (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c) (l_e_st_eq_landau_n_rt_rp_td02 a c z) (l_e_st_eq_landau_n_rt_rp_td02 b c z) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)).

(* constant 3702 *)
definition l_e_st_eq_landau_n_rt_rp_satzd203j ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λn:l_e_st_eq_landau_n_rt_rp_negd c.(l_e_st_eq_landau_n_rt_rp_lemmad6 (l_e_st_eq_landau_n_rt_rp_td b c) (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_satzd203c b a c (l_e_st_eq_landau_n_rt_rp_lemmad6 a b l) n) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b c)).

(* constant 3703 *)
definition l_e_st_eq_landau_n_rt_rp_satzd203k ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λp:l_e_st_eq_landau_n_rt_rp_posd c.(l_e_st_eq_landau_n_rt_rp_lemmad5 (l_e_st_eq_landau_n_rt_rp_td c b) (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_satzd203d b a c (l_e_st_eq_landau_n_rt_rp_lemmad6 a b l) p) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td c b)).

(* constant 3704 *)
definition l_e_st_eq_landau_n_rt_rp_satzd203l ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λz:l_e_st_eq_landau_n_rt_rp_zero c.(l_e_st_eq_landau_n_rt_rp_zeroeq (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td c b) (l_e_st_eq_landau_n_rt_rp_td01 c a z) (l_e_st_eq_landau_n_rt_rp_td01 c b z) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td c b)).

(* constant 3705 *)
definition l_e_st_eq_landau_n_rt_rp_satzd203m ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λl:l_e_st_eq_landau_n_rt_rp_lessd a b.λn:l_e_st_eq_landau_n_rt_rp_negd c.(l_e_st_eq_landau_n_rt_rp_lemmad6 (l_e_st_eq_landau_n_rt_rp_td c b) (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_satzd203f b a c (l_e_st_eq_landau_n_rt_rp_lemmad6 a b l) n) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_td c a) (l_e_st_eq_landau_n_rt_rp_td c b)).

(* constant 3706 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t19 ≝ λp:l_e_st_eq_landau_n_rt_cut.λq:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl p l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q p) (l_e_st_eq_landau_n_rt_rp_ts q l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q p) q) (l_e_st_eq_landau_n_rt_rp_disttp2 q p l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_ts q l_e_st_eq_landau_n_rt_rp_1rp) q (l_e_st_eq_landau_n_rt_rp_ts q p) (l_e_st_eq_landau_n_rt_rp_satz151 q)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl p l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q p) q)).

(* constant 3707 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t20 ≝ λp:l_e_st_eq_landau_n_rt_cut.λq:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl p l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts r l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q p) q) r) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q p) (l_e_st_eq_landau_n_rt_rp_pl q r)) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl p l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q p) q) (l_e_st_eq_landau_n_rt_rp_ts r l_e_st_eq_landau_n_rt_rp_1rp) r (l_e_st_eq_landau_n_rt_rp_iv4d_t19 p q) (l_e_st_eq_landau_n_rt_rp_satz151 r)) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_ts q p) q r) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl p l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts r l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q p) (l_e_st_eq_landau_n_rt_rp_pl q r))).

(* constant 3708 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t21 ≝ λp:l_e_st_eq_landau_n_rt_cut.λq:l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl p l_e_st_eq_landau_n_rt_rp_1rp))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl p l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts r l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q p) (l_e_st_eq_landau_n_rt_rp_pl q r)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q p) (l_e_st_eq_landau_n_rt_rp_pl r q)) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_ts r l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl p l_e_st_eq_landau_n_rt_rp_1rp))) (l_e_st_eq_landau_n_rt_rp_iv4d_t20 p q r) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_pl q r) (l_e_st_eq_landau_n_rt_rp_pl r q) (l_e_st_eq_landau_n_rt_rp_ts q p) (l_e_st_eq_landau_n_rt_rp_compl q r)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts q (l_e_st_eq_landau_n_rt_rp_pl p l_e_st_eq_landau_n_rt_rp_1rp))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts q p) (l_e_st_eq_landau_n_rt_rp_pl r q))).

(* constant 3709 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_arp ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_rpofpd a p : l_e_st_eq_landau_n_rt_cut).

(* constant 3710 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_arpi ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_ov l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_iv4d_arp a p) : l_e_st_eq_landau_n_rt_cut).

(* constant 3711 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_ai ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p) : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3712 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t22 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_iv4d_ai a p)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p) l_e_st_eq_landau_n_rt_rp_1rp)))) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)))) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p))) (l_e_st_eq_landau_n_rt_rp_tdeq1a a (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p) l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_eqsmsd (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p) l_e_st_eq_landau_n_rt_rp_1rp))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a))) (l_e_st_eq_landau_n_rt_rp_iv4d_t20 (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p) (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a)) (l_e_st_eq_landau_n_rt_rp_iv4d_t21 (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p) (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_1a a))) (l_e_st_eq_landau_n_rt_rp_lemmad2 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a))) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_iv4d_ai a p)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)))).

(* constant 3713 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t23 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arp a p)) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv4d_arp a p) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ists1 (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arp a p)) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p) (l_e_st_eq_landau_n_rt_rp_satz140d (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_2a a) p)) (l_e_st_eq_landau_n_rt_rp_disttp1 (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arp a p) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv4d_arp a p) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_satz153c l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_iv4d_arp a p))) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) l_e_st_eq_landau_n_rt_rp_1rp)).

(* constant 3714 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t24 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p))) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_iv4d_t23 a p)) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_compl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)))).

(* constant 3715 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t25 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_eqi12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_iv4d_t24 a p) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p))) l_e_st_eq_landau_n_rt_rp_1df).

(* constant 3716 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t26 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_iv4d_ai a p)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_1a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_2a a) (l_e_st_eq_landau_n_rt_rp_iv4d_arpi a p))) l_e_st_eq_landau_n_rt_rp_1df (l_e_st_eq_landau_n_rt_rp_iv4d_t22 a p) (l_e_st_eq_landau_n_rt_rp_iv4d_t25 a p) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_iv4d_ai a p)) l_e_st_eq_landau_n_rt_rp_1df).

(* constant 3717 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t27 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a x) l_e_st_eq_landau_n_rt_rp_1df) (l_e_st_eq_landau_n_rt_rp_iv4d_ai a p) (l_e_st_eq_landau_n_rt_rp_iv4d_t26 a p) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a x) l_e_st_eq_landau_n_rt_rp_1df)).

(* constant 3718 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t28 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_satzd176c a n : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_m0d a)).

(* constant 3719 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t29 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.λh:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) h) l_e_st_eq_landau_n_rt_rp_1df.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d h)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) h) l_e_st_eq_landau_n_rt_rp_1df (l_e_st_eq_landau_n_rt_rp_satzd197d a h) e : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_m0d h)) l_e_st_eq_landau_n_rt_rp_1df).

(* constant 3720 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t30 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.λh:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) h) l_e_st_eq_landau_n_rt_rp_1df.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a x) l_e_st_eq_landau_n_rt_rp_1df) (l_e_st_eq_landau_n_rt_rp_m0d h) (l_e_st_eq_landau_n_rt_rp_iv4d_t29 a n h e) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a x) l_e_st_eq_landau_n_rt_rp_1df)).

(* constant 3721 *)
definition l_e_st_eq_landau_n_rt_rp_iv4d_t31 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) x) l_e_st_eq_landau_n_rt_rp_1df) (l_e_st_eq_landau_n_rt_rp_iv4d_t27 (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_iv4d_t28 a n)) (l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a x) l_e_st_eq_landau_n_rt_rp_1df)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a) x) l_e_st_eq_landau_n_rt_rp_1df.l_e_st_eq_landau_n_rt_rp_iv4d_t30 a n x t) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a x) l_e_st_eq_landau_n_rt_rp_1df)).

(* constant 3722 *)
definition l_e_st_eq_landau_n_rt_rp_lemmad7 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero a).(l_e_st_eq_landau_n_rt_rp_rappd a (l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a x) l_e_st_eq_landau_n_rt_rp_1df)) (λt:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_iv4d_t27 a t) (l_imp_th2 (l_e_st_eq_landau_n_rt_rp_zero a) (l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a x) l_e_st_eq_landau_n_rt_rp_1df)) n) (λt:l_e_st_eq_landau_n_rt_rp_negd a.l_e_st_eq_landau_n_rt_rp_iv4d_t31 a t) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a x) l_e_st_eq_landau_n_rt_rp_1df)).

(* constant 3723 *)
definition l_e_st_eq_landau_n_rt_rp_4d204_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λh:l_e_st_eq_landau_n_rt_rp_dif.λk:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b h) a.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b k) a.(l_e_st_eq_landau_n_rt_rp_treq2 (l_e_st_eq_landau_n_rt_rp_td b h) (l_e_st_eq_landau_n_rt_rp_td b k) a e f : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b h) (l_e_st_eq_landau_n_rt_rp_td b k)).

(* constant 3724 *)
definition l_e_st_eq_landau_n_rt_rp_4d204_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λh:l_e_st_eq_landau_n_rt_rp_dif.λk:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b h) a.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b k) a.(l_e_st_eq_landau_n_rt_rp_eqzero (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td b h) (l_e_st_eq_landau_n_rt_rp_td b k)) (l_e_st_eq_landau_n_rt_rp_td b (l_e_st_eq_landau_n_rt_rp_md h k)) (l_e_st_eq_landau_n_rt_rp_distmtd2 b h k) (l_e_st_eq_landau_n_rt_rp_satzd182e (l_e_st_eq_landau_n_rt_rp_td b h) (l_e_st_eq_landau_n_rt_rp_td b k) (l_e_st_eq_landau_n_rt_rp_4d204_t1 a b n h k e f)) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td b (l_e_st_eq_landau_n_rt_rp_md h k))).

(* constant 3725 *)
definition l_e_st_eq_landau_n_rt_rp_4d204_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λh:l_e_st_eq_landau_n_rt_rp_dif.λk:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b h) a.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b k) a.(l_ore2 (l_e_st_eq_landau_n_rt_rp_zero b) (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_md h k)) (l_e_st_eq_landau_n_rt_rp_satzd192c b (l_e_st_eq_landau_n_rt_rp_md h k) (l_e_st_eq_landau_n_rt_rp_4d204_t2 a b n h k e f)) n : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_md h k)).

(* constant 3726 *)
definition l_e_st_eq_landau_n_rt_rp_satzd204b ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λh:l_e_st_eq_landau_n_rt_rp_dif.λk:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b h) a.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b k) a.(l_e_st_eq_landau_n_rt_rp_satzd182b h k (l_e_st_eq_landau_n_rt_rp_4d204_t3 a b n h k e f) : l_e_st_eq_landau_n_rt_rp_eq h k).

(* constant 3727 *)
definition l_e_st_eq_landau_n_rt_rp_4d204_t4 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λh:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b h) l_e_st_eq_landau_n_rt_rp_1df.(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_td b (l_e_st_eq_landau_n_rt_rp_td h a)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_td b h) a) (l_e_st_eq_landau_n_rt_rp_td l_e_st_eq_landau_n_rt_rp_1df a) a (l_e_st_eq_landau_n_rt_rp_asstd2 b h a) (l_e_st_eq_landau_n_rt_rp_eqtd1 (l_e_st_eq_landau_n_rt_rp_td b h) l_e_st_eq_landau_n_rt_rp_1df a e) (l_e_st_eq_landau_n_rt_rp_satzd195b a) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b (l_e_st_eq_landau_n_rt_rp_td h a)) a).

(* constant 3728 *)
definition l_e_st_eq_landau_n_rt_rp_4d204_t5 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero b).λh:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b h) l_e_st_eq_landau_n_rt_rp_1df.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b x) a) (l_e_st_eq_landau_n_rt_rp_td h a) (l_e_st_eq_landau_n_rt_rp_4d204_t4 a b n h e) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b x) a)).

(* constant 3729 *)
definition l_e_st_eq_landau_n_rt_rp_satzd204a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero b).(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b x) l_e_st_eq_landau_n_rt_rp_1df) (l_e_st_eq_landau_n_rt_rp_lemmad7 b n) (l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b x) a)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b x) l_e_st_eq_landau_n_rt_rp_1df.l_e_st_eq_landau_n_rt_rp_4d204_t5 a b n x t) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b x) a)).

(* constant 3730 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_t1 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r s.(l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl s (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_asspl2 r l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_asspl2 s l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_satz134 r s (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp)).

(* constant 3731 *)
definition l_e_st_eq_landau_n_rt_rp_morerpepd ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r s.(l_e_st_eq_landau_n_rt_rp_moredi12 (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_iv5d_t1 r s m) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)).

(* constant 3732 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_t2 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s).(l_e_st_eq_landau_n_rt_rp_morede12 (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp m : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp)).

(* constant 3733 *)
definition l_e_st_eq_landau_n_rt_rp_morerpipd ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s).(l_e_st_eq_landau_n_rt_rp_satz136a r s (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ismore12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl r (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl s (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_asspl1 r l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_asspl1 s l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_iv5d_t2 r s m)) : l_e_st_eq_landau_n_rt_rp_more r s).

(* constant 3734 *)
definition l_e_st_eq_landau_n_rt_rp_lessrpepd ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r s.(l_e_st_eq_landau_n_rt_rp_lemmad5 (l_e_st_eq_landau_n_rt_rp_pdofrp s) (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_morerpepd s r (l_e_st_eq_landau_n_rt_rp_satz122 r s l)) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)).

(* constant 3735 *)
definition l_e_st_eq_landau_n_rt_rp_lessrpipd ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s).(l_e_st_eq_landau_n_rt_rp_satz121 s r (l_e_st_eq_landau_n_rt_rp_morerpipd s r (l_e_st_eq_landau_n_rt_rp_lemmad6 (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s) l)) : l_e_st_eq_landau_n_rt_rp_less r s).

(* constant 3736 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_i ≝ (l_e_st_eq_landau_n_rt_rp_1rp : l_e_st_eq_landau_n_rt_cut).

(* constant 3737 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_2 ≝ (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_iv5d_i l_e_st_eq_landau_n_rt_rp_iv5d_i : l_e_st_eq_landau_n_rt_cut).

(* constant 3738 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_rp1 ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_iv5d_i : l_e_st_eq_landau_n_rt_cut).

(* constant 3739 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_sp1 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_iv5d_i : l_e_st_eq_landau_n_rt_cut).

(* constant 3740 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_rps ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pl r s : l_e_st_eq_landau_n_rt_cut).

(* constant 3741 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_rs ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ts r s : l_e_st_eq_landau_n_rt_cut).

(* constant 3742 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_t3 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_i) l_e_st_eq_landau_n_rt_rp_iv5d_2) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2) l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_4pl23 r l_e_st_eq_landau_n_rt_rp_iv5d_i s l_e_st_eq_landau_n_rt_rp_iv5d_i)) (l_e_st_eq_landau_n_rt_rp_3pl23 (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2 l_e_st_eq_landau_n_rt_rp_iv5d_i) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_i) l_e_st_eq_landau_n_rt_rp_iv5d_2)).

(* constant 3743 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_t4 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) l_e_st_eq_landau_n_rt_rp_iv5d_2) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s)) (l_e_st_eq_landau_n_rt_rp_pdeq12a (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_eqi12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) l_e_st_eq_landau_n_rt_rp_iv5d_2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_i) l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_t3 r s)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s))).

(* constant 3744 *)
definition l_e_st_eq_landau_n_rt_rp_lemmad8 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_iv5d_t4 r s : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl r s))).

(* constant 3745 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_t5 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_ts r l_e_st_eq_landau_n_rt_rp_iv5d_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) r) (l_e_st_eq_landau_n_rt_rp_disttp2 r s l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_ts r l_e_st_eq_landau_n_rt_rp_iv5d_i) r (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_satz151 r)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) r)).

(* constant 3746 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_t6 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tr4is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) r) s) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s)) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_disttp1 r l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts r (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) r) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s) (l_e_st_eq_landau_n_rt_rp_iv5d_t5 r s) (l_e_st_eq_landau_n_rt_rp_satz151b (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s))) (l_e_st_eq_landau_n_rt_rp_asspl2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) r) s l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) r) s) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s)) l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) r s)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s)) l_e_st_eq_landau_n_rt_rp_iv5d_i)).

(* constant 3747 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_t7 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i l_e_st_eq_landau_n_rt_rp_iv5d_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s)) l_e_st_eq_landau_n_rt_rp_iv5d_i) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s)) l_e_st_eq_landau_n_rt_rp_iv5d_2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2)) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s)) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i l_e_st_eq_landau_n_rt_rp_iv5d_i) l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_t6 r s) (l_e_st_eq_landau_n_rt_rp_satz151 l_e_st_eq_landau_n_rt_rp_iv5d_i)) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s)) l_e_st_eq_landau_n_rt_rp_iv5d_i l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i l_e_st_eq_landau_n_rt_rp_iv5d_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2))).

(* constant 3748 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_t8 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s) (l_e_st_eq_landau_n_rt_rp_satz151 (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r)) (l_e_st_eq_landau_n_rt_rp_satz151b (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s))) (l_e_st_eq_landau_n_rt_rp_4pl23 r l_e_st_eq_landau_n_rt_rp_iv5d_i s l_e_st_eq_landau_n_rt_rp_iv5d_i) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2)).

(* constant 3749 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_t9 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2)) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_iv5d_t8 r s)) (l_e_st_eq_landau_n_rt_rp_3pl23 (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2)) l_e_st_eq_landau_n_rt_rp_iv5d_i)).

(* constant 3750 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_t10 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris2 l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i l_e_st_eq_landau_n_rt_rp_iv5d_i)) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2)) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i l_e_st_eq_landau_n_rt_rp_iv5d_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rps r s) l_e_st_eq_landau_n_rt_rp_iv5d_2)) l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_t7 r s)) (l_e_st_eq_landau_n_rt_rp_iv5d_t9 r s) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i l_e_st_eq_landau_n_rt_rp_iv5d_i)) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s))))).

(* constant 3751 *)
definition l_e_st_eq_landau_n_rt_rp_iv5d_t11 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i l_e_st_eq_landau_n_rt_rp_iv5d_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)))) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s)) (l_e_st_eq_landau_n_rt_rp_tdeq12a (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_eqi12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i l_e_st_eq_landau_n_rt_rp_iv5d_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_iv5d_rp1 r) l_e_st_eq_landau_n_rt_rp_iv5d_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_sp1 r s))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s) l_e_st_eq_landau_n_rt_rp_iv5d_i) l_e_st_eq_landau_n_rt_rp_iv5d_i (l_e_st_eq_landau_n_rt_rp_iv5d_t10 r s)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_iv5d_rs r s))).

(* constant 3752 *)
definition l_e_st_eq_landau_n_rt_rp_lemmad9 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_iv5d_t11 r s : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ts r s))).

(* constant 3753 *)
definition l_e_st_eq_landau_n_rt_rp_in ≝ λr:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.(l_e_st_esti l_e_st_eq_landau_n_rt_cut r s0 : Prop).

(* constant 3754 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_prop1 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_less x r.l_e_st_eq_landau_n_rt_rp_in x s0) : Prop).

(* constant 3755 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_prop2 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_more x r.l_e_st_eq_landau_n_rt_rp_in x t0) : Prop).

(* constant 3756 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_prop3 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λr:l_e_st_eq_landau_n_rt_cut.(l_and (l_e_st_eq_landau_n_rt_rp_5p205_prop1 s0 t0 r) (l_e_st_eq_landau_n_rt_rp_5p205_prop2 s0 t0 r) : Prop).

(* constant 3757 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t1 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λpr1:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r1.λpr2:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r2.(l_ande2 (l_e_st_eq_landau_n_rt_rp_5p205_prop1 s0 t0 r1) (l_e_st_eq_landau_n_rt_rp_5p205_prop2 s0 t0 r1) pr1 : l_e_st_eq_landau_n_rt_rp_5p205_prop2 s0 t0 r1).

(* constant 3758 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t2 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λpr1:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r1.λpr2:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r2.(l_ande1 (l_e_st_eq_landau_n_rt_rp_5p205_prop1 s0 t0 r2) (l_e_st_eq_landau_n_rt_rp_5p205_prop2 s0 t0 r2) pr2 : l_e_st_eq_landau_n_rt_rp_5p205_prop1 s0 t0 r2).

(* constant 3759 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_rx ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λpr1:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r1.λpr2:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r2.λl:l_e_st_eq_landau_n_rt_rp_less r1 r2.λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_rpofrt x0 : l_e_st_eq_landau_n_rt_cut).

(* constant 3760 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t3 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λpr1:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r1.λpr2:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r2.λl:l_e_st_eq_landau_n_rt_rp_less r1 r2.λx0:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less r1 (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) r2.(l_e_st_eq_landau_n_rt_rp_5p205_t2 s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) l2 : l_e_st_eq_landau_n_rt_rp_in (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) s0).

(* constant 3761 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t4 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λpr1:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r1.λpr2:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r2.λl:l_e_st_eq_landau_n_rt_rp_less r1 r2.λx0:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less r1 (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) r2.(l_e_st_eq_landau_n_rt_rp_5p205_t1 s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) (l_e_st_eq_landau_n_rt_rp_satz122 r1 (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) l1) : l_e_st_eq_landau_n_rt_rp_in (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) t0).

(* constant 3762 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t5 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λpr1:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r1.λpr2:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r2.λl:l_e_st_eq_landau_n_rt_rp_less r1 r2.λx0:l_e_st_eq_landau_n_rt_rat.λl1:l_e_st_eq_landau_n_rt_rp_less r1 (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0).λl2:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) r2.(l_ec3e31 (l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0)) (l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0)) (l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0)) (l_e_st_eq_landau_n_rt_rp_satz123b (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0)) (p2 (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) (l_e_st_eq_landau_n_rt_rp_5p205_t3 s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0 l1 l2) (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0) (l_e_st_eq_landau_n_rt_rp_5p205_t4 s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0 l1 l2)) (l_e_refis l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_5p205_rx s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x0)) : l_con).

(* constant 3763 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t6 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λpr1:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r1.λpr2:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r2.λl:l_e_st_eq_landau_n_rt_rp_less r1 r2.(l_e_st_eq_landau_n_rt_rp_satz159app r1 r2 l l_con (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_rp_less r1 (l_e_st_eq_landau_n_rt_rp_rpofrt x).λu:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_rpofrt x) r2.l_e_st_eq_landau_n_rt_rp_5p205_t5 s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 l x t u) : l_con).

(* constant 3764 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t7 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λpr1:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r1.λpr2:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r2.(λt:l_e_st_eq_landau_n_rt_rp_less r1 r2.l_e_st_eq_landau_n_rt_rp_5p205_t6 s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2 t : l_not (l_e_st_eq_landau_n_rt_rp_less r1 r2)).

(* constant 3765 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t8 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λpr1:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r1.λpr2:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r2.(λt:l_e_st_eq_landau_n_rt_rp_more r1 r2.l_e_st_eq_landau_n_rt_rp_5p205_t6 s0 t0 p0 p1a p1b p2 r2 r1 pr2 pr1 (l_e_st_eq_landau_n_rt_rp_satz121 r1 r2 t) : l_not (l_e_st_eq_landau_n_rt_rp_more r1 r2)).

(* constant 3766 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t9 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr1:l_e_st_eq_landau_n_rt_cut.λr2:l_e_st_eq_landau_n_rt_cut.λpr1:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r1.λpr2:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 r2.(l_or3e1 (l_e_st_eq_landau_n_rt_rp_is r1 r2) (l_e_st_eq_landau_n_rt_rp_more r1 r2) (l_e_st_eq_landau_n_rt_rp_less r1 r2) (l_e_st_eq_landau_n_rt_rp_satz123a r1 r2) (l_e_st_eq_landau_n_rt_rp_5p205_t8 s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2) (l_e_st_eq_landau_n_rt_rp_5p205_t7 s0 t0 p0 p1a p1b p2 r1 r2 pr1 pr2) : l_e_st_eq_landau_n_rt_rp_is r1 r2).

(* constant 3767 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t10 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).(λx:l_e_st_eq_landau_n_rt_cut.λy:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 x.λu:l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 y.l_e_st_eq_landau_n_rt_rp_5p205_t9 s0 t0 p0 p1a p1b p2 x y t u : l_e_amone l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 x)).

(* constant 3768 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_schnittprop ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.(l_e_st_eq_landau_n_rt_rp_some (λy:l_e_st_eq_landau_n_rt_cut.l_and (l_e_st_eq_landau_n_rt_rp_in y s0) (l_e_st_eq_landau_n_rt_lrt y x0)) : Prop).

(* constant 3769 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_schnittset ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).(l_e_st_setof l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x) : l_e_st_set l_e_st_eq_landau_n_rt_rat).

(* constant 3770 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t11 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r s0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt r x0.(l_andi (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0) i lx : l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0)).

(* constant 3771 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t12 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r s0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt r x0.(l_somei l_e_st_eq_landau_n_rt_cut (λy:l_e_st_eq_landau_n_rt_cut.l_and (l_e_st_eq_landau_n_rt_rp_in y s0) (l_e_st_eq_landau_n_rt_lrt y x0)) r (l_e_st_eq_landau_n_rt_rp_5p205_t11 s0 t0 p0 p1a p1b p2 r i x0 lx) : l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x0).

(* constant 3772 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t13 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r s0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt r x0.(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x) x0 (l_e_st_eq_landau_n_rt_rp_5p205_t12 s0 t0 p0 p1a p1b p2 r i x0 lx) : l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)).

(* constant 3773 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t14 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r t0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λs:l_e_st_eq_landau_n_rt_cut.λj:l_e_st_eq_landau_n_rt_rp_in s s0.(l_e_st_eq_landau_n_rt_rp_satz122 s r (p2 s j r i) : l_e_st_eq_landau_n_rt_rp_more r s).

(* constant 3774 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t15 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r t0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λs:l_e_st_eq_landau_n_rt_cut.λj:l_e_st_eq_landau_n_rt_rp_in s s0.(l_e_st_eq_landau_n_rt_rp_satz158b r x0 ux : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_rpofrt x0) r).

(* constant 3775 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t16 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r t0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λs:l_e_st_eq_landau_n_rt_cut.λj:l_e_st_eq_landau_n_rt_rp_in s s0.(l_e_st_eq_landau_n_rt_rp_moreisi1 (l_e_st_eq_landau_n_rt_rp_rpofrt x0) s (l_e_st_eq_landau_n_rt_rp_satz127c (l_e_st_eq_landau_n_rt_rp_rpofrt x0) r s (l_e_st_eq_landau_n_rt_rp_5p205_t15 s0 t0 p0 p1a p1b p2 r i x0 ux s j) (l_e_st_eq_landau_n_rt_rp_5p205_t14 s0 t0 p0 p1a p1b p2 r i x0 ux s j)) : l_e_st_eq_landau_n_rt_rp_moreis (l_e_st_eq_landau_n_rt_rp_rpofrt x0) s).

(* constant 3776 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t17 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r t0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λs:l_e_st_eq_landau_n_rt_cut.λj:l_e_st_eq_landau_n_rt_rp_in s s0.(l_e_st_eq_landau_n_rt_rp_satz158d s x0 (l_e_st_eq_landau_n_rt_rp_5p205_t16 s0 t0 p0 p1a p1b p2 r i x0 ux s j) : l_e_st_eq_landau_n_rt_urt s x0).

(* constant 3777 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t18 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r t0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λs:l_e_st_eq_landau_n_rt_cut.(l_weli (l_ec (l_e_st_eq_landau_n_rt_rp_in s s0) (l_e_st_eq_landau_n_rt_lrt s x0)) (λt:l_e_st_eq_landau_n_rt_rp_in s s0.l_e_st_eq_landau_n_rt_rp_5p205_t17 s0 t0 p0 p1a p1b p2 r i x0 ux s t) : l_not (l_and (l_e_st_eq_landau_n_rt_rp_in s s0) (l_e_st_eq_landau_n_rt_lrt s x0))).

(* constant 3778 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t19 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r t0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.(l_some_th5 l_e_st_eq_landau_n_rt_cut (λy:l_e_st_eq_landau_n_rt_cut.l_and (l_e_st_eq_landau_n_rt_rp_in y s0) (l_e_st_eq_landau_n_rt_lrt y x0)) (λy:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_5p205_t18 s0 t0 p0 p1a p1b p2 r i x0 ux y) : l_not (l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x0)).

(* constant 3779 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t20 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r t0.λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.(l_imp_th3 (l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x0) (l_e_st_eq_landau_n_rt_rp_5p205_t19 s0 t0 p0 p1a p1b p2 r i x0 ux) (λt:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).l_e_st_estie l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x) x0 t) : l_not (l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2))).

(* constant 3780 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t21 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).(l_e_st_estie l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x) x0 i : l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x0).

(* constant 3781 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t22 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 x0.λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).(l_ande1 (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0) a : l_e_st_eq_landau_n_rt_rp_in r s0).

(* constant 3782 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t23 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 x0.λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).(l_ande2 (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0) a : l_e_st_eq_landau_n_rt_lrt r x0).

(* constant 3783 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t24 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 x0.λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).(l_e_st_eq_landau_n_rt_rp_satz120 r x0 (l_e_st_eq_landau_n_rt_rp_5p205_t23 s0 t0 p0 p1a p1b p2 x0 i y0 l r a) y0 l : l_e_st_eq_landau_n_rt_lrt r y0).

(* constant 3784 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t25 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 x0.λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).(l_andi (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r y0) (l_e_st_eq_landau_n_rt_rp_5p205_t22 s0 t0 p0 p1a p1b p2 x0 i y0 l r a) (l_e_st_eq_landau_n_rt_rp_5p205_t24 s0 t0 p0 p1a p1b p2 x0 i y0 l r a) : l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r y0)).

(* constant 3785 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t26 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 x0.λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).(l_somei l_e_st_eq_landau_n_rt_cut (λy:l_e_st_eq_landau_n_rt_cut.l_and (l_e_st_eq_landau_n_rt_rp_in y s0) (l_e_st_eq_landau_n_rt_lrt y y0)) r (l_e_st_eq_landau_n_rt_rp_5p205_t25 s0 t0 p0 p1a p1b p2 x0 i y0 l r a) : l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 y0).

(* constant 3786 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t27 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_someapp l_e_st_eq_landau_n_rt_cut (λy:l_e_st_eq_landau_n_rt_cut.l_and (l_e_st_eq_landau_n_rt_rp_in y s0) (l_e_st_eq_landau_n_rt_lrt y x0)) (l_e_st_eq_landau_n_rt_rp_5p205_t21 s0 t0 p0 p1a p1b p2 x0 i) (l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 y0) (λy:l_e_st_eq_landau_n_rt_cut.λr:l_and (l_e_st_eq_landau_n_rt_rp_in y s0) (l_e_st_eq_landau_n_rt_lrt y x0).l_e_st_eq_landau_n_rt_rp_5p205_t26 s0 t0 p0 p1a p1b p2 x0 i y0 l y r) : l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 y0).

(* constant 3787 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t28 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λy0:l_e_st_eq_landau_n_rt_rat.λl:l_e_st_eq_landau_n_rt_less y0 x0.(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x) y0 (l_e_st_eq_landau_n_rt_rp_5p205_t27 s0 t0 p0 p1a p1b p2 x0 i y0 l) : l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)).

(* constant 3788 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t29 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).(l_ande1 (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0) a : l_e_st_eq_landau_n_rt_rp_in r s0).

(* constant 3789 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t30 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).(l_ande2 (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0) a : l_e_st_eq_landau_n_rt_lrt r x0).

(* constant 3790 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t31 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt r y0.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_andi (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r y0) (l_e_st_eq_landau_n_rt_rp_5p205_t29 s0 t0 p0 p1a p1b p2 x0 i r a) ly : l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r y0)).

(* constant 3791 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t32 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt r y0.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_somei l_e_st_eq_landau_n_rt_cut (λy:l_e_st_eq_landau_n_rt_cut.l_and (l_e_st_eq_landau_n_rt_rp_in y s0) (l_e_st_eq_landau_n_rt_lrt y y0)) r (l_e_st_eq_landau_n_rt_rp_5p205_t31 s0 t0 p0 p1a p1b p2 x0 i r a y0 ly l) : l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 y0).

(* constant 3792 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t33 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt r y0.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x) y0 (l_e_st_eq_landau_n_rt_rp_5p205_t32 s0 t0 p0 p1a p1b p2 x0 i r a y0 ly l) : l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)).

(* constant 3793 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t34 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt r y0.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_e_st_eq_landau_n_rt_satz83 x0 y0 l : l_e_st_eq_landau_n_rt_more y0 x0).

(* constant 3794 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t35 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt r y0.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_andi (l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_more y0 x0) (l_e_st_eq_landau_n_rt_rp_5p205_t33 s0 t0 p0 p1a p1b p2 x0 i r a y0 ly l) (l_e_st_eq_landau_n_rt_rp_5p205_t34 s0 t0 p0 p1a p1b p2 x0 i r a y0 ly l) : l_and (l_e_st_eq_landau_n_rt_in y0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_more y0 x0)).

(* constant 3795 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t36 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).λy0:l_e_st_eq_landau_n_rt_rat.λly:l_e_st_eq_landau_n_rt_lrt r y0.λl:l_e_st_eq_landau_n_rt_less x0 y0.(l_somei l_e_st_eq_landau_n_rt_rat (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_more y x0)) y0 (l_e_st_eq_landau_n_rt_rp_5p205_t35 s0 t0 p0 p1a p1b p2 x0 i r a y0 ly l) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_more y x0))).

(* constant 3796 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t37 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λr:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0).(l_e_st_eq_landau_n_rt_cutapp3 r x0 (l_e_st_eq_landau_n_rt_rp_5p205_t30 s0 t0 p0 p1a p1b p2 x0 i r a) (l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_more y x0))) (λy:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt r y.λu:l_e_st_eq_landau_n_rt_less x0 y.l_e_st_eq_landau_n_rt_rp_5p205_t36 s0 t0 p0 p1a p1b p2 x0 i r a y t u) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_more y x0))).

(* constant 3797 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t38 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λx0:l_e_st_eq_landau_n_rt_rat.λi:l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).(l_someapp l_e_st_eq_landau_n_rt_cut (λy:l_e_st_eq_landau_n_rt_cut.l_and (l_e_st_eq_landau_n_rt_rp_in y s0) (l_e_st_eq_landau_n_rt_lrt y x0)) (l_e_st_eq_landau_n_rt_rp_5p205_t21 s0 t0 p0 p1a p1b p2 x0 i) (l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_more y x0))) (λy:l_e_st_eq_landau_n_rt_cut.λt:l_and (l_e_st_eq_landau_n_rt_rp_in y s0) (l_e_st_eq_landau_n_rt_lrt y x0).l_e_st_eq_landau_n_rt_rp_5p205_t37 s0 t0 p0 p1a p1b p2 x0 i y t) : l_e_st_eq_landau_n_rt_some (λy:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_in y (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_more y x0))).

(* constant 3798 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t39 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r s0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt r x0.λs:l_e_st_eq_landau_n_rt_cut.λj:l_e_st_eq_landau_n_rt_rp_in s t0.λy0:l_e_st_eq_landau_n_rt_rat.λuy:l_e_st_eq_landau_n_rt_urt s y0.(l_e_st_eq_landau_n_rt_cut2 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2) x0 (l_e_st_eq_landau_n_rt_rp_5p205_t13 s0 t0 p0 p1a p1b p2 r i x0 lx) y0 (l_e_st_eq_landau_n_rt_rp_5p205_t20 s0 t0 p0 p1a p1b p2 s j y0 uy) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).λy:l_e_st_eq_landau_n_rt_rat.λu:l_e_st_eq_landau_n_rt_less y x.l_e_st_eq_landau_n_rt_rp_5p205_t28 s0 t0 p0 p1a p1b p2 x t y u) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_in x (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2).l_e_st_eq_landau_n_rt_rp_5p205_t38 s0 t0 p0 p1a p1b p2 x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)).

(* constant 3799 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t40 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r s0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt r x0.λs:l_e_st_eq_landau_n_rt_cut.λj:l_e_st_eq_landau_n_rt_rp_in s t0.(l_e_st_eq_landau_n_rt_cutapp1b s (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt s x.l_e_st_eq_landau_n_rt_rp_5p205_t39 s0 t0 p0 p1a p1b p2 r i x0 lx s j x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)).

(* constant 3800 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t41 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r s0.λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt r x0.(l_e_st_nonemptyapp l_e_st_eq_landau_n_rt_cut t0 p1b (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (λy:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_5p205_t40 s0 t0 p0 p1a p1b p2 r i x0 lx y t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)).

(* constant 3801 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t42 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r s0.(l_e_st_eq_landau_n_rt_cutapp1a r (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt r x.l_e_st_eq_landau_n_rt_rp_5p205_t41 s0 t0 p0 p1a p1b p2 r i x t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)).

(* constant 3802 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t43 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).(l_e_st_nonemptyapp l_e_st_eq_landau_n_rt_cut s0 p1a (l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)) (λy:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_in y s0.l_e_st_eq_landau_n_rt_rp_5p205_t42 s0 t0 p0 p1a p1b p2 y t) : l_e_st_eq_landau_n_rt_cutprop (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)).

(* constant 3803 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_snt ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).(l_e_st_eq_landau_n_rt_rp_cutof (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2) (l_e_st_eq_landau_n_rt_rp_5p205_t43 s0 t0 p0 p1a p1b p2) : l_e_st_eq_landau_n_rt_cut).

(* constant 3804 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t44 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.(l_e_st_eq_landau_n_rt_rp_ini (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2) (l_e_st_eq_landau_n_rt_rp_5p205_t43 s0 t0 p0 p1a p1b p2) x0 lx : l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)).

(* constant 3805 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t45 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.(l_e_st_estie l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x) x0 (l_e_st_eq_landau_n_rt_rp_5p205_t44 s0 t0 p0 p1a p1b p2 r l x0 ux lx) : l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x0).

(* constant 3806 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t46 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.λs:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in s s0) (l_e_st_eq_landau_n_rt_lrt s x0).(l_ande1 (l_e_st_eq_landau_n_rt_rp_in s s0) (l_e_st_eq_landau_n_rt_lrt s x0) a : l_e_st_eq_landau_n_rt_rp_in s s0).

(* constant 3807 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t47 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.λs:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in s s0) (l_e_st_eq_landau_n_rt_lrt s x0).(l_ande2 (l_e_st_eq_landau_n_rt_rp_in s s0) (l_e_st_eq_landau_n_rt_lrt s x0) a : l_e_st_eq_landau_n_rt_lrt s x0).

(* constant 3808 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t48 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.λs:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in s s0) (l_e_st_eq_landau_n_rt_lrt s x0).(l_andi (l_e_st_eq_landau_n_rt_urt r x0) (l_e_st_eq_landau_n_rt_lrt s x0) ux (l_e_st_eq_landau_n_rt_rp_5p205_t47 s0 t0 p0 p1a p1b p2 r l x0 ux lx s a) : l_and (l_e_st_eq_landau_n_rt_urt r x0) (l_e_st_eq_landau_n_rt_lrt s x0)).

(* constant 3809 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t49 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.λs:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in s s0) (l_e_st_eq_landau_n_rt_lrt s x0).(l_somei l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_and (l_e_st_eq_landau_n_rt_urt r x) (l_e_st_eq_landau_n_rt_lrt s x)) x0 (l_e_st_eq_landau_n_rt_rp_5p205_t48 s0 t0 p0 p1a p1b p2 r l x0 ux lx s a) : l_e_st_eq_landau_n_rt_rp_less r s).

(* constant 3810 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t50 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.λs:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in s s0) (l_e_st_eq_landau_n_rt_lrt s x0).(l_ec3e23 (l_e_st_eq_landau_n_rt_rp_is s r) (l_e_st_eq_landau_n_rt_rp_more s r) (l_e_st_eq_landau_n_rt_rp_less s r) (l_e_st_eq_landau_n_rt_rp_satz123b s r) (l_e_st_eq_landau_n_rt_rp_satz122 r s (l_e_st_eq_landau_n_rt_rp_5p205_t49 s0 t0 p0 p1a p1b p2 r l x0 ux lx s a)) : l_not (l_e_st_eq_landau_n_rt_rp_less s r)).

(* constant 3811 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t51 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.λs:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in s s0) (l_e_st_eq_landau_n_rt_lrt s x0).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_in r t0) (l_e_st_eq_landau_n_rt_rp_less s r) (l_e_st_eq_landau_n_rt_rp_5p205_t50 s0 t0 p0 p1a p1b p2 r l x0 ux lx s a) (p2 s (l_e_st_eq_landau_n_rt_rp_5p205_t46 s0 t0 p0 p1a p1b p2 r l x0 ux lx s a) r) : l_not (l_e_st_eq_landau_n_rt_rp_in r t0)).

(* constant 3812 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t52 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.λs:l_e_st_eq_landau_n_rt_cut.λa:l_and (l_e_st_eq_landau_n_rt_rp_in s s0) (l_e_st_eq_landau_n_rt_lrt s x0).(l_ore1 (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_rp_in r t0) (p0 r) (l_e_st_eq_landau_n_rt_rp_5p205_t51 s0 t0 p0 p1a p1b p2 r l x0 ux lx s a) : l_e_st_eq_landau_n_rt_rp_in r s0).

(* constant 3813 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t53 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λux:l_e_st_eq_landau_n_rt_urt r x0.λlx:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.(l_someapp l_e_st_eq_landau_n_rt_cut (λy:l_e_st_eq_landau_n_rt_cut.l_and (l_e_st_eq_landau_n_rt_rp_in y s0) (l_e_st_eq_landau_n_rt_lrt y x0)) (l_e_st_eq_landau_n_rt_rp_5p205_t45 s0 t0 p0 p1a p1b p2 r l x0 ux lx) (l_e_st_eq_landau_n_rt_rp_in r s0) (λy:l_e_st_eq_landau_n_rt_cut.λt:l_and (l_e_st_eq_landau_n_rt_rp_in y s0) (l_e_st_eq_landau_n_rt_lrt y x0).l_e_st_eq_landau_n_rt_rp_5p205_t52 s0 t0 p0 p1a p1b p2 r l x0 ux lx y t) : l_e_st_eq_landau_n_rt_rp_in r s0).

(* constant 3814 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t54 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).(l_e_st_eq_landau_n_rt_rp_lessapp r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) l (l_e_st_eq_landau_n_rt_rp_in r s0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_urt r x.λu:l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x.l_e_st_eq_landau_n_rt_rp_5p205_t53 s0 t0 p0 p1a p1b p2 r l x t u) : l_e_st_eq_landau_n_rt_rp_in r s0).

(* constant 3815 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t55 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt r x0.λux:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.λi:l_e_st_eq_landau_n_rt_rp_in r s0.(l_andi (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0) i lx : l_and (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt r x0)).

(* constant 3816 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t56 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt r x0.λux:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.λi:l_e_st_eq_landau_n_rt_rp_in r s0.(l_somei l_e_st_eq_landau_n_rt_cut (λy:l_e_st_eq_landau_n_rt_cut.l_and (l_e_st_eq_landau_n_rt_rp_in y s0) (l_e_st_eq_landau_n_rt_lrt y x0)) r (l_e_st_eq_landau_n_rt_rp_5p205_t55 s0 t0 p0 p1a p1b p2 r m x0 lx ux i) : l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x0).

(* constant 3817 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t57 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt r x0.λux:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.λi:l_e_st_eq_landau_n_rt_rp_in r s0.(l_e_st_estii l_e_st_eq_landau_n_rt_rat (λx:l_e_st_eq_landau_n_rt_rat.l_e_st_eq_landau_n_rt_rp_5p205_schnittprop s0 t0 p0 p1a p1b p2 x) x0 (l_e_st_eq_landau_n_rt_rp_5p205_t56 s0 t0 p0 p1a p1b p2 r m x0 lx ux i) : l_e_st_eq_landau_n_rt_in x0 (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2)).

(* constant 3818 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t58 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt r x0.λux:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.λi:l_e_st_eq_landau_n_rt_rp_in r s0.(l_e_st_eq_landau_n_rt_rp_ine (l_e_st_eq_landau_n_rt_rp_5p205_schnittset s0 t0 p0 p1a p1b p2) (l_e_st_eq_landau_n_rt_rp_5p205_t43 s0 t0 p0 p1a p1b p2) x0 (l_e_st_eq_landau_n_rt_rp_5p205_t57 s0 t0 p0 p1a p1b p2 r m x0 lx ux i) : l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0).

(* constant 3819 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t59 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt r x0.λux:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_lrt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0) ux (λt:l_e_st_eq_landau_n_rt_rp_in r s0.l_e_st_eq_landau_n_rt_rp_5p205_t58 s0 t0 p0 p1a p1b p2 r m x0 lx ux t) : l_not (l_e_st_eq_landau_n_rt_rp_in r s0)).

(* constant 3820 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t60 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).λx0:l_e_st_eq_landau_n_rt_rat.λlx:l_e_st_eq_landau_n_rt_lrt r x0.λux:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x0.(l_ore2 (l_e_st_eq_landau_n_rt_rp_in r s0) (l_e_st_eq_landau_n_rt_rp_in r t0) (p0 r) (l_e_st_eq_landau_n_rt_rp_5p205_t59 s0 t0 p0 p1a p1b p2 r m x0 lx ux) : l_e_st_eq_landau_n_rt_rp_in r t0).

(* constant 3821 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t61 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).λr:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).(l_e_st_eq_landau_n_rt_rp_moreapp r (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) m (l_e_st_eq_landau_n_rt_rp_in r t0) (λx:l_e_st_eq_landau_n_rt_rat.λt:l_e_st_eq_landau_n_rt_lrt r x.λu:l_e_st_eq_landau_n_rt_urt (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) x.l_e_st_eq_landau_n_rt_rp_5p205_t60 s0 t0 p0 p1a p1b p2 r m x t u) : l_e_st_eq_landau_n_rt_rp_in r t0).

(* constant 3822 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t62 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).(l_andi (l_e_st_eq_landau_n_rt_rp_5p205_prop1 s0 t0 (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_rp_5p205_prop2 s0 t0 (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2)) (λx:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_less x (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).l_e_st_eq_landau_n_rt_rp_5p205_t54 s0 t0 p0 p1a p1b p2 x t) (λx:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_more x (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2).l_e_st_eq_landau_n_rt_rp_5p205_t61 s0 t0 p0 p1a p1b p2 x t) : l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2)).

(* constant 3823 *)
definition l_e_st_eq_landau_n_rt_rp_5p205_t63 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).(l_somei l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 x) (l_e_st_eq_landau_n_rt_rp_5p205_snt s0 t0 p0 p1a p1b p2) (l_e_st_eq_landau_n_rt_rp_5p205_t62 s0 t0 p0 p1a p1b p2) : l_e_st_eq_landau_n_rt_rp_some (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 x)).

(* constant 3824 *)
definition l_e_st_eq_landau_n_rt_rp_satzp205 ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).(l_e_onei l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 x) (l_e_st_eq_landau_n_rt_rp_5p205_t10 s0 t0 p0 p1a p1b p2) (l_e_st_eq_landau_n_rt_rp_5p205_t63 s0 t0 p0 p1a p1b p2) : l_e_st_eq_landau_n_rt_rp_one (λx:l_e_st_eq_landau_n_rt_cut.l_and (l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_less y x.l_e_st_eq_landau_n_rt_rp_in y s0)) (l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_more y x.l_e_st_eq_landau_n_rt_rp_in y t0)))).

(* constant 3825 *)
definition l_e_st_eq_landau_n_rt_rp_schnitt ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).(l_e_ind l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 x) (l_e_st_eq_landau_n_rt_rp_satzp205 s0 t0 p0 p1a p1b p2) : l_e_st_eq_landau_n_rt_cut).

(* constant 3826 *)
definition l_e_st_eq_landau_n_rt_rp_satzp205a ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).(l_ande1 (l_e_st_eq_landau_n_rt_rp_5p205_prop1 s0 t0 (l_e_st_eq_landau_n_rt_rp_schnitt s0 t0 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_rp_5p205_prop2 s0 t0 (l_e_st_eq_landau_n_rt_rp_schnitt s0 t0 p0 p1a p1b p2)) (l_e_oneax l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 x) (l_e_st_eq_landau_n_rt_rp_satzp205 s0 t0 p0 p1a p1b p2)) : l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_less x (l_e_st_eq_landau_n_rt_rp_schnitt s0 t0 p0 p1a p1b p2).l_e_st_eq_landau_n_rt_rp_in x s0)).

(* constant 3827 *)
definition l_e_st_eq_landau_n_rt_rp_satzp205b ≝ λs0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λt0:l_e_st_set l_e_st_eq_landau_n_rt_cut.λp0:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.l_or (l_e_st_eq_landau_n_rt_rp_in x s0) (l_e_st_eq_landau_n_rt_rp_in x t0)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut s0.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_cut t0.λp2:l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_in x s0.l_e_st_eq_landau_n_rt_rp_all (λy:l_e_st_eq_landau_n_rt_cut.∀u:l_e_st_eq_landau_n_rt_rp_in y t0.l_e_st_eq_landau_n_rt_rp_less x y)).(l_ande2 (l_e_st_eq_landau_n_rt_rp_5p205_prop1 s0 t0 (l_e_st_eq_landau_n_rt_rp_schnitt s0 t0 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_rp_5p205_prop2 s0 t0 (l_e_st_eq_landau_n_rt_rp_schnitt s0 t0 p0 p1a p1b p2)) (l_e_oneax l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_5p205_prop3 s0 t0 x) (l_e_st_eq_landau_n_rt_rp_satzp205 s0 t0 p0 p1a p1b p2)) : l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_more x (l_e_st_eq_landau_n_rt_rp_schnitt s0 t0 p0 p1a p1b p2).l_e_st_eq_landau_n_rt_rp_in x t0)).

(* constant 3828 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_i ≝ (l_e_st_eq_landau_n_rt_rp_1rp : l_e_st_eq_landau_n_rt_cut).

(* constant 3829 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_r1 ≝ λr:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_ivad_i : l_e_st_eq_landau_n_rt_cut).

(* constant 3830 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_s1 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_ivad_i : l_e_st_eq_landau_n_rt_cut).

(* constant 3831 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_rps ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pl r s : l_e_st_eq_landau_n_rt_cut).

(* constant 3832 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_2 ≝ (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i : l_e_st_eq_landau_n_rt_cut).

(* constant 3833 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t1 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pdeq12a (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s) l_e_st_eq_landau_n_rt_rp_ivad_i : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) l_e_st_eq_landau_n_rt_rp_ivad_2)).

(* constant 3834 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t2 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_4pl23 r l_e_st_eq_landau_n_rt_rp_ivad_i s l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_asspl2 (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i)).

(* constant 3835 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t3 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_t2 r s) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i)).

(* constant 3836 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t4 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_2) (l_e_st_eq_landau_n_rt_rp_ivad_t3 r s) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_2)).

(* constant 3837 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t5 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_eqi12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) l_e_st_eq_landau_n_rt_rp_ivad_2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_t4 r s) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) l_e_st_eq_landau_n_rt_rp_ivad_2) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ivad_rps r s))).

(* constant 3838 *)
definition l_e_st_eq_landau_n_rt_rp_lemmaivad1 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl r s)) (l_e_st_eq_landau_n_rt_rp_ivad_t1 r s) (l_e_st_eq_landau_n_rt_rp_ivad_t5 r s) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl r s))).

(* constant 3839 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_rs ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_ts r s : l_e_st_eq_landau_n_rt_cut).

(* constant 3840 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t6 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_tdeq12a (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s) l_e_st_eq_landau_n_rt_rp_ivad_i : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s))))).

(* constant 3841 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t7 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) s) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) s) (l_e_st_eq_landau_n_rt_rp_disttp1 r l_e_st_eq_landau_n_rt_rp_ivad_i s) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i s) s (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) (l_e_st_eq_landau_n_rt_rp_satz151b s)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) s) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) s)).

(* constant 3842 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t8 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) s) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) s) (l_e_st_eq_landau_n_rt_rp_ivad_r1 r)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ivad_rps r s)) (l_e_st_eq_landau_n_rt_rp_disttp2 (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) s l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) s) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) s) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_t7 r s) (l_e_st_eq_landau_n_rt_rp_satz151 (l_e_st_eq_landau_n_rt_rp_ivad_r1 r))) (l_e_st_eq_landau_n_rt_rp_4pl24 (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) s r l_e_st_eq_landau_n_rt_rp_ivad_i) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ivad_rps r s))).

(* constant 3843 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t9 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ivad_rps r s)) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i)) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ivad_rps r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_t8 r s) (l_e_st_eq_landau_n_rt_rp_satz151 l_e_st_eq_landau_n_rt_rp_ivad_i)) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i))).

(* constant 3844 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t10 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i)) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i)) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i)) (l_e_st_eq_landau_n_rt_rp_ispl1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i)) l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_t9 r s)) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i)) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i))).

(* constant 3845 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t11 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tr3is l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_2) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s))) (l_e_st_eq_landau_n_rt_rp_asspl1 (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_4pl23 r s l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ispl12 (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_satz151a (l_e_st_eq_landau_n_rt_rp_ivad_r1 r)) (l_e_st_eq_landau_n_rt_rp_satz151c (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s))) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)))).

(* constant 3846 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t12 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i)) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)))) (l_e_st_eq_landau_n_rt_rp_ivad_t10 r s) (l_e_st_eq_landau_n_rt_rp_ispl2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rps r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ivad_t11 r s)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i)) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s))))).

(* constant 3847 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t13 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_eqi12 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_rs r s) l_e_st_eq_landau_n_rt_rp_ivad_i) l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_t12 r s) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i l_e_st_eq_landau_n_rt_rp_ivad_i)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)))) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ivad_rs r s))).

(* constant 3848 *)
definition l_e_st_eq_landau_n_rt_rp_lemmaivad2 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)) (l_e_st_eq_landau_n_rt_rp_df (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_pl r l_e_st_eq_landau_n_rt_rp_1rp) l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_ts l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_pl s l_e_st_eq_landau_n_rt_rp_1rp)))) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ts r s)) (l_e_st_eq_landau_n_rt_rp_ivad_t6 r s) (l_e_st_eq_landau_n_rt_rp_ivad_t13 r s) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ts r s))).

(* constant 3849 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t14 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s).(l_e_st_eq_landau_n_rt_rp_morede12 (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s) l_e_st_eq_landau_n_rt_rp_ivad_i m : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) l_e_st_eq_landau_n_rt_rp_ivad_i) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s) l_e_st_eq_landau_n_rt_rp_ivad_i)).

(* constant 3850 *)
definition l_e_st_eq_landau_n_rt_rp_ivad_t15 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s).(l_e_st_eq_landau_n_rt_rp_satz136a (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s) l_e_st_eq_landau_n_rt_rp_ivad_i (l_e_st_eq_landau_n_rt_rp_ivad_t14 r s m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_ivad_r1 r) (l_e_st_eq_landau_n_rt_rp_ivad_s1 r s)).

(* constant 3851 *)
definition l_e_st_eq_landau_n_rt_rp_lemmaivad3 ≝ λr:l_e_st_eq_landau_n_rt_cut.λs:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pdofrp r) (l_e_st_eq_landau_n_rt_rp_pdofrp s).(l_e_st_eq_landau_n_rt_rp_satz136a r s l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_ivad_t15 r s m) : l_e_st_eq_landau_n_rt_rp_more r s).

(* constant 3852 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t1 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.(l_e_st_eq_landau_n_rt_rp_treq2 (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td b b) c e f : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td b b)).

(* constant 3853 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t2 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td b a)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_eqpd2 (l_e_st_eq_landau_n_rt_rp_td b a) (l_e_st_eq_landau_n_rt_rp_td a b) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_comtd b a)) (l_e_st_eq_landau_n_rt_rp_pdmd (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td a b)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td b a)) (l_e_st_eq_landau_n_rt_rp_td a a)).

(* constant 3854 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t3 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.(l_e_st_eq_landau_n_rt_rp_tr4eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_td b (l_e_st_eq_landau_n_rt_rp_md a b))) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td b a) (l_e_st_eq_landau_n_rt_rp_td b b))) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td b a)) (l_e_st_eq_landau_n_rt_rp_td b b)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td b b)) (l_e_st_eq_landau_n_rt_rp_disttpd1 a b (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_eqpd12 (l_e_st_eq_landau_n_rt_rp_td a (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td b (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td b a) (l_e_st_eq_landau_n_rt_rp_td b b)) (l_e_st_eq_landau_n_rt_rp_disttmd2 a a b) (l_e_st_eq_landau_n_rt_rp_disttmd2 b a b)) (l_e_st_eq_landau_n_rt_rp_asspd2 (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td b a) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td b b))) (l_e_st_eq_landau_n_rt_rp_eqmd1 (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td b a)) (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td b b) (l_e_st_eq_landau_n_rt_rp_d161_t2 c a b n o e f)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td b b))).

(* constant 3855 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t4 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.(l_e_st_eq_landau_n_rt_rp_eqzero (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td b b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td b b)) (l_e_st_eq_landau_n_rt_rp_d161_t3 c a b n o e f)) (l_e_st_eq_landau_n_rt_rp_satzd182e (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td b b) (l_e_st_eq_landau_n_rt_rp_d161_t1 c a b n o e f)) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_md a b))).

(* constant 3856 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t5 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.(l_e_st_eq_landau_n_rt_rp_satzd192c (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_md a b) (l_e_st_eq_landau_n_rt_rp_d161_t4 c a b n o e f) : l_or (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_md a b))).

(* constant 3857 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t6 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_eqzero (l_e_st_eq_landau_n_rt_rp_td a a) (l_e_st_eq_landau_n_rt_rp_td b b) (l_e_st_eq_landau_n_rt_rp_d161_t1 c a b n o e f) (l_e_st_eq_landau_n_rt_rp_td01 a a z) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td b b)).

(* constant 3858 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t7 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_zero b) (l_e_st_eq_landau_n_rt_rp_zero b) (l_refimp (l_e_st_eq_landau_n_rt_rp_zero b)) (l_e_st_eq_landau_n_rt_rp_satzd192c b b (l_e_st_eq_landau_n_rt_rp_d161_t6 c a b n o e f z)) : l_e_st_eq_landau_n_rt_rp_zero b).

(* constant 3859 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t8 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_zeroeq a b z (l_e_st_eq_landau_n_rt_rp_d161_t7 c a b n o e f z) : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3860 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t9 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.λp:l_not (l_e_st_eq_landau_n_rt_rp_zero a).(l_or3e2 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_negd a) (l_e_st_eq_landau_n_rt_rp_axrdo a) n p : l_e_st_eq_landau_n_rt_rp_posd a).

(* constant 3861 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t10 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.λp:l_not (l_e_st_eq_landau_n_rt_rp_zero a).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_zero b) (l_e_st_eq_landau_n_rt_rp_zero a) p (λt:l_e_st_eq_landau_n_rt_rp_zero b.l_e_st_eq_landau_n_rt_rp_d161_t7 c b a o n f e t) : l_not (l_e_st_eq_landau_n_rt_rp_zero b)).

(* constant 3862 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t11 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.λp:l_not (l_e_st_eq_landau_n_rt_rp_zero a).(l_e_st_eq_landau_n_rt_rp_d161_t9 c b a o n f e (l_e_st_eq_landau_n_rt_rp_d161_t10 c a b n o e f p) : l_e_st_eq_landau_n_rt_rp_posd b).

(* constant 3863 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t12 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.λp:l_not (l_e_st_eq_landau_n_rt_rp_zero a).(l_e_st_eq_landau_n_rt_rp_pnot0d (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_ppd a b (l_e_st_eq_landau_n_rt_rp_d161_t9 c a b n o e f p) (l_e_st_eq_landau_n_rt_rp_d161_t11 c a b n o e f p)) : l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_pd a b))).

(* constant 3864 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t13 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.λp:l_not (l_e_st_eq_landau_n_rt_rp_zero a).(l_ore2 (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_md a b)) (l_e_st_eq_landau_n_rt_rp_d161_t5 c a b n o e f) (l_e_st_eq_landau_n_rt_rp_d161_t12 c a b n o e f p) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3865 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t14 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.λp:l_not (l_e_st_eq_landau_n_rt_rp_zero a).(l_e_st_eq_landau_n_rt_rp_satzd182b a b (l_e_st_eq_landau_n_rt_rp_d161_t13 c a b n o e f p) : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3866 *)
definition l_e_st_eq_landau_n_rt_rp_satzd161b ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd a).λo:l_not (l_e_st_eq_landau_n_rt_rp_negd b).λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a a) c.λf:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b b) c.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_eq a b) (λt:l_e_st_eq_landau_n_rt_rp_zero a.l_e_st_eq_landau_n_rt_rp_d161_t8 c a b n o e f t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_zero a).l_e_st_eq_landau_n_rt_rp_d161_t14 c a b n o e f t) : l_e_st_eq_landau_n_rt_rp_eq a b).

(* constant 3867 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t15 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd c).λz:l_e_st_eq_landau_n_rt_rp_zero c.(l_e_st_eq_landau_n_rt_rp_zeroeq (l_e_st_eq_landau_n_rt_rp_td c c) c (l_e_st_eq_landau_n_rt_rp_td01 c c z) z : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td c c) c).

(* constant 3868 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t16 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd c).λz:l_e_st_eq_landau_n_rt_rp_zero c.(l_andi (l_not (l_e_st_eq_landau_n_rt_rp_negd c)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td c c) c) n (l_e_st_eq_landau_n_rt_rp_d161_t15 c n z) : l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd c)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td c c) c)).

(* constant 3869 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t17 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd c).λz:l_e_st_eq_landau_n_rt_rp_zero c.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd x)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td x x) c)) c (l_e_st_eq_landau_n_rt_rp_d161_t16 c n z) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd x)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td x x) c))).

(* constant 3870 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t18 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd c).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero c).(l_or3e2 (l_e_st_eq_landau_n_rt_rp_zero c) (l_e_st_eq_landau_n_rt_rp_posd c) (l_e_st_eq_landau_n_rt_rp_negd c) (l_e_st_eq_landau_n_rt_rp_axrdo c) n o : l_e_st_eq_landau_n_rt_rp_posd c).

(* constant 3871 *)
definition l_e_st_eq_landau_n_rt_rp_d161_crp ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd c).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero c).(l_e_st_eq_landau_n_rt_rp_rpofpd c (l_e_st_eq_landau_n_rt_rp_d161_t18 c n o) : l_e_st_eq_landau_n_rt_cut).

(* constant 3872 *)
definition l_e_st_eq_landau_n_rt_rp_d161_srp ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd c).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero c).(l_e_st_eq_landau_n_rt_rp_sqrt (l_e_st_eq_landau_n_rt_rp_d161_crp c n o) : l_e_st_eq_landau_n_rt_cut).

(* constant 3873 *)
definition l_e_st_eq_landau_n_rt_rp_d161_s ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd c).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero c).(l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_d161_srp c n o) : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3874 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t19 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd c).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero c).(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_d161_s c n o) (l_e_st_eq_landau_n_rt_rp_d161_s c n o)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_d161_srp c n o) (l_e_st_eq_landau_n_rt_rp_d161_srp c n o))) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_d161_crp c n o)) c (l_e_st_eq_landau_n_rt_rp_lemmaivad2 (l_e_st_eq_landau_n_rt_rp_d161_srp c n o) (l_e_st_eq_landau_n_rt_rp_d161_srp c n o)) (l_e_st_eq_landau_n_rt_rp_isrpepd (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_d161_srp c n o) (l_e_st_eq_landau_n_rt_rp_d161_srp c n o)) (l_e_st_eq_landau_n_rt_rp_d161_crp c n o) (l_e_st_eq_landau_n_rt_rp_thsqrt1 (l_e_st_eq_landau_n_rt_rp_d161_crp c n o))) (l_e_st_eq_landau_n_rt_rp_eqpdrp2 c (l_e_st_eq_landau_n_rt_rp_d161_t18 c n o)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_d161_s c n o) (l_e_st_eq_landau_n_rt_rp_d161_s c n o)) c).

(* constant 3875 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t20 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd c).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero c).(l_andi (l_not (l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_d161_s c n o))) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_d161_s c n o) (l_e_st_eq_landau_n_rt_rp_d161_s c n o)) c) (l_e_st_eq_landau_n_rt_rp_pnotnd (l_e_st_eq_landau_n_rt_rp_d161_s c n o) (l_e_st_eq_landau_n_rt_rp_posdirp (l_e_st_eq_landau_n_rt_rp_d161_srp c n o))) (l_e_st_eq_landau_n_rt_rp_d161_t19 c n o) : l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_d161_s c n o))) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_d161_s c n o) (l_e_st_eq_landau_n_rt_rp_d161_s c n o)) c)).

(* constant 3876 *)
definition l_e_st_eq_landau_n_rt_rp_d161_t21 ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd c).λo:l_not (l_e_st_eq_landau_n_rt_rp_zero c).(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd x)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td x x) c)) (l_e_st_eq_landau_n_rt_rp_d161_s c n o) (l_e_st_eq_landau_n_rt_rp_d161_t20 c n o) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd x)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td x x) c))).

(* constant 3877 *)
definition l_e_st_eq_landau_n_rt_rp_satzd161a ≝ λc:l_e_st_eq_landau_n_rt_rp_dif.λn:l_not (l_e_st_eq_landau_n_rt_rp_negd c).(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_zero c) (l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd x)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td x x) c))) (λt:l_e_st_eq_landau_n_rt_rp_zero c.l_e_st_eq_landau_n_rt_rp_d161_t17 c n t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_zero c).l_e_st_eq_landau_n_rt_rp_d161_t21 c n t) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd x)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td x x) c))).

(* constant 3878 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_ori1 (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_absd a)) (l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_absd a))) (l_e_st_eq_landau_n_rt_rp_satzd166f a z) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3879 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λn:l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a).(l_e_st_eq_landau_n_rt_rp_natintd (l_e_st_eq_landau_n_rt_rp_absd a) n : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3880 *)
definition l_e_st_eq_landau_n_rt_rp_intabsd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.(l_orapp (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a)) (l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_absd a)) i (λt:l_e_st_eq_landau_n_rt_rp_zero a.l_e_st_eq_landau_n_rt_rp_intd_t1 a i t) (λt:l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a).l_e_st_eq_landau_n_rt_rp_intd_t2 a i t) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3881 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t4 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λn:l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a).(l_e_st_eq_landau_n_rt_rp_eqnatd (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_satzd178a a) n : l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a))).

(* constant 3882 *)
definition l_e_st_eq_landau_n_rt_rp_intm0d ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a)) (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a))) i (λt:l_e_st_eq_landau_n_rt_rp_zero a.l_e_st_eq_landau_n_rt_rp_satzd176b a t) (λt:l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd a).l_e_st_eq_landau_n_rt_rp_intd_t4 a i t) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_m0d a)).

(* constant 3883 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t5 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_pd a b) b (l_e_st_eq_landau_n_rt_rp_pd01 a b z) : l_e_st_eq_landau_n_rt_rp_eq b (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3884 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t6 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λz:l_e_st_eq_landau_n_rt_rp_zero a.(l_e_st_eq_landau_n_rt_rp_eqintd b (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_intd_t5 a b i j z) j : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3885 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t7 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λz:l_e_st_eq_landau_n_rt_rp_zero b.(l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_pd a b) a (l_e_st_eq_landau_n_rt_rp_pd02 a b z) : l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3886 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t8 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λz:l_e_st_eq_landau_n_rt_rp_zero b.(l_e_st_eq_landau_n_rt_rp_eqintd a (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_intd_t7 a b i j z) i : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3887 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t9 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_ande2 (l_e_st_eq_landau_n_rt_rp_posd a) (∀t:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd a t)) (l_e_st_eq_landau_n_rt_rp_posintnatd a p i) p : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_rpofpd a p)).

(* constant 3888 *)
definition l_e_st_eq_landau_n_rt_rp_intd_apb1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).(l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pd a b) pp : l_e_st_eq_landau_n_rt_cut).

(* constant 3889 *)
definition l_e_st_eq_landau_n_rt_rp_intd_a1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_rpofpd a p : l_e_st_eq_landau_n_rt_cut).

(* constant 3890 *)
definition l_e_st_eq_landau_n_rt_rp_intd_b1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_rpofpd b q : l_e_st_eq_landau_n_rt_cut).

(* constant 3891 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t10 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_natpl (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_t9 a i p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q) (l_e_st_eq_landau_n_rt_rp_intd_t9 b j q) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q))).

(* constant 3892 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t11 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_eqpd12 a (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p)) b (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q)) (l_e_st_eq_landau_n_rt_rp_eqpdrp1 a p) (l_e_st_eq_landau_n_rt_rp_eqpdrp1 b q) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q)))).

(* constant 3893 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t12 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_treq (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q))) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q))) (l_e_st_eq_landau_n_rt_rp_intd_t11 a b i j pp p q) (l_e_st_eq_landau_n_rt_rp_lemmaivad1 (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q)))).

(* constant 3894 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t13 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q))) (l_e_st_eq_landau_n_rt_rp_posdirp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q)))) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q)) (l_e_st_eq_landau_n_rt_rp_eqpderp (l_e_st_eq_landau_n_rt_rp_pd a b) pp (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q))) (l_e_st_eq_landau_n_rt_rp_posdirp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q))) (l_e_st_eq_landau_n_rt_rp_intd_t12 a b i j pp p q)) (l_e_st_eq_landau_n_rt_rp_isrppd2 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q))) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q))).

(* constant 3895 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t14 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_isp1 l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b1 a b i j pp p q)) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp) (l_e_st_eq_landau_n_rt_rp_intd_t10 a b i j pp p q) (l_e_st_eq_landau_n_rt_rp_intd_t13 a b i j pp p q) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp)).

(* constant 3896 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t15 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_andi (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b)) (∀t:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j t)) pp (λt:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).l_e_st_eq_landau_n_rt_rp_intd_t14 a b i j t p q) : l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3897 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t16 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λq:l_e_st_eq_landau_n_rt_rp_posd b.(l_e_st_eq_landau_n_rt_rp_natintd (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_intd_t15 a b i j pp p q) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3898 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t17 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_satzd176c b n : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_m0d b)).

(* constant 3899 *)
definition l_e_st_eq_landau_n_rt_rp_intd_b2 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_intd_t17 a b i j pp p n) : l_e_st_eq_landau_n_rt_cut).

(* constant 3900 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t18 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_eqpd2 b (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d b)) a (l_e_st_eq_landau_n_rt_rp_satzd177a b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_md a (l_e_st_eq_landau_n_rt_rp_m0d b))).

(* constant 3901 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t19 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_eqposd (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_md a (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_intd_t18 a b i j pp p n) pp : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_md a (l_e_st_eq_landau_n_rt_rp_m0d b))).

(* constant 3902 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t20 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_satzd182a a (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_intd_t19 a b i j pp p n) : l_e_st_eq_landau_n_rt_rp_mored a (l_e_st_eq_landau_n_rt_rp_m0d b)).

(* constant 3903 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t21 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_eqmored12 a (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p)) (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n)) (l_e_st_eq_landau_n_rt_rp_eqpdrp1 a p) (l_e_st_eq_landau_n_rt_rp_eqpdrp1 (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_intd_t17 a b i j pp p n)) (l_e_st_eq_landau_n_rt_rp_intd_t20 a b i j pp p n) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n))).

(* constant 3904 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t22 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_lemmaivad3 (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_t21 a b i j pp p n) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n)).

(* constant 3905 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t23 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_natmn (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_t9 a i p) (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_t9 (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_intm0d b j) (l_e_st_eq_landau_n_rt_rp_intd_t17 a b i j pp p n)) (l_e_st_eq_landau_n_rt_rp_intd_t22 a b i j pp p n) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_t22 a b i j pp p n))).

(* constant 3906 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t24 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_eqpd12 (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n)) (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp)) (l_e_st_eq_landau_n_rt_rp_eqpdrp1 (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_intd_t17 a b i j pp p n)) (l_e_st_eq_landau_n_rt_rp_eqpdrp1 (l_e_st_eq_landau_n_rt_rp_pd a b) pp) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp)))).

(* constant 3907 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t25 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_tr4eq a (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a b) b) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp))) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp))) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a b) b) a (l_e_st_eq_landau_n_rt_rp_mdpd a b)) (l_e_st_eq_landau_n_rt_rp_compd (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_intd_t24 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_lemmaivad1 (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp)) : l_e_st_eq_landau_n_rt_rp_eq a (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp)))).

(* constant 3908 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t26 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_tris2 l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp)) (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp))) (l_e_st_eq_landau_n_rt_rp_posdirp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp)))) (l_e_st_eq_landau_n_rt_rp_isrppd1 (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp))) (l_e_st_eq_landau_n_rt_rp_eqpderp a p (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp))) (l_e_st_eq_landau_n_rt_rp_posdirp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp))) (l_e_st_eq_landau_n_rt_rp_intd_t25 a b i j pp p n)) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp)) (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p)).

(* constant 3909 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t27 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_satz140g (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp) (l_e_st_eq_landau_n_rt_rp_intd_t22 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_t26 a b i j pp p n) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_t22 a b i j pp p n))).

(* constant 3910 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t28 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_isp1 l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) (l_e_st_eq_landau_n_rt_rp_mn (l_e_st_eq_landau_n_rt_rp_intd_a1 a b i j pp p) (l_e_st_eq_landau_n_rt_rp_intd_b2 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_t22 a b i j pp p n)) (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp) (l_e_st_eq_landau_n_rt_rp_intd_t23 a b i j pp p n) (l_e_st_eq_landau_n_rt_rp_intd_t27 a b i j pp p n) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j pp)).

(* constant 3911 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t29 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_andi (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b)) (∀t:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_intd_apb1 a b i j t)) pp (λt:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).l_e_st_eq_landau_n_rt_rp_intd_t28 a b i j t p n) : l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3912 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t30 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.λn:l_e_st_eq_landau_n_rt_rp_negd b.(l_e_st_eq_landau_n_rt_rp_natintd (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_intd_t29 a b i j pp p n) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3913 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t31 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λp:l_e_st_eq_landau_n_rt_rp_posd a.(l_e_st_eq_landau_n_rt_rp_rappd b (l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)) (λt:l_e_st_eq_landau_n_rt_rp_posd b.l_e_st_eq_landau_n_rt_rp_intd_t16 a b i j pp p t) (λt:l_e_st_eq_landau_n_rt_rp_zero b.l_e_st_eq_landau_n_rt_rp_intd_t8 a b i j t) (λt:l_e_st_eq_landau_n_rt_rp_negd b.l_e_st_eq_landau_n_rt_rp_intd_t30 a b i j pp p t) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3914 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t31a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_negd b) (l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_pnotnd (l_e_st_eq_landau_n_rt_rp_pd a b) pp) (λt:l_e_st_eq_landau_n_rt_rp_negd b.l_e_st_eq_landau_n_rt_rp_npd a b n t) : l_not (l_e_st_eq_landau_n_rt_rp_negd b)).

(* constant 3915 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t32 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_zero b) (l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_pnotnd (l_e_st_eq_landau_n_rt_rp_pd a b) pp) (λt:l_e_st_eq_landau_n_rt_rp_zero b.l_e_st_eq_landau_n_rt_rp_eqnegd a (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_symeq (l_e_st_eq_landau_n_rt_rp_pd a b) a (l_e_st_eq_landau_n_rt_rp_pd02 a b t)) n) : l_not (l_e_st_eq_landau_n_rt_rp_zero b)).

(* constant 3916 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t33 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_or3e2 (l_e_st_eq_landau_n_rt_rp_zero b) (l_e_st_eq_landau_n_rt_rp_posd b) (l_e_st_eq_landau_n_rt_rp_negd b) (l_e_st_eq_landau_n_rt_rp_axrdo b) (l_e_st_eq_landau_n_rt_rp_intd_t31a a b i j pp n) (l_e_st_eq_landau_n_rt_rp_intd_t32 a b i j pp n) : l_e_st_eq_landau_n_rt_rp_posd b).

(* constant 3917 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t34 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_eqposd (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_pd b a) (l_e_st_eq_landau_n_rt_rp_compd a b) pp : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd b a)).

(* constant 3918 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t35 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_intd_t30 b a j i (l_e_st_eq_landau_n_rt_rp_intd_t34 a b i j pp n) (l_e_st_eq_landau_n_rt_rp_intd_t33 a b i j pp n) n : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd b a)).

(* constant 3919 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t36 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).λn:l_e_st_eq_landau_n_rt_rp_negd a.(l_e_st_eq_landau_n_rt_rp_eqintd (l_e_st_eq_landau_n_rt_rp_pd b a) (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_compd b a) (l_e_st_eq_landau_n_rt_rp_intd_t35 a b i j pp n) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3920 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t37 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λpp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).(l_e_st_eq_landau_n_rt_rp_rappd a (l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)) (λt:l_e_st_eq_landau_n_rt_rp_posd a.l_e_st_eq_landau_n_rt_rp_intd_t31 a b i j pp t) (λt:l_e_st_eq_landau_n_rt_rp_zero a.l_e_st_eq_landau_n_rt_rp_intd_t6 a b i j t) (λt:l_e_st_eq_landau_n_rt_rp_negd a.l_e_st_eq_landau_n_rt_rp_intd_t36 a b i j pp t) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3921 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t38 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn0p:l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_pd a b).(l_e_st_eq_landau_n_rt_rp_intdi0 (l_e_st_eq_landau_n_rt_rp_pd a b) n0p : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3922 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t39 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λnp:l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_pd a b).(l_e_st_eq_landau_n_rt_rp_satzd176c (l_e_st_eq_landau_n_rt_rp_pd a b) np : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd a b))).

(* constant 3923 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t40 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λnp:l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_pd a b).(l_e_st_eq_landau_n_rt_rp_eqposd (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_satzd180 a b) (l_e_st_eq_landau_n_rt_rp_intd_t39 a b i j np) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b))).

(* constant 3924 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t41 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λnp:l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_pd a b).(l_e_st_eq_landau_n_rt_rp_intd_t37 (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_intm0d a i) (l_e_st_eq_landau_n_rt_rp_intm0d b j) (l_e_st_eq_landau_n_rt_rp_intd_t40 a b i j np) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b))).

(* constant 3925 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t42 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λnp:l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_pd a b).(l_e_st_eq_landau_n_rt_rp_eqintd (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_satzd180a a b) (l_e_st_eq_landau_n_rt_rp_intd_t41 a b i j np) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd a b))).

(* constant 3926 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t43 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λnp:l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_pd a b).(l_e_st_eq_landau_n_rt_rp_intm0d (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_intd_t42 a b i j np) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd a b)))).

(* constant 3927 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t44 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λnp:l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_pd a b).(l_e_st_eq_landau_n_rt_rp_eqintd (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd a b))) (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_satzd177 (l_e_st_eq_landau_n_rt_rp_pd a b)) (l_e_st_eq_landau_n_rt_rp_intd_t43 a b i j np) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3928 *)
definition l_e_st_eq_landau_n_rt_rp_intpd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.(l_e_st_eq_landau_n_rt_rp_rappd (l_e_st_eq_landau_n_rt_rp_pd a b) (l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)) (λt:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a b).l_e_st_eq_landau_n_rt_rp_intd_t37 a b i j t) (λt:l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_pd a b).l_e_st_eq_landau_n_rt_rp_intd_t38 a b i j t) (λt:l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_pd a b).l_e_st_eq_landau_n_rt_rp_intd_t44 a b i j t) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a b)).

(* constant 3929 *)
definition l_e_st_eq_landau_n_rt_rp_intmd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.(l_e_st_eq_landau_n_rt_rp_intpd a (l_e_st_eq_landau_n_rt_rp_m0d b) i (l_e_st_eq_landau_n_rt_rp_intm0d b j) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 3930 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t45 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_zero a) (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)) n (λt:l_e_st_eq_landau_n_rt_rp_zero a.l_e_st_eq_landau_n_rt_rp_td01 a b t) : l_not (l_e_st_eq_landau_n_rt_rp_zero a)).

(* constant 3931 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t46 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_zero b) (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)) n (λt:l_e_st_eq_landau_n_rt_rp_zero b.l_e_st_eq_landau_n_rt_rp_td02 a b t) : l_not (l_e_st_eq_landau_n_rt_rp_zero b)).

(* constant 3932 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t47 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).(l_e_st_eq_landau_n_rt_rp_satzd166e a (l_e_st_eq_landau_n_rt_rp_intd_t45 a b i j n) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd a)).

(* constant 3933 *)
definition l_e_st_eq_landau_n_rt_rp_intd_a3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).(l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_intd_t47 a b i j n) : l_e_st_eq_landau_n_rt_cut).

(* constant 3934 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t48 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).(l_e_st_eq_landau_n_rt_rp_satzd166e b (l_e_st_eq_landau_n_rt_rp_intd_t46 a b i j n) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd b)).

(* constant 3935 *)
definition l_e_st_eq_landau_n_rt_rp_intd_b3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).(l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_intd_t48 a b i j n) : l_e_st_eq_landau_n_rt_cut).

(* constant 3936 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t49 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).(l_e_st_eq_landau_n_rt_rp_natts (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_t9 (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_intabsd a i) (l_e_st_eq_landau_n_rt_rp_intd_t47 a b i j n)) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_t9 (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_intabsd b j) (l_e_st_eq_landau_n_rt_rp_intd_t48 a b i j n)) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n))).

(* constant 3937 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t50 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).(l_e_st_eq_landau_n_rt_rp_satzd166e (l_e_st_eq_landau_n_rt_rp_td a b) n : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3938 *)
definition l_e_st_eq_landau_n_rt_rp_intd_atb3 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)).(l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) p : l_e_st_eq_landau_n_rt_cut).

(* constant 3939 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t51 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)).(l_e_st_eq_landau_n_rt_rp_eqtd12 (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n)) (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n)) (l_e_st_eq_landau_n_rt_rp_eqpdrp1 (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_intd_t47 a b i j n)) (l_e_st_eq_landau_n_rt_rp_eqpdrp1 (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_intd_t48 a b i j n)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n)))).

(* constant 3940 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t52 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)).(l_e_st_eq_landau_n_rt_rp_tr3eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n))) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n))) (l_e_st_eq_landau_n_rt_rp_satzd193 a b) (l_e_st_eq_landau_n_rt_rp_intd_t51 a b i j n p) (l_e_st_eq_landau_n_rt_rp_lemmaivad2 (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n)))).

(* constant 3941 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t53 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)).(l_e_tris2 l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_intd_atb3 a b i j n p) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n)) (l_e_st_eq_landau_n_rt_rp_rpofpd (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n))) (l_e_st_eq_landau_n_rt_rp_posdirp (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n)))) (l_e_st_eq_landau_n_rt_rp_eqpderp (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)) p (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n))) (l_e_st_eq_landau_n_rt_rp_posdirp (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n))) (l_e_st_eq_landau_n_rt_rp_intd_t52 a b i j n p)) (l_e_st_eq_landau_n_rt_rp_isrppd1 (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n))) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_intd_atb3 a b i j n p) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n))).

(* constant 3942 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t54 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).λp:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)).(l_e_isp1 l_e_st_eq_landau_n_rt_cut (λt:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_natrp t) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_intd_a3 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_b3 a b i j n)) (l_e_st_eq_landau_n_rt_rp_intd_atb3 a b i j n p) (l_e_st_eq_landau_n_rt_rp_intd_t49 a b i j n) (l_e_st_eq_landau_n_rt_rp_intd_t53 a b i j n p) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_intd_atb3 a b i j n p)).

(* constant 3943 *)
definition l_e_st_eq_landau_n_rt_rp_intd_t55 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.λn:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).(l_andi (l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b))) (∀t:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)).l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_intd_atb3 a b i j n t)) (l_e_st_eq_landau_n_rt_rp_intd_t50 a b i j n) (λt:l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b)).l_e_st_eq_landau_n_rt_rp_intd_t54 a b i j n t) : l_e_st_eq_landau_n_rt_rp_natd (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a b))).

(* constant 3944 *)
definition l_e_st_eq_landau_n_rt_rp_inttd ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λi:l_e_st_eq_landau_n_rt_rp_intd a.λj:l_e_st_eq_landau_n_rt_rp_intd b.(λt:l_not (l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a b)).l_e_st_eq_landau_n_rt_rp_intd_t55 a b i j t : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_td a b)).

(* constant 3945 *)
definition l_e_st_eq_landau_n_rt_rp_r_eq ≝ (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq x y : ∀x:l_e_st_eq_landau_n_rt_rp_dif.∀y:l_e_st_eq_landau_n_rt_rp_dif.Prop).

(* constant 3946 *)
definition l_e_st_eq_landau_n_rt_rp_r_refeq ≝ (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_refeq x : ∀x:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_eq x x).

(* constant 3947 *)
definition l_e_st_eq_landau_n_rt_rp_r_symeq ≝ (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_eq x y.l_e_st_eq_landau_n_rt_rp_symeq x y t : ∀x:l_e_st_eq_landau_n_rt_rp_dif.∀y:l_e_st_eq_landau_n_rt_rp_dif.∀t:l_e_st_eq_landau_n_rt_rp_r_eq x y.l_e_st_eq_landau_n_rt_rp_r_eq y x).

(* constant 3948 *)
definition l_e_st_eq_landau_n_rt_rp_r_treq ≝ (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_eq x y.λu:l_e_st_eq_landau_n_rt_rp_r_eq y z.l_e_st_eq_landau_n_rt_rp_treq x y z t u : ∀x:l_e_st_eq_landau_n_rt_rp_dif.∀y:l_e_st_eq_landau_n_rt_rp_dif.∀z:l_e_st_eq_landau_n_rt_rp_dif.∀t:l_e_st_eq_landau_n_rt_rp_r_eq x y.∀u:l_e_st_eq_landau_n_rt_rp_r_eq y z.l_e_st_eq_landau_n_rt_rp_r_eq x z).

(* constant 3949 *)
definition l_e_st_eq_landau_n_rt_rp_r_inn ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λs:l_e_st_set l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_esti l_e_st_eq_landau_n_rt_rp_dif a s : Prop).

(* constant 3950 *)
definition l_e_st_eq_landau_n_rt_rp_r_real ≝ (l_e_st_eq_ect l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq : Type[0]).

(* constant 3951 *)
definition l_e_st_eq_landau_n_rt_rp_r_is ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_is l_e_st_eq_landau_n_rt_rp_r_real r s : Prop).

(* constant 3952 *)
definition l_e_st_eq_landau_n_rt_rp_r_nis ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_not (l_e_st_eq_landau_n_rt_rp_r_is r s) : Prop).

(* constant 3953 *)
definition l_e_st_eq_landau_n_rt_rp_r_some ≝ λp:∀x:l_e_st_eq_landau_n_rt_rp_r_real.Prop.(l_some l_e_st_eq_landau_n_rt_rp_r_real p : Prop).

(* constant 3954 *)
definition l_e_st_eq_landau_n_rt_rp_r_all ≝ λp:∀x:l_e_st_eq_landau_n_rt_rp_r_real.Prop.(l_all l_e_st_eq_landau_n_rt_rp_r_real p : Prop).

(* constant 3955 *)
definition l_e_st_eq_landau_n_rt_rp_r_one ≝ λp:∀x:l_e_st_eq_landau_n_rt_rp_r_real.Prop.(l_e_one l_e_st_eq_landau_n_rt_rp_r_real p : Prop).

(* constant 3956 *)
definition l_e_st_eq_landau_n_rt_rp_r_in ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs0:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_esti l_e_st_eq_landau_n_rt_rp_r_real r s0 : Prop).

(* constant 3957 *)
definition l_e_st_eq_landau_n_rt_rp_r_realof ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_ectelt l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq a : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 3958 *)
definition l_e_st_eq_landau_n_rt_rp_r_class ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_ecect l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq r : l_e_st_set l_e_st_eq_landau_n_rt_rp_dif).

(* constant 3959 *)
definition l_e_st_eq_landau_n_rt_rp_r_innclass ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.(l_e_st_eq_4_th5 l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq a : l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class (l_e_st_eq_landau_n_rt_rp_r_realof a))).

(* constant 3960 *)
definition l_e_st_eq_landau_n_rt_rp_r_eqinn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_st_eq_4_th8 l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq r a air b e : l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class r)).

(* constant 3961 *)
definition l_e_st_eq_landau_n_rt_rp_r_realapp1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rp_dif.∀xi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).p.(l_e_st_eq_4_th3 l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq r p p1 : p).

(* constant 3962 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rp_dif.∀y:l_e_st_eq_landau_n_rt_rp_dif.∀xi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).∀yi:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).p.λa:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_st_eq_landau_n_rt_rp_r_realapp1 s p (λy:l_e_st_eq_landau_n_rt_rp_dif.p1 a y air) : p).

(* constant 3963 *)
definition l_e_st_eq_landau_n_rt_rp_r_realapp2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rp_dif.∀y:l_e_st_eq_landau_n_rt_rp_dif.∀xi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).∀yi:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).p.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r p (λx:l_e_st_eq_landau_n_rt_rp_dif.λxi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr1_t1 r s p p1 x xi) : p).

(* constant 3964 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rp_dif.∀y:l_e_st_eq_landau_n_rt_rp_dif.∀z:l_e_st_eq_landau_n_rt_rp_dif.∀xi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).∀yi:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).∀zi:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).p.λa:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_st_eq_landau_n_rt_rp_r_realapp2 s t p (λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.p1 a y z air) : p).

(* constant 3965 *)
definition l_e_st_eq_landau_n_rt_rp_r_realapp3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rp_dif.∀y:l_e_st_eq_landau_n_rt_rp_dif.∀z:l_e_st_eq_landau_n_rt_rp_dif.∀xi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).∀yi:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).∀zi:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).p.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r p (λx:l_e_st_eq_landau_n_rt_rp_dif.λxi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr1_t2 r s t p p1 x xi) : p).

(* constant 3966 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rp_dif.∀y:l_e_st_eq_landau_n_rt_rp_dif.∀z:l_e_st_eq_landau_n_rt_rp_dif.∀v:l_e_st_eq_landau_n_rt_rp_dif.∀xi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).∀yi:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).∀zi:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).∀vi:l_e_st_eq_landau_n_rt_rp_r_inn v (l_e_st_eq_landau_n_rt_rp_r_class u).p.λa:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_st_eq_landau_n_rt_rp_r_realapp3 s t u p (λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λv:l_e_st_eq_landau_n_rt_rp_dif.p1 a y z v air) : p).

(* constant 3967 *)
definition l_e_st_eq_landau_n_rt_rp_r_realapp4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λp:Prop.λp1:∀x:l_e_st_eq_landau_n_rt_rp_dif.∀y:l_e_st_eq_landau_n_rt_rp_dif.∀z:l_e_st_eq_landau_n_rt_rp_dif.∀v:l_e_st_eq_landau_n_rt_rp_dif.∀xi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).∀yi:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).∀zi:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).∀vi:l_e_st_eq_landau_n_rt_rp_r_inn v (l_e_st_eq_landau_n_rt_rp_r_class u).p.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r p (λx:l_e_st_eq_landau_n_rt_rp_dif.λxi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr1_t3 r s t u p p1 x xi) : p).

(* constant 3968 *)
definition l_e_st_eq_landau_n_rt_rp_r_isin ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λe:l_e_st_eq_landau_n_rt_rp_eq a1 b1.(l_e_st_eq_5_th3 l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq r s a1 a1ir b1 b1is e : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 3969 *)
definition l_e_st_eq_landau_n_rt_rp_r_isex ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_5_th5 l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq r s a1 a1ir b1 b1is i : l_e_st_eq_landau_n_rt_rp_eq a1 b1).

(* constant 3970 *)
definition l_e_st_eq_landau_n_rt_rp_r_nisin ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_not (l_e_st_eq_landau_n_rt_rp_eq a1 b1).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_eq a1 b1) n (λt:l_e_st_eq_landau_n_rt_rp_r_is r s.l_e_st_eq_landau_n_rt_rp_r_isex r s a1 b1 a1ir b1is t) : l_e_st_eq_landau_n_rt_rp_r_nis r s).

(* constant 3971 *)
definition l_e_st_eq_landau_n_rt_rp_r_nisex ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_e_st_eq_landau_n_rt_rp_r_nis r s.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_eq a1 b1) (l_e_st_eq_landau_n_rt_rp_r_is r s) n (λt:l_e_st_eq_landau_n_rt_rp_eq a1 b1.l_e_st_eq_landau_n_rt_rp_r_isin r s a1 b1 a1ir b1is t) : l_not (l_e_st_eq_landau_n_rt_rp_eq a1 b1)).

(* constant 3972 *)
definition l_e_st_eq_landau_n_rt_rp_r_fixf ≝ λalpha:Type[0].λf:Πx:l_e_st_eq_landau_n_rt_rp_dif.alpha.(l_e_st_eq_fixfu l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq alpha f : Prop).

(* constant 3973 *)
definition l_e_st_eq_landau_n_rt_rp_r_indreal ≝ λalpha:Type[0].λf:Πx:l_e_st_eq_landau_n_rt_rp_dif.alpha.λff:l_e_st_eq_landau_n_rt_rp_r_fixf alpha f.λr0:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_indeq l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq alpha f ff r0 : alpha).

(* constant 3974 *)
definition l_e_st_eq_landau_n_rt_rp_r_isindreal ≝ λalpha:Type[0].λf:Πx:l_e_st_eq_landau_n_rt_rp_dif.alpha.λff:l_e_st_eq_landau_n_rt_rp_r_fixf alpha f.λr0:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r0).(l_e_st_eq_10_th2 l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq alpha f ff r0 a air : l_e_is alpha (f a) (l_e_st_eq_landau_n_rt_rp_r_indreal alpha f ff r0)).

(* constant 3975 *)
definition l_e_st_eq_landau_n_rt_rp_r_fixf2 ≝ λalpha:Type[0].λg:Πx:l_e_st_eq_landau_n_rt_rp_dif.Πy:l_e_st_eq_landau_n_rt_rp_dif.alpha.(l_e_st_eq_fixfu2 l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq alpha g : Prop).

(* constant 3976 *)
definition l_e_st_eq_landau_n_rt_rp_r_indreal2 ≝ λalpha:Type[0].λg:Πx:l_e_st_eq_landau_n_rt_rp_dif.Πy:l_e_st_eq_landau_n_rt_rp_dif.alpha.λff2:l_e_st_eq_landau_n_rt_rp_r_fixf2 alpha g.λr0:l_e_st_eq_landau_n_rt_rp_r_real.λs0:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_indeq2 l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq alpha g ff2 r0 s0 : alpha).

(* constant 3977 *)
definition l_e_st_eq_landau_n_rt_rp_r_isindreal2 ≝ λalpha:Type[0].λg:Πx:l_e_st_eq_landau_n_rt_rp_dif.Πy:l_e_st_eq_landau_n_rt_rp_dif.alpha.λff2:l_e_st_eq_landau_n_rt_rp_r_fixf2 alpha g.λr0:l_e_st_eq_landau_n_rt_rp_r_real.λs0:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r0).λbis:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class s0).(l_e_st_eq_11_th1 l_e_st_eq_landau_n_rt_rp_dif l_e_st_eq_landau_n_rt_rp_r_eq l_e_st_eq_landau_n_rt_rp_r_refeq l_e_st_eq_landau_n_rt_rp_r_symeq l_e_st_eq_landau_n_rt_rp_r_treq alpha g ff2 r0 s0 a air b bis : l_e_is alpha (g a b) (l_e_st_eq_landau_n_rt_rp_r_indreal2 alpha g ff2 r0 s0)).

(* constant 3978 *)
definition l_e_st_eq_landau_n_rt_rp_r_0 ≝ (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_df l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 3979 *)
definition l_e_st_eq_landau_n_rt_rp_r_0in ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λz:l_e_st_eq_landau_n_rt_rp_zero a0.(l_e_st_eq_landau_n_rt_rp_r_isin r l_e_st_eq_landau_n_rt_rp_r_0 a0 (l_e_st_eq_landau_n_rt_rp_df l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) a0ir (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_df l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_zeroeq a0 (l_e_st_eq_landau_n_rt_rp_df l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) z (l_e_st_eq_landau_n_rt_rp_zeroi l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp (l_e_refis l_e_st_eq_landau_n_rt_cut l_e_st_eq_landau_n_rt_rp_1rp))) : l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 3980 *)
definition l_e_st_eq_landau_n_rt_rp_r_0ex ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_eqzero (l_e_st_eq_landau_n_rt_rp_df l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) a0 (l_e_st_eq_landau_n_rt_rp_r_isex l_e_st_eq_landau_n_rt_rp_r_0 r (l_e_st_eq_landau_n_rt_rp_df l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) a0 (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_df l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) a0ir (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real r l_e_st_eq_landau_n_rt_rp_r_0 i)) (l_e_tris l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_stm (l_e_st_eq_landau_n_rt_rp_df l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) l_e_st_eq_landau_n_rt_rp_1rp (l_e_st_eq_landau_n_rt_rp_std (l_e_st_eq_landau_n_rt_rp_df l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) (l_e_st_eq_landau_n_rt_rp_stmis l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp) (l_e_st_eq_landau_n_rt_rp_isstd l_e_st_eq_landau_n_rt_rp_1rp l_e_st_eq_landau_n_rt_rp_1rp)) : l_e_st_eq_landau_n_rt_rp_zero a0).

(* constant 3981 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_propp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.(l_and (l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_posd a0) : Prop).

(* constant 3982 *)
definition l_e_st_eq_landau_n_rt_rp_r_pos ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr1_propp r x) : Prop).

(* constant 3983 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_posd a0.(l_andi (l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_posd a0) a0ir p : l_e_st_eq_landau_n_rt_rp_r_ivr1_propp r a0).

(* constant 3984 *)
definition l_e_st_eq_landau_n_rt_rp_r_posin ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_posd a0.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr1_propp r x) a0 (l_e_st_eq_landau_n_rt_rp_r_ivr1_t4 r a0 a0ir p) : l_e_st_eq_landau_n_rt_rp_r_pos r).

(* constant 3985 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λa:l_e_st_eq_landau_n_rt_rp_dif.λq1:l_e_st_eq_landau_n_rt_rp_r_ivr1_propp r a.(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_posd a) q1 : l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)).

(* constant 3986 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λa:l_e_st_eq_landau_n_rt_rp_dif.λq1:l_e_st_eq_landau_n_rt_rp_r_ivr1_propp r a.(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_posd a) q1 : l_e_st_eq_landau_n_rt_rp_posd a).

(* constant 3987 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λa:l_e_st_eq_landau_n_rt_rp_dif.λq1:l_e_st_eq_landau_n_rt_rp_r_ivr1_propp r a.(l_e_st_eq_landau_n_rt_rp_eqposd a a0 (l_e_st_eq_landau_n_rt_rp_r_isex r r a a0 (l_e_st_eq_landau_n_rt_rp_r_ivr1_t5 r a0 a0ir p a q1) a0ir (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real r)) (l_e_st_eq_landau_n_rt_rp_r_ivr1_t6 r a0 a0ir p a q1) : l_e_st_eq_landau_n_rt_rp_posd a0).

(* constant 3988 *)
definition l_e_st_eq_landau_n_rt_rp_r_posex ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr1_propp r x) p (l_e_st_eq_landau_n_rt_rp_posd a0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_ivr1_propp r x.l_e_st_eq_landau_n_rt_rp_r_ivr1_t7 r a0 a0ir p x t) : l_e_st_eq_landau_n_rt_rp_posd a0).

(* constant 3989 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_propn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.(l_and (l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_negd a0) : Prop).

(* constant 3990 *)
definition l_e_st_eq_landau_n_rt_rp_r_neg ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr1_propn r x) : Prop).

(* constant 3991 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_negd a0.(l_andi (l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_negd a0) a0ir n : l_e_st_eq_landau_n_rt_rp_r_ivr1_propn r a0).

(* constant 3992 *)
definition l_e_st_eq_landau_n_rt_rp_r_negin ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_negd a0.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr1_propn r x) a0 (l_e_st_eq_landau_n_rt_rp_r_ivr1_t8 r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_r_neg r).

(* constant 3993 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λa:l_e_st_eq_landau_n_rt_rp_dif.λpl:l_e_st_eq_landau_n_rt_rp_r_ivr1_propn r a.(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_negd a) pl : l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)).

(* constant 3994 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λa:l_e_st_eq_landau_n_rt_rp_dif.λpl:l_e_st_eq_landau_n_rt_rp_r_ivr1_propn r a.(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_negd a) pl : l_e_st_eq_landau_n_rt_rp_negd a).

(* constant 3995 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λa:l_e_st_eq_landau_n_rt_rp_dif.λpl:l_e_st_eq_landau_n_rt_rp_r_ivr1_propn r a.(l_e_st_eq_landau_n_rt_rp_eqnegd a a0 (l_e_st_eq_landau_n_rt_rp_r_isex r r a a0 (l_e_st_eq_landau_n_rt_rp_r_ivr1_t9 r a0 a0ir n a pl) a0ir (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real r)) (l_e_st_eq_landau_n_rt_rp_r_ivr1_t10 r a0 a0ir n a pl) : l_e_st_eq_landau_n_rt_rp_negd a0).

(* constant 3996 *)
definition l_e_st_eq_landau_n_rt_rp_r_negex ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr1_propn r x) n (l_e_st_eq_landau_n_rt_rp_negd a0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_ivr1_propn r x.l_e_st_eq_landau_n_rt_rp_r_ivr1_t11 r a0 a0ir n x t) : l_e_st_eq_landau_n_rt_rp_negd a0).

(* constant 3997 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_posd a0.(l_or3i2 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_posin r a0 a0ir p) : l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r)).

(* constant 3998 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t13 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λz:l_e_st_eq_landau_n_rt_rp_zero a0.(l_or3i1 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_0in r a0 a0ir z) : l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r)).

(* constant 3999 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t14 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_negd a0.(l_or3i3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_negin r a0 a0ir n) : l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r)).

(* constant 4000 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t15 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_st_eq_landau_n_rt_rp_rappd a0 (l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r)) (λt:l_e_st_eq_landau_n_rt_rp_posd a0.l_e_st_eq_landau_n_rt_rp_r_ivr1_t12 r a0 a0ir t) (λt:l_e_st_eq_landau_n_rt_rp_zero a0.l_e_st_eq_landau_n_rt_rp_r_ivr1_t13 r a0 a0ir t) (λt:l_e_st_eq_landau_n_rt_rp_negd a0.l_e_st_eq_landau_n_rt_rp_r_ivr1_t14 r a0 a0ir t) : l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r)).

(* constant 4001 *)
definition l_e_st_eq_landau_n_rt_rp_r_axrlo ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λxi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr1_t15 r x xi) : l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r)).

(* constant 4002 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t16 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_posd a0) (l_e_st_eq_landau_n_rt_rp_0notpd a0 (l_e_st_eq_landau_n_rt_rp_r_0ex r a0 a0ir i)) (λt:l_e_st_eq_landau_n_rt_rp_r_pos r.l_e_st_eq_landau_n_rt_rp_r_posex r a0 a0ir t) : l_not (l_e_st_eq_landau_n_rt_rp_r_pos r)).

(* constant 4003 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t17 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_negd a0) (l_e_st_eq_landau_n_rt_rp_pnotnd a0 (l_e_st_eq_landau_n_rt_rp_r_posex r a0 a0ir p)) (λt:l_e_st_eq_landau_n_rt_rp_r_neg r.l_e_st_eq_landau_n_rt_rp_r_negex r a0 a0ir t) : l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)).

(* constant 4004 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t18 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_zero a0) (l_e_st_eq_landau_n_rt_rp_nnot0d a0 (l_e_st_eq_landau_n_rt_rp_r_negex r a0 a0ir n)) (λt:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_0ex r a0 a0ir t) : l_not (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 4005 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t19 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).(l_ec3_th6 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r) (λt:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_ivr1_t16 r a0 a0ir t) (λt:l_e_st_eq_landau_n_rt_rp_r_pos r.l_e_st_eq_landau_n_rt_rp_r_ivr1_t17 r a0 a0ir t) (λt:l_e_st_eq_landau_n_rt_rp_r_neg r.l_e_st_eq_landau_n_rt_rp_r_ivr1_t18 r a0 a0ir t) : l_ec3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r)).

(* constant 4006 *)
definition l_e_st_eq_landau_n_rt_rp_r_axrle ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_ec3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λxi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr1_t19 r x xi) : l_ec3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r)).

(* constant 4007 *)
definition l_e_st_eq_landau_n_rt_rp_r_axrl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_orec3i (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_axrlo r) (l_e_st_eq_landau_n_rt_rp_r_axrle r) : l_orec3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r)).

(* constant 4008 *)
definition l_e_st_eq_landau_n_rt_rp_r_rapp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:Prop.λp1:∀t:l_e_st_eq_landau_n_rt_rp_r_pos r.p.λp2:∀t:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.p.λp3:∀t:l_e_st_eq_landau_n_rt_rp_r_neg r.p.(l_or3app (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r) p (l_e_st_eq_landau_n_rt_rp_r_axrlo r) p2 p1 p3 : p).

(* constant 4009 *)
definition l_e_st_eq_landau_n_rt_rp_r_pnotn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_ec3e23 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_axrle r) p : l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)).

(* constant 4010 *)
definition l_e_st_eq_landau_n_rt_rp_r_pnot0 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_ec3e21 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_axrle r) p : l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4011 *)
definition l_e_st_eq_landau_n_rt_rp_r_0notp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_ec3e12 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_axrle r) i : l_not (l_e_st_eq_landau_n_rt_rp_r_pos r)).

(* constant 4012 *)
definition l_e_st_eq_landau_n_rt_rp_r_0notn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_ec3e13 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_axrle r) i : l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)).

(* constant 4013 *)
definition l_e_st_eq_landau_n_rt_rp_r_nnotp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_ec3e32 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_axrle r) n : l_not (l_e_st_eq_landau_n_rt_rp_r_pos r)).

(* constant 4014 *)
definition l_e_st_eq_landau_n_rt_rp_r_nnot0 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_ec3e31 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_axrle r) n : l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4015 *)
definition l_e_st_eq_landau_n_rt_rp_r_ispos ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_pos x) r s p i : l_e_st_eq_landau_n_rt_rp_r_pos s).

(* constant 4016 *)
definition l_e_st_eq_landau_n_rt_rp_r_isneg ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_neg x) r s n i : l_e_st_eq_landau_n_rt_rp_r_neg s).

(* constant 4017 *)
definition l_e_st_eq_landau_n_rt_rp_r_pofrp ≝ λr0:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_pdofrp r0) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4018 *)
definition l_e_st_eq_landau_n_rt_rp_r_nofrp ≝ λr0:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_ndofrp r0) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4019 *)
definition l_e_st_eq_landau_n_rt_rp_r_isrpep ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is r0 s0.(l_e_isf l_e_st_eq_landau_n_rt_cut l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_pofrp x) r0 s0 i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)).

(* constant 4020 *)
definition l_e_st_eq_landau_n_rt_rp_r_isrpen ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_is r0 s0.(l_e_isf l_e_st_eq_landau_n_rt_cut l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_nofrp x) r0 s0 i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_r_nofrp s0)).

(* constant 4021 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t20 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0).(l_e_st_eq_landau_n_rt_rp_r_isex (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0) (l_e_st_eq_landau_n_rt_rp_pdofrp r0) (l_e_st_eq_landau_n_rt_rp_pdofrp s0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp r0)) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp s0)) i : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pdofrp r0) (l_e_st_eq_landau_n_rt_rp_pdofrp s0)).

(* constant 4022 *)
definition l_e_st_eq_landau_n_rt_rp_r_isrpip ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0).(l_e_st_eq_landau_n_rt_rp_isrpipd r0 s0 (l_e_st_eq_landau_n_rt_rp_r_ivr1_t20 r0 s0 i) : l_e_st_eq_landau_n_rt_rp_is r0 s0).

(* constant 4023 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t21 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_r_nofrp s0).(l_e_st_eq_landau_n_rt_rp_r_isex (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_r_nofrp s0) (l_e_st_eq_landau_n_rt_rp_ndofrp r0) (l_e_st_eq_landau_n_rt_rp_ndofrp s0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_ndofrp r0)) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_ndofrp s0)) i : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_ndofrp r0) (l_e_st_eq_landau_n_rt_rp_ndofrp s0)).

(* constant 4024 *)
definition l_e_st_eq_landau_n_rt_rp_r_isrpin ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_r_nofrp s0).(l_e_st_eq_landau_n_rt_rp_isrpind r0 s0 (l_e_st_eq_landau_n_rt_rp_r_ivr1_t21 r0 s0 i) : l_e_st_eq_landau_n_rt_rp_is r0 s0).

(* constant 4025 *)
definition l_e_st_eq_landau_n_rt_rp_r_posi ≝ λr0:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_r_posin (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_pdofrp r0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp r0)) (l_e_st_eq_landau_n_rt_rp_posdirp r0) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pofrp r0)).

(* constant 4026 *)
definition l_e_st_eq_landau_n_rt_rp_r_negi ≝ λr0:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_r_negin (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_ndofrp r0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_ndofrp r0)) (l_e_st_eq_landau_n_rt_rp_negdirp r0) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_nofrp r0)).

(* constant 4027 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t22 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp r0).λj:l_e_st_eq_landau_n_rt_rp_r_is s (l_e_st_eq_landau_n_rt_rp_r_pofrp s0).λk:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_landau_n_rt_rp_r_isrpip r0 s0 (l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) r s (l_e_st_eq_landau_n_rt_rp_r_pofrp s0) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real r (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) i) k j) : l_e_st_eq_landau_n_rt_rp_is r0 s0).

(* constant 4028 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t23 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(λx:l_e_st_eq_landau_n_rt_cut.λy:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp x).λu:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp y).l_e_st_eq_landau_n_rt_rp_r_ivr1_t22 r r x y t u (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real r) : l_e_amone l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp x))).

(* constant 4029 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t24 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp1:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_r_posex r a0 a0ir p1 : l_e_st_eq_landau_n_rt_rp_posd a0).

(* constant 4030 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_pr ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp1:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_rpofpd a0 (l_e_st_eq_landau_n_rt_rp_r_ivr1_t24 r a0 a0ir p1) : l_e_st_eq_landau_n_rt_cut).

(* constant 4031 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t25 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp1:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_r_isin r (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_ivr1_pr r a0 a0ir p1)) a0 (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_r_ivr1_pr r a0 a0ir p1)) a0ir (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_r_ivr1_pr r a0 a0ir p1))) (l_e_st_eq_landau_n_rt_rp_eqpdrp1 a0 (l_e_st_eq_landau_n_rt_rp_r_ivr1_t24 r a0 a0ir p1)) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_ivr1_pr r a0 a0ir p1))).

(* constant 4032 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t26 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp1:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_somei l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp x)) (l_e_st_eq_landau_n_rt_rp_r_ivr1_pr r a0 a0ir p1) (l_e_st_eq_landau_n_rt_rp_r_ivr1_t25 r a0 a0ir p1) : l_e_st_eq_landau_n_rt_rp_some (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp x))).

(* constant 4033 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t27 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_some (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp x))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr1_t26 r x t p) : l_e_st_eq_landau_n_rt_rp_some (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp x))).

(* constant 4034 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t28 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_onei l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp x)) (l_e_st_eq_landau_n_rt_rp_r_ivr1_t23 r) (l_e_st_eq_landau_n_rt_rp_r_ivr1_t27 r p) : l_e_st_eq_landau_n_rt_rp_one (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp x))).

(* constant 4035 *)
definition l_e_st_eq_landau_n_rt_rp_r_rpofp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_ind l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp x)) (l_e_st_eq_landau_n_rt_rp_r_ivr1_t28 r p) : l_e_st_eq_landau_n_rt_cut).

(* constant 4036 *)
definition l_e_st_eq_landau_n_rt_rp_r_isprp1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_oneax l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp x)) (l_e_st_eq_landau_n_rt_rp_r_ivr1_t28 r p) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp r p))).

(* constant 4037 *)
definition l_e_st_eq_landau_n_rt_rp_r_isprp2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real r (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp r p)) (l_e_st_eq_landau_n_rt_rp_r_isprp1 r p) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp r p)) r).

(* constant 4038 *)
definition l_e_st_eq_landau_n_rt_rp_r_isperp ≝ λr1:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r1.λs1:l_e_st_eq_landau_n_rt_rp_r_real.λq:l_e_st_eq_landau_n_rt_rp_r_pos s1.λi:l_e_st_eq_landau_n_rt_rp_r_is r1 s1.(l_e_st_eq_landau_n_rt_rp_r_ivr1_t22 r1 s1 (l_e_st_eq_landau_n_rt_rp_r_rpofp r1 p) (l_e_st_eq_landau_n_rt_rp_r_rpofp s1 q) (l_e_st_eq_landau_n_rt_rp_r_isprp1 r1 p) (l_e_st_eq_landau_n_rt_rp_r_isprp1 s1 q) i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_r_rpofp r1 p) (l_e_st_eq_landau_n_rt_rp_r_rpofp s1 q)).

(* constant 4039 *)
definition l_e_st_eq_landau_n_rt_rp_r_ispirp ≝ λr1:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r1.λs1:l_e_st_eq_landau_n_rt_rp_r_real.λq:l_e_st_eq_landau_n_rt_rp_r_pos s1.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_r_rpofp r1 p) (l_e_st_eq_landau_n_rt_rp_r_rpofp s1 q).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real r1 (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp r1 p)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp s1 q)) s1 (l_e_st_eq_landau_n_rt_rp_r_isprp1 r1 p) (l_e_st_eq_landau_n_rt_rp_r_isrpep (l_e_st_eq_landau_n_rt_rp_r_rpofp r1 p) (l_e_st_eq_landau_n_rt_rp_r_rpofp s1 q) i) (l_e_st_eq_landau_n_rt_rp_r_isprp2 s1 q) : l_e_st_eq_landau_n_rt_rp_r_is r1 s1).

(* constant 4040 *)
definition l_e_st_eq_landau_n_rt_rp_r_isrpp1 ≝ λr0:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_r_ivr1_t22 (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) r0 (l_e_st_eq_landau_n_rt_rp_r_rpofp (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_posi r0)) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pofrp r0)) (l_e_st_eq_landau_n_rt_rp_r_isprp1 (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_posi r0)) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pofrp r0)) : l_e_st_eq_landau_n_rt_rp_is r0 (l_e_st_eq_landau_n_rt_rp_r_rpofp (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_posi r0))).

(* constant 4041 *)
definition l_e_st_eq_landau_n_rt_rp_r_isrpp2 ≝ λr0:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut r0 (l_e_st_eq_landau_n_rt_rp_r_rpofp (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_posi r0)) (l_e_st_eq_landau_n_rt_rp_r_isrpp1 r0) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_r_rpofp (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_posi r0)) r0).

(* constant 4042 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t29 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp r0).λj:l_e_st_eq_landau_n_rt_rp_r_is s (l_e_st_eq_landau_n_rt_rp_r_nofrp s0).λk:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_landau_n_rt_rp_r_isrpin r0 s0 (l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) r s (l_e_st_eq_landau_n_rt_rp_r_nofrp s0) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real r (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) i) k j) : l_e_st_eq_landau_n_rt_rp_is r0 s0).

(* constant 4043 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t30 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(λx:l_e_st_eq_landau_n_rt_cut.λy:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp x).λu:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp y).l_e_st_eq_landau_n_rt_rp_r_ivr1_t29 r r x y t u (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real r) : l_e_amone l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp x))).

(* constant 4044 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t31 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn1:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_r_negex r a0 a0ir n1 : l_e_st_eq_landau_n_rt_rp_negd a0).

(* constant 4045 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_nr ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn1:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_rpofnd a0 (l_e_st_eq_landau_n_rt_rp_r_ivr1_t31 r a0 a0ir n1) : l_e_st_eq_landau_n_rt_cut).

(* constant 4046 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t32 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn1:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_r_isin r (l_e_st_eq_landau_n_rt_rp_r_nofrp (l_e_st_eq_landau_n_rt_rp_r_ivr1_nr r a0 a0ir n1)) a0 (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_r_ivr1_nr r a0 a0ir n1)) a0ir (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_ndofrp (l_e_st_eq_landau_n_rt_rp_r_ivr1_nr r a0 a0ir n1))) (l_e_st_eq_landau_n_rt_rp_eqndrp1 a0 (l_e_st_eq_landau_n_rt_rp_r_ivr1_t31 r a0 a0ir n1)) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp (l_e_st_eq_landau_n_rt_rp_r_ivr1_nr r a0 a0ir n1))).

(* constant 4047 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t33 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn1:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_somei l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp x)) (l_e_st_eq_landau_n_rt_rp_r_ivr1_nr r a0 a0ir n1) (l_e_st_eq_landau_n_rt_rp_r_ivr1_t32 r a0 a0ir n1) : l_e_st_eq_landau_n_rt_rp_some (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp x))).

(* constant 4048 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t34 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_some (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp x))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr1_t33 r x t n) : l_e_st_eq_landau_n_rt_rp_some (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp x))).

(* constant 4049 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr1_t35 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_onei l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp x)) (l_e_st_eq_landau_n_rt_rp_r_ivr1_t30 r) (l_e_st_eq_landau_n_rt_rp_r_ivr1_t34 r n) : l_e_st_eq_landau_n_rt_rp_one (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp x))).

(* constant 4050 *)
definition l_e_st_eq_landau_n_rt_rp_r_rpofn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_ind l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp x)) (l_e_st_eq_landau_n_rt_rp_r_ivr1_t35 r n) : l_e_st_eq_landau_n_rt_cut).

(* constant 4051 *)
definition l_e_st_eq_landau_n_rt_rp_r_isnrp1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_oneax l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp x)) (l_e_st_eq_landau_n_rt_rp_r_ivr1_t35 r n) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_nofrp (l_e_st_eq_landau_n_rt_rp_r_rpofn r n))).

(* constant 4052 *)
definition l_e_st_eq_landau_n_rt_rp_r_isnrp2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real r (l_e_st_eq_landau_n_rt_rp_r_nofrp (l_e_st_eq_landau_n_rt_rp_r_rpofn r n)) (l_e_st_eq_landau_n_rt_rp_r_isnrp1 r n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_nofrp (l_e_st_eq_landau_n_rt_rp_r_rpofn r n)) r).

(* constant 4053 *)
definition l_e_st_eq_landau_n_rt_rp_r_isnerp ≝ λr1:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r1.λs1:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_neg s1.λi:l_e_st_eq_landau_n_rt_rp_r_is r1 s1.(l_e_st_eq_landau_n_rt_rp_r_ivr1_t29 r1 s1 (l_e_st_eq_landau_n_rt_rp_r_rpofn r1 n) (l_e_st_eq_landau_n_rt_rp_r_rpofn s1 m) (l_e_st_eq_landau_n_rt_rp_r_isnrp1 r1 n) (l_e_st_eq_landau_n_rt_rp_r_isnrp1 s1 m) i : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_r_rpofn r1 n) (l_e_st_eq_landau_n_rt_rp_r_rpofn s1 m)).

(* constant 4054 *)
definition l_e_st_eq_landau_n_rt_rp_r_isnirp ≝ λr1:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r1.λs1:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_neg s1.λi:l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_r_rpofn r1 n) (l_e_st_eq_landau_n_rt_rp_r_rpofn s1 m).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real r1 (l_e_st_eq_landau_n_rt_rp_r_nofrp (l_e_st_eq_landau_n_rt_rp_r_rpofn r1 n)) (l_e_st_eq_landau_n_rt_rp_r_nofrp (l_e_st_eq_landau_n_rt_rp_r_rpofn s1 m)) s1 (l_e_st_eq_landau_n_rt_rp_r_isnrp1 r1 n) (l_e_st_eq_landau_n_rt_rp_r_isrpen (l_e_st_eq_landau_n_rt_rp_r_rpofn r1 n) (l_e_st_eq_landau_n_rt_rp_r_rpofn s1 m) i) (l_e_st_eq_landau_n_rt_rp_r_isnrp2 s1 m) : l_e_st_eq_landau_n_rt_rp_r_is r1 s1).

(* constant 4055 *)
definition l_e_st_eq_landau_n_rt_rp_r_isrpn1 ≝ λr0:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_r_ivr1_t29 (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) r0 (l_e_st_eq_landau_n_rt_rp_r_rpofn (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_r_negi r0)) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_nofrp r0)) (l_e_st_eq_landau_n_rt_rp_r_isnrp1 (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_r_negi r0)) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_nofrp r0)) : l_e_st_eq_landau_n_rt_rp_is r0 (l_e_st_eq_landau_n_rt_rp_r_rpofn (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_r_negi r0))).

(* constant 4056 *)
definition l_e_st_eq_landau_n_rt_rp_r_isrpn2 ≝ λr0:l_e_st_eq_landau_n_rt_cut.(l_e_symis l_e_st_eq_landau_n_rt_cut r0 (l_e_st_eq_landau_n_rt_rp_r_rpofn (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_r_negi r0)) (l_e_st_eq_landau_n_rt_rp_r_isrpn1 r0) : l_e_st_eq_landau_n_rt_rp_is (l_e_st_eq_landau_n_rt_rp_r_rpofn (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_r_negi r0)) r0).

(* constant 4057 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz163 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_refis l_e_st_eq_landau_n_rt_rp_r_real r : l_e_st_eq_landau_n_rt_rp_r_is r r).

(* constant 4058 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz164 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real r s i : l_e_st_eq_landau_n_rt_rp_r_is s r).

(* constant 4059 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz165 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λj:l_e_st_eq_landau_n_rt_rp_r_is s t.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real r s t i j : l_e_st_eq_landau_n_rt_rp_r_is r t).

(* constant 4060 *)
definition l_e_st_eq_landau_n_rt_rp_r_absdr ≝ (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_absd x) : Πx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4061 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_absd a)) (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_absd a) (l_e_st_eq_landau_n_rt_rp_absd b) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_absd a)) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_absd b)) (l_e_st_eq_landau_n_rt_rp_eqabsd a b e) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_absdr a) (l_e_st_eq_landau_n_rt_rp_r_absdr b)).

(* constant 4062 *)
definition l_e_st_eq_landau_n_rt_rp_r_fabsdr ≝ (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_eq x y.l_e_st_eq_landau_n_rt_rp_r_ivr2_t1 x y t : l_e_st_eq_landau_n_rt_rp_r_fixf l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_absdr).

(* constant 4063 *)
definition l_e_st_eq_landau_n_rt_rp_r_abs ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_indreal l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_absdr l_e_st_eq_landau_n_rt_rp_r_fabsdr r : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4064 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_st_eq_landau_n_rt_rp_r_isindreal l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_absdr l_e_st_eq_landau_n_rt_rp_r_fabsdr r a0 a0ir : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_absd a0)) (l_e_st_eq_landau_n_rt_rp_r_abs r)).

(* constant 4065 *)
definition l_e_st_eq_landau_n_rt_rp_r_aica ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_inn (l_e_st_eq_landau_n_rt_rp_absd a0) (l_e_st_eq_landau_n_rt_rp_r_class x)) (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_absd a0)) (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_absd a0)) (l_e_st_eq_landau_n_rt_rp_r_ivr2_t2 r a0 a0ir) : l_e_st_eq_landau_n_rt_rp_r_inn (l_e_st_eq_landau_n_rt_rp_absd a0) (l_e_st_eq_landau_n_rt_rp_r_class (l_e_st_eq_landau_n_rt_rp_r_abs r))).

(* constant 4066 *)
definition l_e_st_eq_landau_n_rt_rp_r_isabs ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_abs x) r s i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)).

(* constant 4067 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r166_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_satzd166a a0 (l_e_st_eq_landau_n_rt_rp_r_posex r a0 a0ir p) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd a0)).

(* constant 4068 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r166_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_r_posin (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_absd a0) (l_e_st_eq_landau_n_rt_rp_r_aica r a0 a0ir) (l_e_st_eq_landau_n_rt_rp_r_2r166_t1 r a0 a0ir p) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs r)).

(* constant 4069 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz166a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_2r166_t2 r x t p) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs r)).

(* constant 4070 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r166_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_satzd166b a0 (l_e_st_eq_landau_n_rt_rp_r_negex r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_absd a0)).

(* constant 4071 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r166_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_r_posin (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_absd a0) (l_e_st_eq_landau_n_rt_rp_r_aica r a0 a0ir) (l_e_st_eq_landau_n_rt_rp_r_2r166_t3 r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs r)).

(* constant 4072 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz166b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_2r166_t4 r x t n) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs r)).

(* constant 4073 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r166_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s).(l_e_st_eq_landau_n_rt_rp_satzd166c a1 b1 (l_e_st_eq_landau_n_rt_rp_r_posex r a1 a1ir p) (l_e_st_eq_landau_n_rt_rp_r_posex s b1 b1is q) (l_e_st_eq_landau_n_rt_rp_r_isex (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1) (l_e_st_eq_landau_n_rt_rp_r_aica r a1 a1ir) (l_e_st_eq_landau_n_rt_rp_r_aica s b1 b1is) i) : l_e_st_eq_landau_n_rt_rp_eq a1 b1).

(* constant 4074 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r166_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s).(l_e_st_eq_landau_n_rt_rp_r_isin r s a1 b1 a1ir b1is (l_e_st_eq_landau_n_rt_rp_r_2r166_t5 r s a1 b1 a1ir b1is p q i) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 4075 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz166c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s).(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is r s) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_2r166_t6 r s x y t u p q i) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 4076 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r166_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λo:l_e_st_eq_landau_n_rt_rp_r_neg s.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s).(l_e_st_eq_landau_n_rt_rp_satzd166d a1 b1 (l_e_st_eq_landau_n_rt_rp_r_negex r a1 a1ir n) (l_e_st_eq_landau_n_rt_rp_r_negex s b1 b1is o) (l_e_st_eq_landau_n_rt_rp_r_isex (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1) (l_e_st_eq_landau_n_rt_rp_r_aica r a1 a1ir) (l_e_st_eq_landau_n_rt_rp_r_aica s b1 b1is) i) : l_e_st_eq_landau_n_rt_rp_eq a1 b1).

(* constant 4077 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r166_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λo:l_e_st_eq_landau_n_rt_rp_r_neg s.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s).(l_e_st_eq_landau_n_rt_rp_r_isin r s a1 b1 a1ir b1is (l_e_st_eq_landau_n_rt_rp_r_2r166_t7 r s a1 b1 a1ir b1is n o i) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 4078 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz166d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λo:l_e_st_eq_landau_n_rt_rp_r_neg s.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s).(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is r s) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_2r166_t8 r s x y t u n o i) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 4079 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz166e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_rapp r (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs r)) (λt:l_e_st_eq_landau_n_rt_rp_r_pos r.l_e_st_eq_landau_n_rt_rp_r_satz166a r t) (l_imp_th2 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs r)) n) (λt:l_e_st_eq_landau_n_rt_rp_r_neg r.l_e_st_eq_landau_n_rt_rp_r_satz166b r t) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs r)).

(* constant 4080 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r166_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_satzd166f a0 (l_e_st_eq_landau_n_rt_rp_r_0ex r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_absd a0)).

(* constant 4081 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r166_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_0in (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_absd a0) (l_e_st_eq_landau_n_rt_rp_r_aica r a0 a0ir) (l_e_st_eq_landau_n_rt_rp_r_2r166_t9 r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4082 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz166f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) l_e_st_eq_landau_n_rt_rp_r_0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_2r166_t10 r x t i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4083 *)
definition l_e_st_eq_landau_n_rt_rp_r_more ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_some l_e_st_eq_landau_n_rt_rp_dif (λy:l_e_st_eq_landau_n_rt_rp_dif.l_and3 (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s)) (l_e_st_eq_landau_n_rt_rp_mored x y))) : Prop).

(* constant 4084 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_propm ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.(l_and3 (l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s)) (l_e_st_eq_landau_n_rt_rp_mored a1 b1) : Prop).

(* constant 4085 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_mored a1 b1.(l_and3i (l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s)) (l_e_st_eq_landau_n_rt_rp_mored a1 b1) a1ir b1is m : l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a1 b1).

(* constant 4086 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_mored a1 b1.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a1 x) b1 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t3 r s a1 b1 a1ir b1is m) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a1 x)).

(* constant 4087 *)
definition l_e_st_eq_landau_n_rt_rp_r_morein ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_mored a1 b1.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_some l_e_st_eq_landau_n_rt_rp_dif (λy:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s x y)) a1 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t4 r s a1 b1 a1ir b1is m) : l_e_st_eq_landau_n_rt_rp_r_more r s).

(* constant 4088 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λa:l_e_st_eq_landau_n_rt_rp_dif.λsa:l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a x).λb:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a b.(l_and3e1 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class s)) (l_e_st_eq_landau_n_rt_rp_mored a b) p2 : l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)).

(* constant 4089 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λa:l_e_st_eq_landau_n_rt_rp_dif.λsa:l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a x).λb:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a b.(l_and3e2 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class s)) (l_e_st_eq_landau_n_rt_rp_mored a b) p2 : l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class s)).

(* constant 4090 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λa:l_e_st_eq_landau_n_rt_rp_dif.λsa:l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a x).λb:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a b.(l_and3e3 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class s)) (l_e_st_eq_landau_n_rt_rp_mored a b) p2 : l_e_st_eq_landau_n_rt_rp_mored a b).

(* constant 4091 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λa:l_e_st_eq_landau_n_rt_rp_dif.λsa:l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a x).λb:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a b.(l_e_st_eq_landau_n_rt_rp_eqmored12 a a1 b b1 (l_e_st_eq_landau_n_rt_rp_r_isex r r a a1 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t5 r s a1 b1 a1ir b1is m a sa b p2) a1ir (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real r)) (l_e_st_eq_landau_n_rt_rp_r_isex s s b b1 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t6 r s a1 b1 a1ir b1is m a sa b p2) b1is (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real s)) (l_e_st_eq_landau_n_rt_rp_r_ivr2_t7 r s a1 b1 a1ir b1is m a sa b p2) : l_e_st_eq_landau_n_rt_rp_mored a1 b1).

(* constant 4092 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λa:l_e_st_eq_landau_n_rt_rp_dif.λsa:l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a x).(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a x) sa (l_e_st_eq_landau_n_rt_rp_mored a1 b1) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s a x.l_e_st_eq_landau_n_rt_rp_r_ivr2_t8 r s a1 b1 a1ir b1is m a sa x t) : l_e_st_eq_landau_n_rt_rp_mored a1 b1).

(* constant 4093 *)
definition l_e_st_eq_landau_n_rt_rp_r_moreex ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_some l_e_st_eq_landau_n_rt_rp_dif (λy:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s x y)) m (l_e_st_eq_landau_n_rt_rp_mored a1 b1) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_some l_e_st_eq_landau_n_rt_rp_dif (λy:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propm r s x y).l_e_st_eq_landau_n_rt_rp_r_ivr2_t9 r s a1 b1 a1ir b1is m x t) : l_e_st_eq_landau_n_rt_rp_mored a1 b1).

(* constant 4094 *)
definition l_e_st_eq_landau_n_rt_rp_r_less ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_some l_e_st_eq_landau_n_rt_rp_dif (λy:l_e_st_eq_landau_n_rt_rp_dif.l_and3 (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s)) (l_e_st_eq_landau_n_rt_rp_lessd x y))) : Prop).

(* constant 4095 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_propl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.(l_and3 (l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s)) (l_e_st_eq_landau_n_rt_rp_lessd a1 b1) : Prop).

(* constant 4096 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_lessd a1 b1.(l_and3i (l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s)) (l_e_st_eq_landau_n_rt_rp_lessd a1 b1) a1ir b1is l : l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a1 b1).

(* constant 4097 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_lessd a1 b1.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a1 x) b1 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t10 r s a1 b1 a1ir b1is l) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a1 x)).

(* constant 4098 *)
definition l_e_st_eq_landau_n_rt_rp_r_lessin ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_lessd a1 b1.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_some l_e_st_eq_landau_n_rt_rp_dif (λy:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s x y)) a1 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t11 r s a1 b1 a1ir b1is l) : l_e_st_eq_landau_n_rt_rp_r_less r s).

(* constant 4099 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λa:l_e_st_eq_landau_n_rt_rp_dif.λsa:l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a x).λb:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a b.(l_and3e1 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class s)) (l_e_st_eq_landau_n_rt_rp_lessd a b) p2 : l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)).

(* constant 4100 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t13 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λa:l_e_st_eq_landau_n_rt_rp_dif.λsa:l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a x).λb:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a b.(l_and3e2 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class s)) (l_e_st_eq_landau_n_rt_rp_lessd a b) p2 : l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class s)).

(* constant 4101 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t14 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λa:l_e_st_eq_landau_n_rt_rp_dif.λsa:l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a x).λb:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a b.(l_and3e3 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class s)) (l_e_st_eq_landau_n_rt_rp_lessd a b) p2 : l_e_st_eq_landau_n_rt_rp_lessd a b).

(* constant 4102 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t15 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λa:l_e_st_eq_landau_n_rt_rp_dif.λsa:l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a x).λb:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a b.(l_e_st_eq_landau_n_rt_rp_eqlessd12 a a1 b b1 (l_e_st_eq_landau_n_rt_rp_r_isex r r a a1 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t12 r s a1 b1 a1ir b1is l a sa b p2) a1ir (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real r)) (l_e_st_eq_landau_n_rt_rp_r_isex s s b b1 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t13 r s a1 b1 a1ir b1is l a sa b p2) b1is (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real s)) (l_e_st_eq_landau_n_rt_rp_r_ivr2_t14 r s a1 b1 a1ir b1is l a sa b p2) : l_e_st_eq_landau_n_rt_rp_lessd a1 b1).

(* constant 4103 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t16 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λa:l_e_st_eq_landau_n_rt_rp_dif.λsa:l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a x).(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a x) sa (l_e_st_eq_landau_n_rt_rp_lessd a1 b1) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s a x.l_e_st_eq_landau_n_rt_rp_r_ivr2_t15 r s a1 b1 a1ir b1is l a sa x t) : l_e_st_eq_landau_n_rt_rp_lessd a1 b1).

(* constant 4104 *)
definition l_e_st_eq_landau_n_rt_rp_r_lessex ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_some l_e_st_eq_landau_n_rt_rp_dif (λy:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s x y)) l (l_e_st_eq_landau_n_rt_rp_lessd a1 b1) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_some l_e_st_eq_landau_n_rt_rp_dif (λy:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_ivr2_propl r s x y).l_e_st_eq_landau_n_rt_rp_r_ivr2_t16 r s a1 b1 a1ir b1is l x t) : l_e_st_eq_landau_n_rt_rp_lessd a1 b1).

(* constant 4105 *)
definition l_e_st_eq_landau_n_rt_rp_r_ismore1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λm:l_e_st_eq_landau_n_rt_rp_r_more r t.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_more x t) r s m i : l_e_st_eq_landau_n_rt_rp_r_more s t).

(* constant 4106 *)
definition l_e_st_eq_landau_n_rt_rp_r_ismore2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λm:l_e_st_eq_landau_n_rt_rp_r_more t r.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_more t x) r s m i : l_e_st_eq_landau_n_rt_rp_r_more t s).

(* constant 4107 *)
definition l_e_st_eq_landau_n_rt_rp_r_isless1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λl:l_e_st_eq_landau_n_rt_rp_r_less r t.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_less x t) r s l i : l_e_st_eq_landau_n_rt_rp_r_less s t).

(* constant 4108 *)
definition l_e_st_eq_landau_n_rt_rp_r_isless2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λl:l_e_st_eq_landau_n_rt_rp_r_less t r.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_less t x) r s l i : l_e_st_eq_landau_n_rt_rp_r_less t s).

(* constant 4109 *)
definition l_e_st_eq_landau_n_rt_rp_r_ismore12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λj:l_e_st_eq_landau_n_rt_rp_r_is t u.λm:l_e_st_eq_landau_n_rt_rp_r_more r t.(l_e_st_eq_landau_n_rt_rp_r_ismore2 t u s j (l_e_st_eq_landau_n_rt_rp_r_ismore1 r s t i m) : l_e_st_eq_landau_n_rt_rp_r_more s u).

(* constant 4110 *)
definition l_e_st_eq_landau_n_rt_rp_r_isless12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λj:l_e_st_eq_landau_n_rt_rp_r_is t u.λl:l_e_st_eq_landau_n_rt_rp_r_less r t.(l_e_st_eq_landau_n_rt_rp_r_isless2 t u s j (l_e_st_eq_landau_n_rt_rp_r_isless1 r s t i l) : l_e_st_eq_landau_n_rt_rp_r_less s u).

(* constant 4111 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t17 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_lemmad5 a1 b1 (l_e_st_eq_landau_n_rt_rp_r_moreex r s a1 b1 a1ir b1is m) : l_e_st_eq_landau_n_rt_rp_lessd b1 a1).

(* constant 4112 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t18 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_r_lessin s r b1 a1 b1is a1ir (l_e_st_eq_landau_n_rt_rp_r_ivr2_t17 r s a1 b1 a1ir b1is m) : l_e_st_eq_landau_n_rt_rp_r_less s r).

(* constant 4113 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemma1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_less s r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_ivr2_t18 r s x y t u m) : l_e_st_eq_landau_n_rt_rp_r_less s r).

(* constant 4114 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t19 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_lemmad6 a1 b1 (l_e_st_eq_landau_n_rt_rp_r_lessex r s a1 b1 a1ir b1is l) : l_e_st_eq_landau_n_rt_rp_mored b1 a1).

(* constant 4115 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t20 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_morein s r b1 a1 b1is a1ir (l_e_st_eq_landau_n_rt_rp_r_ivr2_t19 r s a1 b1 a1ir b1is l) : l_e_st_eq_landau_n_rt_rp_r_more s r).

(* constant 4116 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemma2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_more s r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_ivr2_t20 r s x y t u l) : l_e_st_eq_landau_n_rt_rp_r_more s r).

(* constant 4117 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r167_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_satzd167a a1 b1 : l_or3 (l_e_st_eq_landau_n_rt_rp_eq a1 b1) (l_e_st_eq_landau_n_rt_rp_mored a1 b1) (l_e_st_eq_landau_n_rt_rp_lessd a1 b1)).

(* constant 4118 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r167_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λe:l_e_st_eq_landau_n_rt_rp_eq a1 b1.(l_or3i1 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_isin r s a1 b1 a1ir b1is e) : l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s)).

(* constant 4119 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r167_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_mored a1 b1.(l_or3i2 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_morein r s a1 b1 a1ir b1is m) : l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s)).

(* constant 4120 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r167_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_lessd a1 b1.(l_or3i3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_lessin r s a1 b1 a1ir b1is l) : l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s)).

(* constant 4121 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r167_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_or3app (l_e_st_eq_landau_n_rt_rp_eq a1 b1) (l_e_st_eq_landau_n_rt_rp_mored a1 b1) (l_e_st_eq_landau_n_rt_rp_lessd a1 b1) (l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s)) (l_e_st_eq_landau_n_rt_rp_r_2r167_t1 r s a1 b1 a1ir b1is) (λt:l_e_st_eq_landau_n_rt_rp_eq a1 b1.l_e_st_eq_landau_n_rt_rp_r_2r167_t2 r s a1 b1 a1ir b1is t) (λt:l_e_st_eq_landau_n_rt_rp_mored a1 b1.l_e_st_eq_landau_n_rt_rp_r_2r167_t3 r s a1 b1 a1ir b1is t) (λt:l_e_st_eq_landau_n_rt_rp_lessd a1 b1.l_e_st_eq_landau_n_rt_rp_r_2r167_t4 r s a1 b1 a1ir b1is t) : l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s)).

(* constant 4122 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r167_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_satzd167b a1 b1 : l_ec3 (l_e_st_eq_landau_n_rt_rp_eq a1 b1) (l_e_st_eq_landau_n_rt_rp_mored a1 b1) (l_e_st_eq_landau_n_rt_rp_lessd a1 b1)).

(* constant 4123 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r167_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_mored a1 b1) (l_ec3e12 (l_e_st_eq_landau_n_rt_rp_eq a1 b1) (l_e_st_eq_landau_n_rt_rp_mored a1 b1) (l_e_st_eq_landau_n_rt_rp_lessd a1 b1) (l_e_st_eq_landau_n_rt_rp_r_2r167_t6 r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_isex r s a1 b1 a1ir b1is i)) (λt:l_e_st_eq_landau_n_rt_rp_r_more r s.l_e_st_eq_landau_n_rt_rp_r_moreex r s a1 b1 a1ir b1is t) : l_not (l_e_st_eq_landau_n_rt_rp_r_more r s)).

(* constant 4124 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r167_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_lessd a1 b1) (l_ec3e23 (l_e_st_eq_landau_n_rt_rp_eq a1 b1) (l_e_st_eq_landau_n_rt_rp_mored a1 b1) (l_e_st_eq_landau_n_rt_rp_lessd a1 b1) (l_e_st_eq_landau_n_rt_rp_r_2r167_t6 r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_moreex r s a1 b1 a1ir b1is m)) (λt:l_e_st_eq_landau_n_rt_rp_r_less r s.l_e_st_eq_landau_n_rt_rp_r_lessex r s a1 b1 a1ir b1is t) : l_not (l_e_st_eq_landau_n_rt_rp_r_less r s)).

(* constant 4125 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r167_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_eq a1 b1) (l_ec3e31 (l_e_st_eq_landau_n_rt_rp_eq a1 b1) (l_e_st_eq_landau_n_rt_rp_mored a1 b1) (l_e_st_eq_landau_n_rt_rp_lessd a1 b1) (l_e_st_eq_landau_n_rt_rp_r_2r167_t6 r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_lessex r s a1 b1 a1ir b1is l)) (λt:l_e_st_eq_landau_n_rt_rp_r_is r s.l_e_st_eq_landau_n_rt_rp_r_isex r s a1 b1 a1ir b1is t) : l_not (l_e_st_eq_landau_n_rt_rp_r_is r s)).

(* constant 4126 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r167_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_ec3_th6 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_ec_th1 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (λt:l_e_st_eq_landau_n_rt_rp_r_is r s.l_e_st_eq_landau_n_rt_rp_r_2r167_t7 r s a1 b1 a1ir b1is t)) (l_ec_th1 (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (λt:l_e_st_eq_landau_n_rt_rp_r_more r s.l_e_st_eq_landau_n_rt_rp_r_2r167_t8 r s a1 b1 a1ir b1is t)) (l_ec_th1 (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) (λt:l_e_st_eq_landau_n_rt_rp_r_less r s.l_e_st_eq_landau_n_rt_rp_r_2r167_t9 r s a1 b1 a1ir b1is t)) : l_ec3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s)).

(* constant 4127 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r167_t11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_orec3i (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_2r167_t5 r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_2r167_t10 r s a1 b1 a1ir b1is) : l_orec3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s)).

(* constant 4128 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz167 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_orec3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_2r167_t11 r s x y t u) : l_orec3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s)).

(* constant 4129 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz167a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_orec3e1 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_satz167 r s) : l_or3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s)).

(* constant 4130 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz167b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_orec3e2 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_satz167 r s) : l_ec3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s)).

(* constant 4131 *)
definition l_e_st_eq_landau_n_rt_rp_r_moreis ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_or (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) : Prop).

(* constant 4132 *)
definition l_e_st_eq_landau_n_rt_rp_r_lessis ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_or (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) : Prop).

(* constant 4133 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz168a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis r s.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_less s r) (l_e_st_eq_landau_n_rt_rp_r_is s r) m (λt:l_e_st_eq_landau_n_rt_rp_r_more r s.l_e_st_eq_landau_n_rt_rp_r_lemma1 r s t) (λt:l_e_st_eq_landau_n_rt_rp_r_is r s.l_e_symis l_e_st_eq_landau_n_rt_rp_r_real r s t) : l_e_st_eq_landau_n_rt_rp_r_lessis s r).

(* constant 4134 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz168b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_lessis r s.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more s r) (l_e_st_eq_landau_n_rt_rp_r_is s r) l (λt:l_e_st_eq_landau_n_rt_rp_r_less r s.l_e_st_eq_landau_n_rt_rp_r_lemma2 r s t) (λt:l_e_st_eq_landau_n_rt_rp_r_is r s.l_e_symis l_e_st_eq_landau_n_rt_rp_r_real r s t) : l_e_st_eq_landau_n_rt_rp_r_moreis s r).

(* constant 4135 *)
definition l_e_st_eq_landau_n_rt_rp_r_ismoreis1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λm:l_e_st_eq_landau_n_rt_rp_r_moreis r t.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_moreis x t) r s m i : l_e_st_eq_landau_n_rt_rp_r_moreis s t).

(* constant 4136 *)
definition l_e_st_eq_landau_n_rt_rp_r_ismoreis2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λm:l_e_st_eq_landau_n_rt_rp_r_moreis t r.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_moreis t x) r s m i : l_e_st_eq_landau_n_rt_rp_r_moreis t s).

(* constant 4137 *)
definition l_e_st_eq_landau_n_rt_rp_r_islessis1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λl:l_e_st_eq_landau_n_rt_rp_r_lessis r t.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_lessis x t) r s l i : l_e_st_eq_landau_n_rt_rp_r_lessis s t).

(* constant 4138 *)
definition l_e_st_eq_landau_n_rt_rp_r_islessis2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λl:l_e_st_eq_landau_n_rt_rp_r_lessis t r.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_lessis t x) r s l i : l_e_st_eq_landau_n_rt_rp_r_lessis t s).

(* constant 4139 *)
definition l_e_st_eq_landau_n_rt_rp_r_ismoreis12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λj:l_e_st_eq_landau_n_rt_rp_r_is t u.λm:l_e_st_eq_landau_n_rt_rp_r_moreis r t.(l_e_st_eq_landau_n_rt_rp_r_ismoreis2 t u s j (l_e_st_eq_landau_n_rt_rp_r_ismoreis1 r s t i m) : l_e_st_eq_landau_n_rt_rp_r_moreis s u).

(* constant 4140 *)
definition l_e_st_eq_landau_n_rt_rp_r_islessis12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λj:l_e_st_eq_landau_n_rt_rp_r_is t u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis r t.(l_e_st_eq_landau_n_rt_rp_r_islessis2 t u s j (l_e_st_eq_landau_n_rt_rp_r_islessis1 r s t i l) : l_e_st_eq_landau_n_rt_rp_r_lessis s u).

(* constant 4141 *)
definition l_e_st_eq_landau_n_rt_rp_r_moreisi1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) m : l_e_st_eq_landau_n_rt_rp_r_moreis r s).

(* constant 4142 *)
definition l_e_st_eq_landau_n_rt_rp_r_lessisi1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) l : l_e_st_eq_landau_n_rt_rp_r_lessis r s).

(* constant 4143 *)
definition l_e_st_eq_landau_n_rt_rp_r_moreisi2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_ori2 (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) i : l_e_st_eq_landau_n_rt_rp_r_moreis r s).

(* constant 4144 *)
definition l_e_st_eq_landau_n_rt_rp_r_lessisi2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_ori2 (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) i : l_e_st_eq_landau_n_rt_rp_r_lessis r s).

(* constant 4145 *)
definition l_e_st_eq_landau_n_rt_rp_r_moreisin ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_moreq a1 b1.(l_orapp (l_e_st_eq_landau_n_rt_rp_mored a1 b1) (l_e_st_eq_landau_n_rt_rp_eq a1 b1) (l_e_st_eq_landau_n_rt_rp_r_moreis r s) m (λt:l_e_st_eq_landau_n_rt_rp_mored a1 b1.l_e_st_eq_landau_n_rt_rp_r_moreisi1 r s (l_e_st_eq_landau_n_rt_rp_r_morein r s a1 b1 a1ir b1is t)) (λt:l_e_st_eq_landau_n_rt_rp_eq a1 b1.l_e_st_eq_landau_n_rt_rp_r_moreisi2 r s (l_e_st_eq_landau_n_rt_rp_r_isin r s a1 b1 a1ir b1is t)) : l_e_st_eq_landau_n_rt_rp_r_moreis r s).

(* constant 4146 *)
definition l_e_st_eq_landau_n_rt_rp_r_moreisex ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_moreis r s.(l_orapp (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_moreq a1 b1) m (λt:l_e_st_eq_landau_n_rt_rp_r_more r s.l_e_st_eq_landau_n_rt_rp_moreqi1 a1 b1 (l_e_st_eq_landau_n_rt_rp_r_moreex r s a1 b1 a1ir b1is t)) (λt:l_e_st_eq_landau_n_rt_rp_r_is r s.l_e_st_eq_landau_n_rt_rp_moreqi2 a1 b1 (l_e_st_eq_landau_n_rt_rp_r_isex r s a1 b1 a1ir b1is t)) : l_e_st_eq_landau_n_rt_rp_moreq a1 b1).

(* constant 4147 *)
definition l_e_st_eq_landau_n_rt_rp_r_lessisin ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_lesseq a1 b1.(l_orapp (l_e_st_eq_landau_n_rt_rp_lessd a1 b1) (l_e_st_eq_landau_n_rt_rp_eq a1 b1) (l_e_st_eq_landau_n_rt_rp_r_lessis r s) l (λt:l_e_st_eq_landau_n_rt_rp_lessd a1 b1.l_e_st_eq_landau_n_rt_rp_r_lessisi1 r s (l_e_st_eq_landau_n_rt_rp_r_lessin r s a1 b1 a1ir b1is t)) (λt:l_e_st_eq_landau_n_rt_rp_eq a1 b1.l_e_st_eq_landau_n_rt_rp_r_lessisi2 r s (l_e_st_eq_landau_n_rt_rp_r_isin r s a1 b1 a1ir b1is t)) : l_e_st_eq_landau_n_rt_rp_r_lessis r s).

(* constant 4148 *)
definition l_e_st_eq_landau_n_rt_rp_r_lessisex ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_lessis r s.(l_orapp (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_lesseq a1 b1) l (λt:l_e_st_eq_landau_n_rt_rp_r_less r s.l_e_st_eq_landau_n_rt_rp_lesseqi1 a1 b1 (l_e_st_eq_landau_n_rt_rp_r_lessex r s a1 b1 a1ir b1is t)) (λt:l_e_st_eq_landau_n_rt_rp_r_is r s.l_e_st_eq_landau_n_rt_rp_lesseqi2 a1 b1 (l_e_st_eq_landau_n_rt_rp_r_isex r s a1 b1 a1ir b1is t)) : l_e_st_eq_landau_n_rt_rp_lesseq a1 b1).

(* constant 4149 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz167c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis r s.(l_ec3_th7 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_satz167b r s) (l_comor (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) m) : l_not (l_e_st_eq_landau_n_rt_rp_r_less r s)).

(* constant 4150 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz167d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_lessis r s.(l_ec3_th9 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_satz167b r s) l : l_not (l_e_st_eq_landau_n_rt_rp_r_more r s)).

(* constant 4151 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz167e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_more r s).(l_or3_th2 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_satz167a r s) n : l_e_st_eq_landau_n_rt_rp_r_lessis r s).

(* constant 4152 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz167f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_less r s).(l_comor (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_or3_th3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_satz167a r s) n) : l_e_st_eq_landau_n_rt_rp_r_moreis r s).

(* constant 4153 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz167g ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_lessis r s) (l_not (l_e_st_eq_landau_n_rt_rp_r_more r s)) (l_weli (l_e_st_eq_landau_n_rt_rp_r_more r s) m) (λt:l_e_st_eq_landau_n_rt_rp_r_lessis r s.l_e_st_eq_landau_n_rt_rp_r_satz167d r s t) : l_not (l_e_st_eq_landau_n_rt_rp_r_lessis r s)).

(* constant 4154 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz167h ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_moreis r s) (l_not (l_e_st_eq_landau_n_rt_rp_r_less r s)) (l_weli (l_e_st_eq_landau_n_rt_rp_r_less r s) l) (λt:l_e_st_eq_landau_n_rt_rp_r_moreis r s.l_e_st_eq_landau_n_rt_rp_r_satz167c r s t) : l_not (l_e_st_eq_landau_n_rt_rp_r_moreis r s)).

(* constant 4155 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz167j ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_moreis r s).(l_or3e3 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_satz167a r s) (l_or_th5 (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) n) (l_or_th4 (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) n) : l_e_st_eq_landau_n_rt_rp_r_less r s).

(* constant 4156 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz167k ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_lessis r s).(l_or3e2 (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_satz167a r s) (l_or_th4 (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) n) (l_or_th5 (l_e_st_eq_landau_n_rt_rp_r_less r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) n) : l_e_st_eq_landau_n_rt_rp_r_more r s).

(* constant 4157 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r169_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).λbi0:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).(l_e_st_eq_landau_n_rt_rp_satzd169a a b (l_e_st_eq_landau_n_rt_rp_r_0ex l_e_st_eq_landau_n_rt_rp_r_0 b bi0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_posex r a air p) : l_e_st_eq_landau_n_rt_rp_mored a b).

(* constant 4158 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r169_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).λbi0:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).(l_e_st_eq_landau_n_rt_rp_r_morein r l_e_st_eq_landau_n_rt_rp_r_0 a b air bi0 (l_e_st_eq_landau_n_rt_rp_r_2r169_t1 r p a b air bi0) : l_e_st_eq_landau_n_rt_rp_r_more r l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4159 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz169a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_more r l_e_st_eq_landau_n_rt_rp_r_0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).l_e_st_eq_landau_n_rt_rp_r_2r169_t2 r p x y t u) : l_e_st_eq_landau_n_rt_rp_r_more r l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4160 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r169_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r l_e_st_eq_landau_n_rt_rp_r_0.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).λbi0:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).(l_e_st_eq_landau_n_rt_rp_satzd169b a b (l_e_st_eq_landau_n_rt_rp_r_0ex l_e_st_eq_landau_n_rt_rp_r_0 b bi0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_moreex r l_e_st_eq_landau_n_rt_rp_r_0 a b air bi0 m) : l_e_st_eq_landau_n_rt_rp_posd a).

(* constant 4161 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r169_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r l_e_st_eq_landau_n_rt_rp_r_0.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).λbi0:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).(l_e_st_eq_landau_n_rt_rp_r_posin r a air (l_e_st_eq_landau_n_rt_rp_r_2r169_t3 r m a b air bi0) : l_e_st_eq_landau_n_rt_rp_r_pos r).

(* constant 4162 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz169b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pos r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).l_e_st_eq_landau_n_rt_rp_r_2r169_t4 r m x y t u) : l_e_st_eq_landau_n_rt_rp_r_pos r).

(* constant 4163 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r169_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).λbi0:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).(l_e_st_eq_landau_n_rt_rp_satzd169c a b (l_e_st_eq_landau_n_rt_rp_r_0ex l_e_st_eq_landau_n_rt_rp_r_0 b bi0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_negex r a air n) : l_e_st_eq_landau_n_rt_rp_lessd a b).

(* constant 4164 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r169_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).λbi0:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).(l_e_st_eq_landau_n_rt_rp_r_lessin r l_e_st_eq_landau_n_rt_rp_r_0 a b air bi0 (l_e_st_eq_landau_n_rt_rp_r_2r169_t5 r n a b air bi0) : l_e_st_eq_landau_n_rt_rp_r_less r l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4165 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz169c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_less r l_e_st_eq_landau_n_rt_rp_r_0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).l_e_st_eq_landau_n_rt_rp_r_2r169_t6 r n x y t u) : l_e_st_eq_landau_n_rt_rp_r_less r l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4166 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r169_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r l_e_st_eq_landau_n_rt_rp_r_0.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).λbi0:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).(l_e_st_eq_landau_n_rt_rp_satzd169d a b (l_e_st_eq_landau_n_rt_rp_r_0ex l_e_st_eq_landau_n_rt_rp_r_0 b bi0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_lessex r l_e_st_eq_landau_n_rt_rp_r_0 a b air bi0 l) : l_e_st_eq_landau_n_rt_rp_negd a).

(* constant 4167 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r169_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r l_e_st_eq_landau_n_rt_rp_r_0.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).λbi0:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).(l_e_st_eq_landau_n_rt_rp_r_negin r a air (l_e_st_eq_landau_n_rt_rp_r_2r169_t7 r l a b air bi0) : l_e_st_eq_landau_n_rt_rp_r_neg r).

(* constant 4168 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz169d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_neg r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).l_e_st_eq_landau_n_rt_rp_r_2r169_t8 r l x y t u) : l_e_st_eq_landau_n_rt_rp_r_neg r).

(* constant 4169 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r170_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).λbi0:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).(l_e_st_eq_landau_n_rt_rp_satzd170 a b (l_e_st_eq_landau_n_rt_rp_r_0ex l_e_st_eq_landau_n_rt_rp_r_0 b bi0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_absd a) b).

(* constant 4170 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r170_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).λbi0:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).(l_e_st_eq_landau_n_rt_rp_r_moreisin (l_e_st_eq_landau_n_rt_rp_r_abs r) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_absd a) b (l_e_st_eq_landau_n_rt_rp_r_aica r a air) bi0 (l_e_st_eq_landau_n_rt_rp_r_2r170_t1 r a b air bi0) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_abs r) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4171 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz170 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_abs r) l_e_st_eq_landau_n_rt_rp_r_0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class l_e_st_eq_landau_n_rt_rp_r_0).l_e_st_eq_landau_n_rt_rp_r_2r170_t2 r x y t u) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_abs r) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4172 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz170a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_abs r)) (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_abs r) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_satz167c (l_e_st_eq_landau_n_rt_rp_r_abs r) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_satz170 r)) (λt:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_abs r).l_e_st_eq_landau_n_rt_rp_r_satz169c (l_e_st_eq_landau_n_rt_rp_r_abs r) t) : l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_abs r))).

(* constant 4173 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r171_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λk:l_e_st_eq_landau_n_rt_rp_r_less s t.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).λbis:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class s).λcit:l_e_st_eq_landau_n_rt_rp_r_inn c (l_e_st_eq_landau_n_rt_rp_r_class t).(l_e_st_eq_landau_n_rt_rp_satzd171 a b c (l_e_st_eq_landau_n_rt_rp_r_lessex r s a b air bis l) (l_e_st_eq_landau_n_rt_rp_r_lessex s t b c bis cit k) : l_e_st_eq_landau_n_rt_rp_lessd a c).

(* constant 4174 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r171_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λk:l_e_st_eq_landau_n_rt_rp_r_less s t.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r).λbis:l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class s).λcit:l_e_st_eq_landau_n_rt_rp_r_inn c (l_e_st_eq_landau_n_rt_rp_r_class t).(l_e_st_eq_landau_n_rt_rp_r_lessin r t a c air cit (l_e_st_eq_landau_n_rt_rp_r_2r171_t1 r s t l k a b c air bis cit) : l_e_st_eq_landau_n_rt_rp_r_less r t).

(* constant 4175 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz171 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λk:l_e_st_eq_landau_n_rt_rp_r_less s t.(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_less r t) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λw:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λv:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_2r171_t2 r s t l k x y z w u v) : l_e_st_eq_landau_n_rt_rp_r_less r t).

(* constant 4176 *)
definition l_e_st_eq_landau_n_rt_rp_r_trless ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λk:l_e_st_eq_landau_n_rt_rp_r_less s t.(l_e_st_eq_landau_n_rt_rp_r_satz171 r s t l k : l_e_st_eq_landau_n_rt_rp_r_less r t).

(* constant 4177 *)
definition l_e_st_eq_landau_n_rt_rp_r_trmore ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λn:l_e_st_eq_landau_n_rt_rp_r_more s t.(l_e_st_eq_landau_n_rt_rp_r_lemma2 t r (l_e_st_eq_landau_n_rt_rp_r_trless t s r (l_e_st_eq_landau_n_rt_rp_r_lemma1 s t n) (l_e_st_eq_landau_n_rt_rp_r_lemma1 r s m)) : l_e_st_eq_landau_n_rt_rp_r_more r t).

(* constant 4178 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r172_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λl:l_e_st_eq_landau_n_rt_rp_r_lessis r s.λk:l_e_st_eq_landau_n_rt_rp_r_less s t.(l_e_st_eq_landau_n_rt_rp_satzd172a a2 b2 c2 (l_e_st_eq_landau_n_rt_rp_r_lessisex r s a2 b2 a2ir b2is l) (l_e_st_eq_landau_n_rt_rp_r_lessex s t b2 c2 b2is c2it k) : l_e_st_eq_landau_n_rt_rp_lessd a2 c2).

(* constant 4179 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r172_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λl:l_e_st_eq_landau_n_rt_rp_r_lessis r s.λk:l_e_st_eq_landau_n_rt_rp_r_less s t.(l_e_st_eq_landau_n_rt_rp_r_lessin r t a2 c2 a2ir c2it (l_e_st_eq_landau_n_rt_rp_r_2r172_t1 r s t a2 b2 c2 a2ir b2is c2it l k) : l_e_st_eq_landau_n_rt_rp_r_less r t).

(* constant 4180 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz172a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_lessis r s.λk:l_e_st_eq_landau_n_rt_rp_r_less s t.(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_less r t) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_2r172_t2 r s t x y z u v w l k) : l_e_st_eq_landau_n_rt_rp_r_less r t).

(* constant 4181 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r172_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λk:l_e_st_eq_landau_n_rt_rp_r_lessis s t.(l_e_st_eq_landau_n_rt_rp_satzd172b a2 b2 c2 (l_e_st_eq_landau_n_rt_rp_r_lessex r s a2 b2 a2ir b2is l) (l_e_st_eq_landau_n_rt_rp_r_lessisex s t b2 c2 b2is c2it k) : l_e_st_eq_landau_n_rt_rp_lessd a2 c2).

(* constant 4182 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r172_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λk:l_e_st_eq_landau_n_rt_rp_r_lessis s t.(l_e_st_eq_landau_n_rt_rp_r_lessin r t a2 c2 a2ir c2it (l_e_st_eq_landau_n_rt_rp_r_2r172_t3 r s t a2 b2 c2 a2ir b2is c2it l k) : l_e_st_eq_landau_n_rt_rp_r_less r t).

(* constant 4183 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz172b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λk:l_e_st_eq_landau_n_rt_rp_r_lessis s t.(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_less r t) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_2r172_t4 r s t x y z u v w l k) : l_e_st_eq_landau_n_rt_rp_r_less r t).

(* constant 4184 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz172c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis r s.λn:l_e_st_eq_landau_n_rt_rp_r_more s t.(l_e_st_eq_landau_n_rt_rp_r_lemma2 t r (l_e_st_eq_landau_n_rt_rp_r_satz172b t s r (l_e_st_eq_landau_n_rt_rp_r_lemma1 s t n) (l_e_st_eq_landau_n_rt_rp_r_satz168a r s m)) : l_e_st_eq_landau_n_rt_rp_r_more r t).

(* constant 4185 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz172d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λn:l_e_st_eq_landau_n_rt_rp_r_moreis s t.(l_e_st_eq_landau_n_rt_rp_r_lemma2 t r (l_e_st_eq_landau_n_rt_rp_r_satz172a t s r (l_e_st_eq_landau_n_rt_rp_r_satz168a s t n) (l_e_st_eq_landau_n_rt_rp_r_lemma1 r s m)) : l_e_st_eq_landau_n_rt_rp_r_more r t).

(* constant 4186 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r173_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λl:l_e_st_eq_landau_n_rt_rp_r_lessis r s.λk:l_e_st_eq_landau_n_rt_rp_r_lessis s t.(l_e_st_eq_landau_n_rt_rp_satzd173 a2 b2 c2 (l_e_st_eq_landau_n_rt_rp_r_lessisex r s a2 b2 a2ir b2is l) (l_e_st_eq_landau_n_rt_rp_r_lessisex s t b2 c2 b2is c2it k) : l_e_st_eq_landau_n_rt_rp_lesseq a2 c2).

(* constant 4187 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r173_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λl:l_e_st_eq_landau_n_rt_rp_r_lessis r s.λk:l_e_st_eq_landau_n_rt_rp_r_lessis s t.(l_e_st_eq_landau_n_rt_rp_r_lessisin r t a2 c2 a2ir c2it (l_e_st_eq_landau_n_rt_rp_r_2r173_t1 r s t a2 b2 c2 a2ir b2is c2it l k) : l_e_st_eq_landau_n_rt_rp_r_lessis r t).

(* constant 4188 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz173 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_lessis r s.λk:l_e_st_eq_landau_n_rt_rp_r_lessis s t.(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_lessis r t) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_2r173_t2 r s t x y z u v w l k) : l_e_st_eq_landau_n_rt_rp_r_lessis r t).

(* constant 4189 *)
definition l_e_st_eq_landau_n_rt_rp_r_trlessis ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_lessis r s.λk:l_e_st_eq_landau_n_rt_rp_r_lessis s t.(l_e_st_eq_landau_n_rt_rp_r_satz173 r s t l k : l_e_st_eq_landau_n_rt_rp_r_lessis r t).

(* constant 4190 *)
definition l_e_st_eq_landau_n_rt_rp_r_trmoreis ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis r s.λn:l_e_st_eq_landau_n_rt_rp_r_moreis s t.(l_e_st_eq_landau_n_rt_rp_r_satz168b t r (l_e_st_eq_landau_n_rt_rp_r_trlessis t s r (l_e_st_eq_landau_n_rt_rp_r_satz168a s t n) (l_e_st_eq_landau_n_rt_rp_r_satz168a r s m)) : l_e_st_eq_landau_n_rt_rp_r_moreis r t).

(* constant 4191 *)
definition l_e_st_eq_landau_n_rt_rp_r_ratrl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_ratd x)) : Prop).

(* constant 4192 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t21 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λr1:l_e_st_eq_landau_n_rt_rp_ratd a0.(l_andi (l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_ratd a0) a0ir r1 : l_and (l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_ratd a0)).

(* constant 4193 *)
definition l_e_st_eq_landau_n_rt_rp_r_ratrlin ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λr1:l_e_st_eq_landau_n_rt_rp_ratd a0.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_ratd x)) a0 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t21 r a0 a0ir r1) : l_e_st_eq_landau_n_rt_rp_r_ratrl r).

(* constant 4194 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t22 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λrr:l_e_st_eq_landau_n_rt_rp_r_ratrl r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_and (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_ratd a).(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_ratd a) b : l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)).

(* constant 4195 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t23 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λrr:l_e_st_eq_landau_n_rt_rp_r_ratrl r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_and (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_ratd a).(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_ratd a) b : l_e_st_eq_landau_n_rt_rp_ratd a).

(* constant 4196 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t24 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λrr:l_e_st_eq_landau_n_rt_rp_r_ratrl r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_and (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_ratd a).(l_e_st_eq_landau_n_rt_rp_eqratd a a0 (l_e_st_eq_landau_n_rt_rp_r_isex r r a a0 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t22 r a0 a0ir rr a b) a0ir (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real r)) (l_e_st_eq_landau_n_rt_rp_r_ivr2_t23 r a0 a0ir rr a b) : l_e_st_eq_landau_n_rt_rp_ratd a0).

(* constant 4197 *)
definition l_e_st_eq_landau_n_rt_rp_r_ratrlex ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λrr:l_e_st_eq_landau_n_rt_rp_r_ratrl r.(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_ratd x)) rr (l_e_st_eq_landau_n_rt_rp_ratd a0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_and (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_ratd x).l_e_st_eq_landau_n_rt_rp_r_ivr2_t24 r a0 a0ir rr x t) : l_e_st_eq_landau_n_rt_rp_ratd a0).

(* constant 4198 *)
definition l_e_st_eq_landau_n_rt_rp_r_irratrl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_not (l_e_st_eq_landau_n_rt_rp_r_ratrl r) : Prop).

(* constant 4199 *)
definition l_e_st_eq_landau_n_rt_rp_r_remark2 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λrr:l_e_st_eq_landau_n_rt_rp_ratrp r0.(l_e_st_eq_landau_n_rt_rp_r_ratrlin (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_pdofrp r0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp r0)) (l_e_st_eq_landau_n_rt_rp_remark2a r0 rr) : l_e_st_eq_landau_n_rt_rp_r_ratrl (l_e_st_eq_landau_n_rt_rp_r_pofrp r0)).

(* constant 4200 *)
definition l_e_st_eq_landau_n_rt_rp_r_remark3 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λrr:l_e_st_eq_landau_n_rt_rp_ratrp r0.(l_e_st_eq_landau_n_rt_rp_r_ratrlin (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_ndofrp r0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_ndofrp r0)) (l_e_st_eq_landau_n_rt_rp_remark3a r0 rr) : l_e_st_eq_landau_n_rt_rp_r_ratrl (l_e_st_eq_landau_n_rt_rp_r_nofrp r0)).

(* constant 4201 *)
definition l_e_st_eq_landau_n_rt_rp_r_remark4 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λir:l_e_st_eq_landau_n_rt_rp_irratrp r0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_ratrl (l_e_st_eq_landau_n_rt_rp_r_pofrp r0)) (l_e_st_eq_landau_n_rt_rp_ratd (l_e_st_eq_landau_n_rt_rp_pdofrp r0)) (l_e_st_eq_landau_n_rt_rp_remark4a r0 ir) (λt:l_e_st_eq_landau_n_rt_rp_r_ratrl (l_e_st_eq_landau_n_rt_rp_r_pofrp r0).l_e_st_eq_landau_n_rt_rp_r_ratrlex (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_pdofrp r0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp r0)) t) : l_e_st_eq_landau_n_rt_rp_r_irratrl (l_e_st_eq_landau_n_rt_rp_r_pofrp r0)).

(* constant 4202 *)
definition l_e_st_eq_landau_n_rt_rp_r_remark5 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λir:l_e_st_eq_landau_n_rt_rp_irratrp r0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_ratrl (l_e_st_eq_landau_n_rt_rp_r_nofrp r0)) (l_e_st_eq_landau_n_rt_rp_ratd (l_e_st_eq_landau_n_rt_rp_ndofrp r0)) (l_e_st_eq_landau_n_rt_rp_remark5a r0 ir) (λt:l_e_st_eq_landau_n_rt_rp_r_ratrl (l_e_st_eq_landau_n_rt_rp_r_nofrp r0).l_e_st_eq_landau_n_rt_rp_r_ratrlex (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_ndofrp r0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_ndofrp r0)) t) : l_e_st_eq_landau_n_rt_rp_r_irratrl (l_e_st_eq_landau_n_rt_rp_r_nofrp r0)).

(* constant 4203 *)
definition l_e_st_eq_landau_n_rt_rp_r_natrl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_natd x)) : Prop).

(* constant 4204 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t25 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_natd a0.(l_andi (l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_natd a0) a0ir n : l_and (l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_natd a0)).

(* constant 4205 *)
definition l_e_st_eq_landau_n_rt_rp_r_natrlin ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_natd a0.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_natd x)) a0 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t25 r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_r_natrl r).

(* constant 4206 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t26 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_and (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_natd a).(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_natd a) b : l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)).

(* constant 4207 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t27 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_and (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_natd a).(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_natd a) b : l_e_st_eq_landau_n_rt_rp_natd a).

(* constant 4208 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t28 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_and (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_natd a).(l_e_st_eq_landau_n_rt_rp_eqnatd a a0 (l_e_st_eq_landau_n_rt_rp_r_isex r r a a0 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t26 r a0 a0ir n a b) a0ir (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real r)) (l_e_st_eq_landau_n_rt_rp_r_ivr2_t27 r a0 a0ir n a b) : l_e_st_eq_landau_n_rt_rp_natd a0).

(* constant 4209 *)
definition l_e_st_eq_landau_n_rt_rp_r_natrlex ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_natd x)) n (l_e_st_eq_landau_n_rt_rp_natd a0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_and (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_natd x).l_e_st_eq_landau_n_rt_rp_r_ivr2_t28 r a0 a0ir n x t) : l_e_st_eq_landau_n_rt_rp_natd a0).

(* constant 4210 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t29 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_natposd a0 (l_e_st_eq_landau_n_rt_rp_r_natrlex r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_posd a0).

(* constant 4211 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t30 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_r_posin r a0 a0ir (l_e_st_eq_landau_n_rt_rp_r_ivr2_t29 r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_r_pos r).

(* constant 4212 *)
definition l_e_st_eq_landau_n_rt_rp_r_natpos ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_pos r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr2_t30 r x t n) : l_e_st_eq_landau_n_rt_rp_r_pos r).

(* constant 4213 *)
definition l_e_st_eq_landau_n_rt_rp_r_rlofnt ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_pdofnt x) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4214 *)
definition l_e_st_eq_landau_n_rt_rp_r_natrli ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_natrlin (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_pdofnt x) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofnt x)) (l_e_st_eq_landau_n_rt_rp_natdi x) : l_e_st_eq_landau_n_rt_rp_r_natrl (l_e_st_eq_landau_n_rt_rp_r_rlofnt x)).

(* constant 4215 *)
definition l_e_st_eq_landau_n_rt_rp_r_isnterl ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is x y.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt u) x y i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y)).

(* constant 4216 *)
definition l_e_st_eq_landau_n_rt_rp_r_isntirl ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y).(l_e_st_eq_landau_n_rt_rp_isntirp x y (l_e_st_eq_landau_n_rt_rp_r_isrpip (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y) i) : l_e_st_eq_landau_n_is x y).

(* constant 4217 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t31 ≝ (λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y).l_e_st_eq_landau_n_rt_rp_r_isntirl x y t : l_e_injective l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt x)).

(* constant 4218 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t32 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_natposd a0 (l_e_st_eq_landau_n_rt_rp_r_natrlex r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_posd a0).

(* constant 4219 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_ap ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_rpofpd a0 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t32 r a0 a0ir n) : l_e_st_eq_landau_n_rt_cut).

(* constant 4220 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t33 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_natderp a0 (l_e_st_eq_landau_n_rt_rp_r_natrlex r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_natrp (l_e_st_eq_landau_n_rt_rp_r_ivr2_ap r a0 a0ir n)).

(* constant 4221 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_x0 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_ntofrp (l_e_st_eq_landau_n_rt_rp_r_ivr2_ap r a0 a0ir n) (l_e_st_eq_landau_n_rt_rp_r_ivr2_t33 r a0 a0ir n) : l_e_st_eq_landau_n_nat).

(* constant 4222 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t34 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_isrpepd (l_e_st_eq_landau_n_rt_rp_r_ivr2_ap r a0 a0ir n) (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_rt_rp_r_ivr2_x0 r a0 a0ir n)) (l_e_st_eq_landau_n_rt_rp_isrpnt1 (l_e_st_eq_landau_n_rt_rp_r_ivr2_ap r a0 a0ir n) (l_e_st_eq_landau_n_rt_rp_r_ivr2_t33 r a0 a0ir n)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_r_ivr2_ap r a0 a0ir n)) (l_e_st_eq_landau_n_rt_rp_pdofnt (l_e_st_eq_landau_n_rt_rp_r_ivr2_x0 r a0 a0ir n))).

(* constant 4223 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t35 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_treq a0 (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_r_ivr2_ap r a0 a0ir n)) (l_e_st_eq_landau_n_rt_rp_pdofnt (l_e_st_eq_landau_n_rt_rp_r_ivr2_x0 r a0 a0ir n)) (l_e_st_eq_landau_n_rt_rp_eqpdrp1 a0 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t32 r a0 a0ir n)) (l_e_st_eq_landau_n_rt_rp_r_ivr2_t34 r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_eq a0 (l_e_st_eq_landau_n_rt_rp_pdofnt (l_e_st_eq_landau_n_rt_rp_r_ivr2_x0 r a0 a0ir n))).

(* constant 4224 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t36 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_r_isin r (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_ivr2_x0 r a0 a0ir n)) a0 (l_e_st_eq_landau_n_rt_rp_pdofnt (l_e_st_eq_landau_n_rt_rp_r_ivr2_x0 r a0 a0ir n)) a0ir (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofnt (l_e_st_eq_landau_n_rt_rp_r_ivr2_x0 r a0 a0ir n))) (l_e_st_eq_landau_n_rt_rp_r_ivr2_t35 r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_ivr2_x0 r a0 a0ir n))).

(* constant 4225 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t37 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_somei l_e_st_eq_landau_n_nat (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_rlofnt x)) (l_e_st_eq_landau_n_rt_rp_r_ivr2_x0 r a0 a0ir n) (l_e_st_eq_landau_n_rt_rp_r_ivr2_t36 r a0 a0ir n) : l_e_image l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt x) r).

(* constant 4226 *)
definition l_e_st_eq_landau_n_rt_rp_r_natimage ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_image l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt x) r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr2_t37 r x t n) : l_e_image l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt x) r).

(* constant 4227 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t38 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_image l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt x) r.λx:l_e_st_eq_landau_n_nat.λj:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_rlofnt x).(l_e_isp1 l_e_st_eq_landau_n_rt_rp_r_real (λu:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_natrl u) (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) r (l_e_st_eq_landau_n_rt_rp_r_natrli x) j : l_e_st_eq_landau_n_rt_rp_r_natrl r).

(* constant 4228 *)
definition l_e_st_eq_landau_n_rt_rp_r_imagenat ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_image l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt x) r.(l_someapp l_e_st_eq_landau_n_nat (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_rlofnt u)) i (l_e_st_eq_landau_n_rt_rp_r_natrl r) (λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_rlofnt u).l_e_st_eq_landau_n_rt_rp_r_ivr2_t38 r i u v) : l_e_st_eq_landau_n_rt_rp_r_natrl r).

(* constant 4229 *)
definition l_e_st_eq_landau_n_rt_rp_r_ntofrl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_soft l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt x) l_e_st_eq_landau_n_rt_rp_r_ivr2_t31 r (l_e_st_eq_landau_n_rt_rp_r_natimage r n) : l_e_st_eq_landau_n_nat).

(* constant 4230 *)
definition l_e_st_eq_landau_n_rt_rp_r_isrlent ≝ λr1:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_natrl r1.λs1:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_natrl s1.λi:l_e_st_eq_landau_n_rt_rp_r_is r1 s1.(l_e_isinv l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt x) l_e_st_eq_landau_n_rt_rp_r_ivr2_t31 r1 (l_e_st_eq_landau_n_rt_rp_r_natimage r1 n) s1 (l_e_st_eq_landau_n_rt_rp_r_natimage s1 m) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_ntofrl r1 n) (l_e_st_eq_landau_n_rt_rp_r_ntofrl s1 m)).

(* constant 4231 *)
definition l_e_st_eq_landau_n_rt_rp_r_isrlint ≝ λr1:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_natrl r1.λs1:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_natrl s1.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_ntofrl r1 n) (l_e_st_eq_landau_n_rt_rp_r_ntofrl s1 m).(l_e_isinve l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt x) l_e_st_eq_landau_n_rt_rp_r_ivr2_t31 r1 (l_e_st_eq_landau_n_rt_rp_r_natimage r1 n) s1 (l_e_st_eq_landau_n_rt_rp_r_natimage s1 m) i : l_e_st_eq_landau_n_rt_rp_r_is r1 s1).

(* constant 4232 *)
definition l_e_st_eq_landau_n_rt_rp_r_isrlnt1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_ists1 l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt x) l_e_st_eq_landau_n_rt_rp_r_ivr2_t31 r (l_e_st_eq_landau_n_rt_rp_r_natimage r n) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_ntofrl r n))).

(* constant 4233 *)
definition l_e_st_eq_landau_n_rt_rp_r_isrlnt2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real r (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_ntofrl r n)) (l_e_st_eq_landau_n_rt_rp_r_isrlnt1 r n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_ntofrl r n)) r).

(* constant 4234 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_xn ≝ λx:l_e_st_eq_landau_n_nat.(l_e_soft l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt u) l_e_st_eq_landau_n_rt_rp_r_ivr2_t31 (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_imagei l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt u) x) : l_e_st_eq_landau_n_nat).

(* constant 4235 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t39 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_isinv l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt u) l_e_st_eq_landau_n_rt_rp_r_ivr2_t31 (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_imagei l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt u) x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_natimage (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_natrli x)) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_rlofnt x)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_ivr2_xn x) (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_natrli x))).

(* constant 4236 *)
definition l_e_st_eq_landau_n_rt_rp_r_isntrl1 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_rt_rp_r_ivr2_xn x) (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_natrli x)) (l_e_isst1 l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_real (λu:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_rlofnt u) l_e_st_eq_landau_n_rt_rp_r_ivr2_t31 x) (l_e_st_eq_landau_n_rt_rp_r_ivr2_t39 x) : l_e_st_eq_landau_n_is x (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_natrli x))).

(* constant 4237 *)
definition l_e_st_eq_landau_n_rt_rp_r_isntrl2 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat x (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_natrli x)) (l_e_st_eq_landau_n_rt_rp_r_isntrl1 x) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_natrli x)) x).

(* constant 4238 *)
definition l_e_st_eq_landau_n_rt_rp_r_intrl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_intd x)) : Prop).

(* constant 4239 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t40 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_intd a0.(l_andi (l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_intd a0) a0ir i : l_and (l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_intd a0)).

(* constant 4240 *)
definition l_e_st_eq_landau_n_rt_rp_r_intrlin ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_intd a0.(l_somei l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_intd x)) a0 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t40 r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_r_intrl r).

(* constant 4241 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t41 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_and (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_intd a).(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_intd a) b : l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)).

(* constant 4242 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t42 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_and (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_intd a).(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_intd a) b : l_e_st_eq_landau_n_rt_rp_intd a).

(* constant 4243 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t43 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_and (l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_intd a).(l_e_st_eq_landau_n_rt_rp_eqintd a a0 (l_e_st_eq_landau_n_rt_rp_r_isex r r a a0 (l_e_st_eq_landau_n_rt_rp_r_ivr2_t41 r a0 a0ir i a b) a0ir (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real r)) (l_e_st_eq_landau_n_rt_rp_r_ivr2_t42 r a0 a0ir i a b) : l_e_st_eq_landau_n_rt_rp_intd a0).

(* constant 4244 *)
definition l_e_st_eq_landau_n_rt_rp_r_intrlex ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_intd x)) i (l_e_st_eq_landau_n_rt_rp_intd a0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_and (l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r)) (l_e_st_eq_landau_n_rt_rp_intd x).l_e_st_eq_landau_n_rt_rp_r_ivr2_t43 r a0 a0ir i x t) : l_e_st_eq_landau_n_rt_rp_intd a0).

(* constant 4245 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t44 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_natintd a0 (l_e_st_eq_landau_n_rt_rp_r_natrlex r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_intd a0).

(* constant 4246 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t45 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_r_intrlin r a0 a0ir (l_e_st_eq_landau_n_rt_rp_r_ivr2_t44 r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_r_intrl r).

(* constant 4247 *)
definition l_e_st_eq_landau_n_rt_rp_r_natintrl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_intrl r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr2_t45 r x t n) : l_e_st_eq_landau_n_rt_rp_r_intrl r).

(* constant 4248 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t46 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_e_st_eq_landau_n_rt_rp_posintnatd a0 (l_e_st_eq_landau_n_rt_rp_r_posex r a0 a0ir p) (l_e_st_eq_landau_n_rt_rp_r_intrlex r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_natd a0).

(* constant 4249 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t47 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_e_st_eq_landau_n_rt_rp_r_natrlin r a0 a0ir (l_e_st_eq_landau_n_rt_rp_r_ivr2_t46 r a0 a0ir p i) : l_e_st_eq_landau_n_rt_rp_r_natrl r).

(* constant 4250 *)
definition l_e_st_eq_landau_n_rt_rp_r_posintnatrl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_natrl r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr2_t47 r x t p i) : l_e_st_eq_landau_n_rt_rp_r_natrl r).

(* constant 4251 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t48 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi2:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_intdi0 a0 (l_e_st_eq_landau_n_rt_rp_r_0ex r a0 a0ir i2) : l_e_st_eq_landau_n_rt_rp_intd a0).

(* constant 4252 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr2_t49 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi2:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_intrlin r a0 a0ir (l_e_st_eq_landau_n_rt_rp_r_ivr2_t48 r a0 a0ir i2) : l_e_st_eq_landau_n_rt_rp_r_intrl r).

(* constant 4253 *)
definition l_e_st_eq_landau_n_rt_rp_r_intrli0 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_intrl r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr2_t49 r x t i) : l_e_st_eq_landau_n_rt_rp_r_intrl r).

(* constant 4254 *)
definition l_e_st_eq_landau_n_rt_rp_r_remark6 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_natrp r0.(l_e_st_eq_landau_n_rt_rp_r_intrlin (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_pdofrp r0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp r0)) (l_e_st_eq_landau_n_rt_rp_remark6 r0 n) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_pofrp r0)).

(* constant 4255 *)
definition l_e_st_eq_landau_n_rt_rp_r_remark7 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λn:l_e_st_eq_landau_n_rt_rp_natrp r0.(l_e_st_eq_landau_n_rt_rp_r_intrlin (l_e_st_eq_landau_n_rt_rp_r_nofrp r0) (l_e_st_eq_landau_n_rt_rp_ndofrp r0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_ndofrp r0)) (l_e_st_eq_landau_n_rt_rp_remark7 r0 n) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_nofrp r0)).

(* constant 4256 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r174_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_e_st_eq_landau_n_rt_rp_satzd174 a0 (l_e_st_eq_landau_n_rt_rp_r_intrlex r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_ratd a0).

(* constant 4257 *)
definition l_e_st_eq_landau_n_rt_rp_r_2r174_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_e_st_eq_landau_n_rt_rp_r_ratrlin r a0 a0ir (l_e_st_eq_landau_n_rt_rp_r_2r174_t1 r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_r_ratrl r).

(* constant 4258 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz174 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_ratrl r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_2r174_t2 r x t i) : l_e_st_eq_landau_n_rt_rp_r_ratrl r).

(* constant 4259 *)
definition l_e_st_eq_landau_n_rt_rp_r_plusdr ≝ (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_pd x y) : Πx:l_e_st_eq_landau_n_rt_rp_dif.Πy:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4260 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq c d.(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_pd a c)) (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_pd b d)) (l_e_st_eq_landau_n_rt_rp_pd a c) (l_e_st_eq_landau_n_rt_rp_pd b d) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pd a c)) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pd b d)) (l_e_st_eq_landau_n_rt_rp_eqpd12 a b c d e f) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_plusdr a c) (l_e_st_eq_landau_n_rt_rp_r_plusdr b d)).

(* constant 4261 *)
definition l_e_st_eq_landau_n_rt_rp_r_fplusdr ≝ (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λv:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_eq x y.λu:l_e_st_eq_landau_n_rt_rp_r_eq z v.l_e_st_eq_landau_n_rt_rp_r_ivr3_t1 x y z v t u : l_e_st_eq_landau_n_rt_rp_r_fixf2 l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_plusdr).

(* constant 4262 *)
definition l_e_st_eq_landau_n_rt_rp_r_pl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_indreal2 l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_plusdr l_e_st_eq_landau_n_rt_rp_r_fplusdr r s : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4263 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_r_isindreal2 l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_plusdr l_e_st_eq_landau_n_rt_rp_r_fplusdr r s a1 b1 a1ir b1is : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_pd a1 b1)) (l_e_st_eq_landau_n_rt_rp_r_pl r s)).

(* constant 4264 *)
definition l_e_st_eq_landau_n_rt_rp_r_picp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_inn (l_e_st_eq_landau_n_rt_rp_pd a1 b1) (l_e_st_eq_landau_n_rt_rp_r_class x)) (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_pd a1 b1)) (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pd a1 b1)) (l_e_st_eq_landau_n_rt_rp_r_ivr3_t2 r s a1 b1 a1ir b1is) : l_e_st_eq_landau_n_rt_rp_r_inn (l_e_st_eq_landau_n_rt_rp_pd a1 b1) (l_e_st_eq_landau_n_rt_rp_r_class (l_e_st_eq_landau_n_rt_rp_r_pl r s))).

(* constant 4265 *)
definition l_e_st_eq_landau_n_rt_rp_r_ispl1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_pl x t) r s i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t)).

(* constant 4266 *)
definition l_e_st_eq_landau_n_rt_rp_r_ispl2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_pl t x) r s i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl t s)).

(* constant 4267 *)
definition l_e_st_eq_landau_n_rt_rp_r_ispl12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λj:l_e_st_eq_landau_n_rt_rp_r_is t u.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t) (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_r_ispl1 r s t i) (l_e_st_eq_landau_n_rt_rp_r_ispl2 t u s j) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)).

(* constant 4268 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r175_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_satzd175 a1 b1 : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a1 b1) (l_e_st_eq_landau_n_rt_rp_pd b1 a1)).

(* constant 4269 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r175_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_r_pl s r) (l_e_st_eq_landau_n_rt_rp_pd a1 b1) (l_e_st_eq_landau_n_rt_rp_pd b1 a1) (l_e_st_eq_landau_n_rt_rp_r_picp r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_picp s r b1 a1 b1is a1ir) (l_e_st_eq_landau_n_rt_rp_r_3r175_t1 r s a1 b1 a1ir b1is) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_r_pl s r)).

(* constant 4270 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz175 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_r_pl s r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_3r175_t2 r s x y t u) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_r_pl s r)).

(* constant 4271 *)
definition l_e_st_eq_landau_n_rt_rp_r_compl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_satz175 r s : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_r_pl s r)).

(* constant 4272 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_pd01 a1 b1 (l_e_st_eq_landau_n_rt_rp_r_0ex r a1 a1ir i) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd a1 b1) b1).

(* constant 4273 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_pl r s) s (l_e_st_eq_landau_n_rt_rp_pd a1 b1) b1 (l_e_st_eq_landau_n_rt_rp_r_picp r s a1 b1 a1ir b1is) b1is (l_e_st_eq_landau_n_rt_rp_r_ivr3_t3 r s a1 b1 a1ir b1is i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r s) s).

(* constant 4274 *)
definition l_e_st_eq_landau_n_rt_rp_r_pl01 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r s) s) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_ivr3_t4 r s x y t u i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r s) s).

(* constant 4275 *)
definition l_e_st_eq_landau_n_rt_rp_r_pl02 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_r_pl s r) r (l_e_st_eq_landau_n_rt_rp_r_compl r s) (l_e_st_eq_landau_n_rt_rp_r_pl01 s r i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r s) r).

(* constant 4276 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_st_eq_landau_n_rt_rp_ppd a1 b1 (l_e_st_eq_landau_n_rt_rp_r_posex r a1 a1ir p) (l_e_st_eq_landau_n_rt_rp_r_posex s b1 b1is q) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_pd a1 b1)).

(* constant 4277 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_st_eq_landau_n_rt_rp_r_posin (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_pd a1 b1) (l_e_st_eq_landau_n_rt_rp_r_picp r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_ivr3_t5 r s a1 b1 a1ir b1is p q) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl r s)).

(* constant 4278 *)
definition l_e_st_eq_landau_n_rt_rp_r_pospl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl r s)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_ivr3_t6 r s x y t u p q) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl r s)).

(* constant 4279 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λo:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_npd a1 b1 (l_e_st_eq_landau_n_rt_rp_r_negex r a1 a1ir n) (l_e_st_eq_landau_n_rt_rp_r_negex s b1 b1is o) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_pd a1 b1)).

(* constant 4280 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λo:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_r_negin (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_pd a1 b1) (l_e_st_eq_landau_n_rt_rp_r_picp r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_ivr3_t7 r s a1 b1 a1ir b1is n o) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_pl r s)).

(* constant 4281 *)
definition l_e_st_eq_landau_n_rt_rp_r_negpl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λo:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_pl r s)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_ivr3_t8 r s x y t u n o) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_pl r s)).

(* constant 4282 *)
definition l_e_st_eq_landau_n_rt_rp_r_m0dr ≝ (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_m0d x) : Πx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4283 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t5a ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_m0d a) (l_e_st_eq_landau_n_rt_rp_m0d b) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_m0d a)) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_m0d b)) (l_e_st_eq_landau_n_rt_rp_eqm0d a b e) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0dr a) (l_e_st_eq_landau_n_rt_rp_r_m0dr b)).

(* constant 4284 *)
definition l_e_st_eq_landau_n_rt_rp_r_fm0dr ≝ (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_eq x y.l_e_st_eq_landau_n_rt_rp_r_ivr3_t5a x y t : l_e_st_eq_landau_n_rt_rp_r_fixf l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_m0dr).

(* constant 4285 *)
definition l_e_st_eq_landau_n_rt_rp_r_m0 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_indreal l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_m0dr l_e_st_eq_landau_n_rt_rp_r_fm0dr r : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4286 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t6a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_st_eq_landau_n_rt_rp_r_isindreal l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_m0dr l_e_st_eq_landau_n_rt_rp_r_fm0dr r a0 a0ir : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_m0d a0)) (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4287 *)
definition l_e_st_eq_landau_n_rt_rp_r_micm0 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_inn (l_e_st_eq_landau_n_rt_rp_m0d a0) (l_e_st_eq_landau_n_rt_rp_r_class x)) (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_m0d a0)) (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_m0d a0)) (l_e_st_eq_landau_n_rt_rp_r_ivr3_t6a r a0 a0ir) : l_e_st_eq_landau_n_rt_rp_r_inn (l_e_st_eq_landau_n_rt_rp_m0d a0) (l_e_st_eq_landau_n_rt_rp_r_class (l_e_st_eq_landau_n_rt_rp_r_m0 r))).

(* constant 4288 *)
definition l_e_st_eq_landau_n_rt_rp_r_ism0 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_m0 x) r s i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)).

(* constant 4289 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t7a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_absnd a0 (l_e_st_eq_landau_n_rt_rp_r_negex r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd a0) (l_e_st_eq_landau_n_rt_rp_m0d a0)).

(* constant 4290 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t8a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_absd a0) (l_e_st_eq_landau_n_rt_rp_m0d a0) (l_e_st_eq_landau_n_rt_rp_r_aica r a0 a0ir) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a0 a0ir) (l_e_st_eq_landau_n_rt_rp_r_ivr3_t7a r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4291 *)
definition l_e_st_eq_landau_n_rt_rp_r_absn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr3_t8a r x t n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4292 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λnn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).(l_e_st_eq_landau_n_rt_rp_absnnd a0 (l_imp_th3 (l_e_st_eq_landau_n_rt_rp_negd a0) (l_e_st_eq_landau_n_rt_rp_r_neg r) nn (λt:l_e_st_eq_landau_n_rt_rp_negd a0.l_e_st_eq_landau_n_rt_rp_r_negin r a0 a0ir t)) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd a0) a0).

(* constant 4293 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr3_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λnn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_abs r) r (l_e_st_eq_landau_n_rt_rp_absd a0) a0 (l_e_st_eq_landau_n_rt_rp_r_aica r a0 a0ir) a0ir (l_e_st_eq_landau_n_rt_rp_r_ivr3_t9 r a0 a0ir nn) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) r).

(* constant 4294 *)
definition l_e_st_eq_landau_n_rt_rp_r_absnn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λnn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_ivr3_t10 r x t nn) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) r).

(* constant 4295 *)
definition l_e_st_eq_landau_n_rt_rp_r_absp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_r_absnn r (l_e_st_eq_landau_n_rt_rp_r_pnotn r p) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) r).

(* constant 4296 *)
definition l_e_st_eq_landau_n_rt_rp_r_abs0 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_abs r) r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_absnn r (l_e_st_eq_landau_n_rt_rp_r_0notn r i)) i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4297 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r176_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_satzd176a a0 (l_e_st_eq_landau_n_rt_rp_r_posex r a0 a0ir p) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_m0d a0)).

(* constant 4298 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r176_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_r_negin (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_m0d a0) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a0 a0ir) (l_e_st_eq_landau_n_rt_rp_r_3r176_t1 r a0 a0ir p) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4299 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz176a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_3r176_t2 r x t p) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4300 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r176_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_satzd176b a0 (l_e_st_eq_landau_n_rt_rp_r_0ex r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_m0d a0)).

(* constant 4301 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r176_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_0in (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_m0d a0) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a0 a0ir) (l_e_st_eq_landau_n_rt_rp_r_3r176_t3 r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4302 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz176b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) l_e_st_eq_landau_n_rt_rp_r_0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_3r176_t4 r x t i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4303 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r176_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_satzd176c a0 (l_e_st_eq_landau_n_rt_rp_r_negex r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_m0d a0)).

(* constant 4304 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r176_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_r_posin (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_m0d a0) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a0 a0ir) (l_e_st_eq_landau_n_rt_rp_r_3r176_t5 r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4305 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz176c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_3r176_t6 r x t n) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4306 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r176_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_st_eq_landau_n_rt_rp_satzd176d a0 (l_e_st_eq_landau_n_rt_rp_r_negex (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_m0d a0) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a0 a0ir) n) : l_e_st_eq_landau_n_rt_rp_posd a0).

(* constant 4307 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r176_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_st_eq_landau_n_rt_rp_r_posin r a0 a0ir (l_e_st_eq_landau_n_rt_rp_r_3r176_t7 r a0 a0ir n) : l_e_st_eq_landau_n_rt_rp_r_pos r).

(* constant 4308 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz176d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_pos r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_3r176_t8 r x t n) : l_e_st_eq_landau_n_rt_rp_r_pos r).

(* constant 4309 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r176_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_satzd176e a0 (l_e_st_eq_landau_n_rt_rp_r_0ex (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_m0d a0) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a0 a0ir) i) : l_e_st_eq_landau_n_rt_rp_zero a0).

(* constant 4310 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r176_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_0in r a0 a0ir (l_e_st_eq_landau_n_rt_rp_r_3r176_t9 r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4311 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz176e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_3r176_t10 r x t i) : l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4312 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r176_t11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_st_eq_landau_n_rt_rp_satzd176f a0 (l_e_st_eq_landau_n_rt_rp_r_posex (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_m0d a0) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a0 a0ir) p) : l_e_st_eq_landau_n_rt_rp_negd a0).

(* constant 4313 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r176_t12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λp:l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_st_eq_landau_n_rt_rp_r_negin r a0 a0ir (l_e_st_eq_landau_n_rt_rp_r_3r176_t11 r a0 a0ir p) : l_e_st_eq_landau_n_rt_rp_r_neg r).

(* constant 4314 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz176f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_neg r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_3r176_t12 r x t p) : l_e_st_eq_landau_n_rt_rp_r_neg r).

(* constant 4315 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r177_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) r (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_m0d a0)) a0 (l_e_st_eq_landau_n_rt_rp_r_micm0 (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_m0d a0) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a0 a0ir)) a0ir (l_e_st_eq_landau_n_rt_rp_satzd177 a0) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) r).

(* constant 4316 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz177 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_3r177_t1 r x t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) r).

(* constant 4317 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz177a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) r (l_e_st_eq_landau_n_rt_rp_r_satz177 r) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r))).

(* constant 4318 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz177b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_m0 s).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 s)) s (l_e_st_eq_landau_n_rt_rp_r_ism0 r (l_e_st_eq_landau_n_rt_rp_r_m0 s) i) (l_e_st_eq_landau_n_rt_rp_r_satz177 s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) s).

(* constant 4319 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz177c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_m0 s).(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 r) s (l_e_st_eq_landau_n_rt_rp_r_satz177b r s i) : l_e_st_eq_landau_n_rt_rp_r_is s (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4320 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz177d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) s.(l_e_st_eq_landau_n_rt_rp_r_satz177c s r (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 r) s i) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_m0 s)).

(* constant 4321 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz177e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) s.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real r (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_satz177d r s i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 s) r).

(* constant 4322 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r178_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_m0d a0)) (l_e_st_eq_landau_n_rt_rp_absd a0) (l_e_st_eq_landau_n_rt_rp_r_aica (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_m0d a0) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a0 a0ir)) (l_e_st_eq_landau_n_rt_rp_r_aica r a0 a0ir) (l_e_st_eq_landau_n_rt_rp_satzd178 a0) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_abs r)).

(* constant 4323 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz178 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_abs r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_3r178_t1 r x t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_abs r)).

(* constant 4324 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz178a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_satz178 r) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_m0 r))).

(* constant 4325 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r179_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_st_eq_landau_n_rt_rp_r_0in (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_pd a0 (l_e_st_eq_landau_n_rt_rp_m0d a0)) (l_e_st_eq_landau_n_rt_rp_r_picp r (l_e_st_eq_landau_n_rt_rp_r_m0 r) a0 (l_e_st_eq_landau_n_rt_rp_m0d a0) a0ir (l_e_st_eq_landau_n_rt_rp_r_micm0 r a0 a0ir)) (l_e_st_eq_landau_n_rt_rp_satzd179 a0) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_m0 r)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4326 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz179 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_m0 r)) l_e_st_eq_landau_n_rt_rp_r_0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_3r179_t1 r x t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_m0 r)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4327 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz179a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 r) r) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_m0 r)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_m0 r) r) (l_e_st_eq_landau_n_rt_rp_r_satz179 r) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 r) r) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4328 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r180_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl r s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_pd a1 b1)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_m0d a1) (l_e_st_eq_landau_n_rt_rp_m0d b1)) (l_e_st_eq_landau_n_rt_rp_r_micm0 (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_pd a1 b1) (l_e_st_eq_landau_n_rt_rp_r_picp r s a1 b1 a1ir b1is)) (l_e_st_eq_landau_n_rt_rp_r_picp (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_m0d a1) (l_e_st_eq_landau_n_rt_rp_m0d b1) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a1 a1ir) (l_e_st_eq_landau_n_rt_rp_r_micm0 s b1 b1is)) (l_e_st_eq_landau_n_rt_rp_satzd180 a1 b1) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl r s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s))).

(* constant 4329 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz180 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl r s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_3r180_t1 r s x y t u) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl r s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s))).

(* constant 4330 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz180a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl r s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_satz180 r s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl r s))).

(* constant 4331 *)
definition l_e_st_eq_landau_n_rt_rp_r_mn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_m0 s) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4332 *)
definition l_e_st_eq_landau_n_rt_rp_r_micmn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_r_picp r (l_e_st_eq_landau_n_rt_rp_r_m0 s) a1 (l_e_st_eq_landau_n_rt_rp_m0d b1) a1ir (l_e_st_eq_landau_n_rt_rp_r_micm0 s b1 b1is) : l_e_st_eq_landau_n_rt_rp_r_inn (l_e_st_eq_landau_n_rt_rp_md a1 b1) (l_e_st_eq_landau_n_rt_rp_r_class (l_e_st_eq_landau_n_rt_rp_r_mn r s))).

(* constant 4333 *)
definition l_e_st_eq_landau_n_rt_rp_r_ismn1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_landau_n_rt_rp_r_ispl1 r s (l_e_st_eq_landau_n_rt_rp_r_m0 t) i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn r t) (l_e_st_eq_landau_n_rt_rp_r_mn s t)).

(* constant 4334 *)
definition l_e_st_eq_landau_n_rt_rp_r_ismn2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s) t (l_e_st_eq_landau_n_rt_rp_r_ism0 r s i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn t r) (l_e_st_eq_landau_n_rt_rp_r_mn t s)).

(* constant 4335 *)
definition l_e_st_eq_landau_n_rt_rp_r_ismn12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λj:l_e_st_eq_landau_n_rt_rp_r_is t u.(l_e_st_eq_landau_n_rt_rp_r_ispl12 r s (l_e_st_eq_landau_n_rt_rp_r_m0 t) (l_e_st_eq_landau_n_rt_rp_r_m0 u) i (l_e_st_eq_landau_n_rt_rp_r_ism0 t u j) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn r t) (l_e_st_eq_landau_n_rt_rp_r_mn s u)).

(* constant 4336 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz181 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_mn r s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 s))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 r) s) (l_e_st_eq_landau_n_rt_rp_r_mn s r) (l_e_st_eq_landau_n_rt_rp_r_satz180 r (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 s)) s (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_satz177 s)) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_m0 r) s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_mn r s)) (l_e_st_eq_landau_n_rt_rp_r_mn s r)).

(* constant 4337 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz181a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_mn s r)) (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_r_satz181 s r) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_mn s r))).

(* constant 4338 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r182_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λp:l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn r s).(l_e_st_eq_landau_n_rt_rp_satzd182a a1 b1 (l_e_st_eq_landau_n_rt_rp_r_posex (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_md a1 b1) (l_e_st_eq_landau_n_rt_rp_r_micmn r s a1 b1 a1ir b1is) p) : l_e_st_eq_landau_n_rt_rp_mored a1 b1).

(* constant 4339 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r182_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λp:l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn r s).(l_e_st_eq_landau_n_rt_rp_r_morein r s a1 b1 a1ir b1is (l_e_st_eq_landau_n_rt_rp_r_3r182_t1 r s a1 b1 a1ir b1is p) : l_e_st_eq_landau_n_rt_rp_r_more r s).

(* constant 4340 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz182a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn r s).(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_more r s) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_3r182_t2 r s x y t u p) : l_e_st_eq_landau_n_rt_rp_r_more r s).

(* constant 4341 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r182_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn r s) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_satzd182b a1 b1 (l_e_st_eq_landau_n_rt_rp_r_0ex (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_md a1 b1) (l_e_st_eq_landau_n_rt_rp_r_micmn r s a1 b1 a1ir b1is) i) : l_e_st_eq_landau_n_rt_rp_eq a1 b1).

(* constant 4342 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r182_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn r s) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_isin r s a1 b1 a1ir b1is (l_e_st_eq_landau_n_rt_rp_r_3r182_t3 r s a1 b1 a1ir b1is i) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 4343 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz182b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn r s) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is r s) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_3r182_t4 r s x y t u i) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 4344 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r182_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_mn r s).(l_e_st_eq_landau_n_rt_rp_satzd182c a1 b1 (l_e_st_eq_landau_n_rt_rp_r_negex (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_md a1 b1) (l_e_st_eq_landau_n_rt_rp_r_micmn r s a1 b1 a1ir b1is) n) : l_e_st_eq_landau_n_rt_rp_lessd a1 b1).

(* constant 4345 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r182_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_mn r s).(l_e_st_eq_landau_n_rt_rp_r_lessin r s a1 b1 a1ir b1is (l_e_st_eq_landau_n_rt_rp_r_3r182_t5 r s a1 b1 a1ir b1is n) : l_e_st_eq_landau_n_rt_rp_r_less r s).

(* constant 4346 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz182c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_mn r s).(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_less r s) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_3r182_t6 r s x y t u n) : l_e_st_eq_landau_n_rt_rp_r_less r s).

(* constant 4347 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r182_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_satzd182d a1 b1 (l_e_st_eq_landau_n_rt_rp_r_moreex r s a1 b1 a1ir b1is m) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_md a1 b1)).

(* constant 4348 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r182_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_r_posin (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_md a1 b1) (l_e_st_eq_landau_n_rt_rp_r_micmn r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_3r182_t7 r s a1 b1 a1ir b1is m) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn r s)).

(* constant 4349 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz182d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn r s)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_3r182_t8 r s x y t u m) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn r s)).

(* constant 4350 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r182_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_landau_n_rt_rp_satzd182e a1 b1 (l_e_st_eq_landau_n_rt_rp_r_isex r s a1 b1 a1ir b1is i) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_md a1 b1)).

(* constant 4351 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r182_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_landau_n_rt_rp_r_0in (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_md a1 b1) (l_e_st_eq_landau_n_rt_rp_r_micmn r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_3r182_t9 r s a1 b1 a1ir b1is i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn r s) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4352 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz182e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn r s) l_e_st_eq_landau_n_rt_rp_r_0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_3r182_t10 r s x y t u i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn r s) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4353 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r182_t11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_satzd182f a1 b1 (l_e_st_eq_landau_n_rt_rp_r_lessex r s a1 b1 a1ir b1is l) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_md a1 b1)).

(* constant 4354 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r182_t12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_negin (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_md a1 b1) (l_e_st_eq_landau_n_rt_rp_r_micmn r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_3r182_t11 r s a1 b1 a1ir b1is l) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_mn r s)).

(* constant 4355 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz182f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_mn r s)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_3r182_t12 r s x y t u l) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_mn r s)).

(* constant 4356 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r183_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_satzd183a a1 b1 (l_e_st_eq_landau_n_rt_rp_r_moreex r s a1 b1 a1ir b1is m) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_m0d a1) (l_e_st_eq_landau_n_rt_rp_m0d b1)).

(* constant 4357 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r183_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_r_lessin (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_m0d a1) (l_e_st_eq_landau_n_rt_rp_m0d b1) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a1 a1ir) (l_e_st_eq_landau_n_rt_rp_r_micm0 s b1 b1is) (l_e_st_eq_landau_n_rt_rp_r_3r183_t1 r s a1 b1 a1ir b1is m) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)).

(* constant 4358 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz183a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_3r183_t2 r s x y t u m) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)).

(* constant 4359 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz183b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_landau_n_rt_rp_r_ism0 r s i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)).

(* constant 4360 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r183_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_satzd183c a1 b1 (l_e_st_eq_landau_n_rt_rp_r_lessex r s a1 b1 a1ir b1is l) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_m0d a1) (l_e_st_eq_landau_n_rt_rp_m0d b1)).

(* constant 4361 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r183_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_morein (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_m0d a1) (l_e_st_eq_landau_n_rt_rp_m0d b1) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a1 a1ir) (l_e_st_eq_landau_n_rt_rp_r_micm0 s b1 b1is) (l_e_st_eq_landau_n_rt_rp_r_3r183_t3 r s a1 b1 a1ir b1is l) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)).

(* constant 4362 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz183c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_3r183_t4 r s x y t u l) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)).

(* constant 4363 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz183d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s).(l_e_st_eq_landau_n_rt_rp_r_ismore12 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) r (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 s)) s (l_e_st_eq_landau_n_rt_rp_r_satz177 r) (l_e_st_eq_landau_n_rt_rp_r_satz177 s) (l_e_st_eq_landau_n_rt_rp_r_satz183c (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s) l) : l_e_st_eq_landau_n_rt_rp_r_more r s).

(* constant 4364 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz183e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real r (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 s)) s (l_e_st_eq_landau_n_rt_rp_r_satz177a r) (l_e_st_eq_landau_n_rt_rp_r_ism0 (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s) i) (l_e_st_eq_landau_n_rt_rp_r_satz177 s) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 4365 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz183f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s).(l_e_st_eq_landau_n_rt_rp_r_isless12 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) r (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 s)) s (l_e_st_eq_landau_n_rt_rp_r_satz177 r) (l_e_st_eq_landau_n_rt_rp_r_satz177 s) (l_e_st_eq_landau_n_rt_rp_r_satz183a (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s) m) : l_e_st_eq_landau_n_rt_rp_r_less r s).

(* constant 4366 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_prop1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_and3 (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_pos t) (l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_mn s t)) : Prop).

(* constant 4367 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_prop2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_3r184_prop1 r s x) : Prop).

(* constant 4368 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_prop3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_3r184_prop2 r x) : Prop).

(* constant 4369 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.(l_and3 (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_posd b) (l_e_st_eq_landau_n_rt_rp_eq a0 (l_e_st_eq_landau_n_rt_rp_md a b)) : Prop).

(* constant 4370 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.(l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d r a0 a0ir a x) : Prop).

(* constant 4371 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir a.λb:l_e_st_eq_landau_n_rt_rp_dif.λp1:l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d r a0 a0ir a b.(l_and3e1 (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_posd b) (l_e_st_eq_landau_n_rt_rp_eq a0 (l_e_st_eq_landau_n_rt_rp_md a b)) p1 : l_e_st_eq_landau_n_rt_rp_posd a).

(* constant 4372 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir a.λb:l_e_st_eq_landau_n_rt_rp_dif.λp1:l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d r a0 a0ir a b.(l_and3e2 (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_posd b) (l_e_st_eq_landau_n_rt_rp_eq a0 (l_e_st_eq_landau_n_rt_rp_md a b)) p1 : l_e_st_eq_landau_n_rt_rp_posd b).

(* constant 4373 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir a.λb:l_e_st_eq_landau_n_rt_rp_dif.λp1:l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d r a0 a0ir a b.(l_and3e3 (l_e_st_eq_landau_n_rt_rp_posd a) (l_e_st_eq_landau_n_rt_rp_posd b) (l_e_st_eq_landau_n_rt_rp_eq a0 (l_e_st_eq_landau_n_rt_rp_md a b)) p1 : l_e_st_eq_landau_n_rt_rp_eq a0 (l_e_st_eq_landau_n_rt_rp_md a b)).

(* constant 4374 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_ra ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir a.(l_e_st_eq_landau_n_rt_rp_r_realof a : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4375 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_rb ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir a.λb:l_e_st_eq_landau_n_rt_rp_dif.λp1:l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d r a0 a0ir a b.(l_e_st_eq_landau_n_rt_rp_r_realof b : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4376 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir a.λb:l_e_st_eq_landau_n_rt_rp_dif.λp1:l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d r a0 a0ir a b.(l_e_st_eq_landau_n_rt_rp_r_innclass a : l_e_st_eq_landau_n_rt_rp_r_inn a (l_e_st_eq_landau_n_rt_rp_r_class (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2))).

(* constant 4377 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir a.λb:l_e_st_eq_landau_n_rt_rp_dif.λp1:l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d r a0 a0ir a b.(l_e_st_eq_landau_n_rt_rp_r_innclass b : l_e_st_eq_landau_n_rt_rp_r_inn b (l_e_st_eq_landau_n_rt_rp_r_class (l_e_st_eq_landau_n_rt_rp_r_3r184_rb r a0 a0ir a p2 b p1))).

(* constant 4378 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir a.λb:l_e_st_eq_landau_n_rt_rp_dif.λp1:l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d r a0 a0ir a b.(l_e_st_eq_landau_n_rt_rp_r_isin r (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2) (l_e_st_eq_landau_n_rt_rp_r_3r184_rb r a0 a0ir a p2 b p1)) a0 (l_e_st_eq_landau_n_rt_rp_md a b) a0ir (l_e_st_eq_landau_n_rt_rp_r_micmn (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2) (l_e_st_eq_landau_n_rt_rp_r_3r184_rb r a0 a0ir a p2 b p1) a b (l_e_st_eq_landau_n_rt_rp_r_3r184_t4 r a0 a0ir a p2 b p1) (l_e_st_eq_landau_n_rt_rp_r_3r184_t5 r a0 a0ir a p2 b p1)) (l_e_st_eq_landau_n_rt_rp_r_3r184_t3 r a0 a0ir a p2 b p1) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2) (l_e_st_eq_landau_n_rt_rp_r_3r184_rb r a0 a0ir a p2 b p1))).

(* constant 4379 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir a.λb:l_e_st_eq_landau_n_rt_rp_dif.λp1:l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d r a0 a0ir a b.(l_and3i (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_3r184_rb r a0 a0ir a p2 b p1)) (l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2) (l_e_st_eq_landau_n_rt_rp_r_3r184_rb r a0 a0ir a p2 b p1))) (l_e_st_eq_landau_n_rt_rp_r_posin (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2) a (l_e_st_eq_landau_n_rt_rp_r_3r184_t4 r a0 a0ir a p2 b p1) (l_e_st_eq_landau_n_rt_rp_r_3r184_t1 r a0 a0ir a p2 b p1)) (l_e_st_eq_landau_n_rt_rp_r_posin (l_e_st_eq_landau_n_rt_rp_r_3r184_rb r a0 a0ir a p2 b p1) b (l_e_st_eq_landau_n_rt_rp_r_3r184_t5 r a0 a0ir a p2 b p1) (l_e_st_eq_landau_n_rt_rp_r_3r184_t2 r a0 a0ir a p2 b p1)) (l_e_st_eq_landau_n_rt_rp_r_3r184_t6 r a0 a0ir a p2 b p1) : l_e_st_eq_landau_n_rt_rp_r_3r184_prop1 r (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2) (l_e_st_eq_landau_n_rt_rp_r_3r184_rb r a0 a0ir a p2 b p1)).

(* constant 4380 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir a.λb:l_e_st_eq_landau_n_rt_rp_dif.λp1:l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d r a0 a0ir a b.(l_somei l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_3r184_prop1 r (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2) x) (l_e_st_eq_landau_n_rt_rp_r_3r184_rb r a0 a0ir a p2 b p1) (l_e_st_eq_landau_n_rt_rp_r_3r184_t7 r a0 a0ir a p2 b p1) : l_e_st_eq_landau_n_rt_rp_r_3r184_prop2 r (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2)).

(* constant 4381 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir a.(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d r a0 a0ir a x) p2 (l_e_st_eq_landau_n_rt_rp_r_3r184_prop2 r (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_3r184_prop1d r a0 a0ir a x.l_e_st_eq_landau_n_rt_rp_r_3r184_t8 r a0 a0ir a p2 x t) : l_e_st_eq_landau_n_rt_rp_r_3r184_prop2 r (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2)).

(* constant 4382 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λa:l_e_st_eq_landau_n_rt_rp_dif.λp2:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir a.(l_somei l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_3r184_prop2 r x) (l_e_st_eq_landau_n_rt_rp_r_3r184_ra r a0 a0ir a p2) (l_e_st_eq_landau_n_rt_rp_r_3r184_t9 r a0 a0ir a p2) : l_e_st_eq_landau_n_rt_rp_r_3r184_prop3 r).

(* constant 4383 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r184_t11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir x) (l_e_st_eq_landau_n_rt_rp_satzd184 a0) (l_e_st_eq_landau_n_rt_rp_r_3r184_prop3 r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_3r184_prop2d r a0 a0ir x.l_e_st_eq_landau_n_rt_rp_r_3r184_t10 r a0 a0ir x t) : l_e_st_eq_landau_n_rt_rp_r_3r184_prop3 r).

(* constant 4384 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz184 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_3r184_prop3 r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_3r184_t11 r x t) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_some (λy:l_e_st_eq_landau_n_rt_rp_r_real.l_and3 (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_pos y) (l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_mn x y))))).

(* constant 4385 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r185_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa3:l_e_st_eq_landau_n_rt_rp_dif.λb3:l_e_st_eq_landau_n_rt_rp_dif.λc3:l_e_st_eq_landau_n_rt_rp_dif.λd3:l_e_st_eq_landau_n_rt_rp_dif.λa3ir:l_e_st_eq_landau_n_rt_rp_r_inn a3 (l_e_st_eq_landau_n_rt_rp_r_class r).λb3is:l_e_st_eq_landau_n_rt_rp_r_inn b3 (l_e_st_eq_landau_n_rt_rp_r_class s).λc3it:l_e_st_eq_landau_n_rt_rp_r_inn c3 (l_e_st_eq_landau_n_rt_rp_r_class t).λd3iu:l_e_st_eq_landau_n_rt_rp_r_inn d3 (l_e_st_eq_landau_n_rt_rp_r_class u).(l_e_st_eq_landau_n_rt_rp_satzd185 a3 b3 c3 d3 : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md a3 b3) (l_e_st_eq_landau_n_rt_rp_md c3 d3)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a3 c3) (l_e_st_eq_landau_n_rt_rp_pd b3 d3))).

(* constant 4386 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r185_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa3:l_e_st_eq_landau_n_rt_rp_dif.λb3:l_e_st_eq_landau_n_rt_rp_dif.λc3:l_e_st_eq_landau_n_rt_rp_dif.λd3:l_e_st_eq_landau_n_rt_rp_dif.λa3ir:l_e_st_eq_landau_n_rt_rp_r_inn a3 (l_e_st_eq_landau_n_rt_rp_r_class r).λb3is:l_e_st_eq_landau_n_rt_rp_r_inn b3 (l_e_st_eq_landau_n_rt_rp_r_class s).λc3it:l_e_st_eq_landau_n_rt_rp_r_inn c3 (l_e_st_eq_landau_n_rt_rp_r_class t).λd3iu:l_e_st_eq_landau_n_rt_rp_r_inn d3 (l_e_st_eq_landau_n_rt_rp_r_class u).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_r_mn t u)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_md a3 b3) (l_e_st_eq_landau_n_rt_rp_md c3 d3)) (l_e_st_eq_landau_n_rt_rp_md (l_e_st_eq_landau_n_rt_rp_pd a3 c3) (l_e_st_eq_landau_n_rt_rp_pd b3 d3)) (l_e_st_eq_landau_n_rt_rp_r_picp (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_r_mn t u) (l_e_st_eq_landau_n_rt_rp_md a3 b3) (l_e_st_eq_landau_n_rt_rp_md c3 d3) (l_e_st_eq_landau_n_rt_rp_r_micmn r s a3 b3 a3ir b3is) (l_e_st_eq_landau_n_rt_rp_r_micmn t u c3 d3 c3it d3iu)) (l_e_st_eq_landau_n_rt_rp_r_micmn (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_pd a3 c3) (l_e_st_eq_landau_n_rt_rp_pd b3 d3) (l_e_st_eq_landau_n_rt_rp_r_picp r t a3 c3 a3ir c3it) (l_e_st_eq_landau_n_rt_rp_r_picp s u b3 d3 b3is d3iu)) (l_e_st_eq_landau_n_rt_rp_r_3r185_t1 r s t u a3 b3 c3 d3 a3ir b3is c3it d3iu) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_r_mn t u)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u))).

(* constant 4387 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz185 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp4 r s t u (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_r_mn t u)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λv:l_e_st_eq_landau_n_rt_rp_dif.λxi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λyi:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λzi:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).λvi:l_e_st_eq_landau_n_rt_rp_r_inn v (l_e_st_eq_landau_n_rt_rp_r_class u).l_e_st_eq_landau_n_rt_rp_r_3r185_t2 r s t u x y z v xi yi zi vi) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_r_mn t u)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u))).

(* constant 4388 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r186_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).(l_e_st_eq_landau_n_rt_rp_satzd186 a2 b2 c2 : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a2 b2) c2) (l_e_st_eq_landau_n_rt_rp_pd a2 (l_e_st_eq_landau_n_rt_rp_pd b2 c2))).

(* constant 4389 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r186_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl r s) t) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_pl s t)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pd a2 b2) c2) (l_e_st_eq_landau_n_rt_rp_pd a2 (l_e_st_eq_landau_n_rt_rp_pd b2 c2)) (l_e_st_eq_landau_n_rt_rp_r_picp (l_e_st_eq_landau_n_rt_rp_r_pl r s) t (l_e_st_eq_landau_n_rt_rp_pd a2 b2) c2 (l_e_st_eq_landau_n_rt_rp_r_picp r s a2 b2 a2ir b2is) c2it) (l_e_st_eq_landau_n_rt_rp_r_picp r (l_e_st_eq_landau_n_rt_rp_r_pl s t) a2 (l_e_st_eq_landau_n_rt_rp_pd b2 c2) a2ir (l_e_st_eq_landau_n_rt_rp_r_picp s t b2 c2 b2is c2it)) (l_e_st_eq_landau_n_rt_rp_r_3r186_t1 r s t a2 b2 c2 a2ir b2is c2it) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl r s) t) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_pl s t))).

(* constant 4390 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz186 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl r s) t) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_pl s t))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_3r186_t2 r s t x y z u v w) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl r s) t) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_pl s t))).

(* constant 4391 *)
definition l_e_st_eq_landau_n_rt_rp_r_asspl1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_satz186 r s t : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl r s) t) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_pl s t))).

(* constant 4392 *)
definition l_e_st_eq_landau_n_rt_rp_r_asspl2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl r s) t) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_pl s t)) (l_e_st_eq_landau_n_rt_rp_r_satz186 r s t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_pl s t)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl r s) t)).

(* constant 4393 *)
definition l_e_st_eq_landau_n_rt_rp_r_plmn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn r s) s) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 s) s)) r (l_e_st_eq_landau_n_rt_rp_r_asspl1 r (l_e_st_eq_landau_n_rt_rp_r_m0 s) s) (l_e_st_eq_landau_n_rt_rp_r_pl02 r (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 s) s) (l_e_st_eq_landau_n_rt_rp_r_satz179a s)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn r s) s) r).

(* constant 4394 *)
definition l_e_st_eq_landau_n_rt_rp_r_mnpl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl r s) s) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_pl s (l_e_st_eq_landau_n_rt_rp_r_m0 s))) r (l_e_st_eq_landau_n_rt_rp_r_asspl1 r s (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_pl02 r (l_e_st_eq_landau_n_rt_rp_r_pl s (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_satz179 s)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl r s) s) r).

(* constant 4395 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz187a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl s (l_e_st_eq_landau_n_rt_rp_r_mn r s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn r s) s) r (l_e_st_eq_landau_n_rt_rp_r_compl s (l_e_st_eq_landau_n_rt_rp_r_mn r s)) (l_e_st_eq_landau_n_rt_rp_r_plmn r s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl s (l_e_st_eq_landau_n_rt_rp_r_mn r s)) r).

(* constant 4396 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz187b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_somei l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl s x) r) (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_r_satz187a r s) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl s x) r)).

(* constant 4397 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz187c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λx:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl s x) r.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x s) s) x (l_e_st_eq_landau_n_rt_rp_r_ismn1 r (l_e_st_eq_landau_n_rt_rp_r_pl x s) s (l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real r (l_e_st_eq_landau_n_rt_rp_r_pl x s) (l_e_st_eq_landau_n_rt_rp_r_pl s x) i (l_e_st_eq_landau_n_rt_rp_r_compl s x))) (l_e_st_eq_landau_n_rt_rp_r_mnpl x s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn r s) x).

(* constant 4398 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz187d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λx:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl s x) r.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn r s) x (l_e_st_eq_landau_n_rt_rp_r_satz187c r s x i) : l_e_st_eq_landau_n_rt_rp_r_is x (l_e_st_eq_landau_n_rt_rp_r_mn r s)).

(* constant 4399 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz187e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λx:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl x s) r.(l_e_st_eq_landau_n_rt_rp_r_satz187c r s x (l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl s x) (l_e_st_eq_landau_n_rt_rp_r_pl x s) r (l_e_st_eq_landau_n_rt_rp_r_compl s x) i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn r s) x).

(* constant 4400 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz187f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λx:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl x s) r.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn r s) x (l_e_st_eq_landau_n_rt_rp_r_satz187e r s x i) : l_e_st_eq_landau_n_rt_rp_r_is x (l_e_st_eq_landau_n_rt_rp_r_mn r s)).

(* constant 4401 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r187_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl s x) r.λj:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl s y) r.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real x y (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_r_satz187c r s x i) (l_e_st_eq_landau_n_rt_rp_r_satz187c r s y j) : l_e_st_eq_landau_n_rt_rp_r_is x y).

(* constant 4402 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r187_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl s x) r.λu:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl s y) r.l_e_st_eq_landau_n_rt_rp_r_3r187_t1 r s x y t u : l_e_amone l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl s x) r)).

(* constant 4403 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz187 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_onei l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl s x) r) (l_e_st_eq_landau_n_rt_rp_r_3r187_t2 r s) (l_e_st_eq_landau_n_rt_rp_r_satz187b r s) : l_e_st_eq_landau_n_rt_rp_r_one (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl s x) r)).

(* constant 4404 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r188_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t).(l_e_st_eq_landau_n_rt_rp_satzd188a a2 b2 c2 (l_e_st_eq_landau_n_rt_rp_r_moreex (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t) (l_e_st_eq_landau_n_rt_rp_pd a2 c2) (l_e_st_eq_landau_n_rt_rp_pd b2 c2) (l_e_st_eq_landau_n_rt_rp_r_picp r t a2 c2 a2ir c2it) (l_e_st_eq_landau_n_rt_rp_r_picp s t b2 c2 b2is c2it) m) : l_e_st_eq_landau_n_rt_rp_mored a2 b2).

(* constant 4405 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r188_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t).(l_e_st_eq_landau_n_rt_rp_r_morein r s a2 b2 a2ir b2is (l_e_st_eq_landau_n_rt_rp_r_3r188_t1 r s t a2 b2 c2 a2ir b2is c2it m) : l_e_st_eq_landau_n_rt_rp_r_more r s).

(* constant 4406 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t).(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_more r s) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_3r188_t2 r s t x y z u v w m) : l_e_st_eq_landau_n_rt_rp_r_more r s).

(* constant 4407 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r188_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t).(l_e_st_eq_landau_n_rt_rp_satzd188b a2 b2 c2 (l_e_st_eq_landau_n_rt_rp_r_isex (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t) (l_e_st_eq_landau_n_rt_rp_pd a2 c2) (l_e_st_eq_landau_n_rt_rp_pd b2 c2) (l_e_st_eq_landau_n_rt_rp_r_picp r t a2 c2 a2ir c2it) (l_e_st_eq_landau_n_rt_rp_r_picp s t b2 c2 b2is c2it) i) : l_e_st_eq_landau_n_rt_rp_eq a2 b2).

(* constant 4408 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r188_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t).(l_e_st_eq_landau_n_rt_rp_r_isin r s a2 b2 a2ir b2is (l_e_st_eq_landau_n_rt_rp_r_3r188_t3 r s t a2 b2 c2 a2ir b2is c2it i) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 4409 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t).(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_is r s) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_3r188_t4 r s t x y z u v w i) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 4410 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r188_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λl:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t).(l_e_st_eq_landau_n_rt_rp_satzd188c a2 b2 c2 (l_e_st_eq_landau_n_rt_rp_r_lessex (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t) (l_e_st_eq_landau_n_rt_rp_pd a2 c2) (l_e_st_eq_landau_n_rt_rp_pd b2 c2) (l_e_st_eq_landau_n_rt_rp_r_picp r t a2 c2 a2ir c2it) (l_e_st_eq_landau_n_rt_rp_r_picp s t b2 c2 b2is c2it) l) : l_e_st_eq_landau_n_rt_rp_lessd a2 b2).

(* constant 4411 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r188_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λl:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t).(l_e_st_eq_landau_n_rt_rp_r_lessin r s a2 b2 a2ir b2is (l_e_st_eq_landau_n_rt_rp_r_3r188_t5 r s t a2 b2 c2 a2ir b2is c2it l) : l_e_st_eq_landau_n_rt_rp_r_less r s).

(* constant 4412 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t).(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_less r s) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_3r188_t6 r s t x y z u v w l) : l_e_st_eq_landau_n_rt_rp_r_less r s).

(* constant 4413 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r188_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_satzd188d a2 b2 c2 (l_e_st_eq_landau_n_rt_rp_r_moreex r s a2 b2 a2ir b2is m) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_pd a2 c2) (l_e_st_eq_landau_n_rt_rp_pd b2 c2)).

(* constant 4414 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r188_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_r_morein (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t) (l_e_st_eq_landau_n_rt_rp_pd a2 c2) (l_e_st_eq_landau_n_rt_rp_pd b2 c2) (l_e_st_eq_landau_n_rt_rp_r_picp r t a2 c2 a2ir c2it) (l_e_st_eq_landau_n_rt_rp_r_picp s t b2 c2 b2is c2it) (l_e_st_eq_landau_n_rt_rp_r_3r188_t7 r s t a2 b2 c2 a2ir b2is c2it m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t)).

(* constant 4415 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_3r188_t8 r s t x y z u v w m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t)).

(* constant 4416 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_landau_n_rt_rp_r_ispl1 r s t i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t)).

(* constant 4417 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r188_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_satzd188f a2 b2 c2 (l_e_st_eq_landau_n_rt_rp_r_lessex r s a2 b2 a2ir b2is l) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_pd a2 c2) (l_e_st_eq_landau_n_rt_rp_pd b2 c2)).

(* constant 4418 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r188_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_lessin (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t) (l_e_st_eq_landau_n_rt_rp_pd a2 c2) (l_e_st_eq_landau_n_rt_rp_pd b2 c2) (l_e_st_eq_landau_n_rt_rp_r_picp r t a2 c2 a2ir c2it) (l_e_st_eq_landau_n_rt_rp_r_picp s t b2 c2 b2is c2it) (l_e_st_eq_landau_n_rt_rp_r_3r188_t9 r s t a2 b2 c2 a2ir b2is c2it l) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t)).

(* constant 4419 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_3r188_t10 r s t x y z u v w l) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t)).

(* constant 4420 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188g ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl t s).(l_e_st_eq_landau_n_rt_rp_r_satz188a r s t (l_e_st_eq_landau_n_rt_rp_r_ismore12 (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl t s) (l_e_st_eq_landau_n_rt_rp_r_pl s t) (l_e_st_eq_landau_n_rt_rp_r_compl t r) (l_e_st_eq_landau_n_rt_rp_r_compl t s) m) : l_e_st_eq_landau_n_rt_rp_r_more r s).

(* constant 4421 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188h ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl t s).(l_e_st_eq_landau_n_rt_rp_r_satz188b r s t (l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl t s) (l_e_st_eq_landau_n_rt_rp_r_pl s t) (l_e_st_eq_landau_n_rt_rp_r_compl r t) i (l_e_st_eq_landau_n_rt_rp_r_compl t s)) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 4422 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188j ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl t s).(l_e_st_eq_landau_n_rt_rp_r_satz188c r s t (l_e_st_eq_landau_n_rt_rp_r_isless12 (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl t s) (l_e_st_eq_landau_n_rt_rp_r_pl s t) (l_e_st_eq_landau_n_rt_rp_r_compl t r) (l_e_st_eq_landau_n_rt_rp_r_compl t s) l) : l_e_st_eq_landau_n_rt_rp_r_less r s).

(* constant 4423 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188k ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_r_ismore12 (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl s t) (l_e_st_eq_landau_n_rt_rp_r_pl t s) (l_e_st_eq_landau_n_rt_rp_r_compl r t) (l_e_st_eq_landau_n_rt_rp_r_compl s t) (l_e_st_eq_landau_n_rt_rp_r_satz188d r s t m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl t s)).

(* constant 4424 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188l ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_landau_n_rt_rp_r_ispl2 r s t i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl t s)).

(* constant 4425 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188m ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_isless12 (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl s t) (l_e_st_eq_landau_n_rt_rp_r_pl t s) (l_e_st_eq_landau_n_rt_rp_r_compl r t) (l_e_st_eq_landau_n_rt_rp_r_compl s t) (l_e_st_eq_landau_n_rt_rp_r_satz188f r s t l) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl t s)).

(* constant 4426 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188n ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λm:l_e_st_eq_landau_n_rt_rp_r_more t u.(l_e_st_eq_landau_n_rt_rp_r_ismore2 (l_e_st_eq_landau_n_rt_rp_r_pl r u) (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_ispl1 r s u i) (l_e_st_eq_landau_n_rt_rp_r_satz188k t u r m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)).

(* constant 4427 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188o ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λm:l_e_st_eq_landau_n_rt_rp_r_more t u.(l_e_st_eq_landau_n_rt_rp_r_ismore12 (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_r_pl u s) (l_e_st_eq_landau_n_rt_rp_r_compl r t) (l_e_st_eq_landau_n_rt_rp_r_compl s u) (l_e_st_eq_landau_n_rt_rp_r_satz188n r s t u i m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl u s)).

(* constant 4428 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188p ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λl:l_e_st_eq_landau_n_rt_rp_r_less t u.(l_e_st_eq_landau_n_rt_rp_r_isless2 (l_e_st_eq_landau_n_rt_rp_r_pl r u) (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_ispl1 r s u i) (l_e_st_eq_landau_n_rt_rp_r_satz188m t u r l) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)).

(* constant 4429 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz188q ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λl:l_e_st_eq_landau_n_rt_rp_r_less t u.(l_e_st_eq_landau_n_rt_rp_r_isless12 (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_r_pl u s) (l_e_st_eq_landau_n_rt_rp_r_compl r t) (l_e_st_eq_landau_n_rt_rp_r_compl s u) (l_e_st_eq_landau_n_rt_rp_r_satz188p r s t u i l) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl u s)).

(* constant 4430 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz189 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λn:l_e_st_eq_landau_n_rt_rp_r_more t u.(l_e_st_eq_landau_n_rt_rp_r_trmore (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s t) (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_r_satz188d r s t m) (l_e_st_eq_landau_n_rt_rp_r_satz188k t u s n) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)).

(* constant 4431 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz189a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λk:l_e_st_eq_landau_n_rt_rp_r_less t u.(l_e_st_eq_landau_n_rt_rp_r_lemma1 (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_satz189 s r u t (l_e_st_eq_landau_n_rt_rp_r_lemma2 r s l) (l_e_st_eq_landau_n_rt_rp_r_lemma2 t u k)) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)).

(* constant 4432 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz190a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis r s.λn:l_e_st_eq_landau_n_rt_rp_r_more t u.(l_orapp (l_e_st_eq_landau_n_rt_rp_r_more r s) (l_e_st_eq_landau_n_rt_rp_r_is r s) (l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)) m (λv:l_e_st_eq_landau_n_rt_rp_r_more r s.l_e_st_eq_landau_n_rt_rp_r_satz189 r s t u v n) (λv:l_e_st_eq_landau_n_rt_rp_r_is r s.l_e_st_eq_landau_n_rt_rp_r_satz188n r s t u v n) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)).

(* constant 4433 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz190b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λn:l_e_st_eq_landau_n_rt_rp_r_moreis t u.(l_e_st_eq_landau_n_rt_rp_r_ismore12 (l_e_st_eq_landau_n_rt_rp_r_pl t r) (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl u s) (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_r_compl t r) (l_e_st_eq_landau_n_rt_rp_r_compl u s) (l_e_st_eq_landau_n_rt_rp_r_satz190a t u r s n m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)).

(* constant 4434 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz190c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_lessis r s.λk:l_e_st_eq_landau_n_rt_rp_r_less t u.(l_e_st_eq_landau_n_rt_rp_r_lemma1 (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_satz190a s r u t (l_e_st_eq_landau_n_rt_rp_r_satz168b r s l) (l_e_st_eq_landau_n_rt_rp_r_lemma2 t u k)) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)).

(* constant 4435 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz190d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λk:l_e_st_eq_landau_n_rt_rp_r_lessis t u.(l_e_st_eq_landau_n_rt_rp_r_lemma1 (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_satz190b s r u t (l_e_st_eq_landau_n_rt_rp_r_lemma2 r s l) (l_e_st_eq_landau_n_rt_rp_r_satz168b t u k)) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)).

(* constant 4436 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r191_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa3:l_e_st_eq_landau_n_rt_rp_dif.λb3:l_e_st_eq_landau_n_rt_rp_dif.λc3:l_e_st_eq_landau_n_rt_rp_dif.λd3:l_e_st_eq_landau_n_rt_rp_dif.λa3ir:l_e_st_eq_landau_n_rt_rp_r_inn a3 (l_e_st_eq_landau_n_rt_rp_r_class r).λb3is:l_e_st_eq_landau_n_rt_rp_r_inn b3 (l_e_st_eq_landau_n_rt_rp_r_class s).λc3it:l_e_st_eq_landau_n_rt_rp_r_inn c3 (l_e_st_eq_landau_n_rt_rp_r_class t).λd3iu:l_e_st_eq_landau_n_rt_rp_r_inn d3 (l_e_st_eq_landau_n_rt_rp_r_class u).λm:l_e_st_eq_landau_n_rt_rp_r_moreis r s.λn:l_e_st_eq_landau_n_rt_rp_r_moreis t u.(l_e_st_eq_landau_n_rt_rp_satzd191 a3 b3 c3 d3 (l_e_st_eq_landau_n_rt_rp_r_moreisex r s a3 b3 a3ir b3is m) (l_e_st_eq_landau_n_rt_rp_r_moreisex t u c3 d3 c3it d3iu n) : l_e_st_eq_landau_n_rt_rp_moreq (l_e_st_eq_landau_n_rt_rp_pd a3 c3) (l_e_st_eq_landau_n_rt_rp_pd b3 d3)).

(* constant 4437 *)
definition l_e_st_eq_landau_n_rt_rp_r_3r191_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa3:l_e_st_eq_landau_n_rt_rp_dif.λb3:l_e_st_eq_landau_n_rt_rp_dif.λc3:l_e_st_eq_landau_n_rt_rp_dif.λd3:l_e_st_eq_landau_n_rt_rp_dif.λa3ir:l_e_st_eq_landau_n_rt_rp_r_inn a3 (l_e_st_eq_landau_n_rt_rp_r_class r).λb3is:l_e_st_eq_landau_n_rt_rp_r_inn b3 (l_e_st_eq_landau_n_rt_rp_r_class s).λc3it:l_e_st_eq_landau_n_rt_rp_r_inn c3 (l_e_st_eq_landau_n_rt_rp_r_class t).λd3iu:l_e_st_eq_landau_n_rt_rp_r_inn d3 (l_e_st_eq_landau_n_rt_rp_r_class u).λm:l_e_st_eq_landau_n_rt_rp_r_moreis r s.λn:l_e_st_eq_landau_n_rt_rp_r_moreis t u.(l_e_st_eq_landau_n_rt_rp_r_moreisin (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_pd a3 c3) (l_e_st_eq_landau_n_rt_rp_pd b3 d3) (l_e_st_eq_landau_n_rt_rp_r_picp r t a3 c3 a3ir c3it) (l_e_st_eq_landau_n_rt_rp_r_picp s u b3 d3 b3is d3iu) (l_e_st_eq_landau_n_rt_rp_r_3r191_t1 r s t u a3 b3 c3 d3 a3ir b3is c3it d3iu m n) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)).

(* constant 4438 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz191 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis r s.λn:l_e_st_eq_landau_n_rt_rp_r_moreis t u.(l_e_st_eq_landau_n_rt_rp_r_realapp4 r s t u (l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λv:l_e_st_eq_landau_n_rt_rp_dif.λxi:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λyi:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λzi:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).λvi:l_e_st_eq_landau_n_rt_rp_r_inn v (l_e_st_eq_landau_n_rt_rp_r_class u).l_e_st_eq_landau_n_rt_rp_r_3r191_t2 r s t u x y z v xi yi zi vi m n) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)).

(* constant 4439 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz191a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_lessis r s.λk:l_e_st_eq_landau_n_rt_rp_r_lessis t u.(l_e_st_eq_landau_n_rt_rp_r_satz168a (l_e_st_eq_landau_n_rt_rp_r_pl s u) (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_satz191 s r u t (l_e_st_eq_landau_n_rt_rp_r_satz168b r s l) (l_e_st_eq_landau_n_rt_rp_r_satz168b t u k)) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl r t) (l_e_st_eq_landau_n_rt_rp_r_pl s u)).

(* constant 4440 *)
definition l_e_st_eq_landau_n_rt_rp_r_timesdr ≝ (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_td x y) : Πx:l_e_st_eq_landau_n_rt_rp_dif.Πy:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4441 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr4_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_dif.λb:l_e_st_eq_landau_n_rt_rp_dif.λc:l_e_st_eq_landau_n_rt_rp_dif.λd:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq a b.λf:l_e_st_eq_landau_n_rt_rp_eq c d.(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_td a c)) (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_td b d)) (l_e_st_eq_landau_n_rt_rp_td a c) (l_e_st_eq_landau_n_rt_rp_td b d) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_td a c)) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_td b d)) (l_e_st_eq_landau_n_rt_rp_eqtd12 a b c d e f) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_timesdr a c) (l_e_st_eq_landau_n_rt_rp_r_timesdr b d)).

(* constant 4442 *)
definition l_e_st_eq_landau_n_rt_rp_r_ftimesdr ≝ (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λv:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_eq x y.λu:l_e_st_eq_landau_n_rt_rp_r_eq z v.l_e_st_eq_landau_n_rt_rp_r_ivr4_t1 x y z v t u : l_e_st_eq_landau_n_rt_rp_r_fixf2 l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_timesdr).

(* constant 4443 *)
definition l_e_st_eq_landau_n_rt_rp_r_ts ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_indreal2 l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_timesdr l_e_st_eq_landau_n_rt_rp_r_ftimesdr r s : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4444 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr4_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_r_isindreal2 l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_timesdr l_e_st_eq_landau_n_rt_rp_r_ftimesdr r s a1 b1 a1ir b1is : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_td a1 b1)) (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 4445 *)
definition l_e_st_eq_landau_n_rt_rp_r_tict ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_inn (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_r_class x)) (l_e_st_eq_landau_n_rt_rp_r_realof (l_e_st_eq_landau_n_rt_rp_td a1 b1)) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_td a1 b1)) (l_e_st_eq_landau_n_rt_rp_r_ivr4_t2 r s a1 b1 a1ir b1is) : l_e_st_eq_landau_n_rt_rp_r_inn (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_r_class (l_e_st_eq_landau_n_rt_rp_r_ts r s))).

(* constant 4446 *)
definition l_e_st_eq_landau_n_rt_rp_r_ists1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_ts x t) r s i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)).

(* constant 4447 *)
definition l_e_st_eq_landau_n_rt_rp_r_ists2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_ts t x) r s i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts t s)).

(* constant 4448 *)
definition l_e_st_eq_landau_n_rt_rp_r_ists12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.λj:l_e_st_eq_landau_n_rt_rp_r_is t u.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t) (l_e_st_eq_landau_n_rt_rp_r_ts s u) (l_e_st_eq_landau_n_rt_rp_r_ists1 r s t i) (l_e_st_eq_landau_n_rt_rp_r_ists2 t u s j) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s u)).

(* constant 4449 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r192_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_satzd192a a1 b1 (l_e_st_eq_landau_n_rt_rp_r_0ex r a1 a1ir i) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a1 b1)).

(* constant 4450 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r192_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_0in (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_4r192_t1 r s a1 b1 a1ir b1is i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4451 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz192a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_4r192_t2 r s x y t u i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4452 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r192_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_satzd192b a1 b1 (l_e_st_eq_landau_n_rt_rp_r_0ex s b1 b1is i) : l_e_st_eq_landau_n_rt_rp_zero (l_e_st_eq_landau_n_rt_rp_td a1 b1)).

(* constant 4453 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r192_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_0in (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_4r192_t3 r s a1 b1 a1ir b1is i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4454 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz192b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_4r192_t4 r s x y t u i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4455 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r192_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_satzd192c a1 b1 (l_e_st_eq_landau_n_rt_rp_r_0ex (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is) i) : l_or (l_e_st_eq_landau_n_rt_rp_zero a1) (l_e_st_eq_landau_n_rt_rp_zero b1)).

(* constant 4456 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r192_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_zero a1) (l_e_st_eq_landau_n_rt_rp_zero b1) (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_4r192_t5 r s a1 b1 a1ir b1is i) (λt:l_e_st_eq_landau_n_rt_rp_zero a1.l_e_st_eq_landau_n_rt_rp_r_0in r a1 a1ir t) (λt:l_e_st_eq_landau_n_rt_rp_zero b1.l_e_st_eq_landau_n_rt_rp_r_0in s b1 b1is t) : l_or (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 4457 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz192c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_or (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_4r192_t6 r s x y t u i) : l_or (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 4458 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz192d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0.λo:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_or (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0)) (l_or_th3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0) n o) (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_satz192c r s t) : l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4459 *)
definition l_e_st_eq_landau_n_rt_rp_r_ts01 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_satz192a r s i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4460 *)
definition l_e_st_eq_landau_n_rt_rp_r_ts02 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_satz192b r s i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4461 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r193_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_satzd193 a1 b1 : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a1 b1)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1))).

(* constant 4462 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r193_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_absd (l_e_st_eq_landau_n_rt_rp_td a1 b1)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1)) (l_e_st_eq_landau_n_rt_rp_r_aica (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is)) (l_e_st_eq_landau_n_rt_rp_r_tict (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1) (l_e_st_eq_landau_n_rt_rp_r_aica r a1 a1ir) (l_e_st_eq_landau_n_rt_rp_r_aica s b1 b1is)) (l_e_st_eq_landau_n_rt_rp_r_4r193_t1 r s a1 b1 a1ir b1is) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))).

(* constant 4463 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz193 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_4r193_t2 r s x y t u) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))).

(* constant 4464 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz193a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_r_satz193 r s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_ts r s))).

(* constant 4465 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r194_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_satzd194 a1 b1 : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_td b1 a1)).

(* constant 4466 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r194_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts s r) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_td b1 a1) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_tict s r b1 a1 b1is a1ir) (l_e_st_eq_landau_n_rt_rp_r_4r194_t1 r s a1 b1 a1ir b1is) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts s r)).

(* constant 4467 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz194 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts s r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_4r194_t2 r s x y t u) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts s r)).

(* constant 4468 *)
definition l_e_st_eq_landau_n_rt_rp_r_comts ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_satz194 r s : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts s r)).

(* constant 4469 *)
definition l_e_st_eq_landau_n_rt_rp_r_1rl ≝ (l_e_st_eq_landau_n_rt_rp_r_realof l_e_st_eq_landau_n_rt_rp_1df : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4470 *)
definition l_e_st_eq_landau_n_rt_rp_r_pos1 ≝ (l_e_st_eq_landau_n_rt_rp_r_posin l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_1df (l_e_st_eq_landau_n_rt_rp_r_innclass l_e_st_eq_landau_n_rt_rp_1df) (l_e_st_eq_landau_n_rt_rp_posdirp l_e_st_eq_landau_n_rt_rp_1rp) : l_e_st_eq_landau_n_rt_rp_r_pos l_e_st_eq_landau_n_rt_rp_r_1rl).

(* constant 4471 *)
definition l_e_st_eq_landau_n_rt_rp_r_natrl1 ≝ (l_e_st_eq_landau_n_rt_rp_r_natrli l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_rt_rp_r_natrl l_e_st_eq_landau_n_rt_rp_r_1rl).

(* constant 4472 *)
definition l_e_st_eq_landau_n_rt_rp_r_intrl1 ≝ (l_e_st_eq_landau_n_rt_rp_r_natintrl l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_natrl1 : l_e_st_eq_landau_n_rt_rp_r_intrl l_e_st_eq_landau_n_rt_rp_r_1rl).

(* constant 4473 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r195_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_st_eq_landau_n_rt_rp_satzd195 a0 : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a0 l_e_st_eq_landau_n_rt_rp_1df) a0).

(* constant 4474 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r195_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_1rl) r (l_e_st_eq_landau_n_rt_rp_td a0 l_e_st_eq_landau_n_rt_rp_1df) a0 (l_e_st_eq_landau_n_rt_rp_r_tict r l_e_st_eq_landau_n_rt_rp_r_1rl a0 l_e_st_eq_landau_n_rt_rp_1df a0ir (l_e_st_eq_landau_n_rt_rp_r_innclass l_e_st_eq_landau_n_rt_rp_1df)) a0ir (l_e_st_eq_landau_n_rt_rp_r_4r195_t1 r a0 a0ir) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_1rl) r).

(* constant 4475 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz195 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_1rl) r) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_4r195_t2 r x t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_1rl) r).

(* constant 4476 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz195a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_1rl) r (l_e_st_eq_landau_n_rt_rp_r_satz195 r) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_1rl)).

(* constant 4477 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz195b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl r) (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_1rl) r (l_e_st_eq_landau_n_rt_rp_r_comts l_e_st_eq_landau_n_rt_rp_r_1rl r) (l_e_st_eq_landau_n_rt_rp_r_satz195 r) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl r) r).

(* constant 4478 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz195c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl r) r (l_e_st_eq_landau_n_rt_rp_r_satz195b r) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl r)).

(* constant 4479 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz196a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ists12 (l_e_st_eq_landau_n_rt_rp_r_abs r) r (l_e_st_eq_landau_n_rt_rp_r_abs s) s (l_e_st_eq_landau_n_rt_rp_r_absp r p) (l_e_st_eq_landau_n_rt_rp_r_absp s q)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))).

(* constant 4480 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λo:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_satzd196b a1 b1 (l_e_st_eq_landau_n_rt_rp_r_negex r a1 a1ir n) (l_e_st_eq_landau_n_rt_rp_r_negex s b1 b1is o) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1))).

(* constant 4481 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λo:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1)) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_tict (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1) (l_e_st_eq_landau_n_rt_rp_r_aica r a1 a1ir) (l_e_st_eq_landau_n_rt_rp_r_aica s b1 b1is)) (l_e_st_eq_landau_n_rt_rp_r_4r196_t1 r s a1 b1 a1ir b1is n o) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))).

(* constant 4482 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz196b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λo:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_4r196_t2 r s x y t u n o) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))).

(* constant 4483 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t1a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λn:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_satzd196c a1 b1 (l_e_st_eq_landau_n_rt_rp_r_posex r a1 a1ir p) (l_e_st_eq_landau_n_rt_rp_r_negex s b1 b1is n) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1)))).

(* constant 4484 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t2a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λn:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1))) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_micm0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1)) (l_e_st_eq_landau_n_rt_rp_r_tict (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1) (l_e_st_eq_landau_n_rt_rp_r_aica r a1 a1ir) (l_e_st_eq_landau_n_rt_rp_r_aica s b1 b1is))) (l_e_st_eq_landau_n_rt_rp_r_4r196_t1a r s a1 b1 a1ir b1is p n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)))).

(* constant 4485 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz196c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λn:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_4r196_t2a r s x y t u p n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)))).

(* constant 4486 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz196d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λp:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts s r) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_r_abs r))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))) (l_e_st_eq_landau_n_rt_rp_r_comts r s) (l_e_st_eq_landau_n_rt_rp_r_satz196c s r p n) (l_e_st_eq_landau_n_rt_rp_r_ism0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_r_abs r)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_r_comts (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_r_abs r))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)))).

(* constant 4487 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_zero a0) (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) n (λt:l_e_st_eq_landau_n_rt_rp_zero a0.l_e_st_eq_landau_n_rt_rp_r_0in r a0 a0ir t) : l_not (l_e_st_eq_landau_n_rt_rp_zero a0)).

(* constant 4488 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)).(l_e_st_eq_landau_n_rt_rp_satzd196e a1 b1 (l_e_st_eq_landau_n_rt_rp_r_4r196_t3 r a1 a1ir n) (l_e_st_eq_landau_n_rt_rp_r_4r196_t3 s b1 b1is o) (l_e_st_eq_landau_n_rt_rp_r_isex (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1)) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_tict (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1) (l_e_st_eq_landau_n_rt_rp_r_aica r a1 a1ir) (l_e_st_eq_landau_n_rt_rp_r_aica s b1 b1is)) i) : l_or (l_and (l_e_st_eq_landau_n_rt_rp_posd a1) (l_e_st_eq_landau_n_rt_rp_posd b1)) (l_and (l_e_st_eq_landau_n_rt_rp_negd a1) (l_e_st_eq_landau_n_rt_rp_negd b1))).

(* constant 4489 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)).λa:l_and (l_e_st_eq_landau_n_rt_rp_posd a1) (l_e_st_eq_landau_n_rt_rp_posd b1).(l_andi (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_posin r a1 a1ir (l_ande1 (l_e_st_eq_landau_n_rt_rp_posd a1) (l_e_st_eq_landau_n_rt_rp_posd b1) a)) (l_e_st_eq_landau_n_rt_rp_r_posin s b1 b1is (l_ande2 (l_e_st_eq_landau_n_rt_rp_posd a1) (l_e_st_eq_landau_n_rt_rp_posd b1) a)) : l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_pos s)).

(* constant 4490 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)).λa:l_and (l_e_st_eq_landau_n_rt_rp_negd a1) (l_e_st_eq_landau_n_rt_rp_negd b1).(l_andi (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_negin r a1 a1ir (l_ande1 (l_e_st_eq_landau_n_rt_rp_negd a1) (l_e_st_eq_landau_n_rt_rp_negd b1) a)) (l_e_st_eq_landau_n_rt_rp_r_negin s b1 b1is (l_ande2 (l_e_st_eq_landau_n_rt_rp_negd a1) (l_e_st_eq_landau_n_rt_rp_negd b1) a)) : l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_neg s)).

(* constant 4491 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)).(l_or_th9 (l_and (l_e_st_eq_landau_n_rt_rp_posd a1) (l_e_st_eq_landau_n_rt_rp_posd b1)) (l_and (l_e_st_eq_landau_n_rt_rp_negd a1) (l_e_st_eq_landau_n_rt_rp_negd b1)) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_pos s)) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_e_st_eq_landau_n_rt_rp_r_4r196_t4 r s a1 b1 a1ir b1is n o i) (λt:l_and (l_e_st_eq_landau_n_rt_rp_posd a1) (l_e_st_eq_landau_n_rt_rp_posd b1).l_e_st_eq_landau_n_rt_rp_r_4r196_t5 r s a1 b1 a1ir b1is n o i t) (λt:l_and (l_e_st_eq_landau_n_rt_rp_negd a1) (l_e_st_eq_landau_n_rt_rp_negd b1).l_e_st_eq_landau_n_rt_rp_r_4r196_t6 r s a1 b1 a1ir b1is n o i t) : l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_pos s)) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_neg s))).

(* constant 4492 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz196e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)).(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_pos s)) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_neg s))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_4r196_t7 r s x y t u n o i) : l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_pos s)) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_neg s))).

(* constant 4493 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))).(l_e_st_eq_landau_n_rt_rp_satzd196f a1 b1 (l_e_st_eq_landau_n_rt_rp_r_4r196_t3 r a1 a1ir n) (l_e_st_eq_landau_n_rt_rp_r_4r196_t3 s b1 b1is o) (l_e_st_eq_landau_n_rt_rp_r_isex (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1))) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_micm0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1)) (l_e_st_eq_landau_n_rt_rp_r_tict (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_absd a1) (l_e_st_eq_landau_n_rt_rp_absd b1) (l_e_st_eq_landau_n_rt_rp_r_aica r a1 a1ir) (l_e_st_eq_landau_n_rt_rp_r_aica s b1 b1is))) i) : l_or (l_and (l_e_st_eq_landau_n_rt_rp_posd a1) (l_e_st_eq_landau_n_rt_rp_negd b1)) (l_and (l_e_st_eq_landau_n_rt_rp_negd a1) (l_e_st_eq_landau_n_rt_rp_posd b1))).

(* constant 4494 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))).λa:l_and (l_e_st_eq_landau_n_rt_rp_posd a1) (l_e_st_eq_landau_n_rt_rp_negd b1).(l_andi (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_posin r a1 a1ir (l_ande1 (l_e_st_eq_landau_n_rt_rp_posd a1) (l_e_st_eq_landau_n_rt_rp_negd b1) a)) (l_e_st_eq_landau_n_rt_rp_r_negin s b1 b1is (l_ande2 (l_e_st_eq_landau_n_rt_rp_posd a1) (l_e_st_eq_landau_n_rt_rp_negd b1) a)) : l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg s)).

(* constant 4495 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))).λa:l_and (l_e_st_eq_landau_n_rt_rp_negd a1) (l_e_st_eq_landau_n_rt_rp_posd b1).(l_andi (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_negin r a1 a1ir (l_ande1 (l_e_st_eq_landau_n_rt_rp_negd a1) (l_e_st_eq_landau_n_rt_rp_posd b1) a)) (l_e_st_eq_landau_n_rt_rp_r_posin s b1 b1is (l_ande2 (l_e_st_eq_landau_n_rt_rp_negd a1) (l_e_st_eq_landau_n_rt_rp_posd b1) a)) : l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_pos s)).

(* constant 4496 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))).(l_or_th9 (l_and (l_e_st_eq_landau_n_rt_rp_posd a1) (l_e_st_eq_landau_n_rt_rp_negd b1)) (l_and (l_e_st_eq_landau_n_rt_rp_negd a1) (l_e_st_eq_landau_n_rt_rp_posd b1)) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_pos s)) (l_e_st_eq_landau_n_rt_rp_r_4r196_t8 r s a1 b1 a1ir b1is n o i) (λt:l_and (l_e_st_eq_landau_n_rt_rp_posd a1) (l_e_st_eq_landau_n_rt_rp_negd b1).l_e_st_eq_landau_n_rt_rp_r_4r196_t9 r s a1 b1 a1ir b1is n o i t) (λt:l_and (l_e_st_eq_landau_n_rt_rp_negd a1) (l_e_st_eq_landau_n_rt_rp_posd b1).l_e_st_eq_landau_n_rt_rp_r_4r196_t10 r s a1 b1 a1ir b1is n o i t) : l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_pos s))).

(* constant 4497 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz196f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))).(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_pos s))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_4r196_t11 r s x y t u n o i) : l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_pos s))).

(* constant 4498 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts r s).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pnot0 (l_e_st_eq_landau_n_rt_rp_r_ts r s) p) (λt:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_ts01 r s t) : l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4499 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t13 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts r s).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pnot0 (l_e_st_eq_landau_n_rt_rp_r_ts r s) p) (λt:l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_ts02 r s t) : l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4500 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t14 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts r s).(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_absp (l_e_st_eq_landau_n_rt_rp_r_ts r s) p) (l_e_st_eq_landau_n_rt_rp_r_satz193 r s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s))).

(* constant 4501 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz196g ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts r s).(l_e_st_eq_landau_n_rt_rp_r_satz196e r s (l_e_st_eq_landau_n_rt_rp_r_4r196_t12 r s p) (l_e_st_eq_landau_n_rt_rp_r_4r196_t13 r s p) (l_e_st_eq_landau_n_rt_rp_r_4r196_t14 r s p) : l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_pos s)) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_neg s))).

(* constant 4502 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t15 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts r s).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_nnot0 (l_e_st_eq_landau_n_rt_rp_r_ts r s) n) (λt:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_ts01 r s t) : l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4503 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t16 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts r s).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_nnot0 (l_e_st_eq_landau_n_rt_rp_r_ts r s) n) (λt:l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_ts02 r s t) : l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4504 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r196_t17 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts r s).(l_e_st_eq_landau_n_rt_rp_r_satz177c (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_satz193a r s) (l_e_st_eq_landau_n_rt_rp_r_absn (l_e_st_eq_landau_n_rt_rp_r_ts r s) n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs s)))).

(* constant 4505 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz196h ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts r s).(l_e_st_eq_landau_n_rt_rp_r_satz196f r s (l_e_st_eq_landau_n_rt_rp_r_4r196_t15 r s n) (l_e_st_eq_landau_n_rt_rp_r_4r196_t16 r s n) (l_e_st_eq_landau_n_rt_rp_r_4r196_t17 r s n) : l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_pos s))).

(* constant 4506 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r197_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_satzd197a a1 b1 : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a1) b1) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a1 b1))).

(* constant 4507 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r197_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_m0d a1) b1) (l_e_st_eq_landau_n_rt_rp_m0d (l_e_st_eq_landau_n_rt_rp_td a1 b1)) (l_e_st_eq_landau_n_rt_rp_r_tict (l_e_st_eq_landau_n_rt_rp_r_m0 r) s (l_e_st_eq_landau_n_rt_rp_m0d a1) b1 (l_e_st_eq_landau_n_rt_rp_r_micm0 r a1 a1ir) b1is) (l_e_st_eq_landau_n_rt_rp_r_micm0 (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is)) (l_e_st_eq_landau_n_rt_rp_r_4r197_t1 r s a1 b1 a1ir b1is) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r s))).

(* constant 4508 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz197a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r s))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_4r197_t2 r s x y t u) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r s))).

(* constant 4509 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz197b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 s) r) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts s r)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_comts r (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_satz197a s r) (l_e_st_eq_landau_n_rt_rp_r_ism0 (l_e_st_eq_landau_n_rt_rp_r_ts s r) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_comts s r)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r s))).

(* constant 4510 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz197c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) s) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_satz197a r s) (l_e_st_eq_landau_n_rt_rp_r_satz197b r s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) s) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_m0 s))).

(* constant 4511 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz197d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) s) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_satz197c r s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) s)).

(* constant 4512 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz197e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_satz197a r s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) s)).

(* constant 4513 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz197f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_satz197b r s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_m0 s))).

(* constant 4514 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz198 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 s))) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_satz197c r (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_ists2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 s)) s r (l_e_st_eq_landau_n_rt_rp_r_satz177 s)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 4515 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz198a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_satz198 r s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s))).

(* constant 4516 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr4_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_st_eq_landau_n_rt_rp_ptdpp a1 b1 (l_e_st_eq_landau_n_rt_rp_r_posex r a1 a1ir p) (l_e_st_eq_landau_n_rt_rp_r_posex s b1 b1is q) : l_e_st_eq_landau_n_rt_rp_posd (l_e_st_eq_landau_n_rt_rp_td a1 b1)).

(* constant 4517 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr4_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_st_eq_landau_n_rt_rp_r_posin (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_ivr4_t3 r s a1 b1 a1ir b1is p q) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 4518 *)
definition l_e_st_eq_landau_n_rt_rp_r_postspp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_ivr4_t4 r s x y t u p q) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 4519 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr4_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λn:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_ntdpn a1 b1 (l_e_st_eq_landau_n_rt_rp_r_posex r a1 a1ir p) (l_e_st_eq_landau_n_rt_rp_r_negex s b1 b1is n) : l_e_st_eq_landau_n_rt_rp_negd (l_e_st_eq_landau_n_rt_rp_td a1 b1)).

(* constant 4520 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr4_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λn:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_r_negin (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_ivr4_t5 r s a1 b1 a1ir b1is p n) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 4521 *)
definition l_e_st_eq_landau_n_rt_rp_r_negtspn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λn:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_ivr4_t6 r s x y t u p n) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 4522 *)
definition l_e_st_eq_landau_n_rt_rp_r_negtsnp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λp:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_st_eq_landau_n_rt_rp_r_isneg (l_e_st_eq_landau_n_rt_rp_r_ts s r) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_comts s r) (l_e_st_eq_landau_n_rt_rp_r_negtspn s r p n) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 4523 *)
definition l_e_st_eq_landau_n_rt_rp_r_postsnn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.λo:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_e_st_eq_landau_n_rt_rp_r_ispos (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_satz198 r s) (l_e_st_eq_landau_n_rt_rp_r_postspp (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_satz176c r n) (l_e_st_eq_landau_n_rt_rp_r_satz176c s o)) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 4524 *)
definition l_e_st_eq_landau_n_rt_rp_r_possq ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_rapp r (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts r r)) (λt:l_e_st_eq_landau_n_rt_rp_r_pos r.l_e_st_eq_landau_n_rt_rp_r_postspp r r t t) (l_imp_th2 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts r r)) n) (λt:l_e_st_eq_landau_n_rt_rp_r_neg r.l_e_st_eq_landau_n_rt_rp_r_postsnn r r t t) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts r r)).

(* constant 4525 *)
definition l_e_st_eq_landau_n_rt_rp_r_nnegsq ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts r r))) (λt:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_0notn (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_satz192a r r t)) (λt:l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_pnotn (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_possq r t)) : l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts r r))).

(* constant 4526 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r199_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).(l_e_st_eq_landau_n_rt_rp_satzd199 a2 b2 c2 : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_td a2 b2) c2) (l_e_st_eq_landau_n_rt_rp_td a2 (l_e_st_eq_landau_n_rt_rp_td b2 c2))).

(* constant 4527 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r199_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts r s) t) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ts s t)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_td a2 b2) c2) (l_e_st_eq_landau_n_rt_rp_td a2 (l_e_st_eq_landau_n_rt_rp_td b2 c2)) (l_e_st_eq_landau_n_rt_rp_r_tict (l_e_st_eq_landau_n_rt_rp_r_ts r s) t (l_e_st_eq_landau_n_rt_rp_td a2 b2) c2 (l_e_st_eq_landau_n_rt_rp_r_tict r s a2 b2 a2ir b2is) c2it) (l_e_st_eq_landau_n_rt_rp_r_tict r (l_e_st_eq_landau_n_rt_rp_r_ts s t) a2 (l_e_st_eq_landau_n_rt_rp_td b2 c2) a2ir (l_e_st_eq_landau_n_rt_rp_r_tict s t b2 c2 b2is c2it)) (l_e_st_eq_landau_n_rt_rp_r_4r199_t1 r s t a2 b2 c2 a2ir b2is c2it) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts r s) t) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ts s t))).

(* constant 4528 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz199 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts r s) t) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ts s t))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_4r199_t2 r s t x y z u v w) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts r s) t) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ts s t))).

(* constant 4529 *)
definition l_e_st_eq_landau_n_rt_rp_r_assts1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_satz199 r s t : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts r s) t) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ts s t))).

(* constant 4530 *)
definition l_e_st_eq_landau_n_rt_rp_r_assts2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts r s) t) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ts s t)) (l_e_st_eq_landau_n_rt_rp_r_satz199 r s t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ts s t)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts r s) t)).

(* constant 4531 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r201_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).(l_e_st_eq_landau_n_rt_rp_satzd201 a2 b2 c2 : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a2 (l_e_st_eq_landau_n_rt_rp_pd b2 c2)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a2 b2) (l_e_st_eq_landau_n_rt_rp_td a2 c2))).

(* constant 4532 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r201_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_pl s t)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t)) (l_e_st_eq_landau_n_rt_rp_td a2 (l_e_st_eq_landau_n_rt_rp_pd b2 c2)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_td a2 b2) (l_e_st_eq_landau_n_rt_rp_td a2 c2)) (l_e_st_eq_landau_n_rt_rp_r_tict r (l_e_st_eq_landau_n_rt_rp_r_pl s t) a2 (l_e_st_eq_landau_n_rt_rp_pd b2 c2) a2ir (l_e_st_eq_landau_n_rt_rp_r_picp s t b2 c2 b2is c2it)) (l_e_st_eq_landau_n_rt_rp_r_picp (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_td a2 b2) (l_e_st_eq_landau_n_rt_rp_td a2 c2) (l_e_st_eq_landau_n_rt_rp_r_tict r s a2 b2 a2ir b2is) (l_e_st_eq_landau_n_rt_rp_r_tict r t a2 c2 a2ir c2it)) (l_e_st_eq_landau_n_rt_rp_r_4r201_t1 r s t a2 b2 c2 a2ir b2is c2it) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_pl s t)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t))).

(* constant 4533 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz201 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_pl s t)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_4r201_t2 r s t x y z u v w) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_pl s t)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t))).

(* constant 4534 *)
definition l_e_st_eq_landau_n_rt_rp_r_disttp1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_pl r s) t) (l_e_st_eq_landau_n_rt_rp_r_ts t (l_e_st_eq_landau_n_rt_rp_r_pl r s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts t s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)) (l_e_st_eq_landau_n_rt_rp_r_comts (l_e_st_eq_landau_n_rt_rp_r_pl r s) t) (l_e_st_eq_landau_n_rt_rp_r_satz201 t r s) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts t s) (l_e_st_eq_landau_n_rt_rp_r_ts s t) (l_e_st_eq_landau_n_rt_rp_r_comts t r) (l_e_st_eq_landau_n_rt_rp_r_comts t s)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_pl r s) t) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t))).

(* constant 4535 *)
definition l_e_st_eq_landau_n_rt_rp_r_disttp2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_satz201 r s t : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_pl s t)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t))).

(* constant 4536 *)
definition l_e_st_eq_landau_n_rt_rp_r_distpt1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_pl r s) t) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)) (l_e_st_eq_landau_n_rt_rp_r_disttp1 r s t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_pl r s) t)).

(* constant 4537 *)
definition l_e_st_eq_landau_n_rt_rp_r_distpt2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_pl s t)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t)) (l_e_st_eq_landau_n_rt_rp_r_disttp2 r s t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t)) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_pl s t))).

(* constant 4538 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz202 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_mn s t)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_m0 t))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t)) (l_e_st_eq_landau_n_rt_rp_r_disttp2 r s (l_e_st_eq_landau_n_rt_rp_r_m0 t)) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_m0 t)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts r t)) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_satz197b r t)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_mn s t)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t))).

(* constant 4539 *)
definition l_e_st_eq_landau_n_rt_rp_r_disttm1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_mn r s) t) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 s) t)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)) (l_e_st_eq_landau_n_rt_rp_r_disttp1 r (l_e_st_eq_landau_n_rt_rp_r_m0 s) t) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 s) t) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts s t)) (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_satz197a s t)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_mn r s) t) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t))).

(* constant 4540 *)
definition l_e_st_eq_landau_n_rt_rp_r_disttm2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_satz202 r s t : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_mn s t)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t))).

(* constant 4541 *)
definition l_e_st_eq_landau_n_rt_rp_r_distmt1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_mn r s) t) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)) (l_e_st_eq_landau_n_rt_rp_r_disttm1 r s t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_mn r s) t)).

(* constant 4542 *)
definition l_e_st_eq_landau_n_rt_rp_r_distmt2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_mn s t)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t)) (l_e_st_eq_landau_n_rt_rp_r_disttm2 r s t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t)) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_mn s t))).

(* constant 4543 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz200 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_satz202 r s t : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_mn s t)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r t))).

(* constant 4544 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r203_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λp:l_e_st_eq_landau_n_rt_rp_r_pos t.(l_e_st_eq_landau_n_rt_rp_satzd203a a2 b2 c2 (l_e_st_eq_landau_n_rt_rp_r_moreex r s a2 b2 a2ir b2is m) (l_e_st_eq_landau_n_rt_rp_r_posex t c2 c2it p) : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_td a2 c2) (l_e_st_eq_landau_n_rt_rp_td b2 c2)).

(* constant 4545 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r203_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λp:l_e_st_eq_landau_n_rt_rp_r_pos t.(l_e_st_eq_landau_n_rt_rp_r_morein (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t) (l_e_st_eq_landau_n_rt_rp_td a2 c2) (l_e_st_eq_landau_n_rt_rp_td b2 c2) (l_e_st_eq_landau_n_rt_rp_r_tict r t a2 c2 a2ir c2it) (l_e_st_eq_landau_n_rt_rp_r_tict s t b2 c2 b2is c2it) (l_e_st_eq_landau_n_rt_rp_r_4r203_t1 r s t a2 b2 c2 a2ir b2is c2it m p) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)).

(* constant 4546 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz203a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λp:l_e_st_eq_landau_n_rt_rp_r_pos t.(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_4r203_t2 r s t x y z u v w m p) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)).

(* constant 4547 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz203b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λi:l_e_st_eq_landau_n_rt_rp_r_is t l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts02 r t i) (l_e_st_eq_landau_n_rt_rp_r_ts02 s t i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)).

(* constant 4548 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r203_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λn:l_e_st_eq_landau_n_rt_rp_r_neg t.(l_e_st_eq_landau_n_rt_rp_satzd203c a2 b2 c2 (l_e_st_eq_landau_n_rt_rp_r_moreex r s a2 b2 a2ir b2is m) (l_e_st_eq_landau_n_rt_rp_r_negex t c2 c2it n) : l_e_st_eq_landau_n_rt_rp_lessd (l_e_st_eq_landau_n_rt_rp_td a2 c2) (l_e_st_eq_landau_n_rt_rp_td b2 c2)).

(* constant 4549 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r203_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λa2:l_e_st_eq_landau_n_rt_rp_dif.λb2:l_e_st_eq_landau_n_rt_rp_dif.λc2:l_e_st_eq_landau_n_rt_rp_dif.λa2ir:l_e_st_eq_landau_n_rt_rp_r_inn a2 (l_e_st_eq_landau_n_rt_rp_r_class r).λb2is:l_e_st_eq_landau_n_rt_rp_r_inn b2 (l_e_st_eq_landau_n_rt_rp_r_class s).λc2it:l_e_st_eq_landau_n_rt_rp_r_inn c2 (l_e_st_eq_landau_n_rt_rp_r_class t).λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λn:l_e_st_eq_landau_n_rt_rp_r_neg t.(l_e_st_eq_landau_n_rt_rp_r_lessin (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t) (l_e_st_eq_landau_n_rt_rp_td a2 c2) (l_e_st_eq_landau_n_rt_rp_td b2 c2) (l_e_st_eq_landau_n_rt_rp_r_tict r t a2 c2 a2ir c2it) (l_e_st_eq_landau_n_rt_rp_r_tict s t b2 c2 b2is c2it) (l_e_st_eq_landau_n_rt_rp_r_4r203_t3 r s t a2 b2 c2 a2ir b2is c2it m n) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)).

(* constant 4550 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz203c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λn:l_e_st_eq_landau_n_rt_rp_r_neg t.(l_e_st_eq_landau_n_rt_rp_r_realapp3 r s t (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_4r203_t4 r s t x y z u v w m n) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)).

(* constant 4551 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz203d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λp:l_e_st_eq_landau_n_rt_rp_r_pos t.(l_e_st_eq_landau_n_rt_rp_r_ismore12 (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts s t) (l_e_st_eq_landau_n_rt_rp_r_ts t s) (l_e_st_eq_landau_n_rt_rp_r_comts r t) (l_e_st_eq_landau_n_rt_rp_r_comts s t) (l_e_st_eq_landau_n_rt_rp_r_satz203a r s t m p) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts t s)).

(* constant 4552 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz203e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λi:l_e_st_eq_landau_n_rt_rp_r_is t l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts t s) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts01 t r i) (l_e_st_eq_landau_n_rt_rp_r_ts01 t s i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts t s)).

(* constant 4553 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz203f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.λn:l_e_st_eq_landau_n_rt_rp_r_neg t.(l_e_st_eq_landau_n_rt_rp_r_isless12 (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts s t) (l_e_st_eq_landau_n_rt_rp_r_ts t s) (l_e_st_eq_landau_n_rt_rp_r_comts r t) (l_e_st_eq_landau_n_rt_rp_r_comts s t) (l_e_st_eq_landau_n_rt_rp_r_satz203c r s t m n) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts t s)).

(* constant 4554 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz203g ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λp:l_e_st_eq_landau_n_rt_rp_r_pos t.(l_e_st_eq_landau_n_rt_rp_r_lemma1 (l_e_st_eq_landau_n_rt_rp_r_ts s t) (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_satz203a s r t (l_e_st_eq_landau_n_rt_rp_r_lemma2 r s l) p) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)).

(* constant 4555 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz203h ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λi:l_e_st_eq_landau_n_rt_rp_r_is t l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts02 r t i) (l_e_st_eq_landau_n_rt_rp_r_ts02 s t i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)).

(* constant 4556 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz203j ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λn:l_e_st_eq_landau_n_rt_rp_r_neg t.(l_e_st_eq_landau_n_rt_rp_r_lemma2 (l_e_st_eq_landau_n_rt_rp_r_ts s t) (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_satz203c s r t (l_e_st_eq_landau_n_rt_rp_r_lemma2 r s l) n) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_ts r t) (l_e_st_eq_landau_n_rt_rp_r_ts s t)).

(* constant 4557 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz203k ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λp:l_e_st_eq_landau_n_rt_rp_r_pos t.(l_e_st_eq_landau_n_rt_rp_r_lemma1 (l_e_st_eq_landau_n_rt_rp_r_ts t s) (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_satz203d s r t (l_e_st_eq_landau_n_rt_rp_r_lemma2 r s l) p) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts t s)).

(* constant 4558 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz203l ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λi:l_e_st_eq_landau_n_rt_rp_r_is t l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts t s) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts01 t r i) (l_e_st_eq_landau_n_rt_rp_r_ts01 t s i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts t s)).

(* constant 4559 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz203m ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λn:l_e_st_eq_landau_n_rt_rp_r_neg t.(l_e_st_eq_landau_n_rt_rp_r_lemma2 (l_e_st_eq_landau_n_rt_rp_r_ts t s) (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_satz203f s r t (l_e_st_eq_landau_n_rt_rp_r_lemma2 r s l) n) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_ts t r) (l_e_st_eq_landau_n_rt_rp_r_ts t s)).

(* constant 4560 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λn1:l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_zero a0) (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) n1 (λt:l_e_st_eq_landau_n_rt_rp_zero a0.l_e_st_eq_landau_n_rt_rp_r_0in r a0 a0ir t) : l_not (l_e_st_eq_landau_n_rt_rp_zero a0)).

(* constant 4561 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa3:l_e_st_eq_landau_n_rt_rp_dif.λb3:l_e_st_eq_landau_n_rt_rp_dif.λc3:l_e_st_eq_landau_n_rt_rp_dif.λd3:l_e_st_eq_landau_n_rt_rp_dif.λa3ir:l_e_st_eq_landau_n_rt_rp_r_inn a3 (l_e_st_eq_landau_n_rt_rp_r_class r).λb3is:l_e_st_eq_landau_n_rt_rp_r_inn b3 (l_e_st_eq_landau_n_rt_rp_r_class s).λc3it:l_e_st_eq_landau_n_rt_rp_r_inn c3 (l_e_st_eq_landau_n_rt_rp_r_class t).λd3iu:l_e_st_eq_landau_n_rt_rp_r_inn d3 (l_e_st_eq_landau_n_rt_rp_r_class u).λn1:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s t) r.λj:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s u) r.(l_e_st_eq_landau_n_rt_rp_satzd204b a3 b3 (l_e_st_eq_landau_n_rt_rp_r_4r204_t1 s b3 b3is n1) c3 d3 (l_e_st_eq_landau_n_rt_rp_r_isex (l_e_st_eq_landau_n_rt_rp_r_ts s t) r (l_e_st_eq_landau_n_rt_rp_td b3 c3) a3 (l_e_st_eq_landau_n_rt_rp_r_tict s t b3 c3 b3is c3it) a3ir i) (l_e_st_eq_landau_n_rt_rp_r_isex (l_e_st_eq_landau_n_rt_rp_r_ts s u) r (l_e_st_eq_landau_n_rt_rp_td b3 d3) a3 (l_e_st_eq_landau_n_rt_rp_r_tict s u b3 d3 b3is d3iu) a3ir j) : l_e_st_eq_landau_n_rt_rp_eq c3 d3).

(* constant 4562 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa3:l_e_st_eq_landau_n_rt_rp_dif.λb3:l_e_st_eq_landau_n_rt_rp_dif.λc3:l_e_st_eq_landau_n_rt_rp_dif.λd3:l_e_st_eq_landau_n_rt_rp_dif.λa3ir:l_e_st_eq_landau_n_rt_rp_r_inn a3 (l_e_st_eq_landau_n_rt_rp_r_class r).λb3is:l_e_st_eq_landau_n_rt_rp_r_inn b3 (l_e_st_eq_landau_n_rt_rp_r_class s).λc3it:l_e_st_eq_landau_n_rt_rp_r_inn c3 (l_e_st_eq_landau_n_rt_rp_r_class t).λd3iu:l_e_st_eq_landau_n_rt_rp_r_inn d3 (l_e_st_eq_landau_n_rt_rp_r_class u).λn1:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s t) r.λj:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s u) r.(l_e_st_eq_landau_n_rt_rp_r_isin t u c3 d3 c3it d3iu (l_e_st_eq_landau_n_rt_rp_r_4r204_t2 r s t u a3 b3 c3 d3 a3ir b3is c3it d3iu n1 i j) : l_e_st_eq_landau_n_rt_rp_r_is t u).

(* constant 4563 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz204b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r.λj:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s y) r.(l_e_st_eq_landau_n_rt_rp_r_realapp4 r s x y (l_e_st_eq_landau_n_rt_rp_r_is x y) (λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_dif.λv:l_e_st_eq_landau_n_rt_rp_dif.λw:l_e_st_eq_landau_n_rt_rp_dif.λzi:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class r).λui:l_e_st_eq_landau_n_rt_rp_r_inn u (l_e_st_eq_landau_n_rt_rp_r_class s).λvi:l_e_st_eq_landau_n_rt_rp_r_inn v (l_e_st_eq_landau_n_rt_rp_r_class x).λwi:l_e_st_eq_landau_n_rt_rp_r_inn w (l_e_st_eq_landau_n_rt_rp_r_class y).l_e_st_eq_landau_n_rt_rp_r_4r204_t3 r s x y z u v w zi ui vi wi n i j) : l_e_st_eq_landau_n_rt_rp_r_is x y).

(* constant 4564 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn1:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_satzd204a a1 b1 (l_e_st_eq_landau_n_rt_rp_r_4r204_t1 s b1 b1is n1) : l_some l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b1 x) a1)).

(* constant 4565 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_ar ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn1:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λa:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b1 a) a1.(l_e_st_eq_landau_n_rt_rp_r_realof a : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4566 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn1:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λa:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b1 a) a1.(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_4r204_ar r s a1 b1 a1ir b1is n1 a e)) r (l_e_st_eq_landau_n_rt_rp_td b1 a) a1 (l_e_st_eq_landau_n_rt_rp_r_tict s (l_e_st_eq_landau_n_rt_rp_r_4r204_ar r s a1 b1 a1ir b1is n1 a e) b1 a b1is (l_e_st_eq_landau_n_rt_rp_r_innclass a)) a1ir e : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_4r204_ar r s a1 b1 a1ir b1is n1 a e)) r).

(* constant 4567 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn1:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λa:l_e_st_eq_landau_n_rt_rp_dif.λe:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b1 a) a1.(l_somei l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r) (l_e_st_eq_landau_n_rt_rp_r_4r204_ar r s a1 b1 a1ir b1is n1 a e) (l_e_st_eq_landau_n_rt_rp_r_4r204_t5 r s a1 b1 a1ir b1is n1 a e) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r)).

(* constant 4568 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λn1:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b1 x) a1) (l_e_st_eq_landau_n_rt_rp_r_4r204_t4 r s a1 b1 a1ir b1is n1) (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b1 x) a1.l_e_st_eq_landau_n_rt_rp_r_4r204_t6 r s a1 b1 a1ir b1is n1 x t) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r)).

(* constant 4569 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz204a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_4r204_t7 r s x y t u n) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r)).

(* constant 4570 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz204 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_onei l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r.λu:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s y) r.l_e_st_eq_landau_n_rt_rp_r_satz204b r s n x y t u) (l_e_st_eq_landau_n_rt_rp_r_satz204a r s n) : l_e_st_eq_landau_n_rt_rp_r_one (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r)).

(* constant 4571 *)
definition l_e_st_eq_landau_n_rt_rp_r_ov ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_ind l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r) (l_e_st_eq_landau_n_rt_rp_r_satz204 r s n) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4572 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz204c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_oneax l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r) (l_e_st_eq_landau_n_rt_rp_r_satz204 r s n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_ov r s n)) r).

(* constant 4573 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz204d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_ov r s n)) r (l_e_st_eq_landau_n_rt_rp_r_satz204c r s n) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_ov r s n))).

(* constant 4574 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz204e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ov r s n) s) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_ov r s n)) r (l_e_st_eq_landau_n_rt_rp_r_comts (l_e_st_eq_landau_n_rt_rp_r_ov r s n) s) (l_e_st_eq_landau_n_rt_rp_r_satz204c r s n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ov r s n) s) r).

(* constant 4575 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz204f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ov r s n) s) r (l_e_st_eq_landau_n_rt_rp_r_satz204e r s n) : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ov r s n) s)).

(* constant 4576 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz204g ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λx:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s x) r.(l_e_st_eq_landau_n_rt_rp_r_satz204b r s n x (l_e_st_eq_landau_n_rt_rp_r_ov r s n) i (l_e_st_eq_landau_n_rt_rp_r_satz204c r s n) : l_e_st_eq_landau_n_rt_rp_r_is x (l_e_st_eq_landau_n_rt_rp_r_ov r s n)).

(* constant 4577 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_ros ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_ov r s n : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4578 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_r_ispos r (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n)) (l_e_st_eq_landau_n_rt_rp_r_satz204d r s n) p : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))).

(* constant 4579 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_and_th1 (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n)) (l_e_st_eq_landau_n_rt_rp_r_pnotn s q) : l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n)))).

(* constant 4580 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_ore1 (l_and (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))) (l_e_st_eq_landau_n_rt_rp_r_satz196g s (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n) (l_e_st_eq_landau_n_rt_rp_r_4r204_t8 r s n p)) (l_e_st_eq_landau_n_rt_rp_r_4r204_t9 r s n p q) : l_and (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))).

(* constant 4581 *)
definition l_e_st_eq_landau_n_rt_rp_r_posovpp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ov r s n)) (l_e_st_eq_landau_n_rt_rp_r_4r204_t10 r s n p q) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ov r s n)).

(* constant 4582 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λm:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_and_th1 (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n)) (l_e_st_eq_landau_n_rt_rp_r_nnotp s m) : l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n)))).

(* constant 4583 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λm:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_ore2 (l_and (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))) (l_e_st_eq_landau_n_rt_rp_r_satz196g s (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n) (l_e_st_eq_landau_n_rt_rp_r_4r204_t8 r s n p)) (l_e_st_eq_landau_n_rt_rp_r_4r204_t11 r s n p m) : l_and (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))).

(* constant 4584 *)
definition l_e_st_eq_landau_n_rt_rp_r_negovpn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λm:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ov r s n)) (l_e_st_eq_landau_n_rt_rp_r_4r204_t12 r s n p m) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ov r s n)).

(* constant 4585 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t13 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λm:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_r_isneg r (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n)) (l_e_st_eq_landau_n_rt_rp_r_satz204d r s n) m : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))).

(* constant 4586 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t14 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λm:l_e_st_eq_landau_n_rt_rp_r_neg r.λp:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_and_th1 (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n)) (l_e_st_eq_landau_n_rt_rp_r_pnotn s p) : l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n)))).

(* constant 4587 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t15 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λm:l_e_st_eq_landau_n_rt_rp_r_neg r.λp:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_ore1 (l_and (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))) (l_e_st_eq_landau_n_rt_rp_r_satz196h s (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n) (l_e_st_eq_landau_n_rt_rp_r_4r204_t13 r s n m)) (l_e_st_eq_landau_n_rt_rp_r_4r204_t14 r s n m p) : l_and (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))).

(* constant 4588 *)
definition l_e_st_eq_landau_n_rt_rp_r_negovnp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λm:l_e_st_eq_landau_n_rt_rp_r_neg r.λp:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ov r s n)) (l_e_st_eq_landau_n_rt_rp_r_4r204_t15 r s n m p) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ov r s n)).

(* constant 4589 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t16 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λm:l_e_st_eq_landau_n_rt_rp_r_neg r.λl:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_and_th1 (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n)) (l_e_st_eq_landau_n_rt_rp_r_nnotp s l) : l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n)))).

(* constant 4590 *)
definition l_e_st_eq_landau_n_rt_rp_r_4r204_t17 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λm:l_e_st_eq_landau_n_rt_rp_r_neg r.λl:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_ore2 (l_and (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))) (l_e_st_eq_landau_n_rt_rp_r_satz196h s (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n) (l_e_st_eq_landau_n_rt_rp_r_4r204_t13 r s n m)) (l_e_st_eq_landau_n_rt_rp_r_4r204_t16 r s n m l) : l_and (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_4r204_ros r s n))).

(* constant 4591 *)
definition l_e_st_eq_landau_n_rt_rp_r_posovnn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λm:l_e_st_eq_landau_n_rt_rp_r_neg r.λl:l_e_st_eq_landau_n_rt_rp_r_neg s.(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ov r s n)) (l_e_st_eq_landau_n_rt_rp_r_4r204_t17 r s n m l) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ov r s n)).

(* constant 4592 *)
definition l_e_st_eq_landau_n_rt_rp_r_morerpep ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r0 s0.(l_e_st_eq_landau_n_rt_rp_r_morein (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0) (l_e_st_eq_landau_n_rt_rp_pdofrp r0) (l_e_st_eq_landau_n_rt_rp_pdofrp s0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp r0)) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp s0)) (l_e_st_eq_landau_n_rt_rp_morerpepd r0 s0 m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)).

(* constant 4593 *)
definition l_e_st_eq_landau_n_rt_rp_r_morerpip ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0).(l_e_st_eq_landau_n_rt_rp_morerpipd r0 s0 (l_e_st_eq_landau_n_rt_rp_r_moreex (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0) (l_e_st_eq_landau_n_rt_rp_pdofrp r0) (l_e_st_eq_landau_n_rt_rp_pdofrp s0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp r0)) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp s0)) m) : l_e_st_eq_landau_n_rt_rp_more r0 s0).

(* constant 4594 *)
definition l_e_st_eq_landau_n_rt_rp_r_lessrpep ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_less r0 s0.(l_e_st_eq_landau_n_rt_rp_r_lemma1 (l_e_st_eq_landau_n_rt_rp_r_pofrp s0) (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_morerpep s0 r0 (l_e_st_eq_landau_n_rt_rp_satz122 r0 s0 l)) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)).

(* constant 4595 *)
definition l_e_st_eq_landau_n_rt_rp_r_lessrpip ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λl:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0).(l_e_st_eq_landau_n_rt_rp_satz121 s0 r0 (l_e_st_eq_landau_n_rt_rp_r_morerpip s0 r0 (l_e_st_eq_landau_n_rt_rp_r_lemma2 (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0) l)) : l_e_st_eq_landau_n_rt_rp_less r0 s0).

(* constant 4596 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr5_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_r_ismore12 r (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp r p)) s (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp s q)) (l_e_st_eq_landau_n_rt_rp_r_isprp1 r p) (l_e_st_eq_landau_n_rt_rp_r_isprp1 s q) m : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp r p)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp s q))).

(* constant 4597 *)
definition l_e_st_eq_landau_n_rt_rp_r_moreperp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.λm:l_e_st_eq_landau_n_rt_rp_r_more r s.(l_e_st_eq_landau_n_rt_rp_r_morerpip (l_e_st_eq_landau_n_rt_rp_r_rpofp r p) (l_e_st_eq_landau_n_rt_rp_r_rpofp s q) (l_e_st_eq_landau_n_rt_rp_r_ivr5_t1 r s p q m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_r_rpofp r p) (l_e_st_eq_landau_n_rt_rp_r_rpofp s q)).

(* constant 4598 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr5_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_r_rpofp r p) (l_e_st_eq_landau_n_rt_rp_r_rpofp s q).(l_e_st_eq_landau_n_rt_rp_r_morerpep (l_e_st_eq_landau_n_rt_rp_r_rpofp r p) (l_e_st_eq_landau_n_rt_rp_r_rpofp s q) m : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp r p)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp s q))).

(* constant 4599 *)
definition l_e_st_eq_landau_n_rt_rp_r_morepirp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.λm:l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_r_rpofp r p) (l_e_st_eq_landau_n_rt_rp_r_rpofp s q).(l_e_st_eq_landau_n_rt_rp_r_ismore12 (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp r p)) r (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_rpofp s q)) s (l_e_st_eq_landau_n_rt_rp_r_isprp2 r p) (l_e_st_eq_landau_n_rt_rp_r_isprp2 s q) (l_e_st_eq_landau_n_rt_rp_r_ivr5_t2 r s p q m) : l_e_st_eq_landau_n_rt_rp_r_more r s).

(* constant 4600 *)
definition l_e_st_eq_landau_n_rt_rp_r_lessperp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_satz121 (l_e_st_eq_landau_n_rt_rp_r_rpofp s q) (l_e_st_eq_landau_n_rt_rp_r_rpofp r p) (l_e_st_eq_landau_n_rt_rp_r_moreperp s r q p (l_e_st_eq_landau_n_rt_rp_r_lemma2 r s l)) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_r_rpofp r p) (l_e_st_eq_landau_n_rt_rp_r_rpofp s q)).

(* constant 4601 *)
definition l_e_st_eq_landau_n_rt_rp_r_lesspirp ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.λq:l_e_st_eq_landau_n_rt_rp_r_pos s.λl:l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_r_rpofp r p) (l_e_st_eq_landau_n_rt_rp_r_rpofp s q).(l_e_st_eq_landau_n_rt_rp_r_lemma1 s r (l_e_st_eq_landau_n_rt_rp_r_morepirp s r q p (l_e_st_eq_landau_n_rt_rp_satz122 (l_e_st_eq_landau_n_rt_rp_r_rpofp r p) (l_e_st_eq_landau_n_rt_rp_r_rpofp s q) l)) : l_e_st_eq_landau_n_rt_rp_r_less r s).

(* constant 4602 *)
definition l_e_st_eq_landau_n_rt_rp_r_s01 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_setof l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_lessis x r) : l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4603 *)
definition l_e_st_eq_landau_n_rt_rp_r_s02 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_setof l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_more x r) : l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4604 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s01 r)).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_lessis s r) (l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s01 r)) n (λt:l_e_st_eq_landau_n_rt_rp_r_lessis s r.l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_lessis x r) s t) : l_not (l_e_st_eq_landau_n_rt_rp_r_lessis s r)).

(* constant 4605 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s01 r)).(l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_more x r) s (l_e_st_eq_landau_n_rt_rp_r_satz167k s r (l_e_st_eq_landau_n_rt_rp_r_5r205_t1 r s n)) : l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s02 r)).

(* constant 4606 *)
definition l_e_st_eq_landau_n_rt_rp_r_vb00 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_not (l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_s01 r)).l_e_st_eq_landau_n_rt_rp_r_5r205_t2 r x t : l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_s01 r)) (l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_s02 r)))).

(* constant 4607 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_lessis x r) r (l_e_st_eq_landau_n_rt_rp_r_lessisi2 r r (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real r)) : l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_s01 r)).

(* constant 4608 *)
definition l_e_st_eq_landau_n_rt_rp_r_vb01a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_nonemptyi l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_s01 r) r (l_e_st_eq_landau_n_rt_rp_r_5r205_t3 r) : l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_s01 r)).

(* constant 4609 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_ismore2 (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_0) r (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl02 r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_satz188k l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0 r (l_e_st_eq_landau_n_rt_rp_r_satz169a l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_pos1)) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_1rl) r).

(* constant 4610 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_more x r) (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_5r205_t4 r) : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_s02 r)).

(* constant 4611 *)
definition l_e_st_eq_landau_n_rt_rp_r_vb01b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_nonemptyi l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_s02 r) (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_5r205_t5 r) : l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_s02 r)).

(* constant 4612 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s01 r).λt:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_in t (l_e_st_eq_landau_n_rt_rp_r_s02 r).(l_e_st_eq_landau_n_rt_rp_r_satz172a s r t (l_e_st_estie l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_lessis x r) s i) (l_e_st_eq_landau_n_rt_rp_r_lemma1 t r (l_e_st_estie l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_more x r) t j)) : l_e_st_eq_landau_n_rt_rp_r_less s t).

(* constant 4613 *)
definition l_e_st_eq_landau_n_rt_rp_r_vb02 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_s01 r).λy:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_in y (l_e_st_eq_landau_n_rt_rp_r_s02 r).l_e_st_eq_landau_n_rt_rp_r_5r205_t6 r x t y u : l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_s01 r).l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y (l_e_st_eq_landau_n_rt_rp_r_s02 r).l_e_st_eq_landau_n_rt_rp_r_less x y))).

(* constant 4614 *)
definition l_e_st_eq_landau_n_rt_rp_r_vb03a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s r.(l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_lessis x r) s (l_e_st_eq_landau_n_rt_rp_r_lessisi1 s r l) : l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s01 r)).

(* constant 4615 *)
definition l_e_st_eq_landau_n_rt_rp_r_vb03b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more s r.(l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_more x r) s m : l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s02 r)).

(* constant 4616 *)
definition l_e_st_eq_landau_n_rt_rp_r_s11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_setof l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_less x r) : l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4617 *)
definition l_e_st_eq_landau_n_rt_rp_r_s12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_setof l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_moreis x r) : l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4618 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s11 r)).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_less s r) (l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s11 r)) n (λt:l_e_st_eq_landau_n_rt_rp_r_less s r.l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_less x r) s t) : l_not (l_e_st_eq_landau_n_rt_rp_r_less s r)).

(* constant 4619 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s11 r)).(l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_moreis x r) s (l_e_st_eq_landau_n_rt_rp_r_satz167f s r (l_e_st_eq_landau_n_rt_rp_r_5r205_t7 r s n)) : l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s12 r)).

(* constant 4620 *)
definition l_e_st_eq_landau_n_rt_rp_r_vb10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_not (l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_s11 r)).l_e_st_eq_landau_n_rt_rp_r_5r205_t8 r x t : l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_s11 r)) (l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_s12 r)))).

(* constant 4621 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_isless2 (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_0) r (l_e_st_eq_landau_n_rt_rp_r_mn r l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl02 r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_satz188m (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl) l_e_st_eq_landau_n_rt_rp_r_0 r (l_e_st_eq_landau_n_rt_rp_r_satz169c (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_satz176a l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_pos1))) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_mn r l_e_st_eq_landau_n_rt_rp_r_1rl) r).

(* constant 4622 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_less x r) (l_e_st_eq_landau_n_rt_rp_r_mn r l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_5r205_t9 r) : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_mn r l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_s11 r)).

(* constant 4623 *)
definition l_e_st_eq_landau_n_rt_rp_r_vb11a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_nonemptyi l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_s11 r) (l_e_st_eq_landau_n_rt_rp_r_mn r l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_5r205_t10 r) : l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_s11 r)).

(* constant 4624 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_moreis x r) r (l_e_st_eq_landau_n_rt_rp_r_moreisi2 r r (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real r)) : l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_s12 r)).

(* constant 4625 *)
definition l_e_st_eq_landau_n_rt_rp_r_vb11b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_nonemptyi l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_s12 r) r (l_e_st_eq_landau_n_rt_rp_r_5r205_t11 r) : l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_s12 r)).

(* constant 4626 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s11 r).λt:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_in t (l_e_st_eq_landau_n_rt_rp_r_s12 r).(l_e_st_eq_landau_n_rt_rp_r_satz172b s r t (l_e_st_estie l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_less x r) s i) (l_e_st_eq_landau_n_rt_rp_r_satz168a t r (l_e_st_estie l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_moreis x r) t j)) : l_e_st_eq_landau_n_rt_rp_r_less s t).

(* constant 4627 *)
definition l_e_st_eq_landau_n_rt_rp_r_vb12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_s11 r).λy:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_in y (l_e_st_eq_landau_n_rt_rp_r_s12 r).l_e_st_eq_landau_n_rt_rp_r_5r205_t12 r x t y u : l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_s11 r).l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y (l_e_st_eq_landau_n_rt_rp_r_s12 r).l_e_st_eq_landau_n_rt_rp_r_less x y))).

(* constant 4628 *)
definition l_e_st_eq_landau_n_rt_rp_r_vb13a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s r.(l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_less x r) s l : l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s11 r)).

(* constant 4629 *)
definition l_e_st_eq_landau_n_rt_rp_r_vb13b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more s r.(l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_moreis x r) s (l_e_st_eq_landau_n_rt_rp_r_moreisi1 s r m) : l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_s12 r)).

(* constant 4630 *)
definition l_e_st_eq_landau_n_rt_rp_r_2rl ≝ (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_1rl : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4631 *)
definition l_e_st_eq_landau_n_rt_rp_r_pos2 ≝ (l_e_st_eq_landau_n_rt_rp_r_pospl l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_pos1 l_e_st_eq_landau_n_rt_rp_r_pos1 : l_e_st_eq_landau_n_rt_rp_r_pos l_e_st_eq_landau_n_rt_rp_r_2rl).

(* constant 4632 *)
definition l_e_st_eq_landau_n_rt_rp_r_half ≝ (l_e_st_eq_landau_n_rt_rp_r_ov l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_2rl (l_e_st_eq_landau_n_rt_rp_r_pnot0 l_e_st_eq_landau_n_rt_rp_r_2rl l_e_st_eq_landau_n_rt_rp_r_pos2) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4633 *)
definition l_e_st_eq_landau_n_rt_rp_r_poshalf ≝ (l_e_st_eq_landau_n_rt_rp_r_posovpp l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_2rl (l_e_st_eq_landau_n_rt_rp_r_pnot0 l_e_st_eq_landau_n_rt_rp_r_2rl l_e_st_eq_landau_n_rt_rp_r_pos2) l_e_st_eq_landau_n_rt_rp_r_pos1 l_e_st_eq_landau_n_rt_rp_r_pos2 : l_e_st_eq_landau_n_rt_rp_r_pos l_e_st_eq_landau_n_rt_rp_r_half).

(* constant 4634 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr5_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl r r) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl r) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl r)) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_2rl r) (l_e_st_eq_landau_n_rt_rp_r_ispl12 r (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl r) r (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl r) (l_e_st_eq_landau_n_rt_rp_r_satz195c r) (l_e_st_eq_landau_n_rt_rp_r_satz195c r)) (l_e_st_eq_landau_n_rt_rp_r_distpt1 l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_1rl r) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl r r) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_2rl r)).

(* constant 4635 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr5_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl r r)) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_2rl r)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half l_e_st_eq_landau_n_rt_rp_r_2rl) r) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl r) r (l_e_st_eq_landau_n_rt_rp_r_ists2 (l_e_st_eq_landau_n_rt_rp_r_pl r r) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_2rl r) l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_ivr5_t3 r)) (l_e_st_eq_landau_n_rt_rp_r_assts2 l_e_st_eq_landau_n_rt_rp_r_half l_e_st_eq_landau_n_rt_rp_r_2rl r) (l_e_st_eq_landau_n_rt_rp_r_ists1 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half l_e_st_eq_landau_n_rt_rp_r_2rl) l_e_st_eq_landau_n_rt_rp_r_1rl r (l_e_st_eq_landau_n_rt_rp_r_satz204e l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_2rl (l_e_st_eq_landau_n_rt_rp_r_pnot0 l_e_st_eq_landau_n_rt_rp_r_2rl l_e_st_eq_landau_n_rt_rp_r_pos2))) (l_e_st_eq_landau_n_rt_rp_r_satz195b r) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl r r)) r).

(* constant 4636 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr5_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_satz203k (l_e_st_eq_landau_n_rt_rp_r_pl r r) (l_e_st_eq_landau_n_rt_rp_r_pl r s) l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_satz188m r s r l) l_e_st_eq_landau_n_rt_rp_r_poshalf : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl r r)) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl r s))).

(* constant 4637 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemma3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_isless1 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl r r)) r (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl r s)) (l_e_st_eq_landau_n_rt_rp_r_ivr5_t4 r) (l_e_st_eq_landau_n_rt_rp_r_ivr5_t5 r s l) : l_e_st_eq_landau_n_rt_rp_r_less r (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl r s))).

(* constant 4638 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr5_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_satz203k (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_r_pl s s) l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_satz188f r s s l) l_e_st_eq_landau_n_rt_rp_r_poshalf : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl r s)) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl s s))).

(* constant 4639 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemma4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_isless2 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl s s)) s (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl r s)) (l_e_st_eq_landau_n_rt_rp_r_ivr5_t4 s) (l_e_st_eq_landau_n_rt_rp_r_ivr5_t6 r s l) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl r s)) s).

(* constant 4640 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemma5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_r_satz169b s (l_e_st_eq_landau_n_rt_rp_r_trmore s r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_lemma2 r s l) (l_e_st_eq_landau_n_rt_rp_r_satz169a r p)) : l_e_st_eq_landau_n_rt_rp_r_pos s).

(* constant 4641 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_prop1 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_less x r.l_e_st_eq_landau_n_rt_rp_r_in x s1) : Prop).

(* constant 4642 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_prop2 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_more x r.l_e_st_eq_landau_n_rt_rp_r_in x s2) : Prop).

(* constant 4643 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_and (l_e_st_eq_landau_n_rt_rp_r_5r205_prop1 s1 s2 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_prop2 s1 s2 r) : Prop).

(* constant 4644 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_mxy ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λpx:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x.λpy:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 y.λl:l_e_st_eq_landau_n_rt_rp_r_less x y.(l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_half (l_e_st_eq_landau_n_rt_rp_r_pl x y) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4645 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t13 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λpx:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x.λpy:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 y.λl:l_e_st_eq_landau_n_rt_rp_r_less x y.(l_e_st_eq_landau_n_rt_rp_r_lemma2 x (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) (l_e_st_eq_landau_n_rt_rp_r_lemma3 x y l) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) x).

(* constant 4646 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t14 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λpx:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x.λpy:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 y.λl:l_e_st_eq_landau_n_rt_rp_r_less x y.(l_e_st_eq_landau_n_rt_rp_r_lemma4 x y l : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) y).

(* constant 4647 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t15 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λpx:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x.λpy:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 y.λl:l_e_st_eq_landau_n_rt_rp_r_less x y.(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_5r205_prop1 s1 s2 y) (l_e_st_eq_landau_n_rt_rp_r_5r205_prop2 s1 s2 y) py (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) (l_e_st_eq_landau_n_rt_rp_r_5r205_t14 s1 s2 p0 p1a p1b p2 x y px py l) : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) s1).

(* constant 4648 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t16 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λpx:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x.λpy:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 y.λl:l_e_st_eq_landau_n_rt_rp_r_less x y.(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_5r205_prop1 s1 s2 x) (l_e_st_eq_landau_n_rt_rp_r_5r205_prop2 s1 s2 x) px (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) (l_e_st_eq_landau_n_rt_rp_r_5r205_t13 s1 s2 p0 p1a p1b p2 x y px py l) : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) s2).

(* constant 4649 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t17 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λpx:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x.λpy:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 y.λl:l_e_st_eq_landau_n_rt_rp_r_less x y.(p2 (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) (l_e_st_eq_landau_n_rt_rp_r_5r205_t15 s1 s2 p0 p1a p1b p2 x y px py l) (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) (l_e_st_eq_landau_n_rt_rp_r_5r205_t16 s1 s2 p0 p1a p1b p2 x y px py l) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l)).

(* constant 4650 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t18 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λpx:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x.λpy:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 y.λl:l_e_st_eq_landau_n_rt_rp_r_less x y.(l_ec3e31 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l)) (l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l)) (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l)) (l_e_st_eq_landau_n_rt_rp_r_satz167b (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l) (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l)) (l_e_st_eq_landau_n_rt_rp_r_5r205_t17 s1 s2 p0 p1a p1b p2 x y px py l) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_5r205_mxy s1 s2 p0 p1a p1b p2 x y px py l)) : l_con).

(* constant 4651 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t19 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λpx:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x.λpy:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 y.(λt:l_e_st_eq_landau_n_rt_rp_r_less x y.l_e_st_eq_landau_n_rt_rp_r_5r205_t18 s1 s2 p0 p1a p1b p2 x y px py t : l_not (l_e_st_eq_landau_n_rt_rp_r_less x y)).

(* constant 4652 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t20 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λpx:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x.λpy:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 y.(λt:l_e_st_eq_landau_n_rt_rp_r_more x y.l_e_st_eq_landau_n_rt_rp_r_5r205_t18 s1 s2 p0 p1a p1b p2 y x py px (l_e_st_eq_landau_n_rt_rp_r_lemma1 x y t) : l_not (l_e_st_eq_landau_n_rt_rp_r_more x y)).

(* constant 4653 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t21 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λpx:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x.λpy:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 y.(l_or3e1 (l_e_st_eq_landau_n_rt_rp_r_is x y) (l_e_st_eq_landau_n_rt_rp_r_more x y) (l_e_st_eq_landau_n_rt_rp_r_less x y) (l_e_st_eq_landau_n_rt_rp_r_satz167a x y) (l_e_st_eq_landau_n_rt_rp_r_5r205_t20 s1 s2 p0 p1a p1b p2 x y px py) (l_e_st_eq_landau_n_rt_rp_r_5r205_t19 s1 s2 p0 p1a p1b p2 x y px py) : l_e_st_eq_landau_n_rt_rp_r_is x y).

(* constant 4654 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t22 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).(λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x.λu:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 y.l_e_st_eq_landau_n_rt_rp_r_5r205_t21 s1 s2 p0 p1a p1b p2 x y t u : l_e_amone l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)).

(* constant 4655 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t23 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1) a : l_e_st_eq_landau_n_rt_rp_r_pos r).

(* constant 4656 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t24 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1) a : l_e_st_eq_landau_n_rt_rp_r_in r s1).

(* constant 4657 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_e_st_setof l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp x) s1) : l_e_st_set l_e_st_eq_landau_n_rt_cut).

(* constant 4658 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_e_st_setof l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp x) s2) : l_e_st_set l_e_st_eq_landau_n_rt_cut).

(* constant 4659 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t25 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λr0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) s1.(l_e_st_estii l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp x) s1) r0 i : l_e_st_eq_landau_n_rt_rp_in r0 (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a)).

(* constant 4660 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t26 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λr0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r0 (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a).(l_e_st_estie l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp x) s1) r0 i : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) s1).

(* constant 4661 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t27 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λr0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) s2.(l_e_st_estii l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp x) s2) r0 i : l_e_st_eq_landau_n_rt_rp_in r0 (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a)).

(* constant 4662 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t28 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λr0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r0 (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a).(l_e_st_estie l_e_st_eq_landau_n_rt_cut (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp x) s2) r0 i : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) s2).

(* constant 4663 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t29 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λr0:l_e_st_eq_landau_n_rt_cut.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) s1) (l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) s2) (l_e_st_eq_landau_n_rt_rp_in r0 (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a)) (l_e_st_eq_landau_n_rt_rp_in r0 (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a)) (p0 (l_e_st_eq_landau_n_rt_rp_r_pofrp r0)) (λt:l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) s1.l_e_st_eq_landau_n_rt_rp_r_5r205_t25 s1 s2 p0 p1a p1b p2 case1 r a r0 t) (λt:l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) s2.l_e_st_eq_landau_n_rt_rp_r_5r205_t27 s1 s2 p0 p1a p1b p2 case1 r a r0 t) : l_or (l_e_st_eq_landau_n_rt_rp_in r0 (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a)) (l_e_st_eq_landau_n_rt_rp_in r0 (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a))).

(* constant 4664 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_pr1 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_e_st_eq_landau_n_rt_rp_r_rpofp r (l_e_st_eq_landau_n_rt_rp_r_5r205_t23 s1 s2 p0 p1a p1b p2 case1 r a) : l_e_st_eq_landau_n_rt_cut).

(* constant 4665 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t30 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in x s1) r (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_5r205_pr1 s1 s2 p0 p1a p1b p2 case1 r a)) (l_e_st_eq_landau_n_rt_rp_r_5r205_t24 s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_isprp1 r (l_e_st_eq_landau_n_rt_rp_r_5r205_t23 s1 s2 p0 p1a p1b p2 case1 r a)) : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_5r205_pr1 s1 s2 p0 p1a p1b p2 case1 r a)) s1).

(* constant 4666 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t31 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_e_st_nonemptyi l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_5r205_pr1 s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_5r205_t25 s1 s2 p0 p1a p1b p2 case1 r a (l_e_st_eq_landau_n_rt_rp_r_5r205_pr1 s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_5r205_t30 s1 s2 p0 p1a p1b p2 case1 r a)) : l_e_st_nonempty l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a)).

(* constant 4667 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t32 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in s s2.(p2 r (l_e_st_eq_landau_n_rt_rp_r_5r205_t24 s1 s2 p0 p1a p1b p2 case1 r a) s i : l_e_st_eq_landau_n_rt_rp_r_less r s).

(* constant 4668 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t33 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in s s2.(l_e_st_eq_landau_n_rt_rp_r_lemma5 r s (l_e_st_eq_landau_n_rt_rp_r_5r205_t32 s1 s2 p0 p1a p1b p2 case1 r a s i) (l_e_st_eq_landau_n_rt_rp_r_5r205_t23 s1 s2 p0 p1a p1b p2 case1 r a) : l_e_st_eq_landau_n_rt_rp_r_pos s).

(* constant 4669 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_ps1 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in s s2.(l_e_st_eq_landau_n_rt_rp_r_rpofp s (l_e_st_eq_landau_n_rt_rp_r_5r205_t33 s1 s2 p0 p1a p1b p2 case1 r a s i) : l_e_st_eq_landau_n_rt_cut).

(* constant 4670 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t34 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in s s2.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in x s2) s (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_5r205_ps1 s1 s2 p0 p1a p1b p2 case1 r a s i)) i (l_e_st_eq_landau_n_rt_rp_r_isprp1 s (l_e_st_eq_landau_n_rt_rp_r_5r205_t33 s1 s2 p0 p1a p1b p2 case1 r a s i)) : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_5r205_ps1 s1 s2 p0 p1a p1b p2 case1 r a s i)) s2).

(* constant 4671 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t35 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in s s2.(l_e_st_nonemptyi l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_5r205_ps1 s1 s2 p0 p1a p1b p2 case1 r a s i) (l_e_st_eq_landau_n_rt_rp_r_5r205_t27 s1 s2 p0 p1a p1b p2 case1 r a (l_e_st_eq_landau_n_rt_rp_r_5r205_ps1 s1 s2 p0 p1a p1b p2 case1 r a s i) (l_e_st_eq_landau_n_rt_rp_r_5r205_t34 s1 s2 p0 p1a p1b p2 case1 r a s i)) : l_e_st_nonempty l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a)).

(* constant 4672 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t36 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_e_st_nonemptyapp l_e_st_eq_landau_n_rt_rp_r_real s2 p1b (l_e_st_nonempty l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a)) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_in x s2.l_e_st_eq_landau_n_rt_rp_r_5r205_t35 s1 s2 p0 p1a p1b p2 case1 r a x t) : l_e_st_nonempty l_e_st_eq_landau_n_rt_cut (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a)).

(* constant 4673 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t37 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λr0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r0 (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a).λs0:l_e_st_eq_landau_n_rt_cut.λj:l_e_st_eq_landau_n_rt_rp_in s0 (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a).(p2 (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_5r205_t26 s1 s2 p0 p1a p1b p2 case1 r a r0 i) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0) (l_e_st_eq_landau_n_rt_rp_r_5r205_t28 s1 s2 p0 p1a p1b p2 case1 r a s0 j) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)).

(* constant 4674 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t38 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λr0:l_e_st_eq_landau_n_rt_cut.λi:l_e_st_eq_landau_n_rt_rp_in r0 (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a).λs0:l_e_st_eq_landau_n_rt_cut.λj:l_e_st_eq_landau_n_rt_rp_in s0 (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a).(l_e_st_eq_landau_n_rt_rp_r_lessrpip r0 s0 (l_e_st_eq_landau_n_rt_rp_r_5r205_t37 s1 s2 p0 p1a p1b p2 case1 r a r0 i s0 j) : l_e_st_eq_landau_n_rt_rp_less r0 s0).

(* constant 4675 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_stc ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_e_st_eq_landau_n_rt_rp_schnitt (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a) (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_5r205_t29 s1 s2 p0 p1a p1b p2 case1 r a x) (l_e_st_eq_landau_n_rt_rp_r_5r205_t31 s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_5r205_t36 s1 s2 p0 p1a p1b p2 case1 r a) (λx:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_in x (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a).λy:l_e_st_eq_landau_n_rt_cut.λu:l_e_st_eq_landau_n_rt_rp_in y (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a).l_e_st_eq_landau_n_rt_rp_r_5r205_t38 s1 s2 p0 p1a p1b p2 case1 r a x t y u) : l_e_st_eq_landau_n_rt_cut).

(* constant 4676 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t39 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_e_st_eq_landau_n_rt_rp_satzp205a (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a) (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_5r205_t29 s1 s2 p0 p1a p1b p2 case1 r a x) (l_e_st_eq_landau_n_rt_rp_r_5r205_t31 s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_5r205_t36 s1 s2 p0 p1a p1b p2 case1 r a) (λx:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_in x (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a).λy:l_e_st_eq_landau_n_rt_cut.λu:l_e_st_eq_landau_n_rt_rp_in y (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a).l_e_st_eq_landau_n_rt_rp_r_5r205_t38 s1 s2 p0 p1a p1b p2 case1 r a x t y u) : l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_less x (l_e_st_eq_landau_n_rt_rp_r_5r205_stc s1 s2 p0 p1a p1b p2 case1 r a).l_e_st_eq_landau_n_rt_rp_in x (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a))).

(* constant 4677 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t40 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_e_st_eq_landau_n_rt_rp_satzp205b (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a) (λx:l_e_st_eq_landau_n_rt_cut.l_e_st_eq_landau_n_rt_rp_r_5r205_t29 s1 s2 p0 p1a p1b p2 case1 r a x) (l_e_st_eq_landau_n_rt_rp_r_5r205_t31 s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_5r205_t36 s1 s2 p0 p1a p1b p2 case1 r a) (λx:l_e_st_eq_landau_n_rt_cut.λt:l_e_st_eq_landau_n_rt_rp_in x (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a).λy:l_e_st_eq_landau_n_rt_cut.λu:l_e_st_eq_landau_n_rt_rp_in y (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a).l_e_st_eq_landau_n_rt_rp_r_5r205_t38 s1 s2 p0 p1a p1b p2 case1 r a x t y u) : l_e_st_eq_landau_n_rt_rp_all (λx:l_e_st_eq_landau_n_rt_cut.∀t:l_e_st_eq_landau_n_rt_rp_more x (l_e_st_eq_landau_n_rt_rp_r_5r205_stc s1 s2 p0 p1a p1b p2 case1 r a).l_e_st_eq_landau_n_rt_rp_in x (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a))).

(* constant 4678 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_stp ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_5r205_stc s1 s2 p0 p1a p1b p2 case1 r a) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4679 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t41 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_e_st_eq_landau_n_rt_rp_r_posi (l_e_st_eq_landau_n_rt_rp_r_5r205_stc s1 s2 p0 p1a p1b p2 case1 r a) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a)).

(* constant 4680 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_ps2 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).λp:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_st_eq_landau_n_rt_rp_r_rpofp s p : l_e_st_eq_landau_n_rt_cut).

(* constant 4681 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t42 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).λp:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_st_eq_landau_n_rt_rp_r_lessrpip (l_e_st_eq_landau_n_rt_rp_r_5r205_ps2 s1 s2 p0 p1a p1b p2 case1 r a s l p) (l_e_st_eq_landau_n_rt_rp_r_5r205_stc s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_isless1 s (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_5r205_ps2 s1 s2 p0 p1a p1b p2 case1 r a s l p)) (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_isprp1 s p) l) : l_e_st_eq_landau_n_rt_rp_less (l_e_st_eq_landau_n_rt_rp_r_5r205_ps2 s1 s2 p0 p1a p1b p2 case1 r a s l p) (l_e_st_eq_landau_n_rt_rp_r_5r205_stc s1 s2 p0 p1a p1b p2 case1 r a)).

(* constant 4682 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t43 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).λp:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_st_eq_landau_n_rt_rp_r_5r205_t39 s1 s2 p0 p1a p1b p2 case1 r a (l_e_st_eq_landau_n_rt_rp_r_5r205_ps2 s1 s2 p0 p1a p1b p2 case1 r a s l p) (l_e_st_eq_landau_n_rt_rp_r_5r205_t42 s1 s2 p0 p1a p1b p2 case1 r a s l p) : l_e_st_eq_landau_n_rt_rp_in (l_e_st_eq_landau_n_rt_rp_r_5r205_ps2 s1 s2 p0 p1a p1b p2 case1 r a s l p) (l_e_st_eq_landau_n_rt_rp_r_5r205_sc1 s1 s2 p0 p1a p1b p2 case1 r a)).

(* constant 4683 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t44 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).λp:l_e_st_eq_landau_n_rt_rp_r_pos s.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_5r205_ps2 s1 s2 p0 p1a p1b p2 case1 r a s l p)) s (l_e_st_eq_landau_n_rt_rp_r_5r205_t26 s1 s2 p0 p1a p1b p2 case1 r a (l_e_st_eq_landau_n_rt_rp_r_5r205_ps2 s1 s2 p0 p1a p1b p2 case1 r a s l p) (l_e_st_eq_landau_n_rt_rp_r_5r205_t43 s1 s2 p0 p1a p1b p2 case1 r a s l p)) (l_e_st_eq_landau_n_rt_rp_r_isprp2 s p) : l_e_st_eq_landau_n_rt_rp_r_in s s1).

(* constant 4684 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t45 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_pos s).λi:l_e_st_eq_landau_n_rt_rp_r_in s s2.(p2 r (l_e_st_eq_landau_n_rt_rp_r_5r205_t24 s1 s2 p0 p1a p1b p2 case1 r a) s i : l_e_st_eq_landau_n_rt_rp_r_less r s).

(* constant 4685 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t46 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_pos s).λi:l_e_st_eq_landau_n_rt_rp_r_in s s2.(n (l_e_st_eq_landau_n_rt_rp_r_lemma5 r s (l_e_st_eq_landau_n_rt_rp_r_5r205_t45 s1 s2 p0 p1a p1b p2 case1 r a s l n i) (l_e_st_eq_landau_n_rt_rp_r_5r205_t23 s1 s2 p0 p1a p1b p2 case1 r a)) : l_con).

(* constant 4686 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t47 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_pos s).(l_ore1 (l_e_st_eq_landau_n_rt_rp_r_in s s1) (l_e_st_eq_landau_n_rt_rp_r_in s s2) (p0 s) (λt:l_e_st_eq_landau_n_rt_rp_r_in s s2.l_e_st_eq_landau_n_rt_rp_r_5r205_t46 s1 s2 p0 p1a p1b p2 case1 r a s l n t) : l_e_st_eq_landau_n_rt_rp_r_in s s1).

(* constant 4687 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t48 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_pos s) (l_e_st_eq_landau_n_rt_rp_r_in s s1) (λt:l_e_st_eq_landau_n_rt_rp_r_pos s.l_e_st_eq_landau_n_rt_rp_r_5r205_t44 s1 s2 p0 p1a p1b p2 case1 r a s l t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_pos s).l_e_st_eq_landau_n_rt_rp_r_5r205_t47 s1 s2 p0 p1a p1b p2 case1 r a s l t) : l_e_st_eq_landau_n_rt_rp_r_in s s1).

(* constant 4688 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t49 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).(l_e_st_eq_landau_n_rt_rp_r_lemma5 (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a) s (l_e_st_eq_landau_n_rt_rp_r_lemma1 s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a) m) (l_e_st_eq_landau_n_rt_rp_r_5r205_t41 s1 s2 p0 p1a p1b p2 case1 r a) : l_e_st_eq_landau_n_rt_rp_r_pos s).

(* constant 4689 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_ps3 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).(l_e_st_eq_landau_n_rt_rp_r_rpofp s (l_e_st_eq_landau_n_rt_rp_r_5r205_t49 s1 s2 p0 p1a p1b p2 case1 r a s m) : l_e_st_eq_landau_n_rt_cut).

(* constant 4690 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t50 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).(l_e_st_eq_landau_n_rt_rp_r_morerpip (l_e_st_eq_landau_n_rt_rp_r_5r205_ps3 s1 s2 p0 p1a p1b p2 case1 r a s m) (l_e_st_eq_landau_n_rt_rp_r_5r205_stc s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_ismore1 s (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_5r205_ps3 s1 s2 p0 p1a p1b p2 case1 r a s m)) (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_isprp1 s (l_e_st_eq_landau_n_rt_rp_r_5r205_t49 s1 s2 p0 p1a p1b p2 case1 r a s m)) m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_r_5r205_ps3 s1 s2 p0 p1a p1b p2 case1 r a s m) (l_e_st_eq_landau_n_rt_rp_r_5r205_stc s1 s2 p0 p1a p1b p2 case1 r a)).

(* constant 4691 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t51 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).(l_e_st_eq_landau_n_rt_rp_r_5r205_t40 s1 s2 p0 p1a p1b p2 case1 r a (l_e_st_eq_landau_n_rt_rp_r_5r205_ps3 s1 s2 p0 p1a p1b p2 case1 r a s m) (l_e_st_eq_landau_n_rt_rp_r_5r205_t50 s1 s2 p0 p1a p1b p2 case1 r a s m) : l_e_st_eq_landau_n_rt_rp_in (l_e_st_eq_landau_n_rt_rp_r_5r205_ps3 s1 s2 p0 p1a p1b p2 case1 r a s m) (l_e_st_eq_landau_n_rt_rp_r_5r205_sc2 s1 s2 p0 p1a p1b p2 case1 r a)).

(* constant 4692 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t52 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more s (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in x s2) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_r_5r205_ps3 s1 s2 p0 p1a p1b p2 case1 r a s m)) s (l_e_st_eq_landau_n_rt_rp_r_5r205_t28 s1 s2 p0 p1a p1b p2 case1 r a (l_e_st_eq_landau_n_rt_rp_r_5r205_ps3 s1 s2 p0 p1a p1b p2 case1 r a s m) (l_e_st_eq_landau_n_rt_rp_r_5r205_t51 s1 s2 p0 p1a p1b p2 case1 r a s m)) (l_e_st_eq_landau_n_rt_rp_r_isprp2 s (l_e_st_eq_landau_n_rt_rp_r_5r205_t49 s1 s2 p0 p1a p1b p2 case1 r a s m)) : l_e_st_eq_landau_n_rt_rp_r_in s s2).

(* constant 4693 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t53 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_andi (l_e_st_eq_landau_n_rt_rp_r_5r205_prop1 s1 s2 (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a)) (l_e_st_eq_landau_n_rt_rp_r_5r205_prop2 s1 s2 (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a)) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_less x (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).l_e_st_eq_landau_n_rt_rp_r_5r205_t48 s1 s2 p0 p1a p1b p2 case1 r a x t) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_more x (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a).l_e_st_eq_landau_n_rt_rp_r_5r205_t52 s1 s2 p0 p1a p1b p2 case1 r a x t) : l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a)).

(* constant 4694 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t54 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1).(l_somei l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x) (l_e_st_eq_landau_n_rt_rp_r_5r205_stp s1 s2 p0 p1a p1b p2 case1 r a) (l_e_st_eq_landau_n_rt_rp_r_5r205_t53 s1 s2 p0 p1a p1b p2 case1 r a) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)).

(* constant 4695 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t55 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase1:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).(l_someapp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)) case1 (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1).l_e_st_eq_landau_n_rt_rp_r_5r205_t54 s1 s2 p0 p1a p1b p2 case1 x t) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)).

(* constant 4696 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).(l_e_st_setof l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 x) s1) : l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4697 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).(l_e_st_setof l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 x) s2) : l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4698 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t56 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 r) s1.(l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 x) s1) r i : l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2)).

(* constant 4699 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t57 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2).(l_e_st_estie l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 x) s1) r i : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 r) s1).

(* constant 4700 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t58 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 r) s2.(l_e_st_estii l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 x) s2) r i : l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)).

(* constant 4701 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t59 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2).(l_e_st_estie l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 x) s2) r i : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 r) s2).

(* constant 4702 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t60 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_comor (l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2)) (l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)) (l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 r) s1) (l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 r) s2) (l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2)) (l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)) (p0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (λt:l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 r) s1.l_e_st_eq_landau_n_rt_rp_r_5r205_t56 s1 s2 p0 p1a p1b p2 case2 r t) (λt:l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 r) s2.l_e_st_eq_landau_n_rt_rp_r_5r205_t58 s1 s2 p0 p1a p1b p2 case2 r t)) : l_or (l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)) (l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2))).

(* constant 4703 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t61 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in r s2.(l_e_st_eq_landau_n_rt_rp_r_5r205_t58 s1 s2 p0 p1a p1b p2 case2 (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in x s2) r (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) i (l_e_st_eq_landau_n_rt_rp_r_satz177a r)) : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)).

(* constant 4704 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t62 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in r s2.(l_e_st_nonemptyi l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_t61 s1 s2 p0 p1a p1b p2 case2 r i) : l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)).

(* constant 4705 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t63 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).(l_e_st_nonemptyapp l_e_st_eq_landau_n_rt_rp_r_real s2 p1b (l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_in x s2.l_e_st_eq_landau_n_rt_rp_r_5r205_t62 s1 s2 p0 p1a p1b p2 case2 x t) : l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)).

(* constant 4706 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t64 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in r s1.(l_e_st_eq_landau_n_rt_rp_r_5r205_t56 s1 s2 p0 p1a p1b p2 case2 (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in x s1) r (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) i (l_e_st_eq_landau_n_rt_rp_r_satz177a r)) : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2)).

(* constant 4707 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t65 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in r s1.(l_e_st_nonemptyi l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_t64 s1 s2 p0 p1a p1b p2 case2 r i) : l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2)).

(* constant 4708 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t66 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).(l_e_st_nonemptyapp l_e_st_eq_landau_n_rt_rp_r_real s1 p1a (l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2)) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_5r205_t65 s1 s2 p0 p1a p1b p2 case2 x t) : l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2)).

(* constant 4709 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t67 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2).λs:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2).(p2 (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_5r205_t57 s1 s2 p0 p1a p1b p2 case2 s j) (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_t59 s1 s2 p0 p1a p1b p2 case2 r i) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4710 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t68 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_in r (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2).λs:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_in s (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2).(l_e_st_eq_landau_n_rt_rp_r_lemma1 s r (l_e_st_eq_landau_n_rt_rp_r_satz183d s r (l_e_st_eq_landau_n_rt_rp_r_5r205_t67 s1 s2 p0 p1a p1b p2 case2 r i s j)) : l_e_st_eq_landau_n_rt_rp_r_less r s).

(* constant 4711 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t69 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_in r s2).(l_e_st_eq_landau_n_rt_rp_r_satz176c r (l_ande1 (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_in r s2) a) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4712 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t70 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_in r s2).(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in x s2) r (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_ande2 (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_in r s2) a) (l_e_st_eq_landau_n_rt_rp_r_satz177a r) : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) s2).

(* constant 4713 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t71 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_in r s2).(l_andi (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)) (l_e_st_eq_landau_n_rt_rp_r_5r205_t69 s1 s2 p0 p1a p1b p2 case2 r a) (l_e_st_eq_landau_n_rt_rp_r_5r205_t58 s1 s2 p0 p1a p1b p2 case2 (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_t70 s1 s2 p0 p1a p1b p2 case2 r a)) : l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2))).

(* constant 4714 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t72 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_in r s2).(l_somei l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2))) (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_t71 s1 s2 p0 p1a p1b p2 case2 r a) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)))).

(* constant 4715 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t73 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).(l_someapp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)) case2 (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)))) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2).l_e_st_eq_landau_n_rt_rp_r_5r205_t72 s1 s2 p0 p1a p1b p2 case2 x t) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)))).

(* constant 4716 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t74 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).(l_e_st_eq_landau_n_rt_rp_r_5r205_t55 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_t60 s1 s2 p0 p1a p1b p2 case2 x) (l_e_st_eq_landau_n_rt_rp_r_5r205_t63 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_t66 s1 s2 p0 p1a p1b p2 case2) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_in x (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2).λy:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_in y (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2).l_e_st_eq_landau_n_rt_rp_r_5r205_t68 s1 s2 p0 p1a p1b p2 case2 x t y u) (l_e_st_eq_landau_n_rt_rp_r_5r205_t73 s1 s2 p0 p1a p1b p2 case2) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) x)).

(* constant 4717 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t75 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_st_eq_landau_n_rt_rp_r_ismore2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) r (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_satz177 r) (l_e_st_eq_landau_n_rt_rp_r_satz183c s (l_e_st_eq_landau_n_rt_rp_r_m0 r) l) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_m0 s) r).

(* constant 4718 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t76 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_5r205_prop1 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) r) (l_e_st_eq_landau_n_rt_rp_r_5r205_prop2 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) r) p (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_5r205_t75 s1 s2 p0 p1a p1b p2 case2 r p s l) : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2)).

(* constant 4719 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t77 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less s (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 s)) s (l_e_st_eq_landau_n_rt_rp_r_5r205_t57 s1 s2 p0 p1a p1b p2 case2 (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_5r205_t76 s1 s2 p0 p1a p1b p2 case2 r p s l)) (l_e_st_eq_landau_n_rt_rp_r_satz177 s) : l_e_st_eq_landau_n_rt_rp_r_in s s1).

(* constant 4720 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t78 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more s (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_st_eq_landau_n_rt_rp_r_isless2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) r (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_satz177 r) (l_e_st_eq_landau_n_rt_rp_r_satz183a s (l_e_st_eq_landau_n_rt_rp_r_m0 r) m) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_m0 s) r).

(* constant 4721 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t79 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more s (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_5r205_prop1 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) r) (l_e_st_eq_landau_n_rt_rp_r_5r205_prop2 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) r) p (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_5r205_t78 s1 s2 p0 p1a p1b p2 case2 r p s m) : l_e_st_eq_landau_n_rt_rp_r_in (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2)).

(* constant 4722 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t80 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more s (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_in x s2) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 s)) s (l_e_st_eq_landau_n_rt_rp_r_5r205_t59 s1 s2 p0 p1a p1b p2 case2 (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_5r205_t79 s1 s2 p0 p1a p1b p2 case2 r p s m)) (l_e_st_eq_landau_n_rt_rp_r_satz177 s) : l_e_st_eq_landau_n_rt_rp_r_in s s2).

(* constant 4723 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t81 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) r.(l_andi (l_e_st_eq_landau_n_rt_rp_r_5r205_prop1 s1 s2 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_5r205_prop2 s1 s2 (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_less x (l_e_st_eq_landau_n_rt_rp_r_m0 r).l_e_st_eq_landau_n_rt_rp_r_5r205_t77 s1 s2 p0 p1a p1b p2 case2 r p x t) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_more x (l_e_st_eq_landau_n_rt_rp_r_m0 r).l_e_st_eq_landau_n_rt_rp_r_5r205_t80 s1 s2 p0 p1a p1b p2 case2 r p x t) : l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4724 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t82 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) r.(l_somei l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x) (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_t81 s1 s2 p0 p1a p1b p2 case2 r p) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)).

(* constant 4725 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t83 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λcase2:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).(l_someapp l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) x) (l_e_st_eq_landau_n_rt_rp_r_5r205_t74 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 (l_e_st_eq_landau_n_rt_rp_r_5r205_sp2 s1 s2 p0 p1a p1b p2 case2) (l_e_st_eq_landau_n_rt_rp_r_5r205_sp1 s1 s2 p0 p1a p1b p2 case2) x.l_e_st_eq_landau_n_rt_rp_r_5r205_t82 s1 s2 p0 p1a p1b p2 case2 x t) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)).

(* constant 4726 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t84 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λnotcase1:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1))).λnotcase2:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2))).λr:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r l_e_st_eq_landau_n_rt_rp_r_0.(l_some_th4 l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)) notcase2 r : l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_in r s2))).

(* constant 4727 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t85 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λnotcase1:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1))).λnotcase2:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2))).λr:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r l_e_st_eq_landau_n_rt_rp_r_0.(l_and_th3 (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_in r s2) (l_e_st_eq_landau_n_rt_rp_r_5r205_t84 s1 s2 p0 p1a p1b p2 notcase1 notcase2 r l) (l_e_st_eq_landau_n_rt_rp_r_satz169d r l) : l_not (l_e_st_eq_landau_n_rt_rp_r_in r s2)).

(* constant 4728 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t86 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λnotcase1:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1))).λnotcase2:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2))).λr:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r l_e_st_eq_landau_n_rt_rp_r_0.(l_ore1 (l_e_st_eq_landau_n_rt_rp_r_in r s1) (l_e_st_eq_landau_n_rt_rp_r_in r s2) (p0 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_t85 s1 s2 p0 p1a p1b p2 notcase1 notcase2 r l) : l_e_st_eq_landau_n_rt_rp_r_in r s1).

(* constant 4729 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t87 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λnotcase1:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1))).λnotcase2:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2))).λr:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r l_e_st_eq_landau_n_rt_rp_r_0.(l_some_th4 l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)) notcase1 r : l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1))).

(* constant 4730 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t88 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λnotcase1:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1))).λnotcase2:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2))).λr:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r l_e_st_eq_landau_n_rt_rp_r_0.(l_and_th3 (l_e_st_eq_landau_n_rt_rp_r_pos r) (l_e_st_eq_landau_n_rt_rp_r_in r s1) (l_e_st_eq_landau_n_rt_rp_r_5r205_t87 s1 s2 p0 p1a p1b p2 notcase1 notcase2 r m) (l_e_st_eq_landau_n_rt_rp_r_satz169b r m) : l_not (l_e_st_eq_landau_n_rt_rp_r_in r s1)).

(* constant 4731 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t89 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λnotcase1:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1))).λnotcase2:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2))).λr:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r l_e_st_eq_landau_n_rt_rp_r_0.(l_ore2 (l_e_st_eq_landau_n_rt_rp_r_in r s1) (l_e_st_eq_landau_n_rt_rp_r_in r s2) (p0 r) (l_e_st_eq_landau_n_rt_rp_r_5r205_t88 s1 s2 p0 p1a p1b p2 notcase1 notcase2 r m) : l_e_st_eq_landau_n_rt_rp_r_in r s2).

(* constant 4732 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t90 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λnotcase1:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1))).λnotcase2:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2))).(l_andi (l_e_st_eq_landau_n_rt_rp_r_5r205_prop1 s1 s2 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_5r205_prop2 s1 s2 l_e_st_eq_landau_n_rt_rp_r_0) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_less x l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_5r205_t86 s1 s2 p0 p1a p1b p2 notcase1 notcase2 x t) (λx:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_more x l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_5r205_t89 s1 s2 p0 p1a p1b p2 notcase1 notcase2 x t) : l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4733 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t91 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λnotcase1:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1))).λnotcase2:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2))).(l_somei l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_5r205_t90 s1 s2 p0 p1a p1b p2 notcase1 notcase2) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)).

(* constant 4734 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t92 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λnotcase1:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1))).(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2))) (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)) (λt:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).l_e_st_eq_landau_n_rt_rp_r_5r205_t83 s1 s2 p0 p1a p1b p2 t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_neg x) (l_e_st_eq_landau_n_rt_rp_r_in x s2))).l_e_st_eq_landau_n_rt_rp_r_5r205_t91 s1 s2 p0 p1a p1b p2 notcase1 t) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)).

(* constant 4735 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t93 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1))) (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)) (λt:l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1)).l_e_st_eq_landau_n_rt_rp_r_5r205_t55 s1 s2 p0 p1a p1b p2 t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_pos x) (l_e_st_eq_landau_n_rt_rp_r_in x s1))).l_e_st_eq_landau_n_rt_rp_r_5r205_t92 s1 s2 p0 p1a p1b p2 t) : l_e_st_eq_landau_n_rt_rp_r_some (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)).

(* constant 4736 *)
definition l_e_st_eq_landau_n_rt_rp_r_5r205_t94 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).(l_e_onei l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x) (l_e_st_eq_landau_n_rt_rp_r_5r205_t22 s1 s2 p0 p1a p1b p2) (l_e_st_eq_landau_n_rt_rp_r_5r205_t93 s1 s2 p0 p1a p1b p2) : l_e_st_eq_landau_n_rt_rp_r_one (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x)).

(* constant 4737 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz205 ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).(l_e_st_eq_landau_n_rt_rp_r_5r205_t94 s1 s2 p0 p1a p1b p2 : l_e_st_eq_landau_n_rt_rp_r_one (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_less y x.l_e_st_eq_landau_n_rt_rp_r_in y s1)) (l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_more y x.l_e_st_eq_landau_n_rt_rp_r_in y s2)))).

(* constant 4738 *)
definition l_e_st_eq_landau_n_rt_rp_r_dedekind ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).(l_e_st_eq_landau_n_rt_rp_r_satz205 s1 s2 p0 p1a p1b p2 : l_e_st_eq_landau_n_rt_rp_r_one (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_less y x.l_e_st_eq_landau_n_rt_rp_r_in y s1)) (l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_more y x.l_e_st_eq_landau_n_rt_rp_r_in y s2)))).

(* constant 4739 *)
definition l_e_st_eq_landau_n_rt_rp_r_schnitt ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).(l_e_ind l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x) (l_e_st_eq_landau_n_rt_rp_r_satz205 s1 s2 p0 p1a p1b p2) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4740 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz205a ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λl:l_e_st_eq_landau_n_rt_rp_r_less r (l_e_st_eq_landau_n_rt_rp_r_schnitt s1 s2 p0 p1a p1b p2).(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_5r205_prop1 s1 s2 (l_e_st_eq_landau_n_rt_rp_r_schnitt s1 s2 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_rp_r_5r205_prop2 s1 s2 (l_e_st_eq_landau_n_rt_rp_r_schnitt s1 s2 p0 p1a p1b p2)) (l_e_oneax l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x) (l_e_st_eq_landau_n_rt_rp_r_satz205 s1 s2 p0 p1a p1b p2)) r l : l_e_st_eq_landau_n_rt_rp_r_in r s1).

(* constant 4741 *)
definition l_e_st_eq_landau_n_rt_rp_r_satz205b ≝ λs1:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λs2:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_real.λp0:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_or (l_e_st_eq_landau_n_rt_rp_r_in x s1) (l_e_st_eq_landau_n_rt_rp_r_in x s2)).λp1a:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s1.λp1b:l_e_st_nonempty l_e_st_eq_landau_n_rt_rp_r_real s2.λp2:l_e_st_eq_landau_n_rt_rp_r_all (λx:l_e_st_eq_landau_n_rt_rp_r_real.∀t:l_e_st_eq_landau_n_rt_rp_r_in x s1.l_e_st_eq_landau_n_rt_rp_r_all (λy:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_in y s2.l_e_st_eq_landau_n_rt_rp_r_less x y)).λr:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_more r (l_e_st_eq_landau_n_rt_rp_r_schnitt s1 s2 p0 p1a p1b p2).(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_5r205_prop1 s1 s2 (l_e_st_eq_landau_n_rt_rp_r_schnitt s1 s2 p0 p1a p1b p2)) (l_e_st_eq_landau_n_rt_rp_r_5r205_prop2 s1 s2 (l_e_st_eq_landau_n_rt_rp_r_schnitt s1 s2 p0 p1a p1b p2)) (l_e_oneax l_e_st_eq_landau_n_rt_rp_r_real (λx:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_5r205_prop3 s1 s2 x) (l_e_st_eq_landau_n_rt_rp_r_satz205 s1 s2 p0 p1a p1b p2)) r m : l_e_st_eq_landau_n_rt_rp_r_in r s2).

(* constant 4742 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_dr ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pdofrp r0 : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 4743 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_ds ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_pdofrp s0 : l_e_st_eq_landau_n_rt_rp_dif).

(* constant 4744 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t1 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_lemmaivad1 r0 s0 : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_r_iva_dr r0 s0) (l_e_st_eq_landau_n_rt_rp_r_iva_ds r0 s0)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl r0 s0))).

(* constant 4745 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemmaiva1 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_pl r0 s0)) (l_e_st_eq_landau_n_rt_rp_pd (l_e_st_eq_landau_n_rt_rp_pdofrp r0) (l_e_st_eq_landau_n_rt_rp_pdofrp s0)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl r0 s0)) (l_e_st_eq_landau_n_rt_rp_r_picp (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0) (l_e_st_eq_landau_n_rt_rp_pdofrp r0) (l_e_st_eq_landau_n_rt_rp_pdofrp s0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp r0)) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp s0))) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_pl r0 s0))) (l_e_st_eq_landau_n_rt_rp_r_iva_t1 r0 s0) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_pl r0 s0))).

(* constant 4746 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t2 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_lemmaivad2 r0 s0 : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_r_iva_dr r0 s0) (l_e_st_eq_landau_n_rt_rp_r_iva_ds r0 s0)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ts r0 s0))).

(* constant 4747 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemmaiva2 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_ts r0 s0)) (l_e_st_eq_landau_n_rt_rp_td (l_e_st_eq_landau_n_rt_rp_pdofrp r0) (l_e_st_eq_landau_n_rt_rp_pdofrp s0)) (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ts r0 s0)) (l_e_st_eq_landau_n_rt_rp_r_tict (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0) (l_e_st_eq_landau_n_rt_rp_pdofrp r0) (l_e_st_eq_landau_n_rt_rp_pdofrp s0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp r0)) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp s0))) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_pdofrp (l_e_st_eq_landau_n_rt_rp_ts r0 s0))) (l_e_st_eq_landau_n_rt_rp_r_iva_t2 r0 s0) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_ts r0 s0))).

(* constant 4748 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t3 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0).(l_e_st_eq_landau_n_rt_rp_r_moreex (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0) (l_e_st_eq_landau_n_rt_rp_r_iva_dr r0 s0) (l_e_st_eq_landau_n_rt_rp_r_iva_ds r0 s0) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_r_iva_dr r0 s0)) (l_e_st_eq_landau_n_rt_rp_r_innclass (l_e_st_eq_landau_n_rt_rp_r_iva_ds r0 s0)) m : l_e_st_eq_landau_n_rt_rp_mored (l_e_st_eq_landau_n_rt_rp_r_iva_dr r0 s0) (l_e_st_eq_landau_n_rt_rp_r_iva_ds r0 s0)).

(* constant 4749 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemmaiva3 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0).(l_e_st_eq_landau_n_rt_rp_lemmaivad3 r0 s0 (l_e_st_eq_landau_n_rt_rp_r_iva_t3 r0 s0 m) : l_e_st_eq_landau_n_rt_rp_more r0 s0).

(* constant 4750 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t4 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r0 s0.λl:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0).(l_e_st_eq_landau_n_rt_rp_satz121 s0 r0 (l_e_st_eq_landau_n_rt_rp_r_lemmaiva3 s0 r0 (l_e_st_eq_landau_n_rt_rp_r_lemma2 (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0) l)) : l_e_st_eq_landau_n_rt_rp_less r0 s0).

(* constant 4751 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t5 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r0 s0.(l_ec3e23 (l_e_st_eq_landau_n_rt_rp_is r0 s0) (l_e_st_eq_landau_n_rt_rp_more r0 s0) (l_e_st_eq_landau_n_rt_rp_less r0 s0) (l_e_st_eq_landau_n_rt_rp_satz123b r0 s0) m : l_not (l_e_st_eq_landau_n_rt_rp_less r0 s0)).

(* constant 4752 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t6 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r0 s0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)) (l_e_st_eq_landau_n_rt_rp_less r0 s0) (l_e_st_eq_landau_n_rt_rp_r_iva_t5 r0 s0 m) (λt:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0).l_e_st_eq_landau_n_rt_rp_r_iva_t4 r0 s0 m t) : l_not (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0))).

(* constant 4753 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t7 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r0 s0.(l_ec3e21 (l_e_st_eq_landau_n_rt_rp_is r0 s0) (l_e_st_eq_landau_n_rt_rp_more r0 s0) (l_e_st_eq_landau_n_rt_rp_less r0 s0) (l_e_st_eq_landau_n_rt_rp_satz123b r0 s0) m : l_e_st_eq_landau_n_rt_rp_nis r0 s0).

(* constant 4754 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t8 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r0 s0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)) (l_e_st_eq_landau_n_rt_rp_is r0 s0) (l_e_st_eq_landau_n_rt_rp_r_iva_t7 r0 s0 m) (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0).l_e_st_eq_landau_n_rt_rp_r_isrpip r0 s0 t) : l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)).

(* constant 4755 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemmaiva4 ≝ λr0:l_e_st_eq_landau_n_rt_cut.λs0:l_e_st_eq_landau_n_rt_cut.λm:l_e_st_eq_landau_n_rt_rp_more r0 s0.(l_or3e2 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)) (l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)) (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)) (l_e_st_eq_landau_n_rt_rp_r_satz167a (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)) (l_e_st_eq_landau_n_rt_rp_r_iva_t6 r0 s0 m) (l_e_st_eq_landau_n_rt_rp_r_iva_t8 r0 s0 m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pofrp r0) (l_e_st_eq_landau_n_rt_rp_r_pofrp s0)).

(* constant 4756 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t9 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y).(l_e_st_eq_landau_n_rt_rp_r_lemmaiva3 (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y) m : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y)).

(* constant 4757 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t10 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y).(l_e_st_eq_landau_n_rt_rp_satz154d (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y) (l_e_st_eq_landau_n_rt_rp_r_iva_t9 x y m) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)).

(* constant 4758 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t11 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y).(l_e_st_eq_landau_n_rt_moree (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y) (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_iva_t10 x y m) : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)).

(* constant 4759 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemmaiva5 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y).(l_e_st_eq_landau_n_satz111a x y (l_e_st_eq_landau_n_rt_rp_r_iva_t11 x y m) : l_e_st_eq_landau_n_more x y).

(* constant 4760 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t12 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_satz111d x y m : l_e_st_eq_landau_n_moref (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)).

(* constant 4761 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t13 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_rt_morei (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y) (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_inclass (l_e_st_eq_landau_n_fr y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_iva_t12 x y m) : l_e_st_eq_landau_n_rt_more (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y)).

(* constant 4762 *)
definition l_e_st_eq_landau_n_rt_rp_r_iva_t14 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_rt_rp_satz154a (l_e_st_eq_landau_n_rt_rtofn x) (l_e_st_eq_landau_n_rt_rtofn y) (l_e_st_eq_landau_n_rt_rp_r_iva_t13 x y m) : l_e_st_eq_landau_n_rt_rp_more (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y)).

(* constant 4763 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemmaiva6 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_more x y.(l_e_st_eq_landau_n_rt_rp_r_lemmaiva4 (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y) (l_e_st_eq_landau_n_rt_rp_r_iva_t14 x y m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y)).

(* constant 4764 *)
definition l_e_st_eq_landau_n_rt_rp_r_int_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_e_st_eq_landau_n_rt_rp_intabsd a0 (l_e_st_eq_landau_n_rt_rp_r_intrlex r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_absd a0)).

(* constant 4765 *)
definition l_e_st_eq_landau_n_rt_rp_r_int_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_e_st_eq_landau_n_rt_rp_r_intrlin (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_absd a0) (l_e_st_eq_landau_n_rt_rp_r_aica r a0 a0ir) (l_e_st_eq_landau_n_rt_rp_r_int_t1 r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_abs r)).

(* constant 4766 *)
definition l_e_st_eq_landau_n_rt_rp_r_intabs ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_abs r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_int_t2 r x t i) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_abs r)).

(* constant 4767 *)
definition l_e_st_eq_landau_n_rt_rp_r_int_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_e_st_eq_landau_n_rt_rp_intm0d a0 (l_e_st_eq_landau_n_rt_rp_r_intrlex r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_m0d a0)).

(* constant 4768 *)
definition l_e_st_eq_landau_n_rt_rp_r_int_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λa0:l_e_st_eq_landau_n_rt_rp_dif.λa0ir:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_e_st_eq_landau_n_rt_rp_r_intrlin (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_m0d a0) (l_e_st_eq_landau_n_rt_rp_r_micm0 r a0 a0ir) (l_e_st_eq_landau_n_rt_rp_r_int_t3 r a0 a0ir i) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4769 *)
definition l_e_st_eq_landau_n_rt_rp_r_intm0 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.(l_e_st_eq_landau_n_rt_rp_r_realapp1 r (l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).l_e_st_eq_landau_n_rt_rp_r_int_t4 r x t i) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_m0 r)).

(* constant 4770 *)
definition l_e_st_eq_landau_n_rt_rp_r_int_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.(l_e_st_eq_landau_n_rt_rp_intpd a1 b1 (l_e_st_eq_landau_n_rt_rp_r_intrlex r a1 a1ir i) (l_e_st_eq_landau_n_rt_rp_r_intrlex s b1 b1is j) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_pd a1 b1)).

(* constant 4771 *)
definition l_e_st_eq_landau_n_rt_rp_r_int_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.(l_e_st_eq_landau_n_rt_rp_r_intrlin (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_pd a1 b1) (l_e_st_eq_landau_n_rt_rp_r_picp r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_int_t5 r s a1 b1 a1ir b1is i j) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_pl r s)).

(* constant 4772 *)
definition l_e_st_eq_landau_n_rt_rp_r_intpl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_pl r s)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_int_t6 r s x y t u i j) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_pl r s)).

(* constant 4773 *)
definition l_e_st_eq_landau_n_rt_rp_r_intmn ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.(l_e_st_eq_landau_n_rt_rp_r_intpl r i (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_intm0 s j) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_mn r s)).

(* constant 4774 *)
definition l_e_st_eq_landau_n_rt_rp_r_int_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.(l_e_st_eq_landau_n_rt_rp_inttd a1 b1 (l_e_st_eq_landau_n_rt_rp_r_intrlex r a1 a1ir i) (l_e_st_eq_landau_n_rt_rp_r_intrlex s b1 b1is j) : l_e_st_eq_landau_n_rt_rp_intd (l_e_st_eq_landau_n_rt_rp_td a1 b1)).

(* constant 4775 *)
definition l_e_st_eq_landau_n_rt_rp_r_int_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa1:l_e_st_eq_landau_n_rt_rp_dif.λb1:l_e_st_eq_landau_n_rt_rp_dif.λa1ir:l_e_st_eq_landau_n_rt_rp_r_inn a1 (l_e_st_eq_landau_n_rt_rp_r_class r).λb1is:l_e_st_eq_landau_n_rt_rp_r_inn b1 (l_e_st_eq_landau_n_rt_rp_r_class s).λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.(l_e_st_eq_landau_n_rt_rp_r_intrlin (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_td a1 b1) (l_e_st_eq_landau_n_rt_rp_r_tict r s a1 b1 a1ir b1is) (l_e_st_eq_landau_n_rt_rp_r_int_t7 r s a1 b1 a1ir b1is i j) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 4776 *)
definition l_e_st_eq_landau_n_rt_rp_r_intts ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.(l_e_st_eq_landau_n_rt_rp_r_realapp2 r s (l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_ts r s)) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λt:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class r).λu:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_int_t8 r s x y t u i j) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 4777 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr24_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_ntofrl r n) : l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_ntofrl r n)).

(* constant 4778 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr24_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_more l_e_st_eq_landau_n_rt_rp_r_1rl r) (l_e_st_eq_landau_n_more l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_ntofrl r n)) (l_e_st_eq_landau_n_satz10d l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_ntofrl r n) (l_e_st_eq_landau_n_rt_rp_r_ivr24_t1 r n)) (λt:l_e_st_eq_landau_n_rt_rp_r_more l_e_st_eq_landau_n_rt_rp_r_1rl r.l_e_st_eq_landau_n_rt_rp_r_lemmaiva5 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_ntofrl r n) (l_e_st_eq_landau_n_rt_rp_r_ismore2 r (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_ntofrl r n)) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_isrlnt1 r n) t)) : l_not (l_e_st_eq_landau_n_rt_rp_r_more l_e_st_eq_landau_n_rt_rp_r_1rl r)).

(* constant 4779 *)
definition l_e_st_eq_landau_n_rt_rp_r_satzr24 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_natrl r.(l_e_st_eq_landau_n_rt_rp_r_satz167e l_e_st_eq_landau_n_rt_rp_r_1rl r (l_e_st_eq_landau_n_rt_rp_r_ivr24_t2 r n) : l_e_st_eq_landau_n_rt_rp_r_lessis l_e_st_eq_landau_n_rt_rp_r_1rl r).

(* constant 4780 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr25_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_satz182d s r (l_e_st_eq_landau_n_rt_rp_r_lemma2 r s l) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn s r)).

(* constant 4781 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr25_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_intmn s j r i : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_mn s r)).

(* constant 4782 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr25_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_posintnatrl (l_e_st_eq_landau_n_rt_rp_r_mn s r) (l_e_st_eq_landau_n_rt_rp_r_ivr25_t1 r i s j l) (l_e_st_eq_landau_n_rt_rp_r_ivr25_t2 r i s j l) : l_e_st_eq_landau_n_rt_rp_r_natrl (l_e_st_eq_landau_n_rt_rp_r_mn s r)).

(* constant 4783 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr25_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_satzr24 (l_e_st_eq_landau_n_rt_rp_r_mn s r) (l_e_st_eq_landau_n_rt_rp_r_ivr25_t3 r i s j l) : l_e_st_eq_landau_n_rt_rp_r_lessis l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_mn s r)).

(* constant 4784 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr25_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_less l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_mn s r)) (l_e_st_eq_landau_n_rt_rp_r_is l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_mn s r)) (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_1rl r) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn s r) r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_1rl r) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn s r) r)) (l_e_st_eq_landau_n_rt_rp_r_ivr25_t4 r i s j l) (λt:l_e_st_eq_landau_n_rt_rp_r_less l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_mn s r).l_e_st_eq_landau_n_rt_rp_r_satz188f l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_mn s r) r t) (λt:l_e_st_eq_landau_n_rt_rp_r_is l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_mn s r).l_e_st_eq_landau_n_rt_rp_r_ispl1 l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_mn s r) r t) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_1rl r) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn s r) r)).

(* constant 4785 *)
definition l_e_st_eq_landau_n_rt_rp_r_satzr25 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_intrl r.λs:l_e_st_eq_landau_n_rt_rp_r_real.λj:l_e_st_eq_landau_n_rt_rp_r_intrl s.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_islessis12 (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_1rl r) (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn s r) r) s (l_e_st_eq_landau_n_rt_rp_r_compl l_e_st_eq_landau_n_rt_rp_r_1rl r) (l_e_st_eq_landau_n_rt_rp_r_plmn s r) (l_e_st_eq_landau_n_rt_rp_r_ivr25_t5 r i s j l) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_1rl) s).

(* constant 4786 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr155_t1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_lemmaiva1 (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y)))).

(* constant 4787 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr155_t2 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_isrpep (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y)) (l_e_st_eq_landau_n_rt_rp_satz155e x y) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y)))).

(* constant 4788 *)
definition l_e_st_eq_landau_n_rt_rp_r_satzr155a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_pl (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y))) (l_e_st_eq_landau_n_rt_rp_r_ivr155_t2 x y) (l_e_st_eq_landau_n_rt_rp_r_ivr155_t1 x y) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y))).

(* constant 4789 *)
definition l_e_st_eq_landau_n_rt_rp_r_satzr155b ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y)) (l_e_st_eq_landau_n_rt_rp_r_satzr155a x y) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl x y))).

(* constant 4790 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr155_t3 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_lemmaiva2 (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y)))).

(* constant 4791 *)
definition l_e_st_eq_landau_n_rt_rp_r_ivr155_t4 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_isrpep (l_e_st_eq_landau_n_rt_rp_rpofnt (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y)) (l_e_st_eq_landau_n_rt_rp_satz155f x y) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y)))).

(* constant 4792 *)
definition l_e_st_eq_landau_n_rt_rp_r_satzr155c ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y)) (l_e_st_eq_landau_n_rt_rp_r_pofrp (l_e_st_eq_landau_n_rt_rp_ts (l_e_st_eq_landau_n_rt_rp_rpofnt x) (l_e_st_eq_landau_n_rt_rp_rpofnt y))) (l_e_st_eq_landau_n_rt_rp_r_ivr155_t4 x y) (l_e_st_eq_landau_n_rt_rp_r_ivr155_t3 x y) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y))).

(* constant 4793 *)
definition l_e_st_eq_landau_n_rt_rp_r_satzr155d ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y)) (l_e_st_eq_landau_n_rt_rp_r_satzr155c x y) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) (l_e_st_eq_landau_n_rt_rp_r_rlofnt y)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_ts x y))).

(* constant 4794 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_t1 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) t).λb:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s s) t).λc0:l_e_st_eq_landau_n_rt_rp_dif.λcit:l_e_st_eq_landau_n_rt_rp_r_inn c0 (l_e_st_eq_landau_n_rt_rp_r_class t).λa0:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λb0:l_e_st_eq_landau_n_rt_rp_dif.λbis:l_e_st_eq_landau_n_rt_rp_r_inn b0 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_negd a0) (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_ande1 (l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) t) a) (λu:l_e_st_eq_landau_n_rt_rp_negd a0.l_e_st_eq_landau_n_rt_rp_r_negin r a0 air u) : l_not (l_e_st_eq_landau_n_rt_rp_negd a0)).

(* constant 4795 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_t2 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) t).λb:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s s) t).λc0:l_e_st_eq_landau_n_rt_rp_dif.λcit:l_e_st_eq_landau_n_rt_rp_r_inn c0 (l_e_st_eq_landau_n_rt_rp_r_class t).λa0:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λb0:l_e_st_eq_landau_n_rt_rp_dif.λbis:l_e_st_eq_landau_n_rt_rp_r_inn b0 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_negd b0) (l_e_st_eq_landau_n_rt_rp_r_neg s) (l_ande1 (l_not (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s s) t) b) (λu:l_e_st_eq_landau_n_rt_rp_negd b0.l_e_st_eq_landau_n_rt_rp_r_negin s b0 bis u) : l_not (l_e_st_eq_landau_n_rt_rp_negd b0)).

(* constant 4796 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_t3 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) t).λb:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s s) t).λc0:l_e_st_eq_landau_n_rt_rp_dif.λcit:l_e_st_eq_landau_n_rt_rp_r_inn c0 (l_e_st_eq_landau_n_rt_rp_r_class t).λa0:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λb0:l_e_st_eq_landau_n_rt_rp_dif.λbis:l_e_st_eq_landau_n_rt_rp_r_inn b0 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_r_isex (l_e_st_eq_landau_n_rt_rp_r_ts r r) t (l_e_st_eq_landau_n_rt_rp_td a0 a0) c0 (l_e_st_eq_landau_n_rt_rp_r_tict r r a0 a0 air air) cit (l_ande2 (l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) t) a) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a0 a0) c0).

(* constant 4797 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_t4 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) t).λb:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s s) t).λc0:l_e_st_eq_landau_n_rt_rp_dif.λcit:l_e_st_eq_landau_n_rt_rp_r_inn c0 (l_e_st_eq_landau_n_rt_rp_r_class t).λa0:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λb0:l_e_st_eq_landau_n_rt_rp_dif.λbis:l_e_st_eq_landau_n_rt_rp_r_inn b0 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_r_isex (l_e_st_eq_landau_n_rt_rp_r_ts s s) t (l_e_st_eq_landau_n_rt_rp_td b0 b0) c0 (l_e_st_eq_landau_n_rt_rp_r_tict s s b0 b0 bis bis) cit (l_ande2 (l_not (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s s) t) b) : l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td b0 b0) c0).

(* constant 4798 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_t5 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) t).λb:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s s) t).λc0:l_e_st_eq_landau_n_rt_rp_dif.λcit:l_e_st_eq_landau_n_rt_rp_r_inn c0 (l_e_st_eq_landau_n_rt_rp_r_class t).λa0:l_e_st_eq_landau_n_rt_rp_dif.λair:l_e_st_eq_landau_n_rt_rp_r_inn a0 (l_e_st_eq_landau_n_rt_rp_r_class r).λb0:l_e_st_eq_landau_n_rt_rp_dif.λbis:l_e_st_eq_landau_n_rt_rp_r_inn b0 (l_e_st_eq_landau_n_rt_rp_r_class s).(l_e_st_eq_landau_n_rt_rp_r_isin r s a0 b0 air bis (l_e_st_eq_landau_n_rt_rp_satzd161b c0 a0 b0 (l_e_st_eq_landau_n_rt_rp_r_7r161_t1 t r s a b c0 cit a0 air b0 bis) (l_e_st_eq_landau_n_rt_rp_r_7r161_t2 t r s a b c0 cit a0 air b0 bis) (l_e_st_eq_landau_n_rt_rp_r_7r161_t3 t r s a b c0 cit a0 air b0 bis) (l_e_st_eq_landau_n_rt_rp_r_7r161_t4 t r s a b c0 cit a0 air b0 bis)) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 4799 *)
definition l_e_st_eq_landau_n_rt_rp_r_satzr161b ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) t).λb:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s s) t).(l_e_st_eq_landau_n_rt_rp_r_realapp3 t r s (l_e_st_eq_landau_n_rt_rp_r_is r s) (λx:l_e_st_eq_landau_n_rt_rp_dif.λy:l_e_st_eq_landau_n_rt_rp_dif.λz:l_e_st_eq_landau_n_rt_rp_dif.λu:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class t).λv:l_e_st_eq_landau_n_rt_rp_r_inn y (l_e_st_eq_landau_n_rt_rp_r_class r).λw:l_e_st_eq_landau_n_rt_rp_r_inn z (l_e_st_eq_landau_n_rt_rp_r_class s).l_e_st_eq_landau_n_rt_rp_r_7r161_t5 t r s a b x u y v z w) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 4800 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_t6 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).λc0:l_e_st_eq_landau_n_rt_rp_dif.λcit:l_e_st_eq_landau_n_rt_rp_r_inn c0 (l_e_st_eq_landau_n_rt_rp_r_class t).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_negd c0) (l_e_st_eq_landau_n_rt_rp_r_neg t) n (λu:l_e_st_eq_landau_n_rt_rp_negd c0.l_e_st_eq_landau_n_rt_rp_r_negin t c0 cit u) : l_not (l_e_st_eq_landau_n_rt_rp_negd c0)).

(* constant 4801 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_ar ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).λc0:l_e_st_eq_landau_n_rt_rp_dif.λcit:l_e_st_eq_landau_n_rt_rp_r_inn c0 (l_e_st_eq_landau_n_rt_rp_r_class t).λa0:l_e_st_eq_landau_n_rt_rp_dif.λa:l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd a0)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a0 a0) c0).(l_e_st_eq_landau_n_rt_rp_r_realof a0 : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4802 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_t7 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).λc0:l_e_st_eq_landau_n_rt_rp_dif.λcit:l_e_st_eq_landau_n_rt_rp_r_inn c0 (l_e_st_eq_landau_n_rt_rp_r_class t).λa0:l_e_st_eq_landau_n_rt_rp_dif.λa:l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd a0)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a0 a0) c0).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a)) (l_e_st_eq_landau_n_rt_rp_negd a0) (l_ande1 (l_not (l_e_st_eq_landau_n_rt_rp_negd a0)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a0 a0) c0) a) (λu:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a).l_e_st_eq_landau_n_rt_rp_r_negex (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a) a0 (l_e_st_eq_landau_n_rt_rp_r_innclass a0) u) : l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a))).

(* constant 4803 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_t8 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).λc0:l_e_st_eq_landau_n_rt_rp_dif.λcit:l_e_st_eq_landau_n_rt_rp_r_inn c0 (l_e_st_eq_landau_n_rt_rp_r_class t).λa0:l_e_st_eq_landau_n_rt_rp_dif.λa:l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd a0)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a0 a0) c0).(l_e_st_eq_landau_n_rt_rp_r_isin (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a) (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a)) t (l_e_st_eq_landau_n_rt_rp_td a0 a0) c0 (l_e_st_eq_landau_n_rt_rp_r_tict (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a) (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a) a0 a0 (l_e_st_eq_landau_n_rt_rp_r_innclass a0) (l_e_st_eq_landau_n_rt_rp_r_innclass a0)) cit (l_ande2 (l_not (l_e_st_eq_landau_n_rt_rp_negd a0)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a0 a0) c0) a) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a) (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a)) t).

(* constant 4804 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_t9 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).λc0:l_e_st_eq_landau_n_rt_rp_dif.λcit:l_e_st_eq_landau_n_rt_rp_r_inn c0 (l_e_st_eq_landau_n_rt_rp_r_class t).λa0:l_e_st_eq_landau_n_rt_rp_dif.λa:l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd a0)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a0 a0) c0).(l_andi (l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a))) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a) (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a)) t) (l_e_st_eq_landau_n_rt_rp_r_7r161_t7 t n c0 cit a0 a) (l_e_st_eq_landau_n_rt_rp_r_7r161_t8 t n c0 cit a0 a) : l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a))) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a) (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a)) t)).

(* constant 4805 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_t10 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).λc0:l_e_st_eq_landau_n_rt_rp_dif.λcit:l_e_st_eq_landau_n_rt_rp_r_inn c0 (l_e_st_eq_landau_n_rt_rp_r_class t).λa0:l_e_st_eq_landau_n_rt_rp_dif.λa:l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd a0)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td a0 a0) c0).(l_somei l_e_st_eq_landau_n_rt_rp_r_real (λu:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg u)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts u u) t)) (l_e_st_eq_landau_n_rt_rp_r_7r161_ar t n c0 cit a0 a) (l_e_st_eq_landau_n_rt_rp_r_7r161_t9 t n c0 cit a0 a) : l_e_st_eq_landau_n_rt_rp_r_some (λu:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg u)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts u u) t))).

(* constant 4806 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_t11 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).λc0:l_e_st_eq_landau_n_rt_rp_dif.λcit:l_e_st_eq_landau_n_rt_rp_r_inn c0 (l_e_st_eq_landau_n_rt_rp_r_class t).(l_someapp l_e_st_eq_landau_n_rt_rp_dif (λx:l_e_st_eq_landau_n_rt_rp_dif.l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd x)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td x x) c0)) (l_e_st_eq_landau_n_rt_rp_satzd161a c0 (l_e_st_eq_landau_n_rt_rp_r_7r161_t6 t n c0 cit)) (l_e_st_eq_landau_n_rt_rp_r_some (λu:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg u)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts u u) t))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λv:l_and (l_not (l_e_st_eq_landau_n_rt_rp_negd x)) (l_e_st_eq_landau_n_rt_rp_eq (l_e_st_eq_landau_n_rt_rp_td x x) c0).l_e_st_eq_landau_n_rt_rp_r_7r161_t10 t n c0 cit x v) : l_e_st_eq_landau_n_rt_rp_r_some (λu:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg u)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts u u) t))).

(* constant 4807 *)
definition l_e_st_eq_landau_n_rt_rp_r_satzr161a ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).(l_e_st_eq_landau_n_rt_rp_r_realapp1 t (l_e_st_eq_landau_n_rt_rp_r_some (λu:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg u)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts u u) t))) (λx:l_e_st_eq_landau_n_rt_rp_dif.λv:l_e_st_eq_landau_n_rt_rp_r_inn x (l_e_st_eq_landau_n_rt_rp_r_class t).l_e_st_eq_landau_n_rt_rp_r_7r161_t11 t n x v) : l_e_st_eq_landau_n_rt_rp_r_some (λu:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg u)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts u u) t))).

(* constant 4808 *)
definition l_e_st_eq_landau_n_rt_rp_r_satzr161 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).(l_e_onei l_e_st_eq_landau_n_rt_rp_r_real (λu:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg u)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts u u) t)) (λu:l_e_st_eq_landau_n_rt_rp_r_real.λv:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg u)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts u u) t).λb:l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg v)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts v v) t).l_e_st_eq_landau_n_rt_rp_r_satzr161b t u v a b) (l_e_st_eq_landau_n_rt_rp_r_satzr161a t n) : l_e_st_eq_landau_n_rt_rp_r_one (λu:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg u)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts u u) t))).

(* constant 4809 *)
definition l_e_st_eq_landau_n_rt_rp_r_sqrt ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).(l_e_ind l_e_st_eq_landau_n_rt_rp_r_real (λu:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg u)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts u u) t)) (l_e_st_eq_landau_n_rt_rp_r_satzr161 t n) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4810 *)
definition l_e_st_eq_landau_n_rt_rp_r_7r161_t12 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).(l_e_oneax l_e_st_eq_landau_n_rt_rp_r_real (λu:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg u)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts u u) t)) (l_e_st_eq_landau_n_rt_rp_r_satzr161 t n) : l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_sqrt t n))) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_sqrt t n) (l_e_st_eq_landau_n_rt_rp_r_sqrt t n)) t)).

(* constant 4811 *)
definition l_e_st_eq_landau_n_rt_rp_r_thsqrt1a ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).(l_ande1 (l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_sqrt t n))) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_sqrt t n) (l_e_st_eq_landau_n_rt_rp_r_sqrt t n)) t) (l_e_st_eq_landau_n_rt_rp_r_7r161_t12 t n) : l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_sqrt t n))).

(* constant 4812 *)
definition l_e_st_eq_landau_n_rt_rp_r_thsqrt1b ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).(l_ande2 (l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_sqrt t n))) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_sqrt t n) (l_e_st_eq_landau_n_rt_rp_r_sqrt t n)) t) (l_e_st_eq_landau_n_rt_rp_r_7r161_t12 t n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_sqrt t n) (l_e_st_eq_landau_n_rt_rp_r_sqrt t n)) t).

(* constant 4813 *)
definition l_e_st_eq_landau_n_rt_rp_r_thsqrt2 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).λx:l_e_st_eq_landau_n_rt_rp_r_real.λo:l_not (l_e_st_eq_landau_n_rt_rp_r_neg x).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts x x) t.(l_e_st_eq_landau_n_rt_rp_r_satzr161b t x (l_e_st_eq_landau_n_rt_rp_r_sqrt t n) (l_andi (l_not (l_e_st_eq_landau_n_rt_rp_r_neg x)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts x x) t) o i) (l_e_st_eq_landau_n_rt_rp_r_7r161_t12 t n) : l_e_st_eq_landau_n_rt_rp_r_is x (l_e_st_eq_landau_n_rt_rp_r_sqrt t n)).

(* constant 4814 *)
definition l_e_st_eq_landau_n_rt_rp_r_thsqrt3 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg t).λx:l_e_st_eq_landau_n_rt_rp_r_real.λo:l_not (l_e_st_eq_landau_n_rt_rp_r_neg x).λi:l_e_st_eq_landau_n_rt_rp_r_is t (l_e_st_eq_landau_n_rt_rp_r_ts x x).(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real x (l_e_st_eq_landau_n_rt_rp_r_sqrt t n) (l_e_st_eq_landau_n_rt_rp_r_thsqrt2 t n x o (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real t (l_e_st_eq_landau_n_rt_rp_r_ts x x) i)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_sqrt t n) x).

(* constant 4815 *)
definition l_e_st_eq_landau_n_rt_rp_r_issqrt ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_neg s).λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_landau_n_rt_rp_r_thsqrt2 s o (l_e_st_eq_landau_n_rt_rp_r_sqrt r n) (l_e_st_eq_landau_n_rt_rp_r_thsqrt1a r n) (l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_sqrt r n) (l_e_st_eq_landau_n_rt_rp_r_sqrt r n)) r s (l_e_st_eq_landau_n_rt_rp_r_thsqrt1b r n) i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_sqrt r n) (l_e_st_eq_landau_n_rt_rp_r_sqrt s o)).

(* constant 4816 *)
definition l_e_st_eq_landau_n_rt_rp_r_sqrt0 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_thsqrt3 r n l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_0notn l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_real r (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 i (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_sqrt r n) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4817 *)
definition l_e_st_eq_landau_n_rt_rp_r_sqrt_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).λo:l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_sqrt r n) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) o (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_sqrt r n) l_e_st_eq_landau_n_rt_rp_r_0.l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_sqrt r n) (l_e_st_eq_landau_n_rt_rp_r_sqrt r n)) (l_e_st_eq_landau_n_rt_rp_r_thsqrt1b r n) (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_sqrt r n) (l_e_st_eq_landau_n_rt_rp_r_sqrt r n) t)) : l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_sqrt r n) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4818 *)
definition l_e_st_eq_landau_n_rt_rp_r_sqrtnot0 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).λo:l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0.(l_or3e2 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_sqrt r n) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_sqrt r n)) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_sqrt r n)) (l_e_st_eq_landau_n_rt_rp_r_axrlo (l_e_st_eq_landau_n_rt_rp_r_sqrt r n)) (l_e_st_eq_landau_n_rt_rp_r_thsqrt1a r n) (l_e_st_eq_landau_n_rt_rp_r_sqrt_t1 r n o) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_sqrt r n)).

(* constant 4819 *)
definition l_e_st_eq_landau_n_rt_rp_r_v0_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis t l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts t (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ov s t n))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ov s t n)) t) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ov s t n) t)) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_comts t (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ov s t n))) (l_e_st_eq_landau_n_rt_rp_r_assts1 r (l_e_st_eq_landau_n_rt_rp_r_ov s t n) t) (l_e_st_eq_landau_n_rt_rp_r_ists2 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ov s t n) t) s r (l_e_st_eq_landau_n_rt_rp_r_satz204e s t n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts t (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ov s t n))) (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 4820 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemma6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis t l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_satz204g (l_e_st_eq_landau_n_rt_rp_r_ts r s) t (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ov s t n)) n (l_e_st_eq_landau_n_rt_rp_r_v0_t1 r s t n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_ov s t n)) (l_e_st_eq_landau_n_rt_rp_r_ov (l_e_st_eq_landau_n_rt_rp_r_ts r s) t n)).

(* constant 4821 *)
definition l_e_st_eq_landau_n_rt_rp_r_v0_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis t l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts t (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ov r t n) (l_e_st_eq_landau_n_rt_rp_r_ov s t n))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts t (l_e_st_eq_landau_n_rt_rp_r_ov r t n)) (l_e_st_eq_landau_n_rt_rp_r_ts t (l_e_st_eq_landau_n_rt_rp_r_ov s t n))) (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_r_disttp2 t (l_e_st_eq_landau_n_rt_rp_r_ov r t n) (l_e_st_eq_landau_n_rt_rp_r_ov s t n)) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts t (l_e_st_eq_landau_n_rt_rp_r_ov r t n)) r (l_e_st_eq_landau_n_rt_rp_r_ts t (l_e_st_eq_landau_n_rt_rp_r_ov s t n)) s (l_e_st_eq_landau_n_rt_rp_r_satz204c r t n) (l_e_st_eq_landau_n_rt_rp_r_satz204c s t n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts t (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ov r t n) (l_e_st_eq_landau_n_rt_rp_r_ov s t n))) (l_e_st_eq_landau_n_rt_rp_r_pl r s)).

(* constant 4822 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemma7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis t l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_satz204g (l_e_st_eq_landau_n_rt_rp_r_pl r s) t (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ov r t n) (l_e_st_eq_landau_n_rt_rp_r_ov s t n)) n (l_e_st_eq_landau_n_rt_rp_r_v0_t2 r s t n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ov r t n) (l_e_st_eq_landau_n_rt_rp_r_ov s t n)) (l_e_st_eq_landau_n_rt_rp_r_ov (l_e_st_eq_landau_n_rt_rp_r_pl r s) t n)).

(* constant 4823 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemma8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_satz204b r r n (l_e_st_eq_landau_n_rt_rp_r_ov r r n) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_satz204c r r n) (l_e_st_eq_landau_n_rt_rp_r_satz195 r) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ov r r n) l_e_st_eq_landau_n_rt_rp_r_1rl).

(* constant 4824 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemma9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0.(l_ore2 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ov l_e_st_eq_landau_n_rt_rp_r_0 r n) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_satz192c r (l_e_st_eq_landau_n_rt_rp_r_ov l_e_st_eq_landau_n_rt_rp_r_0 r n) (l_e_st_eq_landau_n_rt_rp_r_satz204c l_e_st_eq_landau_n_rt_rp_r_0 r n)) n : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ov l_e_st_eq_landau_n_rt_rp_r_0 r n) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4825 *)
definition l_e_st_eq_landau_n_rt_rp_r_v0_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_m0 r).λp:l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_st_eq_landau_n_rt_rp_r_pnotn (l_e_st_eq_landau_n_rt_rp_r_m0 r) p (l_e_st_eq_landau_n_rt_rp_r_isneg r (l_e_st_eq_landau_n_rt_rp_r_m0 r) i (l_e_st_eq_landau_n_rt_rp_r_satz176f r p)) : l_con).

(* constant 4826 *)
definition l_e_st_eq_landau_n_rt_rp_r_v0_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_m0 r).λn:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_st_eq_landau_n_rt_rp_r_nnotp (l_e_st_eq_landau_n_rt_rp_r_m0 r) n (l_e_st_eq_landau_n_rt_rp_r_ispos r (l_e_st_eq_landau_n_rt_rp_r_m0 r) i (l_e_st_eq_landau_n_rt_rp_r_satz176d r n)) : l_con).

(* constant 4827 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemma10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_m0 r).(l_e_st_eq_landau_n_rt_rp_r_satz176e r (l_or3e1 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 r) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_axrlo (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (λt:l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 r).l_e_st_eq_landau_n_rt_rp_r_v0_t3 r i t) (λt:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_m0 r).l_e_st_eq_landau_n_rt_rp_r_v0_t4 r i t)) : l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4828 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemma11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_satz167f (l_e_st_eq_landau_n_rt_rp_r_ts r r) l_e_st_eq_landau_n_rt_rp_r_0 (l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_ts r r) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts r r)) (l_e_st_eq_landau_n_rt_rp_r_nnegsq r) (λt:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_ts r r) l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_satz169d (l_e_st_eq_landau_n_rt_rp_r_ts r r) t)) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_ts r r) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4829 *)
definition l_e_st_eq_landau_n_rt_rp_r_lemma12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_rapp r (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs r))) (λt:l_e_st_eq_landau_n_rt_rp_r_pos r.l_e_st_eq_landau_n_rt_rp_r_satz196a r r t t) (λt:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs r)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts01 r r t) (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs0 r t))) (λt:l_e_st_eq_landau_n_rt_rp_r_neg r.l_e_st_eq_landau_n_rt_rp_r_satz196b r r t t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_abs r))).

(* constant 4830 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.(l_e_st_eq_landau_n_rt_rp_r_satz190a x x l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_moreisi2 x x (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real x)) (l_e_st_eq_landau_n_rt_rp_r_satz169a l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_natpos l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_natrl1)) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 4831 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.(l_e_st_eq_landau_n_rt_rp_r_ismore2 (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_0) x (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl02 x l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_shift_t1 x ix y iy ly) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) x).

(* constant 4832 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.(l_e_st_eq_landau_n_rt_rp_r_satz172d (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) x y (l_e_st_eq_landau_n_rt_rp_r_shift_t2 x ix y iy ly) (l_e_st_eq_landau_n_rt_rp_r_satz168b y x ly) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y).

(* constant 4833 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.(l_e_st_eq_landau_n_rt_rp_r_satz182d (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y (l_e_st_eq_landau_n_rt_rp_r_shift_t3 x ix y iy ly) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y)).

(* constant 4834 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.(l_e_st_eq_landau_n_rt_rp_r_intmn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1) y iy : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y)).

(* constant 4835 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.(l_e_st_eq_landau_n_rt_rp_r_posintnatrl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t4 x ix y iy ly) (l_e_st_eq_landau_n_rt_rp_r_shift_t5 x ix y iy ly) : l_e_st_eq_landau_n_rt_rp_r_natrl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y)).

(* constant 4836 *)
definition l_e_st_eq_landau_n_rt_rp_r_shiftl ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.(l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 x ix y iy ly) : l_e_st_eq_landau_n_nat).

(* constant 4837 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_n1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(l_e_st_eq_landau_n_inn (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly) n : l_e_st_eq_landau_n_nat).

(* constant 4838 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly) n : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)).

(* constant 4839 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_n2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4840 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_natintrl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_natrli (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n)) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n)).

(* constant 4841 *)
definition l_e_st_eq_landau_n_rt_rp_r_shiftr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) l_e_st_eq_landau_n_rt_rp_r_1rl : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4842 *)
definition l_e_st_eq_landau_n_rt_rp_r_intshiftr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_intmn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shift_t8 x ix y iy ly n) y iy) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n)).

(* constant 4843 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t8a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) y) (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) l_e_st_eq_landau_n_rt_rp_r_1rl) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) y (l_e_st_eq_landau_n_rt_rp_r_plmn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_mnpl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n)).

(* constant 4844 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t9a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly m).(l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly m) l_e_st_eq_landau_n_rt_rp_r_1rl) y (l_e_st_eq_landau_n_rt_rp_r_ispl1 (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly m) l_e_st_eq_landau_n_rt_rp_r_1rl i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly m) l_e_st_eq_landau_n_rt_rp_r_1rl) y)).

(* constant 4845 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t10a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly m).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly m) l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly m) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shift_t8a x ix y iy ly n)) (l_e_st_eq_landau_n_rt_rp_r_shift_t9a x ix y iy ly n m i) (l_e_st_eq_landau_n_rt_rp_r_shift_t8a x ix y iy ly m) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly m)).

(* constant 4846 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t11a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly m).(l_e_st_eq_landau_n_rt_rp_r_isntirl (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly m) (l_e_st_eq_landau_n_rt_rp_r_shift_t10a x ix y iy ly n m i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly m)).

(* constant 4847 *)
definition l_e_st_eq_landau_n_rt_rp_r_iseshiftr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly m).(l_e_st_eq_landau_n_isinne (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly) n m (l_e_st_eq_landau_n_rt_rp_r_shift_t11a x ix y iy ly n m i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) n m).

(* constant 4848 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x.(l_e_st_eq_landau_n_rt_rp_r_satz188d (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x l_e_st_eq_landau_n_rt_rp_r_1rl m : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl)).

(* constant 4849 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x.(l_e_st_eq_landau_n_rt_rp_r_ismore1 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_plmn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_shift_t9 x ix y iy ly n m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl)).

(* constant 4850 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x.(l_e_st_eq_landau_n_rt_rp_r_satz188d (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_m0 y) (l_e_st_eq_landau_n_rt_rp_r_shift_t10 x ix y iy ly n m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y)).

(* constant 4851 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x.(l_e_st_eq_landau_n_rt_rp_r_ismore1 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) y) (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_mnpl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t11 x ix y iy ly n m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y)).

(* constant 4852 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t13 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x.(l_e_st_eq_landau_n_rt_rp_r_ismore12 (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_natrli (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 x ix y iy ly))) (l_e_st_eq_landau_n_rt_rp_r_isrlnt1 (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_natrli (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n))) (l_e_st_eq_landau_n_rt_rp_r_isrlnt1 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shift_t12 x ix y iy ly n m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_natrli (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n)))) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly))).

(* constant 4853 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t14 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x.(l_e_st_eq_landau_n_rt_rp_r_lemmaiva5 (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_natrli (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n))) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly) (l_e_st_eq_landau_n_rt_rp_r_shift_t13 x ix y iy ly n m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_natrli (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n))) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)).

(* constant 4854 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t15 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x.(l_e_st_eq_landau_n_ismore1 (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_natrli (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n))) (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly) (l_e_st_eq_landau_n_rt_rp_r_isntrl2 (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n)) (l_e_st_eq_landau_n_rt_rp_r_shift_t14 x ix y iy ly n m) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)).

(* constant 4855 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t16 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_satz10d (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly) (l_e_st_eq_landau_n_rt_rp_r_shift_t7 x ix y iy ly n)) (λt:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x.l_e_st_eq_landau_n_rt_rp_r_shift_t15 x ix y iy ly n t) : l_not (l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x)).

(* constant 4856 *)
definition l_e_st_eq_landau_n_rt_rp_r_shiftrls ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_satz167e (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x (l_e_st_eq_landau_n_rt_rp_r_shift_t16 x ix y iy ly n) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) x).

(* constant 4857 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t17 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_rt_rp_r_more y (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n).(l_e_st_eq_landau_n_rt_rp_r_satz188d y (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) l_e_st_eq_landau_n_rt_rp_r_1rl m : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl y l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) l_e_st_eq_landau_n_rt_rp_r_1rl)).

(* constant 4858 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t18 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_rt_rp_r_more y (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n).(l_e_st_eq_landau_n_rt_rp_r_ismore12 (l_e_st_eq_landau_n_rt_rp_r_pl y l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_1rl y) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) (l_e_st_eq_landau_n_rt_rp_r_compl y l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_plmn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_shift_t17 x ix y iy ly n m) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_1rl y) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y)).

(* constant 4859 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t19 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_rt_rp_r_more y (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n).(l_e_st_eq_landau_n_rt_rp_r_satz188a l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y (l_e_st_eq_landau_n_rt_rp_r_shift_t18 x ix y iy ly n m) : l_e_st_eq_landau_n_rt_rp_r_more l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n)).

(* constant 4860 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t20 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_rt_rp_r_more y (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n).(l_e_st_eq_landau_n_rt_rp_r_lemmaiva5 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shift_t19 x ix y iy ly n m) : l_e_st_eq_landau_n_more l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n)).

(* constant 4861 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t21 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_more y (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n)) (l_e_st_eq_landau_n_more l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n)) (l_e_st_eq_landau_n_satz10d l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n) (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n))) (λt:l_e_st_eq_landau_n_rt_rp_r_more y (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n).l_e_st_eq_landau_n_rt_rp_r_shift_t20 x ix y iy ly n t) : l_not (l_e_st_eq_landau_n_rt_rp_r_more y (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n))).

(* constant 4862 *)
definition l_e_st_eq_landau_n_rt_rp_r_lsshiftr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_satz167e y (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shift_t21 x ix y iy ly n) : l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n)).

(* constant 4863 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t22 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_and3e1 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x) a : l_e_st_eq_landau_n_rt_rp_r_intrl u).

(* constant 4864 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t23 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_and3e2 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x) a : l_e_st_eq_landau_n_rt_rp_r_lessis y u).

(* constant 4865 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t24 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_and3e3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x) a : l_e_st_eq_landau_n_rt_rp_r_lessis u x).

(* constant 4866 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t25 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).λl:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_rt_rp_r_satz188f (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_m0 y) (l_e_st_eq_landau_n_rt_rp_r_satz188f u x l_e_st_eq_landau_n_rt_rp_r_1rl l) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y)).

(* constant 4867 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t26 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).λi:l_e_st_eq_landau_n_rt_rp_r_is u x.(l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y (l_e_st_eq_landau_n_rt_rp_r_ispl1 u x l_e_st_eq_landau_n_rt_rp_r_1rl i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y)).

(* constant 4868 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t27 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_less u x) (l_e_st_eq_landau_n_rt_rp_r_is u x) (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y)) (l_e_st_eq_landau_n_rt_rp_r_shift_t24 x ix y iy ly u a) (λt:l_e_st_eq_landau_n_rt_rp_r_less u x.l_e_st_eq_landau_n_rt_rp_r_shift_t25 x ix y iy ly u a t) (λt:l_e_st_eq_landau_n_rt_rp_r_is u x.l_e_st_eq_landau_n_rt_rp_r_shift_t26 x ix y iy ly u a t) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y)).

(* constant 4869 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_ul ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_e_st_eq_landau_n_rt_rp_r_shiftl u (l_e_st_eq_landau_n_rt_rp_r_shift_t22 x ix y iy ly u a) y iy (l_e_st_eq_landau_n_rt_rp_r_shift_t23 x ix y iy ly u a) : l_e_st_eq_landau_n_nat).

(* constant 4870 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t28 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_e_st_eq_landau_n_rt_rp_r_islessis12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_isrlnt1 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 u (l_e_st_eq_landau_n_rt_rp_r_shift_t22 x ix y iy ly u a) y iy (l_e_st_eq_landau_n_rt_rp_r_shift_t23 x ix y iy ly u a))) (l_e_st_eq_landau_n_rt_rp_r_isrlnt1 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shift_t27 x ix y iy ly u a) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly))).

(* constant 4871 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t29 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_imp_th3 (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly))) (l_e_st_eq_landau_n_rt_rp_r_satz167d (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shift_t28 x ix y iy ly u a)) (λt:l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_lemmaiva6 (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly) t) : l_not (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly))).

(* constant 4872 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t30 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_e_st_eq_landau_n_satz10e (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly) (l_e_st_eq_landau_n_rt_rp_r_shift_t29 x ix y iy ly u a) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a) (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)).

(* constant 4873 *)
definition l_e_st_eq_landau_n_rt_rp_r_shiftl1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly) (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a) (l_e_st_eq_landau_n_rt_rp_r_shift_t30 x ix y iy ly u a) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)).

(* constant 4874 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t31 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly) (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a) (l_e_st_eq_landau_n_rt_rp_r_shift_t30 x ix y iy ly u a) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a) (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly u a))).

(* constant 4875 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t32 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a)) (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly u a)) (l_e_st_eq_landau_n_rt_rp_r_isrlnt1 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 u (l_e_st_eq_landau_n_rt_rp_r_shift_t22 x ix y iy ly u a) y iy (l_e_st_eq_landau_n_rt_rp_r_shift_t23 x ix y iy ly u a))) (l_e_st_eq_landau_n_rt_rp_r_isnterl (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly u a) (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly u a)) (l_e_st_eq_landau_n_rt_rp_r_shift_t31 x ix y iy ly u a)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly u a))).

(* constant 4876 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t33 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) y) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) l_e_st_eq_landau_n_rt_rp_r_1rl) u (l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) y) (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_plmn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y)) (l_e_st_eq_landau_n_rt_rp_r_mnpl u l_e_st_eq_landau_n_rt_rp_r_1rl) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) y) l_e_st_eq_landau_n_rt_rp_r_1rl) u).

(* constant 4877 *)
definition l_e_st_eq_landau_n_rt_rp_r_shiftinv1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real u (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly u a)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) y) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_shift_t33 x ix y iy ly u a) (l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) y) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly u a)) y) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_ispl1 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly u a)) y (l_e_st_eq_landau_n_rt_rp_r_shift_t32 x ix y iy ly u a))) : l_e_st_eq_landau_n_rt_rp_r_is u (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly u a))).

(* constant 4878 *)
definition l_e_st_eq_landau_n_rt_rp_r_shiftinv2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real u (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly u a)) (l_e_st_eq_landau_n_rt_rp_r_shiftinv1 x ix y iy ly u a) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly u a)) u).

(* constant 4879 *)
definition l_e_st_eq_landau_n_rt_rp_r_seq ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λalpha:Type[0].(Πt:l_e_st_eq_landau_n_rt_rp_r_real.Πu:l_e_st_eq_landau_n_rt_rp_r_intrl t.Πv:l_e_st_eq_landau_n_rt_rp_r_lessis y t.Πw:l_e_st_eq_landau_n_rt_rp_r_lessis t x.alpha : Type[0]).

(* constant 4880 *)
definition l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λalpha:Type[0].λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly alpha.(∀t:l_e_st_eq_landau_n_rt_rp_r_real.∀it:l_e_st_eq_landau_n_rt_rp_r_intrl t.∀lt:l_e_st_eq_landau_n_rt_rp_r_lessis y t.∀tl:l_e_st_eq_landau_n_rt_rp_r_lessis t x.∀u:l_e_st_eq_landau_n_rt_rp_r_real.∀iu:l_e_st_eq_landau_n_rt_rp_r_intrl u.∀lu:l_e_st_eq_landau_n_rt_rp_r_lessis y u.∀ul:l_e_st_eq_landau_n_rt_rp_r_lessis u x.∀v:l_e_st_eq_landau_n_rt_rp_r_is t u.l_e_is alpha (s t it lt tl) (s u iu lu ul) : Prop).

(* constant 4881 *)
definition l_e_st_eq_landau_n_rt_rp_r_shiftf ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λalpha:Type[0].λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly alpha.(λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).f (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly t) (l_e_st_eq_landau_n_rt_rp_r_intshiftr x ix y iy ly t) (l_e_st_eq_landau_n_rt_rp_r_lsshiftr x ix y iy ly t) (l_e_st_eq_landau_n_rt_rp_r_shiftrls x ix y iy ly t) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).alpha).

(* constant 4882 *)
definition l_e_st_eq_landau_n_rt_rp_r_inseq ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.(∀t:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_intrl t.∀v:l_e_st_eq_landau_n_rt_rp_r_lessis y t.∀w:l_e_st_eq_landau_n_rt_rp_r_lessis t x.l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl (s t u v w)) (l_e_st_eq_landau_n_rt_rp_r_lessis y (s t u v w)) (l_e_st_eq_landau_n_rt_rp_r_lessis (s t u v w) x) : Prop).

(* constant 4883 *)
definition l_e_st_eq_landau_n_rt_rp_r_injseq ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.(∀t:l_e_st_eq_landau_n_rt_rp_r_real.∀it:l_e_st_eq_landau_n_rt_rp_r_intrl t.∀lt:l_e_st_eq_landau_n_rt_rp_r_lessis y t.∀tl:l_e_st_eq_landau_n_rt_rp_r_lessis t x.∀u:l_e_st_eq_landau_n_rt_rp_r_real.∀iu:l_e_st_eq_landau_n_rt_rp_r_intrl u.∀lu:l_e_st_eq_landau_n_rt_rp_r_lessis y u.∀ul:l_e_st_eq_landau_n_rt_rp_r_lessis u x.∀v:l_e_st_eq_landau_n_rt_rp_r_is (s t it lt tl) (s u iu lu ul).l_e_st_eq_landau_n_rt_rp_r_is t u : Prop).

(* constant 4884 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_prop1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λv:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl v) (l_e_st_eq_landau_n_rt_rp_r_lessis y v) (l_e_st_eq_landau_n_rt_rp_r_lessis v x).(l_e_st_eq_landau_n_rt_rp_r_is u (s v (l_e_st_eq_landau_n_rt_rp_r_shift_t22 x ix y iy ly v a) (l_e_st_eq_landau_n_rt_rp_r_shift_t23 x ix y iy ly v a) (l_e_st_eq_landau_n_rt_rp_r_shift_t24 x ix y iy ly v a)) : Prop).

(* constant 4885 *)
definition l_e_st_eq_landau_n_rt_rp_r_improp ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λv:l_e_st_eq_landau_n_rt_rp_r_real.(l_and (l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl v) (l_e_st_eq_landau_n_rt_rp_r_lessis y v) (l_e_st_eq_landau_n_rt_rp_r_lessis v x)) (∀t:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl v) (l_e_st_eq_landau_n_rt_rp_r_lessis y v) (l_e_st_eq_landau_n_rt_rp_r_lessis v x).l_e_st_eq_landau_n_rt_rp_r_shift_prop1 x ix y iy ly s u v t) : Prop).

(* constant 4886 *)
definition l_e_st_eq_landau_n_rt_rp_r_imseq ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_some (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_improp x ix y iy ly s u t) : Prop).

(* constant 4887 *)
definition l_e_st_eq_landau_n_rt_rp_r_surjseq ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.(∀t:l_e_st_eq_landau_n_rt_rp_r_real.∀u:l_e_st_eq_landau_n_rt_rp_r_intrl t.∀v:l_e_st_eq_landau_n_rt_rp_r_lessis y t.∀w:l_e_st_eq_landau_n_rt_rp_r_lessis t x.l_e_st_eq_landau_n_rt_rp_r_imseq x ix y iy ly s t : Prop).

(* constant 4888 *)
definition l_e_st_eq_landau_n_rt_rp_r_perm ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.(l_and (l_e_st_eq_landau_n_rt_rp_r_injseq x ix y iy ly s) (l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s) : Prop).

(* constant 4889 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_ns ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_intshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_lsshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftrls x ix y iy ly n) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4890 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t34 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(ins (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_intshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_lsshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftrls x ix y iy ly n) : l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n)) (l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n)) (l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n) x)).

(* constant 4891 *)
definition l_e_st_eq_landau_n_rt_rp_r_shiftseq ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.(λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins t) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins t) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)).

(* constant 4892 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t35 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λjs:l_e_st_eq_landau_n_rt_rp_r_injseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins m).(l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly) (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins n)) (l_e_st_eq_landau_n_rt_rp_r_shift_t30 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins n)) (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins m) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins m)) (l_e_st_eq_landau_n_rt_rp_r_shift_t30 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins m) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins m)) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins n)) (l_e_st_eq_landau_n_rt_rp_r_shift_ul x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins m) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins m))).

(* constant 4893 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t36 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λjs:l_e_st_eq_landau_n_rt_rp_r_injseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins m).(l_e_st_eq_landau_n_rt_rp_r_isrlint (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n) l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shift_t22 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins n)) y iy (l_e_st_eq_landau_n_rt_rp_r_shift_t23 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins n))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins m) l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins m) (l_e_st_eq_landau_n_rt_rp_r_shift_t22 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins m) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins m)) y iy (l_e_st_eq_landau_n_rt_rp_r_shift_t23 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins m) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins m))) (l_e_st_eq_landau_n_rt_rp_r_shift_t35 x ix y iy ly s ins js n m i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n) l_e_st_eq_landau_n_rt_rp_r_1rl) y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins m) l_e_st_eq_landau_n_rt_rp_r_1rl) y)).

(* constant 4894 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t37 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λjs:l_e_st_eq_landau_n_rt_rp_r_injseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins m).(l_e_st_eq_landau_n_rt_rp_r_satz188b (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins m) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_satz188b (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins m) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_m0 y) (l_e_st_eq_landau_n_rt_rp_r_shift_t36 x ix y iy ly s ins js n m i)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins m)).

(* constant 4895 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t38 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λjs:l_e_st_eq_landau_n_rt_rp_r_injseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins m).(js (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_intshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_lsshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftrls x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly m) (l_e_st_eq_landau_n_rt_rp_r_intshiftr x ix y iy ly m) (l_e_st_eq_landau_n_rt_rp_r_lsshiftr x ix y iy ly m) (l_e_st_eq_landau_n_rt_rp_r_shiftrls x ix y iy ly m) (l_e_st_eq_landau_n_rt_rp_r_shift_t37 x ix y iy ly s ins js n m i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly m)).

(* constant 4896 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t39 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λjs:l_e_st_eq_landau_n_rt_rp_r_injseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins m).(l_e_st_eq_landau_n_rt_rp_r_satz188b (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly m) y (l_e_st_eq_landau_n_rt_rp_r_satz188b (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) y) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly m) y) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_shift_t38 x ix y iy ly s ins js n m i)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shift_n2 x ix y iy ly m)).

(* constant 4897 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t40 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λjs:l_e_st_eq_landau_n_rt_rp_r_injseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins m).(l_e_st_eq_landau_n_rt_rp_r_isntirl (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly m) (l_e_st_eq_landau_n_rt_rp_r_shift_t39 x ix y iy ly s ins js n m i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shift_n1 x ix y iy ly m)).

(* constant 4898 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t41 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λjs:l_e_st_eq_landau_n_rt_rp_r_injseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins n) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins m).(l_e_st_eq_landau_n_isinne (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly) n m (l_e_st_eq_landau_n_rt_rp_r_shift_t40 x ix y iy ly s ins js n m i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) n m).

(* constant 4899 *)
definition l_e_st_eq_landau_n_rt_rp_r_injshiftseq ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λjs:l_e_st_eq_landau_n_rt_rp_r_injseq x ix y iy ly s.(λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λv:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins t) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins u).l_e_st_eq_landau_n_rt_rp_r_shift_t41 x ix y iy ly s ins js t u v : l_e_injective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins)).

(* constant 4900 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t42 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λss:l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(ss (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_intshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_lsshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftrls x ix y iy ly n) : l_e_st_eq_landau_n_rt_rp_r_imseq x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n)).

(* constant 4901 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t43 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λss:l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λu:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_improp x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) u.(l_ande1 (l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x)) (∀t:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).l_e_st_eq_landau_n_rt_rp_r_shift_prop1 x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) u t) p : l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x)).

(* constant 4902 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t44 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λss:l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λu:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_improp x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) u.(l_r_ande2 (l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x)) (λt:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).l_e_st_eq_landau_n_rt_rp_r_shift_prop1 x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) u t) p : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (s u (l_e_st_eq_landau_n_rt_rp_r_shift_t22 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shift_t23 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shift_t24 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p)))).

(* constant 4903 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_ul1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λss:l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λu:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_improp x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) u.(l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)).

(* constant 4904 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t45 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λss:l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λu:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_improp x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) u.(pri u (l_e_st_eq_landau_n_rt_rp_r_shift_t22 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shift_t23 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shift_t24 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_intshiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_lsshiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shiftrls x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shiftinv1 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p)) : l_e_st_eq_landau_n_rt_rp_r_is (s u (l_e_st_eq_landau_n_rt_rp_r_shift_t22 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shift_t23 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shift_t24 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p))) (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p))).

(* constant 4905 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t46 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λss:l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λu:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_improp x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) u.(l_e_st_eq_landau_n_rt_rp_r_shiftinv1 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p)))).

(* constant 4906 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t47 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λss:l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λu:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_improp x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) u.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (s u (l_e_st_eq_landau_n_rt_rp_r_shift_t22 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shift_t23 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shift_t24 x ix y iy ly u (l_e_st_eq_landau_n_rt_rp_r_shift_t43 x ix y iy ly s ins pri ss n u p))) (l_e_st_eq_landau_n_rt_rp_r_shift_ns x ix y iy ly s ins (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p))) (l_e_st_eq_landau_n_rt_rp_r_shift_t44 x ix y iy ly s ins pri ss n u p) (l_e_st_eq_landau_n_rt_rp_r_shift_t45 x ix y iy ly s ins pri ss n u p) (l_e_st_eq_landau_n_rt_rp_r_shift_t46 x ix y iy ly s ins pri ss n u p) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p)))).

(* constant 4907 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t48 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λss:l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λu:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_improp x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) u.(l_e_st_eq_landau_n_rt_rp_r_iseshiftr x ix y iy ly n (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p)) (l_e_st_eq_landau_n_rt_rp_r_shift_t47 x ix y iy ly s ins pri ss n u p) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) n (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p))).

(* constant 4908 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t49 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λss:l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).λu:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_improp x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) u.(l_somei (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) n (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins t)) (l_e_st_eq_landau_n_rt_rp_r_shift_ul1 x ix y iy ly s ins pri ss n u p) (l_e_st_eq_landau_n_rt_rp_r_shift_t48 x ix y iy ly s ins pri ss n u p) : l_e_image (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins) n).

(* constant 4909 *)
definition l_e_st_eq_landau_n_rt_rp_r_shift_t50 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λss:l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).(l_someapp l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_improp x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) t) (l_e_st_eq_landau_n_rt_rp_r_shift_t42 x ix y iy ly s ins pri ss n) (l_e_image (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins) n) (λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_improp x ix y iy ly s (l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n) t.l_e_st_eq_landau_n_rt_rp_r_shift_t49 x ix y iy ly s ins pri ss n t u) : l_e_image (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins) n).

(* constant 4910 *)
definition l_e_st_eq_landau_n_rt_rp_r_surjshiftseq ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λss:l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s.(λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_shift_t50 x ix y iy ly s ins pri ss t : l_e_surjective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins)).

(* constant 4911 *)
definition l_e_st_eq_landau_n_rt_rp_r_bijshiftseq ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.(l_andi (l_e_injective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins)) (l_e_surjective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins)) (l_e_st_eq_landau_n_rt_rp_r_injshiftseq x ix y iy ly s ins (l_ande1 (l_e_st_eq_landau_n_rt_rp_r_injseq x ix y iy ly s) (l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s) ps)) (l_e_st_eq_landau_n_rt_rp_r_surjshiftseq x ix y iy ly s ins pri (l_ande2 (l_e_st_eq_landau_n_rt_rp_r_injseq x ix y iy ly s) (l_e_st_eq_landau_n_rt_rp_r_surjseq x ix y iy ly s) ps)) : l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly)) (l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins)).

(* constant 4912 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_complex ≝ (l_e_st_eq_landau_n_pair1type l_e_st_eq_landau_n_rt_rp_r_real : Type[0]).

(* constant 4913 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_cx ≝ (l_e_st_eq_landau_n_rt_rp_r_c_complex : Type[0]).

(* constant 4914 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_is ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_is l_e_st_eq_landau_n_rt_rp_r_c_cx x y : Prop).

(* constant 4915 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_nis ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_not (l_e_st_eq_landau_n_rt_rp_r_c_is x y) : Prop).

(* constant 4916 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_some ≝ λp:∀t:l_e_st_eq_landau_n_rt_rp_r_c_complex.Prop.(l_some l_e_st_eq_landau_n_rt_rp_r_c_cx p : Prop).

(* constant 4917 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_all ≝ λp:∀t:l_e_st_eq_landau_n_rt_rp_r_c_complex.Prop.(l_all l_e_st_eq_landau_n_rt_rp_r_c_cx p : Prop).

(* constant 4918 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_one ≝ λp:∀t:l_e_st_eq_landau_n_rt_rp_r_c_complex.Prop.(l_e_one l_e_st_eq_landau_n_rt_rp_r_c_cx p : Prop).

(* constant 4919 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_pli ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_pair1 l_e_st_eq_landau_n_rt_rp_r_real a b : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 4920 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_re ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_first1 l_e_st_eq_landau_n_rt_rp_r_real x : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4921 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_im ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_second1 l_e_st_eq_landau_n_rt_rp_r_real x : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 4922 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_reis ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_first1is1 l_e_st_eq_landau_n_rt_rp_r_real a b : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) a).

(* constant 4923 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isre ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_first1is2 l_e_st_eq_landau_n_rt_rp_r_real a b : l_e_st_eq_landau_n_rt_rp_r_is a (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b))).

(* constant 4924 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_imis ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_second1is1 l_e_st_eq_landau_n_rt_rp_r_real a b : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) b).

(* constant 4925 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isim ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_second1is2 l_e_st_eq_landau_n_rt_rp_r_real a b : l_e_st_eq_landau_n_rt_rp_r_is b (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b))).

(* constant 4926 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_pliis ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_pair1is1 l_e_st_eq_landau_n_rt_rp_r_real x : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) x).

(* constant 4927 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ispli ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_pair1is2 l_e_st_eq_landau_n_rt_rp_r_real x : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x))).

(* constant 4928 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscere ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_re t) x y i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)).

(* constant 4929 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isceim ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_im t) x y i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)).

(* constant 4930 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isrecx1 ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is a b.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_pli t c) a b i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli a c) (l_e_st_eq_landau_n_rt_rp_r_c_pli b c)).

(* constant 4931 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isrecx2 ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is a b.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_pli c t) a b i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli c a) (l_e_st_eq_landau_n_rt_rp_r_c_pli c b)).

(* constant 4932 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λd:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is a b.λj:l_e_st_eq_landau_n_rt_rp_r_is c d.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pli a c) (l_e_st_eq_landau_n_rt_rp_r_c_pli b c) (l_e_st_eq_landau_n_rt_rp_r_c_pli b d) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx1 a b c i) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx2 c d b j) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli a c) (l_e_st_eq_landau_n_rt_rp_r_c_pli b d)).

(* constant 4933 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz206 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x : l_e_st_eq_landau_n_rt_rp_r_c_is x x).

(* constant 4934 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz207 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx x y i : l_e_st_eq_landau_n_rt_rp_r_c_is y x).

(* constant 4935 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz208 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_c_is y z.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx x y z i j : l_e_st_eq_landau_n_rt_rp_r_c_is x z).

(* constant 4936 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_0c ≝ (l_e_st_eq_landau_n_rt_rp_r_c_pli l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 4937 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_1c ≝ (l_e_st_eq_landau_n_rt_rp_r_c_pli l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0 : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 4938 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_pl ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 4939 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_plis12a ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λd:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli c d))) (l_e_st_eq_landau_n_rt_rp_r_pl a c) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli c d))) (l_e_st_eq_landau_n_rt_rp_r_pl b d) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) a (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) c (l_e_st_eq_landau_n_rt_rp_r_c_reis a b) (l_e_st_eq_landau_n_rt_rp_r_c_reis c d)) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) b (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) d (l_e_st_eq_landau_n_rt_rp_r_c_imis a b) (l_e_st_eq_landau_n_rt_rp_r_c_imis c d)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl a c) (l_e_st_eq_landau_n_rt_rp_r_pl b d))).

(* constant 4940 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_plis12b ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λd:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl a c) (l_e_st_eq_landau_n_rt_rp_r_pl b d)) (l_e_st_eq_landau_n_rt_rp_r_c_plis12a a b c d) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl a c) (l_e_st_eq_landau_n_rt_rp_r_pl b d)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d))).

(* constant 4941 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_plis1a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_pl s (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ispl1 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) r (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_reis r s)) (l_e_st_eq_landau_n_rt_rp_r_ispl1 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) s (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_imis r s)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_pl s (l_e_st_eq_landau_n_rt_rp_r_c_im x)))).

(* constant 4942 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_plis1b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_pl s (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_plis1a x r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_pl s (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x)).

(* constant 4943 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_plis2a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) s) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) r (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_reis r s)) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) s (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_imis r s)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) s))).

(* constant 4944 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_plis2b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) s)) (l_e_st_eq_landau_n_rt_rp_r_c_plis2a x r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) s)) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s))).

(* constant 4945 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ispl1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_pl t z) x y i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)).

(* constant 4946 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ispl2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_pl z t) x y i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl z x) (l_e_st_eq_landau_n_rt_rp_r_c_pl z y)).

(* constant 4947 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ispl12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_c_is z u.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) (l_e_st_eq_landau_n_rt_rp_r_c_ispl1 x y z i) (l_e_st_eq_landau_n_rt_rp_r_c_ispl2 z u y j) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_pl y u)).

(* constant 4948 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz209 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl y x)).

(* constant 4949 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_compl ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz209 x y : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl y x)).

(* constant 4950 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz210 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) x (l_e_st_eq_landau_n_rt_rp_r_c_plis2a x l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_c_pliis x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x l_e_st_eq_landau_n_rt_rp_r_c_0c) x).

(* constant 4951 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz210a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl x l_e_st_eq_landau_n_rt_rp_r_c_0c) x (l_e_st_eq_landau_n_rt_rp_r_c_satz210 x) : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_pl x l_e_st_eq_landau_n_rt_rp_r_c_0c)).

(* constant 4952 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz210b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl l_e_st_eq_landau_n_rt_rp_r_c_0c x) (l_e_st_eq_landau_n_rt_rp_r_c_pl x l_e_st_eq_landau_n_rt_rp_r_c_0c) x (l_e_st_eq_landau_n_rt_rp_r_c_compl l_e_st_eq_landau_n_rt_rp_r_c_0c x) (l_e_st_eq_landau_n_rt_rp_r_c_satz210 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl l_e_st_eq_landau_n_rt_rp_r_c_0c x) x).

(* constant 4953 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz210c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl l_e_st_eq_landau_n_rt_rp_r_c_0c x) x (l_e_st_eq_landau_n_rt_rp_r_c_satz210b x) : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_pl l_e_st_eq_landau_n_rt_rp_r_c_0c x)).

(* constant 4954 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz211 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)))) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_plis1a z (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_asspl1 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_asspl1 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_c_plis2b x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z))).

(* constant 4955 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_asspl1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz211 x y z : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z))).

(* constant 4956 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_asspl2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_asspl1 x y z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z)).

(* constant 4957 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_2212_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) x.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re u)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pl y u)) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_isre (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re u)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im u))) (l_e_st_eq_landau_n_rt_rp_r_c_iscere (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) x i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re u)) (l_e_st_eq_landau_n_rt_rp_r_c_re x)).

(* constant 4958 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_2212_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) x.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im u)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pl y u)) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_isim (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re u)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im u))) (l_e_st_eq_landau_n_rt_rp_r_c_isceim (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) x i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im u)) (l_e_st_eq_landau_n_rt_rp_r_c_im x)).

(* constant 4959 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_2212_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) x.(l_e_st_eq_landau_n_rt_rp_r_satz187d (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re u) (l_e_st_eq_landau_n_rt_rp_r_c_2212_t1 x y u i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re u) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y))).

(* constant 4960 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_2212_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) x.(l_e_st_eq_landau_n_rt_rp_r_satz187d (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im u) (l_e_st_eq_landau_n_rt_rp_r_c_2212_t2 x y u i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im u) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))).

(* constant 4961 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz212a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) x.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx u (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re u) (l_e_st_eq_landau_n_rt_rp_r_c_im u)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_ispli u) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_c_re u) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im u) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_2212_t3 x y u i) (l_e_st_eq_landau_n_rt_rp_r_c_2212_t4 x y u i)) : l_e_st_eq_landau_n_rt_rp_r_c_is u (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)))).

(* constant 4962 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz212b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl y (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) x (l_e_st_eq_landau_n_rt_rp_r_c_plis2a y (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_satz187a (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_satz187a (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_pliis x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) x).

(* constant 4963 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz212c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_somei l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y t) x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_satz212b x y) : l_e_st_eq_landau_n_rt_rp_r_c_some (λt:l_e_st_eq_landau_n_rt_rp_r_c_complex.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y t) x)).

(* constant 4964 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz212 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_onei l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y t) x) (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y t) x.λw:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) x.l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx t u (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_satz212a x y t v) (l_e_st_eq_landau_n_rt_rp_r_c_satz212a x y u w)) (l_e_st_eq_landau_n_rt_rp_r_c_satz212c x y) : l_e_st_eq_landau_n_rt_rp_r_c_one (λt:l_e_st_eq_landau_n_rt_rp_r_c_complex.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y t) x)).

(* constant 4965 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_mn ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 4966 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_mnis12a ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λd:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli c d))) (l_e_st_eq_landau_n_rt_rp_r_mn a c) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli c d))) (l_e_st_eq_landau_n_rt_rp_r_mn b d) (l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) a (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) c (l_e_st_eq_landau_n_rt_rp_r_c_reis a b) (l_e_st_eq_landau_n_rt_rp_r_c_reis c d)) (l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) b (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) d (l_e_st_eq_landau_n_rt_rp_r_c_imis a b) (l_e_st_eq_landau_n_rt_rp_r_c_imis c d)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn a c) (l_e_st_eq_landau_n_rt_rp_r_mn b d))).

(* constant 4967 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_mnis12b ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λd:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn a c) (l_e_st_eq_landau_n_rt_rp_r_mn b d)) (l_e_st_eq_landau_n_rt_rp_r_c_mnis12a a b c d) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn a c) (l_e_st_eq_landau_n_rt_rp_r_mn b d)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d))).

(* constant 4968 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_mnis1a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_mn r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_mn s (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) r (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_reis r s)) (l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) s (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_imis r s)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_mn s (l_e_st_eq_landau_n_rt_rp_r_c_im x)))).

(* constant 4969 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_mnis1b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_mn s (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_mnis1a x r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_mn s (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x)).

(* constant 4970 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_mnis2a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) s) (l_e_st_eq_landau_n_rt_rp_r_ismn2 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) r (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_reis r s)) (l_e_st_eq_landau_n_rt_rp_r_ismn2 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) s (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_imis r s)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) s))).

(* constant 4971 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_mnis2b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) s)) (l_e_st_eq_landau_n_rt_rp_r_c_mnis2a x r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) s)) (l_e_st_eq_landau_n_rt_rp_r_c_mn x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s))).

(* constant 4972 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ismn1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_mn t z) x y i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x z) (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)).

(* constant 4973 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ismn2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_mn z t) x y i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn z x) (l_e_st_eq_landau_n_rt_rp_r_c_mn z y)).

(* constant 4974 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ismn12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_c_is z u.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn x z) (l_e_st_eq_landau_n_rt_rp_r_c_mn y z) (l_e_st_eq_landau_n_rt_rp_r_c_mn y u) (l_e_st_eq_landau_n_rt_rp_r_c_ismn1 x y z i) (l_e_st_eq_landau_n_rt_rp_r_c_ismn2 z u y j) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x z) (l_e_st_eq_landau_n_rt_rp_r_c_mn y u)).

(* constant 4975 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz212d ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) x.(l_e_st_eq_landau_n_rt_rp_r_c_satz212a x y u i : l_e_st_eq_landau_n_rt_rp_r_c_is u (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)).

(* constant 4976 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz212e ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) x.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx u (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_satz212d x y u i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) u).

(* constant 4977 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz212f ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl u y) x.(l_e_st_eq_landau_n_rt_rp_r_c_satz212d x y u (l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) (l_e_st_eq_landau_n_rt_rp_r_c_pl u y) x (l_e_st_eq_landau_n_rt_rp_r_c_compl y u) i) : l_e_st_eq_landau_n_rt_rp_r_c_is u (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)).

(* constant 4978 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz212g ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl u y) x.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx u (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_satz212f x y u i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) u).

(* constant 4979 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz212h ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz212b x y : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl y (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) x).

(* constant 4980 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_2213_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_re l_e_st_eq_landau_n_rt_rp_r_c_0c) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_isre (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_iscere (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) l_e_st_eq_landau_n_rt_rp_r_c_0c i) (l_e_st_eq_landau_n_rt_rp_r_c_reis l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4981 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_2213_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_im l_e_st_eq_landau_n_rt_rp_r_c_0c) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_isim (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_isceim (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) l_e_st_eq_landau_n_rt_rp_r_c_0c i) (l_e_st_eq_landau_n_rt_rp_r_c_imis l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4982 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_2213_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_satz182b (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_2213_t1 x y i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)).

(* constant 4983 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_2213_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_satz182b (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_2213_t2 x y i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)).

(* constant 4984 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz213a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) y (l_e_st_eq_landau_n_rt_rp_r_c_ispli x) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_2213_t3 x y i) (l_e_st_eq_landau_n_rt_rp_r_c_2213_t4 x y i)) (l_e_st_eq_landau_n_rt_rp_r_c_pliis y) : l_e_st_eq_landau_n_rt_rp_r_c_is x y).

(* constant 4985 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_2213_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_st_eq_landau_n_rt_rp_r_satz182e (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_iscere x y i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4986 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_2213_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_st_eq_landau_n_rt_rp_r_satz182e (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_isceim x y i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 4987 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz213b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_2213_t5 x y i) (l_e_st_eq_landau_n_rt_rp_r_c_2213_t6 x y i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 4988 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_m0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_mn l_e_st_eq_landau_n_rt_rp_r_c_0c x : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 4989 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz214 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_im l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_pl01 (l_e_st_eq_landau_n_rt_rp_r_c_re l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_reis l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_pl01 (l_e_st_eq_landau_n_rt_rp_r_c_im l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_imis l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))).

(* constant 4990 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz214a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_satz214 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)).

(* constant 4991 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_m0isa ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 a) (l_e_st_eq_landau_n_rt_rp_r_m0 b)) (l_e_st_eq_landau_n_rt_rp_r_c_satz214 (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b))) (l_e_st_eq_landau_n_rt_rp_r_m0 a) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b))) (l_e_st_eq_landau_n_rt_rp_r_m0 b) (l_e_st_eq_landau_n_rt_rp_r_ism0 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) a (l_e_st_eq_landau_n_rt_rp_r_c_reis a b)) (l_e_st_eq_landau_n_rt_rp_r_ism0 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) b (l_e_st_eq_landau_n_rt_rp_r_c_imis a b))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 a) (l_e_st_eq_landau_n_rt_rp_r_m0 b))).

(* constant 4992 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_m0isb ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 a) (l_e_st_eq_landau_n_rt_rp_r_m0 b)) (l_e_st_eq_landau_n_rt_rp_r_c_m0isa a b) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 a) (l_e_st_eq_landau_n_rt_rp_r_m0 b)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pli a b))).

(* constant 4993 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ism0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_m0 t) x y i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)).

(* constant 4994 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz215 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) x (l_e_st_eq_landau_n_rt_rp_r_c_ism0 (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_satz214 x)) (l_e_st_eq_landau_n_rt_rp_r_c_m0isa (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x))) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_satz177 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_satz177 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_pliis x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) x).

(* constant 4995 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz215a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) x (l_e_st_eq_landau_n_rt_rp_r_c_satz215 x) : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_m0 x))).

(* constant 4996 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz215b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) y (l_e_st_eq_landau_n_rt_rp_r_c_ism0 x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y) i) (l_e_st_eq_landau_n_rt_rp_r_c_satz215 y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y).

(* constant 4997 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz215c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y).(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y (l_e_st_eq_landau_n_rt_rp_r_c_satz215b x y i) : l_e_st_eq_landau_n_rt_rp_r_c_is y (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)).

(* constant 4998 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz215d ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y.(l_e_st_eq_landau_n_rt_rp_r_c_satz215c y x (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y i) : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)).

(* constant 4999 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz215e ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y) (l_e_st_eq_landau_n_rt_rp_r_c_satz215d x y i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 y) x).

(* constant 5000 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz216 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) x (l_e_st_eq_landau_n_rt_rp_r_c_satz214 x)) (l_e_st_eq_landau_n_rt_rp_r_c_plis2a x (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x))) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_satz179 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_satz179 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5001 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_2216_anders ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz212h l_e_st_eq_landau_n_rt_rp_r_c_0c x : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5002 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz216a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) x) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_compl (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) x) (l_e_st_eq_landau_n_rt_rp_r_c_satz216 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) x) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5003 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz217 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_m0isa (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_satz180 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_satz180 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_plis12b (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_m0 y) (l_e_st_eq_landau_n_rt_rp_r_c_satz214a x) (l_e_st_eq_landau_n_rt_rp_r_c_satz214a y)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 y))).

(* constant 5004 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz217a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz217 x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pl x y))).

(* constant 5005 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz218 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_plis2b x (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_m0 y) x (l_e_st_eq_landau_n_rt_rp_r_c_satz214a y)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y))).

(* constant 5006 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz218a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz218 x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)).

(* constant 5007 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_2219_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y))) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_m0 y))) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y) (l_e_st_eq_landau_n_rt_rp_r_c_ism0 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz218 x y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz217 x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) y (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_satz215 y)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y)).

(* constant 5008 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz219 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y) (l_e_st_eq_landau_n_rt_rp_r_c_pl y (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_mn y x) (l_e_st_eq_landau_n_rt_rp_r_c_2219_t1 x y) (l_e_st_eq_landau_n_rt_rp_r_c_compl (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y) (l_e_st_eq_landau_n_rt_rp_r_c_satz218a y x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_mn y x)).

(* constant 5009 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz219a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_mn y x)) (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_satz219 y x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_mn y x))).

(* constant 5010 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ts ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 5011 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_rets ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5012 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_imts ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5013 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λd:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli c d))) (l_e_st_eq_landau_n_rt_rp_r_ts a c) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli c d))) (l_e_st_eq_landau_n_rt_rp_r_ts b d) (l_e_st_eq_landau_n_rt_rp_r_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) a (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) c (l_e_st_eq_landau_n_rt_rp_r_c_reis a b) (l_e_st_eq_landau_n_rt_rp_r_c_reis c d)) (l_e_st_eq_landau_n_rt_rp_r_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) b (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) d (l_e_st_eq_landau_n_rt_rp_r_c_imis a b) (l_e_st_eq_landau_n_rt_rp_r_c_imis c d)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_rets (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts a c) (l_e_st_eq_landau_n_rt_rp_r_ts b d))).

(* constant 5014 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λd:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli c d))) (l_e_st_eq_landau_n_rt_rp_r_ts a d) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli c d))) (l_e_st_eq_landau_n_rt_rp_r_ts b c) (l_e_st_eq_landau_n_rt_rp_r_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) a (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) d (l_e_st_eq_landau_n_rt_rp_r_c_reis a b) (l_e_st_eq_landau_n_rt_rp_r_c_imis c d)) (l_e_st_eq_landau_n_rt_rp_r_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) b (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) c (l_e_st_eq_landau_n_rt_rp_r_c_imis a b) (l_e_st_eq_landau_n_rt_rp_r_c_reis c d)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_imts (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts a d) (l_e_st_eq_landau_n_rt_rp_r_ts b c))).

(* constant 5015 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_tsis12a ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λd:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_c_rets (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts a c) (l_e_st_eq_landau_n_rt_rp_r_ts b d)) (l_e_st_eq_landau_n_rt_rp_r_c_imts (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts a d) (l_e_st_eq_landau_n_rt_rp_r_ts b c)) (l_e_st_eq_landau_n_rt_rp_r_c_v3_t1 a b c d) (l_e_st_eq_landau_n_rt_rp_r_c_v3_t2 a b c d) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts a c) (l_e_st_eq_landau_n_rt_rp_r_ts b d)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts a d) (l_e_st_eq_landau_n_rt_rp_r_ts b c)))).

(* constant 5016 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_tsis12b ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λd:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts a c) (l_e_st_eq_landau_n_rt_rp_r_ts b d)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts a d) (l_e_st_eq_landau_n_rt_rp_r_ts b c))) (l_e_st_eq_landau_n_rt_rp_r_c_tsis12a a b c d) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts a c) (l_e_st_eq_landau_n_rt_rp_r_ts b d)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts a d) (l_e_st_eq_landau_n_rt_rp_r_ts b c))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli a b) (l_e_st_eq_landau_n_rt_rp_r_c_pli c d))).

(* constant 5017 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) r (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_reis r s)) (l_e_st_eq_landau_n_rt_rp_r_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) s (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_imis r s)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_rets (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_c_im x)))).

(* constant 5018 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) r (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_reis r s)) (l_e_st_eq_landau_n_rt_rp_r_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) s (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_imis r s)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_imts (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_c_re x)))).

(* constant 5019 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_tsis1a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_c_rets (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_imts (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_c_re x))) (l_e_st_eq_landau_n_rt_rp_r_c_v3_t3 x r s) (l_e_st_eq_landau_n_rt_rp_r_c_v3_t4 x r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_c_re x))))).

(* constant 5020 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_tsis1b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_c_re x)))) (l_e_st_eq_landau_n_rt_rp_r_c_tsis1a x r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_c_re x)))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) x)).

(* constant 5021 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) s) (l_e_st_eq_landau_n_rt_rp_r_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) r (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_reis r s)) (l_e_st_eq_landau_n_rt_rp_r_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) s (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_imis r s)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_rets x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) s))).

(* constant 5022 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) r) (l_e_st_eq_landau_n_rt_rp_r_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) s (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_imis r s)) (l_e_st_eq_landau_n_rt_rp_r_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) r (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_reis r s)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_imts x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) r))).

(* constant 5023 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_tsis2a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_c_rets x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) s)) (l_e_st_eq_landau_n_rt_rp_r_c_imts x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) r)) (l_e_st_eq_landau_n_rt_rp_r_c_v3_t5 x r s) (l_e_st_eq_landau_n_rt_rp_r_c_v3_t6 x r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) r)))).

(* constant 5024 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_tsis2b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) r))) (l_e_st_eq_landau_n_rt_rp_r_c_tsis2a x r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) s)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) s) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) r))) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_pli r s))).

(* constant 5025 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ists1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t z) x y i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)).

(* constant 5026 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ists2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts z t) x y i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts z x) (l_e_st_eq_landau_n_rt_rp_r_c_ts z y)).

(* constant 5027 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ists12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_c_is z u.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_ists1 x y z i) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 z u y j) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u)).

(* constant 5028 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3220_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_comts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_comts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_rets y x)).

(* constant 5029 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3220_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_imts y x) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_comts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_comts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_imts y x)).

(* constant 5030 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz220 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_rets y x) (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_imts y x) (l_e_st_eq_landau_n_rt_rp_r_c_3220_t1 x y) (l_e_st_eq_landau_n_rt_rp_r_c_3220_t2 x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts y x)).

(* constant 5031 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_comts ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz220 x y : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts y x)).

(* constant 5032 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re l_e_st_eq_landau_n_rt_rp_r_c_0c) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_iscere x l_e_st_eq_landau_n_rt_rp_r_c_0c i) (l_e_st_eq_landau_n_rt_rp_r_c_reis l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5033 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im l_e_st_eq_landau_n_rt_rp_r_c_0c) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_isceim x l_e_st_eq_landau_n_rt_rp_r_c_0c i) (l_e_st_eq_landau_n_rt_rp_r_c_imis l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5034 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_mod2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5035 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma1 x i)) (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma2 x i))) (l_e_st_eq_landau_n_rt_rp_r_pl01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5036 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_re2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5037 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_im2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5038 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c) n (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0.l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_ispli x) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0 i t)) : l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5039 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_ispos (l_e_st_eq_landau_n_rt_rp_r_c_v3_im2 x) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_c_v3_im2 x) (l_e_st_eq_landau_n_rt_rp_r_pl01 (l_e_st_eq_landau_n_rt_rp_r_c_v3_re2 x) (l_e_st_eq_landau_n_rt_rp_r_c_v3_im2 x) (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x) i))) (l_e_st_eq_landau_n_rt_rp_r_possq (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_v3_t7 x n i)) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x)).

(* constant 5040 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_ispos (l_e_st_eq_landau_n_rt_rp_r_c_v3_re2 x) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_c_v3_re2 x) (l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_c_v3_re2 x) (l_e_st_eq_landau_n_rt_rp_r_c_v3_im2 x) (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x) i))) (l_e_st_eq_landau_n_rt_rp_r_possq (l_e_st_eq_landau_n_rt_rp_r_c_re x) o) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x)).

(* constant 5041 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0.λp:l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_pospl (l_e_st_eq_landau_n_rt_rp_r_c_v3_re2 x) (l_e_st_eq_landau_n_rt_rp_r_c_v3_im2 x) (l_e_st_eq_landau_n_rt_rp_r_possq (l_e_st_eq_landau_n_rt_rp_r_c_re x) o) (l_e_st_eq_landau_n_rt_rp_r_possq (l_e_st_eq_landau_n_rt_rp_r_c_im x) p) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x)).

(* constant 5042 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v3_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x)) (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_v3_t9 x n o t) (λt:l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_v3_t10 x n o t) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x)).

(* constant 5043 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x)) (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_v3_t8 x n t) (λt:l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_v3_t11 x n t) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x)).

(* constant 5044 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x))) (λt:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_0notn (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma3 x t)) (λt:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_pnotn (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma4 x t)) : l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x))).

(* constant 5045 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_lemma1 x i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5046 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_lemma2 x i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5047 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_mn l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t1 x y i)) (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t2 x y i))) (l_e_st_eq_landau_n_rt_rp_r_satz187c l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pl02 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5048 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t1 x y i)) (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t2 x y i))) (l_e_st_eq_landau_n_rt_rp_r_pl02 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5049 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz221a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_3221_t3 x y i) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t4 x y i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5050 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz221b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts y x) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_comts x y) (l_e_st_eq_landau_n_rt_rp_r_c_satz221a y x i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5051 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_lemma4 y n : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y)).

(* constant 5052 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_reis (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_imts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma1 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5053 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_imis (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_imts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma2 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5054 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t6 x y i n)) (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t7 x y i n))) (l_e_st_eq_landau_n_rt_rp_r_pl02 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5055 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_ii1r ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_re y) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5056 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ir ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5057 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_ir1i ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5058 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5059 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_rr1r ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_re y) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5060 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_r1rr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5061 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_ri1r ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_re y) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5062 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ir ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5063 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_ri1i ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5064 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ii ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5065 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_3221_ii1r x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ir x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y) (l_e_st_eq_landau_n_rt_rp_r_assts1 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ists2 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_comts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_3221_ii1r x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y)).

(* constant 5066 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3221_rr1r x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_ii1r x y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1rr x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y)) (l_e_st_eq_landau_n_rt_rp_r_disttm1 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_c_3221_rr1r x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1rr x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_ii1r x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y) (l_e_st_eq_landau_n_rt_rp_r_assts1 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t9 x y i n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1rr x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y))).

(* constant 5067 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3221_ri1i x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_ir1i x y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ii x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ii x y)) (l_e_st_eq_landau_n_rt_rp_r_disttp1 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_3221_ri1i x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ii x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_ir1i x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y) (l_e_st_eq_landau_n_rt_rp_r_assts1 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_assts1 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ii x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ii x y))).

(* constant 5068 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1rr x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ii x y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1rr x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y)) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y)) (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ii x y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1rr x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ii x y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y)) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1rr x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ii x y)) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t10 x y i n) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t11 x y i n)) (l_e_st_eq_landau_n_rt_rp_r_asspl2 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1rr x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y)) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ii x y)) (l_e_st_eq_landau_n_rt_rp_r_ispl1 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1rr x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y)) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y)) (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1rr x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1ii x y) (l_e_st_eq_landau_n_rt_rp_r_plmn (l_e_st_eq_landau_n_rt_rp_r_c_3221_r1rr x y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_i1ri x y))) (l_e_st_eq_landau_n_rt_rp_r_distpt2 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y))).

(* constant 5069 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t13 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t12 x y i n) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t8 x y i n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5070 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t14 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_ore1 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_satz192c (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t13 x y i n)) (l_e_st_eq_landau_n_rt_rp_r_pnot0 (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t5 x y i n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5071 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t15 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_satz182b (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t6 x y i n)) (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t14 x y i n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5072 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t16 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_pl01 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t14 x y i n))) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t7 x y i n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5073 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t17 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λj:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re y) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_c_v3_t7 y n j : l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_im y) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5074 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t18 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λj:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re y) l_e_st_eq_landau_n_rt_rp_r_0.(l_ore1 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im y) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_satz192c (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t15 x y i n)) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t17 x y i n j) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5075 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t19 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_re y) l_e_st_eq_landau_n_rt_rp_r_0.(l_ore1 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re y) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_satz192c (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t16 x y i n)) o : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5076 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t20 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re y) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0) (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re y) l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_3221_t18 x y i n t) (λt:l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_re y) l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_3221_t19 x y i n t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5077 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3221_t21 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_ispli x) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_3221_t14 x y i n) (l_e_st_eq_landau_n_rt_rp_r_c_3221_t20 x y i n)) : l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5078 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz221c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_or_th2 (l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is y l_e_st_eq_landau_n_rt_rp_r_c_0c) (λt:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_3221_t21 x y i t) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is y l_e_st_eq_landau_n_rt_rp_r_c_0c)).

(* constant 5079 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz221d ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_or (l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_or_th3 (l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is y l_e_st_eq_landau_n_rt_rp_r_c_0c) n o) (λt:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_satz221c x y t) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5080 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3222_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_satz195 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts02 (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_satz176b l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_re x)).

(* constant 5081 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3222_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_ts02 (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_satz195 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_pl01 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_c_im x)).

(* constant 5082 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz222 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_1rl))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) x (l_e_st_eq_landau_n_rt_rp_r_c_tsis2a x l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_3222_t1 x) (l_e_st_eq_landau_n_rt_rp_r_c_3222_t2 x)) (l_e_st_eq_landau_n_rt_rp_r_c_pliis x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x l_e_st_eq_landau_n_rt_rp_r_c_1c) x).

(* constant 5083 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz222a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x l_e_st_eq_landau_n_rt_rp_r_c_1c) x (l_e_st_eq_landau_n_rt_rp_r_c_satz222 x) : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_ts x l_e_st_eq_landau_n_rt_rp_r_c_1c)).

(* constant 5084 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz222b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c x) (l_e_st_eq_landau_n_rt_rp_r_c_ts x l_e_st_eq_landau_n_rt_rp_r_c_1c) x (l_e_st_eq_landau_n_rt_rp_r_c_comts l_e_st_eq_landau_n_rt_rp_r_c_1c x) (l_e_st_eq_landau_n_rt_rp_r_c_satz222 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c x) x).

(* constant 5085 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz222c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c x) x (l_e_st_eq_landau_n_rt_rp_r_c_satz222b x) : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c x)).

(* constant 5086 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3223_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_satz197b (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ism0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_satz195 (l_e_st_eq_landau_n_rt_rp_r_c_re x)))) (l_e_st_eq_landau_n_rt_rp_r_ts02 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_satz176b l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)))) (l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_satz176b l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x))).

(* constant 5087 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3223_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl))) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts02 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_satz176b l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_satz197b (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ism0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_satz195 (l_e_st_eq_landau_n_rt_rp_r_c_im x))))) (l_e_st_eq_landau_n_rt_rp_r_pl01 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))).

(* constant 5088 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz223 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0)) x (l_e_st_eq_landau_n_rt_rp_r_c_m0isa l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_tsis2a x (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_3223_t1 x) (l_e_st_eq_landau_n_rt_rp_r_c_3223_t2 x)) (l_e_st_eq_landau_n_rt_rp_r_c_satz214a x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)).

(* constant 5089 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz223a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_satz223 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c))).

(* constant 5090 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz223b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_comts (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c) x) (l_e_st_eq_landau_n_rt_rp_r_c_satz223 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c) x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)).

(* constant 5091 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz223c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c) x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_satz223b x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c) x)).

(* constant 5092 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3224_rxry ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5093 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3224_ixiy ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5094 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3224_rxiy ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5095 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3224_ixry ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5096 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3224_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxry x y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixiy x y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxry x y)) (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixiy x y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixiy x y) (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxry x y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxry x y) (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixiy x y))) (l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxry x y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixiy x y)) (l_e_st_eq_landau_n_rt_rp_r_satz197a (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_satz197a (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixiy x y))) (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixiy x y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxry x y)) (l_e_st_eq_landau_n_rt_rp_r_satz177 (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixiy x y))) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxry x y)) (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixiy x y)) (l_e_st_eq_landau_n_rt_rp_r_satz181a (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixiy x y) (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxry x y)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxry x y) (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixiy x y)))).

(* constant 5097 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3224_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxiy x y)) (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixry x y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxiy x y) (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixry x y))) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxiy x y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixry x y)) (l_e_st_eq_landau_n_rt_rp_r_satz197a (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_satz197a (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_satz180a (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxiy x y) (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixry x y)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3224_rxiy x y) (l_e_st_eq_landau_n_rt_rp_r_c_3224_ixry x y)))).

(* constant 5098 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz224a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) y) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y))))) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) y (l_e_st_eq_landau_n_rt_rp_r_c_satz214 x)) (l_e_st_eq_landau_n_rt_rp_r_c_tsis1a y (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) (l_e_st_eq_landau_n_rt_rp_r_c_3224_t1 x y) (l_e_st_eq_landau_n_rt_rp_r_c_3224_t2 x y)) (l_e_st_eq_landau_n_rt_rp_r_c_m0isb (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y))).

(* constant 5099 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz224b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 y) x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_ts y x)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_comts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz224a y x) (l_e_st_eq_landau_n_rt_rp_r_c_ism0 (l_e_st_eq_landau_n_rt_rp_r_c_ts y x) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_comts y x)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y))).

(* constant 5100 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz224c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz224a x y) (l_e_st_eq_landau_n_rt_rp_r_c_satz224b x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y))).

(* constant 5101 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz224d ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz224c x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y)).

(* constant 5102 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz224e ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz224a x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) y)).

(* constant 5103 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz224f ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz224b x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y))).

(* constant 5104 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz225 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_m0 y))) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_satz224c x (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) y x (l_e_st_eq_landau_n_rt_rp_r_c_satz215 y)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)).

(* constant 5105 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz225a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_satz225 x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_m0 y))).

(* constant 5106 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_re z) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5107 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_iir ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_re z) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5108 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_rii ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_im z) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5109 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_iri ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im z) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5110 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_rri ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im z) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5111 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_iii ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_im z) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5112 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_rir ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_re z) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5113 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_irr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_re z) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5114 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z))))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)))) (l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)) (l_e_st_eq_landau_n_rt_rp_r_disttm1 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_disttp1 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_asspl1 (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)))) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)))) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_satz180a (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z))))).

(* constant 5115 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z)) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_disttm1 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_disttp1 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z))) (l_e_st_eq_landau_n_rt_rp_r_asspl2 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z))).

(* constant 5116 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z))) (l_e_st_eq_landau_n_rt_rp_r_c_tsis1a z (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_imts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t2 x y z)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z)))).

(* constant 5117 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t4 ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts a b) c) (l_e_st_eq_landau_n_rt_rp_r_ts a (l_e_st_eq_landau_n_rt_rp_r_ts b c)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts b c) a) (l_e_st_eq_landau_n_rt_rp_r_assts1 a b c) (l_e_st_eq_landau_n_rt_rp_r_comts a (l_e_st_eq_landau_n_rt_rp_r_ts b c)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts a b) c) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_ts b c) a)).

(* constant 5118 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t5 ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a b) c) (l_e_st_eq_landau_n_rt_rp_r_pl c (l_e_st_eq_landau_n_rt_rp_r_pl a b)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl c a) b) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_pl a b) c) (l_e_st_eq_landau_n_rt_rp_r_asspl2 c a b) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a b) c) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl c a) b)).

(* constant 5119 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t6 ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl a (l_e_st_eq_landau_n_rt_rp_r_pl b c)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl b c) a) (l_e_st_eq_landau_n_rt_rp_r_pl b (l_e_st_eq_landau_n_rt_rp_r_pl c a)) (l_e_st_eq_landau_n_rt_rp_r_compl a (l_e_st_eq_landau_n_rt_rp_r_pl b c)) (l_e_st_eq_landau_n_rt_rp_r_asspl1 b c a) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl a (l_e_st_eq_landau_n_rt_rp_r_pl b c)) (l_e_st_eq_landau_n_rt_rp_r_pl b (l_e_st_eq_landau_n_rt_rp_r_pl c a))).

(* constant 5120 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr y z x : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5121 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_iir1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_3226_iir y z x : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5122 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_3226_rii y z x : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5123 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_3226_iri y z x : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5124 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_rri1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_3226_rri y z x : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5125 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_iii1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_3226_iii y z x : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5126 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_3226_rir y z x : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5127 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_3226_irr y z x : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5128 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 x y z))) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t6 (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t4 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t4 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t4 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 x y z)))).

(* constant 5129 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t5 (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z)) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri1 x y z) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t4 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t4 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t4 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri1 x y z))).

(* constant 5130 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 x y z))) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t4 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t7 x y z) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 x y z))))).

(* constant 5131 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t8 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t4 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii1 x y z))).

(* constant 5132 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 x y z)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii1 x y z))) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t3 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri x y z)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 x y z)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii x y z)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t9 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t10 x y z)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 x y z)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii1 x y z)))).

(* constant 5133 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 x y z)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii1 x y z))) (l_e_st_eq_landau_n_rt_rp_r_c_comts x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t3 y z x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 x y z)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii1 x y z)))).

(* constant 5134 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3226_t13 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_3226_rrr1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_iir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rii1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iri1 x y z)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3226_rir1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_irr1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_rri1 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_3226_iii1 x y z))) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t11 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3226_t12 x y z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z))).

(* constant 5135 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz226 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_3226_t13 x y z : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z))).

(* constant 5136 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_assts1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz226 x y z : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z))).

(* constant 5137 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_assts2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_assts1 x y z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z)).

(* constant 5138 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3227_t1 ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a b) c) (l_e_st_eq_landau_n_rt_rp_r_pl a (l_e_st_eq_landau_n_rt_rp_r_pl b c)) (l_e_st_eq_landau_n_rt_rp_r_pl a (l_e_st_eq_landau_n_rt_rp_r_pl c b)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a c) b) (l_e_st_eq_landau_n_rt_rp_r_asspl1 a b c) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_pl b c) (l_e_st_eq_landau_n_rt_rp_r_pl c b) a (l_e_st_eq_landau_n_rt_rp_r_compl b c)) (l_e_st_eq_landau_n_rt_rp_r_asspl2 a c b) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a b) c) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a c) b)).

(* constant 5139 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3227_t2 ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λd:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a b) (l_e_st_eq_landau_n_rt_rp_r_pl c d)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a b) c) d) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a c) b) d) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a c) (l_e_st_eq_landau_n_rt_rp_r_pl b d)) (l_e_st_eq_landau_n_rt_rp_r_asspl2 (l_e_st_eq_landau_n_rt_rp_r_pl a b) c d) (l_e_st_eq_landau_n_rt_rp_r_ispl1 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a b) c) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a c) b) d (l_e_st_eq_landau_n_rt_rp_r_c_3227_t1 a b c)) (l_e_st_eq_landau_n_rt_rp_r_asspl1 (l_e_st_eq_landau_n_rt_rp_r_pl a c) b d) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a b) (l_e_st_eq_landau_n_rt_rp_r_pl c d)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a c) (l_e_st_eq_landau_n_rt_rp_r_pl b d))).

(* constant 5140 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3227_t3 ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.λc:l_e_st_eq_landau_n_rt_rp_r_real.λd:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl a b) (l_e_st_eq_landau_n_rt_rp_r_pl c d)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl a b) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 c) (l_e_st_eq_landau_n_rt_rp_r_m0 d))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn a c) (l_e_st_eq_landau_n_rt_rp_r_mn b d)) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl c d)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 c) (l_e_st_eq_landau_n_rt_rp_r_m0 d)) (l_e_st_eq_landau_n_rt_rp_r_pl a b) (l_e_st_eq_landau_n_rt_rp_r_satz180 c d)) (l_e_st_eq_landau_n_rt_rp_r_c_3227_t2 a b (l_e_st_eq_landau_n_rt_rp_r_m0 c) (l_e_st_eq_landau_n_rt_rp_r_m0 d)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl a b) (l_e_st_eq_landau_n_rt_rp_r_pl c d)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn a c) (l_e_st_eq_landau_n_rt_rp_r_mn b d))).

(* constant 5141 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3227_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im z)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_rets x z)) (l_e_st_eq_landau_n_rt_rp_r_ismn12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_disttp2 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_disttp2 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_c_3227_t3 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_rets x z))).

(* constant 5142 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3227_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re z)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_imts x z)) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_disttp2 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_disttp2 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_c_3227_t2 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im z)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_imts x z))).

(* constant 5143 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3227_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_rets x z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_imts x z))) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z)) (l_e_st_eq_landau_n_rt_rp_r_c_tsis2a x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_rets x z)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im z))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re z)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_imts x z)) (l_e_st_eq_landau_n_rt_rp_r_c_3227_t4 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_3227_t5 x y z)) (l_e_st_eq_landau_n_rt_rp_r_c_plis12b (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_imts x y) (l_e_st_eq_landau_n_rt_rp_r_c_rets x z) (l_e_st_eq_landau_n_rt_rp_r_c_imts x z)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z))).

(* constant 5144 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz227 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_3227_t6 x y z : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z))).

(* constant 5145 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_disttp1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts z x) (l_e_st_eq_landau_n_rt_rp_r_c_ts z y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_comts (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_satz227 z x y) (l_e_st_eq_landau_n_rt_rp_r_c_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_ts z x) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts z y) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_comts z x) (l_e_st_eq_landau_n_rt_rp_r_c_comts z y)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z))).

(* constant 5146 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_disttp2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz227 x y z : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z))).

(* constant 5147 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_distpt1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_disttp1 x y z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z)).

(* constant 5148 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_distpt2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z)) (l_e_st_eq_landau_n_rt_rp_r_c_disttp2 x y z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z))).

(* constant 5149 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz228 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_pl y (l_e_st_eq_landau_n_rt_rp_r_c_m0 z))) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 z))) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x z))) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z)) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_mn y z) (l_e_st_eq_landau_n_rt_rp_r_c_pl y (l_e_st_eq_landau_n_rt_rp_r_c_m0 z)) x (l_e_st_eq_landau_n_rt_rp_r_c_satz218 y z)) (l_e_st_eq_landau_n_rt_rp_r_c_disttp2 x y (l_e_st_eq_landau_n_rt_rp_r_c_m0 z)) (l_e_st_eq_landau_n_rt_rp_r_c_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_m0 z)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_satz224b x z)) (l_e_st_eq_landau_n_rt_rp_r_c_satz218a (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z))).

(* constant 5150 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_disttm1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts z x) (l_e_st_eq_landau_n_rt_rp_r_c_ts z y)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_comts (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_satz228 z x y) (l_e_st_eq_landau_n_rt_rp_r_c_ismn12 (l_e_st_eq_landau_n_rt_rp_r_c_ts z x) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts z y) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_comts z x) (l_e_st_eq_landau_n_rt_rp_r_c_comts z y)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z))).

(* constant 5151 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_disttm2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz228 x y z : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z))).

(* constant 5152 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_distmt1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_disttm1 x y z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z)).

(* constant 5153 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_distmt2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z)) (l_e_st_eq_landau_n_rt_rp_r_c_disttm2 x y z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z))).

(* constant 5154 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λu1:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu2:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y u1) x.λj:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y u2) x.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts y u1) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u2) x i j : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y u1) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u2)).

(* constant 5155 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λu1:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu2:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y u1) x.λj:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y u2) x.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_mn u1 u2)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts y u1) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u2)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_disttm2 y u1 u2) (l_e_st_eq_landau_n_rt_rp_r_c_satz213b (l_e_st_eq_landau_n_rt_rp_r_c_ts y u1) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u2) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t1 x y n u1 u2 i j)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_mn u1 u2)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5156 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λu1:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu2:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y u1) x.λj:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y u2) x.(l_ore2 (l_e_st_eq_landau_n_rt_rp_r_c_is y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn u1 u2) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_satz221c y (l_e_st_eq_landau_n_rt_rp_r_c_mn u1 u2) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t2 x y n u1 u2 i j)) n : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn u1 u2) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5157 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz229b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λu1:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu2:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y u1) x.λj:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y u2) x.(l_e_st_eq_landau_n_rt_rp_r_c_satz213a u1 u2 (l_e_st_eq_landau_n_rt_rp_r_c_3229_t3 x y n u1 u2 i j) : l_e_st_eq_landau_n_rt_rp_r_c_is u1 u2).

(* constant 5158 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_pnot0 (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_lemma4 y n) : l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5159 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_u ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ov (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t4 x y n)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ov (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t4 x y n)))) x : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 5160 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_dd ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λv:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_ov v (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t4 x y n) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5161 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ism0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_satz197b (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_satz177 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_lemma6 (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t4 x y n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)))).

(* constant 5162 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y)) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_lemma6 (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t4 x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t5 x y n)) (l_e_st_eq_landau_n_rt_rp_r_lemma7 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t4 x y n)) (l_e_st_eq_landau_n_rt_rp_r_lemma8 (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t4 x y n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))))) l_e_st_eq_landau_n_rt_rp_r_1rl).

(* constant 5163 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_satz197d (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_lemma6 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t4 x y n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)))).

(* constant 5164 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t7 x y n) (l_e_st_eq_landau_n_rt_rp_r_lemma6 (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t4 x y n))) (l_e_st_eq_landau_n_rt_rp_r_lemma7 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t4 x y n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y))))).

(* constant 5165 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ispl1 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_satz197a (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_satz182e (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_comts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5166 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_t8 x y n) (l_e_isf l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n t) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_t9 x y n)) (l_e_st_eq_landau_n_rt_rp_r_lemma9 (l_e_st_eq_landau_n_rt_rp_r_c_mod2 y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t4 x y n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5167 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y))))) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_tsis2a y (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))))) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im y) (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_t6 x y n) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t10 x y n)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))))) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 5168 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_3229_t12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_3229_u x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))))) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c x) x (l_e_st_eq_landau_n_rt_rp_r_c_assts2 y (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) x) (l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_3229_dd x y n (l_e_st_eq_landau_n_rt_rp_r_c_im y))))) l_e_st_eq_landau_n_rt_rp_r_c_1c x (l_e_st_eq_landau_n_rt_rp_r_c_3229_t11 x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_satz222b x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_3229_u x y n)) x).

(* constant 5169 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz229a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_somei l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y t) x) (l_e_st_eq_landau_n_rt_rp_r_c_3229_u x y n) (l_e_st_eq_landau_n_rt_rp_r_c_3229_t12 x y n) : l_e_st_eq_landau_n_rt_rp_r_c_some (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y t) x)).

(* constant 5170 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz229 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_onei l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y t) x) (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y t) x.λw:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) x.l_e_st_eq_landau_n_rt_rp_r_c_satz229b x y n t u v w) (l_e_st_eq_landau_n_rt_rp_r_c_satz229a x y n) : l_e_st_eq_landau_n_rt_rp_r_c_one (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y t) x)).

(* constant 5171 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ov ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_ind l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y t) x) (l_e_st_eq_landau_n_rt_rp_r_c_satz229 x y n) : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 5172 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz229c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_oneax l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y t) x) (l_e_st_eq_landau_n_rt_rp_r_c_satz229 x y n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) x).

(* constant 5173 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz229d ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) x (l_e_st_eq_landau_n_rt_rp_r_c_satz229c x y n) : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n))).

(* constant 5174 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz229e ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) x (l_e_st_eq_landau_n_rt_rp_r_c_comts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) (l_e_st_eq_landau_n_rt_rp_r_c_satz229c x y n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) x).

(* constant 5175 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz229f ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) x (l_e_st_eq_landau_n_rt_rp_r_c_satz229e x y n) : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y)).

(* constant 5176 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz229g ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) x.(l_e_st_eq_landau_n_rt_rp_r_c_satz229b x y n u (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) i (l_e_st_eq_landau_n_rt_rp_r_c_satz229c x y n) : l_e_st_eq_landau_n_rt_rp_r_c_is u (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)).

(* constant 5177 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz229h ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) x.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx u (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_satz229g x y u n i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) u).

(* constant 5178 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz229j ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts u y) x.(l_e_st_eq_landau_n_rt_rp_r_c_satz229g x y u n (l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_ts u y) x (l_e_st_eq_landau_n_rt_rp_r_c_comts y u) i) : l_e_st_eq_landau_n_rt_rp_r_c_is u (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)).

(* constant 5179 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz229k ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts u y) x.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx u (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_satz229j x y u n i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) u).

(* constant 5180 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isov1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ov t z n) x y i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n)).

(* constant 5181 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isov2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229h z x (l_e_st_eq_landau_n_rt_rp_r_c_ov z y o) n (l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ov z y o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov z y o)) z (l_e_st_eq_landau_n_rt_rp_r_c_ists1 x y (l_e_st_eq_landau_n_rt_rp_r_c_ov z y o) i) (l_e_st_eq_landau_n_rt_rp_r_c_satz229c z y o)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov z x n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z y o)).

(* constant 5182 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isov12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_c_is z u.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y u o) (l_e_st_eq_landau_n_rt_rp_r_c_isov1 x y z i n) (l_e_st_eq_landau_n_rt_rp_r_c_isov2 z u y j n o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y u o)).

(* constant 5183 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz230 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y) (l_e_st_eq_landau_n_rt_rp_r_c_pl y (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) x (l_e_st_eq_landau_n_rt_rp_r_c_compl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y) (l_e_st_eq_landau_n_rt_rp_r_c_satz212h x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y) x).

(* constant 5184 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz231 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz212e (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) y x (l_e_st_eq_landau_n_rt_rp_r_c_compl y x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) y) x).

(* constant 5185 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz232 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz212e x (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y (l_e_st_eq_landau_n_rt_rp_r_c_satz230 x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) y).

(* constant 5186 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_4233_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl z y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) z) y) (l_e_st_eq_landau_n_rt_rp_r_c_compl (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z)) (l_e_st_eq_landau_n_rt_rp_r_c_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_pl z y) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_compl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_asspl2 (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) z y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) z) y)).

(* constant 5187 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_4233_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) z) y) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y) x (l_e_st_eq_landau_n_rt_rp_r_c_4233_t1 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_ispl1 (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) z) (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y (l_e_st_eq_landau_n_rt_rp_r_c_satz230 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z)) (l_e_st_eq_landau_n_rt_rp_r_c_satz230 x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z)) x).

(* constant 5188 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz233 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz212d x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_4233_t2 x y z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_mn x (l_e_st_eq_landau_n_rt_rp_r_c_pl y z))).

(* constant 5189 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz234 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz212g (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn y z) z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) (l_e_st_eq_landau_n_rt_rp_r_c_asspl1 x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z) z) (l_e_st_eq_landau_n_rt_rp_r_c_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn y z) z) y x (l_e_st_eq_landau_n_rt_rp_r_c_satz230 y z))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z))).

(* constant 5190 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz234a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_satz234 x y z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z)).

(* constant 5191 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz234b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl y x) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl y (l_e_st_eq_landau_n_rt_rp_r_c_mn x z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x z) y) (l_e_st_eq_landau_n_rt_rp_r_c_ismn1 (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl y x) z (l_e_st_eq_landau_n_rt_rp_r_c_compl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz234 y x z) (l_e_st_eq_landau_n_rt_rp_r_c_compl y (l_e_st_eq_landau_n_rt_rp_r_c_mn x z)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x z) y)).

(* constant 5192 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz234c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x z) y) (l_e_st_eq_landau_n_rt_rp_r_c_satz234b x y z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x z) y) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z)).

(* constant 5193 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz235 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz212f x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl z (l_e_st_eq_landau_n_rt_rp_r_c_mn y z))) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y) x (l_e_st_eq_landau_n_rt_rp_r_c_asspl1 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_pl z (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) y (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_satz212h y z)) (l_e_st_eq_landau_n_rt_rp_r_c_satz230 x y)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_mn x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z))).

(* constant 5194 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz235a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_mn x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_satz235 x y z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z)).

(* constant 5195 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz235b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) y) (l_e_st_eq_landau_n_rt_rp_r_c_satz235a x y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz234c x z y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) y)).

(* constant 5196 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz235c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) y) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl z x) y) (l_e_st_eq_landau_n_rt_rp_r_c_satz235b x y z) (l_e_st_eq_landau_n_rt_rp_r_c_ismn1 (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_pl z x) y (l_e_st_eq_landau_n_rt_rp_r_c_compl x z)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x (l_e_st_eq_landau_n_rt_rp_r_c_mn y z)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl z x) y)).

(* constant 5197 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz236 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz212g (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_asspl2 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y z) (l_e_st_eq_landau_n_rt_rp_r_c_ispl1 (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y) x z (l_e_st_eq_landau_n_rt_rp_r_c_satz230 x y))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)).

(* constant 5198 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz236a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl z x) (l_e_st_eq_landau_n_rt_rp_r_c_pl z y)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_ismn12 (l_e_st_eq_landau_n_rt_rp_r_c_pl z x) (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_pl z y) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_compl z x) (l_e_st_eq_landau_n_rt_rp_r_c_compl z y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz236 x y z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl z x) (l_e_st_eq_landau_n_rt_rp_r_c_pl z y)) (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)).

(* constant 5199 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_4237_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn z u) (l_e_st_eq_landau_n_rt_rp_r_c_pl u y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn z u) u) y) (l_e_st_eq_landau_n_rt_rp_r_c_pl z y) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_asspl2 (l_e_st_eq_landau_n_rt_rp_r_c_mn z u) u y) (l_e_st_eq_landau_n_rt_rp_r_c_ispl1 (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn z u) u) z y (l_e_st_eq_landau_n_rt_rp_r_c_satz230 z u)) (l_e_st_eq_landau_n_rt_rp_r_c_compl z y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn z u) (l_e_st_eq_landau_n_rt_rp_r_c_pl u y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)).

(* constant 5200 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_4237_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_pl y u)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_pl u y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn z u) (l_e_st_eq_landau_n_rt_rp_r_c_pl u y))) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) (l_e_st_eq_landau_n_rt_rp_r_c_pl u y) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_compl y u)) (l_e_st_eq_landau_n_rt_rp_r_c_asspl1 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u) (l_e_st_eq_landau_n_rt_rp_r_c_pl u y)) (l_e_st_eq_landau_n_rt_rp_r_c_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn z u) (l_e_st_eq_landau_n_rt_rp_r_c_pl u y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_4237_t1 x y z u)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_pl y u)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z))).

(* constant 5201 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_4237_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_pl y u)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_4237_t2 x y z u) (l_e_st_eq_landau_n_rt_rp_r_c_asspl2 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y z) (l_e_st_eq_landau_n_rt_rp_r_c_ispl1 (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y) x z (l_e_st_eq_landau_n_rt_rp_r_c_satz230 x y)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_pl y u)) (l_e_st_eq_landau_n_rt_rp_r_c_pl x z)).

(* constant 5202 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz237 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz212f (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_pl y u) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_4237_t3 x y z u) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_pl y u))).

(* constant 5203 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_4238_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pl u z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pl z u)) (l_e_st_eq_landau_n_rt_rp_r_c_asspl1 x u z) (l_e_st_eq_landau_n_rt_rp_r_c_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_pl u z) (l_e_st_eq_landau_n_rt_rp_r_c_pl z u) x (l_e_st_eq_landau_n_rt_rp_r_c_compl u z)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pl z u))).

(* constant 5204 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_4238_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) u)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pl z u)) (l_e_st_eq_landau_n_rt_rp_r_c_pl y (l_e_st_eq_landau_n_rt_rp_r_c_pl z u))) (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_satz237 (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) z u) (l_e_st_eq_landau_n_rt_rp_r_c_ismn12 (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl x (l_e_st_eq_landau_n_rt_rp_r_c_pl z u)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y (l_e_st_eq_landau_n_rt_rp_r_c_pl z u)) (l_e_st_eq_landau_n_rt_rp_r_c_4238_t1 x y z u) (l_e_st_eq_landau_n_rt_rp_r_c_asspl1 y z u)) (l_e_st_eq_landau_n_rt_rp_r_c_satz236 x y (l_e_st_eq_landau_n_rt_rp_r_c_pl z u)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)).

(* constant 5205 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz238 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz212g (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) (l_e_st_eq_landau_n_rt_rp_r_c_4238_t2 x y z u) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z))).

(* constant 5206 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_4239_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u).(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_satz238 x y z u) (l_e_st_eq_landau_n_rt_rp_r_c_satz213b (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u) i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5207 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz239a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u).(l_e_st_eq_landau_n_rt_rp_r_c_satz213a (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) (l_e_st_eq_landau_n_rt_rp_r_c_4239_t1 x y z u i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)).

(* constant 5208 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_4239_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_satz238 x y z u) (l_e_st_eq_landau_n_rt_rp_r_c_satz213b (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z) i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5209 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz239b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x u) (l_e_st_eq_landau_n_rt_rp_r_c_pl y z).(l_e_st_eq_landau_n_rt_rp_r_c_satz213a (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u) (l_e_st_eq_landau_n_rt_rp_r_c_4239_t2 x y z u i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) (l_e_st_eq_landau_n_rt_rp_r_c_mn z u)).

(* constant 5210 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz240 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) x (l_e_st_eq_landau_n_rt_rp_r_c_comts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) (l_e_st_eq_landau_n_rt_rp_r_c_satz229c x y n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) x).

(* constant 5211 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz241 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229h (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) y x n (l_e_st_eq_landau_n_rt_rp_r_c_comts y x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) y n) x).

(* constant 5212 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y o) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c) n (λt:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y o) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx x l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y o)) (l_e_st_eq_landau_n_rt_rp_r_c_satz229c x y o) (l_e_st_eq_landau_n_rt_rp_r_c_satz221b y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y o) t)) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_ov x y o) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5213 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz242 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229h x (l_e_st_eq_landau_n_rt_rp_r_c_ov x y o) y (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 x y n o) (l_e_st_eq_landau_n_rt_rp_r_c_satz240 x y o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_ov x y o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 x y n o)) y).

(* constant 5214 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5243_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o) (l_e_st_eq_landau_n_rt_rp_r_c_ts z y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o) z) y) (l_e_st_eq_landau_n_rt_rp_r_c_comts (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o)) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ts z y) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o) (l_e_st_eq_landau_n_rt_rp_r_c_comts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_assts2 (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o) z y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o) z) y)).

(* constant 5215 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5243_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o) z) y) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) x (l_e_st_eq_landau_n_rt_rp_r_c_5243_t1 x y z n o) (l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o) z) (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y (l_e_st_eq_landau_n_rt_rp_r_c_satz240 (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o)) (l_e_st_eq_landau_n_rt_rp_r_c_satz240 x y n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o)) x).

(* constant 5216 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz243 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229g x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o) (l_e_st_eq_landau_n_rt_rp_r_c_5243_t2 x y z n o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z o) (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o))).

(* constant 5217 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz244 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229k (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n)) n (l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n)) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n) z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_assts1 x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n) z) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n) z) y x (l_e_st_eq_landau_n_rt_rp_r_c_satz240 y z n))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z n) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n))).

(* constant 5218 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz244a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z n) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n)) (l_e_st_eq_landau_n_rt_rp_r_c_satz244 x y z n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z n)).

(* constant 5219 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz244b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z n) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts y x) z n) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) y) (l_e_st_eq_landau_n_rt_rp_r_c_isov1 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts y x) z (l_e_st_eq_landau_n_rt_rp_r_c_comts x y) n) (l_e_st_eq_landau_n_rt_rp_r_c_satz244 y x z n) (l_e_st_eq_landau_n_rt_rp_r_c_comts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z n) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) y)).

(* constant 5220 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz244c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z n) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) y) (l_e_st_eq_landau_n_rt_rp_r_c_satz244b x y z n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) y) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z n)).

(* constant 5221 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz245 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229j x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z o) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 y z n o) (l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z) (l_e_st_eq_landau_n_rt_rp_r_c_ov y z o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_ov y z o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) x (l_e_st_eq_landau_n_rt_rp_r_c_assts1 (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z (l_e_st_eq_landau_n_rt_rp_r_c_ov y z o)) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_ov y z o)) y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_satz229c y z o)) (l_e_st_eq_landau_n_rt_rp_r_c_satz240 x y n)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z) (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 y z n o))).

(* constant 5222 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz245a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z) (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 y z n o)) (l_e_st_eq_landau_n_rt_rp_r_c_satz245 x y z n o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 y z n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z)).

(* constant 5223 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz245b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 y z n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) z) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) y n) (l_e_st_eq_landau_n_rt_rp_r_c_satz245a x y z n o) (l_e_st_eq_landau_n_rt_rp_r_c_satz244c x z y n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 y z n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) y n)).

(* constant 5224 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz245c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 y z n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts z x) y n) (l_e_st_eq_landau_n_rt_rp_r_c_satz245b x y z n o) (l_e_st_eq_landau_n_rt_rp_r_c_isov1 (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts z x) y (l_e_st_eq_landau_n_rt_rp_r_c_comts x z) n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_ov y z o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 y z n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts z x) y n)).

(* constant 5225 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz246 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229k (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o) (l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_assts2 (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y z) (l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) x z (l_e_st_eq_landau_n_rt_rp_r_c_satz240 x y n))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)).

(* constant 5226 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz246a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts z x) (l_e_st_eq_landau_n_rt_rp_r_c_ts z y) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d z y o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_isov12 (l_e_st_eq_landau_n_rt_rp_r_c_ts z x) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts z y) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_comts z x) (l_e_st_eq_landau_n_rt_rp_r_c_comts z y) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d z y o n) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o)) (l_e_st_eq_landau_n_rt_rp_r_c_satz246 x y z n o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts z x) (l_e_st_eq_landau_n_rt_rp_r_c_ts z y) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d z y o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)).

(* constant 5227 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5247_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_ts u y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) u) y) (l_e_st_eq_landau_n_rt_rp_r_c_ts z y) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_assts2 (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) u y) (l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) u) z y (l_e_st_eq_landau_n_rt_rp_r_c_satz240 z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_comts z y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_ts u y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)).

(* constant 5228 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5247_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts u y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_ts u y))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_ts u y) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_comts y u)) (l_e_st_eq_landau_n_rt_rp_r_c_assts1 (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_ts u y)) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_ts u y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_5247_t1 x y z u n o)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z))).

(* constant 5229 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5247_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_5247_t2 x y z u n o) (l_e_st_eq_landau_n_rt_rp_r_c_assts2 (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y z) (l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) x z (l_e_st_eq_landau_n_rt_rp_r_c_satz240 x y n)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x z)).

(* constant 5230 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz247 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229j (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o) (l_e_st_eq_landau_n_rt_rp_r_c_5247_t3 x y z u n o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o))).

(* constant 5231 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5248_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts u z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts z u)) (l_e_st_eq_landau_n_rt_rp_r_c_assts1 x u z) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_ts u z) (l_e_st_eq_landau_n_rt_rp_r_c_ts z u) x (l_e_st_eq_landau_n_rt_rp_r_c_comts u z)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts z u))).

(* constant 5232 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5248_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u p)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) u (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o) p)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts z u)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ts z u)) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y (l_e_st_eq_landau_n_rt_rp_r_c_ts z u) n (l_e_st_eq_landau_n_rt_rp_r_c_satz221d z u o p))) (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_satz247 (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) z u (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o) p) (l_e_st_eq_landau_n_rt_rp_r_c_isov12 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts z u)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ts z u)) (l_e_st_eq_landau_n_rt_rp_r_c_5248_t1 x y z u n o p) (l_e_st_eq_landau_n_rt_rp_r_c_assts1 y z u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) u (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o) p) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y (l_e_st_eq_landau_n_rt_rp_r_c_ts z u) n (l_e_st_eq_landau_n_rt_rp_r_c_satz221d z u o p))) (l_e_st_eq_landau_n_rt_rp_r_c_satz246 x y (l_e_st_eq_landau_n_rt_rp_r_c_ts z u) n (l_e_st_eq_landau_n_rt_rp_r_c_satz221d z u o p)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u p)) (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)).

(* constant 5233 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz248 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229k (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u p) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 z u o p) (l_e_st_eq_landau_n_rt_rp_r_c_5248_t2 x y z u n o p) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u p) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 z u o p)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n o))).

(* constant 5234 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz249 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229h l_e_st_eq_landau_n_rt_rp_r_c_0c x l_e_st_eq_landau_n_rt_rp_r_c_0c n (l_e_st_eq_landau_n_rt_rp_r_c_satz221b x l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_0c)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_0c x n) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5235 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz250 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229h x x l_e_st_eq_landau_n_rt_rp_r_c_1c n (l_e_st_eq_landau_n_rt_rp_r_c_satz222 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x x n) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 5236 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz251a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov x x (l_e_notis_th2 l_e_st_eq_landau_n_rt_rp_r_c_cx y l_e_st_eq_landau_n_rt_rp_r_c_0c x n i)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_isov2 y x x (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx x y i) n (l_e_notis_th2 l_e_st_eq_landau_n_rt_rp_r_c_cx y l_e_st_eq_landau_n_rt_rp_r_c_0c x n i)) (l_e_st_eq_landau_n_rt_rp_r_c_satz250 x (l_e_notis_th2 l_e_st_eq_landau_n_rt_rp_r_c_cx y l_e_st_eq_landau_n_rt_rp_r_c_0c x n i)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 5237 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz251b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) l_e_st_eq_landau_n_rt_rp_r_c_1c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y l_e_st_eq_landau_n_rt_rp_r_c_1c) y (l_e_st_eq_landau_n_rt_rp_r_c_satz229d x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) l_e_st_eq_landau_n_rt_rp_r_c_1c y i) (l_e_st_eq_landau_n_rt_rp_r_c_satz222 y) : l_e_st_eq_landau_n_rt_rp_r_c_is x y).

(* constant 5238 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5252_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o).λj:l_e_st_eq_landau_n_rt_rp_r_c_is z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_0c u o) l_e_st_eq_landau_n_rt_rp_r_c_0c i (l_e_st_eq_landau_n_rt_rp_r_c_isov1 z l_e_st_eq_landau_n_rt_rp_r_c_0c u j o) (l_e_st_eq_landau_n_rt_rp_r_c_satz249 u o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5239 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5252_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o).λj:l_e_st_eq_landau_n_rt_rp_r_c_is z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_satz229d x y n) (l_e_st_eq_landau_n_rt_rp_r_c_satz221b y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_5252_t1 x y z u n o i j)) : l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5240 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5252_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o).λj:l_e_st_eq_landau_n_rt_rp_r_c_is z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_satz221a x u (l_e_st_eq_landau_n_rt_rp_r_c_5252_t2 x y z u n o i j)) (l_e_st_eq_landau_n_rt_rp_r_c_satz221b y z j) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)).

(* constant 5241 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5252_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n p)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 z u p o)) (l_e_st_eq_landau_n_rt_rp_r_c_satz248 x y z u n p o) (l_e_st_eq_landau_n_rt_rp_r_c_satz251a (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 z u p o) i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n p)) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 5242 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5252_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz251b (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n p) (l_e_st_eq_landau_n_rt_rp_r_c_5252_t4 x y z u n o i p) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)).

(* constant 5243 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz252a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o).(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_c_is z l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (λt:l_e_st_eq_landau_n_rt_rp_r_c_is z l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_5252_t3 x y z u n o i t) (λt:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_5252_t5 x y z u n o i t) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)).

(* constant 5244 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5252_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z).λj:l_e_st_eq_landau_n_rt_rp_r_c_is z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) l_e_st_eq_landau_n_rt_rp_r_c_0c i (l_e_st_eq_landau_n_rt_rp_r_c_satz221b y z j) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5245 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5252_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z).λj:l_e_st_eq_landau_n_rt_rp_r_c_is z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_ore1 (l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is u l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_satz221c x u (l_e_st_eq_landau_n_rt_rp_r_c_5252_t6 x y z u n o i j)) o : l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5246 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5252_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z).λj:l_e_st_eq_landau_n_rt_rp_r_c_is z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_0c y n) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_isov1 x l_e_st_eq_landau_n_rt_rp_r_c_0c y (l_e_st_eq_landau_n_rt_rp_r_c_5252_t7 x y z u n o i j) n) (l_e_st_eq_landau_n_rt_rp_r_c_satz249 y n)) (l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_0c u o) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_isov1 z l_e_st_eq_landau_n_rt_rp_r_c_0c u j o) (l_e_st_eq_landau_n_rt_rp_r_c_satz249 u o)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)).

(* constant 5247 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5252_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 z u p o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n p)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_satz248 x y z u n p o) (l_e_st_eq_landau_n_rt_rp_r_c_satz251a (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y z n p) i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 z u p o)) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 5248 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_5252_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz251b (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma6 z u p o) (l_e_st_eq_landau_n_rt_rp_r_c_5252_t9 x y z u n o i p) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)).

(* constant 5249 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz252b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z).(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_c_is z l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (λt:l_e_st_eq_landau_n_rt_rp_r_c_is z l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_5252_t8 x y z u n o i t) (λt:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_5252_t10 x y z u n o i t) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)).

(* constant 5250 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz253 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229g (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) y (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z y n)) n (l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z y n))) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov z y n))) (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) (l_e_st_eq_landau_n_rt_rp_r_c_disttp2 y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) x (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov z y n)) z (l_e_st_eq_landau_n_rt_rp_r_c_satz229c x y n) (l_e_st_eq_landau_n_rt_rp_r_c_satz229c z y n))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pl x z) y n)).

(* constant 5251 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_distop ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z n) (l_e_st_eq_landau_n_rt_rp_r_c_satz253 x z y n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z n) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n))).

(* constant 5252 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_distpo ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz253 x z y n : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) z n)).

(* constant 5253 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz254 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o))) (l_e_st_eq_landau_n_rt_rp_r_c_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_satz246 x y u n o) (l_e_st_eq_landau_n_rt_rp_r_c_satz246a z u y o n)) (l_e_st_eq_landau_n_rt_rp_r_c_satz253 (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o))).

(* constant 5254 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz255 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229g (l_e_st_eq_landau_n_rt_rp_r_c_mn x z) y (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z y n)) n (l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z y n))) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov z y n))) (l_e_st_eq_landau_n_rt_rp_r_c_mn x z) (l_e_st_eq_landau_n_rt_rp_r_c_disttm2 y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ismn12 (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) x (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ov z y n)) z (l_e_st_eq_landau_n_rt_rp_r_c_satz229c x y n) (l_e_st_eq_landau_n_rt_rp_r_c_satz229c z y n))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_mn x z) y n)).

(* constant 5255 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_distom ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z n) (l_e_st_eq_landau_n_rt_rp_r_c_satz255 x z y n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z n) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n))).

(* constant 5256 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_distmo ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis z l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz255 x z y n : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ov x z n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y z n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) z n)).

(* constant 5257 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz256 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis u l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o))) (l_e_st_eq_landau_n_rt_rp_r_c_ismn12 (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o) (l_e_st_eq_landau_n_rt_rp_r_c_satz246 x y u n o) (l_e_st_eq_landau_n_rt_rp_r_c_satz246a z u y o n)) (l_e_st_eq_landau_n_rt_rp_r_c_satz255 (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) (l_e_st_eq_landau_n_rt_rp_r_c_ov z u o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts x u) (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u) (l_e_st_eq_landau_n_rt_rp_r_c_satz221d y u n o))).

(* constant 5258 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_conj ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 5259 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_conjisa ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) a (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b))) (l_e_st_eq_landau_n_rt_rp_r_m0 b) (l_e_st_eq_landau_n_rt_rp_r_c_reis a b) (l_e_st_eq_landau_n_rt_rp_r_ism0 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) b (l_e_st_eq_landau_n_rt_rp_r_c_imis a b)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_pli a (l_e_st_eq_landau_n_rt_rp_r_m0 b))).

(* constant 5260 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_conjisb ≝ λa:l_e_st_eq_landau_n_rt_rp_r_real.λb:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_pli a b)) (l_e_st_eq_landau_n_rt_rp_r_c_pli a (l_e_st_eq_landau_n_rt_rp_r_m0 b)) (l_e_st_eq_landau_n_rt_rp_r_c_conjisa a b) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli a (l_e_st_eq_landau_n_rt_rp_r_m0 b)) (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_pli a b))).

(* constant 5261 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isconj ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_conj t) x y i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)).

(* constant 5262 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz257 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) x (l_e_st_eq_landau_n_rt_rp_r_c_conjisa (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_satz177 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_pliis x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) x).

(* constant 5263 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz258a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_pli l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_isconj x l_e_st_eq_landau_n_rt_rp_r_c_0c i) (l_e_st_eq_landau_n_rt_rp_r_c_conjisa l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx2 (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_satz176b l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5264 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_6258_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_isre (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_lemma1 (l_e_st_eq_landau_n_rt_rp_r_c_conj x) i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5265 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_6258_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_satz176e (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_isim (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_lemma2 (l_e_st_eq_landau_n_rt_rp_r_c_conj x) i)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5266 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz258b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_ispli x) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_c_re x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_6258_t1 x i) (l_e_st_eq_landau_n_rt_rp_r_c_6258_t2 x i)) : l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5267 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_6258_anders ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx x l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) (l_e_st_eq_landau_n_rt_rp_r_c_satz257 x) (l_e_st_eq_landau_n_rt_rp_r_c_satz258a (l_e_st_eq_landau_n_rt_rp_r_c_conj x) i) : l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5268 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz258c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c) n (λt:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_satz258b x t) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_conj x) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5269 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_6259_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) x.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_isim (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_isceim (l_e_st_eq_landau_n_rt_rp_r_c_conj x) x i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im x)).

(* constant 5270 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz259a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) x.(l_e_st_eq_landau_n_rt_rp_r_lemma10 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_6259_t1 x i)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5271 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz259b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) x (l_e_st_eq_landau_n_rt_rp_r_c_isrecx2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_satz176b (l_e_st_eq_landau_n_rt_rp_r_c_im x) i) i)) (l_e_st_eq_landau_n_rt_rp_r_c_pliis x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) x).

(* constant 5272 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz269c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_conj x).(l_e_st_eq_landau_n_rt_rp_r_c_satz259a x (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_rt_rp_r_c_conj x) i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5273 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz269d ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im x) l_e_st_eq_landau_n_rt_rp_r_0.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj x) x (l_e_st_eq_landau_n_rt_rp_r_c_satz259b x i) : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_conj x)).

(* constant 5274 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz260 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_conjisa (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_satz180 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_plis12b (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y))).

(* constant 5275 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz260a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz260 x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_pl x y))).

(* constant 5276 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_6261_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_imts x y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_satz180 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_satz197f (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_satz197e (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_imts x y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y)))).

(* constant 5277 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz261 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_imts x y))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y)))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_conjisa (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_c_imts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_c_rets x y) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y)))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_imts x y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y))) (l_e_st_eq_landau_n_rt_rp_r_ismn2 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_satz198a (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_6261_t1 x y)) (l_e_st_eq_landau_n_rt_rp_r_c_tsis12b (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im y))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y))).

(* constant 5278 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz261a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz261 x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ts x y))).

(* constant 5279 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_6262_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y) x (l_e_st_eq_landau_n_rt_rp_r_c_satz230 x y) : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y)).

(* constant 5280 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_6262_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_isconj x (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y) (l_e_st_eq_landau_n_rt_rp_r_c_6262_t1 x y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz260 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y) y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_conj y))).

(* constant 5281 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz262 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz212f (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y) (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_6262_t2 x y)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y))).

(* constant 5282 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz262a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz262 x y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_mn x y))).

(* constant 5283 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_6263_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229f x y n : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y)).

(* constant 5284 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_6263_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_isconj x (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) (l_e_st_eq_landau_n_rt_rp_r_c_6263_t1 x y n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y))).

(* constant 5285 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_6263_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz261 (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_conj y))).

(* constant 5286 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_6263_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_6263_t2 x y n) (l_e_st_eq_landau_n_rt_rp_r_c_6263_t3 x y n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_conj y))).

(* constant 5287 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_6263_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz258c y n : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_conj y) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 5288 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz263 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229j (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y) (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_6263_t5 x y n) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_6263_t4 x y n)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y) (l_e_st_eq_landau_n_rt_rp_r_c_satz258c y n))).

(* constant 5289 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz263a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y) (l_e_st_eq_landau_n_rt_rp_r_c_satz258c y n)) (l_e_st_eq_landau_n_rt_rp_r_c_satz263 x y n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y) (l_e_st_eq_landau_n_rt_rp_r_c_satz258c y n)) (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n))).

(* constant 5290 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_mod ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_sqrt (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma5 x) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5291 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ismod ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_mod t) x y i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)).

(* constant 5292 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz264a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_sqrtnot0 (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma5 x) (l_e_st_eq_landau_n_rt_rp_r_pnot0 (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma4 x n)) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod x)).

(* constant 5293 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz264b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_sqrt0 (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma5 x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma3 x i) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5294 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz264c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_thsqrt1a (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma5 x) : l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_c_mod x))).

(* constant 5295 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz264d ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_satz167f (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0 (l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_c_satz264c x) (λt:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_satz169d (l_e_st_eq_landau_n_rt_rp_r_c_mod x) t)) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5296 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_thsqrt1b (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma5 x)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod x))).

(* constant 5297 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_re x))) (l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_lemma12 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_re x)))).

(* constant 5298 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_satz191 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_moreisi2 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)))) (l_e_st_eq_landau_n_rt_rp_r_lemma11 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 5299 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ismoreis12 (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_re x))) (l_e_st_eq_landau_n_rt_rp_r_c_7265_t1 x) (l_e_st_eq_landau_n_rt_rp_r_c_7265_t2 x) (l_e_st_eq_landau_n_rt_rp_r_c_7265_t3 x) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_re x)))).

(* constant 5300 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_pl01 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_lemma12 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_im x)))).

(* constant 5301 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_satz191 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_lemma11 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_moreisi2 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)))).

(* constant 5302 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ismoreis12 (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_7265_t1 x) (l_e_st_eq_landau_n_rt_rp_r_c_7265_t5 x) (l_e_st_eq_landau_n_rt_rp_r_c_7265_t6 x) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_im x)))).

(* constant 5303 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts s s).λn:l_e_st_eq_landau_n_rt_rp_r_moreis r l_e_st_eq_landau_n_rt_rp_r_0.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_lemma2 r s l : l_e_st_eq_landau_n_rt_rp_r_more s r).

(* constant 5304 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts s s).λn:l_e_st_eq_landau_n_rt_rp_r_moreis r l_e_st_eq_landau_n_rt_rp_r_0.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_satz169b s (l_e_st_eq_landau_n_rt_rp_r_satz172d s r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_7265_t8 r s m n l) n) : l_e_st_eq_landau_n_rt_rp_r_pos s).

(* constant 5305 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts s s).λn:l_e_st_eq_landau_n_rt_rp_r_moreis r l_e_st_eq_landau_n_rt_rp_r_0.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λo:l_e_st_eq_landau_n_rt_rp_r_more r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_trmore (l_e_st_eq_landau_n_rt_rp_r_ts s s) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_satz203a s r s (l_e_st_eq_landau_n_rt_rp_r_c_7265_t8 r s m n l) (l_e_st_eq_landau_n_rt_rp_r_c_7265_t9 r s m n l)) (l_e_st_eq_landau_n_rt_rp_r_satz203d s r r (l_e_st_eq_landau_n_rt_rp_r_c_7265_t8 r s m n l) (l_e_st_eq_landau_n_rt_rp_r_satz169b r o)) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_ts s s) (l_e_st_eq_landau_n_rt_rp_r_ts r r)).

(* constant 5306 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts s s).λn:l_e_st_eq_landau_n_rt_rp_r_moreis r l_e_st_eq_landau_n_rt_rp_r_0.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_ismore2 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts s s) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r r) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts01 r r i)) (l_e_st_eq_landau_n_rt_rp_r_satz169a (l_e_st_eq_landau_n_rt_rp_r_ts s s) (l_e_st_eq_landau_n_rt_rp_r_possq s (l_e_st_eq_landau_n_rt_rp_r_pnot0 s (l_e_st_eq_landau_n_rt_rp_r_c_7265_t9 r s m n l)))) : l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_ts s s) (l_e_st_eq_landau_n_rt_rp_r_ts r r)).

(* constant 5307 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts s s).λn:l_e_st_eq_landau_n_rt_rp_r_moreis r l_e_st_eq_landau_n_rt_rp_r_0.λl:l_e_st_eq_landau_n_rt_rp_r_less r s.(l_e_st_eq_landau_n_rt_rp_r_lemma1 (l_e_st_eq_landau_n_rt_rp_r_ts s s) (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_orapp (l_e_st_eq_landau_n_rt_rp_r_more r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_ts s s) (l_e_st_eq_landau_n_rt_rp_r_ts r r)) n (λt:l_e_st_eq_landau_n_rt_rp_r_more r l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_7265_t10 r s m n l t) (λt:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_7265_t11 r s m n l t)) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts s s)).

(* constant 5308 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7265_t13 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts s s).λn:l_e_st_eq_landau_n_rt_rp_r_moreis r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_satz167f r s (λt:l_e_st_eq_landau_n_rt_rp_r_less r s.l_e_st_eq_landau_n_rt_rp_r_satz167c (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts s s) m (l_e_st_eq_landau_n_rt_rp_r_c_7265_t12 r s m n t)) : l_e_st_eq_landau_n_rt_rp_r_moreis r s).

(* constant 5309 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz265a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_7265_t13 (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_7265_t4 x) (l_e_st_eq_landau_n_rt_rp_r_c_satz264d x) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_re x))).

(* constant 5310 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz265b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_7265_t13 (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_7265_t7 x) (l_e_st_eq_landau_n_rt_rp_r_c_satz264d x) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_im x))).

(* constant 5311 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7266_t1 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_ts t t) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_satz176b (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts t t) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts t t)).

(* constant 5312 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7266_t2 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts t l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 t)) (l_e_st_eq_landau_n_rt_rp_r_ts t l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_ts t l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 t) (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 t (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_ts02 t l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts t l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 t)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5313 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7266_t3 ≝ λt:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli t l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli t l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts t t) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts t l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 t))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts t t) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_tsis12a t l_e_st_eq_landau_n_rt_rp_r_0 t l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts t t) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts t t) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts t l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 t)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_7266_t1 t) (l_e_st_eq_landau_n_rt_rp_r_c_7266_t2 t)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli t l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli t l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts t t) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 5314 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7266_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_neg s).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts r r) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts s s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts r r) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_7266_t3 r)) i (l_e_st_eq_landau_n_rt_rp_r_c_7266_t3 s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts r r) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts s s) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 5315 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7266_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_neg s).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts r r) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts s s) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts s s) (l_e_st_eq_landau_n_rt_rp_r_c_isre (l_e_st_eq_landau_n_rt_rp_r_ts r r) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_iscere (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts r r) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts s s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_7266_t4 r s i n o)) (l_e_st_eq_landau_n_rt_rp_r_c_reis (l_e_st_eq_landau_n_rt_rp_r_ts s s) l_e_st_eq_landau_n_rt_rp_r_0) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts s s)).

(* constant 5316 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7266_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_neg s).(l_andi (l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts s s)) n (l_e_st_eq_landau_n_rt_rp_r_c_7266_t5 r s i n o) : l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts s s))).

(* constant 5317 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7266_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_neg s).(l_andi (l_not (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s s) (l_e_st_eq_landau_n_rt_rp_r_ts s s)) o (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts s s)) : l_and (l_not (l_e_st_eq_landau_n_rt_rp_r_neg s)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts s s) (l_e_st_eq_landau_n_rt_rp_r_ts s s))).

(* constant 5318 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz266 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_neg s).(l_e_st_eq_landau_n_rt_rp_r_satzr161b (l_e_st_eq_landau_n_rt_rp_r_ts s s) r s (l_e_st_eq_landau_n_rt_rp_r_c_7266_t6 r s i n o) (l_e_st_eq_landau_n_rt_rp_r_c_7266_t7 r s i n o) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 5319 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7267_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_7266_t3 (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx1 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_thsqrt1b (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma5 x))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 5320 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7267_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_satz197e (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_satz198 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x)).

(* constant 5321 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7267_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re x))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x))) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_satz197b (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_comts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re x))) (l_e_st_eq_landau_n_rt_rp_r_satz179a (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re x))) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5322 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7267_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_tsis2a x (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_re x))) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_7267_t2 x) (l_e_st_eq_landau_n_rt_rp_r_c_7267_t3 x)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 5323 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz267 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_7267_t1 x) (l_e_st_eq_landau_n_rt_rp_r_c_7267_t4 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_conj x))).

(* constant 5324 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz267a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) (l_e_st_eq_landau_n_rt_rp_r_c_satz267 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 5325 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7268_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts y x) z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ts x z)) (l_e_st_eq_landau_n_rt_rp_r_c_assts2 x y z) (l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts y x) z (l_e_st_eq_landau_n_rt_rp_r_c_comts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_assts1 y x z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts y z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ts x z))).

(* constant 5326 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7268_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λu:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts z u)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ts z u))) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_ts y u))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u)) (l_e_st_eq_landau_n_rt_rp_r_c_assts1 x y (l_e_st_eq_landau_n_rt_rp_r_c_ts z u)) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_ts z u)) (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_ts y u)) x (l_e_st_eq_landau_n_rt_rp_r_c_7268_t1 y z u)) (l_e_st_eq_landau_n_rt_rp_r_c_assts2 x z (l_e_st_eq_landau_n_rt_rp_r_c_ts y u)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts z u)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x z) (l_e_st_eq_landau_n_rt_rp_r_c_ts y u))).

(* constant 5327 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7268_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ts x y))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_conj y))) (l_e_st_eq_landau_n_rt_rp_r_c_satz267 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_conj (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_satz261 x y)) (l_e_st_eq_landau_n_rt_rp_r_c_7268_t2 x y (l_e_st_eq_landau_n_rt_rp_r_c_conj x) (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_conj y)))).

(* constant 5328 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7268_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_conj y))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_c_7268_t3 x y) (l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_conj x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts y (l_e_st_eq_landau_n_rt_rp_r_c_conj y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_satz267a x) (l_e_st_eq_landau_n_rt_rp_r_c_satz267a y)) (l_e_st_eq_landau_n_rt_rp_r_c_7268_t2 (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0)))).

(* constant 5329 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7268_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_satz176b (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 5330 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7268_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 s)) (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 s) (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 s (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_ts02 r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 s)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5331 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7268_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 s))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_tsis12a r l_e_st_eq_landau_n_rt_rp_r_0 s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 s)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_7268_t5 r s) (l_e_st_eq_landau_n_rt_rp_r_c_7268_t6 r s)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 5332 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7268_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_7268_t4 x y) (l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_7268_t7 (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_7268_t7 (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 5333 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7268_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)).(l_orapp (l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_c_mod y))) (l_and (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod y))) l_con (l_e_st_eq_landau_n_rt_rp_r_satz196h (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y) n) (λt:l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_c_mod y)).l_e_st_eq_landau_n_rt_rp_r_c_satz264c y (l_ande2 (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) t)) (λt:l_and (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod y)).l_e_st_eq_landau_n_rt_rp_r_c_satz264c x (l_ande1 (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) t)) : l_con).

(* constant 5334 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz268 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz266 (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_7268_t8 x y) (l_e_st_eq_landau_n_rt_rp_r_c_satz264c (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (λt:l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)).l_e_st_eq_landau_n_rt_rp_r_c_7268_t9 x y t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y))).

(* constant 5335 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz268a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz268 x y) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts x y))).

(* constant 5336 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7269_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_pnot0 (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_satz264a y n) : l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5337 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7269_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz268 (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) (l_e_st_eq_landau_n_rt_rp_r_c_ismod (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n) y) x (l_e_st_eq_landau_n_rt_rp_r_c_satz240 x y n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod x)).

(* constant 5338 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7269_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_satz204g (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_7269_t1 x y n) (l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_comts (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n))) (l_e_st_eq_landau_n_rt_rp_r_c_7269_t2 x y n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_ov (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_7269_t1 x y n))).

(* constant 5339 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz269 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_7269_t3 x y n : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov x y n)) (l_e_st_eq_landau_n_rt_rp_r_ov (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_pnot0 (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_satz264a y n)))).

(* constant 5340 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7270_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_abs r) r) (λt:l_e_st_eq_landau_n_rt_rp_r_neg r.l_e_st_eq_landau_n_rt_rp_r_moreisi1 (l_e_st_eq_landau_n_rt_rp_r_abs r) r (l_e_st_eq_landau_n_rt_rp_r_trmore (l_e_st_eq_landau_n_rt_rp_r_abs r) l_e_st_eq_landau_n_rt_rp_r_0 r (l_e_st_eq_landau_n_rt_rp_r_satz169a (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_satz166b r t)) (l_e_st_eq_landau_n_rt_rp_r_lemma2 r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_satz169c r t)))) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).l_e_st_eq_landau_n_rt_rp_r_moreisi2 (l_e_st_eq_landau_n_rt_rp_r_abs r) r (l_e_st_eq_landau_n_rt_rp_r_absnn r t)) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_abs r) r).

(* constant 5341 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7270_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_trmoreis (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_satz265a x) (l_e_st_eq_landau_n_rt_rp_r_c_7270_t1 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)).

(* constant 5342 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7270_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_1c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_re l_e_st_eq_landau_n_rt_rp_r_c_1c) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_isre (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im y))) (l_e_st_eq_landau_n_rt_rp_r_c_iscere (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_1c i) (l_e_st_eq_landau_n_rt_rp_r_c_reis l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) l_e_st_eq_landau_n_rt_rp_r_1rl).

(* constant 5343 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz270 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_1c.(l_e_st_eq_landau_n_rt_rp_r_ismoreis2 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re y)) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_7270_t3 x y i) (l_e_st_eq_landau_n_rt_rp_r_satz191 (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_re y) (l_e_st_eq_landau_n_rt_rp_r_c_7270_t2 x) (l_e_st_eq_landau_n_rt_rp_r_c_7270_t2 y)) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) l_e_st_eq_landau_n_rt_rp_r_1rl).

(* constant 5344 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz264b (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5345 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_ismoreis2 (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pl01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_7271_t1 x y i)) (l_e_st_eq_landau_n_rt_rp_r_satz191 (l_e_st_eq_landau_n_rt_rp_r_c_mod x) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_mod y) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_satz264d x) (l_e_st_eq_landau_n_rt_rp_r_c_satz264d y)) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y))).

(* constant 5346 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_pnot0 (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz264a (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n) : l_e_st_eq_landau_n_rt_rp_r_nis (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 5347 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_satz253 x (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) y n) (l_e_st_eq_landau_n_rt_rp_r_c_satz250 (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n)) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 5348 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz270 (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n) (l_e_st_eq_landau_n_rt_rp_r_c_ov y (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_t4 x y n) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov y (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n))) l_e_st_eq_landau_n_rt_rp_r_1rl).

(* constant 5349 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_fx ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_ov (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_7271_t3 x y n) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5350 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_fy ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_ov (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_7271_t3 x y n) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5351 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_ismoreis1 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov y (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n)) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov x (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n)) (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ov y (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n)) (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n) (l_e_st_eq_landau_n_rt_rp_r_c_satz269 x (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n) (l_e_st_eq_landau_n_rt_rp_r_c_satz269 y (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n)) (l_e_st_eq_landau_n_rt_rp_r_c_7271_t5 x y n) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n)) l_e_st_eq_landau_n_rt_rp_r_1rl).

(* constant 5352 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_prl ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5353 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_prr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5354 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_orapp (l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n)) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n)) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_c_7271_prl x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_prr x y n)) (l_e_st_eq_landau_n_rt_rp_r_c_7271_t6 x y n) (λt:l_e_st_eq_landau_n_rt_rp_r_more (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n)) l_e_st_eq_landau_n_rt_rp_r_1rl.l_e_st_eq_landau_n_rt_rp_r_moreisi1 (l_e_st_eq_landau_n_rt_rp_r_c_7271_prl x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_prr x y n) (l_e_st_eq_landau_n_rt_rp_r_satz203a (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n)) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) t (l_e_st_eq_landau_n_rt_rp_r_c_satz264a (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) n))) (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n)) l_e_st_eq_landau_n_rt_rp_r_1rl.l_e_st_eq_landau_n_rt_rp_r_moreisi2 (l_e_st_eq_landau_n_rt_rp_r_c_7271_prl x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_prr x y n) (l_e_st_eq_landau_n_rt_rp_r_ists1 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n)) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) t)) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_c_7271_prl x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_prr x y n)).

(* constant 5355 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_7271_prl x y n) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)))) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_disttp1 (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y))) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_7271_fx x y n) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y))) (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_7271_fy x y n) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y))) (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_satz204e (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_7271_t3 x y n)) (l_e_st_eq_landau_n_rt_rp_r_satz204e (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_7271_t3 x y n))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_7271_prl x y n) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y))).

(* constant 5356 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_satz195b (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_7271_prr x y n) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y))).

(* constant 5357 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_ismoreis12 (l_e_st_eq_landau_n_rt_rp_r_c_7271_prl x y n) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_7271_prr x y n) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_7271_t8 x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_t9 x y n) (l_e_st_eq_landau_n_rt_rp_r_c_7271_t7 x y n) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y))).

(* constant 5358 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7271_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y))) (λt:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_7271_t2 x y t) (λt:l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pl x y) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_7271_t10 x y t) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y))).

(* constant 5359 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz271 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_satz168a (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_c_7271_t11 x y) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y))).

(* constant 5360 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz271a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_7271_t11 x y : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl x y))).

(* constant 5361 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7272_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_iscere (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_satz214 x)) (l_e_st_eq_landau_n_rt_rp_r_c_reis (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x))).

(* constant 5362 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7272_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_m0 x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_7272_t1 x) (l_e_st_eq_landau_n_rt_rp_r_c_7272_t1 x)) (l_e_st_eq_landau_n_rt_rp_r_satz198 (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_m0 x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x))).

(* constant 5363 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7272_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_isceim (l_e_st_eq_landau_n_rt_rp_r_c_m0 x) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_c_satz214 x)) (l_e_st_eq_landau_n_rt_rp_r_c_imis (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))).

(* constant 5364 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7272_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_m0 x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_7272_t3 x) (l_e_st_eq_landau_n_rt_rp_r_c_7272_t3 x)) (l_e_st_eq_landau_n_rt_rp_r_satz198 (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_m0 x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x))).

(* constant 5365 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7272_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_m0 x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_m0 x))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_7272_t2 x) (l_e_st_eq_landau_n_rt_rp_r_c_7272_t4 x) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod2 (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x)).

(* constant 5366 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz272 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_issqrt (l_e_st_eq_landau_n_rt_rp_r_c_mod2 (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_mod2 x) (l_e_st_eq_landau_n_rt_rp_r_c_lemma5 (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma5 x) (l_e_st_eq_landau_n_rt_rp_r_c_7272_t5 x) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_mod x)).

(* constant 5367 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz272a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_m0 x)) (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_satz272 x) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_m0 x))).

(* constant 5368 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7273_sum ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5369 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7273_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_islessis1 (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl y (l_e_st_eq_landau_n_rt_rp_r_c_mn x y))) (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y) (l_e_st_eq_landau_n_rt_rp_r_c_ismod (l_e_st_eq_landau_n_rt_rp_r_c_pl y (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) x (l_e_st_eq_landau_n_rt_rp_r_c_satz212h x y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz271 y (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y)).

(* constant 5370 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7273_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y)) (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y) (l_e_st_eq_landau_n_rt_rp_r_c_mod y))) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y) (l_e_st_eq_landau_n_rt_rp_r_c_mod y))) (l_e_st_eq_landau_n_rt_rp_r_c_7273_t1 x y) (λt:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y).l_e_st_eq_landau_n_rt_rp_r_satz188f (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) t) (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y).l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y) (l_e_st_eq_landau_n_rt_rp_r_c_mod y) t) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y) (l_e_st_eq_landau_n_rt_rp_r_c_mod y))).

(* constant 5371 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7273_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)))) (l_e_st_eq_landau_n_rt_rp_r_mnpl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y))).

(* constant 5372 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7273_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_satz168b (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_islessis2 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_7273_sum x y) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_7273_t3 x y) (l_e_st_eq_landau_n_rt_rp_r_c_7273_t2 x y)) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y))).

(* constant 5373 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7273_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ismoreis12 (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn y x)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y))) (l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn y x)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y))) (l_e_st_eq_landau_n_rt_rp_r_c_ismod (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_c_mn y x) (l_e_st_eq_landau_n_rt_rp_r_c_satz219 x y)) (l_e_st_eq_landau_n_rt_rp_r_c_satz272 (l_e_st_eq_landau_n_rt_rp_r_c_mn x y))) (l_e_st_eq_landau_n_rt_rp_r_satz181a (l_e_st_eq_landau_n_rt_rp_r_c_mod y) (l_e_st_eq_landau_n_rt_rp_r_c_mod x)) (l_e_st_eq_landau_n_rt_rp_r_c_7273_t4 y x) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)))).

(* constant 5374 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7273_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_neg r) (l_not (l_e_st_eq_landau_n_rt_rp_r_neg r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) r) (l_or_th6 (l_e_st_eq_landau_n_rt_rp_r_neg r)) (λt:l_e_st_eq_landau_n_rt_rp_r_neg r.l_e_st_eq_landau_n_rt_rp_r_absn r t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_neg r).l_e_st_eq_landau_n_rt_rp_r_absnn r t) : l_or (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_m0 r)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) r)).

(* constant 5375 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_7273_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λm:l_e_st_eq_landau_n_rt_rp_r_moreis r s.λn:l_e_st_eq_landau_n_rt_rp_r_moreis r (l_e_st_eq_landau_n_rt_rp_r_m0 s).(l_orapp (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_r_m0 s)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs s) s) (l_e_st_eq_landau_n_rt_rp_r_moreis r (l_e_st_eq_landau_n_rt_rp_r_abs s)) (l_e_st_eq_landau_n_rt_rp_r_c_7273_t6 s) (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_r_m0 s).l_e_st_eq_landau_n_rt_rp_r_ismoreis2 (l_e_st_eq_landau_n_rt_rp_r_m0 s) (l_e_st_eq_landau_n_rt_rp_r_abs s) r (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_abs s) (l_e_st_eq_landau_n_rt_rp_r_m0 s) t) n) (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs s) s.l_e_st_eq_landau_n_rt_rp_r_ismoreis2 s (l_e_st_eq_landau_n_rt_rp_r_abs s) r (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_abs s) s t) m) : l_e_st_eq_landau_n_rt_rp_r_moreis r (l_e_st_eq_landau_n_rt_rp_r_abs s)).

(* constant 5376 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz273 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_7273_t7 (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)) (l_e_st_eq_landau_n_rt_rp_r_c_7273_t4 x y) (l_e_st_eq_landau_n_rt_rp_r_c_7273_t5 x y) : l_e_st_eq_landau_n_rt_rp_r_moreis (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_mn x y)) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_mod x) (l_e_st_eq_landau_n_rt_rp_r_c_mod y)))).

(* constant 5377 *)
definition l_e_st_eq_landau_n_8274_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_some (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to y) (λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to y.l_e_bijective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to y) f) : Prop).

(* constant 5378 *)
definition l_e_st_eq_landau_n_8274_prop2 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_all (λy:l_e_st_eq_landau_n_nat.l_imp (l_e_st_eq_landau_n_less x y) (l_not (l_e_st_eq_landau_n_8274_prop1 x y))) : Prop).

(* constant 5379 *)
definition l_e_st_eq_landau_n_8274_1y ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_1out y : l_e_st_eq_landau_n_1to y).

(* constant 5380 *)
definition l_e_st_eq_landau_n_8274_yy ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_xout y : l_e_st_eq_landau_n_1to y).

(* constant 5381 *)
definition l_e_st_eq_landau_n_8274_t1 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.λi:l_e_is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_1y y l f) (l_e_st_eq_landau_n_8274_yy y l f).(l_e_st_eq_landau_n_isoutne y l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a y) y (l_e_st_eq_landau_n_lessisi3 y) i : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 y).

(* constant 5382 *)
definition l_e_st_eq_landau_n_8274_t2 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.(l_ec3e31 (l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 y) (l_e_st_eq_landau_n_more l_e_st_eq_landau_n_1 y) (l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y) (l_e_st_eq_landau_n_satz10b l_e_st_eq_landau_n_1 y) l : l_e_st_eq_landau_n_nis l_e_st_eq_landau_n_1 y).

(* constant 5383 *)
definition l_e_st_eq_landau_n_8274_t3 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.(l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_1y y l f) (l_e_st_eq_landau_n_8274_yy y l f)) (l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 y) (l_e_st_eq_landau_n_8274_t2 y l f) (λt:l_e_is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_1y y l f) (l_e_st_eq_landau_n_8274_yy y l f).l_e_st_eq_landau_n_8274_t1 y l f t) : l_not (l_e_is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_1y y l f) (l_e_st_eq_landau_n_8274_yy y l f))).

(* constant 5384 *)
definition l_e_st_eq_landau_n_8274_t4 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.(l_e_isf (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f u l_e_st_eq_landau_n_1o (l_e_st_eq_landau_n_singlet_th1 u) : l_e_is (l_e_st_eq_landau_n_1to y) (f u) (f l_e_st_eq_landau_n_1o)).

(* constant 5385 *)
definition l_e_st_eq_landau_n_8274_t5 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f l_e_st_eq_landau_n_1o) (l_e_st_eq_landau_n_8274_1y y l f).λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.(l_e_notis_th2 (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_1y y l f) (l_e_st_eq_landau_n_8274_yy y l f) (f u) (l_e_st_eq_landau_n_8274_t3 y l f) (l_e_tris (l_e_st_eq_landau_n_1to y) (f u) (f l_e_st_eq_landau_n_1o) (l_e_st_eq_landau_n_8274_1y y l f) (l_e_st_eq_landau_n_8274_t4 y l f u) i) : l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f u) (l_e_st_eq_landau_n_8274_yy y l f))).

(* constant 5386 *)
definition l_e_st_eq_landau_n_8274_t6 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f l_e_st_eq_landau_n_1o) (l_e_st_eq_landau_n_8274_1y y l f).(l_some_th5 (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_yy y l f) (f u)) (λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_symnotis (l_e_st_eq_landau_n_1to y) (f u) (l_e_st_eq_landau_n_8274_yy y l f) (l_e_st_eq_landau_n_8274_t5 y l f i u)) : l_not (l_e_image (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f (l_e_st_eq_landau_n_8274_yy y l f))).

(* constant 5387 *)
definition l_e_st_eq_landau_n_8274_t7 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f l_e_st_eq_landau_n_1o) (l_e_st_eq_landau_n_8274_1y y l f).(l_all_th1 (l_e_st_eq_landau_n_1to y) (λu:l_e_st_eq_landau_n_1to y.l_e_image (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f u) (l_e_st_eq_landau_n_8274_yy y l f) (l_e_st_eq_landau_n_8274_t6 y l f i) : l_not (l_e_surjective (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f)).

(* constant 5388 *)
definition l_e_st_eq_landau_n_8274_t8 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.λn:l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f l_e_st_eq_landau_n_1o) (l_e_st_eq_landau_n_8274_1y y l f)).λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.(l_e_notis_th2 (l_e_st_eq_landau_n_1to y) (f l_e_st_eq_landau_n_1o) (l_e_st_eq_landau_n_8274_1y y l f) (f u) n (l_e_st_eq_landau_n_8274_t4 y l f u) : l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f u) (l_e_st_eq_landau_n_8274_1y y l f))).

(* constant 5389 *)
definition l_e_st_eq_landau_n_8274_t9 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.λn:l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f l_e_st_eq_landau_n_1o) (l_e_st_eq_landau_n_8274_1y y l f)).(l_some_th5 (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_1y y l f) (f u)) (λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_symnotis (l_e_st_eq_landau_n_1to y) (f u) (l_e_st_eq_landau_n_8274_1y y l f) (l_e_st_eq_landau_n_8274_t8 y l f n u)) : l_not (l_e_image (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f (l_e_st_eq_landau_n_8274_1y y l f))).

(* constant 5390 *)
definition l_e_st_eq_landau_n_8274_t10 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.λn:l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f l_e_st_eq_landau_n_1o) (l_e_st_eq_landau_n_8274_1y y l f)).(l_all_th1 (l_e_st_eq_landau_n_1to y) (λu:l_e_st_eq_landau_n_1to y.l_e_image (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f u) (l_e_st_eq_landau_n_8274_1y y l f) (l_e_st_eq_landau_n_8274_t9 y l f n) : l_not (l_e_surjective (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f)).

(* constant 5391 *)
definition l_e_st_eq_landau_n_8274_t11 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.(l_imp_th1 (l_e_is (l_e_st_eq_landau_n_1to y) (f l_e_st_eq_landau_n_1o) (l_e_st_eq_landau_n_8274_1y y l f)) (l_not (l_e_surjective (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f)) (λt:l_e_is (l_e_st_eq_landau_n_1to y) (f l_e_st_eq_landau_n_1o) (l_e_st_eq_landau_n_8274_1y y l f).l_e_st_eq_landau_n_8274_t7 y l f t) (λt:l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f l_e_st_eq_landau_n_1o) (l_e_st_eq_landau_n_8274_1y y l f)).l_e_st_eq_landau_n_8274_t10 y l f t) : l_not (l_e_surjective (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f)).

(* constant 5392 *)
definition l_e_st_eq_landau_n_8274_t12 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.(l_and_th2 (l_e_injective (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f) (l_e_surjective (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f) (l_e_st_eq_landau_n_8274_t11 y l f) : l_not (l_e_bijective (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f)).

(* constant 5393 *)
definition l_e_st_eq_landau_n_8274_t13 ≝ λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.(l_some_th5 (Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y) (λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.l_e_bijective (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to y) f) (λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_8274_t12 y l f) : l_not (l_e_st_eq_landau_n_8274_prop1 l_e_st_eq_landau_n_1 y)).

(* constant 5394 *)
definition l_e_st_eq_landau_n_8274_t14 ≝ (λy:l_e_st_eq_landau_n_nat.λt:l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y.l_e_st_eq_landau_n_8274_t13 y t : l_e_st_eq_landau_n_8274_prop2 l_e_st_eq_landau_n_1).

(* constant 5395 *)
definition l_e_st_eq_landau_n_8274_xs ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_suc x : l_e_st_eq_landau_n_nat).

(* constant 5396 *)
definition l_e_st_eq_landau_n_8274_xxs ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.(l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_8274_xs x) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_suc x)).

(* constant 5397 *)
definition l_e_st_eq_landau_n_8274_yy1 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.(l_e_st_eq_landau_n_xout y : l_e_st_eq_landau_n_1to y).

(* constant 5398 *)
definition l_e_st_eq_landau_n_8274_t15 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.(l_e_st_eq_landau_n_trless l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_suc x) y (l_e_st_eq_landau_n_satz24c x) l : l_e_st_eq_landau_n_less l_e_st_eq_landau_n_1 y).

(* constant 5399 *)
definition l_e_st_eq_landau_n_8274_ym1 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.(l_e_st_eq_landau_n_mn y l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_8274_t15 x p y l) : l_e_st_eq_landau_n_nat).

(* constant 5400 *)
definition l_e_st_eq_landau_n_8274_t16 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.(l_e_st_eq_landau_n_isless12 (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) y (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz4e x) (l_e_st_eq_landau_n_mn_th1c y l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_8274_t15 x p y l)) l : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1)).

(* constant 5401 *)
definition l_e_st_eq_landau_n_8274_t17 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.(l_e_st_eq_landau_n_satz20c x (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_8274_t16 x p y l) : l_e_st_eq_landau_n_less x (l_e_st_eq_landau_n_8274_ym1 x p y l)).

(* constant 5402 *)
definition l_e_st_eq_landau_n_8274_t18 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.(l_e_st_eq_landau_n_isless2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1) y (l_e_st_eq_landau_n_8274_ym1 x p y l) (l_e_st_eq_landau_n_mn_th1d y l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_8274_t15 x p y l)) (l_e_st_eq_landau_n_satz18a (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_8274_ym1 x p y l) y).

(* constant 5403 *)
definition l_e_st_eq_landau_n_8274_t19 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.(l_ande1 (l_e_injective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f) (l_e_surjective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f) b : l_e_injective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f).

(* constant 5404 *)
definition l_e_st_eq_landau_n_8274_t20 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.(l_ande2 (l_e_injective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f) (l_e_surjective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f) b : l_e_surjective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f).

(* constant 5405 *)
definition l_e_st_eq_landau_n_8274_u1 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_inn x u : l_e_st_eq_landau_n_nat).

(* constant 5406 *)
definition l_e_st_eq_landau_n_8274_t21 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_satz16a (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) x (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_1top x u) (l_e_st_eq_landau_n_satz18c x) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_xs x)).

(* constant 5407 *)
definition l_e_st_eq_landau_n_8274_t22 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_ec3e31 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_t21 x p y l f b i u) : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_xs x)).

(* constant 5408 *)
definition l_e_st_eq_landau_n_8274_t23 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_lessisi1 (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_t21 x p y l f b i u) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_xs x)).

(* constant 5409 *)
definition l_e_st_eq_landau_n_8274_u2 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_t23 x p y l f b i u) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)).

(* constant 5410 *)
definition l_e_st_eq_landau_n_8274_t24 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_u2 x p y l f b i u) (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_t22 x p y l f b i u) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_u2 x p y l f b i u) (l_e_st_eq_landau_n_8274_xxs x p y l).l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_t23 x p y l f b i u) (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_8274_xs x)) t) : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_u2 x p y l f b i u) (l_e_st_eq_landau_n_8274_xxs x p y l))).

(* constant 5411 *)
definition l_e_st_eq_landau_n_8274_t25 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.λj:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) (l_e_st_eq_landau_n_8274_yy1 x p y l).(l_e_tris2 (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l) j i : l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) (f (l_e_st_eq_landau_n_8274_xxs x p y l))).

(* constant 5412 *)
definition l_e_st_eq_landau_n_8274_t26 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.λj:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) (l_e_st_eq_landau_n_8274_yy1 x p y l).(l_e_isfe (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f (l_e_st_eq_landau_n_8274_t19 x p y l f b) (l_e_st_eq_landau_n_8274_u2 x p y l f b i u) (l_e_st_eq_landau_n_8274_xxs x p y l) (l_e_st_eq_landau_n_8274_t25 x p y l f b i u j) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_u2 x p y l f b i u) (l_e_st_eq_landau_n_8274_xxs x p y l)).

(* constant 5413 *)
definition l_e_st_eq_landau_n_8274_t27 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) (l_e_st_eq_landau_n_8274_yy1 x p y l)) (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_u2 x p y l f b i u) (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_t24 x p y l f b i u) (λt:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) (l_e_st_eq_landau_n_8274_yy1 x p y l).l_e_st_eq_landau_n_8274_t26 x p y l f b i u t) : l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) (l_e_st_eq_landau_n_8274_yy1 x p y l))).

(* constant 5414 *)
definition l_e_st_eq_landau_n_8274_w1 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_inn y (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) : l_e_st_eq_landau_n_nat).

(* constant 5415 *)
definition l_e_st_eq_landau_n_8274_t28 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) y.(l_e_tris (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) (l_e_st_eq_landau_n_outn y (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) (l_e_st_eq_landau_n_1top y (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)))) (l_e_st_eq_landau_n_8274_yy1 x p y l) (l_e_st_eq_landau_n_isoutinn y (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u))) (l_e_st_eq_landau_n_isoutni y (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) (l_e_st_eq_landau_n_1top y (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u))) y (l_e_st_eq_landau_n_lessisi3 y) j) : l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) (l_e_st_eq_landau_n_8274_yy1 x p y l)).

(* constant 5416 *)
definition l_e_st_eq_landau_n_8274_t29 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_imp_th3 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) y) (l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) (l_e_st_eq_landau_n_8274_yy1 x p y l)) (l_e_st_eq_landau_n_8274_t27 x p y l f b i u) (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) y.l_e_st_eq_landau_n_8274_t28 x p y l f b i u t) : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) y).

(* constant 5417 *)
definition l_e_st_eq_landau_n_8274_t30 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_ore1 (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) y) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) y) (l_e_st_eq_landau_n_1top y (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u))) (l_e_st_eq_landau_n_8274_t29 x p y l f b i u) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) y).

(* constant 5418 *)
definition l_e_st_eq_landau_n_8274_t31 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_islessis2 y (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_mn_th1c y l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_8274_t15 x p y l)) (l_e_st_eq_landau_n_satz25b y (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) (l_e_st_eq_landau_n_8274_t30 x p y l f b i u)) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1)).

(* constant 5419 *)
definition l_e_st_eq_landau_n_8274_t32 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_or_th9 (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) (l_e_st_eq_landau_n_8274_ym1 x p y l)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) (l_e_st_eq_landau_n_8274_ym1 x p y l)) (l_e_st_eq_landau_n_8274_t31 x p y l f b i u) (λt:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_satz20c (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1 t) (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_satz20b (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) (l_e_st_eq_landau_n_8274_ym1 x p y l) l_e_st_eq_landau_n_1 t) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) (l_e_st_eq_landau_n_8274_ym1 x p y l)).

(* constant 5420 *)
definition l_e_st_eq_landau_n_8274_w2 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_8274_ym1 x p y l) (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) (l_e_st_eq_landau_n_8274_t32 x p y l f b i u) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)).

(* constant 5421 *)
definition l_e_st_eq_landau_n_8274_f1 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).(λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_8274_w2 x p y l f b i t : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)).

(* constant 5422 *)
definition l_e_st_eq_landau_n_8274_t33 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λj:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) (l_e_st_eq_landau_n_8274_f1 x p y l f b i u) (l_e_st_eq_landau_n_8274_f1 x p y l f b i v).(l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_8274_ym1 x p y l) (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) (l_e_st_eq_landau_n_8274_t32 x p y l f b i u) (l_e_st_eq_landau_n_8274_w1 x p y l f b i v) (l_e_st_eq_landau_n_8274_t32 x p y l f b i v) j : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_w1 x p y l f b i u) (l_e_st_eq_landau_n_8274_w1 x p y l f b i v)).

(* constant 5423 *)
definition l_e_st_eq_landau_n_8274_t34 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λj:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) (l_e_st_eq_landau_n_8274_f1 x p y l f b i u) (l_e_st_eq_landau_n_8274_f1 x p y l f b i v).(l_e_st_eq_landau_n_isinne y (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i v)) (l_e_st_eq_landau_n_8274_t33 x p y l f b i u v j) : l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i u)) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i v))).

(* constant 5424 *)
definition l_e_st_eq_landau_n_8274_t35 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λj:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) (l_e_st_eq_landau_n_8274_f1 x p y l f b i u) (l_e_st_eq_landau_n_8274_f1 x p y l f b i v).(l_e_st_eq_landau_n_8274_t19 x p y l f b (l_e_st_eq_landau_n_8274_u2 x p y l f b i u) (l_e_st_eq_landau_n_8274_u2 x p y l f b i v) (l_e_st_eq_landau_n_8274_t34 x p y l f b i u v j) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_u2 x p y l f b i u) (l_e_st_eq_landau_n_8274_u2 x p y l f b i v)).

(* constant 5425 *)
definition l_e_st_eq_landau_n_8274_t36 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λj:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) (l_e_st_eq_landau_n_8274_f1 x p y l f b i u) (l_e_st_eq_landau_n_8274_f1 x p y l f b i v).(l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_t23 x p y l f b i u) (l_e_st_eq_landau_n_8274_u1 x p y l f b i v) (l_e_st_eq_landau_n_8274_t23 x p y l f b i v) (l_e_st_eq_landau_n_8274_t35 x p y l f b i u v j) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_u1 x p y l f b i u) (l_e_st_eq_landau_n_8274_u1 x p y l f b i v)).

(* constant 5426 *)
definition l_e_st_eq_landau_n_8274_t37 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λj:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) (l_e_st_eq_landau_n_8274_f1 x p y l f b i u) (l_e_st_eq_landau_n_8274_f1 x p y l f b i v).(l_e_st_eq_landau_n_isinne x u v (l_e_st_eq_landau_n_8274_t36 x p y l f b i u v j) : l_e_is (l_e_st_eq_landau_n_1to x) u v).

(* constant 5427 *)
definition l_e_st_eq_landau_n_8274_v1 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_st_eq_landau_n_inn (l_e_st_eq_landau_n_8274_ym1 x p y l) v : l_e_st_eq_landau_n_nat).

(* constant 5428 *)
definition l_e_st_eq_landau_n_8274_t38 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_st_eq_landau_n_satz16a (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) (l_e_st_eq_landau_n_8274_ym1 x p y l) y (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_8274_ym1 x p y l) v) (l_e_st_eq_landau_n_8274_t18 x p y l) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) y).

(* constant 5429 *)
definition l_e_st_eq_landau_n_8274_t39 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_ec3e31 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) y) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) y) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) y) (l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) y) (l_e_st_eq_landau_n_8274_t38 x p y l f b i v) : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) y).

(* constant 5430 *)
definition l_e_st_eq_landau_n_8274_t40 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_st_eq_landau_n_lessisi1 (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) y (l_e_st_eq_landau_n_8274_t38 x p y l f b i v) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) y).

(* constant 5431 *)
definition l_e_st_eq_landau_n_8274_v2 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_st_eq_landau_n_outn y (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) (l_e_st_eq_landau_n_8274_t40 x p y l f b i v) : l_e_st_eq_landau_n_1to y).

(* constant 5432 *)
definition l_e_st_eq_landau_n_8274_w3 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_invf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f b (l_e_st_eq_landau_n_8274_v2 x p y l f b i v) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)).

(* constant 5433 *)
definition l_e_st_eq_landau_n_8274_t41 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_thinvf2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f b (l_e_st_eq_landau_n_8274_v2 x p y l f b i v) : l_e_is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_v2 x p y l f b i v) (f (l_e_st_eq_landau_n_8274_w3 x p y l f b i v))).

(* constant 5434 *)
definition l_e_st_eq_landau_n_8274_t42 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).λj:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_8274_xxs x p y l).(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_8274_xxs x p y l) j : l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_w3 x p y l f b i v)) (f (l_e_st_eq_landau_n_8274_xxs x p y l))).

(* constant 5435 *)
definition l_e_st_eq_landau_n_8274_t43 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).λj:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_8274_xxs x p y l).(l_e_tr3is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_v2 x p y l f b i v) (f (l_e_st_eq_landau_n_8274_w3 x p y l f b i v)) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l) (l_e_st_eq_landau_n_8274_t41 x p y l f b i v) (l_e_st_eq_landau_n_8274_t42 x p y l f b i v j) i : l_e_is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_v2 x p y l f b i v) (l_e_st_eq_landau_n_8274_yy1 x p y l)).

(* constant 5436 *)
definition l_e_st_eq_landau_n_8274_t44 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).λj:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_8274_xxs x p y l).(l_e_st_eq_landau_n_isoutne y (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) (l_e_st_eq_landau_n_8274_t40 x p y l f b i v) y (l_e_st_eq_landau_n_lessisi3 y) (l_e_st_eq_landau_n_8274_t43 x p y l f b i v j) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) y).

(* constant 5437 *)
definition l_e_st_eq_landau_n_8274_t45 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) y) (l_e_st_eq_landau_n_8274_t39 x p y l f b i v) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_8274_xxs x p y l).l_e_st_eq_landau_n_8274_t44 x p y l f b i v t) : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_8274_xxs x p y l))).

(* constant 5438 *)
definition l_e_st_eq_landau_n_8274_w4 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_st_eq_landau_n_inn (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) : l_e_st_eq_landau_n_nat).

(* constant 5439 *)
definition l_e_st_eq_landau_n_8274_t46 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_8274_xs x).(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v))) (l_e_st_eq_landau_n_8274_xxs x p y l) (l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v)) (l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v)) (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_8274_xs x)) j) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_8274_xxs x p y l)).

(* constant 5440 *)
definition l_e_st_eq_landau_n_8274_t47 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_imp_th3 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_8274_xs x)) (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_t45 x p y l f b i v) (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_8274_t46 x p y l f b i v t) : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_8274_xs x)).

(* constant 5441 *)
definition l_e_st_eq_landau_n_8274_t48 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_ore1 (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v)) (l_e_st_eq_landau_n_8274_t47 x p y l f b i v) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_8274_xs x)).

(* constant 5442 *)
definition l_e_st_eq_landau_n_8274_t49 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_st_eq_landau_n_satz26a x (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_8274_t48 x p y l f b i v) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) x).

(* constant 5443 *)
definition l_e_st_eq_landau_n_8274_w5 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_8274_t49 x p y l f b i v) : l_e_st_eq_landau_n_1to x).

(* constant 5444 *)
definition l_e_st_eq_landau_n_8274_t50 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_st_eq_landau_n_isinoutn x (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_8274_t49 x p y l f b i v) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_8274_u1 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v))).

(* constant 5445 *)
definition l_e_st_eq_landau_n_8274_t51 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v))) (l_e_st_eq_landau_n_8274_u2 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v)) (l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v)) (l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_w4 x p y l f b i v) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_8274_xs x) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v)) (l_e_st_eq_landau_n_8274_u1 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v)) (l_e_st_eq_landau_n_8274_t23 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v)) (l_e_st_eq_landau_n_8274_t50 x p y l f b i v)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_8274_u2 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v))).

(* constant 5446 *)
definition l_e_st_eq_landau_n_8274_t52 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f (l_e_st_eq_landau_n_8274_w3 x p y l f b i v) (l_e_st_eq_landau_n_8274_u2 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v)) (l_e_st_eq_landau_n_8274_t51 x p y l f b i v) : l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_w3 x p y l f b i v)) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v)))).

(* constant 5447 *)
definition l_e_st_eq_landau_n_8274_t53 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_tris (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_v2 x p y l f b i v) (f (l_e_st_eq_landau_n_8274_w3 x p y l f b i v)) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v))) (l_e_st_eq_landau_n_8274_t41 x p y l f b i v) (l_e_st_eq_landau_n_8274_t52 x p y l f b i v) : l_e_is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_v2 x p y l f b i v) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v)))).

(* constant 5448 *)
definition l_e_st_eq_landau_n_8274_t54 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) (l_e_st_eq_landau_n_inn y (l_e_st_eq_landau_n_8274_v2 x p y l f b i v)) (l_e_st_eq_landau_n_8274_w1 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v)) (l_e_st_eq_landau_n_isinoutn y (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) (l_e_st_eq_landau_n_8274_t40 x p y l f b i v)) (l_e_st_eq_landau_n_isinni y (l_e_st_eq_landau_n_8274_v2 x p y l f b i v) (f (l_e_st_eq_landau_n_8274_u2 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v))) (l_e_st_eq_landau_n_8274_t53 x p y l f b i v)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) (l_e_st_eq_landau_n_8274_w1 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v))).

(* constant 5449 *)
definition l_e_st_eq_landau_n_8274_t55 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) v (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_8274_ym1 x p y l) (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_8274_ym1 x p y l) v)) (l_e_st_eq_landau_n_8274_w2 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v)) (l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_8274_ym1 x p y l) v) (l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_8274_ym1 x p y l) (l_e_st_eq_landau_n_8274_v1 x p y l f b i v) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_8274_ym1 x p y l) v) (l_e_st_eq_landau_n_8274_w1 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v)) (l_e_st_eq_landau_n_8274_t32 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v)) (l_e_st_eq_landau_n_8274_t54 x p y l f b i v)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) v (l_e_st_eq_landau_n_8274_f1 x p y l f b i (l_e_st_eq_landau_n_8274_w5 x p y l f b i v))).

(* constant 5450 *)
definition l_e_st_eq_landau_n_8274_t56 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).λv:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).(l_somei (l_e_st_eq_landau_n_1to x) (λt:l_e_st_eq_landau_n_1to x.l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) v (l_e_st_eq_landau_n_8274_f1 x p y l f b i t)) (l_e_st_eq_landau_n_8274_w5 x p y l f b i v) (l_e_st_eq_landau_n_8274_t55 x p y l f b i v) : l_e_image (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) (l_e_st_eq_landau_n_8274_f1 x p y l f b i) v).

(* constant 5451 *)
definition l_e_st_eq_landau_n_8274_t57 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).(l_andi (l_e_injective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) (l_e_st_eq_landau_n_8274_f1 x p y l f b i)) (l_e_surjective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) (l_e_st_eq_landau_n_8274_f1 x p y l f b i)) (λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) (l_e_st_eq_landau_n_8274_f1 x p y l f b i u) (l_e_st_eq_landau_n_8274_f1 x p y l f b i v).l_e_st_eq_landau_n_8274_t37 x p y l f b i u v t) (λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).l_e_st_eq_landau_n_8274_t56 x p y l f b i u) : l_e_bijective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) (l_e_st_eq_landau_n_8274_f1 x p y l f b i)).

(* constant 5452 *)
definition l_e_st_eq_landau_n_8274_t58 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).(l_somei (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l).l_e_bijective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_ym1 x p y l)) g) (l_e_st_eq_landau_n_8274_f1 x p y l f b i) (l_e_st_eq_landau_n_8274_t57 x p y l f b i) : l_e_st_eq_landau_n_8274_prop1 x (l_e_st_eq_landau_n_8274_ym1 x p y l)).

(* constant 5453 *)
definition l_e_st_eq_landau_n_8274_t59 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λi:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).(p (l_e_st_eq_landau_n_8274_ym1 x p y l) (l_e_st_eq_landau_n_8274_t17 x p y l) (l_e_st_eq_landau_n_8274_t58 x p y l f b i) : l_con).

(* constant 5454 *)
definition l_e_st_eq_landau_n_8274_m0 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λn:l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l)).(l_e_invf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f b (l_e_st_eq_landau_n_8274_yy1 x p y l) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)).

(* constant 5455 *)
definition l_e_st_eq_landau_n_8274_t60 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λn:l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l)).(l_e_thinvf2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f b (l_e_st_eq_landau_n_8274_yy1 x p y l) : l_e_is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_yy1 x p y l) (f (l_e_st_eq_landau_n_8274_m0 x p y l f b n))).

(* constant 5456 *)
definition l_e_st_eq_landau_n_8274_f2 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λn:l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l)).(l_e_changef (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f (l_e_st_eq_landau_n_8274_m0 x p y l f b n) (l_e_st_eq_landau_n_8274_xxs x p y l) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y).

(* constant 5457 *)
definition l_e_st_eq_landau_n_8274_t61 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λn:l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l)).(l_e_changef2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f (l_e_st_eq_landau_n_8274_m0 x p y l f b n) (l_e_st_eq_landau_n_8274_xxs x p y l) (l_e_st_eq_landau_n_8274_xxs x p y l) (l_e_refis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_8274_xxs x p y l)) : l_e_is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_f2 x p y l f b n (l_e_st_eq_landau_n_8274_xxs x p y l)) (f (l_e_st_eq_landau_n_8274_m0 x p y l f b n))).

(* constant 5458 *)
definition l_e_st_eq_landau_n_8274_t62 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λn:l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l)).(l_e_tris2 (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_f2 x p y l f b n (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l) (f (l_e_st_eq_landau_n_8274_m0 x p y l f b n)) (l_e_st_eq_landau_n_8274_t61 x p y l f b n) (l_e_st_eq_landau_n_8274_t60 x p y l f b n) : l_e_is (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_f2 x p y l f b n (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l)).

(* constant 5459 *)
definition l_e_st_eq_landau_n_8274_t63 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λn:l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l)).(l_e_wissel_th6 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f (l_e_st_eq_landau_n_8274_m0 x p y l f b n) (l_e_st_eq_landau_n_8274_xxs x p y l) b : l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) (l_e_st_eq_landau_n_8274_f2 x p y l f b n)).

(* constant 5460 *)
definition l_e_st_eq_landau_n_8274_t64 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.λn:l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l)).(l_e_st_eq_landau_n_8274_t59 x p y l (l_e_st_eq_landau_n_8274_f2 x p y l f b n) (l_e_st_eq_landau_n_8274_t63 x p y l f b n) (l_e_st_eq_landau_n_8274_t62 x p y l f b n) : l_con).

(* constant 5461 *)
definition l_e_st_eq_landau_n_8274_t65 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.(l_imp_th1 (l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l)) l_con (λt:l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l).l_e_st_eq_landau_n_8274_t59 x p y l f b t) (λt:l_not (l_e_is (l_e_st_eq_landau_n_1to y) (f (l_e_st_eq_landau_n_8274_xxs x p y l)) (l_e_st_eq_landau_n_8274_yy1 x p y l)).l_e_st_eq_landau_n_8274_t64 x p y l f b t) : l_con).

(* constant 5462 *)
definition l_e_st_eq_landau_n_8274_t65a ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_suc x) y.(l_some_th5 (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y) (λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f) (λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x).l_e_st_eq_landau_n_1to y.λt:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_8274_xs x)) (l_e_st_eq_landau_n_1to y) f.l_e_st_eq_landau_n_8274_t65 x p y l f t) : l_not (l_e_st_eq_landau_n_8274_prop1 (l_e_st_eq_landau_n_8274_xs x) y)).

(* constant 5463 *)
definition l_e_st_eq_landau_n_8274_t66 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_8274_prop2 x.(λy:l_e_st_eq_landau_n_nat.λt:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_8274_xs x) y.l_e_st_eq_landau_n_8274_t65a x p y t : l_e_st_eq_landau_n_8274_prop2 (l_e_st_eq_landau_n_8274_xs x)).

(* constant 5464 *)
definition l_e_st_eq_landau_n_8274_t67 ≝ λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_8274_prop2 t) l_e_st_eq_landau_n_8274_t14 (λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_8274_prop2 t.l_e_st_eq_landau_n_8274_t66 t u) x : l_e_st_eq_landau_n_8274_prop2 x).

(* constant 5465 *)
definition l_e_st_eq_landau_n_satz274 ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.(l_e_st_eq_landau_n_8274_t67 x y l : l_not (l_some (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to y) (λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to y.l_e_bijective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to y) f))).

(* constant 5466 *)
definition l_e_st_eq_landau_n_satz274a ≝ λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_less x y.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to y.(l_some_th4 (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to y) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to y.l_e_bijective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to y) g) (l_e_st_eq_landau_n_satz274 x y l) f : l_not (l_e_bijective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to y) f)).

(* constant 5467 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_inn ≝ λx:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_inn x u : l_e_st_eq_landau_n_nat).

(* constant 5468 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_1to x.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to x) n (l_e_st_eq_landau_n_xout x)).(l_imp_th3 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x) (l_e_is (l_e_st_eq_landau_n_1to x) n (l_e_st_eq_landau_n_xout x)) o (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x.l_e_tris (l_e_st_eq_landau_n_1to x) n (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_1top x n)) (l_e_st_eq_landau_n_xout x) (l_e_st_eq_landau_n_isoutinn x n) (l_e_st_eq_landau_n_isoutni x (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_1top x n) x (l_e_st_eq_landau_n_lessisi3 x) t)) : l_not (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x)).

(* constant 5469 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_1to x.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to x) n (l_e_st_eq_landau_n_xout x)).(l_ore1 (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x) (l_e_st_eq_landau_n_1top x n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t1 q x n o) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x).

(* constant 5470 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma275 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_1to x.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to x) n (l_e_st_eq_landau_n_xout x)).(l_e_st_eq_landau_n_satz25c x (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t2 q x n o) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x n)) x).

(* constant 5471 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_recprop ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_and (l_e_st_eq_landau_n_rt_rp_r_c_is (g (l_e_st_eq_landau_n_1out x)) (f (l_e_st_eq_landau_n_1out x))) (∀t:l_e_st_eq_landau_n_1to x.∀u:l_not (l_e_is (l_e_st_eq_landau_n_1to x) t (l_e_st_eq_landau_n_xout x)).l_e_st_eq_landau_n_rt_rp_r_c_is (g (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x t)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q x t u))) (q (g t) (f (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x t)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q x t u))))) : Prop).

(* constant 5472 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_1o ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_1out x : l_e_st_eq_landau_n_1to x).

(* constant 5473 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_xo ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_xout x : l_e_st_eq_landau_n_1to x).

(* constant 5474 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t11 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_e_st_eq_landau_n_satz16b u (l_e_st_eq_landau_n_suc u) x (l_e_st_eq_landau_n_satz18c u) l : l_e_st_eq_landau_n_less u x).

(* constant 5475 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t12 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_e_st_eq_landau_n_lessisi1 u x (l_e_st_eq_landau_n_rt_rp_r_c_8275_t11 q x u l) : l_e_st_eq_landau_n_lessis u x).

(* constant 5476 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_ux ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_e_st_eq_landau_n_outn x u (l_e_st_eq_landau_n_rt_rp_r_c_8275_t12 q x u l) : l_e_st_eq_landau_n_1to x).

(* constant 5477 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t13 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_ec3e31 (l_e_st_eq_landau_n_is u x) (l_e_st_eq_landau_n_more u x) (l_e_st_eq_landau_n_less u x) (l_e_st_eq_landau_n_satz10b u x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t11 q x u l) : l_e_st_eq_landau_n_nis u x).

(* constant 5478 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x)) (l_e_st_eq_landau_n_is u x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t13 q x u l) (λt:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x).l_e_st_eq_landau_n_isoutne x u (l_e_st_eq_landau_n_rt_rp_r_c_8275_t12 q x u l) x (l_e_st_eq_landau_n_lessisi3 x) t) : l_not (l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x))).

(* constant 5479 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t15 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_e_isf l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_suc u (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l)) (l_e_st_eq_landau_n_isinoutn x u (l_e_st_eq_landau_n_rt_rp_r_c_8275_t12 q x u l)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc u) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l)))).

(* constant 5480 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t16 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_e_st_eq_landau_n_isoutni x (l_e_st_eq_landau_n_suc u) l (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l))) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t15 q x u l) : l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc u) l) (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l))) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l)))).

(* constant 5481 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_ns ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λn:l_e_st_eq_landau_n_1to x.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to x) n (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x)).(l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x n)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q x n o) : l_e_st_eq_landau_n_1to x).

(* constant 5482 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_prop1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_is (g (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) : Prop).

(* constant 5483 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_prop2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(∀t:l_e_st_eq_landau_n_1to x.∀u:l_not (l_e_is (l_e_st_eq_landau_n_1to x) t (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x)).l_e_st_eq_landau_n_rt_rp_r_c_is (g (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x t u)) (q (g t) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x t u))) : Prop).

(* constant 5484 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop1 q x f g) (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop2 q x f g) pg : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop1 q x f g).

(* constant 5485 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λn:l_e_st_eq_landau_n_1to x.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to x) n (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x)).(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop1 q x f g) (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop2 q x f g) pg n o : l_e_st_eq_landau_n_rt_rp_r_c_is (g (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x n o)) (q (g n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x n o)))).

(* constant 5486 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t17 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_e_isf (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx g (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc u) l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t16 q x u l) : l_e_st_eq_landau_n_rt_rp_r_c_is (g (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc u) l)) (g (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l)))).

(* constant 5487 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t18 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (g (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc u) l)) (g (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l))) (q (g (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l)))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t17 q x f g pg u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t4 q x f g pg (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l)) : l_e_st_eq_landau_n_rt_rp_r_c_is (g (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc u) l)) (q (g (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l))))).

(* constant 5488 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_prop3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis u x.(l_e_st_eq_landau_n_rt_rp_r_c_is (g (l_e_st_eq_landau_n_outn x u l)) (h (l_e_st_eq_landau_n_outn x u l)) : Prop).

(* constant 5489 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_prop4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_nat.(l_and (l_e_st_eq_landau_n_lessis u x) (∀t:l_e_st_eq_landau_n_lessis u x.l_e_st_eq_landau_n_rt_rp_r_c_8275_prop3 q x f g h u t) : Prop).

(* constant 5490 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_nat.(l_or (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop4 q x f g h u) (l_e_st_eq_landau_n_more u x) : Prop).

(* constant 5491 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t5 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λl:l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 x.(l_e_st_eq_landau_n_isoutni x l_e_st_eq_landau_n_1 l l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a x) (l_e_refis l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_1) : l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_outn x l_e_st_eq_landau_n_1 l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)).

(* constant 5492 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t6 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λl:l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 x.(l_e_isf (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx g (l_e_st_eq_landau_n_outn x l_e_st_eq_landau_n_1 l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t5 q x f g h pg ph l) : l_e_st_eq_landau_n_rt_rp_r_c_is (g (l_e_st_eq_landau_n_outn x l_e_st_eq_landau_n_1 l)) (g (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x))).

(* constant 5493 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t7 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λl:l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 x.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (g (l_e_st_eq_landau_n_outn x l_e_st_eq_landau_n_1 l)) (g (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t6 q x f g h pg ph l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t3 q x f g pg) : l_e_st_eq_landau_n_rt_rp_r_c_is (g (l_e_st_eq_landau_n_outn x l_e_st_eq_landau_n_1 l)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x))).

(* constant 5494 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t8 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λl:l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 x.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (g (l_e_st_eq_landau_n_outn x l_e_st_eq_landau_n_1 l)) (h (l_e_st_eq_landau_n_outn x l_e_st_eq_landau_n_1 l)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t7 q x f g h pg ph l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t7 q x f h g ph pg l) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop3 q x f g h l_e_st_eq_landau_n_1 l).

(* constant 5495 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t9 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.(l_andi (l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 x) (∀t:l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 x.l_e_st_eq_landau_n_rt_rp_r_c_8275_prop3 q x f g h l_e_st_eq_landau_n_1 t) (l_e_st_eq_landau_n_satz24a x) (λt:l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 x.l_e_st_eq_landau_n_rt_rp_r_c_8275_t8 q x f g h pg ph t) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop4 q x f g h l_e_st_eq_landau_n_1).

(* constant 5496 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t10 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop4 q x f g h l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_more l_e_st_eq_landau_n_1 x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t9 q x f g h pg ph) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h l_e_st_eq_landau_n_1).

(* constant 5497 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t19 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λu:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h u.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_ec3e32 (l_e_st_eq_landau_n_is u x) (l_e_st_eq_landau_n_more u x) (l_e_st_eq_landau_n_less u x) (l_e_st_eq_landau_n_satz10b u x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t11 q x u l) : l_not (l_e_st_eq_landau_n_more u x)).

(* constant 5498 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t20 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λu:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h u.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_ore1 (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop4 q x f g h u) (l_e_st_eq_landau_n_more u x) p (l_e_st_eq_landau_n_rt_rp_r_c_8275_t19 q x f g h pg ph u p l) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop4 q x f g h u).

(* constant 5499 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t21 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λu:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h u.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_ande2 (l_e_st_eq_landau_n_lessis u x) (∀t:l_e_st_eq_landau_n_lessis u x.l_e_st_eq_landau_n_rt_rp_r_c_8275_prop3 q x f g h u t) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t20 q x f g h pg ph u p l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t12 q x u l) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop3 q x f g h u (l_e_st_eq_landau_n_rt_rp_r_c_8275_t12 q x u l)).

(* constant 5500 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t22 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λu:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h u.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l)))) (g (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l)) (h (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t21 q x f g h pg ph u p l) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (g (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l)))) (q (h (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l))))).

(* constant 5501 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t23 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λu:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h u.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (h (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc u) l)) (q (h (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l)))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t18 q x f h ph u l) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (h (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l)))) (h (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc u) l))).

(* constant 5502 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t24 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λu:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h u.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (g (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc u) l)) (q (g (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l)))) (q (h (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ux q x u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t14 q x u l)))) (h (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_suc u) l)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t18 q x f g pg u l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t22 q x f g h pg ph u p l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t23 q x f g h pg ph u p l) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop3 q x f g h (l_e_st_eq_landau_n_suc u) l).

(* constant 5503 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t25 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λu:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h u.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_andi (l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x) (∀t:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.l_e_st_eq_landau_n_rt_rp_r_c_8275_prop3 q x f g h (l_e_st_eq_landau_n_suc u) t) l (λt:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.l_e_st_eq_landau_n_rt_rp_r_c_8275_t24 q x f g h pg ph u p t) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop4 q x f g h (l_e_st_eq_landau_n_suc u)).

(* constant 5504 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t26 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λu:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h u.λl:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop4 q x f g h (l_e_st_eq_landau_n_suc u)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_suc u) x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t25 q x f g h pg ph u p l) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h (l_e_st_eq_landau_n_suc u)).

(* constant 5505 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t27 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λu:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h u.λn:l_not (l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x).(l_e_st_eq_landau_n_satz10k (l_e_st_eq_landau_n_suc u) x n : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_suc u) x).

(* constant 5506 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t28 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λu:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h u.λn:l_not (l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x).(l_ori2 (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop4 q x f g h (l_e_st_eq_landau_n_suc u)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_suc u) x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t27 q x f g h pg ph u p n) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h (l_e_st_eq_landau_n_suc u)).

(* constant 5507 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t29 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λu:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h u.(l_imp_th1 (l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h (l_e_st_eq_landau_n_suc u)) (λt:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x.l_e_st_eq_landau_n_rt_rp_r_c_8275_t26 q x f g h pg ph u p t) (λt:l_not (l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_suc u) x).l_e_st_eq_landau_n_rt_rp_r_c_8275_t28 q x f g h pg ph u p t) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h (l_e_st_eq_landau_n_suc u)).

(* constant 5508 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t30 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λu:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λv:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h v) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t10 q x f g h pg ph) (λv:l_e_st_eq_landau_n_nat.λt:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h v.l_e_st_eq_landau_n_rt_rp_r_c_8275_t29 q x f g h pg ph v t) u : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop5 q x f g h u).

(* constant 5509 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t31 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λn:l_e_st_eq_landau_n_1to x.(l_e_isf (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx g n (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_1top x n)) (l_e_st_eq_landau_n_isoutinn x n) : l_e_st_eq_landau_n_rt_rp_r_c_is (g n) (g (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_1top x n)))).

(* constant 5510 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t32 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λn:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_satz10d (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x (l_e_st_eq_landau_n_1top x n) : l_not (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x)).

(* constant 5511 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t33 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λn:l_e_st_eq_landau_n_1to x.(l_ore1 (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop4 q x f g h (l_e_st_eq_landau_n_rt_rp_r_c_inn x n)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t30 q x f g h pg ph (l_e_st_eq_landau_n_rt_rp_r_c_inn x n)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t32 q x f g h pg ph n) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop4 q x f g h (l_e_st_eq_landau_n_rt_rp_r_c_inn x n)).

(* constant 5512 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t34 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λn:l_e_st_eq_landau_n_1to x.(l_ande2 (l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x) (∀t:l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x.l_e_st_eq_landau_n_rt_rp_r_c_8275_prop3 q x f g h (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) t) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t33 q x f g h pg ph n) (l_e_st_eq_landau_n_1top x n) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop3 q x f g h (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_1top x n)).

(* constant 5513 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t35 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λn:l_e_st_eq_landau_n_1to x.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (h n) (h (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_1top x n))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t31 q x f h g ph pg n) : l_e_st_eq_landau_n_rt_rp_r_c_is (h (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_1top x n))) (h n)).

(* constant 5514 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t36 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.λn:l_e_st_eq_landau_n_1to x.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (g n) (g (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_1top x n))) (h (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_1top x n))) (h n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t31 q x f g h pg ph n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t34 q x f g h pg ph n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t35 q x f g h pg ph n) : l_e_st_eq_landau_n_rt_rp_r_c_is (g n) (h n)).

(* constant 5515 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t37 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λpg:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λph:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.(l_e_fisi (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx g h (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_8275_t36 q x f g h pg ph t) : l_e_is (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) g h).

(* constant 5516 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_prop6 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_some (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g) : Prop).

(* constant 5517 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.(l_all (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8275_prop6 q x f) : Prop).

(* constant 5518 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t38 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q l_e_st_eq_landau_n_1)) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop1 q l_e_st_eq_landau_n_1 f f).

(* constant 5519 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t39 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) n (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q l_e_st_eq_landau_n_1)).(o (l_e_st_eq_landau_n_singlet_th1 n) : l_con).

(* constant 5520 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t40 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) n (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q l_e_st_eq_landau_n_1)).(l_cone (l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q l_e_st_eq_landau_n_1 n o)) (q (f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q l_e_st_eq_landau_n_1 n o)))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t39 q f n o) : l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q l_e_st_eq_landau_n_1 n o)) (q (f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q l_e_st_eq_landau_n_1 n o)))).

(* constant 5521 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t41 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_andi (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop1 q l_e_st_eq_landau_n_1 f f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop2 q l_e_st_eq_landau_n_1 f f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t38 q f) (λt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.λu:l_not (l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) t (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q l_e_st_eq_landau_n_1)).l_e_st_eq_landau_n_rt_rp_r_c_8275_t40 q f t u) : l_e_st_eq_landau_n_rt_rp_r_c_recprop q l_e_st_eq_landau_n_1 f f).

(* constant 5522 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t42 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_somei (Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λg:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recprop q l_e_st_eq_landau_n_1 f g) f (l_e_st_eq_landau_n_rt_rp_r_c_8275_t41 q f) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop6 q l_e_st_eq_landau_n_1 f).

(* constant 5523 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t43 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.(λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8275_t42 q f : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q l_e_st_eq_landau_n_1).

(* constant 5524 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_xs ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.(l_e_st_eq_landau_n_suc x : l_e_st_eq_landau_n_nat).

(* constant 5525 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) x (l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_satz18c x)) f : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5526 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t44 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_onei (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recprop q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f) g) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f) g.λv:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f) h.l_e_st_eq_landau_n_rt_rp_r_c_8275_t37 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f) g h u v) (p (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f)) : l_e_one (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recprop q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f) g)).

(* constant 5527 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_ind (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recprop q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f) g) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t44 q x p f) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5528 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t45 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_oneax (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recprop q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f) g) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t44 q x p f) : l_e_st_eq_landau_n_rt_rp_r_c_recprop q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f)).

(* constant 5529 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).(l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) n (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) : Prop).

(* constant 5530 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t46 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).(l_e_st_eq_landau_n_satz26a x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t2 q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) x).

(* constant 5531 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).(l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t46 q x p f n o) : l_e_st_eq_landau_n_1to x).

(* constant 5532 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_b ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).(l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5533 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t47 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).(l_e_st_eq_landau_n_isoutni x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t46 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t46 q x p f n o1) (l_e_refis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n)) : l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o1)).

(* constant 5534 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t48 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).(l_e_isf (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o1) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t47 q x p f n o o1) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o1)).

(* constant 5535 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_a ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(q (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5536 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_c ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).(l_r_ite (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n) l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n.l_e_st_eq_landau_n_rt_rp_r_c_8275_a q x p f) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n t) (λt:l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n.λu:l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n.l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_a q x p f)) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λu:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).l_e_st_eq_landau_n_rt_rp_r_c_8275_t48 q x p f n t u) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5537 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t49 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λi:l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n.(l_r_itet (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n) l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n.l_e_st_eq_landau_n_rt_rp_r_c_8275_a q x p f) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n t) (λt:l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n.λu:l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n.l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_a q x p f)) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λu:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).l_e_st_eq_landau_n_rt_rp_r_c_8275_t48 q x p f n t u) i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_a q x p f)).

(* constant 5538 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t50 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).(l_r_itef (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n) l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n.l_e_st_eq_landau_n_rt_rp_r_c_8275_a q x p f) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n t) (λt:l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n.λu:l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n.l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_a q x p f)) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λu:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).l_e_st_eq_landau_n_rt_rp_r_c_8275_t48 q x p f n t u) o : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o)).

(* constant 5539 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_g2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f t : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5540 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t51 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_symnotis l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_ax3 x)) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) t) : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)))).

(* constant 5541 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t52 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_8275_t50 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t51 q x p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t51 q x p f))).

(* constant 5542 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t53 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)))).

(* constant 5543 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t54 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isoutni x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a x) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t46 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t51 q x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t53 q x p f) : l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t51 q x p f))).

(* constant 5544 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t55 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t51 q x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t54 q x p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t51 q x p f))).

(* constant 5545 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t56 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t51 q x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t52 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t55 q x p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x))).

(* constant 5546 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t57 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t56 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t3 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t45 q x p f)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x))).

(* constant 5547 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t58 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isinoutn x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a x) : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x))).

(* constant 5548 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t59 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) x (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_1top x (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) (l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_satz18c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t58 q x p f) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) x (l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_satz18c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x))).

(* constant 5549 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t60 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) x (l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_satz18c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t59 q x p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x))).

(* constant 5550 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t61 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_1o q x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t57 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t60 q x p f) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop1 q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) f (l_e_st_eq_landau_n_rt_rp_r_c_8275_g2 q x p f)).

(* constant 5551 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t62 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).(l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).

(* constant 5552 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t63 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).(l_e_st_eq_landau_n_ax4 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) x (l_e_st_eq_landau_n_rt_rp_r_c_8275_t62 q x p f n o i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) x).

(* constant 5553 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t64 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).(l_e_st_eq_landau_n_isoutni x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t46 q x p f n o) x (l_e_st_eq_landau_n_lessisi3 x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t63 q x p f n o i) : l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x)).

(* constant 5554 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t65 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).(l_e_isf (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_symis (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t64 q x p f n o i)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o)).

(* constant 5555 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t66 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t65 q x p f n o i) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t50 q x p f n o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n)).

(* constant 5556 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t67 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t66 q x p f n o i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_a q x p f) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))))).

(* constant 5557 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t68 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_symis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) i) : l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o))).

(* constant 5558 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t69 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t68 q x p f n o i) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)))).

(* constant 5559 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t70 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_a q x p f) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t49 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) i) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t67 q x p f n o i) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t69 q x p f n o i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)))).

(* constant 5560 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t71 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x).(l_e_st_eq_landau_n_isoutne x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t46 q x p f n o) x (l_e_st_eq_landau_n_lessisi3 x) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) x).

(* constant 5561 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t72 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x).(l_e_st_eq_landau_n_ax2 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) x (l_e_st_eq_landau_n_rt_rp_r_c_8275_t71 q x p f n o o1 i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).

(* constant 5562 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t73 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x).(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t72 q x p f n o o1 i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).

(* constant 5563 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x)) (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) o1 (λt:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x).l_e_st_eq_landau_n_rt_rp_r_c_8275_t73 q x p f n o o1 t) : l_not (l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q x))).

(* constant 5564 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t75 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_st_eq_landau_n_isinoutn x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t46 q x p f n o) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o))).

(* constant 5565 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t76 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_st_eq_landau_n_ax2 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t75 q x p f n o o1) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o)))).

(* constant 5566 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t77 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o))).

(* constant 5567 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t78 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_tris1 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o))) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t77 q x p f n o o1) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t76 q x p f n o o1) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o)))).

(* constant 5568 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t79 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_st_eq_landau_n_isoutni x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t46 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) o1) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o))) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t78 q x p f n o o1) : l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) o1) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1))).

(* constant 5569 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t80 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_isf (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) o1) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t79 q x p f n o o1) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) o1) (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1)))).

(* constant 5570 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t81 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_st_eq_landau_n_isinoutn x (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o))) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o))) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1)))).

(* constant 5571 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t82 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o))) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t76 q x p f n o o1) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t81 q x p f n o o1) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1)))).

(* constant 5572 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t83 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1))) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1))) x (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_1top x (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1))) (l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_satz18c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t82 q x p f n o o1) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) x (l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_satz18c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1)))).

(* constant 5573 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t84 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) x (l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) (l_e_st_eq_landau_n_satz18c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t83 q x p f n o o1) : l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1)))).

(* constant 5574 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t85 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o)) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t84 q x p f n o o1) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1))))).

(* constant 5575 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t86 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t50 q x p f n o) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)))).

(* constant 5576 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t87 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) o1) (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1)))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t50 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) o1) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t80 q x p f n o o1) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t4 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t45 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1))))).

(* constant 5577 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t88 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1)))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t86 q x p f n o o1) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t85 q x p f n o o1) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1))))).

(* constant 5578 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t89 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).λo1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_b q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_n1 q x p f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t74 q x p f n o o1)))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t87 q x p f n o o1) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t88 q x p f n o o1) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)))).

(* constant 5579 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t90 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λo:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f n).(l_imp_th1 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))) (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)))) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).l_e_st_eq_landau_n_rt_rp_r_c_8275_t70 q x p f n o t) (λt:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_xo q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p))).l_e_st_eq_landau_n_rt_rp_r_c_8275_t89 q x p f n o t) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_c q x p f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) n o)))).

(* constant 5580 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t91 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).λu:l_not (l_e_st_eq_landau_n_rt_rp_r_c_8275_nxs q x p f t).l_e_st_eq_landau_n_rt_rp_r_c_8275_t90 q x p f t u : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop2 q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) f (l_e_st_eq_landau_n_rt_rp_r_c_8275_g2 q x p f)).

(* constant 5581 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t92 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_andi (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop1 q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) f (l_e_st_eq_landau_n_rt_rp_r_c_8275_g2 q x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop2 q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) f (l_e_st_eq_landau_n_rt_rp_r_c_8275_g2 q x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t61 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t91 q x p f) : l_e_st_eq_landau_n_rt_rp_r_c_recprop q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) f (l_e_st_eq_landau_n_rt_rp_r_c_8275_g2 q x p f)).

(* constant 5582 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t93 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_somei (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx) (λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recprop q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) f g) (l_e_st_eq_landau_n_rt_rp_r_c_8275_g2 q x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t92 q x p f) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop6 q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p) f).

(* constant 5583 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t94 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x.(λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8275_t93 q x p f : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q (l_e_st_eq_landau_n_rt_rp_r_c_8275_xs q x p)).

(* constant 5584 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t95 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λy:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q y) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t43 q) (λy:l_e_st_eq_landau_n_nat.λt:l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q y.l_e_st_eq_landau_n_rt_rp_r_c_8275_t94 q y t) x : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop7 q x).

(* constant 5585 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t96 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_8275_t95 q x f : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop6 q x f).

(* constant 5586 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t97 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_onei (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λh:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λv:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f h.l_e_st_eq_landau_n_rt_rp_r_c_8275_t37 q x f g h u v) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t96 q x f) : l_e_one (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g)).

(* constant 5587 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz275 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_8275_t97 q x f : l_e_one (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g)).

(* constant 5588 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_recf ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_ind (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g) (l_e_st_eq_landau_n_rt_rp_r_c_satz275 q x f) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5589 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz275a ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_oneax (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g) (l_e_st_eq_landau_n_rt_rp_r_c_satz275 q x f) : l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f (l_e_st_eq_landau_n_rt_rp_r_c_recf q x f)).

(* constant 5590 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_rec ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_rt_rp_r_c_recf q x f n : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5591 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz275b ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_8275_t3 q x f (l_e_st_eq_landau_n_rt_rp_r_c_recf q x f) (l_e_st_eq_landau_n_rt_rp_r_c_satz275a q x f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_rec q x f (l_e_st_eq_landau_n_1out x)) (f (l_e_st_eq_landau_n_1out x))).

(* constant 5592 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_sucx ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to x.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to x) n (l_e_st_eq_landau_n_xout x)).(l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x n o : l_e_st_eq_landau_n_1to x).

(* constant 5593 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz275c ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to x.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to x) n (l_e_st_eq_landau_n_xout x)).(l_e_st_eq_landau_n_rt_rp_r_c_8275_t4 q x f (l_e_st_eq_landau_n_rt_rp_r_c_recf q x f) (l_e_st_eq_landau_n_rt_rp_r_c_satz275a q x f) n o : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_rec q x f (l_e_st_eq_landau_n_rt_rp_r_c_sucx q x f n o)) (q (l_e_st_eq_landau_n_rt_rp_r_c_rec q x f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_sucx q x f n o)))).

(* constant 5594 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz275d ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.(l_e_st_eq_landau_n_rt_rp_r_c_8275_t37 q x f g (l_e_st_eq_landau_n_rt_rp_r_c_recf q x f) r (l_e_st_eq_landau_n_rt_rp_r_c_satz275a q x f) : l_e_is (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) g (l_e_st_eq_landau_n_rt_rp_r_c_recf q x f)).

(* constant 5595 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz275e ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_c_recprop q x f g.λn:l_e_st_eq_landau_n_1to x.(l_e_fise (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx g (l_e_st_eq_landau_n_rt_rp_r_c_recf q x f) (l_e_st_eq_landau_n_rt_rp_r_c_satz275d q x f g r) n : l_e_st_eq_landau_n_rt_rp_r_c_is (g n) (l_e_st_eq_landau_n_rt_rp_r_c_rec q x f n)).

(* constant 5596 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_fl ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx x y l f : Πt:l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5597 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_rf ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_recf q x f : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5598 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_rfl ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx x y l (l_e_st_eq_landau_n_rt_rp_r_c_8275_rf q x y l f) : Πt:l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5599 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t98 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isinoutn y l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a y) : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn y (l_e_st_eq_landau_n_1out y))).

(* constant 5600 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t99 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isoutni x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a x) (l_e_st_eq_landau_n_rt_rp_r_c_inn y (l_e_st_eq_landau_n_1out y)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn y (l_e_st_eq_landau_n_1out y)) y x (l_e_st_eq_landau_n_1top y (l_e_st_eq_landau_n_1out y)) l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t98 q x y l f) : l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1out x) (l_e_st_eq_landau_n_left1to x y l (l_e_st_eq_landau_n_1out y))).

(* constant 5601 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t100 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isp (l_e_st_eq_landau_n_1to x) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_rf q x y l f t) (f t)) (l_e_st_eq_landau_n_1out x) (l_e_st_eq_landau_n_left1to x y l (l_e_st_eq_landau_n_1out y)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t3 q x f (l_e_st_eq_landau_n_rt_rp_r_c_8275_rf q x y l f) (l_e_st_eq_landau_n_rt_rp_r_c_satz275a q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t99 q x y l f) : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop1 q y (l_e_st_eq_landau_n_rt_rp_r_c_8275_fl q x y l f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_rfl q x y l f)).

(* constant 5602 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t100a ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)).(l_imp_th3 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) y) (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)) o (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) y.l_e_tris (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_outn y (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) (l_e_st_eq_landau_n_1top y n)) (l_e_st_eq_landau_n_xout y) (l_e_st_eq_landau_n_isoutinn y n) (l_e_st_eq_landau_n_isoutni y (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) (l_e_st_eq_landau_n_1top y n) y (l_e_st_eq_landau_n_lessisi3 y) t)) : l_not (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) y)).

(* constant 5603 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t100b ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)).(l_ore1 (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) y) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) y) (l_e_st_eq_landau_n_1top y n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t100a q x y l f n o) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) y).

(* constant 5604 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t101 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)).(l_e_st_eq_landau_n_satz16b (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) y x (l_e_st_eq_landau_n_rt_rp_r_c_8275_t100b q x y l f n o) l : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) x).

(* constant 5605 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t102 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)).(l_ec3e31 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) x) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) x) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) x) (l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t101 q x y l f n o) : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) x).

(* constant 5606 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t103 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)).(l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_left1to x y l n) (l_e_st_eq_landau_n_xout x)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t102 q x y l f n o) (λt:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_left1to x y l n) (l_e_st_eq_landau_n_xout x).l_e_st_eq_landau_n_isoutne x (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) y x (l_e_st_eq_landau_n_1top y n) l) x (l_e_st_eq_landau_n_lessisi3 x) t) : l_not (l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_left1to x y l n) (l_e_st_eq_landau_n_xout x))).

(* constant 5607 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t104 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)).(l_e_st_eq_landau_n_rt_rp_r_c_8275_t4 q x f (l_e_st_eq_landau_n_rt_rp_r_c_8275_rf q x y l f) (l_e_st_eq_landau_n_rt_rp_r_c_satz275a q x f) (l_e_st_eq_landau_n_left1to x y l n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t103 q x y l f n o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_rf q x y l f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_left1to x y l n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t103 q x y l f n o))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_rfl q x y l f n) (f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_left1to x y l n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t103 q x y l f n o))))).

(* constant 5608 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t105 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)).(l_e_st_eq_landau_n_isinoutn x (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) y x (l_e_st_eq_landau_n_1top y n) l) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_left1to x y l n))).

(* constant 5609 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t106 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)).(l_e_st_eq_landau_n_ax2 (l_e_st_eq_landau_n_rt_rp_r_c_inn y n) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_left1to x y l n)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t105 q x y l f n o) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn y n)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_left1to x y l n)))).

(* constant 5610 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t107 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)).(l_e_st_eq_landau_n_isinoutn y (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn y n)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q y n o) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn y n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn y (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q y n o))).

(* constant 5611 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t108 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)).(l_e_tris1 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_left1to x y l n))) (l_e_st_eq_landau_n_rt_rp_r_c_inn y (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q y n o)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn y n)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t106 q x y l f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t107 q x y l f n o) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_left1to x y l n))) (l_e_st_eq_landau_n_rt_rp_r_c_inn y (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q y n o))).

(* constant 5612 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t109 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)).(l_e_st_eq_landau_n_isoutni x (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_left1to x y l n))) (l_e_st_eq_landau_n_rt_rp_r_c_lemma275 q x (l_e_st_eq_landau_n_left1to x y l n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t103 q x y l f n o)) (l_e_st_eq_landau_n_rt_rp_r_c_inn y (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q y n o)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn y (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q y n o)) y x (l_e_st_eq_landau_n_1top y (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q y n o)) l) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t108 q x y l f n o) : l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_left1to x y l n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t103 q x y l f n o)) (l_e_st_eq_landau_n_left1to x y l (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q y n o))).

(* constant 5613 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t110 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.λo:l_not (l_e_is (l_e_st_eq_landau_n_1to y) n (l_e_st_eq_landau_n_xout y)).(l_e_isp (l_e_st_eq_landau_n_1to x) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_rf q x y l f t) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_rfl q x y l f n) (f t))) (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q x (l_e_st_eq_landau_n_left1to x y l n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t103 q x y l f n o)) (l_e_st_eq_landau_n_left1to x y l (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q y n o)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t104 q x y l f n o) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t109 q x y l f n o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8275_rfl q x y l f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q y n o)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8275_rfl q x y l f n) (l_e_st_eq_landau_n_rt_rp_r_c_8275_fl q x y l f (l_e_st_eq_landau_n_rt_rp_r_c_8275_ns q y n o)))).

(* constant 5614 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t111 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(λt:l_e_st_eq_landau_n_1to y.λu:l_not (l_e_is (l_e_st_eq_landau_n_1to y) t (l_e_st_eq_landau_n_xout y)).l_e_st_eq_landau_n_rt_rp_r_c_8275_t110 q x y l f t u : l_e_st_eq_landau_n_rt_rp_r_c_8275_prop2 q y (l_e_st_eq_landau_n_rt_rp_r_c_8275_fl q x y l f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_rfl q x y l f)).

(* constant 5615 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8275_t112 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_andi (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop1 q y (l_e_st_eq_landau_n_rt_rp_r_c_8275_fl q x y l f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_rfl q x y l f)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_prop2 q y (l_e_st_eq_landau_n_rt_rp_r_c_8275_fl q x y l f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_rfl q x y l f)) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t100 q x y l f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t111 q x y l f) : l_e_st_eq_landau_n_rt_rp_r_c_recprop q y (l_e_st_eq_landau_n_rt_rp_r_c_8275_fl q x y l f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_rfl q x y l f)).

(* constant 5616 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz275f ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λl:l_e_st_eq_landau_n_lessis y x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz275d q y (l_e_st_eq_landau_n_rt_rp_r_c_8275_fl q x y l f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_rfl q x y l f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t112 q x y l f) : l_e_is (Πt:l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx x y l (l_e_st_eq_landau_n_rt_rp_r_c_recf q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_recf q y (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx x y l f))).

(* constant 5617 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_xs ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_suc x : l_e_st_eq_landau_n_nat).

(* constant 5618 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_nat).

(* constant 5619 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_satz18a x l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_lessis x (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f)).

(* constant 5620 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_satz18c x) : l_e_st_eq_landau_n_lessis x (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f)).

(* constant 5621 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_lessisi2 (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_satz4e x) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f)).

(* constant 5622 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_fx ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) x (l_e_st_eq_landau_n_rt_rp_r_c_8276_t1 q x f) f : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5623 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t3 q x f) f : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5624 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_f1x ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_8275_f1 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_t95 q x) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5625 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_g1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_8275_g2 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_t95 q x) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5626 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_8275_g1 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_t95 q x) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5627 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_g ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t3 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) f) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5628 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_8275_t49 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_t95 q x) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f)) (l_e_refis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1 q x f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f (l_e_st_eq_landau_n_xout x)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))))).

(* constant 5629 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t5 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz275d q (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t92 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_t95 q x) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f)) : l_e_is (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f).l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f))).

(* constant 5630 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t6 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz275f q (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t3 q x f) f : l_e_is (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f).l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g q x f) (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f))).

(* constant 5631 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t7 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris2 (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f).l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t6 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t5 q x f) : l_e_is (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f).l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1 q x f)).

(* constant 5632 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t8 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_fise (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f)) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8276_g q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t7 q x f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8276_g q x f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1 q x f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f)))).

(* constant 5633 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t9 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8276_g q x f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1 q x f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f (l_e_st_eq_landau_n_xout x)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f)))) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t8 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t4 q x f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8276_g q x f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f (l_e_st_eq_landau_n_xout x)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))))).

(* constant 5634 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t10 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_1top x n) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t2 q x f)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) x (l_e_st_eq_landau_n_rt_rp_r_c_8276_t2 q x f) n))).

(* constant 5635 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t11 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x n) x (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_1top x n) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t1 q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) x (l_e_st_eq_landau_n_rt_rp_r_c_8276_t2 q x f) n)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) x (l_e_st_eq_landau_n_rt_rp_r_c_8276_t2 q x f) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) x (l_e_st_eq_landau_n_rt_rp_r_c_8276_t2 q x f) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t3 q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t10 q x f n) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) x (l_e_st_eq_landau_n_rt_rp_r_c_8276_t1 q x f) n) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t3 q x f) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) x (l_e_st_eq_landau_n_rt_rp_r_c_8276_t2 q x f) n))).

(* constant 5636 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t12 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to x.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) x (l_e_st_eq_landau_n_rt_rp_r_c_8276_t1 q x f) n) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t3 q x f) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) x (l_e_st_eq_landau_n_rt_rp_r_c_8276_t2 q x f) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t11 q x f n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8276_fx q x f n) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1x q x f n)).

(* constant 5637 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t13 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_fisi (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8276_fx q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1x q x f) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_8276_t12 q x f t) : l_e_is (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8276_fx q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1x q x f)).

(* constant 5638 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t14 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λu:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_recf q x u) (l_e_st_eq_landau_n_rt_rp_r_c_8276_fx q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1x q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t13 q x f) : l_e_is (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_recf q x (l_e_st_eq_landau_n_rt_rp_r_c_8276_fx q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_recf q x (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1x q x f))).

(* constant 5639 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t15 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz275d q x (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1x q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8275_t45 q x (l_e_st_eq_landau_n_rt_rp_r_c_8275_t95 q x) (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1 q x f)) : l_e_is (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f) (l_e_st_eq_landau_n_rt_rp_r_c_recf q x (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1x q x f))).

(* constant 5640 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t16 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris2 (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f) (l_e_st_eq_landau_n_rt_rp_r_c_recf q x (l_e_st_eq_landau_n_rt_rp_r_c_8276_fx q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_recf q x (l_e_st_eq_landau_n_rt_rp_r_c_8276_f1x q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t15 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t14 q x f) : l_e_is (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f) (l_e_st_eq_landau_n_rt_rp_r_c_recf q x (l_e_st_eq_landau_n_rt_rp_r_c_8276_fx q x f))).

(* constant 5641 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t17 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_fise (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f) (l_e_st_eq_landau_n_rt_rp_r_c_recf q x (l_e_st_eq_landau_n_rt_rp_r_c_8276_fx q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t16 q x f) (l_e_st_eq_landau_n_xout x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f (l_e_st_eq_landau_n_xout x)) (l_e_st_eq_landau_n_rt_rp_r_c_recf q x (l_e_st_eq_landau_n_rt_rp_r_c_8276_fx q x f) (l_e_st_eq_landau_n_xout x))).

(* constant 5642 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t18 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f)))).

(* constant 5643 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t19 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))) (l_e_st_eq_landau_n_satz4a x) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t18 q x f) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f)))).

(* constant 5644 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t20 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))) (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t3 q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t19 q x f) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t3 q x f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f)))).

(* constant 5645 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t21 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isp1 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f).l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) f t) (q (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f (l_e_st_eq_landau_n_xout x)) (f t))) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t3 q x f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_xs q x f))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t9 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t20 q x f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f (l_e_st_eq_landau_n_xout x)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f))))).

(* constant 5646 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8276_t22 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f)))) (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f (l_e_st_eq_landau_n_xout x)) (l_e_st_eq_landau_n_rt_rp_r_c_recf q x (l_e_st_eq_landau_n_rt_rp_r_c_8276_fx q x f) (l_e_st_eq_landau_n_xout x)) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t17 q x f) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f (l_e_st_eq_landau_n_xout x)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_recf q x (l_e_st_eq_landau_n_rt_rp_r_c_8276_fx q x f) (l_e_st_eq_landau_n_xout x)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8276_x1 q x f))))).

(* constant 5647 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz276 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8276_g1x q x f (l_e_st_eq_landau_n_xout x)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_recf q x (l_e_st_eq_landau_n_rt_rp_r_c_8276_fx q x f) (l_e_st_eq_landau_n_xout x)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t21 q x f) (l_e_st_eq_landau_n_rt_rp_r_c_8276_t22 q x f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) (q (l_e_st_eq_landau_n_rt_rp_r_c_recf q x (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz18a x l_e_st_eq_landau_n_1)) f) (l_e_st_eq_landau_n_xout x)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))))).

(* constant 5648 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_smpr ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_rec q x f (l_e_st_eq_landau_n_xout x) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5649 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_sum ≝ λx:l_e_st_eq_landau_n_nat.λf:Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_smpr (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_pl t u) x f : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5650 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_prod ≝ λx:l_e_st_eq_landau_n_nat.λf:Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_smpr (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) x f : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5651 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8277_t1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isoutni l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_lessisi3 l_e_st_eq_landau_n_1) (l_e_refis l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_1) : l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)).

(* constant 5652 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz277 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isp (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (λt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_rec q l_e_st_eq_landau_n_1 f t) (f t)) (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_satz275b q l_e_st_eq_landau_n_1 f) (l_e_st_eq_landau_n_rt_rp_r_c_8277_t1 q f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 5653 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz278 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz276 q x f : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz18a x l_e_st_eq_landau_n_1)) f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))))).

(* constant 5654 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v8_t1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.(l_e_st_eq_landau_n_lessisi2 y x i : l_e_st_eq_landau_n_lessis y x).

(* constant 5655 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v8_f0 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx x y (l_e_st_eq_landau_n_rt_rp_r_c_v8_t1 q x f y i) f : Πt:l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5656 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v8_t2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.(l_e_fise (l_e_st_eq_landau_n_1to y) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx x y (l_e_st_eq_landau_n_rt_rp_r_c_v8_t1 q x f y i) (l_e_st_eq_landau_n_rt_rp_r_c_recf q x f)) (l_e_st_eq_landau_n_rt_rp_r_c_recf q y (l_e_st_eq_landau_n_rt_rp_r_c_v8_f0 q x f y i)) (l_e_st_eq_landau_n_rt_rp_r_c_satz275f q x y (l_e_st_eq_landau_n_rt_rp_r_c_v8_t1 q x f y i) f) (l_e_st_eq_landau_n_xout y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_recf q x f (l_e_st_eq_landau_n_left1to x y (l_e_st_eq_landau_n_rt_rp_r_c_v8_t1 q x f y i) (l_e_st_eq_landau_n_xout y))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_v8_f0 q x f y i))).

(* constant 5657 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v8_t3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.(l_e_tris1 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_inn y (l_e_st_eq_landau_n_xout y)) x y (l_e_st_eq_landau_n_isinoutn y y (l_e_st_eq_landau_n_lessisi3 y)) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn y (l_e_st_eq_landau_n_xout y)) x).

(* constant 5658 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v8_t4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.(l_e_st_eq_landau_n_isoutni x (l_e_st_eq_landau_n_rt_rp_r_c_inn y (l_e_st_eq_landau_n_xout y)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn y (l_e_st_eq_landau_n_xout y)) y x (l_e_st_eq_landau_n_1top y (l_e_st_eq_landau_n_xout y)) (l_e_st_eq_landau_n_rt_rp_r_c_v8_t1 q x f y i)) x (l_e_st_eq_landau_n_lessisi3 x) (l_e_st_eq_landau_n_rt_rp_r_c_v8_t3 q x f y i) : l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_left1to x y (l_e_st_eq_landau_n_rt_rp_r_c_v8_t1 q x f y i) (l_e_st_eq_landau_n_xout y)) (l_e_st_eq_landau_n_xout x)).

(* constant 5659 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v8_t5 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.(l_e_isf (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_recf q x f) (l_e_st_eq_landau_n_left1to x y (l_e_st_eq_landau_n_rt_rp_r_c_v8_t1 q x f y i) (l_e_st_eq_landau_n_xout y)) (l_e_st_eq_landau_n_xout x) (l_e_st_eq_landau_n_rt_rp_r_c_v8_t4 q x f y i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_recf q x f (l_e_st_eq_landau_n_left1to x y (l_e_st_eq_landau_n_rt_rp_r_c_v8_t1 q x f y i) (l_e_st_eq_landau_n_xout y))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x f)).

(* constant 5660 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_issmpr ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λx:l_e_st_eq_landau_n_nat.λf:Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is y x.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_v8_f0 q x f y i)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x f) (l_e_st_eq_landau_n_rt_rp_r_c_recf q x f (l_e_st_eq_landau_n_left1to x y (l_e_st_eq_landau_n_rt_rp_r_c_v8_t1 q x f y i) (l_e_st_eq_landau_n_xout y))) (l_e_st_eq_landau_n_rt_rp_r_c_v8_t2 q x f y i) (l_e_st_eq_landau_n_rt_rp_r_c_v8_t5 q x f y i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx x y (l_e_st_eq_landau_n_lessisi2 y x i) f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x f)).

(* constant 5661 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_xr ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_rlofnt x : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 5662 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_sum x (λt:l_e_st_eq_landau_n_1to x.z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0)) : Prop).

(* constant 5663 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_t1 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_pl t u) (λt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_sum l_e_st_eq_landau_n_1 (λt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.z)) z).

(* constant 5664 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_t2 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_sum l_e_st_eq_landau_n_1 (λt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.z)) z (l_e_st_eq_landau_n_rt_rp_r_c_ts z l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_8279_t1 z) (l_e_st_eq_landau_n_rt_rp_r_c_satz222a z) : l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z l_e_st_eq_landau_n_1).

(* constant 5665 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_t3 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z x.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_pl t u) x (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_sum (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_sum x (λt:l_e_st_eq_landau_n_1to x.z)) z)).

(* constant 5666 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_t4 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z x.(l_e_st_eq_landau_n_rt_rp_r_c_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_sum x (λt:l_e_st_eq_landau_n_1to x.z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0)) z (l_e_st_eq_landau_n_rt_rp_r_c_ts z l_e_st_eq_landau_n_rt_rp_r_c_1c) p (l_e_st_eq_landau_n_rt_rp_r_c_satz222a z) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_sum x (λt:l_e_st_eq_landau_n_1to x.z)) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts z l_e_st_eq_landau_n_rt_rp_r_c_1c))).

(* constant 5667 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_t5 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z x.(l_e_st_eq_landau_n_rt_rp_r_c_distpt2 z (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_1c : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts z l_e_st_eq_landau_n_rt_rp_r_c_1c)) (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_1c))).

(* constant 5668 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_t6 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z x.(l_e_st_eq_landau_n_rt_rp_r_c_plis12a (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0 : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 5669 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_t7 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z x.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_satzr155b x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_pl01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 5670 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_t8 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z x.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_8279_t6 z x p) (l_e_st_eq_landau_n_rt_rp_r_c_8279_t7 z x p) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 5671 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_t9 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z x.(l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_rt_rp_r_0) z (l_e_st_eq_landau_n_rt_rp_r_c_8279_t8 z x p) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_1c)) (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 5672 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_t10 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z x.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_sum (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).z)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_sum x (λt:l_e_st_eq_landau_n_1to x.z)) z) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts z l_e_st_eq_landau_n_rt_rp_r_c_1c)) (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8279_xr z x) l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_1c)) (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_8279_t3 z x p) (l_e_st_eq_landau_n_rt_rp_r_c_8279_t4 z x p) (l_e_st_eq_landau_n_rt_rp_r_c_8279_t5 z x p) (l_e_st_eq_landau_n_rt_rp_r_c_8279_t9 z x p) : l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 5673 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8279_t11 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z x.(l_e_isp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z t) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_rt_rp_r_c_8279_t10 z x p) (l_e_st_eq_landau_n_satz4a x) : l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z (l_e_st_eq_landau_n_suc x)).

(* constant 5674 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz279 ≝ λz:l_e_st_eq_landau_n_rt_rp_r_c_complex.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z t) (l_e_st_eq_landau_n_rt_rp_r_c_8279_t2 z) (λu:l_e_st_eq_landau_n_nat.λt:l_e_st_eq_landau_n_rt_rp_r_c_8279_prop1 z u.l_e_st_eq_landau_n_rt_rp_r_c_8279_t11 z u t) x : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_sum x (λt:l_e_st_eq_landau_n_1to x.z)) (l_e_st_eq_landau_n_rt_rp_r_c_ts z (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_rlofnt x) l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 5675 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8280_t1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_lessisi1 l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_satz18a l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_2).

(* constant 5676 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8280_f1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8280_t1 q f) f : Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5677 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8280_t2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 q l_e_st_eq_landau_n_1 f : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_2 f) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8280_f1 q f)) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)))).

(* constant 5678 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8280_t3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 q (l_e_st_eq_landau_n_rt_rp_r_c_8280_f1 q f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8280_f1 q f)) (l_e_st_eq_landau_n_rt_rp_r_c_8280_f1 q f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 5679 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8280_t4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isinoutn l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_lessisi3 l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 5680 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8280_t5 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isoutni l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a l_e_st_eq_landau_n_2) (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_1top l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_8280_t1 q f)) (l_e_st_eq_landau_n_rt_rp_r_c_8280_t4 q f) : l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2) (l_e_st_eq_landau_n_left1to l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8280_t1 q f) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 5681 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8280_t6 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2) (l_e_st_eq_landau_n_left1to l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8280_t1 q f) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_8280_t5 q f) : l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8280_f1 q f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 5682 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8280_t7 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8280_f1 q f)) (f (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8280_f1 q f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_8280_t3 q f) (l_e_st_eq_landau_n_rt_rp_r_c_8280_t6 q f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8280_f1 q f)) (f (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2))).

(* constant 5683 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8280_t8 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8280_f1 q f)) (f (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8280_t7 q f) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8280_f1 q f)) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2))) (q (f (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)))).

(* constant 5684 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz280 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_2 f) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8280_f1 q f)) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2))) (q (f (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2))) (l_e_st_eq_landau_n_rt_rp_r_c_8280_t2 q f) (l_e_st_eq_landau_n_rt_rp_r_c_8280_t8 q f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_2 f) (q (f (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)))).

(* constant 5685 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_assoc ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.(∀x:l_e_st_eq_landau_n_rt_rp_r_c_cx.∀y:l_e_st_eq_landau_n_rt_rp_r_c_cx.∀z:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_is (q (q x y) z) (q x (q y z)) : Prop).

(* constant 5686 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_assocp1 ≝ (λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_asspl1 x y z : l_e_st_eq_landau_n_rt_rp_r_c_assoc (λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_pl x y)).

(* constant 5687 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_assocts ≝ (λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_assts1 x y z : l_e_st_eq_landau_n_rt_rp_r_c_assoc (λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts x y)).

(* constant 5688 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_assq1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_cx.(a z u v : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q z u) v) (q z (q u v))).

(* constant 5689 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_assq2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (q (q z u) v) (q z (q u v)) (l_e_st_eq_landau_n_rt_rp_r_c_assq1 q a z u v) : l_e_st_eq_landau_n_rt_rp_r_c_is (q z (q u v)) (q (q z u) v)).

(* constant 5690 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_satz18a x y) : l_e_st_eq_landau_n_lessis x (l_e_st_eq_landau_n_pl x y)).

(* constant 5691 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl x y) x (l_e_st_eq_landau_n_rt_rp_r_c_8281_t1 q a x y) f : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5692 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_right l_e_st_eq_landau_n_rt_rp_r_c_cx x y f : Πt:l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5693 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_prop1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl x y) f) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y f))) : Prop).

(* constant 5694 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_all (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x y).l_e_st_eq_landau_n_rt_rp_r_c_cx) (λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8281_prop1 q a x y u) : Prop).

(* constant 5695 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λf0:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 q x f0 : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f0) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x l_e_st_eq_landau_n_1 f0)) (f0 (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))))).

(* constant 5696 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λf0:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 q (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x l_e_st_eq_landau_n_1 f0) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x l_e_st_eq_landau_n_1 f0)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x l_e_st_eq_landau_n_1 f0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 5697 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λf0:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isinoutn l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_lessisi3 l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 5698 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t5 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λf0:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_ispl2 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) x (l_e_st_eq_landau_n_rt_rp_r_c_8281_t4 q a x f0) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)))).

(* constant 5699 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t6 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λf0:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_satz19o (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_1top l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t5 q a x f0) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_right1to x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 5700 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t7 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λf0:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_rt_rp_r_c_cx f0 (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_right1to x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t6 q a x f0) : l_e_st_eq_landau_n_rt_rp_r_c_is (f0 (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x l_e_st_eq_landau_n_1 f0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 5701 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t8 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λf0:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (f0 (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x l_e_st_eq_landau_n_1 f0)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x l_e_st_eq_landau_n_1 f0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t7 q a x f0) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t3 q a x f0) : l_e_st_eq_landau_n_rt_rp_r_c_is (f0 (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x l_e_st_eq_landau_n_1 f0))).

(* constant 5702 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t9 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λf0:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x l_e_st_eq_landau_n_1 f0))) (f0 (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x l_e_st_eq_landau_n_1 f0)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t8 q a x f0) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x l_e_st_eq_landau_n_1 f0)) (f0 (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x l_e_st_eq_landau_n_1 f0)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x l_e_st_eq_landau_n_1 f0)))).

(* constant 5703 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t10 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λf0:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f0) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x l_e_st_eq_landau_n_1 f0)) (f0 (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x l_e_st_eq_landau_n_1 f0)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x l_e_st_eq_landau_n_1 f0))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t2 q a x f0) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t9 q a x f0) : l_e_st_eq_landau_n_rt_rp_r_c_8281_prop1 q a x l_e_st_eq_landau_n_1 f0).

(* constant 5704 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t11 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.(λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8281_t10 q a x u : l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x l_e_st_eq_landau_n_1).

(* constant 5705 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_pl y l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_nat).

(* constant 5706 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_pl x y : l_e_st_eq_landau_n_nat).

(* constant 5707 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) : l_e_st_eq_landau_n_nat).

(* constant 5708 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_nat).

(* constant 5709 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_lessisi2 (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_asspl1 x y l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y)).

(* constant 5710 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t13 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))).

(* constant 5711 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t14 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_asspl2 x y l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t13 q a x y p f) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))).

(* constant 5712 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t15 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t14 q a x y p f) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))).

(* constant 5713 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t16 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y)) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t15 q a x y p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) f) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))).

(* constant 5714 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_fr ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) f : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5715 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t17 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz275f q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) f : l_e_is (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) f)) (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f))).

(* constant 5716 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t18 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_fise (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) f)) (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t17 q a x y p f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f))).

(* constant 5717 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t19 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_lessisi1 (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_satz18a (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)).

(* constant 5718 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_frr ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t19 q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5719 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t20 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))))).

(* constant 5720 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t21 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.q u (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)))) (p (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))))).

(* constant 5721 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t22 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_assq1 q a (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))))).

(* constant 5722 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t23 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_lessisi1 y (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_satz18a y l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)).

(* constant 5723 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_fy ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) y (l_e_st_eq_landau_n_rt_rp_r_c_8281_t23 q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f) : Πt:l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5724 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t24 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_fy q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y))))).

(* constant 5725 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t25 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)))).

(* constant 5726 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t26 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y))) x (l_e_st_eq_landau_n_rt_rp_r_c_8281_t25 q a x y p f) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y))))).

(* constant 5727 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t27 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris1 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t14 q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t26 q a x y p f) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y))))).

(* constant 5728 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t28 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y)) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)))) (l_e_st_eq_landau_n_satz19o (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) x (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t27 q a x y p f) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_right1to x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)))).

(* constant 5729 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t29 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_right1to x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t28 q a x y p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)))).

(* constant 5730 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t30 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t29 q a x y p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y))))).

(* constant 5731 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_n0 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_rt_rp_r_c_inn y n : l_e_st_eq_landau_n_nat).

(* constant 5732 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_nyp1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) y (l_e_st_eq_landau_n_rt_rp_r_c_8281_t23 q a x y p f) n : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)).

(* constant 5733 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t31 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_n0 q a x y p f n) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_8281_n0 q a x y p f n) y (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_1top y n) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t23 q a x y p f)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8281_n0 q a x y p f n) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nyp1 q a x y p f n))).

(* constant 5734 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t32 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_8281_n0 q a x y p f n) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nyp1 q a x y p f n)) x (l_e_st_eq_landau_n_rt_rp_r_c_8281_t31 q a x y p f n) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_8281_n0 q a x y p f n)) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nyp1 q a x y p f n)))).

(* constant 5735 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_nxpy ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_right1to x y n : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y)).

(* constant 5736 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_nxyp1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t19 q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxpy q a x y p f n) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)).

(* constant 5737 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t33 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxpy q a x y p f n)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxpy q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxpy q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t19 q a x y p f)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxpy q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxyp1 q a x y p f n))).

(* constant 5738 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t34 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_8281_n0 q a x y p f n)) (l_e_st_eq_landau_n_satz19o (l_e_st_eq_landau_n_rt_rp_r_c_8281_n0 q a x y p f n) y x (l_e_st_eq_landau_n_1top y n)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_8281_n0 q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxpy q a x y p f n))).

(* constant 5739 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t35 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_8281_n0 q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxpy q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxyp1 q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t34 q a x y p f n) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t33 q a x y p f n) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_8281_n0 q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxyp1 q a x y p f n))).

(* constant 5740 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t36 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.(l_e_tris1 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nyp1 q a x y p f n))) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxyp1 q a x y p f n)) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_8281_n0 q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t32 q a x y p f n) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t35 q a x y p f n) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nyp1 q a x y p f n))) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxyp1 q a x y p f n))).

(* constant 5741 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t37 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_pl x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nyp1 q a x y p f n))) (l_e_st_eq_landau_n_satz19o (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nyp1 q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) x (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nyp1 q a x y p f n))) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxyp1 q a x y p f n)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxyp1 q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxyp1 q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t36 q a x y p f n) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y)) (l_e_st_eq_landau_n_right1to x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nyp1 q a x y p f n)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxyp1 q a x y p f n))).

(* constant 5742 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t38 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to y.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_right1to x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nyp1 q a x y p f n)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_nxyp1 q a x y p f n)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t37 q a x y p f n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8281_fy q a x y p f n) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f) n)).

(* constant 5743 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t39 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_fisi (l_e_st_eq_landau_n_1to y) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8281_fy q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)) (λu:l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_rt_rp_r_c_8281_t38 q a x y p f u) : l_e_is (Πu:l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fy q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))).

(* constant 5744 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t40 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf (Πu:l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_rt_rp_r_c_cx) l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:Πu:l_e_st_eq_landau_n_1to y.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_smpr q y t) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fy q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t39 q a x y p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_fy q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)))).

(* constant 5745 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t41 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_fy q a x y p f)) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_fy q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t40 q a x y p f)) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_fy q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y))))).

(* constant 5746 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t41a ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_fy q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t30 q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t41 q a x y p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_fy q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y))))).

(* constant 5747 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t42 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_fy q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t41a q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t24 q a x y p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f))).

(* constant 5748 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t43 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t42 q a x y p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f)))).

(* constant 5749 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_m0 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_rt_rp_r_c_inn x m : l_e_st_eq_landau_n_nat).

(* constant 5750 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_mxpy ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) x (l_e_st_eq_landau_n_rt_rp_r_c_8281_t1 q a x y) m : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y)).

(* constant 5751 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_mxyp1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t19 q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxpy q a x y p f m) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)).

(* constant 5752 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t44 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxpy q a x y p f m)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxpy q a x y p f m)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxpy q a x y p f m)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t19 q a x y p f)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxpy q a x y p f m)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxyp1 q a x y p f m))).

(* constant 5753 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t45 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_m0 q a x y p f m) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_8281_m0 q a x y p f m) x (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_1top x m) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t1 q a x y)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8281_m0 q a x y p f m) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxpy q a x y p f m))).

(* constant 5754 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t46 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_1to x.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_8281_m0 q a x y p f m) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxpy q a x y p f m)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxyp1 q a x y p f m)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t45 q a x y p f m) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t44 q a x y p f m) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8281_m0 q a x y p f m) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxyp1 q a x y p f m))).

(* constant 5755 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t47 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_m0 q a x y p f m) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_8281_m0 q a x y p f m) x (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_1top x m) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxyp1 q a x y p f m)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxyp1 q a x y p f m)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxyp1 q a x y p f m)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t46 q a x y p f m) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) x (l_e_st_eq_landau_n_rt_rp_r_c_8281_t1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)) m) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxyp1 q a x y p f m))).

(* constant 5756 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t48 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_1to x.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) x (l_e_st_eq_landau_n_rt_rp_r_c_8281_t1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)) m) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_mxyp1 q a x y p f m)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t47 q a x y p f m) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f m) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f) m)).

(* constant 5757 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t49 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_fisi (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)) (λu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_8281_t48 q a x y p f u) : l_e_is (Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))).

(* constant 5758 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t50 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf (Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:Πu:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_smpr q x t) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t49 q a x y p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)))).

(* constant 5759 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t51 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f)) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t50 q a x y p f)) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f)))).

(* constant 5760 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t52 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) f) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t12 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_recf q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) f) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t16 q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t18 q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t20 q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t21 q a x y p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) f) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))))).

(* constant 5761 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t53 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y) f) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f)))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_fr q a x y p f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8281_xyp1 q a x y))))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x y (l_e_st_eq_landau_n_rt_rp_r_c_8281_frr q a x y p f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8281_f1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_f2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f))) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t52 q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t22 q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t43 q a x y p f) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t51 q a x y p f) : l_e_st_eq_landau_n_rt_rp_r_c_8281_prop1 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) f).

(* constant 5762 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t54 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.(λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8281_xpy1 q a x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8281_t53 q a x y p u : l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y)).

(* constant 5763 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t55 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y.(l_e_isp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x t) (l_e_st_eq_landau_n_rt_rp_r_c_8281_yp1 q a x y) (l_e_st_eq_landau_n_suc y) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t54 q a x y p) (l_e_st_eq_landau_n_satz4a y) : l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x (l_e_st_eq_landau_n_suc y)).

(* constant 5764 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8281_t56 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x t) (l_e_st_eq_landau_n_rt_rp_r_c_8281_t11 q a x) (λz:l_e_st_eq_landau_n_nat.λt:l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x z.l_e_st_eq_landau_n_rt_rp_r_c_8281_t55 q a x z t) y : l_e_st_eq_landau_n_rt_rp_r_c_8281_prop2 q a x y).

(* constant 5765 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz281 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λx:l_e_st_eq_landau_n_nat.λy:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x y).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_8281_t56 q a x y f : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl x y) f) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl x y) x (l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_pl x y) (l_e_st_eq_landau_n_satz18a x y)) f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q y (l_e_st_eq_landau_n_right l_e_st_eq_landau_n_rt_rp_r_c_cx x y f)))).

(* constant 5766 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_commut ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.(∀x:l_e_st_eq_landau_n_rt_rp_r_c_cx.∀y:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_is (q x y) (q y x) : Prop).

(* constant 5767 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_commutpl ≝ (λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_compl x y : l_e_st_eq_landau_n_rt_rp_r_c_commut (λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_pl x y)).

(* constant 5768 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_commutts ≝ (λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_comts x y : l_e_st_eq_landau_n_rt_rp_r_c_commut (λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts x y)).

(* constant 5769 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_comq ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.(c z u : l_e_st_eq_landau_n_rt_rp_r_c_is (q z u) (q u z)).

(* constant 5770 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_prop1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (λt:l_e_st_eq_landau_n_1to x.q (f t) (g t))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x f) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x g)) : Prop).

(* constant 5771 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.(l_all (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λu:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_all (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λv:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8282_prop1 q a c x u v)) : Prop).

(* constant 5772 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λf0:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg0:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 q (λt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.q (f0 t) (g0 t)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (λt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.q (f0 t) (g0 t))) (q (f0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (g0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)))).

(* constant 5773 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λf0:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg0:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f0)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 g0) (g0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_satz277 q g0) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f0) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 g0)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f0) (g0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)))).

(* constant 5774 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λf0:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg0:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (g0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f0) (f0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_satz277 q f0) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f0) (g0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) (q (f0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (g0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)))).

(* constant 5775 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λf0:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg0:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f0) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 g0)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f0) (g0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) (q (f0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (g0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t2 q a c f0 g0) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t3 q a c f0 g0) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f0) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 g0)) (q (f0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (g0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)))).

(* constant 5776 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t5 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λf0:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg0:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (λt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.q (f0 t) (g0 t))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f0) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 g0)) (q (f0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (g0 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t1 q a c f0 g0) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t4 q a c f0 g0) : l_e_st_eq_landau_n_rt_rp_r_c_8282_prop1 q a c l_e_st_eq_landau_n_1 f0 g0).

(* constant 5777 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t6 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.(λu:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8282_t5 q a c u v : l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c l_e_st_eq_landau_n_1).

(* constant 5778 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_nat).

(* constant 5779 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t7 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_cx.λw:l_e_st_eq_landau_n_rt_rp_r_c_cx.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_assq2 q a (q u v) w z : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q u v) (q w z)) (q (q (q u v) w) z)).

(* constant 5780 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t8 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_cx.λw:l_e_st_eq_landau_n_rt_rp_r_c_cx.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_comq q c (q u v) w : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q u v) w) (q w (q u v))).

(* constant 5781 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t9 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_cx.λw:l_e_st_eq_landau_n_rt_rp_r_c_cx.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_assq2 q a w u v : l_e_st_eq_landau_n_rt_rp_r_c_is (q w (q u v)) (q (q w u) v)).

(* constant 5782 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t10 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_cx.λw:l_e_st_eq_landau_n_rt_rp_r_c_cx.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (q (q u v) w) (q w (q u v)) (q (q w u) v) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t8 q a c u v w z) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t9 q a c u v w z) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q u v) w) (q (q w u) v)).

(* constant 5783 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t11 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_cx.λw:l_e_st_eq_landau_n_rt_rp_r_c_cx.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t z) (q (q u v) w) (q (q w u) v) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t10 q a c u v w z) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q (q u v) w) z) (q (q (q w u) v) z)).

(* constant 5784 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t12 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_cx.λw:l_e_st_eq_landau_n_rt_rp_r_c_cx.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_assq1 q a (q w u) v z : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q (q w u) v) z) (q (q w u) (q v z))).

(* constant 5785 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t13 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_cx.λw:l_e_st_eq_landau_n_rt_rp_r_c_cx.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_comq q c w u : l_e_st_eq_landau_n_rt_rp_r_c_is (q w u) (q u w)).

(* constant 5786 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t14 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_cx.λw:l_e_st_eq_landau_n_rt_rp_r_c_cx.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (q v z)) (q w u) (q u w) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t13 q a c u v w z) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q w u) (q v z)) (q (q u w) (q v z))).

(* constant 5787 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t15 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_c_cx.λw:l_e_st_eq_landau_n_rt_rp_r_c_cx.λz:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (q (q u v) (q w z)) (q (q (q u v) w) z) (q (q (q w u) v) z) (q (q w u) (q v z)) (q (q u w) (q v z)) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t7 q a c u v w z) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t11 q a c u v w z) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t12 q a c u v w z) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t14 q a c u v w z) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q u v) (q w z)) (q (q u w) (q v z))).

(* constant 5788 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t16 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) (l_e_st_eq_landau_n_satz18a x l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_lessis x (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)).

(* constant 5789 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8282_t16 q a c x p f g) f) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5790 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8282_t16 q a c x p f g) g) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5791 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_h ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).q (f t) (g t) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5792 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_shx ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8282_t16 q a c x p f g) (l_e_st_eq_landau_n_rt_rp_r_c_8282_h q a c x p f g)) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5793 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t17 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 q x (l_e_st_eq_landau_n_rt_rp_r_c_8282_h q a c x p f g) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8282_h q a c x p f g)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_shx q a c x p f g) (q (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))))).

(* constant 5794 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t18 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(p (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8282_t16 q a c x p f g) f) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8282_t16 q a c x p f g) g) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8282_shx q a c x p f g) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g))).

(* constant 5795 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t19 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (q (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))))) (l_e_st_eq_landau_n_rt_rp_r_c_8282_shx q a c x p f g) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g)) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t18 q a c x p f g) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_shx q a c x p f g) (q (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))))) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g)) (q (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))))).

(* constant 5796 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t20 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_8282_t15 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g)) (q (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))))) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))))).

(* constant 5797 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t21 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) f) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_satz278 q x f) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) f)).

(* constant 5798 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t22 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) f) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t21 q a c x p f g) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) f) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))))).

(* constant 5799 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t23 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) g) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_satz278 q x g) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) g)).

(* constant 5800 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t24 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) g) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t23 q a c x p f g) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) f) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) f) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) g))).

(* constant 5801 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t25 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8282_h q a c x p f g)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_shx q a c x p f g) (q (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))))) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g)) (q (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))))) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))))) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t17 q a c x p f g) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t19 q a c x p f g) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t20 q a c x p f g) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8282_h q a c x p f g)) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))))).

(* constant 5802 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t26 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8282_h q a c x p f g)) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sfx q a c x p f g) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) f) (q (l_e_st_eq_landau_n_rt_rp_r_c_8282_sgx q a c x p f g) (g (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x))))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) f) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) g)) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t25 q a c x p f g) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t22 q a c x p f g) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t24 q a c x p f g) : l_e_st_eq_landau_n_rt_rp_r_c_8282_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) f g).

(* constant 5803 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t27 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.(λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8282_t26 q a c x p u v : l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x)).

(* constant 5804 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t28 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x.(l_e_isp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c t) (l_e_st_eq_landau_n_rt_rp_r_c_8282_xp1 q a c x) (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t27 q a c x p) (l_e_st_eq_landau_n_satz4a x) : l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c (l_e_st_eq_landau_n_suc x)).

(* constant 5805 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8282_t29 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c t) (l_e_st_eq_landau_n_rt_rp_r_c_8282_t6 q a c) (λy:l_e_st_eq_landau_n_nat.λt:l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c y.l_e_st_eq_landau_n_rt_rp_r_c_8282_t28 q a c y t) x : l_e_st_eq_landau_n_rt_rp_r_c_8282_prop2 q a c x).

(* constant 5806 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz282 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λg:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_8282_t29 q a c x f g : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (λt:l_e_st_eq_landau_n_1to x.q (f t) (g t))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x f) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x g))).

(* constant 5807 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λs:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(λt:l_e_st_eq_landau_n_1to x.f (s t) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5808 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λs:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to x.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c x s f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x f) : Prop).

(* constant 5809 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.(l_all (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to x) (λu:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to x.l_all (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (λv:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_imp (l_e_bijective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to x) u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c x u v))) : Prop).

(* constant 5810 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris2 (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (s (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_1o (l_e_st_eq_landau_n_singlet_th1 (s (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_singlet_th1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) : l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (s (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)).

(* constant 5811 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c l_e_st_eq_landau_n_1 s f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c l_e_st_eq_landau_n_1 s f)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c l_e_st_eq_landau_n_1 s f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 5812 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_isf (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_rt_rp_r_c_cx f (s (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t1 q a c s f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c l_e_st_eq_landau_n_1 s f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 5813 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_satz277 q f) : l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f)).

(* constant 5814 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t5 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c l_e_st_eq_landau_n_1 s f)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c l_e_st_eq_landau_n_1 s f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 f) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t2 q a c s f) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t3 q a c s f) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t4 q a c s f) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c l_e_st_eq_landau_n_1 s f).

(* constant 5815 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t6 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.(λu:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.λv:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λw:l_e_bijective (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) u.l_e_st_eq_landau_n_rt_rp_r_c_8283_t5 q a c u v : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c l_e_st_eq_landau_n_1).

(* constant 5816 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_nat).

(* constant 5817 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_satz18a x l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_lessis x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5818 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t8 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.(l_ande1 (l_e_injective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s) (l_e_surjective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s) b : l_e_injective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s).

(* constant 5819 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x) u : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5820 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)) : l_e_st_eq_landau_n_nat).

(* constant 5821 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t9 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).(l_e_tr3is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u))) (l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) i) (l_e_symis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) case1) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 5822 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t10 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).(l_e_isfe (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_rt_rp_r_c_8283_t8 q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t9 q a c x p s f b case1 u i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5823 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t11 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).(l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t10 q a c x p s f b case1 u i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5824 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t12 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).(l_e_st_eq_landau_n_satz16a (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top x u) (l_e_st_eq_landau_n_satz18a x l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5825 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t13 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).(l_ec3e31 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t12 q a c x p s f b case1 u i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t11 q a c x p s f b case1 u i) : l_con).

(* constant 5826 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t14 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_ore1 (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u))) (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_8283_t13 q a c x p s f b case1 u t) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5827 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t15 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_satz26 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t14 q a c x p s f b case1 u) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) x).

(* constant 5828 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t15 q a c x p s f b case1 u) : l_e_st_eq_landau_n_1to x).

(* constant 5829 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_s01 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 t : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to x).

(* constant 5830 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t16 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 v).(l_e_st_eq_landau_n_isoutne x (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t15 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 v) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t15 q a c x p s f b case1 v) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 v)).

(* constant 5831 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t17 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 v).(l_e_st_eq_landau_n_rt_rp_r_c_8283_t8 q a c x p s f b (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 v) (l_e_st_eq_landau_n_isinne (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 v)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t16 q a c x p s f b case1 u v i)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 v)).

(* constant 5832 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t18 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 v).(l_e_st_eq_landau_n_thleft1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x) u v (l_e_st_eq_landau_n_rt_rp_r_c_8283_t17 q a c x p s f b case1 u v i) : l_e_is (l_e_st_eq_landau_n_1to x) u v).

(* constant 5833 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_invf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s b (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5834 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u) : l_e_st_eq_landau_n_nat).

(* constant 5835 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t19 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5836 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t20 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).(l_e_tr3is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_thinvf2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s b (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)) (l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t19 q a c x p s f b case1 u i)) case1 : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5837 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t21 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).(l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t20 q a c x p s f b case1 u i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5838 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t22 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).(l_e_st_eq_landau_n_satz16a (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top x u) (l_e_st_eq_landau_n_satz18a x l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5839 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t23 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).(l_ec3e31 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t22 q a c x p s f b case1 u i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t21 q a c x p s f b case1 u i) : l_con).

(* constant 5840 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t24 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_ore1 (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u)) (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_8283_t23 q a c x p s f b case1 u t) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5841 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t25 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_satz26 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t24 q a c x p s f b case1 u) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) x).

(* constant 5842 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t25 q a c x p s f b case1 u) : l_e_st_eq_landau_n_1to x).

(* constant 5843 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t26 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_isinoutn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t25 q a c x p s f b case1 u) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u))).

(* constant 5844 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t27 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u)) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t26 q a c x p s f b case1 u)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u))).

(* constant 5845 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t28 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u))) (l_e_thinvf2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s b (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)) (l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t27 q a c x p s f b case1 u)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u)))).

(* constant 5846 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t29 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x))) (l_e_st_eq_landau_n_isinni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t28 q a c x p s f b case1 u)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u))).

(* constant 5847 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t30 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_tris (l_e_st_eq_landau_n_1to x) u (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_1top x u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_isoutinn x u) (l_e_st_eq_landau_n_isoutni x (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_1top x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t15 q a c x p s f b case1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t29 q a c x p s f b case1 u)) : l_e_is (l_e_st_eq_landau_n_1to x) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u))).

(* constant 5848 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t31 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_somei (l_e_st_eq_landau_n_1to x) (λt:l_e_st_eq_landau_n_1to x.l_e_is (l_e_st_eq_landau_n_1to x) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 t)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w2 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t30 q a c x p s f b case1 u) : l_e_image (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s01 q a c x p s f b case1) u).

(* constant 5849 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t32 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_andi (l_e_injective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s01 q a c x p s f b case1)) (l_e_surjective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s01 q a c x p s f b case1)) (λt:l_e_st_eq_landau_n_1to x.λu:l_e_st_eq_landau_n_1to x.λv:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s01 q a c x p s f b case1 t) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s01 q a c x p s f b case1 u).l_e_st_eq_landau_n_rt_rp_r_c_8283_t18 q a c x p s f b case1 t u v) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_8283_t31 q a c x p s f b case1 t) : l_e_bijective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s01 q a c x p s f b case1)).

(* constant 5850 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_f01 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x) f : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5851 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t33 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(p (l_e_st_eq_landau_n_rt_rp_r_c_8283_s01 q a c x p s f b case1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f01 q a c x p s f b case1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t32 q a c x p s f b case1) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c x (l_e_st_eq_landau_n_rt_rp_r_c_8283_s01 q a c x p s f b case1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f01 q a c x p s f b case1)).

(* constant 5852 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5853 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c x (l_e_st_eq_landau_n_rt_rp_r_c_8283_s01 q a c x p s f b case1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f01 q a c x p s f b case1) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5854 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t33a ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u))))).

(* constant 5855 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t34 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_isinoutn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t15 q a c x p s f b case1 u) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 u))).

(* constant 5856 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t35 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u))) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 u)) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t34 q a c x p s f b case1 u) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)))) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 u))).

(* constant 5857 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t36 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)))) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t33a q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t35 q a c x p s f b case1 u) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 u))).

(* constant 5858 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t37 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u1 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t7 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w1 q a c x p s f b case1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t36 q a c x p s f b case1 u) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g2 q a c x p s f b case1 u)).

(* constant 5859 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t38 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_fisi (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g2 q a c x p s f b case1) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_8283_t37 q a c x p s f b case1 t) : l_e_is (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g2 q a c x p s f b case1)).

(* constant 5860 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t39 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_isf (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) l_e_st_eq_landau_n_rt_rp_r_c_cx (λu:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_smpr q x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g2 q a c x p s f b case1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t38 q a c x p s f b case1) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g2 q a c x p s f b case1))).

(* constant 5861 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t40 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g2 q a c x p s f b case1)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f01 q a c x p s f b case1)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t39 q a c x p s f b case1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t33 q a c x p s f b case1) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f01 q a c x p s f b case1))).

(* constant 5862 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t41 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) case1 : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 5863 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t42 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_rt_rp_r_c_satz278 q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))).

(* constant 5864 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t43 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t41 q a c x p s f b case1) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))).

(* constant 5865 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t44 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f01 q a c x p s f b case1)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t40 q a c x p s f b case1) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f01 q a c x p s f b case1)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))).

(* constant 5866 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t45 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f01 q a c x p s f b case1)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_satz278 q x f) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f01 q a c x p s f b case1)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f)).

(* constant 5867 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t46 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase1:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g1 q a c x p s f b case1)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f01 q a c x p s f b case1)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t42 q a c x p s f b case1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t43 q a c x p s f b case1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t44 q a c x p s f b case1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t45 q a c x p s f b case1) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f).

(* constant 5868 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_1px ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.(l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 x : l_e_st_eq_landau_n_nat).

(* constant 5869 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_right1to l_e_st_eq_landau_n_1 x u : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b)).

(* constant 5870 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_lessisi2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_compl l_e_st_eq_landau_n_1 x) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5871 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_left (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) s : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5872 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) : l_e_st_eq_landau_n_nat).

(* constant 5873 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t48 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.(l_e_tr3is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u))) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) i) (l_e_symis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) case2) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 5874 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t49 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.(l_e_isfe (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_rt_rp_r_c_8283_t8 q a c x p s f b) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t48 q a c x p s f b case2 u i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5875 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t50 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t49 q a c x p s f b case2 u i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1).

(* constant 5876 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t51 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) (l_e_st_eq_landau_n_satz19o (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_1top x u)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u))).

(* constant 5877 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t52 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_ismore1 (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t51 q a c x p s f b case2 u i) (l_e_st_eq_landau_n_satz18 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1).

(* constant 5878 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t53 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.(l_ec3e21 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t52 q a c x p s f b case2 u i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t50 q a c x p s f b case2 u i) : l_con).

(* constant 5879 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t54 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_ore1 (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz24 (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u)) (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_8283_t53 q a c x p s f b case2 u t) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1).

(* constant 5880 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_mn (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t54 q a c x p s f b case2 u) : l_e_st_eq_landau_n_nat).

(* constant 5881 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t54a ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_islessis1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_mn_th1c (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t54 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u))) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5882 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t55 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_or_th9 (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) x) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t54a q a c x p s f b case2 u) (λt:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_satz20c (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) x l_e_st_eq_landau_n_1 t) (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_satz20b (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) x l_e_st_eq_landau_n_1 t) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) x).

(* constant 5883 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t55 q a c x p s f b case2 u) : l_e_st_eq_landau_n_1to x).

(* constant 5884 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_s03 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 t : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to x).

(* constant 5885 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t56 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 v).(l_e_st_eq_landau_n_isoutne x (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t55 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 v) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t55 q a c x p s f b case2 v) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 v)).

(* constant 5886 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t57 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 v).(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 v) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 v) (l_e_st_eq_landau_n_mn_th1c (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t54 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_ispl1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 v) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t56 q a c x p s f b case2 u v i)) (l_e_st_eq_landau_n_mn_th1d (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 v) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t54 q a c x p s f b case2 v)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 v)).

(* constant 5887 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t58 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 v).(l_e_st_eq_landau_n_isinne (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 v)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t57 q a c x p s f b case2 u v i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 v))).

(* constant 5888 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t59 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 v).(l_e_isfe (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_rt_rp_r_c_8283_t8 q a c x p s f b) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 v)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t58 q a c x p s f b case2 u v i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 v))).

(* constant 5889 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t60 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 v).(l_e_st_eq_landau_n_thleft1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 v) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t59 q a c x p s f b case2 u v i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 v)).

(* constant 5890 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t61 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λv:l_e_st_eq_landau_n_1to x.λi:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 v).(l_e_st_eq_landau_n_thright1 l_e_st_eq_landau_n_1 x u v (l_e_st_eq_landau_n_rt_rp_r_c_8283_t60 q a c x p s f b case2 u v i) : l_e_is (l_e_st_eq_landau_n_1to x) u v).

(* constant 5891 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_s04 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_left (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_invf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s b) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5892 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_rt_rp_r_c_8283_s04 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5893 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u) : l_e_st_eq_landau_n_nat).

(* constant 5894 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t62 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5895 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t63 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.(l_e_tr3is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_thinvf2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s b (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u))) (l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t62 q a c x p s f b case2 u i)) case2 : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5896 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t64 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t63 q a c x p s f b case2 u i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1).

(* constant 5897 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t65 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) (l_e_st_eq_landau_n_satz19o (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_1top x u))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t64 q a c x p s f b case2 u i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) l_e_st_eq_landau_n_1).

(* constant 5898 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t66 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.(l_ec3e21 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz18 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t65 q a c x p s f b case2 u i) : l_con).

(* constant 5899 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t67 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_ore1 (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz24 (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u)) (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_8283_t66 q a c x p s f b case2 u t) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) l_e_st_eq_landau_n_1).

(* constant 5900 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_mn (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t67 q a c x p s f b case2 u) : l_e_st_eq_landau_n_nat).

(* constant 5901 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t68 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_islessis1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_mn_th1c (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t67 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u)) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5902 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t69 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_or_th9 (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) x) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t68 q a c x p s f b case2 u) (λt:l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_satz20c (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) x l_e_st_eq_landau_n_1 t) (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_satz20b (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) x l_e_st_eq_landau_n_1 t) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) x).

(* constant 5903 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t69 q a c x p s f b case2 u) : l_e_st_eq_landau_n_1to x).

(* constant 5904 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t70 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_isinoutn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t69 q a c x p s f b case2 u) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))).

(* constant 5905 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t71 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_mn_th1a (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t67 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm2 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t70 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_satz19o (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u)) x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_1top x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u)))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u)))).

(* constant 5906 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t72 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t71 q a c x p s f b case2 u)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u)))).

(* constant 5907 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t73 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))) (l_e_thinvf2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s b (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u))) (l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_rt_rp_r_c_8283_u4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t72 q a c x p s f b case2 u)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u)))).

(* constant 5908 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t74 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) (l_e_st_eq_landau_n_satz19o (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_1top x u))) (l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2))) (l_e_st_eq_landau_n_isinni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t73 q a c x p s f b case2 u)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))).

(* constant 5909 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t75 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_st_eq_landau_n_mn_th1e (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t54 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t74 q a c x p s f b case2 u) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))).

(* constant 5910 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t76 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_tris (l_e_st_eq_landau_n_1to x) u (l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_1top x u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_isoutinn x u) (l_e_st_eq_landau_n_isoutni x (l_e_st_eq_landau_n_rt_rp_r_c_inn x u) (l_e_st_eq_landau_n_1top x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t55 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t75 q a c x p s f b case2 u)) : l_e_is (l_e_st_eq_landau_n_1to x) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u))).

(* constant 5911 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t77 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_somei (l_e_st_eq_landau_n_1to x) (λt:l_e_st_eq_landau_n_1to x.l_e_is (l_e_st_eq_landau_n_1to x) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 t)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_w4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t76 q a c x p s f b case2 u) : l_e_image (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s03 q a c x p s f b case2) u).

(* constant 5912 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t78 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_andi (l_e_injective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s03 q a c x p s f b case2)) (l_e_surjective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s03 q a c x p s f b case2)) (λt:l_e_st_eq_landau_n_1to x.λu:l_e_st_eq_landau_n_1to x.λv:l_e_is (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s03 q a c x p s f b case2 t) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s03 q a c x p s f b case2 u).l_e_st_eq_landau_n_rt_rp_r_c_8283_t61 q a c x p s f b case2 t u v) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_8283_t77 q a c x p s f b case2 t) : l_e_bijective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s03 q a c x p s f b case2)).

(* constant 5913 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_f02 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) f : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5914 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_right l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f02 q a c x p s f b case2) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5915 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t79 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(p (l_e_st_eq_landau_n_rt_rp_r_c_8283_s03 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t78 q a c x p s f b case2) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c x (l_e_st_eq_landau_n_rt_rp_r_c_8283_s03 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2)).

(* constant 5916 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5917 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_right l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g3 q a c x p s f b case2) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5918 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g5 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c x (l_e_st_eq_landau_n_rt_rp_r_c_8283_s03 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5919 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t80 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_right1to l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_mn_th1a (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t54 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_isinoutn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_nm1 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t55 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_satz19o (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u)) x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_1top x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u)))) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_right1to l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u)))).

(* constant 5920 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t81 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)))) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_right1to l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_n3 q a c x p s f b case2 u) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_right1to l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_right1to l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_right1to l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t80 q a c x p s f b case2 u)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_right1to l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u)))).

(* constant 5921 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t82 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λu:l_e_st_eq_landau_n_1to x.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_rt_rp_r_c_8283_s02 q a c x p s f b case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_u3 q a c x p s f b case2 u)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_right1to l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_w3 q a c x p s f b case2 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t81 q a c x p s f b case2 u) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_g4 q a c x p s f b case2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g5 q a c x p s f b case2 u)).

(* constant 5922 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t83 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_fisi (l_e_st_eq_landau_n_1to x) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_g4 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g5 q a c x p s f b case2) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_8283_t82 q a c x p s f b case2 t) : l_e_is (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g4 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g5 q a c x p s f b case2)).

(* constant 5923 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t85 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_isf (Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx) l_e_st_eq_landau_n_rt_rp_r_c_cx (λu:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_smpr q x u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g4 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g5 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t83 q a c x p s f b case2) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g4 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g5 q a c x p s f b case2))).

(* constant 5924 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t86 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g4 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g5 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t85 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t79 q a c x p s f b case2) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g4 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2))).

(* constant 5925 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t87 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_lessisi1 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_satz18a l_e_st_eq_landau_n_1 x) : l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b)).

(* constant 5926 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t87 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g3 q a c x p s f b case2) : Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5927 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_f04 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t87 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f02 q a c x p s f b case2) : Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 5928 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t87a ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_isinoutn l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_lessisi3 l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 5929 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_1d ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t87 q a c x p s f b case2) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b)).

(* constant 5930 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t87b ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_1top l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t87 q a c x p s f b case2)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1d q a c x p s f b case2))).

(* constant 5931 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t88 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_tris l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1d q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t87a q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t87b q a c x p s f b case2) : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1d q a c x p s f b case2))).

(* constant 5932 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_1e ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1d q a c x p s f b case2) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5933 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t88a ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1d q a c x p s f b case2)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1d q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1d q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t47 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t88 q a c x p s f b case2) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1e q a c x p s f b case2)).

(* constant 5934 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t88b ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_rt_rp_r_c_8283_1e q a c x p s f b case2) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_symis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1e q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t88a q a c x p s f b case2)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_1e q a c x p s f b case2)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 5935 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t89 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_tr3is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_1e q a c x p s f b case2)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1e q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t88b q a c x p s f b case2) case2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t88a q a c x p s f b case2) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_1e q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1e q a c x p s f b case2)).

(* constant 5936 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t89a ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 q a c x p s f b case2 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f04 q a c x p s f b case2 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_f04 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_satz277 q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 q a c x p s f b case2)) (l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_1e q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1e q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t89 q a c x p s f b case2)) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_f04 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f04 q a c x p s f b case2 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_satz277 q (l_e_st_eq_landau_n_rt_rp_r_c_8283_f04 q a c x p s f b case2))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_f04 q a c x p s f b case2))).

(* constant 5937 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t90 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_rt_rp_r_c_satz281 q a l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g3 q a c x p s f b case2) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g3 q a c x p s f b case2)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g4 q a c x p s f b case2)))).

(* constant 5938 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t91 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 q a c x p s f b case2))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g4 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t86 q a c x p s f b case2) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g4 q a c x p s f b case2))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2)))).

(* constant 5939 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t92 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_f04 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t89a q a c x p s f b case2) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_f04 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2)))).

(* constant 5940 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t93 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f02 q a c x p s f b case2)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_f04 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2))) (l_e_st_eq_landau_n_rt_rp_r_c_satz281 q a l_e_st_eq_landau_n_1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f02 q a c x p s f b case2)) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_f04 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f02 q a c x p s f b case2))).

(* constant 5941 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t94 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g3 q a c x p s f b case2)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g4 q a c x p s f b case2))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g6 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_f04 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_f03 q a c x p s f b case2))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f02 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t90 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t91 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t92 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t93 q a c x p s f b case2) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g3 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f02 q a c x p s f b case2))).

(* constant 5942 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t95 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_rt_rp_r_c_issmpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_compl l_e_st_eq_landau_n_1 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f02 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f)).

(* constant 5943 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t96 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g3 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (l_e_st_eq_landau_n_rt_rp_r_c_issmpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_compl l_e_st_eq_landau_n_1 x)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g3 q a c x p s f b case2))).

(* constant 5944 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t97 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λcase2:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g3 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f02 q a c x p s f b case2)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t96 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t94 q a c x p s f b case2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t95 q a c x p s f b case2) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f).

(* constant 5945 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5946 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_invf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s b (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5947 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t98 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_thinvf2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s b (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2))).

(* constant 5948 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t99 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(not2 : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 5949 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t100 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_symnotis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) (l_e_notis_th3 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t98 q a c x p s f b not1 not2)) : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))).

(* constant 5950 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t101 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t100 q a c x p s f b not1 not2) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) t) : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 5951 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_changef (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5952 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t102 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_changef1 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) u i : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2))).

(* constant 5953 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t103 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_tris2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t102 q a c x p s f b not1 not2 u i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t98 q a c x p s f b not1 not2) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5954 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t104 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2).(l_e_changef2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) u i : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2)).

(* constant 5955 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t105 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λo:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).(l_e_changef3 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) u n o : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (s u)).

(* constant 5956 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t106 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_wissel_th6 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) b : l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2)).

(* constant 5957 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_wissel (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5958 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t107 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_wissel_th3 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) : l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha)).

(* constant 5959 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t108 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_iswissel1 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t103 q a c x p s f b not1 not2 u i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2)).

(* constant 5960 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t109 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_tris2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t108 q a c x p s f b not1 not2 alpha u i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u))).

(* constant 5961 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t110 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2).(l_e_iswissel2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t104 q a c x p s f b not1 not2 u i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5962 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t111 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2).(l_e_tris2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_tris2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) (l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t98 q a c x p s f b not1 not2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t110 q a c x p s f b not1 not2 alpha u i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u))).

(* constant 5963 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t112 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λo:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_isfe (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t8 q a c x p (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) f (l_e_st_eq_landau_n_rt_rp_r_c_8283_t106 q a c x p s f b not1 not2)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_tris2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) i (l_e_st_eq_landau_n_rt_rp_r_c_8283_t103 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_refis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5964 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t113 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λo:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).(l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) n (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).l_e_st_eq_landau_n_rt_rp_r_c_8283_t112 q a c x p s f b not1 not2 alpha u n o t) : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 5965 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t114 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λo:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2).(l_e_isfe (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t8 q a c x p (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) f (l_e_st_eq_landau_n_rt_rp_r_c_8283_t106 q a c x p s f b not1 not2)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_tris2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) i (l_e_st_eq_landau_n_rt_rp_r_c_8283_t104 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_refis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)))) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).

(* constant 5966 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t115 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λo:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).(l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2)) (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) o (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2).l_e_st_eq_landau_n_rt_rp_r_c_8283_t114 q a c x p s f b not1 not2 alpha u n o t) : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2))).

(* constant 5967 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t116 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λo:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).(l_e_iswissel3 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t113 q a c x p s f b not1 not2 alpha u n o) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t115 q a c x p s f b not1 not2 alpha u n o) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u)).

(* constant 5968 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t117 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λo:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).(l_e_symis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u)) (s u) (l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t116 q a c x p s f b not1 not2 alpha u n o) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t105 q a c x p s f b not1 not2 u n o)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u))).

(* constant 5969 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t118 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_imp_th1 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u))) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2).l_e_st_eq_landau_n_rt_rp_r_c_8283_t111 q a c x p s f b not1 not2 alpha u t) (λt:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).l_e_st_eq_landau_n_rt_rp_r_c_8283_t117 q a c x p s f b not1 not2 alpha u n t) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u))).

(* constant 5970 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t119 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).(l_imp_th1 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u))) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).l_e_st_eq_landau_n_rt_rp_r_c_8283_t109 q a c x p s f b not1 not2 alpha u t) (λt:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).l_e_st_eq_landau_n_rt_rp_r_c_8283_t118 q a c x p s f b not1 not2 alpha u t) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u))).

(* constant 5971 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t120 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_fisi (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 t)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_8283_t119 q a c x p s f b not1 not2 alpha t) : l_e_is (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 t))).

(* constant 5972 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t121 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_st_eq_landau_n_rt_rp_r_c_8283_t103 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_refis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5973 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t121a ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_ec3e21 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ismore1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_1px q a c x p s f b) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_compl l_e_st_eq_landau_n_1 x) (l_e_st_eq_landau_n_satz18 l_e_st_eq_landau_n_1 x)) : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_1).

(* constant 5974 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t122 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_imp_th3 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t121a q a c x p s f b not1 not2) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) t) : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 5975 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t123 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_symnotis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) alpha : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2))).

(* constant 5976 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t124 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_iswissel3 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t122 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t123 q a c x p s f b not1 not2 alpha) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5977 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t125 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_isf (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx (λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) u f)) s (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 t)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t120 q a c x p s f b not1 not2 alpha) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha) f)))).

(* constant 5978 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t126 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_st_eq_landau_n_rt_rp_r_c_8283_t97 q a c x p (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha) f) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t106 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t121 q a c x p s f b not1 not2) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha) f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha) f))).

(* constant 5979 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t127 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_st_eq_landau_n_rt_rp_r_c_8283_t46 q a c x p (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha) f (l_e_st_eq_landau_n_rt_rp_r_c_8283_t107 q a c x p s f b not1 not2 alpha) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t124 q a c x p s f b not1 not2 alpha) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha) f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f)).

(* constant 5980 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t128 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λalpha:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha) f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s2 q a c x p s f b not1 not2 alpha) f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t125 q a c x p s f b not1 not2 alpha) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t126 q a c x p s f b not1 not2 alpha) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t127 q a c x p s f b not1 not2 alpha) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f).

(* constant 5981 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_wissel (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 5982 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t129 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_wissel_th3 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) : l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta)).

(* constant 5983 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t130 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_rt_rp_r_c_8283_t104 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u) (l_e_iswissel1 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) u i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2)).

(* constant 5984 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t131 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_tris2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t130 q a c x p s f b not1 not2 i3 beta u i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u))).

(* constant 5985 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t132 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2).(l_e_st_eq_landau_n_rt_rp_r_c_8283_t103 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u) (l_e_iswissel2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) u i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5986 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t133 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2).(l_e_tris2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) (l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) i) (l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t132 q a c x p s f b not1 not2 i3 beta u i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t98 q a c x p s f b not1 not2)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u))).

(* constant 5987 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t134 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λo:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).(l_e_iswissel3 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) u n o : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u) u).

(* constant 5988 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t135 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λo:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_t134 q a c x p s f b not1 not2 i3 beta u n o) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u)).

(* constant 5989 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t136 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λo:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).(l_e_st_eq_landau_n_rt_rp_r_c_8283_t105 q a c x p s f b not1 not2 u n o : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (s u)).

(* constant 5990 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t139 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λo:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).(l_e_symis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u)) (s u) (l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 u) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t135 q a c x p s f b not1 not2 i3 beta u n o) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t136 q a c x p s f b not1 not2 i3 beta u n o)) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u))).

(* constant 5991 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t140 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λn:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_imp_th1 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u))) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2).l_e_st_eq_landau_n_rt_rp_r_c_8283_t133 q a c x p s f b not1 not2 i3 beta u t) (λt:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)).l_e_st_eq_landau_n_rt_rp_r_c_8283_t139 q a c x p s f b not1 not2 i3 beta u n t) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u))).

(* constant 5992 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t141 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).(l_imp_th1 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u))) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).l_e_st_eq_landau_n_rt_rp_r_c_8283_t131 q a c x p s f b not1 not2 i3 beta u t) (λt:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).l_e_st_eq_landau_n_rt_rp_r_c_8283_t140 q a c x p s f b not1 not2 i3 beta u t) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta u))).

(* constant 5993 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t142 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_fisi (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta t)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_8283_t141 q a c x p s f b not1 not2 i3 beta t) : l_e_is (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta t))).

(* constant 5994 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t143 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_symnotis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) beta : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2))).

(* constant 5995 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t144 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_iswissel3 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t122 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t143 q a c x p s f b not1 not2 i3 beta) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 5996 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t145 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_isf (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx (λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) u f)) s (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta t)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t142 q a c x p s f b not1 not2 i3 beta) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) f)))).

(* constant 5997 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t146 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_st_eq_landau_n_rt_rp_r_c_8283_t46 q a c x p (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) f) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t129 q a c x p s f b not1 not2 i3 beta) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t144 q a c x p s f b not1 not2 i3 beta) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) f))).

(* constant 5998 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t147 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_st_eq_landau_n_rt_rp_r_c_8283_t97 q a c x p (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) f (l_e_st_eq_landau_n_rt_rp_r_c_8283_t106 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t121 q a c x p s f b not1 not2) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f)).

(* constant 5999 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t148 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λbeta:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s3 q a c x p s f b not1 not2 i3 beta) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) f))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s1 q a c x p s f b not1 not2) f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t145 q a c x p s f b not1 not2 i3 beta) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t146 q a c x p s f b not1 not2 i3 beta) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t147 q a c x p s f b not1 not2 i3 beta) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f).

(* constant 6000 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t149 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_ispl1 l_e_st_eq_landau_n_1 x l_e_st_eq_landau_n_1 (l_e_symis l_e_st_eq_landau_n_nat x l_e_st_eq_landau_n_1 i) : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 6001 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_lessisi2 l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t149 q a c x p s f b not1 not2 i3 gamma i) : l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 6002 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) f : Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6003 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_s05 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_left (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) s : Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 6004 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) : Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_2.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6005 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t151 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_issmpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t149 q a c x p s f b not1 not2 i3 gamma i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f)).

(* constant 6006 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t152 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_issmpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t149 q a c x p s f b not1 not2 i3 gamma i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f))).

(* constant 6007 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t153 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_satz280 q (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)))).

(* constant 6008 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t154 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_satz280 q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)))).

(* constant 6009 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t155 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_tris1 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_isinoutn l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_lessisi3 l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t149 q a c x p s f b not1 not2 i3 gamma i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 6010 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t156 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t155 q a c x p s f b not1 not2 i3 gamma i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 6011 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t157 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t156 q a c x p s f b not1 not2 i3 gamma i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6012 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t158 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_symis l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_isinoutn l_e_st_eq_landau_n_2 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a l_e_st_eq_landau_n_2)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) l_e_st_eq_landau_n_1).

(* constant 6013 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t159 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t158 q a c x p s f b not1 not2 i3 gamma i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 6014 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t160 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_tr3is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t159 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t98 q a c x p s f b not1 not2) (l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) gamma) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6015 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t161 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_tris2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t157 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t160 q a c x p s f b not1 not2 i3 gamma i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2))).

(* constant 6016 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t163 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t159 q a c x p s f b not1 not2 i3 gamma i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6017 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t164 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t163 q a c x p s f b not1 not2 i3 gamma i) i3 : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 6018 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t165 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_tris2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t164 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t156 q a c x p s f b not1 not2 i3 gamma i) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2))).

(* constant 6019 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t166 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_rt_rp_r_c_8283_s05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t161 q a c x p s f b not1 not2 i3 gamma i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2))).

(* constant 6020 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t167 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_rt_rp_r_c_8283_s05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t150 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t165 q a c x p s f b not1 not2 i3 gamma i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2))).

(* constant 6021 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t168 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t166 q a c x p s f b not1 not2 i3 gamma i) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)))).

(* constant 6022 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t169 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_comq q c (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)))).

(* constant 6023 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t170 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t167 q a c x p s f b not1 not2 i3 gamma i) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2)))).

(* constant 6024 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t171 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2))) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t152 q a c x p s f b not1 not2 i3 gamma i)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t154 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t168 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t169 q a c x p s f b not1 not2 i3 gamma i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)))).

(* constant 6025 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t172 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g7 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t171 q a c x p s f b not1 not2 i3 gamma i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t170 q a c x p s f b not1 not2 i3 gamma i) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_2 (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_1out l_e_st_eq_landau_n_2)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_f05 q a c x p s f b not1 not2 i3 gamma i (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_2))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t153 q a c x p s f b not1 not2 i3 gamma i)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t151 q a c x p s f b not1 not2 i3 gamma i) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f).

(* constant 6026 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_trivial ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λi:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_8283_t172 q a c x p s f b not1 not2 i3 gamma i : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f).

(* constant 6027 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t173 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_ore1 (l_e_st_eq_landau_n_more x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz24 x) n : l_e_st_eq_landau_n_more x l_e_st_eq_landau_n_1).

(* constant 6028 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_mn x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t173 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_nat).

(* constant 6029 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_changef (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 6030 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t174 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_wissel_th6 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) b : l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n)).

(* constant 6031 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t175 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_changef2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_refis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6032 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t176 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_symis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) i3 : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6033 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t177 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_tris2 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t175 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t176 q a c x p s f b not1 not2 i3 gamma n) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).

(* constant 6034 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t178 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_satz18a x l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_lessis x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 6035 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g8 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t178 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6036 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t179 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g8 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))).

(* constant 6037 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t180 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_mn_th1b x l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t173 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) x).

(* constant 6038 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t181 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_lessisi2 (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t180 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) x).

(* constant 6039 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g9 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t181 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g8 q a c x p s f b not1 not2 i3 gamma n) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6040 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t182 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g9 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g8 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_issmpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g8 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t180 q a c x p s f b not1 not2 i3 gamma n)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g8 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g9 q a c x p s f b not1 not2 i3 gamma n))).

(* constant 6041 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_right l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g9 q a c x p s f b not1 not2 i3 gamma n) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6042 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t183 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_lessisi1 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_satz18a l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) : l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n))).

(* constant 6043 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t183 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g9 q a c x p s f b not1 not2 i3 gamma n) : Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6044 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t184 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_satz281 q a l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g9 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g9 q a c x p s f b not1 not2 i3 gamma n)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)))).

(* constant 6045 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t185 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 6046 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t186 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_isinoutn l_e_st_eq_landau_n_1 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_lessisi3 l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 6047 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_1a ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t183 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n))).

(* constant 6048 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t187 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_1top l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t183 q a c x p s f b not1 not2 i3 gamma n)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1a q a c x p s f b not1 not2 i3 gamma n))).

(* constant 6049 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_1b ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_left1to x (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t181 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1a q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_1to x).

(* constant 6050 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t188 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_isinoutn x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1a q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1a q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) x (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1a q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t181 q a c x p s f b not1 not2 i3 gamma n)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1a q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_1b q a c x p s f b not1 not2 i3 gamma n))).

(* constant 6051 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t189 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_tr3is l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1a q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_1b q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t186 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t187 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t188 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_1b q a c x p s f b not1 not2 i3 gamma n))).

(* constant 6052 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_1c ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t178 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1b q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 6053 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t190 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_1b q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_1b q a c x p s f b not1 not2 i3 gamma n)) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top x (l_e_st_eq_landau_n_rt_rp_r_c_8283_1b q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t178 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t189 q a c x p s f b not1 not2 i3 gamma n) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1c q a c x p s f b not1 not2 i3 gamma n)).

(* constant 6054 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t191 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1c q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t190 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 6055 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t192 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t185 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t191 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6056 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t193 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_symis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t175 q a c x p s f b not1 not2 i3 gamma n) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6057 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t194 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t193 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6058 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t195 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t192 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t194 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6059 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t196 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t195 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)))).

(* constant 6060 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t197 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g8 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g9 q a c x p s f b not1 not2 i3 gamma n)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g11 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t182 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t184 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t196 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g8 q a c x p s f b not1 not2 i3 gamma n)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)))).

(* constant 6061 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t198 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g8 q a c x p s f b not1 not2 i3 gamma n)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t197 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g8 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))).

(* constant 6062 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t199 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_assq1 q a (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))))).

(* constant 6063 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t200 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_comq q c (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))).

(* constant 6064 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t178 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6065 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g13 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t181 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6066 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_right l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g13 q a c x p s f b not1 not2 i3 gamma n) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6067 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_lessisi1 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_satz18a l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g13 q a c x p s f b not1 not2 i3 gamma n) : Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6068 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t201 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))).

(* constant 6069 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t202 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g13 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_issmpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t180 q a c x p s f b not1 not2 i3 gamma n)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g13 q a c x p s f b not1 not2 i3 gamma n))).

(* constant 6070 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t203 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_satz281 q a l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g13 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g13 q a c x p s f b not1 not2 i3 gamma n)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n)))).

(* constant 6071 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t204 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 6072 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t205 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_1c q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t190 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 6073 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t206 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t204 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t205 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6074 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t207 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_changef1 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_refis (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6075 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t208 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t207 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6076 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t209 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t206 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t208 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6077 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t210 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t209 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n)))).

(* constant 6078 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t211 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g13 q a c x p s f b not1 not2 i3 gamma n)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_g15 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t202 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t203 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t210 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n)))).

(* constant 6079 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_ua ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).(l_e_st_eq_landau_n_right1to l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n))).

(* constant 6080 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_ub ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).(l_e_st_eq_landau_n_left1to x (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t181 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_ua q a c x p s f b not1 not2 i3 gamma n u) : l_e_st_eq_landau_n_1to x).

(* constant 6081 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_uc ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_t178 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 6082 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t212 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t178 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 6083 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t213 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_satz16a (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_satz18a x l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 6084 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t214 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_ec3e31 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t213 q a c x p s f b not1 not2 i3 gamma n u i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t212 q a c x p s f b not1 not2 i3 gamma n u i) : l_con).

(* constant 6085 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t215 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).(λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).l_e_st_eq_landau_n_rt_rp_r_c_8283_t214 q a c x p s f b not1 not2 i3 gamma n u t : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6086 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t216 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_isoutne (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) x (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_1top x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t178 q a c x p s f b not1 not2 i3 gamma n)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_satz24a (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) l_e_st_eq_landau_n_1).

(* constant 6087 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t217 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_isinoutn x (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_ua q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_ua q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) x (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_ua q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t181 q a c x p s f b not1 not2 i3 gamma n)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_ua q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u))).

(* constant 6088 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t218 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u)) (l_e_st_eq_landau_n_satz19o (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_ua q a c x p s f b not1 not2 i3 gamma n u))).

(* constant 6089 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t219 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_tr3is l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_ua q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8283_ub q a c x p s f b not1 not2 i3 gamma n u)) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_8283_t218 q a c x p s f b not1 not2 i3 gamma n u i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t217 q a c x p s f b not1 not2 i3 gamma n u i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t216 q a c x p s f b not1 not2 i3 gamma n u i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u)) l_e_st_eq_landau_n_1).

(* constant 6090 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t220 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_e_st_eq_landau_n_satz18 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u) : l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u)) l_e_st_eq_landau_n_1).

(* constant 6091 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t221 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).λi:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_ec3e21 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_more (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz10b (l_e_st_eq_landau_n_pl l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t220 q a c x p s f b not1 not2 i3 gamma n u i) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t219 q a c x p s f b not1 not2 i3 gamma n u i) : l_con).

(* constant 6092 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t222 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).(λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).l_e_st_eq_landau_n_rt_rp_r_c_8283_t221 q a c x p s f b not1 not2 i3 gamma n u t : l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))).

(* constant 6093 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t223 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).(l_e_changef3 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t222 q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t215 q a c x p s f b not1 not2 i3 gamma n u) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u))).

(* constant 6094 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t224 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u)) (s (l_e_st_eq_landau_n_rt_rp_r_c_8283_uc q a c x p s f b not1 not2 i3 gamma n u)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t223 q a c x p s f b not1 not2 i3 gamma n u) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n u)).

(* constant 6095 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t225 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_fisi (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n)) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n t) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n t) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t224 q a c x p s f b not1 not2 i3 gamma n t)) : l_e_is (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n)).

(* constant 6096 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t226 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_isf (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).l_e_st_eq_landau_n_rt_rp_r_c_cx) l_e_st_eq_landau_n_rt_rp_r_c_cx (λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) u) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t225 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n))).

(* constant 6097 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t227 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_comq q c (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)))).

(* constant 6098 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t228 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t226 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n)))).

(* constant 6099 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t229 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t227 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t228 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n)))).

(* constant 6100 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t230 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n)) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g14 q a c x p s f b not1 not2 i3 gamma n))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t229 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t211 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n))).

(* constant 6101 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t231 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t230 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))).

(* constant 6102 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t232 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t201 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f))).

(* constant 6103 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t233 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_st_eq_landau_n_rt_rp_r_c_8283_t46 q a c x p (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_rt_rp_r_c_8283_t174 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t177 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f)).

(* constant 6104 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t234 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g8 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t179 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t198 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t199 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t200 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))))).

(* constant 6105 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t235 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λn:l_e_st_eq_landau_n_nis x l_e_st_eq_landau_n_1.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f)) (q (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xm1 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g10 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (l_e_st_eq_landau_n_rt_rp_r_c_8283_g12 q a c x p s f b not1 not2 i3 gamma n)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_g q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_s4 q a c x p s f b not1 not2 i3 gamma n) f)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) f) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t234 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t231 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t232 q a c x p s f b not1 not2 i3 gamma n) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t233 q a c x p s f b not1 not2 i3 gamma n) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f).

(* constant 6106 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t236 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).λgamma:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_imp_th1 (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) (λt:l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_8283_t172 q a c x p s f b not1 not2 i3 gamma t) (λt:l_not (l_e_st_eq_landau_n_is x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_8283_t235 q a c x p s f b not1 not2 i3 gamma t) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f).

(* constant 6107 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t237 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λi3:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).(l_imp_th1 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).l_e_st_eq_landau_n_rt_rp_r_c_8283_t236 q a c x p s f b not1 not2 i3 t) (λt:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_b0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).l_e_st_eq_landau_n_rt_rp_r_c_8283_t148 q a c x p s f b not1 not2 i3 t) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f).

(* constant 6108 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t238 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).λnot2:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_imp_th1 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).l_e_st_eq_landau_n_rt_rp_r_c_8283_t237 q a c x p s f b not1 not2 t) (λt:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_rt_rp_r_c_8283_a0 q a c x p s f b not1 not2) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).l_e_st_eq_landau_n_rt_rp_r_c_8283_t128 q a c x p s f b not1 not2 t) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f).

(* constant 6109 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t239 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.λnot1:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).(l_imp_th1 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).l_e_st_eq_landau_n_rt_rp_r_c_8283_t97 q a c x p s f b t) (λt:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_1out (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).l_e_st_eq_landau_n_rt_rp_r_c_8283_t238 q a c x p s f b not1 t) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f).

(* constant 6110 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t240 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.λs:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λb:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) s.(l_imp_th1 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).l_e_st_eq_landau_n_rt_rp_r_c_8283_t46 q a c x p s f b t) (λt:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (s (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x))).l_e_st_eq_landau_n_rt_rp_r_c_8283_t239 q a c x p s f b t) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop1 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) s f).

(* constant 6111 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t241 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.(λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).λv:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x).l_e_st_eq_landau_n_rt_rp_r_c_cx.λw:l_e_bijective (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)) u.l_e_st_eq_landau_n_rt_rp_r_c_8283_t240 q a c x p u v w : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x)).

(* constant 6112 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t242 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x.(l_e_isp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c t) (l_e_st_eq_landau_n_rt_rp_r_c_8283_xp1 q a c x) (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t241 q a c x p) (l_e_st_eq_landau_n_satz4a x) : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c (l_e_st_eq_landau_n_suc x)).

(* constant 6113 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8283_t243 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c t) (l_e_st_eq_landau_n_rt_rp_r_c_8283_t6 q a c) (λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c t.l_e_st_eq_landau_n_rt_rp_r_c_8283_t242 q a c t u) x : l_e_st_eq_landau_n_rt_rp_r_c_8283_prop2 q a c x).

(* constant 6114 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz283 ≝ λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λx:l_e_st_eq_landau_n_nat.λs:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_1to x.λb:l_e_bijective (l_e_st_eq_landau_n_1to x) (l_e_st_eq_landau_n_1to x) s.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_8283_t243 q a c x s f b : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x (λt:l_e_st_eq_landau_n_1to x.f (s t))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q x f)).

(* constant 6115 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_shiftl ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.(l_e_st_eq_landau_n_rt_rp_r_shiftl x ix y iy ly : l_e_st_eq_landau_n_nat).

(* constant 6116 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_shiftr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_shiftr x ix y iy ly n : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6117 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_intshiftr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_intshiftr x ix y iy ly n : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly n)).

(* constant 6118 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_shiftrls ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_shiftrls x ix y iy ly n : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly n) x).

(* constant 6119 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lsshiftr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_lsshiftr x ix y iy ly n : l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly n)).

(* constant 6120 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iseshiftr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).λm:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly m).(l_e_st_eq_landau_n_rt_rp_r_iseshiftr x ix y iy ly n m i : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly)) n m).

(* constant 6121 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_shiftl1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_e_st_eq_landau_n_rt_rp_r_shiftl1 x ix y iy ly u a : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly)).

(* constant 6122 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_shiftinv1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_e_st_eq_landau_n_rt_rp_r_shiftinv1 x ix y iy ly u a : l_e_st_eq_landau_n_rt_rp_r_is u (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_shiftl1 x ix y iy ly u a))).

(* constant 6123 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_shiftinv2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λu:l_e_st_eq_landau_n_rt_rp_r_real.λa:l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl u) (l_e_st_eq_landau_n_rt_rp_r_lessis y u) (l_e_st_eq_landau_n_rt_rp_r_lessis u x).(l_e_st_eq_landau_n_rt_rp_r_shiftinv2 x ix y iy ly u a : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_shiftl1 x ix y iy ly u a)) u).

(* constant 6124 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_shiftf ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_shiftf x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6125 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_smpri ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6126 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λlv:l_e_st_eq_landau_n_rt_rp_r_lessis y v.λkv:l_e_st_eq_landau_n_rt_rp_r_lessis v u.(l_e_st_eq_landau_n_rt_rp_r_lessisi1 v x (l_e_st_eq_landau_n_rt_rp_r_satz172a v u x kv k) : l_e_st_eq_landau_n_rt_rp_r_lessis v x).

(* constant 6127 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lft ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(λt:l_e_st_eq_landau_n_rt_rp_r_real.λv:l_e_st_eq_landau_n_rt_rp_r_intrl t.λlt:l_e_st_eq_landau_n_rt_rp_r_lessis y t.λkt:l_e_st_eq_landau_n_rt_rp_r_lessis t u.f t v lt (l_e_st_eq_landau_n_rt_rp_r_c_8284_t1 x ix y iy ly f pi q a u iu l k t v lt kt) : Πt:l_e_st_eq_landau_n_rt_rp_r_real.Πv:l_e_st_eq_landau_n_rt_rp_r_intrl t.Πlt:l_e_st_eq_landau_n_rt_rp_r_lessis y t.Πkt:l_e_st_eq_landau_n_rt_rp_r_lessis t u.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6128 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_pl ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_pl x y : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6129 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_mn ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_mn x y : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6130 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6131 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λlv:l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) v.λkv:l_e_st_eq_landau_n_rt_rp_r_lessis v x.(l_e_st_eq_landau_n_rt_rp_r_satz190c u u l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_lessisi2 u u (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real u)) (l_e_st_eq_landau_n_rt_rp_r_lemma1 l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_satz169a l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_natpos l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_natrl1))) : l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl u l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)).

(* constant 6132 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λlv:l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) v.λkv:l_e_st_eq_landau_n_rt_rp_r_lessis v x.(l_e_st_eq_landau_n_rt_rp_r_isless1 (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl u l_e_st_eq_landau_n_rt_rp_r_0) u (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_pl02 u l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t2 x ix y iy ly f pi q a u iu l k v iv lv kv) : l_e_st_eq_landau_n_rt_rp_r_less u (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)).

(* constant 6133 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λlv:l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) v.λkv:l_e_st_eq_landau_n_rt_rp_r_lessis v x.(l_e_st_eq_landau_n_rt_rp_r_lessisi1 y v (l_e_st_eq_landau_n_rt_rp_r_satz172b y (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) v (l_e_st_eq_landau_n_rt_rp_r_satz172a y u (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) l (l_e_st_eq_landau_n_rt_rp_r_c_8284_t3 x ix y iy ly f pi q a u iu l k v iv lv kv)) lv) : l_e_st_eq_landau_n_rt_rp_r_lessis y v).

(* constant 6134 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_rgt ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(λt:l_e_st_eq_landau_n_rt_rp_r_real.λv:l_e_st_eq_landau_n_rt_rp_r_intrl t.λlt:l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) t.λkt:l_e_st_eq_landau_n_rt_rp_r_lessis t x.f t v (l_e_st_eq_landau_n_rt_rp_r_c_8284_t4 x ix y iy ly f pi q a u iu l k t v lt kt) kt : Πt:l_e_st_eq_landau_n_rt_rp_r_real.Πv:l_e_st_eq_landau_n_rt_rp_r_intrl t.Πlt:l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) t.Πkt:l_e_st_eq_landau_n_rt_rp_r_lessis t x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6135 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_rt_rp_r_intpl u iu l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)).

(* constant 6136 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_rt_rp_r_satzr25 u iu x ix k : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) x).

(* constant 6137 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) y) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u))) (l_e_st_eq_landau_n_rt_rp_r_asspl2 (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) y (l_e_st_eq_landau_n_rt_rp_r_plmn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) y)).

(* constant 6138 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly : l_e_st_eq_landau_n_nat).

(* constant 6139 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_suy ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_rt_rp_r_c_shiftl u iu y iy l : l_e_st_eq_landau_n_nat).

(* constant 6140 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) : l_e_st_eq_landau_n_nat).

(* constant 6141 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k))) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k))) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u))) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_satzr155a (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)) (l_e_st_eq_landau_n_rt_rp_r_isrlnt2 (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 u iu y iy l)) (l_e_st_eq_landau_n_rt_rp_r_isrlnt2 (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k)))) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t7 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_isrlnt1 (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 x) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 x ix y iy ly)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k))) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k))).

(* constant 6142 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_rt_rp_r_isntirl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t8 x ix y iy ly f pi q a u iu l k) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k)).

(* constant 6143 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_lessisi2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t9 x ix y iy ly f pi q a u iu l k) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k)).

(* constant 6144 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_f1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t10 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6145 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_rt_rp_r_c_issmpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t9 x ix y iy ly f pi q a u iu l k) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_f1 x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix y iy ly f q)).

(* constant 6146 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_fr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_right l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_f1 x ix y iy ly f pi q a u iu l k) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6147 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_lessisi1 (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_satz18a (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k))).

(* constant 6148 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_fl ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t12 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_f1 x ix y iy ly f pi q a u iu l k) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6149 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t12a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_st_eq_landau_n_rt_rp_r_c_satz281 q a (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_f1 x ix y iy ly f pi q a u iu l k) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_f1 x ix y iy ly f pi q a u iu l k)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fr x ix y iy ly f pi q a u iu l k)))).

(* constant 6150 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t13 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_satz19o (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_right1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))).

(* constant 6151 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t14 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_right1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_right1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_right1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t10 x ix y iy ly f pi q a u iu l k)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_right1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t10 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_right1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)))).

(* constant 6152 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t10 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_right1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k)).

(* constant 6153 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t15 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_right1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t13 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t14 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n))).

(* constant 6154 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t16 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_isnterl (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t15 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n)))).

(* constant 6155 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t17 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_satzr155b (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)))).

(* constant 6156 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t18 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_ispl1 (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_isrlnt1 (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 u iu y iy l)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)))).

(* constant 6157 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t19 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n))) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t18 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t17 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t16 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n)))).

(* constant 6158 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t20 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_ispl1 (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n))) y (l_e_st_eq_landau_n_rt_rp_r_c_8284_t19 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n))) y)).

(* constant 6159 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t21 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y)) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) y)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)) (l_e_st_eq_landau_n_rt_rp_r_ispl1 (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y)) y (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)))) (l_e_st_eq_landau_n_rt_rp_r_asspl1 (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) y) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_plmn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u))).

(* constant 6160 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t22 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n))) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_mn (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) y) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n))) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t20 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t21 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n))) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u))).

(* constant 6161 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t23 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n))) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u)) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_8284_t22 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n)) (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) n)).

(* constant 6162 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t24 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_intshiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n))).

(* constant 6163 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t25 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_lsshiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n))).

(* constant 6164 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t26 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_shiftrls x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n)) x).

(* constant 6165 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t27 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_intshiftr x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) n : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) n)).

(* constant 6166 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t28 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_lsshiftr x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) n : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) n)).

(* constant 6167 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t29 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_shiftrls x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) n : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) n) x).

(* constant 6168 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t30 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_8284_t4 x ix y iy ly f pi q a u iu l k (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t27 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t28 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t29 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) n)).

(* constant 6169 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t31 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).(pi (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n1 x ix y iy ly f pi q a u iu l k n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t24 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t25 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t26 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t27 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t30 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t29 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t23 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8284_fr x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k) n)).

(* constant 6170 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t32 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_fisi (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8284_fr x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).l_e_st_eq_landau_n_rt_rp_r_c_8284_t31 x ix y iy ly f pi q a u iu l k t) : l_e_is (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fr x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k))).

(* constant 6171 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t33 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_isf (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).l_e_st_eq_landau_n_rt_rp_r_c_cx) l_e_st_eq_landau_n_rt_rp_r_c_cx (λv:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) v) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fr x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t32 x ix y iy ly f pi q a u iu l k) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fr x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k) q)).

(* constant 6172 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t34 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k))) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fr x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k) q) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t33 x ix y iy ly f pi q a u iu l k) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fr x ix y iy ly f pi q a u iu l k))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k) q))).

(* constant 6173 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t35 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) n) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t12 x ix y iy ly f pi q a u iu l k)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) n) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t12 x ix y iy ly f pi q a u iu l k) n))).

(* constant 6174 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t36 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t12 x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t12 x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t12 x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t10 x ix y iy ly f pi q a u iu l k)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t12 x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t10 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t12 x ix y iy ly f pi q a u iu l k) n)))).

(* constant 6175 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t10 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t12 x ix y iy ly f pi q a u iu l k) n) : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k)).

(* constant 6176 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t37 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_tris l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) n) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t12 x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t35 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t36 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) n) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n))).

(* constant 6177 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t38 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_isnterl (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) n) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t37 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n)))).

(* constant 6178 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t39 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_ispl1 (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) n)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n))) y (l_e_st_eq_landau_n_rt_rp_r_c_8284_t38 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) n)) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n))) y)).

(* constant 6179 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t40 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) n)) y) (l_e_st_eq_landau_n_rt_rp_r_c_8284_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n))) y) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_8284_t39 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_shiftr u iu y iy l n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n))).

(* constant 6180 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t41 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_intshiftr u iu y iy l n : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_shiftr u iu y iy l n)).

(* constant 6181 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t42 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_lsshiftr u iu y iy l n : l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_shiftr u iu y iy l n)).

(* constant 6182 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t43 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_shiftrls u iu y iy l n : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_shiftr u iu y iy l n) u).

(* constant 6183 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t44 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_8284_t1 x ix y iy ly f pi q a u iu l k (l_e_st_eq_landau_n_rt_rp_r_c_shiftr u iu y iy l n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t41 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t42 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t43 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_shiftr u iu y iy l n) x).

(* constant 6184 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t45 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_intshiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n))).

(* constant 6185 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t46 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_lsshiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n))).

(* constant 6186 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t47 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_st_eq_landau_n_rt_rp_r_c_shiftrls x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n)) x).

(* constant 6187 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t48 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(pi (l_e_st_eq_landau_n_rt_rp_r_c_shiftr u iu y iy l n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t41 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t42 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t44 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8284_n2 x ix y iy ly f pi q a u iu l k n)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t45 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t46 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t47 x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t40 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_shiftf u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k) n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k n)).

(* constant 6188 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t49 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_shiftf u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k) n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t48 x ix y iy ly f pi q a u iu l k n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k) n)).

(* constant 6189 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t50 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_fisi (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k)) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).l_e_st_eq_landau_n_rt_rp_r_c_8284_t49 x ix y iy ly f pi q a u iu l k t) : l_e_is (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k))).

(* constant 6190 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t51 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_isf (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).l_e_st_eq_landau_n_rt_rp_r_c_cx) l_e_st_eq_landau_n_rt_rp_r_c_cx (λv:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) v) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t50 x ix y iy ly f pi q a u iu l k) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_smpri u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k) q)).

(* constant 6191 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t52 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_isf l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.q t (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k) q)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_smpri u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k) q) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t51 x ix y iy ly f pi q a u iu l k) : l_e_st_eq_landau_n_rt_rp_r_c_is (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k) q)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpri u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k) q) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k) q))).

(* constant 6192 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8284_t53 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_f1 x ix y iy ly f pi q a u iu l k)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fr x ix y iy ly f pi q a u iu l k))) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_fl x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k) q)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpri u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k) q) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k) q)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t12a x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t34 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t52 x ix y iy ly f pi q a u iu l k) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_f1 x ix y iy ly f pi q a u iu l k)) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpri u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k) q) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix (l_e_st_eq_landau_n_rt_rp_r_c_8284_p1 u) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t5 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t6 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k) q))).

(* constant 6193 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz284 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λl:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λk:l_e_st_eq_landau_n_rt_rp_r_less u x.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix y iy ly f q) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpri u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k) q) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_intpl u iu l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1) (l_e_st_eq_landau_n_rt_rp_r_satzr25 u iu x ix k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k) q)) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_8284_suy x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_sxu x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_f1 x ix y iy ly f pi q a u iu l k)) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t11 x ix y iy ly f pi q a u iu l k) (l_e_st_eq_landau_n_rt_rp_r_c_8284_t53 x ix y iy ly f pi q a u iu l k) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix y iy ly f q) (q (l_e_st_eq_landau_n_rt_rp_r_c_smpri u iu y iy l (l_e_st_eq_landau_n_rt_rp_r_c_lft x ix y iy ly f pi q a u iu l k) q) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix (l_e_st_eq_landau_n_rt_rp_r_pl u l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_intpl u iu l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1) (l_e_st_eq_landau_n_rt_rp_r_satzr25 u iu x ix k) (l_e_st_eq_landau_n_rt_rp_r_c_rgt x ix y iy ly f pi q a u iu l k) q))).

(* constant 6194 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_pl ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_pl x y : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6195 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_mn ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λy:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_mn x y : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6196 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_p1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_pl x l_e_st_eq_landau_n_rt_rp_r_1rl : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6197 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λw:l_e_st_eq_landau_n_rt_rp_r_real.λiw:l_e_st_eq_landau_n_rt_rp_r_intrl w.λlw:l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl y v) w.λkw:l_e_st_eq_landau_n_rt_rp_r_lessis w (l_e_st_eq_landau_n_rt_rp_r_pl x v).(l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) w) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) w) (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn w v)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn w v)) lw (λt:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) w.l_e_st_eq_landau_n_rt_rp_r_satz188f (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) w (l_e_st_eq_landau_n_rt_rp_r_m0 v) t) (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) w.l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) w v t) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn w v)).

(* constant 6198 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λw:l_e_st_eq_landau_n_rt_rp_r_real.λiw:l_e_st_eq_landau_n_rt_rp_r_intrl w.λlw:l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl y v) w.λkw:l_e_st_eq_landau_n_rt_rp_r_lessis w (l_e_st_eq_landau_n_rt_rp_r_pl x v).(l_e_st_eq_landau_n_rt_rp_r_islessis1 (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) v) y (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn w v) (l_e_st_eq_landau_n_rt_rp_r_mnpl y v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t1 x ix y iy ly f pi q v iv w iw lw kw) : l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn w v)).

(* constant 6199 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λw:l_e_st_eq_landau_n_rt_rp_r_real.λiw:l_e_st_eq_landau_n_rt_rp_r_intrl w.λlw:l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl y v) w.λkw:l_e_st_eq_landau_n_rt_rp_r_lessis w (l_e_st_eq_landau_n_rt_rp_r_pl x v).(l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_less w (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) (l_e_st_eq_landau_n_rt_rp_r_is w (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn w v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) v)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn w v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) v)) kw (λt:l_e_st_eq_landau_n_rt_rp_r_less w (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v).l_e_st_eq_landau_n_rt_rp_r_satz188f w (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_m0 v) t) (λt:l_e_st_eq_landau_n_rt_rp_r_is w (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v).l_e_st_eq_landau_n_rt_rp_r_ismn1 w (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) v t) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn w v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) v)).

(* constant 6200 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λw:l_e_st_eq_landau_n_rt_rp_r_real.λiw:l_e_st_eq_landau_n_rt_rp_r_intrl w.λlw:l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl y v) w.λkw:l_e_st_eq_landau_n_rt_rp_r_lessis w (l_e_st_eq_landau_n_rt_rp_r_pl x v).(l_e_st_eq_landau_n_rt_rp_r_islessis2 (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) v) x (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn w v) (l_e_st_eq_landau_n_rt_rp_r_mnpl x v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t3 x ix y iy ly f pi q v iv w iw lw kw) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn w v) x).

(* constant 6201 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_sft ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(λt:l_e_st_eq_landau_n_rt_rp_r_real.λw:l_e_st_eq_landau_n_rt_rp_r_intrl t.λlt:l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl y v) t.λkt:l_e_st_eq_landau_n_rt_rp_r_lessis t (l_e_st_eq_landau_n_rt_rp_r_pl x v).f (l_e_st_eq_landau_n_rt_rp_r_mn t v) (l_e_st_eq_landau_n_rt_rp_r_intmn t w v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t2 x ix y iy ly f pi q v iv t w lt kt) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t4 x ix y iy ly f pi q v iv t w lt kt) : Πt:l_e_st_eq_landau_n_rt_rp_r_real.Πw:l_e_st_eq_landau_n_rt_rp_r_intrl t.Πlt:l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl y v) t.Πkt:l_e_st_eq_landau_n_rt_rp_r_lessis t (l_e_st_eq_landau_n_rt_rp_r_pl x v).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6202 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl v y)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_m0 v) (l_e_st_eq_landau_n_rt_rp_r_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_ism0 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl v y) (l_e_st_eq_landau_n_rt_rp_r_compl y v)) (l_e_st_eq_landau_n_rt_rp_r_satz180 v y) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_m0 v) (l_e_st_eq_landau_n_rt_rp_r_m0 y))).

(* constant 6203 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl l_e_st_eq_landau_n_rt_rp_r_1rl x) (l_e_st_eq_landau_n_rt_rp_r_c_8285_p1 x) (l_e_st_eq_landau_n_rt_rp_r_asspl1 l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_m0 v)) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) v) x l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_mnpl x v)) (l_e_st_eq_landau_n_rt_rp_r_compl l_e_st_eq_landau_n_rt_rp_r_1rl x) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_p1 x)).

(* constant 6204 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_p1 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_m0 v) (l_e_st_eq_landau_n_rt_rp_r_m0 y))) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) v) y) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_p1 x) y) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_8285_p1 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_m0 v) (l_e_st_eq_landau_n_rt_rp_r_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t5 x ix y iy ly f pi q v iv)) (l_e_st_eq_landau_n_rt_rp_r_asspl2 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) (l_e_st_eq_landau_n_rt_rp_r_m0 v) (l_e_st_eq_landau_n_rt_rp_r_m0 y)) (l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_p1 x) y (l_e_st_eq_landau_n_rt_rp_r_c_8285_t6 x ix y iy ly f pi q v iv)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_p1 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_p1 x) y)).

(* constant 6205 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_less y x) (l_e_st_eq_landau_n_rt_rp_r_is y x) (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) ly (λt:l_e_st_eq_landau_n_rt_rp_r_less y x.l_e_st_eq_landau_n_rt_rp_r_satz188f y x v t) (λt:l_e_st_eq_landau_n_rt_rp_r_is y x.l_e_st_eq_landau_n_rt_rp_r_ispl1 y x v t) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)).

(* constant 6206 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly : l_e_st_eq_landau_n_nat).

(* constant 6207 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_sv ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_st_eq_landau_n_rt_rp_r_c_shiftl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 x ix y iy ly f pi q v iv) : l_e_st_eq_landau_n_nat).

(* constant 6208 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_st_eq_landau_n_rt_rp_r_isrlent (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_p1 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 x ix y iy ly f pi q v iv)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_p1 x) y) (l_e_st_eq_landau_n_rt_rp_r_shift_t6 x ix y iy ly) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t7 x ix y iy ly f pi q v iv) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv)).

(* constant 6209 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_st_eq_landau_n_lessisi2 (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t9 x ix y iy ly f pi q v iv) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv)).

(* constant 6210 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_f1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t10 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f) : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6211 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_st_eq_landau_n_rt_rp_r_c_issmpr q (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f) (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t9 x ix y iy ly f pi q v iv) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_f1 x ix y iy ly f pi q v iv)) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix y iy ly f q)).

(* constant 6212 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_isinoutn (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t10 x ix y iy ly f pi q v iv)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t10 x ix y iy ly f pi q v iv) n))).

(* constant 6213 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_n1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t10 x ix y iy ly f pi q v iv) n : l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv)).

(* constant 6214 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t13 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_rt_rp_r_isnterl (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n) (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_n1 x ix y iy ly f pi q v iv n)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t12 x ix y iy ly f pi q v iv n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_n1 x ix y iy ly f pi q v iv n)))).

(* constant 6215 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t14 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_n1 x ix y iy ly f pi q v iv n))) y) (l_e_st_eq_landau_n_rt_rp_r_asspl1 (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_m0 v)) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_n1 x ix y iy ly f pi q v iv n))) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) v) y (l_e_st_eq_landau_n_rt_rp_r_c_8285_t13 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_mnpl y v)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_n1 x ix y iy ly f pi q v iv n))) y)).

(* constant 6216 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_st0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8285_n1 x ix y iy ly f pi q v iv n) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6217 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_stv ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_rt_rp_r_c_shiftr (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 x ix y iy ly f pi q v iv) n : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6218 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t15 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_stv x ix y iy ly f pi q v iv n) v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_m0 v))) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_m0 v) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl))) (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) v) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_c_8285_st0 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_asspl1 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_m0 v)) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_m0 v)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_m0 v) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) (l_e_st_eq_landau_n_rt_rp_r_compl (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_m0 v))) (l_e_st_eq_landau_n_rt_rp_r_asspl2 (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) (l_e_st_eq_landau_n_rt_rp_r_m0 v) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_ismn1 (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) n)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v)) v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_rt_rp_r_c_8285_s0 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_n1 x ix y iy ly f pi q v iv n))) y) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_8285_t14 x ix y iy ly f pi q v iv n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_stv x ix y iy ly f pi q v iv n) v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_st0 x ix y iy ly f pi q v iv n)).

(* constant 6219 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t16 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_rt_rp_r_c_intshiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8285_n1 x ix y iy ly f pi q v iv n) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_8285_st0 x ix y iy ly f pi q v iv n)).

(* constant 6220 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t17 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_rt_rp_r_c_shiftrls x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8285_n1 x ix y iy ly f pi q v iv n) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8285_st0 x ix y iy ly f pi q v iv n) x).

(* constant 6221 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t18 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_rt_rp_r_c_lsshiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8285_n1 x ix y iy ly f pi q v iv n) : l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_8285_st0 x ix y iy ly f pi q v iv n)).

(* constant 6222 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t19 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_rt_rp_r_c_intshiftr (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 x ix y iy ly f pi q v iv) n : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_8285_stv x ix y iy ly f pi q v iv n)).

(* constant 6223 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t20 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_rt_rp_r_c_shiftrls (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 x ix y iy ly f pi q v iv) n : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8285_stv x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v)).

(* constant 6224 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t21 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_rt_rp_r_c_lsshiftr (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 x ix y iy ly f pi q v iv) n : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_stv x ix y iy ly f pi q v iv n)).

(* constant 6225 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t22 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_rt_rp_r_intmn (l_e_st_eq_landau_n_rt_rp_r_c_8285_stv x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t19 x ix y iy ly f pi q v iv n) v iv : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_stv x ix y iy ly f pi q v iv n) v)).

(* constant 6226 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t23 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_rt_rp_r_c_8285_t2 x ix y iy ly f pi q v iv (l_e_st_eq_landau_n_rt_rp_r_c_8285_stv x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t19 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t21 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t20 x ix y iy ly f pi q v iv n) : l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_stv x ix y iy ly f pi q v iv n) v)).

(* constant 6227 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t24 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(l_e_st_eq_landau_n_rt_rp_r_c_8285_t4 x ix y iy ly f pi q v iv (l_e_st_eq_landau_n_rt_rp_r_c_8285_stv x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t19 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t21 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t20 x ix y iy ly f pi q v iv n) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_stv x ix y iy ly f pi q v iv n) v) x).

(* constant 6228 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t25 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).(pi (l_e_st_eq_landau_n_rt_rp_r_c_8285_mn (l_e_st_eq_landau_n_rt_rp_r_c_8285_stv x ix y iy ly f pi q v iv n) v) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t22 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t23 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t24 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_st0 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t16 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t18 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t17 x ix y iy ly f pi q v iv n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t15 x ix y iy ly f pi q v iv n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_shiftf (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_sft x ix y iy ly f pi q v iv) n) (l_e_st_eq_landau_n_rt_rp_r_c_8285_f1 x ix y iy ly f pi q v iv n)).

(* constant 6229 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t26 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_fisi (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv)) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_shiftf (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_sft x ix y iy ly f pi q v iv)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_f1 x ix y iy ly f pi q v iv) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).l_e_st_eq_landau_n_rt_rp_r_c_8285_t25 x ix y iy ly f pi q v iv t) : l_e_is (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_sft x ix y iy ly f pi q v iv)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_f1 x ix y iy ly f pi q v iv)).

(* constant 6230 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8285_t27 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_isf (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).l_e_st_eq_landau_n_rt_rp_r_c_cx) l_e_st_eq_landau_n_rt_rp_r_c_cx (λw:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) w) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_sft x ix y iy ly f pi q v iv)) (l_e_st_eq_landau_n_rt_rp_r_c_8285_f1 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t26 x ix y iy ly f pi q v iv) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpri (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_sft x ix y iy ly f pi q v iv) q) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_f1 x ix y iy ly f pi q v iv))).

(* constant 6231 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma285 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_st_eq_landau_n_rt_rp_r_c_8285_t8 x ix y iy ly f pi q v iv : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl y v) (l_e_st_eq_landau_n_rt_rp_r_pl x v)).

(* constant 6232 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz285 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λv:l_e_st_eq_landau_n_rt_rp_r_real.λiv:l_e_st_eq_landau_n_rt_rp_r_intrl v.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpri (l_e_st_eq_landau_n_rt_rp_r_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_lemma285 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_sft x ix y iy ly f pi q v iv) q) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_8285_sv x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_f1 x ix y iy ly f pi q v iv)) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix y iy ly f q) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t27 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_8285_t11 x ix y iy ly f pi q v iv) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpri (l_e_st_eq_landau_n_rt_rp_r_pl x v) (l_e_st_eq_landau_n_rt_rp_r_intpl x ix v iv) (l_e_st_eq_landau_n_rt_rp_r_pl y v) (l_e_st_eq_landau_n_rt_rp_r_intpl y iy v iv) (l_e_st_eq_landau_n_rt_rp_r_c_lemma285 x ix y iy ly f pi q v iv) (l_e_st_eq_landau_n_rt_rp_r_c_sft x ix y iy ly f pi q v iv) q) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix y iy ly f q)).

(* constant 6233 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_us ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λlu:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λul:l_e_st_eq_landau_n_rt_rp_r_lessis u x.(s u iu lu ul : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6234 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λlu:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λul:l_e_st_eq_landau_n_rt_rp_r_lessis u x.(ins u iu lu ul : l_and3 (l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_us x ix y iy ly s ins f u iu lu ul)) (l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_us x ix y iy ly s ins f u iu lu ul)) (l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_us x ix y iy ly s ins f u iu lu ul) x)).

(* constant 6235 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_inseqe1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λlu:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λul:l_e_st_eq_landau_n_rt_rp_r_lessis u x.(l_e_st_eq_landau_n_rt_rp_r_shift_t22 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_us x ix y iy ly s ins f u iu lu ul) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t1 x ix y iy ly s ins f u iu lu ul) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_us x ix y iy ly s ins f u iu lu ul)).

(* constant 6236 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_inseqe2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λlu:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λul:l_e_st_eq_landau_n_rt_rp_r_lessis u x.(l_e_st_eq_landau_n_rt_rp_r_shift_t23 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_us x ix y iy ly s ins f u iu lu ul) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t1 x ix y iy ly s ins f u iu lu ul) : l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_us x ix y iy ly s ins f u iu lu ul)).

(* constant 6237 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_inseqe3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λlu:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λul:l_e_st_eq_landau_n_rt_rp_r_lessis u x.(l_e_st_eq_landau_n_rt_rp_r_shift_t24 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_us x ix y iy ly s ins f u iu lu ul) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t1 x ix y iy ly s ins f u iu lu ul) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_us x ix y iy ly s ins f u iu lu ul) x).

(* constant 6238 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_usf ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_real.λiu:l_e_st_eq_landau_n_rt_rp_r_intrl u.λlu:l_e_st_eq_landau_n_rt_rp_r_lessis y u.λul:l_e_st_eq_landau_n_rt_rp_r_lessis u x.(f (l_e_st_eq_landau_n_rt_rp_r_c_us x ix y iy ly s ins f u iu lu ul) (l_e_st_eq_landau_n_rt_rp_r_c_inseqe1 x ix y iy ly s ins f u iu lu ul) (l_e_st_eq_landau_n_rt_rp_r_c_inseqe2 x ix y iy ly s ins f u iu lu ul) (l_e_st_eq_landau_n_rt_rp_r_c_inseqe3 x ix y iy ly s ins f u iu lu ul) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6239 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_permseq ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.(λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_intrl t.λv:l_e_st_eq_landau_n_rt_rp_r_lessis y t.λw:l_e_st_eq_landau_n_rt_rp_r_lessis t x.l_e_st_eq_landau_n_rt_rp_r_c_usf x ix y iy ly s ins f t u v w : Πt:l_e_st_eq_landau_n_rt_rp_r_real.Πu:l_e_st_eq_landau_n_rt_rp_r_intrl t.Πv:l_e_st_eq_landau_n_rt_rp_r_lessis y t.Πw:l_e_st_eq_landau_n_rt_rp_r_lessis t x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6240 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_ss ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.(l_e_st_eq_landau_n_rt_rp_r_shiftseq x ix y iy ly s ins : Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly)).

(* constant 6241 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.(l_e_st_eq_landau_n_rt_rp_r_c_satz283 q a c (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly) (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps) (l_e_st_eq_landau_n_rt_rp_r_bijshiftseq x ix y iy ly s ins pri ps) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps t))) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix y iy ly f q)).

(* constant 6242 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_ns ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_c_us x ix y iy ly s ins f (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_intshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_lsshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftrls x ix y iy ly n) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6243 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_c_shiftinv1 x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8286_ns x ix y iy ly f pi q a c s ins pri ps n) (l_e_st_eq_landau_n_rt_rp_r_shift_t34 x ix y iy ly s ins n) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_8286_ns x ix y iy ly f pi q a c s ins pri ps n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps n))).

(* constant 6244 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_c_inseqe1 x ix y iy ly s ins f (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_intshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_lsshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftrls x ix y iy ly n) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_8286_ns x ix y iy ly f pi q a c s ins pri ps n)).

(* constant 6245 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_c_inseqe2 x ix y iy ly s ins f (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_intshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_lsshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftrls x ix y iy ly n) : l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_8286_ns x ix y iy ly f pi q a c s ins pri ps n)).

(* constant 6246 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_c_inseqe3 x ix y iy ly s ins f (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_intshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_lsshiftr x ix y iy ly n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftrls x ix y iy ly n) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8286_ns x ix y iy ly f pi q a c s ins pri ps n) x).

(* constant 6247 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_c_intshiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps n) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps n))).

(* constant 6248 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_c_lsshiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps n) : l_e_st_eq_landau_n_rt_rp_r_lessis y (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps n))).

(* constant 6249 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(l_e_st_eq_landau_n_rt_rp_r_c_shiftrls x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps n) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps n)) x).

(* constant 6250 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).(pi (l_e_st_eq_landau_n_rt_rp_r_c_8286_ns x ix y iy ly f pi q a c s ins pri ps n) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t4 x ix y iy ly f pi q a c s ins pri ps n) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t5 x ix y iy ly f pi q a c s ins pri ps n) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t6 x ix y iy ly f pi q a c s ins pri ps n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftr x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps n)) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t7 x ix y iy ly f pi q a c s ins pri ps n) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t8 x ix y iy ly f pi q a c s ins pri ps n) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t9 x ix y iy ly f pi q a c s ins pri ps n) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t3 x ix y iy ly f pi q a c s ins pri ps n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_permseq x ix y iy ly s ins f) n) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps n))).

(* constant 6251 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.(l_e_fisi (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly)) l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_permseq x ix y iy ly s ins f)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps t)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_c_8286_t10 x ix y iy ly f pi q a c s ins pri ps t) : l_e_is (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_c_cx) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_permseq x ix y iy ly s ins f)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps t))).

(* constant 6252 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8286_t12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.(l_e_isf (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_c_cx) l_e_st_eq_landau_n_rt_rp_r_c_cx (λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly) u) (l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_permseq x ix y iy ly s ins f)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps t)) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t11 x ix y iy ly f pi q a c s ins pri ps) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_permseq x ix y iy ly s ins f) q) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps t)))).

(* constant 6253 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz286 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_real.λix:l_e_st_eq_landau_n_rt_rp_r_intrl x.λy:l_e_st_eq_landau_n_rt_rp_r_real.λiy:l_e_st_eq_landau_n_rt_rp_r_intrl y.λly:l_e_st_eq_landau_n_rt_rp_r_lessis y x.λf:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx.λpi:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_c_cx f.λq:Πt:l_e_st_eq_landau_n_rt_rp_r_c_cx.Πu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_cx.λa:l_e_st_eq_landau_n_rt_rp_r_c_assoc q.λc:l_e_st_eq_landau_n_rt_rp_r_c_commut q.λs:l_e_st_eq_landau_n_rt_rp_r_seq x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real.λins:l_e_st_eq_landau_n_rt_rp_r_inseq x ix y iy ly s.λpri:l_e_st_eq_landau_n_rt_rp_r_proofsirrelevant x ix y iy ly l_e_st_eq_landau_n_rt_rp_r_real s.λps:l_e_st_eq_landau_n_rt_rp_r_perm x ix y iy ly s.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_permseq x ix y iy ly s ins f) q) (l_e_st_eq_landau_n_rt_rp_r_c_smpr q (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_shiftl x ix y iy ly).l_e_st_eq_landau_n_rt_rp_r_c_shiftf x ix y iy ly f (l_e_st_eq_landau_n_rt_rp_r_c_8286_ss x ix y iy ly f pi q a c s ins pri ps t))) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix y iy ly f q) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t12 x ix y iy ly f pi q a c s ins pri ps) (l_e_st_eq_landau_n_rt_rp_r_c_8286_t2 x ix y iy ly f pi q a c s ins pri ps) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix y iy ly (l_e_st_eq_landau_n_rt_rp_r_c_permseq x ix y iy ly s ins f) q) (l_e_st_eq_landau_n_rt_rp_r_c_smpri x ix y iy ly f q)).

(* constant 6254 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_modf ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (f t)) l_e_st_eq_landau_n_rt_rp_r_0 : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6255 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x f)) r : Prop).

(* constant 6256 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_prop2 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_modf x f)) (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) : Prop).

(* constant 6257 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_and (l_e_st_eq_landau_n_rt_rp_r_c_8287_prop1 x f r) (l_e_st_eq_landau_n_rt_rp_r_c_8287_prop2 x f r) : Prop).

(* constant 6258 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_prop4 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_some (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x f t) : Prop).

(* constant 6259 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 ≝ λx:l_e_st_eq_landau_n_nat.(∀u:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8287_prop4 x u : Prop).

(* constant 6260 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t1 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_pl t u) f : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_sum l_e_st_eq_landau_n_1 f) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 6261 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t2 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_ismod (l_e_st_eq_landau_n_rt_rp_r_c_sum l_e_st_eq_landau_n_1 f) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t1 f) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum l_e_st_eq_landau_n_1 f)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)))).

(* constant 6262 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t3 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_lessisi2 (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum l_e_st_eq_landau_n_1 f)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t2 f) : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop1 l_e_st_eq_landau_n_1 f (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)))).

(* constant 6263 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t4 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_pl t u) (l_e_st_eq_landau_n_rt_rp_r_c_modf l_e_st_eq_landau_n_1 f) : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop2 l_e_st_eq_landau_n_1 f (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)))).

(* constant 6264 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t5 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_andi (l_e_st_eq_landau_n_rt_rp_r_c_8287_prop1 l_e_st_eq_landau_n_1 f (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_prop2 l_e_st_eq_landau_n_1 f (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t3 f) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t4 f) : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 l_e_st_eq_landau_n_1 f (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)))).

(* constant 6265 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t6 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_somei l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 l_e_st_eq_landau_n_1 f t) (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t5 f) : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop4 l_e_st_eq_landau_n_1 f).

(* constant 6266 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t7 ≝ (λu:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8287_t6 u : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 l_e_st_eq_landau_n_1).

(* constant 6267 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t8 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz18a x l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_lessis x (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 6268 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_lf ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_rt_rp_r_c_8287_t8 x p f) f : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6269 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t9 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_c_8287_prop1 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r) (l_e_st_eq_landau_n_rt_rp_r_c_8287_prop2 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r) pr : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop1 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r).

(* constant 6270 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t10 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_c_8287_prop1 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r) (l_e_st_eq_landau_n_rt_rp_r_c_8287_prop2 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r) pr : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop2 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r).

(* constant 6271 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t11 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_pl t u) x f : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_sum (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))))).

(* constant 6272 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t12 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_e_st_eq_landau_n_rt_rp_r_c_ismod (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) (l_e_st_eq_landau_n_rt_rp_r_c_sum (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_sum (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t11 x p f r pr)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))))) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f))).

(* constant 6273 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_m ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6274 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t13 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_e_st_eq_landau_n_rt_rp_r_islessis1 (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))))) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t12 x p f r pr) (l_e_st_eq_landau_n_rt_rp_r_c_satz271 (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr))).

(* constant 6275 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t14 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f))) r) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f))) r) (l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr))) (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t9 x p f r pr) (λt:l_e_st_eq_landau_n_rt_rp_r_less (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f))) r.l_e_st_eq_landau_n_rt_rp_r_satz188f (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f))) r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr) t) (λt:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f))) r.l_e_st_eq_landau_n_rt_rp_r_ispl1 (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f))) r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr) t) : l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr))).

(* constant 6276 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t15 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_e_st_eq_landau_n_rt_rp_r_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t13 x p f r pr) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t14 x p f r pr) : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr))).

(* constant 6277 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_lmf ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_rt_rp_r_c_8287_t8 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_modf (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6278 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t16 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_pl t u) x (l_e_st_eq_landau_n_rt_rp_r_c_modf (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_sum (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_modf (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lmf x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr) l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 6279 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t17 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_e_st_eq_landau_n_rt_rp_r_c_ispl1 (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lmf x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t10 x p f r pr) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lmf x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr) l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 6280 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t18 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_e_st_eq_landau_n_rt_rp_r_c_plis12a r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr) l_e_st_eq_landau_n_rt_rp_r_0 : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 6281 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t19 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx2 (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_pl01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6282 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t20 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_sum (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_modf (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lmf x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t16 x p f r pr) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t17 x p f r pr) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t18 x p f r pr) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t19 x p f r pr) : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr))).

(* constant 6283 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t21 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_andi (l_e_st_eq_landau_n_rt_rp_r_c_8287_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr))) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t15 x p f r pr) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t20 x p f r pr) : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr))).

(* constant 6284 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t22 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λr:l_e_st_eq_landau_n_rt_rp_r_real.λpr:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) r.(l_somei l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f t) (l_e_st_eq_landau_n_rt_rp_r_pl r (l_e_st_eq_landau_n_rt_rp_r_c_8287_m x p f r pr)) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t21 x p f r pr) : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop4 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f).

(* constant 6285 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t23 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_someapp l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) t) (p (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8287_prop4 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop3 x (l_e_st_eq_landau_n_rt_rp_r_c_8287_lf x p f) t.l_e_st_eq_landau_n_rt_rp_r_c_8287_t22 x p f t u) : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop4 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f).

(* constant 6286 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t25 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.(λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8287_t23 x p u : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 6287 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8287_t26 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 x.(l_e_isp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 t) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_rt_rp_r_c_8287_t25 x p) (l_e_st_eq_landau_n_satz4a x) : l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 (l_e_st_eq_landau_n_suc x)).

(* constant 6288 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz287 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 t) l_e_st_eq_landau_n_rt_rp_r_c_8287_t7 (λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_rt_rp_r_c_8287_prop5 t.l_e_st_eq_landau_n_rt_rp_r_c_8287_t26 t u) x f : l_e_st_eq_landau_n_rt_rp_r_some (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_and (l_e_st_eq_landau_n_rt_rp_r_lessis (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_sum x f)) t) (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_sum x (l_e_st_eq_landau_n_rt_rp_r_c_modf x f)) (l_e_st_eq_landau_n_rt_rp_r_c_pli t l_e_st_eq_landau_n_rt_rp_r_0)))).

(* constant 6289 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x f)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_modf x f)) : Prop).

(* constant 6290 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 ≝ λx:l_e_st_eq_landau_n_nat.(∀u:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8288_prop1 x u : Prop).

(* constant 6291 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t1 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) f : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 f) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 6292 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t2 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_ismod (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 f) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t1 f) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 f)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)))).

(* constant 6293 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t3 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx1 (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 f)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8288_t2 f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 f)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6294 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t4 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) (l_e_st_eq_landau_n_rt_rp_r_c_modf l_e_st_eq_landau_n_1 f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_modf l_e_st_eq_landau_n_1 f)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6295 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t5 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 f)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_modf l_e_st_eq_landau_n_1 f)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t3 f) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t4 f) : l_e_st_eq_landau_n_rt_rp_r_c_8288_prop1 l_e_st_eq_landau_n_1 f).

(* constant 6296 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t6 ≝ (λu:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8288_t5 u : l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 l_e_st_eq_landau_n_1).

(* constant 6297 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t7 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz18a x l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_lessis x (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 6298 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_lf ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_rt_rp_r_c_8288_t7 x p f) f : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6299 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t8 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) x f : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))))).

(* constant 6300 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_m ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_mod (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6301 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t9 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_ismod (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t8 x p f) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))))).

(* constant 6302 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t10 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz268 (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f))).

(* constant 6303 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t11 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t9 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t10 x p f) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f))).

(* constant 6304 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t12 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx1 (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8288_t11 x p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6305 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_lmf ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_rt_rp_r_c_8288_t7 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_modf (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6306 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t13 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) x (l_e_st_eq_landau_n_rt_rp_r_c_modf (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_modf (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lmf x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f) l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 6307 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t14 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lmf x p f)) (p (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lmf x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6308 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t15 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lmf x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t14 x p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lmf x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f) l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 6309 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t16 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_tsis12a (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f) l_e_st_eq_landau_n_rt_rp_r_0 : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f))))).

(* constant 6310 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t17 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) (l_e_st_eq_landau_n_rt_rp_r_ismn2 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_satz176b l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f))).

(* constant 6311 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t18 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f))) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts02 (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_pl01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f))) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 6312 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t19 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f))) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8288_t17 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t18 x p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6313 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t20 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_modf (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lmf x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t13 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t15 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t16 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t19 x p f) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_modf (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6314 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t21 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_modf (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8288_lf x p f))) (l_e_st_eq_landau_n_rt_rp_r_c_8288_m x p f)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t12 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t20 x p f) : l_e_st_eq_landau_n_rt_rp_r_c_8288_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f).

(* constant 6315 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t21a ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.(λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8288_t21 x p u : l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 6316 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8288_t22 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 x.(l_e_isp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 t) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_rt_rp_r_c_8288_t21a x p) (l_e_st_eq_landau_n_satz4a x) : l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 (l_e_st_eq_landau_n_suc x)).

(* constant 6317 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz288 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 t) l_e_st_eq_landau_n_rt_rp_r_c_8288_t6 (λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_rt_rp_r_c_8288_prop2 t.l_e_st_eq_landau_n_rt_rp_r_c_8288_t22 t u) x f : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_prod x f)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_modf x f))).

(* constant 6318 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod x f) l_e_st_eq_landau_n_rt_rp_r_c_0c : Prop).

(* constant 6319 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_some (l_e_st_eq_landau_n_1to x) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_is (f t) l_e_st_eq_landau_n_rt_rp_r_c_0c) : Prop).

(* constant 6320 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_prop3 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_iff (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 x f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 x f) : Prop).

(* constant 6321 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 ≝ λx:l_e_st_eq_landau_n_nat.(∀u:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8289_prop3 x u : Prop).

(* constant 6322 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t1 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) f : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 f) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1))).

(* constant 6323 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t2 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 l_e_st_eq_landau_n_1 f.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t1 f) p : l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6324 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t3 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 l_e_st_eq_landau_n_1 f.(l_somei (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (λt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_is (f t) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t2 f p) : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 l_e_st_eq_landau_n_1 f).

(* constant 6325 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t4 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 l_e_st_eq_landau_n_1 f.λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f u) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_singlet_th1 u : l_e_is (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) u (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)).

(* constant 6326 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t5 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 l_e_st_eq_landau_n_1 f.λu:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f u) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 f) (f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1)) (f u) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_8289_t1 f) (l_e_isf (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) l_e_st_eq_landau_n_rt_rp_r_c_cx f (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1) u (l_e_symis (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) u (l_e_st_eq_landau_n_xout l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t4 f p u i))) i : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 l_e_st_eq_landau_n_1 f).

(* constant 6327 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t6 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 l_e_st_eq_landau_n_1 f.(l_someapp (l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1) (λt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_is (f t) l_e_st_eq_landau_n_rt_rp_r_c_0c) p (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 l_e_st_eq_landau_n_1 f) (λt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.λu:l_e_st_eq_landau_n_rt_rp_r_c_is (f t) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_8289_t5 f p t u) : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 l_e_st_eq_landau_n_1 f).

(* constant 6328 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t7 ≝ λf:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_iffi (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 l_e_st_eq_landau_n_1 f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 l_e_st_eq_landau_n_1 f) (λt:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 l_e_st_eq_landau_n_1 f.l_e_st_eq_landau_n_rt_rp_r_c_8289_t3 f t) (λt:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 l_e_st_eq_landau_n_1 f.l_e_st_eq_landau_n_rt_rp_r_c_8289_t6 f t) : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop3 l_e_st_eq_landau_n_1 f).

(* constant 6329 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t8 ≝ (λu:Πt:l_e_st_eq_landau_n_1to l_e_st_eq_landau_n_1.l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8289_t7 u : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 l_e_st_eq_landau_n_1).

(* constant 6330 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t9 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_lessisi1 x (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_satz18a x l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_lessis x (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 6331 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_lf ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_rt_rp_r_c_8289_t9 x p f) f : Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6332 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t10 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) x f : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))))).

(* constant 6333 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t11 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t10 x p f) q : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6334 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t12 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.(l_e_st_eq_landau_n_rt_rp_r_c_satz221c (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t11 x p f q) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) l_e_st_eq_landau_n_rt_rp_r_c_0c)).

(* constant 6335 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t13 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_iff_th3 (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (p (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) i : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)).

(* constant 6336 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t14 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_1to x.λj:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_somei (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_is (f t) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_rt_rp_r_c_8289_t9 x p f) n) j : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f).

(* constant 6337 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t15 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_someapp (l_e_st_eq_landau_n_1to x) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f t) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t13 x p f q i) (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (λt:l_e_st_eq_landau_n_1to x.λu:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f t) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_8289_t14 x p f q i t u) : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f).

(* constant 6338 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t16 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_somei (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_is (f t) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) i : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f).

(* constant 6339 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t17 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.(l_orapp (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t12 x p f q) (λt:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_8289_t15 x p f q t) (λt:l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_8289_t16 x p f q t) : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f).

(* constant 6340 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t18 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λj:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) l_e_st_eq_landau_n_rt_rp_r_c_0c (f n) (l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_rt_rp_r_c_cx f n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) j) i : l_e_st_eq_landau_n_rt_rp_r_c_is (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6341 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t20 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λj:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).(l_e_st_eq_landau_n_rt_rp_r_c_satz221b (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t18 x p f q n i j) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6342 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_e_st_eq_landau_n_rt_rp_r_c_inn (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) n : l_e_st_eq_landau_n_nat).

(* constant 6343 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t21 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) n) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_lessisi3 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) j : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) n)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).

(* constant 6344 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t22 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).λj:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) n)) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) n) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t21 x p f q n i m j) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).

(* constant 6345 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t23 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_imp_th3 (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) m (λt:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_8289_t22 x p f q n i m t) : l_e_st_eq_landau_n_nis (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 6346 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t24 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_ore1 (l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) n) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t23 x p f q n i m) : l_e_st_eq_landau_n_less (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 6347 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t25 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_e_st_eq_landau_n_satz26 x (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t24 x p f q n i m) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) x).

(* constant 6348 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_e_st_eq_landau_n_outn x (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t25 x p f q n i m) : l_e_st_eq_landau_n_1to x).

(* constant 6349 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t26 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_e_st_eq_landau_n_isinoutn x (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t25 x p f q n i m) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 x p f q n i m))).

(* constant 6350 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t27 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_e_st_eq_landau_n_isoutni (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) n) (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 x p f q n i m)) (l_e_st_eq_landau_n_trlessis (l_e_st_eq_landau_n_rt_rp_r_c_inn x (l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 x p f q n i m)) x (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_1top x (l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 x p f q n i m)) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t9 x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t26 x p f q n i m) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) n)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_rt_rp_r_c_8289_t9 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 x p f q n i m))).

(* constant 6351 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t28 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_e_tris (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_outn (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_8289_n1 x p f q n i m) (l_e_st_eq_landau_n_1top (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) n)) (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_rt_rp_r_c_8289_t9 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 x p f q n i m)) (l_e_st_eq_landau_n_isoutinn (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) n) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t27 x p f q n i m) : l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_rt_rp_r_c_8289_t9 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 x p f q n i m))).

(* constant 6352 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t29 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_e_isf (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) l_e_st_eq_landau_n_rt_rp_r_c_cx f n (l_e_st_eq_landau_n_left1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_rt_rp_r_c_8289_t9 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 x p f q n i m)) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t28 x p f q n i m) : l_e_st_eq_landau_n_rt_rp_r_c_is (f n) (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f (l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 x p f q n i m))).

(* constant 6353 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t30 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f (l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 x p f q n i m)) l_e_st_eq_landau_n_rt_rp_r_c_0c (f n) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t29 x p f q n i m) i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f (l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 x p f q n i m)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6354 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t31 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_somei (l_e_st_eq_landau_n_1to x) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f t) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_8289_n2 x p f q n i m) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t30 x p f q n i m) : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)).

(* constant 6355 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t32 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_iff_th4 (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (p (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t31 x p f q n i m) : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)).

(* constant 6356 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t34 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.λm:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).(l_e_st_eq_landau_n_rt_rp_r_c_satz221a (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t32 x p f q n i m) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6357 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t35 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_imp_th1 (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))) (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) l_e_st_eq_landau_n_rt_rp_r_c_0c) (λt:l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).l_e_st_eq_landau_n_rt_rp_r_c_8289_t20 x p f q n i t) (λt:l_not (l_e_is (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) n (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1))).l_e_st_eq_landau_n_rt_rp_r_c_8289_t34 x p f q n i t) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6358 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t36 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.λn:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod x (l_e_st_eq_landau_n_rt_rp_r_c_8289_lf x p f)) (f (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)))) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_8289_t10 x p f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t35 x p f q n i) : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f).

(* constant 6359 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t37 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.λq:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.(l_someapp (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_is (f t) l_e_st_eq_landau_n_rt_rp_r_c_0c) q (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).λu:l_e_st_eq_landau_n_rt_rp_r_c_is (f t) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_8289_t36 x p f q t u) : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f).

(* constant 6360 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t38 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.λf:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_iffi (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f) (λt:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.l_e_st_eq_landau_n_rt_rp_r_c_8289_t17 x p f t) (λt:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f.l_e_st_eq_landau_n_rt_rp_r_c_8289_t37 x p f t) : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop3 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) f).

(* constant 6361 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t39 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.(λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_8289_t38 x p u : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1)).

(* constant 6362 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t40 ≝ λx:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 x.(l_e_isp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 t) (l_e_st_eq_landau_n_pl x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_suc x) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t39 x p) (l_e_st_eq_landau_n_satz4a x) : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 (l_e_st_eq_landau_n_suc x)).

(* constant 6363 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz289 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 t) l_e_st_eq_landau_n_rt_rp_r_c_8289_t8 (λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_rt_rp_r_c_8289_prop4 t.l_e_st_eq_landau_n_rt_rp_r_c_8289_t40 t u) x f : l_iff (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod x f) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_some (l_e_st_eq_landau_n_1to x) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_is (f t) l_e_st_eq_landau_n_rt_rp_r_c_0c))).

(* constant 6364 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz289a ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod x f) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_iff_th3 (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 x f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 x f) (l_e_st_eq_landau_n_rt_rp_r_c_satz289 x f) i : l_some (l_e_st_eq_landau_n_1to x) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_is (f t) l_e_st_eq_landau_n_rt_rp_r_c_0c)).

(* constant 6365 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_8289_t41 ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_somei (l_e_st_eq_landau_n_1to x) (λt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_is (f t) l_e_st_eq_landau_n_rt_rp_r_c_0c) n i : l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 x f).

(* constant 6366 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz289b ≝ λx:l_e_st_eq_landau_n_nat.λf:Πt:l_e_st_eq_landau_n_1to x.l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_1to x.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (f n) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_iff_th4 (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop1 x f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_prop2 x f) (l_e_st_eq_landau_n_rt_rp_r_c_satz289 x f) (l_e_st_eq_landau_n_rt_rp_r_c_8289_t41 x f n i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod x f) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6367 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_posintnatrl m p mi : l_e_st_eq_landau_n_rt_rp_r_natrl m).

(* constant 6368 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_ntofrl m (l_e_st_eq_landau_n_rt_rp_r_c_v9_t1 x m mi o p) : l_e_st_eq_landau_n_nat).

(* constant 6369 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p).x) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6370 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λmp:l_e_st_eq_landau_n_rt_rp_r_pos m.λnp:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi1 ox mp : l_e_st_eq_landau_n_nat).

(* constant 6371 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λmp:l_e_st_eq_landau_n_rt_rp_r_pos m.λnp:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 y n ni1 oy np : l_e_st_eq_landau_n_nat).

(* constant 6372 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λmp:l_e_st_eq_landau_n_rt_rp_r_pos m.λnp:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_isrlent m (l_e_st_eq_landau_n_rt_rp_r_c_v9_t1 x m mi1 ox mp) n (l_e_st_eq_landau_n_rt_rp_r_c_v9_t1 y n ni1 oy np) j : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np)).

(* constant 6373 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λmp:l_e_st_eq_landau_n_rt_rp_r_pos m.λnp:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_lessisi2 (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t2 x y m n i j mi1 ni1 ox oy mp np) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np)).

(* constant 6374 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λmp:l_e_st_eq_landau_n_rt_rp_r_pos m.λnp:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_c_issmpr (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np).y) (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t2 x y m n i j mi1 ni1 ox oy mp np) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t3 x y m n i j mi1 ni1 ox oy mp np) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np).y))) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 y n ni1 oy np)).

(* constant 6375 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λmp:l_e_st_eq_landau_n_rt_rp_r_pos m.λnp:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_fisi (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np)) l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np).x) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t3 x y m n i j mi1 ni1 ox oy mp np) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np).y)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np).i) : l_e_is (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np).l_e_st_eq_landau_n_rt_rp_r_c_cx) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np).x) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t3 x y m n i j mi1 ni1 ox oy mp np) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np).y))).

(* constant 6376 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λmp:l_e_st_eq_landau_n_rt_rp_r_pos m.λnp:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_isf (Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np).l_e_st_eq_landau_n_rt_rp_r_c_cx) l_e_st_eq_landau_n_rt_rp_r_c_cx (λu:Πt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np).l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) u) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np).x) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t3 x y m n i j mi1 ni1 ox oy mp np) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np).y)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t5 x y m n i j mi1 ni1 ox oy mp np) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi1 ox mp) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t3 x y m n i j mi1 ni1 ox oy mp np) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np).y)))).

(* constant 6377 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λmp:l_e_st_eq_landau_n_rt_rp_r_pos m.λnp:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi1 ox mp) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_m0 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t3 x y m n i j mi1 ni1 ox oy mp np) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_n0 x y m n i j mi1 ni1 ox oy mp np).y))) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 y n ni1 oy np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t6 x y m n i j mi1 ni1 ox oy mp np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t4 x y m n i j mi1 ni1 ox oy mp np) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi1 ox mp) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 y n ni1 oy np)).

(* constant 6378 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.λp1:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_c_v9_t7 x x m m (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real m) mi mi o o p p1 : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi o p) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi o p1)).

(* constant 6379 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_some_th5 (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p).l_e_st_eq_landau_n_rt_rp_r_c_is ((λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p).x) t) l_e_st_eq_landau_n_rt_rp_r_c_0c) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p).n) : l_not (l_some (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p).l_e_st_eq_landau_n_rt_rp_r_c_is ((λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p).x) t) l_e_st_eq_landau_n_rt_rp_r_c_0c))).

(* constant 6380 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi o p) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_some (l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p).l_e_st_eq_landau_n_rt_rp_r_c_is ((λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p).x) t) l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t9 x m mi o p n) (λt:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi o p) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_satz289a (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p) (λu:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_v9_m1 x m mi o p).x) t) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi o p) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6381 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.(l_e_st_eq_landau_n_rt_rp_r_intabs m mi : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_abs m)).

(* constant 6382 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_satz166b m n : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs m)).

(* constant 6383 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_ori2 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs m)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 x m mi o n) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs m))).

(* constant 6384 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t14 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_ore1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m) o (l_e_st_eq_landau_n_rt_rp_r_nnotp m n) : l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6385 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t15 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_v9_t10 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t14 x m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 x m mi o n)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6386 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 x m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t15 x m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6387 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_pwm ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi1) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi1 ox nm) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 x m mi1 ox nm) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6388 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_pwn ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 y (l_e_st_eq_landau_n_rt_rp_r_abs n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 y n ni1) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 y n ni1 oy nn) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 y n ni1 oy nn) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6389 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t16 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_v9_t7 x y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_abs n) i (l_e_st_eq_landau_n_rt_rp_r_isabs m n j) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi1) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 y n ni1) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi1 ox nm) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 y n ni1 oy nn) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 x m mi1 ox nm) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 y n ni1 oy nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pwm x y m n i j mi1 ni1 ox oy nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pwn x y m n i j mi1 ni1 ox oy nm nn)).

(* constant 6390 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t17 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_isov2 (l_e_st_eq_landau_n_rt_rp_r_c_v9_pwm x y m n i j mi1 ni1 ox oy nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pwn x y m n i j mi1 ni1 ox oy nm nn) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_v9_t16 x y m n i j mi1 ni1 ox oy nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t15 x m mi1 ox nm) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t15 y n ni1 oy nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi1 ox nm) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 y n ni1 oy nn)).

(* constant 6391 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t18 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.λn1:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_v9_t17 x x m m (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real m) mi mi o o n n1 : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi o n1)).

(* constant 6392 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_r_ite (l_e_st_eq_landau_n_rt_rp_r_neg m) l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_neg m.l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi o t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).l_e_st_eq_landau_n_rt_rp_r_c_1c) (λt:l_e_st_eq_landau_n_rt_rp_r_neg m.λu:l_e_st_eq_landau_n_rt_rp_r_neg m.l_e_st_eq_landau_n_rt_rp_r_c_v9_t18 x m mi o t u) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).λu:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_1c) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6393 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t19 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_r_itet (l_e_st_eq_landau_n_rt_rp_r_neg m) l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_neg m.l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi o t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).l_e_st_eq_landau_n_rt_rp_r_c_1c) (λt:l_e_st_eq_landau_n_rt_rp_r_neg m.λu:l_e_st_eq_landau_n_rt_rp_r_neg m.l_e_st_eq_landau_n_rt_rp_r_c_v9_t18 x m mi o t u) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).λu:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_1c) n : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi o n)).

(* constant 6394 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t20 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λnn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).(l_r_itef (l_e_st_eq_landau_n_rt_rp_r_neg m) l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_neg m.l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi o t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).l_e_st_eq_landau_n_rt_rp_r_c_1c) (λt:l_e_st_eq_landau_n_rt_rp_r_neg m.λu:l_e_st_eq_landau_n_rt_rp_r_neg m.l_e_st_eq_landau_n_rt_rp_r_c_v9_t18 x m mi o t u) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).λu:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_1c) nn : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 6395 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t21 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_neg t) m n nm j : l_e_st_eq_landau_n_rt_rp_r_neg n).

(* constant 6396 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t22 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_v9_t19 x m mi1 ox nm : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi1 ox nm)).

(* constant 6397 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t23 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 y n ni1 oy) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 y n ni1 oy (l_e_st_eq_landau_n_rt_rp_r_c_v9_t21 x y m n i j mi1 ni1 ox oy nm)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t19 y n ni1 oy (l_e_st_eq_landau_n_rt_rp_r_c_v9_t21 x y m n i j mi1 ni1 ox oy nm)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 y n ni1 oy (l_e_st_eq_landau_n_rt_rp_r_c_v9_t21 x y m n i j mi1 ni1 ox oy nm)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 y n ni1 oy)).

(* constant 6398 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t24 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi1 ox nm) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 y n ni1 oy (l_e_st_eq_landau_n_rt_rp_r_c_v9_t21 x y m n i j mi1 ni1 ox oy nm)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 y n ni1 oy) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t22 x y m n i j mi1 ni1 ox oy nm) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t17 x y m n i j mi1 ni1 ox oy nm (l_e_st_eq_landau_n_rt_rp_r_c_v9_t21 x y m n i j mi1 ni1 ox oy nm)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t23 x y m n i j mi1 ni1 ox oy nm) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 y n ni1 oy)).

(* constant 6399 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t25 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_not (l_e_st_eq_landau_n_rt_rp_r_neg t)) m n nn j : l_not (l_e_st_eq_landau_n_rt_rp_r_neg n)).

(* constant 6400 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t26 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).(l_e_st_eq_landau_n_rt_rp_r_c_v9_t20 x m mi1 ox nn : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi1 ox) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 6401 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t27 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).(l_e_st_eq_landau_n_rt_rp_r_c_v9_t20 y n ni1 oy (l_e_st_eq_landau_n_rt_rp_r_c_v9_t25 x y m n i j mi1 ni1 ox oy nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 y n ni1 oy) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 6402 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t28 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnn:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 y n ni1 oy) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_v9_t26 x y m n i j mi1 ni1 ox oy nn) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t27 x y m n i j mi1 ni1 ox oy nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 y n ni1 oy)).

(* constant 6403 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t29 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_neg m) (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 y n ni1 oy)) (λt:l_e_st_eq_landau_n_rt_rp_r_neg m.l_e_st_eq_landau_n_rt_rp_r_c_v9_t24 x y m n i j mi1 ni1 ox oy t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_neg m).l_e_st_eq_landau_n_rt_rp_r_c_v9_t28 x y m n i j mi1 ni1 ox oy t) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 y n ni1 oy)).

(* constant 6404 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_pw ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_r_ite (l_e_st_eq_landau_n_rt_rp_r_pos m) l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_pos m.l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi o t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi o) (λt:l_e_st_eq_landau_n_rt_rp_r_pos m.λu:l_e_st_eq_landau_n_rt_rp_r_pos m.l_e_st_eq_landau_n_rt_rp_r_c_v9_t8 x m mi o t u) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).λu:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi o)) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6405 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t30 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_r_itet (l_e_st_eq_landau_n_rt_rp_r_pos m) l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_pos m.l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi o t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi o) (λt:l_e_st_eq_landau_n_rt_rp_r_pos m.λu:l_e_st_eq_landau_n_rt_rp_r_pos m.l_e_st_eq_landau_n_rt_rp_r_c_v9_t8 x m mi o t u) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).λu:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi o)) p : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi o p)).

(* constant 6406 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t31 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_r_itef (l_e_st_eq_landau_n_rt_rp_r_pos m) l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_pos m.l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi o t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi o) (λt:l_e_st_eq_landau_n_rt_rp_r_pos m.λu:l_e_st_eq_landau_n_rt_rp_r_pos m.l_e_st_eq_landau_n_rt_rp_r_c_v9_t8 x m mi o t u) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).λu:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi o)) n : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi o)).

(* constant 6407 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t32 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λi:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_v9_t31 x m mi o (l_e_st_eq_landau_n_rt_rp_r_0notp m i)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t20 x m mi o (l_e_st_eq_landau_n_rt_rp_r_0notn m i)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 6408 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t33 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t31 x m mi o (l_e_st_eq_landau_n_rt_rp_r_nnotp m n)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t19 x m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi o n)).

(* constant 6409 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_posexp ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_c_v9_t30 x m mi o p : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_ntofrl m (l_e_st_eq_landau_n_rt_rp_r_posintnatrl m p mi)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_ntofrl m (l_e_st_eq_landau_n_rt_rp_r_posintnatrl m p mi)).x))).

(* constant 6410 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_notis_th2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi o p) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t10 x m mi o p n) (l_e_st_eq_landau_n_rt_rp_r_c_posexp x m mi o p) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6411 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_0exp ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λi:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_c_v9_t32 x m mi o i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 6412 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemmapw2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_v9_t14 x m mi o n : l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6413 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi o n : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs m))).

(* constant 6414 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t34 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_v9_t30 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 x m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 x m mi o n))).

(* constant 6415 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t35 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_isov2 (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 x m mi o n)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_v9_t34 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t14 x m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t15 x m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t11 x m mi) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t13 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t12 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t14 x m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi o n)).

(* constant 6416 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_negexp ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_intabs m mi) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 x m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_intabs m mi) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_satz166b m n) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw2 x m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw2 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t33 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t35 x m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_intabs m mi) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 x m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_intabs m mi) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 x m mi o n) (l_e_st_eq_landau_n_rt_rp_r_satz166b m n) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw2 x m mi o n)))).

(* constant 6417 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t36 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λmp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_pos t) m n mp j : l_e_st_eq_landau_n_rt_rp_r_pos n).

(* constant 6418 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t37 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λmp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_c_v9_t30 x m mi1 ox mp : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi1 ox mp)).

(* constant 6419 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t38 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λmp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw y n ni1 oy) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 y n ni1 oy (l_e_st_eq_landau_n_rt_rp_r_c_v9_t36 x y m n i j mi1 ni1 ox oy mp)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t30 y n ni1 oy (l_e_st_eq_landau_n_rt_rp_r_c_v9_t36 x y m n i j mi1 ni1 ox oy mp)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 y n ni1 oy (l_e_st_eq_landau_n_rt_rp_r_c_v9_t36 x y m n i j mi1 ni1 ox oy mp)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y n ni1 oy)).

(* constant 6420 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t39 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λmp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 x m mi1 ox mp) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw1 y n ni1 oy (l_e_st_eq_landau_n_rt_rp_r_c_v9_t36 x y m n i j mi1 ni1 ox oy mp)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y n ni1 oy) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t37 x y m n i j mi1 ni1 ox oy mp) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t7 x y m n i j mi1 ni1 ox oy mp (l_e_st_eq_landau_n_rt_rp_r_c_v9_t36 x y m n i j mi1 ni1 ox oy mp)) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t38 x y m n i j mi1 ni1 ox oy mp) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_pw y n ni1 oy)).

(* constant 6421 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t40 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnp:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_not (l_e_st_eq_landau_n_rt_rp_r_pos t)) m n np j : l_not (l_e_st_eq_landau_n_rt_rp_r_pos n)).

(* constant 6422 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t41 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnp:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_e_st_eq_landau_n_rt_rp_r_c_v9_t31 x m mi1 ox np : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi1 ox)).

(* constant 6423 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t42 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnp:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw y n ni1 oy) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 y n ni1 oy) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t31 y n ni1 oy (l_e_st_eq_landau_n_rt_rp_r_c_v9_t40 x y m n i j mi1 ni1 ox oy np)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 y n ni1 oy) (l_e_st_eq_landau_n_rt_rp_r_c_pw y n ni1 oy)).

(* constant 6424 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v9_t43 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).λnp:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_v9_pw3 y n ni1 oy) (l_e_st_eq_landau_n_rt_rp_r_c_pw y n ni1 oy) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t41 x y m n i j mi1 ni1 ox oy np) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t29 x y m n i j mi1 ni1 ox oy) (l_e_st_eq_landau_n_rt_rp_r_c_v9_t42 x y m n i j mi1 ni1 ox oy np) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_pw y n ni1 oy)).

(* constant 6425 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ispw12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λj:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi1:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni1:l_e_st_eq_landau_n_rt_rp_r_intrl n.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_pw y n ni1 oy)) (λt:l_e_st_eq_landau_n_rt_rp_r_pos m.l_e_st_eq_landau_n_rt_rp_r_c_v9_t39 x y m n i j mi1 ni1 ox oy t) (λt:l_not (l_e_st_eq_landau_n_rt_rp_r_pos m).l_e_st_eq_landau_n_rt_rp_r_c_v9_t43 x y m n i j mi1 ni1 ox oy t) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi1 ox) (l_e_st_eq_landau_n_rt_rp_r_c_pw y n ni1 oy)).

(* constant 6426 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ispw1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λox:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λoy:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_e_st_eq_landau_n_rt_rp_r_c_ispw12 x y m m i (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real m) mi mi ox oy : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi ox) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi oy)).

(* constant 6427 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ispw2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is m n.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λom:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λon:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_st_eq_landau_n_rt_rp_r_c_ispw12 x x m n (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) i mi ni om on : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi om) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni on)).

(* constant 6428 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9290_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 x m mi o p n : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6429 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9290_t2 ≝ λi:l_e_st_eq_landau_n_rt_rp_r_c_is l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_re l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_re l_e_st_eq_landau_n_rt_rp_r_c_0c) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_isre l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_iscere l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c i) (l_e_st_eq_landau_n_rt_rp_r_c_reis l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) : l_e_st_eq_landau_n_rt_rp_r_is l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 6430 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_1not0 ≝ (l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_c_is l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_is l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pnot0 l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_pos1) (λt:l_e_st_eq_landau_n_rt_rp_r_c_is l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_9290_t2 t) : l_e_st_eq_landau_n_rt_rp_r_c_nis l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6431 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9290_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.(l_e_notis_th2 l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_1not0 (l_e_st_eq_landau_n_rt_rp_r_c_0exp x m mi o i) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6432 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_intabs m mi) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 x m mi o nm) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6433 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9290_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_intabs m mi) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 x m mi o nm) (l_e_st_eq_landau_n_rt_rp_r_satz166b m nm) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw2 x m mi o nm) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 x m mi o n nm) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6434 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9290_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 x m mi o n nm)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 x m mi o n nm) (l_e_st_eq_landau_n_rt_rp_r_c_9290_t5 x m mi o n nm)) (l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 x m mi o n nm)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 x m mi o n nm) (l_e_st_eq_landau_n_rt_rp_r_c_9290_t5 x m mi o n nm)) (l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 x m mi o n nm) (l_e_st_eq_landau_n_rt_rp_r_c_negexp x m mi o nm)) (l_e_st_eq_landau_n_rt_rp_r_c_satz229e l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 x m mi o n nm) (l_e_st_eq_landau_n_rt_rp_r_c_9290_t5 x m mi o n nm)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 x m mi o n nm)) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 6435 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9290_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_notis_th2 l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 x m mi o n nm)) l_e_st_eq_landau_n_rt_rp_r_c_1not0 (l_e_st_eq_landau_n_rt_rp_r_c_9290_t6 x m mi o n nm) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 x m mi o n nm)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6436 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9290_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 x m mi o n nm)) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_9290_t7 x m mi o n nm) (λt:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_satz221a (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_9290_p0 x m mi o n nm) t) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6437 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz290 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_rapp m (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_0c) (λt:l_e_st_eq_landau_n_rt_rp_r_pos m.l_e_st_eq_landau_n_rt_rp_r_c_9290_t1 x m mi o n t) (λt:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_9290_t4 x m mi o n t) (λt:l_e_st_eq_landau_n_rt_rp_r_neg m.l_e_st_eq_landau_n_rt_rp_r_c_9290_t8 x m mi o n t) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6438 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma291 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_ori2 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos l_e_st_eq_landau_n_rt_rp_r_1rl) l_e_st_eq_landau_n_rt_rp_r_pos1 : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos l_e_st_eq_landau_n_rt_rp_r_1rl)).

(* constant 6439 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9291_1a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_ntofrl l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_posintnatrl l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_pos1 l_e_st_eq_landau_n_rt_rp_r_intrl1) : l_e_st_eq_landau_n_nat).

(* constant 6440 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9291_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_posexp x l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_lemma291 x) l_e_st_eq_landau_n_rt_rp_r_pos1 : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_lemma291 x)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x).x))).

(* constant 6441 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9291_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_ntofrl l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_natrl1) (l_e_st_eq_landau_n_rt_rp_r_ntofrl l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_posintnatrl l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_pos1 l_e_st_eq_landau_n_rt_rp_r_intrl1)) (l_e_st_eq_landau_n_rt_rp_r_isntrl1 l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_isrlent l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_natrl1 l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_posintnatrl l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_pos1 l_e_st_eq_landau_n_rt_rp_r_intrl1) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_1rl)) : l_e_st_eq_landau_n_is l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x)).

(* constant 6442 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9291_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_lessisi2 l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x) (l_e_st_eq_landau_n_rt_rp_r_c_9291_t2 x) : l_e_st_eq_landau_n_lessis l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x)).

(* constant 6443 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9291_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_issmpr (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x).x) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_9291_t2 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_9291_t3 x) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x).x))) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x).x))).

(* constant 6444 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9291_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_st_eq_landau_n_rt_rp_r_c_satz277 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_9291_t3 x) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x).x)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_9291_t3 x) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x).x))) x).

(* constant 6445 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9291_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris1 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x).x)) x (l_e_st_eq_landau_n_rt_rp_r_c_prod l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x) l_e_st_eq_landau_n_1 (l_e_st_eq_landau_n_rt_rp_r_c_9291_t3 x) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x).x))) (l_e_st_eq_landau_n_rt_rp_r_c_9291_t4 x) (l_e_st_eq_landau_n_rt_rp_r_c_9291_t5 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x).x)) x).

(* constant 6446 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz291 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_lemma291 x)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9291_1a x).x)) x (l_e_st_eq_landau_n_rt_rp_r_c_9291_t1 x) (l_e_st_eq_landau_n_rt_rp_r_c_9291_t6 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_lemma291 x)) x).

(* constant 6447 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c).(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) a : l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6448 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c).(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) a : l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6449 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c).(l_e_st_eq_landau_n_rt_rp_r_c_satz221d x y (l_e_st_eq_landau_n_rt_rp_r_c_9292_t1 x y m mi o a) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t2 x y m mi o a) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6450 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma292a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_or_th7 (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) o (λt:l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c).l_e_st_eq_landau_n_rt_rp_r_c_9292_t1 x y m mi o t) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6451 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma292b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_or_th7 (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) o (λt:l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c).l_e_st_eq_landau_n_rt_rp_r_c_9292_t2 x y m mi o t) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6452 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma292c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_or_th7 (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c) o (λt:l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c).l_e_st_eq_landau_n_rt_rp_r_c_9292_t3 x y m mi o t) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6453 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_nr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_rlofnt n : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6454 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_natintrl (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_natrli n) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n)).

(* constant 6455 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_ori2 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n)) (l_e_st_eq_landau_n_rt_rp_r_natpos (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_natrli n)) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n))).

(* constant 6456 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t4 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t5 x n) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6457 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_pw x l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_lemma291 x)) x (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9292_t5 x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_lemma291 x)) (l_e_st_eq_landau_n_rt_rp_r_c_satz291 x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x l_e_st_eq_landau_n_1) x).

(* constant 6458 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_posintnatrl (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_natpos (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_natrli n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t4 x n)) : l_e_st_eq_landau_n_nat).

(* constant 6459 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat n (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_natrli n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n) (l_e_st_eq_landau_n_rt_rp_r_isntrl1 n) (l_e_st_eq_landau_n_rt_rp_r_isrlent (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_natrli n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_posintnatrl (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_natpos (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_natrli n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t4 x n)) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n))) : l_e_st_eq_landau_n_is n (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n)).

(* constant 6460 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_lessisi2 n (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t7 x n) : l_e_st_eq_landau_n_lessis n (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n)).

(* constant 6461 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_c_posexp x (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t4 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t5 x n) (l_e_st_eq_landau_n_rt_rp_r_natpos (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x n) (l_e_st_eq_landau_n_rt_rp_r_natrli n)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n).x))).

(* constant 6462 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_c_issmpr (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n).x) n (l_e_st_eq_landau_n_rt_rp_r_c_9292_t7 x n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod n (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n) n (l_e_st_eq_landau_n_rt_rp_r_c_9292_t8 x n) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n).x))) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n).x))).

(* constant 6463 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_prod n (λt:l_e_st_eq_landau_n_1to n.x)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9292_n0 x n).x)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t9 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t10 x n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_prod n (λt:l_e_st_eq_landau_n_1to n.x))).

(* constant 6464 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_pl n l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_nat).

(* constant 6465 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_lessisi1 n (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n) (l_e_st_eq_landau_n_satz18a n l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_lessis n (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n)).

(* constant 6466 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t13 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_c_satz278 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) n (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n).x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n).x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod n (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n) n (l_e_st_eq_landau_n_rt_rp_r_c_9292_t12 x n) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n).x))) x)).

(* constant 6467 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t14 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_prod n (λt:l_e_st_eq_landau_n_1to n.x)) x (l_e_st_eq_landau_n_rt_rp_r_c_9292_t11 x n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod n (λt:l_e_st_eq_landau_n_1to n.x)) x)).

(* constant 6468 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t15 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n).x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod n (λt:l_e_st_eq_landau_n_1to n.x)) x) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t13 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t14 x n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n).x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x)).

(* constant 6469 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t16 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λn:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n).x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t11 x (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t15 x n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x)).

(* constant 6470 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) n) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) : Prop).

(* constant 6471 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t17 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x l_e_st_eq_landau_n_1) x (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y l_e_st_eq_landau_n_1) y (l_e_st_eq_landau_n_rt_rp_r_c_9292_t6 x) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t6 y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)).

(* constant 6472 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t18 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t6 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t17 x y) : l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y l_e_st_eq_landau_n_1).

(* constant 6473 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t19 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y n.(l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) n) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) p : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) n) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y))).

(* constant 6474 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t20 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y n.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n) x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) (l_e_st_eq_landau_n_rt_rp_r_c_assts1 (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n) x) (l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts x (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_comts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n) x)) (l_e_st_eq_landau_n_rt_rp_r_c_assts2 (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n))).

(* constant 6475 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t21 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y n.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) x) y) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) y) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n) y)) (l_e_st_eq_landau_n_rt_rp_r_c_assts2 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) x y) (l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) y (l_e_st_eq_landau_n_rt_rp_r_c_9292_t20 x y n p)) (l_e_st_eq_landau_n_rt_rp_r_c_assts1 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n) y) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n) y))).

(* constant 6476 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t22 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y n.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) n) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts x y)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n) y)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t16 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t19 x y n p) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t21 x y n p) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n) y))).

(* constant 6477 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t23 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y n.(l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n) y) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t16 x n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t16 y n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n) y))).

(* constant 6478 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t24 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y n.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x n) x) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y n) y)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t22 x y n p) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t23 x y n p) : l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n)).

(* constant 6479 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t25 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y n.(l_e_isp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y t) (l_e_st_eq_landau_n_rt_rp_r_c_9292_n1 x n) (l_e_st_eq_landau_n_suc n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t24 x y n p) (l_e_st_eq_landau_n_satz4a n) : l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y (l_e_st_eq_landau_n_suc n)).

(* constant 6480 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t26 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y t) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t18 x y) (λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y t.l_e_st_eq_landau_n_rt_rp_r_c_9292_t25 x y t u) n : l_e_st_eq_landau_n_rt_rp_r_c_9292_prop1 x y n).

(* constant 6481 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_prop2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o))) : Prop).

(* constant 6482 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t28 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_posintnatrl m p mi : l_e_st_eq_landau_n_rt_rp_r_natrl m).

(* constant 6483 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_ntofrl m (l_e_st_eq_landau_n_rt_rp_r_c_9292_t28 x y m mi o p) : l_e_st_eq_landau_n_nat).

(* constant 6484 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t29 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_isrlnt1 m (l_e_st_eq_landau_n_rt_rp_r_c_9292_t28 x y m mi o p) : l_e_st_eq_landau_n_rt_rp_r_is m (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p))).

(* constant 6485 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t30 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_isrlnt2 m (l_e_st_eq_landau_n_rt_rp_r_c_9292_t28 x y m mi o p) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) m).

(* constant 6486 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t31 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t29 x y m mi o p) mi (l_e_st_eq_landau_n_rt_rp_r_c_9292_t4 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t5 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p))).

(* constant 6487 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t32 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) m (l_e_st_eq_landau_n_rt_rp_r_c_9292_t30 x y m mi o p) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t4 x (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) mi (l_e_st_eq_landau_n_rt_rp_r_c_9292_t5 x (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw2 y (l_e_st_eq_landau_n_rt_rp_r_c_9292_nr x (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) m (l_e_st_eq_landau_n_rt_rp_r_c_9292_t30 x y m mi o p) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t4 y (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) mi (l_e_st_eq_landau_n_rt_rp_r_c_9292_t5 y (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o)))).

(* constant 6488 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t33 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λp:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 x (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_p0 y (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o))) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t31 x y m mi o p) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t26 x y (l_e_st_eq_landau_n_rt_rp_r_c_9292_m0 x y m mi o p)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t32 x y m mi o p) : l_e_st_eq_landau_n_rt_rp_r_c_9292_prop2 x y m mi o).

(* constant 6489 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t34 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λi:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_0exp x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o) i) (l_e_st_eq_landau_n_rt_rp_r_c_0exp y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o) i)) (l_e_st_eq_landau_n_rt_rp_r_c_satz222 l_e_st_eq_landau_n_rt_rp_r_c_1c) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o))) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 6490 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t35 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λi:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o))) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_0exp (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o) i) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t34 x y m mi o i) : l_e_st_eq_landau_n_rt_rp_r_c_9292_prop2 x y m mi o).

(* constant 6491 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_intabs m mi : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_abs m)).

(* constant 6492 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t37 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_ori2 (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs m)) (l_e_st_eq_landau_n_rt_rp_r_satz166b m n) : l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs m))).

(* constant 6493 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t38 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t37 x y m mi o n) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs m))).

(* constant 6494 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t39 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t37 x y m mi o n) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs m))).

(* constant 6495 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t40 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t37 x y m mi o n) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs m))).

(* constant 6496 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o) n : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs m))).

(* constant 6497 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o) n : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs m))).

(* constant 6498 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t43 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o) n : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_abs m))).

(* constant 6499 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t44 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_abs m)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t43 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t40 x y m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t43 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t40 x y m mi o n))).

(* constant 6500 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t45 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_9292_t33 x y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t37 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_satz166b m n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t40 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t38 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t39 x y m mi o n)))).

(* constant 6501 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t46 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t38 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t39 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_abs m)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t38 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw2 y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_abs m)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t39 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t38 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t39 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n)))).

(* constant 6502 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t47 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t43 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t40 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t38 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t39 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t44 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t45 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t46 x y m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t43 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n)))).

(* constant 6503 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t48 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_satz166b m n) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw2 x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o) n) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6504 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t49 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_satz166b m n) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw2 y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o) n) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6505 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t50 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t43 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_satz166b m n) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw2 (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o) n) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t43 x y m mi o n)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6506 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t51 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_satz221d (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t48 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t49 x y m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n))) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6507 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t52 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_negexp (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o) n : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t43 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t50 x y m mi o n))).

(* constant 6508 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t53 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_isov12 l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t43 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_satz222a l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t47 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t50 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t51 x y m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t43 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t50 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t51 x y m mi o n))).

(* constant 6509 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t54 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t43 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t50 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t51 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t52 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t53 x y m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t51 x y m mi o n))).

(* constant 6510 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t55 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t48 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t49 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_negexp x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o) n) (l_e_st_eq_landau_n_rt_rp_r_c_negexp y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o) n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t48 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t49 x y m mi o n)))).

(* constant 6511 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t56 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_c_satz247 l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t48 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t49 x y m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t48 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t49 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t51 x y m mi o n))).

(* constant 6512 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t57 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t48 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t49 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t51 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t55 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t56 x y m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t51 x y m mi o n))).

(* constant 6513 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9292_t58 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).λn:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t41 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y (l_e_st_eq_landau_n_rt_rp_r_abs m) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t36 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t42 x y m mi o n))) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t51 x y m mi o n)) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t54 x y m mi o n) (l_e_st_eq_landau_n_rt_rp_r_c_9292_t57 x y m mi o n) : l_e_st_eq_landau_n_rt_rp_r_c_9292_prop2 x y m mi o).

(* constant 6514 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz292 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis y l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m).(l_e_st_eq_landau_n_rt_rp_r_rapp m (l_e_st_eq_landau_n_rt_rp_r_c_9292_prop2 x y m mi o) (λt:l_e_st_eq_landau_n_rt_rp_r_pos m.l_e_st_eq_landau_n_rt_rp_r_c_9292_t33 x y m mi o t) (λt:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_9292_t35 x y m mi o t) (λt:l_e_st_eq_landau_n_rt_rp_r_neg m.l_e_st_eq_landau_n_rt_rp_r_c_9292_t58 x y m mi o t) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts x y) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a x y m mi o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw y m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b x y m mi o)))).

(* constant 6515 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma293 ≝ λm:l_e_st_eq_landau_n_rt_rp_r_real.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_nis l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m) l_e_st_eq_landau_n_rt_rp_r_c_1not0 : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6516 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 ≝ λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.(l_ori1 (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_andi (l_e_st_eq_landau_n_rt_rp_r_c_nis l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c) l_e_st_eq_landau_n_rt_rp_r_c_1not0 l_e_st_eq_landau_n_rt_rp_r_c_1not0) : l_or (l_and (l_e_st_eq_landau_n_rt_rp_r_c_nis l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_nis l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_0c)) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6517 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9293_1m ≝ λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.(l_e_st_eq_landau_n_rt_rp_r_c_pw l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma293 m) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6518 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9293_t2 ≝ λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.(l_e_st_eq_landau_n_rt_rp_r_c_satz222 (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi)).

(* constant 6519 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9293_t3 ≝ λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.(l_e_st_eq_landau_n_rt_rp_r_c_ispw1 l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) m (l_e_st_eq_landau_n_rt_rp_r_c_satz222a l_e_st_eq_landau_n_rt_rp_r_c_1c) mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma293 m) (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi)))).

(* constant 6520 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9293_t4 ≝ λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.(l_e_st_eq_landau_n_rt_rp_r_c_satz292 l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi))) (l_e_st_eq_landau_n_rt_rp_r_c_pw l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi))))).

(* constant 6521 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9293_t5 ≝ λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.(l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_pw l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi))) (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_pw l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi))) (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_1c) mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma293 m)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx l_e_st_eq_landau_n_rt_rp_r_c_1c) mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma293 m)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi))) (l_e_st_eq_landau_n_rt_rp_r_c_pw l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi)))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi))).

(* constant 6522 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9293_t6 ≝ λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292c l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292a l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi))) (l_e_st_eq_landau_n_rt_rp_r_c_pw l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma292b l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_9293_t1 m mi)))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi)) (l_e_st_eq_landau_n_rt_rp_r_c_9293_t2 m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9293_t3 m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9293_t4 m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9293_t5 m mi) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi))).

(* constant 6523 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9293_t7 ≝ λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c)) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_disttm2 (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_satz213b (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi)) (l_e_st_eq_landau_n_rt_rp_r_c_9293_t6 m mi))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6524 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9293_t8 ≝ λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.(l_ore2 (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_satz221c (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_9293_t7 m mi)) (l_e_st_eq_landau_n_rt_rp_r_c_satz290 l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma293 m) l_e_st_eq_landau_n_rt_rp_r_c_1not0) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6525 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz293 ≝ λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.(l_e_st_eq_landau_n_rt_rp_r_c_satz213a (l_e_st_eq_landau_n_rt_rp_r_c_9293_1m m mi) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_9293_t8 m mi) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw l_e_st_eq_landau_n_rt_rp_r_c_1c m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma293 m)) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 6526 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_ande1 (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n) a : l_e_st_eq_landau_n_rt_rp_r_pos m).

(* constant 6527 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n) a : l_e_st_eq_landau_n_rt_rp_r_pos n).

(* constant 6528 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_st_eq_landau_n_rt_rp_r_pospl m n (l_e_st_eq_landau_n_rt_rp_r_c_9294_t1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t2 x m n mi ni o a) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl m n)).

(* constant 6529 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma294a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_or_th8 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)) (l_e_st_eq_landau_n_rt_rp_r_pos m) o (λt:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).l_e_st_eq_landau_n_rt_rp_r_c_9294_t1 x m n mi ni o t) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6530 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma294b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_or_th8 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)) (l_e_st_eq_landau_n_rt_rp_r_pos n) o (λt:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).l_e_st_eq_landau_n_rt_rp_r_c_9294_t2 x m n mi ni o t) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n)).

(* constant 6531 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma294c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_or_th8 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl m n)) o (λt:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).l_e_st_eq_landau_n_rt_rp_r_c_9294_t3 x m n mi ni o t) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl m n))).

(* constant 6532 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) : Prop).

(* constant 6533 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_st_eq_landau_n_rt_rp_r_ntofrl m (l_e_st_eq_landau_n_rt_rp_r_posintnatrl m (l_e_st_eq_landau_n_rt_rp_r_c_9294_t1 x m n mi ni o a) mi) : l_e_st_eq_landau_n_nat).

(* constant 6534 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_st_eq_landau_n_rt_rp_r_ntofrl n (l_e_st_eq_landau_n_rt_rp_r_posintnatrl n (l_e_st_eq_landau_n_rt_rp_r_c_9294_t2 x m n mi ni o a) ni) : l_e_st_eq_landau_n_nat).

(* constant 6535 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a).x)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a).x)) (l_e_st_eq_landau_n_rt_rp_r_c_posexp x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t1 x m n mi ni o a)) (l_e_st_eq_landau_n_rt_rp_r_c_posexp x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t2 x m n mi ni o a)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a).x)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a).x)))).

(* constant 6536 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_posintnatrl (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t3 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni)) : l_e_st_eq_landau_n_nat).

(* constant 6537 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_st_eq_landau_n_rt_rp_r_c_posexp x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t3 x m n mi ni o a) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a).x))).

(* constant 6538 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a))) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a))) (l_e_st_eq_landau_n_rt_rp_r_ispl12 m (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a)) n (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (l_e_st_eq_landau_n_rt_rp_r_isrlnt1 m (l_e_st_eq_landau_n_rt_rp_r_posintnatrl m (l_e_st_eq_landau_n_rt_rp_r_c_9294_t1 x m n mi ni o a) mi)) (l_e_st_eq_landau_n_rt_rp_r_isrlnt1 n (l_e_st_eq_landau_n_rt_rp_r_posintnatrl n (l_e_st_eq_landau_n_rt_rp_r_c_9294_t2 x m n mi ni o a) ni))) (l_e_st_eq_landau_n_rt_rp_r_satzr155b (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)))).

(* constant 6539 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_tris2 l_e_st_eq_landau_n_nat (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_ntofrl (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a))) (l_e_st_eq_landau_n_rt_rp_r_natrli (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)))) (l_e_st_eq_landau_n_rt_rp_r_isntrl1 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a))) (l_e_st_eq_landau_n_rt_rp_r_isrlent (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_posintnatrl (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t3 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni)) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a))) (l_e_st_eq_landau_n_rt_rp_r_natrli (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t6 x m n mi ni o a)) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a)).

(* constant 6540 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_st_eq_landau_n_lessisi2 (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t7 x m n mi ni o a) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a)).

(* constant 6541 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_st_eq_landau_n_rt_rp_r_c_issmpr (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a).x) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t7 x m n mi ni o a) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t8 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a).x))) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a).x))).

(* constant 6542 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)).x)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_p1 x m n mi ni o a).x)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t5 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t9 x m n mi ni o a) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)).x))).

(* constant 6543 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_st_eq_landau_n_lessisi1 (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (l_e_st_eq_landau_n_satz18a (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) : l_e_st_eq_landau_n_lessis (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a))).

(* constant 6544 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_st_eq_landau_n_rt_rp_r_c_satz281 (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.λu:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_ts t u) l_e_st_eq_landau_n_rt_rp_r_c_assocts (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)).x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)).x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_left l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t11 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)).x))) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a) (l_e_st_eq_landau_n_right l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)).x))))).

(* constant 6545 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t13 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a)).x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a).x)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a).x))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t10 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t12 x m n mi ni o a) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a).x)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a).x)))).

(* constant 6546 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t14 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_m1 x m n mi ni o a).x)) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9294_n1 x m n mi ni o a).x))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t4 x m n mi ni o a) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t13 x m n mi ni o a) : l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o).

(* constant 6547 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t15 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_ore1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)) o na : l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6548 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t16 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_or_th15 (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n) na : l_or (l_not (l_e_st_eq_landau_n_rt_rp_r_pos m)) (l_not (l_e_st_eq_landau_n_rt_rp_r_pos n))).

(* constant 6549 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_am ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_abs m : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6550 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_an ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_abs n : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6551 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_ap ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_pl m n) : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6552 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_intabs m mi : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o)).

(* constant 6553 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_intabs n ni : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)).

(* constant 6554 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_intabs (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o)).

(* constant 6555 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t20 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_andi (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_satz166e m (l_e_st_eq_landau_n_rt_rp_r_nnot0 m nm)) (l_e_st_eq_landau_n_rt_rp_r_satz166e n (l_e_st_eq_landau_n_rt_rp_r_nnot0 n nn)) : l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))).

(* constant 6556 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t21 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_ori2 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t20 x m n mi ni o na nm nn) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)))).

(* constant 6557 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) nm : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o))).

(* constant 6558 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o) nn : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))).

(* constant 6559 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t24 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t21 x m n mi ni o na nm nn) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o))).

(* constant 6560 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t25 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t21 x m n mi ni o na nm nn) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))).

(* constant 6561 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t26 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t24 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t25 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t24 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t25 x m n mi ni o na nm nn)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t24 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t25 x m n mi ni o na nm nn)))).

(* constant 6562 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t27 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t21 x m n mi ni o na nm nn) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)))).

(* constant 6563 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t28 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_9294_t14 x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t21 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t20 x m n mi ni o na nm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t24 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t25 x m n mi ni o na nm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t27 x m n mi ni o na nm nn))).

(* constant 6564 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t29 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_m0 m) (l_e_st_eq_landau_n_rt_rp_r_m0 n)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl m n)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_ispl12 (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_m0 m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_m0 n) (l_e_st_eq_landau_n_rt_rp_r_absn m nm) (l_e_st_eq_landau_n_rt_rp_r_absn n nn)) (l_e_st_eq_landau_n_rt_rp_r_satz180a m n) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_pl m n)) (l_e_st_eq_landau_n_rt_rp_r_absn (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_negpl m n nm nn))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o)).

(* constant 6565 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t30 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_negpl m n nm nn) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o))).

(* constant 6566 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t31 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t29 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t27 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t30 x m n mi ni o na nm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t27 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t30 x m n mi ni o na nm nn))).

(* constant 6567 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t32 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t24 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t25 x m n mi ni o na nm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t27 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t30 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t26 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t28 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t31 x m n mi ni o na nm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t30 x m n mi ni o na nm nn))).

(* constant 6568 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t33 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_satz166b m nm) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw2 x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) nm) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6569 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t34 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_satz166b n nn) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw2 x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o) nn) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6570 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t35 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t30 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_satz166b (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_negpl m n nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw2 x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_negpl m n nm nn)) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t30 x m n mi ni o na nm nn)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6571 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t36 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t33 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t34 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_negexp x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) nm) (l_e_st_eq_landau_n_rt_rp_r_c_negexp x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o) nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t33 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t34 x m n mi ni o na nm nn)))).

(* constant 6572 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t37 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_satz221d (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t33 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t34 x m n mi ni o na nm nn) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn))) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6573 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t38 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_satz247 l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t33 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t34 x m n mi ni o na nm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t33 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t34 x m n mi ni o na nm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t37 x m n mi ni o na nm nn))).

(* constant 6574 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t39 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_isov12 (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t30 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_satz222 l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t32 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t37 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t35 x m n mi ni o na nm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t37 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t30 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t35 x m n mi ni o na nm nn))).

(* constant 6575 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t40 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t30 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t35 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_negexp x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_negpl m n nm nn)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t30 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t35 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o))).

(* constant 6576 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t41 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t33 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t34 x m n mi ni o na nm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_am x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t17 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t22 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t23 x m n mi ni o na nm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t37 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t30 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t35 x m n mi ni o na nm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t36 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t38 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t39 x m n mi ni o na nm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t40 x m n mi ni o na nm nn) : l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o).

(* constant 6577 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o) nn : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))).

(* constant 6578 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn) (l_e_st_eq_landau_n_rt_rp_r_satz166b n nn) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw2 x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o) nn) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6579 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t44 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_ists2 (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_negexp x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o) nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn)))).

(* constant 6580 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t45 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_satz244a (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn))).

(* constant 6581 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t46 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_isov1 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_satz222 (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn))).

(* constant 6582 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t47 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t44 x m n mi ni o na pm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t45 x m n mi ni o na pm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t46 x m n mi ni o na pm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn))).

(* constant 6583 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t48 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_satz182d m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) casea : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))).

(* constant 6584 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t49 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_satz166e n (l_e_st_eq_landau_n_rt_rp_r_nnot0 n nn) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)).

(* constant 6585 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t50 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_andi (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t49 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t48 x m n mi ni o na pm nn casea) : l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)))).

(* constant 6586 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t51 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_ori2 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t50 x m n mi ni o na pm nn casea) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))))).

(* constant 6587 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_intmn m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))).

(* constant 6588 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t51 x m n mi ni o na pm nn casea) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))).

(* constant 6589 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t51 x m n mi ni o na pm nn casea) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)))).

(* constant 6590 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t55 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t51 x m n mi ni o na pm nn casea) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))))).

(* constant 6591 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t56 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)))).

(* constant 6592 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t57 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_9294_t14 x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t51 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t50 x m n mi ni o na pm nn casea) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t56 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t55 x m n mi ni o na pm nn casea))).

(* constant 6593 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t58 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_satz187a m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))) m).

(* constant 6594 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t59 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))) m (l_e_st_eq_landau_n_rt_rp_r_c_9294_t58 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t56 x m n mi ni o na pm nn casea) mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t55 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t56 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t55 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o))).

(* constant 6595 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t60 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t56 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t55 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t57 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t59 x m n mi ni o na pm nn casea) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o))).

(* constant 6596 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t61 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn))).

(* constant 6597 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t62 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_isp1 l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_nis t l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t61 x m n mi ni o na pm nn casea) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6598 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t63 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_isov12 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t60 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t61 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t62 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t62 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn))).

(* constant 6599 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t64 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t62 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t47 x m n mi ni o na pm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t63 x m n mi ni o na pm nn casea) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t62 x m n mi ni o na pm nn casea))).

(* constant 6600 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t65 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_satz229h (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t62 x m n mi ni o na pm nn casea) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea)))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t62 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea))).

(* constant 6601 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t66 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_m0 n)) (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_ismn2 (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_m0 n) m (l_e_st_eq_landau_n_rt_rp_r_absn n nn)) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 n)) n m (l_e_st_eq_landau_n_rt_rp_r_satz177 n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pl m n)).

(* constant 6602 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t67 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t66 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o))).

(* constant 6603 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t68 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasea:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t53 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t62 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t52 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t54 x m n mi ni o na pm nn casea)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t64 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t65 x m n mi ni o na pm nn casea) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t67 x m n mi ni o na pm nn casea) : l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o).

(* constant 6604 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t69 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcaseb:l_e_st_eq_landau_n_rt_rp_r_is m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) caseb mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn))).

(* constant 6605 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t70 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcaseb:l_e_st_eq_landau_n_rt_rp_r_is m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_satz251a (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t69 x m n mi ni o na pm nn caseb) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn)) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 6606 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t71 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcaseb:l_e_st_eq_landau_n_rt_rp_r_is m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_m0 n)) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ispl2 n (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 n)) m (l_e_st_eq_landau_n_rt_rp_r_satz177a n)) (l_e_st_eq_landau_n_rt_rp_r_ismn2 (l_e_st_eq_landau_n_rt_rp_r_m0 n) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_m0 n) (l_e_st_eq_landau_n_rt_rp_r_absn n nn))) (l_e_st_eq_landau_n_rt_rp_r_satz182e m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) caseb) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl m n) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 6607 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t72 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcaseb:l_e_st_eq_landau_n_rt_rp_r_is m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_0exp x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t71 x m n mi ni o na pm nn caseb)) : l_e_st_eq_landau_n_rt_rp_r_c_is l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o))).

(* constant 6608 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t73 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcaseb:l_e_st_eq_landau_n_rt_rp_r_is m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t47 x m n mi ni o na pm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t70 x m n mi ni o na pm nn caseb) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t72 x m n mi ni o na pm nn caseb) : l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o).

(* constant 6609 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t74 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_satz182d (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m (l_e_st_eq_landau_n_rt_rp_r_lemma2 m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) casec) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m)).

(* constant 6610 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t75 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_andi (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m)) pm (l_e_st_eq_landau_n_rt_rp_r_c_9294_t74 x m n mi ni o na pm nn casec) : l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m))).

(* constant 6611 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t76 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_ori2 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t75 x m n mi ni o na pm nn casec) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m)))).

(* constant 6612 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_intmn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) m mi : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m)).

(* constant 6613 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t76 x m n mi ni o na pm nn casec) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6614 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t76 x m n mi ni o na pm nn casec) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m))).

(* constant 6615 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t80 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t76 x m n mi ni o na pm nn casec) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl m (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m)))).

(* constant 6616 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t81 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_intpl m mi (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_pl m (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m))).

(* constant 6617 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t81a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_9294_t14 x m (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t76 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t75 x m n mi ni o na pm nn casec) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t81 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t80 x m n mi ni o na pm nn casec))).

(* constant 6618 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t82 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_satz187a (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl m (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)).

(* constant 6619 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t83 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_pl m (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t82 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t81 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t80 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t81 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t80 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn))).

(* constant 6620 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t84 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t81 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t80 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t81a x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t83 x m n mi ni o na pm nn casec) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn))).

(* constant 6621 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t85 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_satz290 x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t15 x m n mi ni o na) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6622 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t86 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_satz290 x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t15 x m n mi ni o na) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6623 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t87 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_satz221d (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t85 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t86 x m n mi ni o na pm nn casec) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec))) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6624 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t88 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_satz222 (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec))).

(* constant 6625 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t89 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x m (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o))).

(* constant 6626 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t90 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t88 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t89 x m n mi ni o na pm nn casec) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o))).

(* constant 6627 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t91 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_isov12 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t90 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t84 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t87 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t87 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn))).

(* constant 6628 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t92 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t87 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t18 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t42 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t43 x m n mi ni o na pm nn)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t47 x m n mi ni o na pm nn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t91 x m n mi ni o na pm nn casec) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t87 x m n mi ni o na pm nn casec))).

(* constant 6629 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t93 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_satz246a l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t86 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t85 x m n mi ni o na pm nn casec) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t87 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t86 x m n mi ni o na pm nn casec))).

(* constant 6630 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t94 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_satz182f m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) casec : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))).

(* constant 6631 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t94a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_m0 n)) (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_ismn2 (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_m0 n) m (l_e_st_eq_landau_n_rt_rp_r_absn n nn)) (l_e_st_eq_landau_n_rt_rp_r_ispl2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_m0 n)) n m (l_e_st_eq_landau_n_rt_rp_r_satz177 n)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pl m n)).

(* constant 6632 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t95 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_satz181a (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_abs (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_absn (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t94 x m n mi ni o na pm nn casec))) (l_e_st_eq_landau_n_rt_rp_r_isabs (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t94a x m n mi ni o na pm nn casec)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o)).

(* constant 6633 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t96 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_isp l_e_st_eq_landau_n_rt_rp_r_real (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_neg t) (l_e_st_eq_landau_n_rt_rp_r_mn m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t94 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t94a x m n mi ni o na pm nn casec) : l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_pl m n)).

(* constant 6634 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t97 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw3 x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t96 x m n mi ni o na pm nn casec) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o))).

(* constant 6635 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t98 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_lemmapw1 x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t97 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_satz166b (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t96 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_lemmapw2 x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t96 x m n mi ni o na pm nn casec)) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t97 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6636 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t99 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t95 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t97 x m n mi ni o na pm nn casec) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t97 x m n mi ni o na pm nn casec))).

(* constant 6637 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t100 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_st_eq_landau_n_rt_rp_r_c_isov2 (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t97 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_9294_t99 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t86 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t98 x m n mi ni o na pm nn casec) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t86 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t97 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t98 x m n mi ni o na pm nn casec))).

(* constant 6638 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t101 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t97 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t98 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_negexp x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t96 x m n mi ni o na pm nn casec)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t97 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t98 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o))).

(* constant 6639 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t102 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.λcasec:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) l_e_st_eq_landau_n_rt_rp_r_c_1c) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t78 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec))) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t87 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o) m) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t77 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t79 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t86 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_c_9294_ap x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t19 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t97 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t98 x m n mi ni o na pm nn casec)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t92 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t93 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t100 x m n mi ni o na pm nn casec) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t101 x m n mi ni o na pm nn casec) : l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o).

(* constant 6640 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t103 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.λnn:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_or3app (l_e_st_eq_landau_n_rt_rp_r_is m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_satz167a m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o)) (λt:l_e_st_eq_landau_n_rt_rp_r_is m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).l_e_st_eq_landau_n_rt_rp_r_c_9294_t73 x m n mi ni o na pm nn t) (λt:l_e_st_eq_landau_n_rt_rp_r_more m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).l_e_st_eq_landau_n_rt_rp_r_c_9294_t68 x m n mi ni o na pm nn t) (λt:l_e_st_eq_landau_n_rt_rp_r_less m (l_e_st_eq_landau_n_rt_rp_r_c_9294_an x m n mi ni o).l_e_st_eq_landau_n_rt_rp_r_c_9294_t102 x m n mi ni o na pm nn t) : l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o).

(* constant 6641 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t104 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos n) (l_e_st_eq_landau_n_rt_rp_r_pos m)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t15 x m n mi ni o na) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos n) (l_e_st_eq_landau_n_rt_rp_r_pos m))).

(* constant 6642 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t104a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_and_th5 (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n) na : l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos n) (l_e_st_eq_landau_n_rt_rp_r_pos m))).

(* constant 6643 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x n m ni mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t104 x m n mi ni o na) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n)).

(* constant 6644 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x n m ni mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t104 x m n mi ni o na) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6645 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t107 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x n m ni mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t104 x m n mi ni o na) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl n m))).

(* constant 6646 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t108 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x m (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x n (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 x m n mi ni o na)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 x m n mi ni o na)))).

(* constant 6647 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t109 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_c_comts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 x m n mi ni o na)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 x m n mi ni o na))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 x m n mi ni o na)))).

(* constant 6648 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t110 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λqn:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_c_9294_t103 x n m ni mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t104 x m n mi ni o na) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t104a x m n mi ni o na) qn nm : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 x m n mi ni o na))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl n m) (l_e_st_eq_landau_n_rt_rp_r_intpl n ni m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t107 x m n mi ni o na))).

(* constant 6649 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t111 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_pl n m) (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_compl n m) (l_e_st_eq_landau_n_rt_rp_r_intpl n ni m mi) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t107 x m n mi ni o na) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl n m) (l_e_st_eq_landau_n_rt_rp_r_intpl n ni m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t107 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o))).

(* constant 6650 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t112 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.λqn:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 x m n mi ni o na))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 x m n mi ni o na))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl n m) (l_e_st_eq_landau_n_rt_rp_r_intpl n ni m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t107 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t108 x m n mi ni o na) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t109 x m n mi ni o na) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t110 x m n mi ni o na nm qn) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t111 x m n mi ni o na) : l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o).

(* constant 6651 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t113 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λi:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_c_ists1 (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_0exp x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o)))).

(* constant 6652 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t114 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λi:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_c_satz222b (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))).

(* constant 6653 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t115 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λi:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl m n) n (l_e_st_eq_landau_n_rt_rp_r_pl01 m n i) : l_e_st_eq_landau_n_rt_rp_r_is n (l_e_st_eq_landau_n_rt_rp_r_pl m n)).

(* constant 6654 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t116 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λi:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x n (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t115 x m n mi ni o na i) ni (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o))).

(* constant 6655 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t117 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λi:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t113 x m n mi ni o na i) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t114 x m n mi ni o na i) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t116 x m n mi ni o na i) : l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o).

(* constant 6656 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t118 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λi:l_e_st_eq_landau_n_rt_rp_r_is n l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_c_9294_t117 x n m ni mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t104 x m n mi ni o na) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t104a x m n mi ni o na) i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 x m n mi ni o na))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl n m) (l_e_st_eq_landau_n_rt_rp_r_intpl n ni m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t107 x m n mi ni o na))).

(* constant 6657 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t119 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λi:l_e_st_eq_landau_n_rt_rp_r_is n l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 x m n mi ni o na))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9294_t105 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9294_t106 x m n mi ni o na))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl n m) (l_e_st_eq_landau_n_rt_rp_r_intpl n ni m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t107 x m n mi ni o na)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t108 x m n mi ni o na) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t109 x m n mi ni o na) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t118 x m n mi ni o na i) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t111 x m n mi ni o na) : l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o).

(* constant 6658 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t120 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_ore2 (l_not (l_e_st_eq_landau_n_rt_rp_r_pos m)) (l_not (l_e_st_eq_landau_n_rt_rp_r_pos n)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t16 x m n mi ni o na) (l_weli (l_e_st_eq_landau_n_rt_rp_r_pos m) pm) : l_not (l_e_st_eq_landau_n_rt_rp_r_pos n)).

(* constant 6659 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t121 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λpm:l_e_st_eq_landau_n_rt_rp_r_pos m.(l_e_st_eq_landau_n_rt_rp_r_rapp n (l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o) (l_imp_th2 (l_e_st_eq_landau_n_rt_rp_r_pos n) (l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9294_t120 x m n mi ni o na pm)) (λt:l_e_st_eq_landau_n_rt_rp_r_is n l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_9294_t119 x m n mi ni o na t) (λt:l_e_st_eq_landau_n_rt_rp_r_neg n.l_e_st_eq_landau_n_rt_rp_r_c_9294_t103 x m n mi ni o na pm t) : l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o).

(* constant 6660 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t122 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λnm:l_e_st_eq_landau_n_rt_rp_r_neg m.(l_e_st_eq_landau_n_rt_rp_r_rapp n (l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o) (λt:l_e_st_eq_landau_n_rt_rp_r_pos n.l_e_st_eq_landau_n_rt_rp_r_c_9294_t112 x m n mi ni o na nm t) (λt:l_e_st_eq_landau_n_rt_rp_r_is n l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_9294_t119 x m n mi ni o na t) (λt:l_e_st_eq_landau_n_rt_rp_r_neg n.l_e_st_eq_landau_n_rt_rp_r_c_9294_t41 x m n mi ni o na nm t) : l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o).

(* constant 6661 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9294_t123 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λna:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_rapp m (l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o) (λt:l_e_st_eq_landau_n_rt_rp_r_pos m.l_e_st_eq_landau_n_rt_rp_r_c_9294_t121 x m n mi ni o na t) (λt:l_e_st_eq_landau_n_rt_rp_r_is m l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_9294_t117 x m n mi ni o na t) (λt:l_e_st_eq_landau_n_rt_rp_r_neg m.l_e_st_eq_landau_n_rt_rp_r_c_9294_t122 x m n mi ni o na t) : l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o).

(* constant 6662 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz294 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_imp_th1 (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)) (l_e_st_eq_landau_n_rt_rp_r_c_9294_prop1 x m n mi ni o) (λt:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).l_e_st_eq_landau_n_rt_rp_r_c_9294_t14 x m n mi ni o t) (λt:l_not (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).l_e_st_eq_landau_n_rt_rp_r_c_9294_t123 x m n mi ni o t) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl m n) (l_e_st_eq_landau_n_rt_rp_r_intpl m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x m n mi ni o))).

(* constant 6663 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma295a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m) o : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6664 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma295b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n) o : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n)).

(* constant 6665 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma295c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn m n)) o : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn m n))).

(* constant 6666 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9295_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn m n)) (l_e_st_eq_landau_n_rt_rp_r_pos n)) o : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn m n)) (l_e_st_eq_landau_n_rt_rp_r_pos n))).

(* constant 6667 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_intmn m mi n ni : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_mn m n)).

(* constant 6668 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9295_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x (l_e_st_eq_landau_n_rt_rp_r_mn m n) n (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) ni (l_e_st_eq_landau_n_rt_rp_r_c_9295_t1 x m n mi ni o) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn m n))).

(* constant 6669 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9295_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x (l_e_st_eq_landau_n_rt_rp_r_mn m n) n (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) ni (l_e_st_eq_landau_n_rt_rp_r_c_9295_t1 x m n mi ni o) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n)).

(* constant 6670 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9295_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x (l_e_st_eq_landau_n_rt_rp_r_mn m n) n (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) ni (l_e_st_eq_landau_n_rt_rp_r_c_9295_t1 x m n mi ni o) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn m n) n))).

(* constant 6671 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9295_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma295c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t3 x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma295b x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9295_t4 x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma295c x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t3 x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x n (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma295b x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t4 x m n mi ni o)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma295c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma295b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t3 x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9295_t4 x m n mi ni o)))).

(* constant 6672 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9295_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz294 x (l_e_st_eq_landau_n_rt_rp_r_mn m n) n (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) ni (l_e_st_eq_landau_n_rt_rp_r_c_9295_t1 x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t3 x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9295_t4 x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn m n) n) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) n ni) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t5 x m n mi ni o))).

(* constant 6673 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9295_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_plmn m n : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn m n) n) m).

(* constant 6674 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9295_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn m n) n) m (l_e_st_eq_landau_n_rt_rp_r_c_9295_t8 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) n ni) mi (l_e_st_eq_landau_n_rt_rp_r_c_9295_t5 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma295a x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn m n) n) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) n ni) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t5 x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma295a x m n mi ni o))).

(* constant 6675 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9295_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma295c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma295b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t3 x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_9295_t4 x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_mn m n) n) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) n ni) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t5 x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma295a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t6 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t7 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t9 x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma295c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma295b x m n mi ni o))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma295a x m n mi ni o))).

(* constant 6676 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9295_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz290 x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma295b x m n mi ni o) o : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma295b x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6677 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz295 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz229k (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma295a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma295b x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t2 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_lemma295c x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t11 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9295_t10 x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma295a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma295b x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_satz290 x n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma295b x m n mi ni o) o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn m n) (l_e_st_eq_landau_n_rt_rp_r_intmn m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma295c x m n mi ni o))).

(* constant 6678 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma296 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m) n : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6679 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_intrli0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0) : l_e_st_eq_landau_n_rt_rp_r_intrl l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 6680 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_lemma295a x l_e_st_eq_landau_n_rt_rp_r_0 m (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) mi n : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6681 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_lemma295b x l_e_st_eq_landau_n_rt_rp_r_0 m (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) mi n : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6682 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_lemma295c x l_e_st_eq_landau_n_rt_rp_r_0 m (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) mi n : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_mn l_e_st_eq_landau_n_rt_rp_r_0 m))).

(* constant 6683 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz290 x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x m mi n) n : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x m mi n)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6684 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz290 x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9296_t3 x m mi n) n : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9296_t3 x m mi n)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6685 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t2 x m mi n)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_0exp x l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t2 x m mi n) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_c_is l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t2 x m mi n))).

(* constant 6686 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x m (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t3 x m mi n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9296_t3 x m mi n))).

(* constant 6687 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_isov12 l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t2 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9296_t3 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t7 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t8 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t5 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t6 x m mi n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t5 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t2 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9296_t3 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t6 x m mi n))).

(* constant 6688 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz295 x l_e_st_eq_landau_n_rt_rp_r_0 m (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) mi n : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t2 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9296_t3 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t6 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn l_e_st_eq_landau_n_rt_rp_r_0 m) (l_e_st_eq_landau_n_rt_rp_r_intmn l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t4 x m mi n))).

(* constant 6689 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_pl01 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_m0 m) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn l_e_st_eq_landau_n_rt_rp_r_0 m) (l_e_st_eq_landau_n_rt_rp_r_m0 m)).

(* constant 6690 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x (l_e_st_eq_landau_n_rt_rp_r_m0 m) (l_e_st_eq_landau_n_rt_rp_r_intm0 m mi) n : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 m))).

(* constant 6691 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t13 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_mn l_e_st_eq_landau_n_rt_rp_r_0 m) (l_e_st_eq_landau_n_rt_rp_r_m0 m) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t11 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_intmn l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) m mi) (l_e_st_eq_landau_n_rt_rp_r_intm0 m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t4 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t12 x m mi n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn l_e_st_eq_landau_n_rt_rp_r_0 m) (l_e_st_eq_landau_n_rt_rp_r_intmn l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t4 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_m0 m) (l_e_st_eq_landau_n_rt_rp_r_intm0 m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t12 x m mi n))).

(* constant 6692 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9296_t14 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t5 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pw x l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t2 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9296_t3 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t6 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_mn l_e_st_eq_landau_n_rt_rp_r_0 m) (l_e_st_eq_landau_n_rt_rp_r_intmn l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_9296_t1 x m mi n) m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t4 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_m0 m) (l_e_st_eq_landau_n_rt_rp_r_intm0 m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t12 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t9 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t10 x m mi n) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t13 x m mi n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t5 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_m0 m) (l_e_st_eq_landau_n_rt_rp_r_intm0 m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9296_t12 x m mi n))).

(* constant 6693 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz296 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λn:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_9296_t14 x m mi n : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x m mi n)) (l_e_st_eq_landau_n_rt_rp_r_c_satz290 x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x m mi n) n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_m0 m) (l_e_st_eq_landau_n_rt_rp_r_intm0 m mi) (l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x (l_e_st_eq_landau_n_rt_rp_r_m0 m) (l_e_st_eq_landau_n_rt_rp_r_intm0 m mi) n))).

(* constant 6694 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz290 x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) p : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6695 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_ande2 (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n) a : l_e_st_eq_landau_n_rt_rp_r_pos n).

(* constant 6696 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t3 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λa:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).(l_e_st_eq_landau_n_rt_rp_r_postspp m n (l_ande1 (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n) a) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t2 x m n mi ni o a) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts m n)).

(* constant 6697 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma297a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_or_th9 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)) (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n) o (λt:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_9297_t1 x m n mi ni o t) (λt:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).l_e_st_eq_landau_n_rt_rp_r_c_9297_t2 x m n mi ni o t) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos n)).

(* constant 6698 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma297b ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_or_th8 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts m n)) o (λt:l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n).l_e_st_eq_landau_n_rt_rp_r_c_9297_t3 x m n mi ni o t) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts m n))).

(* constant 6699 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t4 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_ore2 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m) o (l_weli (l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c) i) : l_e_st_eq_landau_n_rt_rp_r_pos m).

(* constant 6700 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_m1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_ntofrl m (l_e_st_eq_landau_n_rt_rp_r_posintnatrl m (l_e_st_eq_landau_n_rt_rp_r_c_9297_t4 x m mi o i) mi) : l_e_st_eq_landau_n_nat).

(* constant 6701 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t5 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_posexp x m mi o (l_e_st_eq_landau_n_rt_rp_r_c_9297_t4 x m mi o i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9297_m1 x m mi o i) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9297_m1 x m mi o i).x))).

(* constant 6702 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t6 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz289b (l_e_st_eq_landau_n_rt_rp_r_c_9297_m1 x m mi o i) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9297_m1 x m mi o i).x) (l_e_st_eq_landau_n_xout (l_e_st_eq_landau_n_rt_rp_r_c_9297_m1 x m mi o i)) i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9297_m1 x m mi o i) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9297_m1 x m mi o i).x)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6703 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t7 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) (l_e_st_eq_landau_n_rt_rp_r_c_prod (l_e_st_eq_landau_n_rt_rp_r_c_9297_m1 x m mi o i) (λt:l_e_st_eq_landau_n_1to (l_e_st_eq_landau_n_rt_rp_r_c_9297_m1 x m mi o i).x)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_9297_t5 x m mi o i) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t6 x m mi o i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6704 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_pw0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m).λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_9297_t7 x m mi o i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi o) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6705 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.(l_e_st_eq_landau_n_rt_rp_r_intts m mi n ni : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_ts m n)).

(* constant 6706 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_prop1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o)) : Prop).

(* constant 6707 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t9 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_pw0 x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6708 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t10 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_pw0 (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t9 x m n mi ni o i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6709 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t11 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_pw0 x (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o) i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6710 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t12 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λi:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_0c (l_e_st_eq_landau_n_rt_rp_r_c_9297_t10 x m n mi ni o i) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t11 x m n mi ni o i) : l_e_st_eq_landau_n_rt_rp_r_c_9297_prop1 x m n mi ni o).

(* constant 6711 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t13 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m) p : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6712 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t13 x m mi p) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6713 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_nr ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_rlofnt n : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6714 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_natintrl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_natrli n) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)).

(* constant 6715 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.(l_ori2 (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_natpos (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_natrli n)) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n))).

(* constant 6716 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n))) p : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)))).

(* constant 6717 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_intts m mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n))).

(* constant 6718 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p n)) : Prop).

(* constant 6719 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t18 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_ispw1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p)) l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_lemma291 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_lemma291 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p)))).

(* constant 6720 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t19 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_satz291 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_lemma291 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p)).

(* constant 6721 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t20 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x m (l_e_st_eq_landau_n_rt_rp_r_ts m l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_satz195a m) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t13 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p l_e_st_eq_landau_n_1) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p l_e_st_eq_landau_n_1))).

(* constant 6722 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t21 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_lemma291 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p l_e_st_eq_landau_n_1)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t18 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t19 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t20 x m mi p) : l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p l_e_st_eq_landau_n_1).

(* constant 6723 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_pl n l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_nat).

(* constant 6724 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t22 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_rt_rp_r_c_satz290 x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t13 x m mi p) p : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6725 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t23 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_pos l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t22 x m mi p n p2) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_pos l_e_st_eq_landau_n_rt_rp_r_1rl))).

(* constant 6726 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t24 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294a (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t23 x m mi p n p2) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n))).

(* constant 6727 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t25 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294b (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t23 x m mi p n p2) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos l_e_st_eq_landau_n_rt_rp_r_1rl)).

(* constant 6728 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t26 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294c (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t23 x m mi p n p2) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl))).

(* constant 6729 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t27 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_satzr155a n l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t26 x m mi p n p2) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t26 x m mi p n p2))).

(* constant 6730 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t27a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_rt_rp_r_c_satz294 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t23 x m mi p n p2) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t24 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t25 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t26 x m mi p n p2))).

(* constant 6731 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t28 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t24 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t25 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t26 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t27 x m mi p n p2) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t27a x m mi p n p2) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t24 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t25 x m mi p n p2)))).

(* constant 6732 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t29 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n))) (l_e_st_eq_landau_n_rt_rp_r_pos m)) p : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n))) (l_e_st_eq_landau_n_rt_rp_r_pos m))).

(* constant 6733 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t30 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) m (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t29 x m mi p n p2) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)))).

(* constant 6734 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t31 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294b x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) m (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t29 x m mi p n p2) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6735 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t32 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294c x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) m (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t29 x m mi p n p2) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) m))).

(* constant 6736 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t33 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t24 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t30 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t24 x m mi p n p2) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p n)) p2 (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t30 x m mi p n p2)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t24 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t30 x m mi p n p2))).

(* constant 6737 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t34 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t25 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_lemma291 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t31 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p)) l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t25 x m mi p n p2) (l_e_st_eq_landau_n_rt_rp_r_c_lemma291 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t19 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x m (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t13 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t31 x m mi p n p2)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t25 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t31 x m mi p n p2))).

(* constant 6738 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t35 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_rt_rp_r_c_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t24 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t30 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t25 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t31 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t33 x m mi p n p2) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t34 x m mi p n p2) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t24 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t25 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t30 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t31 x m mi p n p2)))).

(* constant 6739 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t36 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_rt_rp_r_c_satz294 x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) m (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t29 x m mi p n p2) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t30 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t31 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) m) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t32 x m mi p n p2))).

(* constant 6740 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t37 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) m) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_ts m l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_ispl2 m (l_e_st_eq_landau_n_rt_rp_r_ts m l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_satz195a m)) (l_e_st_eq_landau_n_rt_rp_r_distpt2 m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ists2 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) m (l_e_st_eq_landau_n_rt_rp_r_satzr155b n l_e_st_eq_landau_n_1)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) m) (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)))).

(* constant 6741 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t38 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) m) (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t37 x m mi p n p2) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t32 x m mi p n p2) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) m) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t32 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)))).

(* constant 6742 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t39 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t24 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_intrl1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_t25 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t30 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t31 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) m) (l_e_st_eq_landau_n_rt_rp_r_intpl (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p n)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p n) m mi) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t32 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_nr x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t28 x m mi p n p2) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t35 x m mi p n p2) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t36 x m mi p n p2) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t38 x m mi p n p2) : l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2)).

(* constant 6743 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t40 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.λp2:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n.(l_e_isp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p t) (l_e_st_eq_landau_n_rt_rp_r_c_9297_n1 x m mi p n p2) (l_e_st_eq_landau_n_suc n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t39 x m mi p n p2) (l_e_st_eq_landau_n_satz4a n) : l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p (l_e_st_eq_landau_n_suc n)).

(* constant 6744 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t41 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p t) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t21 x m mi p) (λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p t.l_e_st_eq_landau_n_rt_rp_r_c_9297_t40 x m mi p t u) n : l_e_st_eq_landau_n_rt_rp_r_c_9297_prop2 x m mi p n).

(* constant 6745 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t42 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_posintnatrl n q ni : l_e_st_eq_landau_n_rt_rp_r_natrl n).

(* constant 6746 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_ntofrl n (l_e_st_eq_landau_n_rt_rp_r_c_9297_t42 x m n mi ni o p q) : l_e_st_eq_landau_n_nat).

(* constant 6747 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t43 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_isrlnt1 n (l_e_st_eq_landau_n_rt_rp_r_c_9297_t42 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_is n (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q))).

(* constant 6748 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t44 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_isrlnt2 n (l_e_st_eq_landau_n_rt_rp_r_c_9297_t42 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) n).

(* constant 6749 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6750 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t44a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x m m (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real m) mi mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t13 x m mi p) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p)).

(* constant 6751 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t45 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_c_ispw12 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) n (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t44a x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t43 x m n mi ni o p q) ni (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)))).

(* constant 6752 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t46 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_c_9297_t41 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)))).

(* constant 6753 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t47 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_ists2 (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) n m (l_e_st_eq_landau_n_rt_rp_r_c_9297_t44 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_ts m n)).

(* constant 6754 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t48 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t47 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o))).

(* constant 6755 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t49 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_pos n.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p0 x m mi p) (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t14 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t15 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_rlofnt (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t17 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t16 x m mi p (l_e_st_eq_landau_n_rt_rp_r_c_9297_n0 x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t45 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t46 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t48 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_9297_prop1 x m n mi ni o).

(* constant 6756 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t50 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_is n l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_c_0exp (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o) i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 6757 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t51 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_is n l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_ts02 m n i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts m n) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 6758 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t52 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_is n l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_c_0exp x (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t51 x m n mi ni o p i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_1c).

(* constant 6759 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t53 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λi:l_e_st_eq_landau_n_rt_rp_r_is n l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_9297_t50 x m n mi ni o p i) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t52 x m n mi ni o p i) : l_e_st_eq_landau_n_rt_rp_r_c_9297_prop1 x m n mi ni o).

(* constant 6760 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_an ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_abs n : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6761 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_intabs n ni : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)).

(* constant 6762 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t55 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_ori1 (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))) p : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)))).

(* constant 6763 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t55 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6764 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t56 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_satz166e n (l_e_st_eq_landau_n_rt_rp_r_nnot0 n q) : l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)).

(* constant 6765 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t56a ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t55 x m n mi ni o p q) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos m)).

(* constant 6766 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t57 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t55 x m n mi ni o p q) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))).

(* constant 6767 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t58 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t55 x m n mi ni o p q) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)))).

(* constant 6768 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t59 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_9297_t49 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t55 x m n mi ni o p q) p (l_e_st_eq_landau_n_rt_rp_r_c_9297_t56 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t57 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t58 x m n mi ni o p q))).

(* constant 6769 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t60 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_satz177c (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) n (l_e_st_eq_landau_n_rt_rp_r_absn n q) : l_e_st_eq_landau_n_rt_rp_r_is n (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))).

(* constant 6770 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t61 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_intm0 (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))).

(* constant 6771 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t62 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_satz290 x m mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t56a x m n mi ni o p q) p : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6772 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma296 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t62 x m n mi ni o p q) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))).

(* constant 6773 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t64 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_satz290 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t62 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 x m n mi ni o p q)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6774 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t65 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma296 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t61 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t62 x m n mi ni o p q) : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)))).

(* constant 6775 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t66 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_satz296 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t62 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t64 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t61 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t65 x m n mi ni o p q))).

(* constant 6776 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t67 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x m (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t56a x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q)).

(* constant 6777 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t68 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_ispw12 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) n (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t67 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t60 x m n mi ni o p q) ni (l_e_st_eq_landau_n_rt_rp_r_c_9297_t61 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t65 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t61 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t65 x m n mi ni o p q))).

(* constant 6778 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t69 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t64 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t61 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t65 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t68 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t66 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t64 x m n mi ni o p q))).

(* constant 6779 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t70 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_satz197f m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_ists2 (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) n m (l_e_symis l_e_st_eq_landau_n_rt_rp_r_real n (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t60 x m n mi ni o p q))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_ts m n)).

(* constant 6780 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t71 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_intm0 (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) : l_e_st_eq_landau_n_rt_rp_r_intrl (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)))).

(* constant 6781 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t72 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) p : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)))).

(* constant 6782 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t73 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_satz290 x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t72 x m n mi ni o p q) p : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t72 x m n mi ni o p q)) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6783 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t74 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_lemma296 x (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t71 x m n mi ni o p q) p : l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_pos (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))))).

(* constant 6784 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t75 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_satz296 x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) p : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t72 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t73 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t71 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t74 x m n mi ni o p q))).

(* constant 6785 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t76 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_ispw2 x (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t70 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t71 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t74 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t71 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t74 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o))).

(* constant 6786 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t77 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_ispw1 (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t57 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t57 x m n mi ni o p q))).

(* constant 6787 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t78 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_ispw1 x x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_refis l_e_st_eq_landau_n_rt_rp_r_c_cx x) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t58 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t72 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t58 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t72 x m n mi ni o p q))).

(* constant 6788 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t79 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t57 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t58 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t72 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t77 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t59 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t78 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t72 x m n mi ni o p q))).

(* constant 6789 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t80 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_st_eq_landau_n_rt_rp_r_c_isov2 (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t72 x m n mi ni o p q)) l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_9297_t79 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t64 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t73 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t64 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t72 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t73 x m n mi ni o p q))).

(* constant 6790 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t81 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.λq:l_e_st_eq_landau_n_rt_rp_r_neg n.(l_e_tr4is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1 x m n mi ni o) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_9297_p1t55 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t63 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t64 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_ov l_e_st_eq_landau_n_rt_rp_r_c_1c (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q) mi (l_e_st_eq_landau_n_rt_rp_r_c_9297_t54 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t72 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t73 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts m (l_e_st_eq_landau_n_rt_rp_r_c_9297_an x m n mi ni o p q))) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t71 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t74 x m n mi ni o p q)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t8 x m n mi ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t69 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t80 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t75 x m n mi ni o p q) (l_e_st_eq_landau_n_rt_rp_r_c_9297_t76 x m n mi ni o p q) : l_e_st_eq_landau_n_rt_rp_r_c_9297_prop1 x m n mi ni o).

(* constant 6791 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_9297_t82 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).λp:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_st_eq_landau_n_rt_rp_r_rapp n (l_e_st_eq_landau_n_rt_rp_r_c_9297_prop1 x m n mi ni o) (λt:l_e_st_eq_landau_n_rt_rp_r_pos n.l_e_st_eq_landau_n_rt_rp_r_c_9297_t49 x m n mi ni o p t) (λt:l_e_st_eq_landau_n_rt_rp_r_is n l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_9297_t53 x m n mi ni o p t) (λt:l_e_st_eq_landau_n_rt_rp_r_neg n.l_e_st_eq_landau_n_rt_rp_r_c_9297_t81 x m n mi ni o p t) : l_e_st_eq_landau_n_rt_rp_r_c_9297_prop1 x m n mi ni o).

(* constant 6792 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz297 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.λm:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_real.λmi:l_e_st_eq_landau_n_rt_rp_r_intrl m.λni:l_e_st_eq_landau_n_rt_rp_r_intrl n.λo:l_or (l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_and (l_e_st_eq_landau_n_rt_rp_r_pos m) (l_e_st_eq_landau_n_rt_rp_r_pos n)).(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_c_9297_prop1 x m n mi ni o) (λt:l_e_st_eq_landau_n_rt_rp_r_c_is x l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_9297_t12 x m n mi ni o t) (λt:l_e_st_eq_landau_n_rt_rp_r_c_nis x l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_9297_t82 x m n mi ni o t) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pw (l_e_st_eq_landau_n_rt_rp_r_c_pw x m mi (l_e_st_eq_landau_n_rt_rp_r_c_lemma294a x m n mi ni o)) n ni (l_e_st_eq_landau_n_rt_rp_r_c_lemma297a x m n mi ni o)) (l_e_st_eq_landau_n_rt_rp_r_c_pw x (l_e_st_eq_landau_n_rt_rp_r_ts m n) (l_e_st_eq_landau_n_rt_rp_r_intts m mi n ni) (l_e_st_eq_landau_n_rt_rp_r_c_lemma297b x m n mi ni o))).

(* constant 6793 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_plis12a r l_e_st_eq_landau_n_rt_rp_r_0 s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx2 (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pl r s) (l_e_st_eq_landau_n_rt_rp_r_pl01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r s) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6794 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz298a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_10298_t1 r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 6795 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz298b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_10298_t1 r s : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r s) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6796 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_r_mn l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_mnis12a r l_e_st_eq_landau_n_rt_rp_r_0 s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx2 (l_e_st_eq_landau_n_rt_rp_r_mn l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_mn r s) (l_e_st_eq_landau_n_rt_rp_r_pl02 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_satz176b l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn r s) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6797 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz298c ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_10298_t2 r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 6798 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz298d ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_10298_t2 r s : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_mn (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn r s) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6799 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_satz176b (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts r s)).

(* constant 6800 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 s)) (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 s) (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 s (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_ts02 r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 s)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 6801 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 s))) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_tsis12a r l_e_st_eq_landau_n_rt_rp_r_0 s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts r s) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 s)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_10298_t3 r s) (l_e_st_eq_landau_n_rt_rp_r_c_10298_t4 r s)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6802 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz298e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_10298_t5 r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 6803 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz298f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_10298_t5 r s : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts r s) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6804 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_0c.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real s (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_re l_e_st_eq_landau_n_rt_rp_r_c_0c) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_c_isre s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_iscere (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_0c i) (l_e_st_eq_landau_n_rt_rp_r_c_reis l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) : l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 6805 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_lemma298 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_imp_th3 (l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_0c) (l_e_st_eq_landau_n_rt_rp_r_is s l_e_st_eq_landau_n_rt_rp_r_0) n (λt:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_0c.l_e_st_eq_landau_n_rt_rp_r_c_10298_t6 r s n t) : l_e_st_eq_landau_n_rt_rp_r_c_nis (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_c_0c).

(* constant 6806 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ov r s n) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_ov r s n)) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_10298_t5 s (l_e_st_eq_landau_n_rt_rp_r_ov r s n)) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx1 (l_e_st_eq_landau_n_rt_rp_r_ts s (l_e_st_eq_landau_n_rt_rp_r_ov r s n)) r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_satz204c r s n)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ov r s n) l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6807 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz298g ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_c_satz229g (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ov r s n) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_lemma298 r s n) (l_e_st_eq_landau_n_rt_rp_r_c_10298_t7 r s n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ov r s n) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_lemma298 r s n))).

(* constant 6808 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz298h ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_nis s l_e_st_eq_landau_n_rt_rp_r_0.(l_e_st_eq_landau_n_rt_rp_r_c_satz229h (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ov r s n) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_lemma298 r s n) (l_e_st_eq_landau_n_rt_rp_r_c_10298_t7 r s n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ov (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_pli s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_lemma298 r s n)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_ov r s n) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6809 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 r) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_m0isa r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_isrecx2 (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_m0 r) (l_e_st_eq_landau_n_rt_rp_r_satz176b l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 r) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6810 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz298j ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 r) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_10298_t8 r) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 r) l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 6811 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz298k ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_10298_t8 r : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_m0 (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_m0 r) l_e_st_eq_landau_n_rt_rp_r_0)).

(* constant 6812 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_mod2 (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_imis r l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_ists12 (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) r (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) r (l_e_st_eq_landau_n_rt_rp_r_c_reis r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_reis r l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod2 (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts r r)).

(* constant 6813 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_ar ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_abs r : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6814 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t10 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λp:l_e_st_eq_landau_n_rt_rp_r_pos r.(l_e_st_eq_landau_n_rt_rp_r_satz196a r r p p : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r) (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r))).

(* constant 6815 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t11 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.(l_e_tris2 l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r) (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_ts01 r r i) (l_e_st_eq_landau_n_rt_rp_r_ts01 (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r) (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r) (l_e_st_eq_landau_n_rt_rp_r_abs0 r i)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r) (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r))).

(* constant 6816 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t12 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λn:l_e_st_eq_landau_n_rt_rp_r_neg r.(l_e_st_eq_landau_n_rt_rp_r_satz196b r r n n : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r) (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r))).

(* constant 6817 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t13 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_rapp r (l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r) (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r))) (λt:l_e_st_eq_landau_n_rt_rp_r_pos r.l_e_st_eq_landau_n_rt_rp_r_c_10298_t10 r t) (λt:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_c_10298_t11 r t) (λt:l_e_st_eq_landau_n_rt_rp_r_neg r.l_e_st_eq_landau_n_rt_rp_r_c_10298_t12 r t) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r) (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r))).

(* constant 6818 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t14 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_mod2 (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts r r) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r) (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r)) (l_e_st_eq_landau_n_rt_rp_r_c_10298_t9 r) (l_e_st_eq_landau_n_rt_rp_r_c_10298_t13 r) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod2 (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r) (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r))).

(* constant 6819 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10298_t15 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_imp_th1 (l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0) (l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r))) (λt:l_e_st_eq_landau_n_rt_rp_r_is r l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_0notn (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r) (l_e_st_eq_landau_n_rt_rp_r_abs0 r t)) (λt:l_e_st_eq_landau_n_rt_rp_r_nis r l_e_st_eq_landau_n_rt_rp_r_0.l_e_st_eq_landau_n_rt_rp_r_pnotn (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r) (l_e_st_eq_landau_n_rt_rp_r_satz166e r t)) : l_not (l_e_st_eq_landau_n_rt_rp_r_neg (l_e_st_eq_landau_n_rt_rp_r_c_10298_ar r))).

(* constant 6820 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz298l ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_thsqrt3 (l_e_st_eq_landau_n_rt_rp_r_c_mod2 (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_c_lemma5 (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_c_10298_t15 r) (l_e_st_eq_landau_n_rt_rp_r_c_10298_t14 r) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_abs r)).

(* constant 6821 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz298m ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_c_satz298l r) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_abs r) (l_e_st_eq_landau_n_rt_rp_r_c_mod (l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0))).

(* constant 6822 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_cofrl ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_pli r l_e_st_eq_landau_n_rt_rp_r_0 : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 6823 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isrlic ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real r (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s)) s (l_e_st_eq_landau_n_rt_rp_r_c_isre r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_c_iscere (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) i) (l_e_st_eq_landau_n_rt_rp_r_c_reis s l_e_st_eq_landau_n_rt_rp_r_0) : l_e_st_eq_landau_n_rt_rp_r_is r s).

(* constant 6824 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isrlec ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_is r s.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx1 r s l_e_st_eq_landau_n_rt_rp_r_0 i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s)).

(* constant 6825 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v10_t1 ≝ (λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λv:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) (l_e_st_eq_landau_n_rt_rp_r_c_cofrl u).l_e_st_eq_landau_n_rt_rp_r_c_isrlic t u v : l_e_injective l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_cofrl t)).

(* constant 6826 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_realc ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_image l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) x : Prop).

(* constant 6827 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_reali ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_imagei l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) r : l_e_st_eq_landau_n_rt_rp_r_c_realc (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r)).

(* constant 6828 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_rlofc ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λrx:l_e_st_eq_landau_n_rt_rp_r_c_realc x.(l_e_soft l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t1 x rx : l_e_st_eq_landau_n_rt_rp_r_real).

(* constant 6829 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscirl ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λrx:l_e_st_eq_landau_n_rt_rp_r_c_realc x.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λry:l_e_st_eq_landau_n_rt_rp_r_c_realc y.λi:l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_rlofc x rx) (l_e_st_eq_landau_n_rt_rp_r_c_rlofc y ry).(l_e_isinve l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t1 x rx y ry i : l_e_st_eq_landau_n_rt_rp_r_c_is x y).

(* constant 6830 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscerl ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λrx:l_e_st_eq_landau_n_rt_rp_r_c_realc x.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λry:l_e_st_eq_landau_n_rt_rp_r_c_realc y.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isinv l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t1 x rx y ry i : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_rlofc x rx) (l_e_st_eq_landau_n_rt_rp_r_c_rlofc y ry)).

(* constant 6831 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isrlc1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_isst1 l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t1 r : l_e_st_eq_landau_n_rt_rp_r_is r (l_e_st_eq_landau_n_rt_rp_r_c_rlofc (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_reali r))).

(* constant 6832 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isrlc2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_isst2 l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t1 r : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_c_rlofc (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_reali r)) r).

(* constant 6833 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscrl1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λrx:l_e_st_eq_landau_n_rt_rp_r_c_realc x.(l_e_ists1 l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t1 x rx : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_c_rlofc x rx))).

(* constant 6834 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscrl2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λrx:l_e_st_eq_landau_n_rt_rp_r_c_realc x.(l_e_ists2 l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_real.l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t1 x rx : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_c_rlofc x rx)) x).

(* constant 6835 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_cofn ≝ λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_rlofnt n) : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 6836 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isnec ≝ λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is n m.(l_e_st_eq_landau_n_rt_rp_r_c_isrlec (l_e_st_eq_landau_n_rt_rp_r_rlofnt n) (l_e_st_eq_landau_n_rt_rp_r_rlofnt m) (l_e_st_eq_landau_n_rt_rp_r_isnterl n m i) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofn n) (l_e_st_eq_landau_n_rt_rp_r_c_cofn m)).

(* constant 6837 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isnic ≝ λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofn n) (l_e_st_eq_landau_n_rt_rp_r_c_cofn m).(l_e_st_eq_landau_n_rt_rp_r_isntirl n m (l_e_st_eq_landau_n_rt_rp_r_c_isrlic (l_e_st_eq_landau_n_rt_rp_r_rlofnt n) (l_e_st_eq_landau_n_rt_rp_r_rlofnt m) i) : l_e_st_eq_landau_n_is n m).

(* constant 6838 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v10_t2 ≝ (λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_nat.λv:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofn t) (l_e_st_eq_landau_n_rt_rp_r_c_cofn u).l_e_st_eq_landau_n_rt_rp_r_c_isnic t u v : l_e_injective l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_cofn t)).

(* constant 6839 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_natc ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.(l_e_image l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_cofn t) x : Prop).

(* constant 6840 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_nati ≝ λn:l_e_st_eq_landau_n_nat.(l_e_imagei l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_cofn t) n : l_e_st_eq_landau_n_rt_rp_r_c_natc (l_e_st_eq_landau_n_rt_rp_r_c_cofn n)).

(* constant 6841 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_nofc ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λnx:l_e_st_eq_landau_n_rt_rp_r_c_natc x.(l_e_soft l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_cofn t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t2 x nx : l_e_st_eq_landau_n_nat).

(* constant 6842 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscen ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λnx:l_e_st_eq_landau_n_rt_rp_r_c_natc x.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λny:l_e_st_eq_landau_n_rt_rp_r_c_natc y.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isinv l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_cofn t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t2 x nx y ny i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_nofc x nx) (l_e_st_eq_landau_n_rt_rp_r_c_nofc y ny)).

(* constant 6843 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscin ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λnx:l_e_st_eq_landau_n_rt_rp_r_c_natc x.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λny:l_e_st_eq_landau_n_rt_rp_r_c_natc y.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_nofc x nx) (l_e_st_eq_landau_n_rt_rp_r_c_nofc y ny).(l_e_isinve l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_cofn t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t2 x nx y ny i : l_e_st_eq_landau_n_rt_rp_r_c_is x y).

(* constant 6844 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isnc1 ≝ λn:l_e_st_eq_landau_n_nat.(l_e_isst1 l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_cofn t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t2 n : l_e_st_eq_landau_n_is n (l_e_st_eq_landau_n_rt_rp_r_c_nofc (l_e_st_eq_landau_n_rt_rp_r_c_cofn n) (l_e_st_eq_landau_n_rt_rp_r_c_nati n))).

(* constant 6845 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isnc2 ≝ λn:l_e_st_eq_landau_n_nat.(l_e_isst2 l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_cofn t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t2 n : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_nofc (l_e_st_eq_landau_n_rt_rp_r_c_cofn n) (l_e_st_eq_landau_n_rt_rp_r_c_nati n)) n).

(* constant 6846 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscn1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λnx:l_e_st_eq_landau_n_rt_rp_r_c_natc x.(l_e_ists1 l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_cofn t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t2 x nx : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_cofn (l_e_st_eq_landau_n_rt_rp_r_c_nofc x nx))).

(* constant 6847 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscn2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λnx:l_e_st_eq_landau_n_rt_rp_r_c_natc x.(l_e_ists2 l_e_st_eq_landau_n_nat l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_cofn t) l_e_st_eq_landau_n_rt_rp_r_c_v10_t2 x nx : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofn (l_e_st_eq_landau_n_rt_rp_r_c_nofc x nx)) x).

(* constant 6848 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_natt ≝ (l_e_ot l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_natc t) : Type[0]).

(* constant 6849 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_cofnt ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.(l_e_in l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_natc t) nt : l_e_st_eq_landau_n_rt_rp_r_c_cx).

(* constant 6850 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_natti ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.(l_e_inp l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_natc t) nt : l_e_st_eq_landau_n_rt_rp_r_c_natc (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt)).

(* constant 6851 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isntec ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λmt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λi:l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt nt mt.(l_e_isini l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_natc t) nt mt i : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_cofnt mt)).

(* constant 6852 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isntic ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λmt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_cofnt mt).(l_e_isine l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_natc t) nt mt i : l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt nt mt).

(* constant 6853 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ntofc ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λnx:l_e_st_eq_landau_n_rt_rp_r_c_natc x.(l_e_out l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_natc t) x nx : l_e_st_eq_landau_n_rt_rp_r_c_natt).

(* constant 6854 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscent ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λnx:l_e_st_eq_landau_n_rt_rp_r_c_natc x.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λny:l_e_st_eq_landau_n_rt_rp_r_c_natc y.λi:l_e_st_eq_landau_n_rt_rp_r_c_is x y.(l_e_isouti l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_natc t) x nx y ny i : l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_ntofc x nx) (l_e_st_eq_landau_n_rt_rp_r_c_ntofc y ny)).

(* constant 6855 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscint ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λnx:l_e_st_eq_landau_n_rt_rp_r_c_natc x.λy:l_e_st_eq_landau_n_rt_rp_r_c_cx.λny:l_e_st_eq_landau_n_rt_rp_r_c_natc y.λi:l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_ntofc x nx) (l_e_st_eq_landau_n_rt_rp_r_c_ntofc y ny).(l_e_isoute l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_natc t) x nx y ny i : l_e_st_eq_landau_n_rt_rp_r_c_is x y).

(* constant 6856 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isntc1 ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.(l_e_isoutin l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_natc t) nt : l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt nt (l_e_st_eq_landau_n_rt_rp_r_c_ntofc (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_natti nt))).

(* constant 6857 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isntc2 ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_natt nt (l_e_st_eq_landau_n_rt_rp_r_c_ntofc (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_natti nt)) (l_e_st_eq_landau_n_rt_rp_r_c_isntc1 nt) : l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_ntofc (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_natti nt)) nt).

(* constant 6858 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscnt1 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λnx:l_e_st_eq_landau_n_rt_rp_r_c_natc x.(l_e_isinout l_e_st_eq_landau_n_rt_rp_r_c_cx (λt:l_e_st_eq_landau_n_rt_rp_r_c_cx.l_e_st_eq_landau_n_rt_rp_r_c_natc t) x nx : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_cofnt (l_e_st_eq_landau_n_rt_rp_r_c_ntofc x nx))).

(* constant 6859 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_iscnt2 ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_cx.λnx:l_e_st_eq_landau_n_rt_rp_r_c_natc x.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_rt_rp_r_c_cofnt (l_e_st_eq_landau_n_rt_rp_r_c_ntofc x nx)) (l_e_st_eq_landau_n_rt_rp_r_c_iscnt1 x nx) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofnt (l_e_st_eq_landau_n_rt_rp_r_c_ntofc x nx)) x).

(* constant 6860 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ntofn ≝ λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_c_ntofc (l_e_st_eq_landau_n_rt_rp_r_c_cofn n) (l_e_st_eq_landau_n_rt_rp_r_c_nati n) : l_e_st_eq_landau_n_rt_rp_r_c_natt).

(* constant 6861 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isnent ≝ λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λi:l_e_st_eq_landau_n_is n m.(l_e_st_eq_landau_n_rt_rp_r_c_iscent (l_e_st_eq_landau_n_rt_rp_r_c_cofn n) (l_e_st_eq_landau_n_rt_rp_r_c_nati n) (l_e_st_eq_landau_n_rt_rp_r_c_cofn m) (l_e_st_eq_landau_n_rt_rp_r_c_nati m) (l_e_st_eq_landau_n_rt_rp_r_c_isnec n m i) : l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n) (l_e_st_eq_landau_n_rt_rp_r_c_ntofn m)).

(* constant 6862 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isnint ≝ λn:l_e_st_eq_landau_n_nat.λm:l_e_st_eq_landau_n_nat.λi:l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n) (l_e_st_eq_landau_n_rt_rp_r_c_ntofn m).(l_e_st_eq_landau_n_rt_rp_r_c_isnic n m (l_e_st_eq_landau_n_rt_rp_r_c_iscint (l_e_st_eq_landau_n_rt_rp_r_c_cofn n) (l_e_st_eq_landau_n_rt_rp_r_c_nati n) (l_e_st_eq_landau_n_rt_rp_r_c_cofn m) (l_e_st_eq_landau_n_rt_rp_r_c_nati m) i) : l_e_st_eq_landau_n_is n m).

(* constant 6863 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_nofnt ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.(l_e_st_eq_landau_n_rt_rp_r_c_nofc (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_natti nt) : l_e_st_eq_landau_n_nat).

(* constant 6864 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isnter ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λmt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λi:l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt nt mt.(l_e_st_eq_landau_n_rt_rp_r_c_iscen (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_natti nt) (l_e_st_eq_landau_n_rt_rp_r_c_cofnt mt) (l_e_st_eq_landau_n_rt_rp_r_c_natti mt) (l_e_st_eq_landau_n_rt_rp_r_c_isntec nt mt i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_nofnt mt)).

(* constant 6865 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isntin ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λmt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λi:l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_nofnt mt).(l_e_st_eq_landau_n_rt_rp_r_c_isntic nt mt (l_e_st_eq_landau_n_rt_rp_r_c_iscin (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_natti nt) (l_e_st_eq_landau_n_rt_rp_r_c_cofnt mt) (l_e_st_eq_landau_n_rt_rp_r_c_natti mt) i) : l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt nt mt).

(* constant 6866 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v10_t3 ≝ λn:l_e_st_eq_landau_n_nat.(l_e_st_eq_landau_n_rt_rp_r_c_iscnt1 (l_e_st_eq_landau_n_rt_rp_r_c_cofn n) (l_e_st_eq_landau_n_rt_rp_r_c_nati n) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofn n) (l_e_st_eq_landau_n_rt_rp_r_c_cofnt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n))).

(* constant 6867 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isnnt1 ≝ λn:l_e_st_eq_landau_n_nat.(l_e_tris l_e_st_eq_landau_n_nat n (l_e_st_eq_landau_n_rt_rp_r_c_nofc (l_e_st_eq_landau_n_rt_rp_r_c_cofn n) (l_e_st_eq_landau_n_rt_rp_r_c_nati n)) (l_e_st_eq_landau_n_rt_rp_r_c_nofnt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n)) (l_e_st_eq_landau_n_rt_rp_r_c_isnc1 n) (l_e_st_eq_landau_n_rt_rp_r_c_iscen (l_e_st_eq_landau_n_rt_rp_r_c_cofn n) (l_e_st_eq_landau_n_rt_rp_r_c_nati n) (l_e_st_eq_landau_n_rt_rp_r_c_cofnt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n)) (l_e_st_eq_landau_n_rt_rp_r_c_natti (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n)) (l_e_st_eq_landau_n_rt_rp_r_c_v10_t3 n)) : l_e_st_eq_landau_n_is n (l_e_st_eq_landau_n_rt_rp_r_c_nofnt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n))).

(* constant 6868 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isnnt2 ≝ λn:l_e_st_eq_landau_n_nat.(l_e_symis l_e_st_eq_landau_n_nat n (l_e_st_eq_landau_n_rt_rp_r_c_nofnt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n)) (l_e_st_eq_landau_n_rt_rp_r_c_isnnt1 n) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_nofnt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n)) n).

(* constant 6869 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_v10_t4 ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.(l_e_st_eq_landau_n_rt_rp_r_c_iscn1 (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_natti nt) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_cofn (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt))).

(* constant 6870 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isntn1 ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_natt nt (l_e_st_eq_landau_n_rt_rp_r_c_ntofc (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_natti nt)) (l_e_st_eq_landau_n_rt_rp_r_c_ntofn (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt)) (l_e_st_eq_landau_n_rt_rp_r_c_isntc1 nt) (l_e_st_eq_landau_n_rt_rp_r_c_iscent (l_e_st_eq_landau_n_rt_rp_r_c_cofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_natti nt) (l_e_st_eq_landau_n_rt_rp_r_c_cofn (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt)) (l_e_st_eq_landau_n_rt_rp_r_c_nati (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt)) (l_e_st_eq_landau_n_rt_rp_r_c_v10_t4 nt)) : l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt nt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt))).

(* constant 6871 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_isntn2 ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_natt nt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt)) (l_e_st_eq_landau_n_rt_rp_r_c_isntn1 nt) : l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt)) nt).

(* constant 6872 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_1t ≝ (l_e_st_eq_landau_n_rt_rp_r_c_ntofn l_e_st_eq_landau_n_1 : l_e_st_eq_landau_n_rt_rp_r_c_natt).

(* constant 6873 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_suct ≝ (λt:l_e_st_eq_landau_n_rt_rp_r_c_natt.l_e_st_eq_landau_n_rt_rp_r_c_ntofn (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_nofnt t)) : Πt:l_e_st_eq_landau_n_rt_rp_r_c_natt.l_e_st_eq_landau_n_rt_rp_r_c_natt).

(* constant 6874 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10299_t1 ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λi:l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_suct nt) l_e_st_eq_landau_n_rt_rp_r_c_1t.(l_e_st_eq_landau_n_rt_rp_r_c_isnint (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt)) l_e_st_eq_landau_n_1 i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt)) l_e_st_eq_landau_n_1).

(* constant 6875 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz299a ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.(l_imp_th3 (l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_suct nt) l_e_st_eq_landau_n_rt_rp_r_c_1t) (l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt)) l_e_st_eq_landau_n_1) (l_e_st_eq_landau_n_ax3 (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt)) (λt:l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_suct nt) l_e_st_eq_landau_n_rt_rp_r_c_1t.l_e_st_eq_landau_n_rt_rp_r_c_10299_t1 nt t) : l_not (l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_suct nt) l_e_st_eq_landau_n_rt_rp_r_c_1t)).

(* constant 6876 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ax3t ≝ (λt:l_e_st_eq_landau_n_rt_rp_r_c_natt.l_e_st_eq_landau_n_rt_rp_r_c_satz299a t : ∀t:l_e_st_eq_landau_n_rt_rp_r_c_natt.l_not (l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_suct t) l_e_st_eq_landau_n_rt_rp_r_c_1t)).

(* constant 6877 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10299_t2 ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λmt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λi:l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_suct nt) (l_e_st_eq_landau_n_rt_rp_r_c_suct mt).(l_e_st_eq_landau_n_rt_rp_r_c_isnint (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_nofnt mt)) i : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt)) (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_nofnt mt))).

(* constant 6878 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10299_t3 ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λmt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λi:l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_suct nt) (l_e_st_eq_landau_n_rt_rp_r_c_suct mt).(l_e_st_eq_landau_n_ax4 (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_nofnt mt) (l_e_st_eq_landau_n_rt_rp_r_c_10299_t2 nt mt i) : l_e_st_eq_landau_n_is (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt) (l_e_st_eq_landau_n_rt_rp_r_c_nofnt mt)).

(* constant 6879 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz299b ≝ λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λmt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λi:l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_suct nt) (l_e_st_eq_landau_n_rt_rp_r_c_suct mt).(l_e_st_eq_landau_n_rt_rp_r_c_isntin nt mt (l_e_st_eq_landau_n_rt_rp_r_c_10299_t3 nt mt i) : l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt nt mt).

(* constant 6880 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ax4t ≝ (λt:l_e_st_eq_landau_n_rt_rp_r_c_natt.λu:l_e_st_eq_landau_n_rt_rp_r_c_natt.λv:l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_suct t) (l_e_st_eq_landau_n_rt_rp_r_c_suct u).l_e_st_eq_landau_n_rt_rp_r_c_satz299b t u v : ∀t:l_e_st_eq_landau_n_rt_rp_r_c_natt.∀u:l_e_st_eq_landau_n_rt_rp_r_c_natt.∀v:l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_suct t) (l_e_st_eq_landau_n_rt_rp_r_c_suct u).l_e_is l_e_st_eq_landau_n_rt_rp_r_c_natt t u).

(* constant 6881 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_cond1t ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_c_natt.(l_e_st_esti l_e_st_eq_landau_n_rt_rp_r_c_natt l_e_st_eq_landau_n_rt_rp_r_c_1t s : Prop).

(* constant 6882 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_cond2t ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_c_natt.(l_all l_e_st_eq_landau_n_rt_rp_r_c_natt (λt:l_e_st_eq_landau_n_rt_rp_r_c_natt.l_imp (l_e_st_esti l_e_st_eq_landau_n_rt_rp_r_c_natt t s) (l_e_st_esti l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_suct t) s)) : Prop).

(* constant 6883 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10299_prop1 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_c_natt.λc1:l_e_st_eq_landau_n_rt_rp_r_c_cond1t s.λc2:l_e_st_eq_landau_n_rt_rp_r_c_cond2t s.λn:l_e_st_eq_landau_n_nat.(l_e_st_esti l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n) s : Prop).

(* constant 6884 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10299_t4 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_c_natt.λc1:l_e_st_eq_landau_n_rt_rp_r_c_cond1t s.λc2:l_e_st_eq_landau_n_rt_rp_r_c_cond2t s.(c1 : l_e_st_eq_landau_n_rt_rp_r_c_10299_prop1 s c1 c2 l_e_st_eq_landau_n_1).

(* constant 6885 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10299_t5 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_c_natt.λc1:l_e_st_eq_landau_n_rt_rp_r_c_cond1t s.λc2:l_e_st_eq_landau_n_rt_rp_r_c_cond2t s.λn:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_10299_prop1 s c1 c2 n.(c2 (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n) p : l_e_st_esti l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn (l_e_st_eq_landau_n_suc (l_e_st_eq_landau_n_rt_rp_r_c_nofnt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n)))) s).

(* constant 6886 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10299_t6 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_c_natt.λc1:l_e_st_eq_landau_n_rt_rp_r_c_cond1t s.λc2:l_e_st_eq_landau_n_rt_rp_r_c_cond2t s.λn:l_e_st_eq_landau_n_nat.λp:l_e_st_eq_landau_n_rt_rp_r_c_10299_prop1 s c1 c2 n.(l_e_isp l_e_st_eq_landau_n_nat (λt:l_e_st_eq_landau_n_nat.l_e_st_esti l_e_st_eq_landau_n_rt_rp_r_c_natt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn (l_e_st_eq_landau_n_suc t)) s) (l_e_st_eq_landau_n_rt_rp_r_c_nofnt (l_e_st_eq_landau_n_rt_rp_r_c_ntofn n)) n (l_e_st_eq_landau_n_rt_rp_r_c_10299_t5 s c1 c2 n p) (l_e_st_eq_landau_n_rt_rp_r_c_isnnt2 n) : l_e_st_eq_landau_n_rt_rp_r_c_10299_prop1 s c1 c2 (l_e_st_eq_landau_n_suc n)).

(* constant 6887 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10299_t7 ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_c_natt.λc1:l_e_st_eq_landau_n_rt_rp_r_c_cond1t s.λc2:l_e_st_eq_landau_n_rt_rp_r_c_cond2t s.λnt:l_e_st_eq_landau_n_rt_rp_r_c_natt.(l_e_st_eq_landau_n_induction (λt:l_e_st_eq_landau_n_nat.l_e_st_eq_landau_n_rt_rp_r_c_10299_prop1 s c1 c2 t) (l_e_st_eq_landau_n_rt_rp_r_c_10299_t4 s c1 c2) (λt:l_e_st_eq_landau_n_nat.λu:l_e_st_eq_landau_n_rt_rp_r_c_10299_prop1 s c1 c2 t.l_e_st_eq_landau_n_rt_rp_r_c_10299_t6 s c1 c2 t u) (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt) : l_e_st_eq_landau_n_rt_rp_r_c_10299_prop1 s c1 c2 (l_e_st_eq_landau_n_rt_rp_r_c_nofnt nt)).

(* constant 6888 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz299c ≝ λs:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_c_natt.λc1:l_e_st_eq_landau_n_rt_rp_r_c_cond1t s.λc2:l_e_st_eq_landau_n_rt_rp_r_c_cond2t s.(λt:l_e_st_eq_landau_n_rt_rp_r_c_natt.l_e_isp l_e_st_eq_landau_n_rt_rp_r_c_natt (λu:l_e_st_eq_landau_n_rt_rp_r_c_natt.l_e_st_esti l_e_st_eq_landau_n_rt_rp_r_c_natt u s) (l_e_st_eq_landau_n_rt_rp_r_c_ntofn (l_e_st_eq_landau_n_rt_rp_r_c_nofnt t)) t (l_e_st_eq_landau_n_rt_rp_r_c_10299_t7 s c1 c2 t) (l_e_st_eq_landau_n_rt_rp_r_c_isntn2 t) : ∀t:l_e_st_eq_landau_n_rt_rp_r_c_natt.l_e_st_esti l_e_st_eq_landau_n_rt_rp_r_c_natt t s).

(* constant 6889 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ax5t ≝ (λt:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_c_natt.λu:l_e_st_eq_landau_n_rt_rp_r_c_cond1t t.λv:l_e_st_eq_landau_n_rt_rp_r_c_cond2t t.l_e_st_eq_landau_n_rt_rp_r_c_satz299c t u v : ∀t:l_e_st_set l_e_st_eq_landau_n_rt_rp_r_c_natt.∀u:l_e_st_eq_landau_n_rt_rp_r_c_cond1t t.∀v:l_e_st_eq_landau_n_rt_rp_r_c_cond2t t.∀w:l_e_st_eq_landau_n_rt_rp_r_c_natt.l_e_st_esti l_e_st_eq_landau_n_rt_rp_r_c_natt w t).

(* constant 6890 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_ic ≝ (l_e_st_eq_landau_n_rt_rp_r_c_pli l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl : l_e_st_eq_landau_n_rt_rp_r_c_complex).

(* constant 6891 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10300_t1 ≝ (l_e_st_eq_landau_n_rt_rp_r_c_tsis12a l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_ic l_e_st_eq_landau_n_rt_rp_r_c_ic) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0)))).

(* constant 6892 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10300_t2 ≝ (l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl01 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_ism0 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_1rl) l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_st_eq_landau_n_rt_rp_r_satz195 l_e_st_eq_landau_n_rt_rp_r_1rl)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)).

(* constant 6893 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10300_t3 ≝ (l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pl01 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_ts02 l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 6894 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10300_t4 ≝ (l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0)) l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_c_10300_t2 l_e_st_eq_landau_n_rt_rp_r_c_10300_t3 : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl))).

(* constant 6895 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10300_t5 ≝ (l_e_st_eq_landau_n_rt_rp_r_c_satz298j l_e_st_eq_landau_n_rt_rp_r_1rl : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c)).

(* constant 6896 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz2300 ≝ (l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_ic l_e_st_eq_landau_n_rt_rp_r_c_ic) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_1rl l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_m0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c) l_e_st_eq_landau_n_rt_rp_r_c_10300_t1 l_e_st_eq_landau_n_rt_rp_r_c_10300_t4 l_e_st_eq_landau_n_rt_rp_r_c_10300_t5 : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts l_e_st_eq_landau_n_rt_rp_r_c_ic l_e_st_eq_landau_n_rt_rp_r_c_ic) (l_e_st_eq_landau_n_rt_rp_r_c_m0 l_e_st_eq_landau_n_rt_rp_r_c_1c)).

(* constant 6897 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10301_t1 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_tsis12a s l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)))).

(* constant 6898 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10301_t2 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pl01 (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_m0 (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_ts02 s l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_satz176b (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl)) l_e_st_eq_landau_n_rt_rp_r_0).

(* constant 6899 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10301_t3 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_real (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_1rl) s (l_e_st_eq_landau_n_rt_rp_r_pl02 (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts01 l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_satz195 s) : l_e_st_eq_landau_n_rt_rp_r_is (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) s).

(* constant 6900 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10301_t4 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl)) l_e_st_eq_landau_n_rt_rp_r_0 (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0)) s (l_e_st_eq_landau_n_rt_rp_r_c_10301_t2 r s) (l_e_st_eq_landau_n_rt_rp_r_c_10301_t3 r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_c_pli l_e_st_eq_landau_n_rt_rp_r_0 s)).

(* constant 6901 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10301_t5 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_mn (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_1rl)) (l_e_st_eq_landau_n_rt_rp_r_pl (l_e_st_eq_landau_n_rt_rp_r_ts s l_e_st_eq_landau_n_rt_rp_r_1rl) (l_e_st_eq_landau_n_rt_rp_r_ts l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0))) (l_e_st_eq_landau_n_rt_rp_r_c_pli l_e_st_eq_landau_n_rt_rp_r_0 s) (l_e_st_eq_landau_n_rt_rp_r_c_10301_t1 r s) (l_e_st_eq_landau_n_rt_rp_r_c_10301_t4 r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic) (l_e_st_eq_landau_n_rt_rp_r_c_pli l_e_st_eq_landau_n_rt_rp_r_0 s)).

(* constant 6902 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10301_t6 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_ispl2 (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic) (l_e_st_eq_landau_n_rt_rp_r_c_pli l_e_st_eq_landau_n_rt_rp_r_0 s) (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_10301_t5 r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_pli l_e_st_eq_landau_n_rt_rp_r_0 s))).

(* constant 6903 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10301_t7 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_plis12a r l_e_st_eq_landau_n_rt_rp_r_0 l_e_st_eq_landau_n_rt_rp_r_0 s : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_pli l_e_st_eq_landau_n_rt_rp_r_0 s)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 s))).

(* constant 6904 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10301_t8 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_st_eq_landau_n_rt_rp_r_c_isrecx12 (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_0) r (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 s) s (l_e_st_eq_landau_n_rt_rp_r_pl02 r l_e_st_eq_landau_n_rt_rp_r_0 (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) (l_e_st_eq_landau_n_rt_rp_r_pl01 l_e_st_eq_landau_n_rt_rp_r_0 s (l_e_refis l_e_st_eq_landau_n_rt_rp_r_real l_e_st_eq_landau_n_rt_rp_r_0)) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 s)) (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)).

(* constant 6905 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz301a ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_pli l_e_st_eq_landau_n_rt_rp_r_0 s)) (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_pl r l_e_st_eq_landau_n_rt_rp_r_0) (l_e_st_eq_landau_n_rt_rp_r_pl l_e_st_eq_landau_n_rt_rp_r_0 s)) (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) (l_e_st_eq_landau_n_rt_rp_r_c_10301_t6 r s) (l_e_st_eq_landau_n_rt_rp_r_c_10301_t7 r s) (l_e_st_eq_landau_n_rt_rp_r_c_10301_t8 r s) : l_e_is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic)) (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)).

(* constant 6906 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz301b ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic)) (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) (l_e_st_eq_landau_n_rt_rp_r_c_satz301a r s) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic))).

(* constant 6907 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz301c ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_tris l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_rt_rp_r_c_pli (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_c_im x)) l_e_st_eq_landau_n_rt_rp_r_c_ic)) (l_e_st_eq_landau_n_rt_rp_r_c_ispli x) (l_e_st_eq_landau_n_rt_rp_r_c_satz301b (l_e_st_eq_landau_n_rt_rp_r_c_re x) (l_e_st_eq_landau_n_rt_rp_r_c_im x)) : l_e_st_eq_landau_n_rt_rp_r_c_is x (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_c_im x)) l_e_st_eq_landau_n_rt_rp_r_c_ic))).

(* constant 6908 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz301d ≝ λx:l_e_st_eq_landau_n_rt_rp_r_c_complex.(l_e_symis l_e_st_eq_landau_n_rt_rp_r_c_cx x (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_c_im x)) l_e_st_eq_landau_n_rt_rp_r_c_ic)) (l_e_st_eq_landau_n_rt_rp_r_c_satz301c x) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_c_re x)) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl (l_e_st_eq_landau_n_rt_rp_r_c_im x)) l_e_st_eq_landau_n_rt_rp_r_c_ic)) x).

(* constant 6909 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_10301_t9 ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl u) l_e_st_eq_landau_n_rt_rp_r_c_ic)).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_c_cx (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl u) l_e_st_eq_landau_n_rt_rp_r_c_ic)) (l_e_st_eq_landau_n_rt_rp_r_c_pli t u) (l_e_st_eq_landau_n_rt_rp_r_c_satz301b r s) i (l_e_st_eq_landau_n_rt_rp_r_c_satz301a t u) : l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) (l_e_st_eq_landau_n_rt_rp_r_c_pli t u)).

(* constant 6910 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz301e ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl u) l_e_st_eq_landau_n_rt_rp_r_c_ic)).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real r (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_re (l_e_st_eq_landau_n_rt_rp_r_c_pli t u)) t (l_e_st_eq_landau_n_rt_rp_r_c_isre r s) (l_e_st_eq_landau_n_rt_rp_r_c_iscere (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) (l_e_st_eq_landau_n_rt_rp_r_c_pli t u) (l_e_st_eq_landau_n_rt_rp_r_c_10301_t9 r s t u i)) (l_e_st_eq_landau_n_rt_rp_r_c_reis t u) : l_e_st_eq_landau_n_rt_rp_r_is r t).

(* constant 6911 *)
definition l_e_st_eq_landau_n_rt_rp_r_c_satz301f ≝ λr:l_e_st_eq_landau_n_rt_rp_r_real.λs:l_e_st_eq_landau_n_rt_rp_r_real.λt:l_e_st_eq_landau_n_rt_rp_r_real.λu:l_e_st_eq_landau_n_rt_rp_r_real.λi:l_e_st_eq_landau_n_rt_rp_r_c_is (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl r) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl s) l_e_st_eq_landau_n_rt_rp_r_c_ic)) (l_e_st_eq_landau_n_rt_rp_r_c_pl (l_e_st_eq_landau_n_rt_rp_r_c_cofrl t) (l_e_st_eq_landau_n_rt_rp_r_c_ts (l_e_st_eq_landau_n_rt_rp_r_c_cofrl u) l_e_st_eq_landau_n_rt_rp_r_c_ic)).(l_e_tr3is l_e_st_eq_landau_n_rt_rp_r_real s (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli r s)) (l_e_st_eq_landau_n_rt_rp_r_c_im (l_e_st_eq_landau_n_rt_rp_r_c_pli t u)) u (l_e_st_eq_landau_n_rt_rp_r_c_isim r s) (l_e_st_eq_landau_n_rt_rp_r_c_isceim (l_e_st_eq_landau_n_rt_rp_r_c_pli r s) (l_e_st_eq_landau_n_rt_rp_r_c_pli t u) (l_e_st_eq_landau_n_rt_rp_r_c_10301_t9 r s t u i)) (l_e_st_eq_landau_n_rt_rp_r_c_imis t u) : l_e_st_eq_landau_n_rt_rp_r_is s u).

